(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    691090,      15021]
NotebookOptionsPosition[    688912,      14987]
NotebookOutlinePosition[    689284,      15003]
CellTagsIndexPosition[    689241,      15000]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
   RowBox[{"working", " ", "for", " ", "any", " ", "Q", 
    RowBox[{"(", "k", ")"}]}], ",", " ", 
   RowBox[{"R", 
    RowBox[{"(", "k", ")"}], " ", "piecewise", " ", "infinte", " ", "fluid", 
    " ", "model"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7809132270774946`*^9, 3.7809132402812557`*^9}, {
   3.7810027777759075`*^9, 3.7810028708563585`*^9}, {3.7810035950460176`*^9, 
   3.7810036221254296`*^9}, {3.781633807076919*^9, 3.781633867482479*^9}, 
   3.781705083038721*^9, {3.781705493860772*^9, 3.781705523021644*^9}, {
   3.7832465188917*^9, 3.7832465669869595`*^9}, {3.783247985531608*^9, 
   3.7832479960983305`*^9}, 3.7834164211303205`*^9, {3.785408842281005*^9, 
   3.7854088520269537`*^9}, {3.7862880224296055`*^9, 3.78628802254335*^9}, {
   3.788099879165305*^9, 3.788099879645746*^9}, {3.7906588460501394`*^9, 
   3.790658855513672*^9}, {3.7911173013233767`*^9, 3.7911173364252434`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"2f231d84-335a-4149-8efc-1aebd06b3d76"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"FluidFundamentalMatrices", "[", 
    RowBox[{"Qpp_", ",", "Qpm_", ",", "Qmp_", ",", "Qmm_", ",", 
     RowBox[{"matrices_:", "\"\<P\>\""}], ",", 
     RowBox[{"precision_:", 
      RowBox[{"N", "[", 
       RowBox[{"10", "^", 
        RowBox[{"-", "14"}]}], "]"}]}], ",", 
     RowBox[{"maxNumIt_:", "50"}], ",", 
     RowBox[{"method_:", "\"\<SDA\>\""}]}], "]"}], ":=", "\n", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "F", ",", " ", "sp", ",", "sm", ",", "II", ",", "Pf", ",", "A1", ",", 
       "A1hat", ",", "R1", ",", "NN", ",", "Xmat", ",", "A", ",", "B", ",", 
       "C", ",", "D", ",", "S1", ",", "U", ",", "Ghat", ",", "numit", ",", 
       "Zm", ",", "Psi", ",", "\n", "gamma1", ",", "gamma2", ",", "sA", ",", 
       "sD", ",", "IA", ",", "ID", ",", "Dginv", ",", "Vginv", ",", "Wginv", 
       ",", "Eg", ",", "Fg", ",", "Gg", ",", "Hg", ",", "diff", ",", "neg", 
       ",", "nfg", ",", "eta", ",", "ret", ",", "resNorm"}], "}"}], ",", "\n", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"===", "===", "===", "==="}], "=", " ", 
        RowBox[{"Computation", " ", "of", " ", "Psi", 
         RowBox[{"(", 
          RowBox[{"by", " ", "solving", " ", "Riccati", " ", "Equation"}], 
          ")"}]}]}], ",", " ", "K", ",", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"H", " ", "Matrices", " ", 
          RowBox[{"(", 
           RowBox[{"Or", " ", 
            RowBox[{"It", "'"}], "s", " ", "Spatial", " ", "Inverse"}], 
           ")"}]}], "  ", "===", "===", "===", "===", "==="}], "=", 
        "\[Equal]"}]}], " ", "*)"}], "\n", "\t", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"method", "==", "\"\<CR\>\""}], ",", "\n", "\t\t", 
        RowBox[{
         RowBox[{"F", " ", "=", " ", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Qpp", ",", " ", "Qpm"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Qmp", ",", " ", "Qmm"}], "}"}]}], "}"}], "]"}]}], ";", 
         "\n", "\t\t", 
         RowBox[{"sp", " ", "=", " ", 
          RowBox[{
           RowBox[{"Dimensions", "[", "Qpp", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"sm", " ", "=", " ", 
          RowBox[{
           RowBox[{"Dimensions", "[", "Qmm", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"II", " ", "=", 
          RowBox[{"IdentityMatrix", "[", 
           RowBox[{"sm", "+", "sp"}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"Pf", " ", "=", " ", 
          RowBox[{"II", " ", "+", " ", 
           RowBox[{"F", "/", 
            RowBox[{"Max", "[", 
             RowBox[{"Re", "[", 
              RowBox[{"-", "F"}], "]"}], "]"}]}]}]}], ";", "\n", "\t\t", 
         RowBox[{"Zm", " ", "=", " ", 
          RowBox[{"Table", "[", 
           RowBox[{"0", ",", 
            RowBox[{"{", "sm", "}"}], ",", 
            RowBox[{"{", "sm", "}"}]}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"A1", " ", "=", " ", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Pf", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"1", ";;", "sp"}], ",", 
                   RowBox[{"1", ";;", "sp"}]}], "]"}], "]"}], "/", "2"}], ",",
                " ", 
               RowBox[{"Table", "[", 
                RowBox[{"0", ",", 
                 RowBox[{"{", "sp", "}"}], ",", 
                 RowBox[{"{", "sm", "}"}]}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Pf", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"sp", "+", "1"}], ";;"}], ",", 
                  RowBox[{"1", ";;", "sp"}]}], "]"}], "]"}], ",", "Zm"}], 
              "}"}]}], "}"}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"A1hat", " ", "=", " ", "A1"}], ";", "\n", "\t\t", 
         RowBox[{"R1", " ", "=", " ", 
          RowBox[{
           RowBox[{"IdentityMatrix", "[", "sp", "]"}], "/", "2"}]}], ";", 
         "\n", "\t\t", 
         RowBox[{"NN", " ", "=", " ", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Pf", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"1", ";;", "sp"}], ",", 
                  RowBox[{
                   RowBox[{"sp", "+", "1"}], ";;"}]}], "]"}], "]"}], "/", 
               "2"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Pf", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"sp", "+", "1"}], ";;"}], ",", 
                 RowBox[{
                  RowBox[{"sp", "+", "1"}], ";;"}]}], "]"}], "]"}], "}"}]}], 
            "}"}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"numit", " ", "=", " ", "0"}], ";", "\n", "\t\t", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Min", "[", 
              RowBox[{
               RowBox[{"Norm", "[", 
                RowBox[{"R1", ",", "Infinity"}], "]"}], ",", " ", 
               RowBox[{"Norm", "[", 
                RowBox[{"NN", ",", "Infinity"}], "]"}]}], "]"}], ">", 
             "precision"}], " ", "&&", " ", 
            RowBox[{"numit", "<", "maxNumIt"}]}], ",", "\n", "\t\t\t", 
           RowBox[{
            RowBox[{"Xmat", " ", "=", " ", 
             RowBox[{"Inverse", "[", 
              RowBox[{"II", "-", "A1"}], "]"}]}], ";", "\n", "\t\t\t", 
            RowBox[{"B", " ", "=", " ", 
             RowBox[{"Xmat", ".", "NN"}]}], ";", "\n", "\t\t\t", 
            RowBox[{"S1", " ", "=", " ", 
             RowBox[{
              RowBox[{"Xmat", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"sp", "+", "1"}], ";;"}], ",", 
                 RowBox[{"1", ";;", "sp"}]}], "]"}], "]"}], ".", "R1"}]}], 
            ";", "\n", "\t\t\t", 
            RowBox[{"U", " ", "=", " ", 
             RowBox[{"R1", ".", 
              RowBox[{"B", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"1", ";;", "sp"}], ",", ";;"}], "]"}], "]"}]}]}], 
            ";", "\n", "\t\t\t", 
            RowBox[{"A1", " ", "+=", " ", 
             RowBox[{"ArrayFlatten", "[", 
              RowBox[{"{", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"NN", ".", "S1"}], ",", 
                 RowBox[{"ArrayFlatten", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", "U", "}"}], ",", 
                    RowBox[{"{", "Zm", "}"}]}], "}"}], "]"}]}], "}"}], "}"}], 
              "]"}]}], ";", "\n", "\t\t\t", 
            RowBox[{
             RowBox[{"A1hat", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"1", ";;", "sp"}], ",", 
                RowBox[{
                 RowBox[{"sp", "+", "1"}], ";;"}]}], "]"}], "]"}], " ", "+=", 
             "U"}], ";", "\n", "\t\t\t", 
            RowBox[{"NN", " ", "=", " ", 
             RowBox[{"NN", ".", 
              RowBox[{"B", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"sp", "+", "1"}], ";;"}], ",", ";;"}], "]"}], 
               "]"}]}]}], ";", "\n", "\t\t\t", 
            RowBox[{"R1", " ", "=", " ", 
             RowBox[{"R1", ".", 
              RowBox[{"Xmat", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"1", ";;", "sp"}], ",", 
                 RowBox[{"1", ";;", "sp"}]}], "]"}], "]"}], ".", "R1"}]}], 
            ";", "\n", "\t\t\t", 
            RowBox[{"numit", "++"}], ";"}]}], "\n", "\t\t", "]"}], ";", "\n", 
         "\t\t", 
         RowBox[{"Ghat", " ", "=", " ", 
          RowBox[{
           RowBox[{"Inverse", "[", 
            RowBox[{"II", "-", "A1hat"}], "]"}], ".", 
           RowBox[{"ArrayFlatten", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Pf", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"1", ";;", "sp"}], ",", 
                   RowBox[{
                    RowBox[{"sp", "+", "1"}], ";;"}]}], "]"}], "]"}], "/", 
                "2"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"Pf", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"sp", "+", "1"}], ";;"}], ",", 
                  RowBox[{
                   RowBox[{"sp", "+", "1"}], ";;"}]}], "]"}], "]"}], "}"}]}], 
             "}"}], "]"}]}]}], ";", "\n", "\t\t", 
         RowBox[{"Psi", " ", "=", " ", 
          RowBox[{"Ghat", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"1", ";;", "sp"}], ",", ";;"}], "]"}], "]"}]}], ";"}], 
        "\n", "\t", ",", " ", 
        RowBox[{
         RowBox[{"If", " ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"method", "==", "\"\<ADDA\>\""}], " ", "||", " ", 
            RowBox[{"method", "==", "\"\<SDA\>\""}]}], ",", "\n", "\t\t", 
           RowBox[{
            RowBox[{"A", " ", "=", " ", 
             RowBox[{"-", "Qpp"}]}], ";", "\n", "        ", 
            RowBox[{"B", " ", "=", " ", "Qpm"}], ";", "\n", "        ", 
            RowBox[{"C", " ", "=", " ", "Qmp"}], ";", "\n", "        ", 
            RowBox[{"D", " ", "=", " ", 
             RowBox[{"-", "Qmm"}]}], ";", "\n", "        ", 
            RowBox[{"gamma1", " ", "=", " ", 
             RowBox[{"Max", "[", 
              RowBox[{"Re", "[", 
               RowBox[{"Diagonal", "[", "A", "]"}], "]"}], "]"}]}], ";", "\n",
             "        ", 
            RowBox[{"gamma2", " ", "=", " ", 
             RowBox[{"Max", "[", 
              RowBox[{"Re", "[", 
               RowBox[{"Diagonal", "[", "D", "]"}], "]"}], "]"}]}], ";", "\n",
             "        ", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"method", "==", "\"\<SDA\>\""}], ",", "\n", 
              "            ", 
              RowBox[{
               RowBox[{"gamma1", " ", "=", " ", 
                RowBox[{"Max", "[", 
                 RowBox[{"gamma1", ",", "gamma2"}], "]"}]}], ";", "\n", 
               "            ", 
               RowBox[{"gamma2", " ", "=", " ", "gamma1"}], ";"}]}], "\n", 
             "        ", "]"}], ";", "\n", "        ", 
            RowBox[{"sA", " ", "=", " ", 
             RowBox[{
              RowBox[{"Dimensions", "[", "A", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", "        ", 
            RowBox[{"sD", " ", "=", " ", 
             RowBox[{
              RowBox[{"Dimensions", "[", "D", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", "        ", 
            RowBox[{"IA", " ", "=", " ", 
             RowBox[{"IdentityMatrix", "[", "sA", "]"}]}], ";", "\n", 
            "        ", 
            RowBox[{"ID", " ", "=", " ", 
             RowBox[{"IdentityMatrix", "[", "sD", "]"}]}], ";", "\n", 
            "        ", 
            RowBox[{"A", " ", "=", " ", 
             RowBox[{"A", " ", "+", " ", 
              RowBox[{"gamma2", " ", "IA"}]}]}], ";", "\n", "        ", 
            RowBox[{"D", " ", "=", " ", 
             RowBox[{"D", " ", "+", " ", 
              RowBox[{"gamma1", " ", "ID"}]}]}], ";", "\n", "        ", 
            RowBox[{"Dginv", " ", "=", " ", 
             RowBox[{"Inverse", "[", "D", "]"}]}], ";", "\n", "        ", 
            RowBox[{"Vginv", " ", "=", " ", 
             RowBox[{"Inverse", "[", 
              RowBox[{"D", "-", 
               RowBox[{"C", ".", 
                RowBox[{"Inverse", "[", "A", "]"}], ".", "B"}]}], "]"}]}], 
            ";", "\n", "        ", 
            RowBox[{"Wginv", " ", "=", " ", 
             RowBox[{"Inverse", "[", 
              RowBox[{"A", "-", 
               RowBox[{"B", ".", "Dginv", ".", "C"}]}], "]"}]}], ";", "\n", 
            "        ", 
            RowBox[{"Eg", " ", "=", " ", 
             RowBox[{"ID", " ", "-", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"gamma1", "+", "gamma2"}], ")"}], " ", "Vginv"}]}]}], 
            ";", "\n", "        ", 
            RowBox[{"Fg", " ", "=", " ", 
             RowBox[{"IA", " ", "-", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"gamma1", "+", "gamma2"}], ")"}], " ", "Wginv"}]}]}], 
            ";", "\n", "        ", 
            RowBox[{"Gg", " ", "=", " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"gamma1", "+", "gamma2"}], ")"}], " ", 
              RowBox[{"Dginv", ".", "C", ".", "Wginv"}]}]}], ";", "\n", 
            "        ", 
            RowBox[{"Hg", " ", "=", " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"gamma1", "+", "gamma2"}], ")"}], " ", 
              RowBox[{"Wginv", ".", "B", ".", "Dginv"}]}]}], ";", "\n", 
            "        ", 
            RowBox[{"diff", " ", "=", " ", "1"}], ";", "\n", "\t\t", 
            RowBox[{"numit", " ", "=", " ", "0"}], ";", "\n", "        ", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"diff", ">", "precision"}], " ", "&&", " ", 
               RowBox[{"numit", "<", "maxNumIt"}]}], ",", "\n", 
              "            ", 
              RowBox[{
               RowBox[{"Vginv", " ", "=", " ", 
                RowBox[{"Eg", ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"ID", "-", 
                   RowBox[{"Gg", ".", "Hg"}]}], "]"}]}]}], ";", "\n", 
               "            ", 
               RowBox[{"Wginv", " ", "=", " ", 
                RowBox[{"Fg", ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"IA", "-", 
                   RowBox[{"Hg", ".", "Gg"}]}], "]"}]}]}], ";", "\n", 
               "            ", 
               RowBox[{"Gg", " ", "+=", " ", 
                RowBox[{"Vginv", ".", "Gg", ".", "Fg"}]}], ";", "\n", 
               "            ", 
               RowBox[{"Hg", " ", "+=", " ", 
                RowBox[{"Wginv", ".", "Hg", ".", "Eg"}]}], ";", "\n", 
               "            ", 
               RowBox[{"Eg", " ", "=", " ", 
                RowBox[{"Vginv", ".", "Eg"}]}], ";", "\n", "            ", 
               RowBox[{"Fg", " ", "=", " ", 
                RowBox[{"Wginv", ".", "Fg"}]}], ";", "\n", "            ", 
               RowBox[{"neg", " ", "=", " ", 
                RowBox[{"Norm", "[", 
                 RowBox[{"Eg", ",", "1"}], "]"}]}], ";", "\n", "            ", 
               RowBox[{"nfg", " ", "=", " ", 
                RowBox[{"Norm", "[", 
                 RowBox[{"Fg", ",", "1"}], "]"}]}], ";", "\n", "            ", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"method", "==", "\"\<ADDA\>\""}], ",", "\n", 
                 "                ", 
                 RowBox[{
                  RowBox[{"eta", " ", "=", " ", 
                   RowBox[{"Sqrt", "[", 
                    RowBox[{"nfg", "/", "neg"}], "]"}]}], ";", "\n", 
                  "                ", 
                  RowBox[{"Eg", " ", "=", " ", 
                   RowBox[{"Eg", " ", "eta"}]}], ";", "\n", 
                  "                ", 
                  RowBox[{"Fg", " ", "=", " ", 
                   RowBox[{"Fg", "/", "eta"}]}], ";", "\n", 
                  "                ", 
                  RowBox[{"diff", " ", "=", " ", 
                   RowBox[{"neg", " ", "nfg"}]}], ";"}], "\n", "            ",
                  ",", "\n", "                ", 
                 RowBox[{
                  RowBox[{"diff", " ", "=", " ", 
                   RowBox[{"Min", "[", 
                    RowBox[{"neg", ",", "nfg"}], "]"}]}], ";"}]}], "\n", 
                "            ", "]"}], ";", "\n", "            ", 
               RowBox[{"numit", "++"}], ";"}]}], "\n", "        ", "]"}], ";",
             "\n", "        ", 
            RowBox[{"Psi", " ", "=", " ", "Hg"}], ";"}]}], "\n", "\t", "]"}], 
         ";"}]}], "\n", "\t", "]"}], ";", "\n", "\n", "    ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"numit", "==", "maxNumIt"}], " ", "&&", " ", 
         "BuTools`Verbose"}], ",", " ", 
        RowBox[{
        "Print", "[", "\"\<Maximum Number of Iterations reached\>\"", "]"}]}],
        "]"}], ";", "\n", "\n", "    ", 
      RowBox[{"If", "[", 
       RowBox[{"BuTools`Verbose", ",", "\n", "        ", 
        RowBox[{
         RowBox[{"resNorm", " ", "=", " ", 
          RowBox[{"Norm", "[", 
           RowBox[{
            RowBox[{"Qpm", "+", 
             RowBox[{"Qpp", ".", "Psi"}], "+", 
             RowBox[{"Psi", ".", "Qmm"}], "+", 
             RowBox[{"Psi", ".", "Qmp", ".", "Psi"}]}], ",", " ", 
            "Infinity"}], "]"}]}], ";", "\n", "        ", 
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<Final Residual Error for Psi: \>\"", ",", " ", "resNorm"}], 
          "]"}]}]}], "]"}], ";", "\n", "\n", "    ", 
      RowBox[{"ret", " ", "=", " ", 
       RowBox[{"{", "}"}]}], ";", "\n", "    ", 
      RowBox[{"Do", "[", "\n", "        ", 
       RowBox[{
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"M", "==", "\"\<P\>\""}], ",", " ", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"ret", ",", "Psi"}], "]"}]}], "]"}], ";", "\n", 
         "        ", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"M", "==", "\"\<K\>\""}], ",", " ", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"ret", ",", 
             RowBox[{"Qpp", "+", 
              RowBox[{"Psi", ".", "Qmp"}]}]}], "]"}]}], "]"}], ";", "\n", 
         "        ", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"M", "==", "\"\<U\>\""}], ",", " ", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"ret", ",", 
             RowBox[{"Qmm", "+", 
              RowBox[{"Qmp", ".", "Psi"}]}]}], "]"}]}], "]"}], ";"}], "\n", 
        "\t", ",", 
        RowBox[{"{", 
         RowBox[{"M", ",", 
          RowBox[{"Characters", "[", "matrices", "]"}]}], "}"}]}], "]"}], ";",
       "\n", "    ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", "ret", "]"}], "==", "1"}], ",", " ", 
        RowBox[{"Return", "[", 
         RowBox[{"ret", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", " ", 
        RowBox[{"Return", "[", "ret", "]"}]}], "]"}], ";"}]}], "\n", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.778219778058293*^9, 3.778219789839162*^9}, {
   3.778220802843867*^9, 3.7782208136588507`*^9}, {3.7782313365978937`*^9, 
   3.7782313422695837`*^9}, {3.7782315147341275`*^9, 
   3.7782315187183733`*^9}, {3.7782316267935762`*^9, 3.7782316356526637`*^9}, 
   3.7782346358558197`*^9, {3.7782357814512644`*^9, 3.77823578383427*^9}, 
   3.778235885019081*^9, {3.7782359205524187`*^9, 3.7782359378351164`*^9}, {
   3.7782367780336185`*^9, 3.7782367792226615`*^9}, {3.7782476735795736`*^9, 
   3.7782476764702044`*^9}, {3.7803235518882837`*^9, 3.780323552568006*^9}, {
   3.7803306317630177`*^9, 3.780330658689021*^9}, 3.7803391860441127`*^9, 
   3.7803392753394575`*^9, {3.7803795419489202`*^9, 3.780379542994365*^9}, 
   3.78038054638074*^9, {3.780388693943387*^9, 3.780388700252571*^9}, {
   3.780388784471126*^9, 3.7803887847854967`*^9}, 3.780388991154005*^9, {
   3.7803907609559293`*^9, 3.7803907619991107`*^9}, {3.7803910761329803`*^9, 
   3.7803910764860044`*^9}, {3.7803913426068974`*^9, 3.780391343426888*^9}, {
   3.7804607197878656`*^9, 3.7804607220348234`*^9}, {3.780652014480434*^9, 
   3.7806520156064253`*^9}, {3.7807414846176257`*^9, 3.7807414852389307`*^9}, 
   3.7807418861545377`*^9, {3.7807419649773493`*^9, 3.7807419660943174`*^9}, 
   3.7807420225554333`*^9, {3.780742517114859*^9, 3.780742517580768*^9}, {
   3.78074297955902*^9, 3.7807429812018433`*^9}, {3.780747554205039*^9, 
   3.780747554431426*^9}, {3.7807487315468655`*^9, 3.7807487326756554`*^9}, {
   3.7808171080021906`*^9, 3.78081710897954*^9}, {3.7808217341536818`*^9, 
   3.7808217359987073`*^9}, {3.7809145054029164`*^9, 3.780914505949451*^9}, {
   3.7809178739357796`*^9, 3.7809178745032587`*^9}, {3.7809184440782504`*^9, 
   3.780918469208968*^9}, {3.780984026931055*^9, 3.7809840271581297`*^9}, {
   3.780985162815485*^9, 3.780985169090703*^9}, {3.781001663784013*^9, 
   3.78100166427045*^9}, {3.781001720340968*^9, 3.781001720881485*^9}, {
   3.781001751009279*^9, 3.781001751834035*^9}, {3.7810018021086874`*^9, 
   3.781001802499072*^9}, {3.7810018626682897`*^9, 3.7810018804267025`*^9}, {
   3.784316142786071*^9, 3.7843161435710173`*^9}, {3.784466154599666*^9, 
   3.78446615521402*^9}, {3.7844662242579985`*^9, 3.7844662251885014`*^9}, {
   3.784486610559181*^9, 3.784486610850369*^9}, {3.7844869673079786`*^9, 
   3.784486971089489*^9}, {3.7848898791019526`*^9, 3.7848898800474243`*^9}, {
   3.7849126213563824`*^9, 3.7849126232497683`*^9}, {3.784989152205579*^9, 
   3.7849891548918796`*^9}, {3.7861964472598543`*^9, 3.78619644745695*^9}, {
   3.7861965726352572`*^9, 3.7861965761186385`*^9}, {3.7861978245297985`*^9, 
   3.786197825003563*^9}, {3.7861978870224075`*^9, 3.7861978901560955`*^9}, {
   3.7861979466227703`*^9, 3.7861979476384363`*^9}, {3.7862850905173583`*^9, 
   3.7862850914588003`*^9}, {3.7862853063775234`*^9, 3.786285307406803*^9}, {
   3.788590063980091*^9, 3.7885900644539986`*^9}, {3.788590399154583*^9, 
   3.788590399734187*^9}, {3.788590454627201*^9, 3.788590456410657*^9}, 
   3.791834673391291*^9},
 CellLabel->"In[2]:=",ExpressionUUID->"664cc607-f60b-4e1d-ba00-4670067a7349"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "Numerical", " ", "Inverse", " ", "Laplace", " ", "Transformation", " ", 
      "by", " ", "using", " ", "CME", 
      RowBox[{"(", 
       RowBox[{"euler", ",", 
        RowBox[{"gaver", " ", "as", " ", "well"}]}], ")"}], " ", 
      RowBox[{"method", "/", "s"}]}]}], "  ", "===", "===", "===", "===", "===",
     "===", "\[Equal]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"load", " ", "the", " ", "CME", " ", "parameters"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Length", "[", 
         RowBox[{"Position", "[", 
          RowBox[{
           RowBox[{"Names", "[", "\"\<Global`*\>\"", "]"}], ",", 
           "\"\<cmeParams\>\""}], "]"}], "]"}], "\[Equal]", "0"}], " ", "||", 
       " ", 
       RowBox[{
        RowBox[{"Length", "[", "cmeParams", "]"}], "\[Equal]", "0"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"Print", "[", "\"\<CME parameters loaded\>\"", "]"}], ";"}], 
       "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"cmeParams", " ", "=", " ", 
        RowBox[{"Import", "[", 
         RowBox[{"FileNameJoin", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"NotebookDirectory", "[", "]"}], ",", 
            "\"\<iltcme.json\>\""}], "}"}], "]"}], "]"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"ILT", " ", "function"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ILT", "[", 
      RowBox[{"fun_", ",", " ", "T_", ",", " ", "maxFnEvals_", ",", " ", 
       RowBox[{"method_:", "\"\<cme\>\""}], ",", 
       RowBox[{"precision_:", "MachinePrecision"}]}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "params", ",", "i", ",", "\[Eta]", ",", "\[Beta]", ",", "\[Xi]", ",", 
         "n", ",", "k", ",", "prec"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"precision", "\[LessEqual]", "0"}], ",", 
          RowBox[{"prec", "=", "MachinePrecision"}], ",", 
          RowBox[{"prec", "=", "precision"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"method", "\[Equal]", "\"\<cme\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"params", " ", "=", " ", 
            RowBox[{"cmeParams", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "2"}], ",", 
             RowBox[{"i", "<", 
              RowBox[{"Length", "[", "cmeParams", "]"}]}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"\"\<cv2\>\"", "/.", 
                   RowBox[{"cmeParams", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ")"}], " ", "<", 
                 RowBox[{"(", 
                  RowBox[{"\"\<cv2\>\"", "/.", "params"}], ")"}]}], " ", "&&",
                 " ", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"\"\<n\>\"", "+", "1"}], " ", "/.", 
                   RowBox[{"cmeParams", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ")"}], "\[LessEqual]", 
                 "maxFnEvals"}]}], ",", 
               RowBox[{"params", "=", 
                RowBox[{"cmeParams", "[", 
                 RowBox[{"[", "i", "]"}], "]"}]}]}], " ", "]"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Eta]", "=", 
            RowBox[{"SetPrecision", "[", 
             RowBox[{
              RowBox[{"Prepend", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"\"\<a\>\"", "*", "\"\<mu1\>\""}], "+", 
                  RowBox[{
                  "\[ImaginaryI]", "*", "\"\<b\>\"", "*", "\"\<mu1\>\""}]}], "/.",
                  "params"}], ",", 
                RowBox[{
                 RowBox[{"\"\<c\>\"", "*", "\"\<mu1\>\""}], "/.", 
                 "params"}]}], "]"}], ",", "prec"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"\[Beta]", "=", 
            RowBox[{"SetPrecision", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Prepend", "[", 
                 RowBox[{
                  RowBox[{"1", "+", 
                   RowBox[{
                   "\[ImaginaryI]", " ", "*", " ", "\"\<omega\>\"", "*", 
                    RowBox[{"Range", "[", 
                    RowBox[{"\"\<n\>\"", "/.", "params"}], "]"}]}]}], ",", 
                  "1"}], "]"}], "*", "\"\<mu1\>\""}], " ", "/.", "params"}], 
              ",", "prec"}], "]"}]}], ";"}], "\[IndentingNewLine]", ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"method", "\[Equal]", "\"\<euler\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"n", "=", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Mod", "[", 
                   RowBox[{"maxFnEvals", ",", "2"}], "]"}], "\[Equal]", "0"}],
                  ",", 
                 RowBox[{"maxFnEvals", "-", "1"}], ",", "maxFnEvals"}], 
                "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"\[Beta]", "=", 
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"SetPrecision", "[", 
                  RowBox[{
                   RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "1"}], ")"}], 
                    RowBox[{"Log", "[", "10", "]"}]}], "6"], "+", 
                    RowBox[{"\[Pi]", " ", "\[ImaginaryI]", " ", 
                    RowBox[{"(", 
                    RowBox[{"k", "-", "1"}], ")"}]}]}], ",", "prec"}], "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"\[Xi]", "=", 
               RowBox[{"ConstantArray", "[", 
                RowBox[{
                 RowBox[{"SetPrecision", "[", 
                  RowBox[{"1", ",", "prec"}], "]"}], ",", "n"}], "]"}]}], ";",
               "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"\[Xi]", "[", 
                RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
               RowBox[{"SetPrecision", "[", 
                RowBox[{
                 RowBox[{"1", "/", "2"}], ",", "prec"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"\[Xi]", "[", 
                RowBox[{"[", "n", "]"}], "]"}], "=", 
               RowBox[{"SetPrecision", "[", 
                RowBox[{
                 FractionBox["1", 
                  SuperscriptBox["2", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "1"}], ")"}], "/", "2"}]]], ",", 
                 "prec"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"k", "=", "1"}], ",", 
                RowBox[{"k", "<", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"n", "-", "1"}], ")"}], "/", "2"}]}], ",", 
                RowBox[{"k", "++"}], ",", 
                RowBox[{
                 RowBox[{"\[Xi]", "[", 
                  RowBox[{"[", 
                   RowBox[{"n", "-", "k"}], "]"}], "]"}], "=", 
                 RowBox[{
                  RowBox[{"\[Xi]", "[", 
                   RowBox[{"[", 
                    RowBox[{"n", "-", "k", "+", "1"}], "]"}], "]"}], "+", " ", 
                  RowBox[{
                   SuperscriptBox["2", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{"n", "-", "1"}], ")"}]}], "/", "2"}]], 
                   RowBox[{"Binomial", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "1"}], ")"}], "/", "2"}], ",", "k"}], 
                    "]"}]}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"\[Eta]", "=", 
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"SetPrecision", "[", 
                  RowBox[{
                   RowBox[{
                    SuperscriptBox["10", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "1"}], ")"}], "/", "6"}]], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], 
                    RowBox[{"k", "-", "1"}]], 
                    RowBox[{"\[Xi]", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], ",", "prec"}], "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
             "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"method", "\[Equal]", "\"\<gaver\>\""}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"n", "=", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{"maxFnEvals", ",", "2"}], "]"}], "\[Equal]", 
                    "1"}], ",", 
                    RowBox[{"maxFnEvals", "-", "1"}], ",", "maxFnEvals"}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"\[Beta]", "=", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"SetPrecision", "[", 
                    RowBox[{
                    RowBox[{"Log", "[", "2", "]"}], ",", "prec"}], "]"}]}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"\[Eta]", "=", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"SetPrecision", "[", 
                    RowBox[{
                    RowBox[{"Log", "[", "2", "]"}], ",", "prec"}], "]"}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], "+", "k"}]], 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox[
                    SuperscriptBox["j", 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], "+", "1"}]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "/", "2"}], ")"}], "!"}]], 
                    RowBox[{"Binomial", "[", 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], ",", "j"}], "]"}], 
                    RowBox[{"Binomial", "[", 
                    RowBox[{
                    RowBox[{"2", "j"}], ",", "j"}], "]"}], 
                    RowBox[{"Binomial", "[", 
                    RowBox[{"j", ",", 
                    RowBox[{"k", "-", "j"}]}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", 
                    RowBox[{"Floor", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"k", "+", "1"}], ")"}], "/", "2"}], "]"}], ",", 
                    RowBox[{"Min", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"n", "/", "2"}]}], "]"}]}], "}"}]}], "]"}]}], 
                    "  ", ",", 
                    RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], 
                 ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Re", "[", 
            RowBox[{
             RowBox[{"Sum", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"\[Eta]", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "*", 
                RowBox[{"fun", "[", 
                 RowBox[{
                  RowBox[{"\[Beta]", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "/", "x"}], "]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"Length", "[", "\[Eta]", "]"}]}], "}"}]}], "]"}], 
             "/", "x"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "T"}], "}"}]}], "]"}], "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.778235123402403*^9, 3.7782351242651186`*^9}, 
   3.778247692563986*^9, 3.7880975395544214`*^9, {3.791834704547977*^9, 
   3.79183470597217*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"b3bd6ddc-fca9-468e-bf97-4acac4c4d4dc"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"===", " ", 
      RowBox[{
      "This", " ", "is", " ", "the", " ", "state", " ", "space", " ", 
       "partitioning", "  ", "module", " ", "which", " ", "returns", "  ", 
       "the", " ", 
       RowBox[{"\[InvisiblePrefixScriptBase]", 
        SuperscriptBox[
         SubscriptBox["S", "a"], 
         RowBox[{"(", "k", ")"}]]}], " ", "Sets", " ", "for", " ", "k"}]}], 
     "\[Element]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
    RowBox[{"a", " ", "\[Element]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"+", 
        RowBox[{",", 
         RowBox[{"-", 
          RowBox[{",", "0", ",", 
           RowBox[{"\[UpperRightArrow]", 
            RowBox[{",", 
             RowBox[{"\[LowerRightArrow]", 
              RowBox[{",", 
               RowBox[{"\[RightArrow]", 
                RowBox[{",", 
                 RowBox[{
                  RowBox[{"\[InvisiblePrefixScriptBase]", 
                   OverscriptBox["+", "\[UpperRightArrow]"]}], 
                  RowBox[{",", 
                   RowBox[{
                    OverscriptBox["+", "\[RightArrow]"], 
                    RowBox[{",", 
                    RowBox[{
                    OverscriptBox["\[RightArrow]", "-"], 
                    RowBox[{",", 
                    
                    OverscriptBox["\[LowerRightArrow]", 
                    "-"]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}], "}"}], "  ", "==", 
      "\[Equal]"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PartitionFluidINF", "[", 
     RowBox[{"QQ_", ",", "RR_", ",", 
      RowBox[{"QQTildaTemp_:", "\"\<Auto\>\""}], ",", 
      RowBox[{"RRTildaTemp_:", "\"\<Auto\>\""}], ",", 
      RowBox[{"Dominant_:", "\"\<Up\>\""}], ",", 
      RowBox[{"prec_:", 
       RowBox[{"N", "[", 
        RowBox[{"10", "^", 
         RowBox[{"-", "14"}]}], "]"}]}]}], "]"}], ":=", "\n", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "K", ",", "k", ",", "NN", ",", "ixz", ",", "ixp", ",", "ixm", ",", 
        "Sp", ",", "Sm", ",", "Sz", ",", "i", ",", "j", ",", "Nz", ",", "Nzk",
         ",", "Np", ",", "Npk", ",", "Nm", ",", "Nmk", ",", "P", ",", "PI", 
        ",", "Q", ",", "R", ",", "Qv", ",", "Rv", ",", "\n", "iQv00", ",", 
        "Qbar", ",", "absRik", ",", "absRi", ",", "Qz", ",", "Qzk", ",", 
        "Qppk", ",", "Qpmk", ",", "Qmpk", ",", "Qmmk", ",", "Rpk", ",", "Rmk",
         ",", "Qpp", ",", "Qpm", ",", "Qmp", ",", "Qmm", ",", "RpInv", ",", 
        "RmInv", ",", "Sup", ",", "Supk", ",", "Sdown", ",", "Sdownk", ",", 
        "Sconst", ",", "Sconstk", ",", "Spup", ",", "Spupk", ",", "Spconst", 
        ",", "Spconstk", ",", "Sdownm", ",", "Sdownmk", ",", "Sconstm", ",", 
        "Sconstmk", ",", "absRiTilda", ",", "absRiTildak", ",", "RmTildaInv", 
        ",", "RmTildak", ",", "RpTildaInv", ",", "RpTildak", ",", "NzTilda", 
        ",", "NzTildak", ",", "NmTilda", ",", "NmTildak", ",", "NpTilda", ",",
         "NpTildak", ",", "ixmTildaAll", ",", "ixmTilda", ",", "ixpTildaAll", 
        ",", "ixpTilda", ",", "ixzTildaAll", ",", "ixzTilda", ",", "RTilda", 
        ",", "NNTilda", ",", "QTilda", ",", "KTilda", ",", "RRTilda", ",", 
        "QQTilda"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"===", "===", "===", "===", "===", "===", 
         RowBox[{"\[Equal]", " ", 
          RowBox[{"Works", " ", "for", " ", "Both", " ", "Right", 
           RowBox[{"(", "Up", ")"}]}]}]}], ",", 
        RowBox[{
         RowBox[{"Left", 
          RowBox[{"(", "Low", ")"}], " ", "Continues", " ", "domination", " ", 
          RowBox[{"i", ".", "e", ".", " ", "boundary"}], " ", "rate", 
          RowBox[{"(", 
           RowBox[{"elemets", " ", "of", " ", "RTilda"}], ")"}], " ", "must", 
          " ", "be", " ", "right", " ", "OR", " ", "left", " ", 
          "continuous"}], " ", "===", "===", "===", "===", "===", "===", 
         "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"===", "===", "===", "===", "===", "===", 
         RowBox[{"\[Equal]", " ", 
          RowBox[{"If", " ", 
           RowBox[{"RTilda", "/", "QTilda"}], " ", "Matrices", " ", "are", 
           " ", "not", " ", "defined"}]}]}], ",", " ", 
        RowBox[{
        "then", " ", "it", " ", "will", " ", "be", " ", "automaticity", " ", 
         "generated", " ", "by", " ", "this", " ", "module"}], ",", "  ", 
        RowBox[{
         RowBox[{
         "based", " ", "on", " ", "the", " ", "\"\<Dominant_\>\"", " ", 
          "Option", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Up", "/", "Low"}], ")"}], ".", " ", "The"}], " ", 
          "default", " ", "is", " ", "Up"}], " ", "===", "===", "===", "===", 
         "===", "===", "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"==", " ", 
         RowBox[{
          RowBox[{
          "If", " ", "RTilda", " ", "Matrices", " ", "are", " ", "User"}], 
          "-", 
          RowBox[{"defined", " ", "based"}]}]}], ",", 
        RowBox[{
        "it", " ", "should", " ", "fulfills", " ", "the", " ", "natural", " ",
          "requirements", " ", "as", " ", "stated", " ", "in", " ", 
         "\"\<Condition 2\>\"", " ", "on", " ", "the", " ", "paper"}], ",", 
        " ", 
        RowBox[{
         RowBox[{
          RowBox[{
          "To", " ", "aviod", " ", "undefined", " ", "stochastic", " ", 
           "behaviour"}], "    ", "==="}], "=", "\[Equal]"}]}], " ", "*)"}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"K", "=", 
        RowBox[{
         RowBox[{"Dimensions", "[", "QQ", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"QQTilda", "=", "QQTildaTemp"}], ";", "\[IndentingNewLine]", 
       RowBox[{"RRTilda", "=", "RRTildaTemp"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Setting", " ", "up", " ", 
          RowBox[{"QTilda", "/", "RTilda"}], " ", "in", " ", "case", " ", 
          "of", " ", "Auto"}], "-", 
         RowBox[{
         "generation", " ", "with", " ", "lower", " ", "region", " ", 
          "domination"}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Dominant", "==", "\"\<Low\>\""}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"QQTildaTemp", "\[Equal]", "\"\<Auto\>\""}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"KTilda", "=", "K"}], ";", "\[IndentingNewLine]", 
             RowBox[{"QQTilda", "=", 
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", "KTilda"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"QQTilda", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "=", 
              RowBox[{"QQ", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "2"}], ",", 
               RowBox[{"i", "\[LessEqual]", " ", "KTilda"}], ",", 
               RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"QQTilda", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "=", 
                 RowBox[{"QQ", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", "-", "1"}], "]"}], "]"}]}], ";"}]}], 
              "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"RRTildaTemp", "\[Equal]", "\"\<Auto\>\""}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"KTilda", "=", "K"}], ";", "\[IndentingNewLine]", 
             RowBox[{"RRTilda", "=", 
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", "KTilda"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"RRTilda", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "=", 
              RowBox[{"RR", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "2"}], ",", 
               RowBox[{"i", "\[LessEqual]", " ", "KTilda"}], ",", 
               RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"RRTilda", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "=", 
                 RowBox[{"RR", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", "-", "1"}], "]"}], "]"}]}], ";"}]}], 
              "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", " ", 
                RowBox[{"KTilda", "-", "1"}]}], ",", 
               RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "1"}], ",", 
                  RowBox[{"j", "\[LessEqual]", " ", 
                   RowBox[{"Length", "[", 
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ",", 
                  RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", "\t", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], ">", "prec"}], " ",
                     "&&", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "<", "prec"}]}], 
                    ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}]}], 
                    "]"}], ";", "\[IndentingNewLine]", 
                   "                                ", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}], ";", 
                    " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}]}]}], 
                    "]"}], ";"}]}], "\[IndentingNewLine]", " ", "]"}], 
                ";"}]}], "\n", "\t    ", "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"K", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", "QQ", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"KTilda", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", "QQTilda", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", " ", 
          RowBox[{"Qz", " ", "=", " ", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"absRi", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Np", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Nm", "=", 
           RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Nz", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Qpp", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Qpm", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Qmp", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Qmm", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"RpInv", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"RmInv", "=", 
           RowBox[{"{", "}"}]}], ";", " ", 
          RowBox[{"Sp", "=", 
           RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Sm", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Sz", "=", 
           RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"absRiTilda", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"NpTilda", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"NmTilda", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"NzTilda", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"RpTildaInv", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"RmTildaInv", "=", 
           RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"ixpTildaAll", "=", 
           RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"ixmTildaAll", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"ixzTildaAll", "=", 
           RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"===", "==="}], "=", 
            RowBox[{
             RowBox[{
             "Checking", "  ", "undefined", " ", "stochastic", " ", 
              "behaviour", " ", "based", " ", "on", " ", "Condition", " ", 
              "2"}], "===", "==="}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{"Condition", " ", "2"}], ",", " ", 
            RowBox[{"Point", " ", "1"}]}], " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"NNTilda", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", 
             RowBox[{"QQTilda", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"i", "=", "1"}], ",", 
            RowBox[{"i", "\[LessEqual]", " ", "NNTilda"}], ",", 
            RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", "\t\t\t\t\t", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"RRTilda", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "i"}], "]"}], "]"}], "<", "prec"}], ",", 
               " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"RRTilda", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "i"}], "]"}], "]"}], "=", "0"}]}], "]"}], 
             ";"}]}], "\t\t\t\t", "\n", "\t", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"i", "=", "1"}], ",", 
            RowBox[{"i", "\[LessEqual]", " ", 
             RowBox[{"KTilda", "-", "1"}]}], ",", 
            RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{
              RowBox[{"Condition", " ", "2"}], ",", " ", 
              RowBox[{"Point", " ", "2", " ", "and", " ", "3"}]}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"!", 
                RowBox[{"SubsetQ", "[", 
                 RowBox[{
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}], ",", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}]}], "]"}]}],
                ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"PartitionFluidINF", "::", "nnarg"}], "=", 
                 "\"\<The boundary negative rate sign's  is not Compatible \
with The region  negative rate sign's.\n\>\""}], ";", 
                RowBox[{"Message", "[", 
                 RowBox[{
                  RowBox[{"PartitionFluidINF", "::", "nnarg"}], ",", "i"}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
              "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"!", 
                RowBox[{"SubsetQ", "[", 
                 RowBox[{
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}], ",", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}]}], "]"}]}],
                ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"PartitionFluidINF", "::", "nnarg"}], "=", 
                 
                 "\"\<The boundary positive rate sign's  is not Compatible \
with The region  positive rate sign's.\n\>\""}], ";", 
                RowBox[{"Message", "[", 
                 RowBox[{
                  RowBox[{"PartitionFluidINF", "::", "nnarg"}], ",", "i"}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
              "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
           "Checking", " ", "the", " ", "compatability", " ", "between", " ", 
            "the", " ", "boundaries", " ", "and", " ", "the", " ", "regions", 
            " ", "for", " ", "the", " ", "zero", " ", "rate", " ", "states", 
            " ", "in", " ", "case", " ", "of", " ", "the", " ", "user", " ", 
            "defined", " ", "RTilda"}], " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"!", 
             RowBox[{"SubsetQ", "[", 
              RowBox[{
               RowBox[{"Union", "[", 
                RowBox[{
                 RowBox[{"Flatten", "[", 
                  RowBox[{"Position", "[", 
                   RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "KTilda", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}], ",", 
                 RowBox[{"Flatten", "[", 
                  RowBox[{"Position", "[", 
                   RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "KTilda", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}]}], "]"}], 
               ",", 
               RowBox[{"Flatten", "[", 
                RowBox[{"Position", "[", 
                 RowBox[{
                  RowBox[{"Diagonal", "[", 
                   RowBox[{"RR", "[", 
                    RowBox[{"[", "KTilda", "]"}], "]"}], "]"}], ",", 
                  RowBox[{"_", "?", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}]}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"PartitionFluidINF", "::", "nnarg"}], "=", 
              "\"\<The Last boundary zero rate sign's  is not Compatible with \
The Last region zero rate sign's.\n\>\""}], ";", 
             RowBox[{"(*", " ", 
              RowBox[{
              "just", " ", "for", " ", "the", " ", "inf", " ", "region"}], 
              "*)"}], "\[IndentingNewLine]", 
             RowBox[{"Message", "[", 
              RowBox[{
               RowBox[{"PartitionFluidINF", "::", "nnarg"}], ",", "i"}], 
              "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"i", "=", "1"}], ",", 
            RowBox[{"i", "\[LessEqual]", " ", 
             RowBox[{"KTilda", "-", "1"}]}], ",", 
            RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"!", 
                RowBox[{"SubsetQ", "[", 
                 RowBox[{
                  RowBox[{"Union", "[", 
                   RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}], ",", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}]}], "]"}], 
                  ",", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}]}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"PartitionFluidINF", "::", "nnarg"}], "=", 
                 "\"\<The boundary zero rate sign's  is not Compatible with \
The region  zero rate sign's.\n\>\""}], ";", 
                RowBox[{"Message", "[", 
                 RowBox[{
                  RowBox[{"PartitionFluidINF", "::", "nnarg"}], ",", "i"}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
              "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"!", 
                RowBox[{"SubsetQ", "[", 
                 RowBox[{
                  RowBox[{"Union", "[", 
                   RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}], ",", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}]}], "]"}], 
                  ",", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}]}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"PartitionFluidINF", "::", "nnarg"}], "=", 
                 "\"\<The boundary zero rate sign's  is not Compatible with \
The region  zero rate sign's.\n\>\""}], ";", 
                RowBox[{"Message", "[", 
                 RowBox[{
                  RowBox[{"PartitionFluidINF", "::", "nnarg"}], ",", "i"}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
              "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Setting", " ", "up", " ", 
          RowBox[{"QTilda", "/", "RTilda"}], " ", "in", " ", "case", " ", 
          "of", " ", "Auto"}], "-", 
         RowBox[{
         "generation", " ", "with", " ", "upper", " ", "region", " ", 
          "domination"}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Dominant", "==", "\"\<Up\>\""}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"QQTildaTemp", "\[Equal]", "\"\<Auto\>\""}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"QQTilda", "=", "QQ"}], ";"}]}], "\[IndentingNewLine]", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"RRTildaTemp", "\[Equal]", "\"\<Auto\>\""}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"KTilda", "=", "K"}], ";", "\[IndentingNewLine]", 
             RowBox[{"RRTilda", "=", "RR"}], ";", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", " ", 
                RowBox[{"KTilda", "-", "1"}]}], ",", 
               RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "1"}], ",", 
                  RowBox[{"j", "\[LessEqual]", " ", 
                   RowBox[{"Length", "[", 
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ",", 
                  RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", "\t", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], ">", "prec"}], " ",
                     "&&", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "<", "prec"}]}], 
                    ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}]}], 
                    "]"}], ";", "\[IndentingNewLine]", 
                   "                                ", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}], ";", 
                    " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}]}]}], 
                    "]"}], ";"}]}], "\[IndentingNewLine]", " ", "]"}], 
                ";"}]}], "\n", "\t    ", "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"K", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", "QQ", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"KTilda", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", "QQTilda", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", " ", 
          RowBox[{"Qz", " ", "=", " ", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"absRi", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Np", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Nm", "=", 
           RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Nz", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Qpp", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Qpm", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Qmp", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Qmm", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"RpInv", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"RmInv", "=", 
           RowBox[{"{", "}"}]}], ";", " ", 
          RowBox[{"Sp", "=", 
           RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Sm", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"Sz", "=", 
           RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"absRiTilda", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"NpTilda", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"NmTilda", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"NzTilda", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"RpTildaInv", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"RmTildaInv", "=", 
           RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"ixpTildaAll", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"ixmTildaAll", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"ixzTildaAll", "=", 
           RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"NNTilda", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", 
             RowBox[{"QQTilda", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"===", "==="}], "=", 
            RowBox[{
             RowBox[{
             "Checking", "  ", "undefined", " ", "stochastic", " ", 
              "behaviour", " ", "based", " ", "on", " ", "Condition", " ", 
              "2"}], "===", "==="}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{"Condition", " ", "2"}], ",", " ", 
            RowBox[{"Point", " ", "1"}]}], " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"i", "=", "1"}], ",", 
            RowBox[{"i", "\[LessEqual]", " ", "NNTilda"}], ",", 
            RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", "\t\t\t\t\t", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"RRTilda", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "i"}], "]"}], "]"}], "<", "prec"}], ",", 
               " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"RRTilda", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "i"}], "]"}], "]"}], "=", "0"}]}], "]"}], 
             ";"}]}], "\t\t\t\t", "\n", "\t", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"i", "=", "1"}], ",", 
            RowBox[{"i", "\[LessEqual]", " ", 
             RowBox[{"KTilda", "-", "1"}]}], ",", 
            RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{
              RowBox[{"Condition", " ", "2"}], ",", " ", 
              RowBox[{"Point", " ", "2", " ", "and", " ", "3"}]}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"!", 
                RowBox[{"SubsetQ", "[", 
                 RowBox[{
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}], ",", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}]}], "]"}]}],
                ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"PartitionFluidINF", "::", "nnarg"}], "=", 
                 "\"\<The boundary negative rate sign's  is not Compatible \
with The region  negative rate sign's.\n\>\""}], ";", 
                RowBox[{"Message", "[", 
                 RowBox[{
                  RowBox[{"PartitionFluidINF", "::", "nnarg"}], ",", "i"}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
              "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"!", 
                RowBox[{"SubsetQ", "[", 
                 RowBox[{
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}], ",", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}]}], "]"}]}],
                ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"PartitionFluidINF", "::", "nnarg"}], "=", 
                 "\"\<The boundary positive rate sign's  is not Compatible \
with The region  positive rate sign's.\n\>\""}], ";", 
                RowBox[{"Message", "[", 
                 RowBox[{
                  RowBox[{"PartitionFluidINF", "::", "nnarg"}], ",", "i"}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
              "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
           "Checking", " ", "the", " ", "compatability", " ", "between", " ", 
            "the", " ", "boundaries", " ", "and", " ", "the", " ", "regions", 
            " ", "for", " ", "the", " ", "zero", " ", "rate", " ", "states", 
            " ", "in", " ", "case", " ", "of", " ", "the", " ", "user", " ", 
            "defined", " ", "RTilda"}], " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"!", 
             RowBox[{"SubsetQ", "[", 
              RowBox[{
               RowBox[{"Union", "[", 
                RowBox[{
                 RowBox[{"Flatten", "[", 
                  RowBox[{"Position", "[", 
                   RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "KTilda", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}], ",", 
                 RowBox[{"Flatten", "[", 
                  RowBox[{"Position", "[", 
                   RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "KTilda", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}]}], "]"}], 
               ",", 
               RowBox[{"Flatten", "[", 
                RowBox[{"Position", "[", 
                 RowBox[{
                  RowBox[{"Diagonal", "[", 
                   RowBox[{"RR", "[", 
                    RowBox[{"[", "KTilda", "]"}], "]"}], "]"}], ",", 
                  RowBox[{"_", "?", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}]}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"PartitionFluidINF", "::", "nnarg"}], "=", 
              "\"\<The Last boundary zero rate sign's  is not Compatible with \
The Last region zero rate sign's.\n\>\""}], ";", 
             RowBox[{"(*", " ", 
              RowBox[{
              "just", " ", "for", " ", "the", " ", "inf", " ", "part"}], 
              "*)"}], "\[IndentingNewLine]", 
             RowBox[{"Message", "[", 
              RowBox[{
               RowBox[{"PartitionFluidINF", "::", "nnarg"}], ",", "i"}], 
              "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"i", "=", "1"}], ",", 
            RowBox[{"i", "\[LessEqual]", " ", 
             RowBox[{"KTilda", "-", "1"}]}], ",", 
            RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"!", 
                RowBox[{"SubsetQ", "[", 
                 RowBox[{
                  RowBox[{"Union", "[", 
                   RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}], ",", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}]}], "]"}], 
                  ",", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}]}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"PartitionFluidINF", "::", "nnarg"}], "=", 
                 "\"\<The boundary zero rate sign's  is not Compatible with \
The region  zero rate sign's.\n\>\""}], ";", 
                RowBox[{"Message", "[", 
                 RowBox[{
                  RowBox[{"PartitionFluidINF", "::", "nnarg"}], ",", "i"}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
              "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"!", 
                RowBox[{"SubsetQ", "[", 
                 RowBox[{
                  RowBox[{"Union", "[", 
                   RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}], ",", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}]}], "]"}], 
                  ",", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}]}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"PartitionFluidINF", "::", "nnarg"}], "=", 
                 "\"\<The boundary zero rate sign's  is not Compatible with \
The region  zero rate sign's.\n\>\""}], ";", 
                RowBox[{"Message", "[", 
                 RowBox[{
                  RowBox[{"PartitionFluidINF", "::", "nnarg"}], ",", "i"}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
              "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"===", "==="}], "=", 
         RowBox[{
          RowBox[{"boundaries", " ", "partitoning"}], "===", "==="}]}], 
        "*)"}], "\[IndentingNewLine]", "\t", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "1"}], ",", 
         RowBox[{"k", "\[LessEqual]", "KTilda"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"QTilda", "=", 
            RowBox[{"QQTilda", "[", 
             RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"RTilda", "=", 
            RowBox[{"RRTilda", "[", 
             RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"NNTilda", "=", 
            RowBox[{
             RowBox[{"Dimensions", "[", "QTilda", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", "\t", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{
               SuperscriptBox[
                SubscriptBox["S", "a"], 
                RowBox[{"(", "k", ")"}]], " ", "Sets", " ", "for", " ", "k"}],
               "\[Element]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "...", ",", 
                RowBox[{"K", "-", "1"}]}], "}"}]}], ",", " ", 
             RowBox[{"a", " ", "\[Element]", 
              RowBox[{"{", 
               RowBox[{"\[UpperRightArrow]", 
                RowBox[{",", 
                 RowBox[{"\[LowerRightArrow]", 
                  RowBox[{",", "\[RightArrow]"}]}]}]}], "}"}]}]}], " ", 
            "*)"}], "\n", "\t", 
           RowBox[{"ixzTilda", "=", 
            RowBox[{"{", "}"}]}], ";", "\n", "\t", 
           RowBox[{"ixpTilda", "=", 
            RowBox[{"{", "}"}]}], ";", "\n", "\t", 
           RowBox[{"ixmTilda", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", "\t", 
           RowBox[{"Do", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Abs", "[", 
                  RowBox[{"RTilda", "[", 
                   RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], "]"}], "<=", 
                 "prec"}], ",", " ", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"ixzTilda", ",", "i"}], "]"}], ",", "\n", "\t\t\t", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"RTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], ">", "prec"}], ",",
                   " ", 
                  RowBox[{"AppendTo", "[", 
                   RowBox[{"ixpTilda", ",", "i"}], "]"}], ",", "\n", 
                  "\t\t\t\t", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"RTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], "<", "prec"}], ",",
                     " ", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"ixmTilda", ",", "i"}], "]"}]}], "]"}]}], "]"}]}],
                "]"}], ";"}], "\n", "\t\t", "\n", "\t", ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "NNTilda"}], "}"}]}], "]"}], ";"}], "\n", 
          "\t", ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"ixzTildaAll", ",", "ixzTilda"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"ixpTildaAll", ",", "ixpTilda"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"ixmTildaAll", ",", "ixmTilda"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"NpTildak", " ", "=", " ", 
           RowBox[{"Length", "[", 
            RowBox[{"ixpTildaAll", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", "\n", "\t", 
          RowBox[{"NmTildak", " ", "=", " ", 
           RowBox[{"Length", "[", 
            RowBox[{"ixmTildaAll", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"NzTildak", " ", "=", " ", 
           RowBox[{"Length", "[", 
            RowBox[{"ixzTildaAll", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", "\n", "          ", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"NpTilda", ",", "NpTildak"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"NmTilda", ",", "NmTildak"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"NzTilda", ",", "NzTildak"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", 
               RowBox[{"ixpTildaAll", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[NotEqual]", " ", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"RpTildak", " ", "=", " ", 
              RowBox[{"DiagonalMatrix", "[", 
               RowBox[{"Abs", "[", 
                RowBox[{"1", "/", 
                 RowBox[{"Diagonal", "[", 
                  RowBox[{"RTilda", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"ixpTildaAll", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"ixpTildaAll", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}]}], 
                "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", 
               RowBox[{"ixmTildaAll", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[NotEqual]", " ", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"RmTildak", " ", "=", " ", 
              RowBox[{"DiagonalMatrix", "[", 
               RowBox[{"Abs", "[", 
                RowBox[{"1", "/", 
                 RowBox[{"Diagonal", "[", 
                  RowBox[{"RTilda", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"ixmTildaAll", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"ixmTildaAll", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}]}], 
                "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"absRiTildak", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"NpTildak", "+", "NmTildak", "+", "NzTildak"}], "}"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"NpTildak", "+", "NmTildak", "+", "NzTildak"}], "}"}]}],
             "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"absRiTildak", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"ixpTildaAll", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"ixpTildaAll", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           "RpTildak"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"absRiTildak", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"ixmTildaAll", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"ixmTildaAll", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           "RmTildak"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"RpTildaInv", ",", "RpTildak"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"RmTildaInv", ",", "RmTildak"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"absRiTilda", ",", "absRiTildak"}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Sup", "=", "ixpTildaAll"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Sdown", "=", "ixmTildaAll"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Sconst", "=", "ixzTildaAll"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"===", "==="}], "=", 
         RowBox[{
          RowBox[{"regions", " ", "partitoning"}], "===", "==="}]}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{
           SuperscriptBox[
            SubscriptBox["S", "a"], 
            RowBox[{"(", "k", ")"}]], " ", "Sets", " ", "for", " ", "k"}], 
          "\[Element]", 
          RowBox[{"{", 
           RowBox[{"1", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
         RowBox[{"a", " ", "\[Element]", 
          RowBox[{"{", 
           RowBox[{"+", 
            RowBox[{",", 
             RowBox[{"-", 
              RowBox[{",", "0"}]}]}]}], "}"}]}]}], " ", "*)"}], 
       "\[IndentingNewLine]", "\t", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "1"}], ",", 
         RowBox[{"k", "\[LessEqual]", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Q", "=", 
            RowBox[{"QQ", "[", 
             RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"R", "=", 
            RowBox[{"RR", "[", 
             RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"NN", "=", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Q", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", "\t", 
           RowBox[{"(*", 
            RowBox[{
            "Partition", " ", "the", " ", "state", " ", "space", " ", 
             "according", " ", "to", " ", 
             RowBox[{
              RowBox[{"positive", "/", "negative"}], "/", "zero"}], " ", 
             "fluid", " ", "rates"}], "*)"}], "\n", "\t", 
           RowBox[{"ixz", "=", 
            RowBox[{"{", "}"}]}], ";", "\n", "\t", 
           RowBox[{"ixp", "=", 
            RowBox[{"{", "}"}]}], ";", "\n", "\t", 
           RowBox[{"ixm", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", "\t", 
           RowBox[{"Do", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Abs", "[", 
                  RowBox[{"R", "[", 
                   RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], "]"}], "<=", 
                 "prec"}], ",", " ", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"ixz", ",", "i"}], "]"}], ",", "\n", "\t\t\t", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"R", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], ">", "prec"}], ",",
                   " ", 
                  RowBox[{"AppendTo", "[", 
                   RowBox[{"ixp", ",", "i"}], "]"}], ",", "\n", "\t\t\t\t", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"R", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], "<", "prec"}], ",",
                     " ", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"ixm", ",", "i"}], "]"}]}], "]"}]}], "]"}]}], 
               "]"}], ";"}], "\n", "\t\t\t", "\n", "\t", ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "NN"}], "}"}]}], "]"}], ";"}], "\n", "\t", 
          ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Sz", ",", "ixz"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Sp", ",", "ixp"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Sm", ",", "ixm"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Npk", " ", "=", " ", 
           RowBox[{"Length", "[", 
            RowBox[{"Sp", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", "\n", "\t", 
          RowBox[{"Nmk", " ", "=", " ", 
           RowBox[{"Length", "[", 
            RowBox[{"Sm", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Nzk", " ", "=", " ", 
           RowBox[{"Length", "[", 
            RowBox[{"Sz", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", "\n", "          ", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Np", ",", "Npk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Nm", ",", "Nmk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Nz", ",", "Nzk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Rpk", " ", "=", " ", 
           RowBox[{"DiagonalMatrix", "[", 
            RowBox[{"Abs", "[", 
             RowBox[{"1", "/", 
              RowBox[{"Diagonal", "[", 
               RowBox[{"R", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}]}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Rmk", " ", "=", " ", 
           RowBox[{"DiagonalMatrix", "[", 
            RowBox[{"Abs", "[", 
             RowBox[{"1", "/", 
              RowBox[{"Diagonal", "[", 
               RowBox[{"R", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}]}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"absRik", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"Npk", "+", "Nmk", "+", "Nzk"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Npk", "+", "Nmk", "+", "Nzk"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"absRik", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sp", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sp", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", "Rpk"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"absRik", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sm", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sm", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", "Rmk"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"RpInv", ",", "Rpk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"RmInv", ",", "Rmk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"absRi", ",", "absRik"}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{
           SuperscriptBox[
            SubscriptBox["S", "a"], 
            RowBox[{"(", "k", ")"}]], " ", "Sets", " ", "for", " ", "k"}], 
          "\[Element]", 
          RowBox[{"{", 
           RowBox[{"1", ",", "...", ",", 
            RowBox[{"K", "-", "1"}]}], "}"}]}], ",", " ", 
         RowBox[{"a", " ", "\[Element]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[InvisiblePrefixScriptBase]", 
             OverscriptBox["+", "\[UpperRightArrow]"]}], 
            RowBox[{",", 
             RowBox[{
              OverscriptBox["+", "\[RightArrow]"], 
              RowBox[{",", 
               RowBox[{
                OverscriptBox["\[RightArrow]", "-"], 
                RowBox[{",", 
                 OverscriptBox["\[LowerRightArrow]", "-"]}]}]}]}]}]}], 
           "}"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Spup", "=", 
        RowBox[{"{", "}"}]}], ";", " ", 
       RowBox[{"Spconst", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"Sdownm", "=", 
        RowBox[{"{", "}"}]}], ";", " ", 
       RowBox[{"Sconstm", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "1"}], ",", 
         RowBox[{"k", "\[LessEqual]", 
          RowBox[{"K", "-", "1"}]}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Spupk", "=", 
           RowBox[{"Intersection", "[", 
            RowBox[{
             RowBox[{"Sp", "[", 
              RowBox[{"[", "k", "]"}], "]"}], ",", 
             RowBox[{"Sup", "[", 
              RowBox[{"[", 
               RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Spup", ",", "Spupk"}], "]"}], ";", "\[IndentingNewLine]", 
          " ", 
          RowBox[{"Spconstk", "=", 
           RowBox[{"Intersection", "[", 
            RowBox[{
             RowBox[{"Sp", "[", 
              RowBox[{"[", "k", "]"}], "]"}], ",", 
             RowBox[{"Sconst", "[", 
              RowBox[{"[", 
               RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Spconst", ",", "Spconstk"}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "0"}], ",", 
         RowBox[{"k", "\[LessEqual]", 
          RowBox[{"K", "-", "1"}]}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Sdownmk", "=", 
           RowBox[{"Intersection", "[", 
            RowBox[{
             RowBox[{"Sm", "[", 
              RowBox[{"[", 
               RowBox[{"k", "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"Sdown", "[", 
              RowBox[{"[", 
               RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Sdownm", ",", "Sdownmk"}], "]"}], ";", 
          "\[IndentingNewLine]", " ", 
          RowBox[{"Sconstmk", "=", 
           RowBox[{"Intersection", "[", 
            RowBox[{
             RowBox[{"Sm", "[", 
              RowBox[{"[", 
               RowBox[{"k", "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"Sconst", "[", 
              RowBox[{"[", 
               RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Sconstm", ",", "Sconstmk"}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{
         "QQTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", "Np", ",", 
          "Nm", ",", "Nz", ",", "NpTilda", ",", "NmTilda", ",", "NzTilda", 
          ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
          "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
          "Sconstm"}], "}"}], "]"}], ";"}]}], "\n", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.7797228838171563`*^9, 3.779722915017387*^9}, {
   3.7797230901901026`*^9, 3.779723131100321*^9}, {3.779723170002015*^9, 
   3.7797231711463284`*^9}, {3.77972321185174*^9, 3.779723237032317*^9}, {
   3.779723421132956*^9, 3.7797234589941907`*^9}, {3.779723502688578*^9, 
   3.7797235050530453`*^9}, {3.779723592269684*^9, 3.7797236217435923`*^9}, {
   3.779723681011507*^9, 3.7797236901339808`*^9}, {3.7797237773397913`*^9, 
   3.779723789887312*^9}, {3.7797238463136473`*^9, 3.7797239565294404`*^9}, {
   3.779723987538748*^9, 3.7797240071154747`*^9}, {3.779724101325198*^9, 
   3.7797241096513987`*^9}, {3.7797283400730658`*^9, 3.779728342220331*^9}, {
   3.7797285086285906`*^9, 3.7797285135554237`*^9}, {3.779728740481698*^9, 
   3.779728743452761*^9}, {3.779728785920258*^9, 3.779728787557885*^9}, {
   3.779728917955224*^9, 3.7797289183920236`*^9}, {3.779729861895216*^9, 
   3.7797298809981403`*^9}, {3.7797860053257036`*^9, 3.779786013560253*^9}, {
   3.7797861348028793`*^9, 3.7797861383060665`*^9}, 3.7797862985740485`*^9, {
   3.779788913949541*^9, 3.7797889155113688`*^9}, {3.7799795262272425`*^9, 
   3.7799795289819984`*^9}, {3.7800342723312855`*^9, 
   3.7800342883492775`*^9}, {3.7801301949569063`*^9, 3.780130218569439*^9}, {
   3.7801302521566*^9, 3.7801302645479355`*^9}, {3.780205487837159*^9, 
   3.780205564545213*^9}, {3.780205674388966*^9, 3.7802056889667854`*^9}, {
   3.7803318116560955`*^9, 3.7803318116880507`*^9}, 3.780465864176914*^9, {
   3.7807352202602572`*^9, 3.780735237119161*^9}, 3.7807360164814067`*^9, {
   3.7807360761887875`*^9, 3.7807360768938584`*^9}, {3.7807402950009675`*^9, 
   3.780740295361974*^9}, {3.7809149494701614`*^9, 3.780914949608822*^9}, {
   3.7809150021543818`*^9, 3.780915002405676*^9}, {3.7817054478879194`*^9, 
   3.7817054498186665`*^9}, {3.782724484334981*^9, 3.7827245331445217`*^9}, {
   3.7827250947384605`*^9, 3.7827250962314744`*^9}, {3.782725128584016*^9, 
   3.782725128725634*^9}, {3.782725169758359*^9, 3.782725171287402*^9}, {
   3.7827252245163755`*^9, 3.782725256646174*^9}, {3.782725326584033*^9, 
   3.7827253306996393`*^9}, {3.78272536201419*^9, 3.7827253969696865`*^9}, {
   3.782725506040987*^9, 3.7827255344320636`*^9}, {3.782725617124876*^9, 
   3.7827256261536655`*^9}, {3.7827257049624925`*^9, 
   3.7827257480008893`*^9}, {3.7827257842615085`*^9, 3.782725797695588*^9}, {
   3.782725843204909*^9, 3.782726184233528*^9}, {3.782726384764778*^9, 
   3.7827263903387694`*^9}, {3.782728734979452*^9, 3.7827288977522335`*^9}, {
   3.782728987959694*^9, 3.782728998872961*^9}, {3.782729148752772*^9, 
   3.782729171540702*^9}, 3.7827293722193117`*^9, {3.7827295548627744`*^9, 
   3.7827296304339514`*^9}, {3.7827503364723735`*^9, 
   3.7827505405034895`*^9}, {3.782750660104673*^9, 3.7827506649526606`*^9}, {
   3.782752017414155*^9, 3.78275201752984*^9}, {3.78275211778307*^9, 
   3.7827521499140997`*^9}, {3.7827521926528606`*^9, 3.782752197350254*^9}, {
   3.7827523287197213`*^9, 3.7827523325873833`*^9}, {3.7833600453029623`*^9, 
   3.78336005069794*^9}, {3.783360135531271*^9, 3.7833601470084534`*^9}, {
   3.78336019918744*^9, 3.7833602105853043`*^9}, {3.7833602450011625`*^9, 
   3.783360336802185*^9}, {3.7833604131068993`*^9, 3.783360466671562*^9}, {
   3.783360590717358*^9, 3.7833605948857965`*^9}, {3.783360703593992*^9, 
   3.783360706388007*^9}, 3.783364459019863*^9, 3.78342081612039*^9, {
   3.783420851696208*^9, 3.7834208534674697`*^9}, {3.783420905557104*^9, 
   3.783420907277501*^9}, {3.783421101262637*^9, 3.783421117358576*^9}, 
   3.7834211883925233`*^9, {3.7834215344365788`*^9, 3.783421537470461*^9}, {
   3.7834234609346285`*^9, 3.7834235234513674`*^9}, {3.7834353678671722`*^9, 
   3.7834353988353205`*^9}, 3.7834354316305757`*^9, {3.7834354704766483`*^9, 
   3.783435578827753*^9}, {3.7834356137014494`*^9, 3.783435837274286*^9}, {
   3.7834360644254684`*^9, 3.783436088631708*^9}, {3.783536123519413*^9, 
   3.7835361544164133`*^9}, {3.7835363144989023`*^9, 3.783536314708375*^9}, {
   3.7838810525834703`*^9, 3.783881062854102*^9}, {3.7838811203979945`*^9, 
   3.783881121520158*^9}, {3.784487953150869*^9, 3.7844879561666284`*^9}, {
   3.7844879979702396`*^9, 3.784487998579918*^9}, {3.7844881389366817`*^9, 
   3.784488198889467*^9}, {3.7844882546307774`*^9, 3.7844883062327623`*^9}, {
   3.784488345410277*^9, 3.78448837699512*^9}, {3.7844884161757975`*^9, 
   3.78448841753858*^9}, {3.7844887247357674`*^9, 3.7844887259447613`*^9}, {
   3.7844899338920116`*^9, 3.7844899378770795`*^9}, {3.784794897233775*^9, 
   3.784795015701836*^9}, {3.784795126662198*^9, 3.78479515978228*^9}, {
   3.784795192464831*^9, 3.784795272342015*^9}, {3.784795425503905*^9, 
   3.7847954677272053`*^9}, {3.7847955471619034`*^9, 
   3.7847955511964235`*^9}, {3.784796034457252*^9, 3.784796039733733*^9}, {
   3.784798735931958*^9, 3.7847988039540024`*^9}, {3.7847989719236116`*^9, 
   3.7847991558904066`*^9}, {3.784799204485355*^9, 3.7847992166658125`*^9}, {
   3.7848021237187533`*^9, 3.7848022306542387`*^9}, {3.784802285197293*^9, 
   3.7848022860170946`*^9}, {3.7848023228910484`*^9, 3.78480238756702*^9}, {
   3.784805282017826*^9, 3.7848054645155973`*^9}, {3.784821714875697*^9, 
   3.7848217981742525`*^9}, {3.7848218633650403`*^9, 
   3.7848218722523317`*^9}, {3.7848219920584908`*^9, 
   3.7848220276147547`*^9}, {3.784822407729886*^9, 3.7848224540040817`*^9}, {
   3.7848230502269573`*^9, 3.7848231090409765`*^9}, {3.7848231801547556`*^9, 
   3.7848231844761505`*^9}, {3.7848232886095457`*^9, 3.784823451573537*^9}, {
   3.784823510379205*^9, 3.784823539192116*^9}, {3.7848235721220617`*^9, 
   3.7848235897807703`*^9}, {3.784823985766859*^9, 3.784824044591486*^9}, {
   3.7848319902194705`*^9, 3.7848320087967653`*^9}, {3.784832067579959*^9, 
   3.784832067894077*^9}, {3.7848321016038866`*^9, 3.784832126735648*^9}, {
   3.7848334837769146`*^9, 3.7848335305937014`*^9}, {3.7848335937118244`*^9, 
   3.7848336128197117`*^9}, {3.7848336444909325`*^9, 3.784833672130978*^9}, {
   3.784833753837376*^9, 3.7848338176416683`*^9}, {3.7848342362785635`*^9, 
   3.7848342654511614`*^9}, {3.784834300181384*^9, 3.7848343094823604`*^9}, {
   3.784834364688259*^9, 3.7848344085159693`*^9}, {3.784834549083779*^9, 
   3.7848345493863106`*^9}, {3.784834606110993*^9, 3.7848346075776143`*^9}, {
   3.7848347665467424`*^9, 3.7848347673561077`*^9}, {3.784834905853058*^9, 
   3.784834931689835*^9}, {3.7848354924368935`*^9, 3.7848354956313486`*^9}, {
   3.7848357675502753`*^9, 3.7848357717205367`*^9}, {3.784835981525893*^9, 
   3.784835984277791*^9}, {3.784877830890011*^9, 3.7848778694613824`*^9}, {
   3.7848781177703505`*^9, 3.784878126055299*^9}, {3.7848812553929696`*^9, 
   3.7848812659063997`*^9}, {3.78488151928189*^9, 3.7848815225512066`*^9}, {
   3.7848815880764055`*^9, 3.7848815993771443`*^9}, {3.784881818497571*^9, 
   3.7848818519520087`*^9}, {3.7848824666025496`*^9, 3.78488247787279*^9}, {
   3.784882531207412*^9, 3.7848825341981945`*^9}, {3.7848838372225847`*^9, 
   3.784883854280948*^9}, {3.7848838851194363`*^9, 3.784883885387768*^9}, {
   3.784884595898813*^9, 3.784884600494511*^9}, {3.7848846437607093`*^9, 
   3.7848846745490913`*^9}, {3.78488475710322*^9, 3.7848847628798137`*^9}, {
   3.784885193245067*^9, 3.7848852671313877`*^9}, {3.7848853656697545`*^9, 
   3.784885415758787*^9}, {3.784885528638734*^9, 3.7848855385053315`*^9}, {
   3.7848855819431157`*^9, 3.7848855886501703`*^9}, {3.7848856230640965`*^9, 
   3.7848856263503046`*^9}, 3.7849140045728207`*^9, {3.7849144856297226`*^9, 
   3.784914487201519*^9}, {3.7849146161384892`*^9, 3.7849146248084574`*^9}, {
   3.7850037984179745`*^9, 3.785003806306833*^9}, {3.7850039765790567`*^9, 
   3.785003980775612*^9}, {3.78500407901525*^9, 3.785004082261922*^9}, {
   3.7854087991235013`*^9, 3.785408825158862*^9}, {3.7855680629459686`*^9, 
   3.785568076893427*^9}, {3.7855683129503293`*^9, 3.7855683481762886`*^9}, {
   3.7855684003504105`*^9, 3.785568692912322*^9}, {3.785568741375519*^9, 
   3.785568985306946*^9}, {3.785569050207857*^9, 3.785569190944934*^9}, 
   3.7855749724984093`*^9, 3.7855750227783556`*^9, {3.785576772841896*^9, 
   3.785576878235837*^9}, {3.7855769208537827`*^9, 3.7855769501184635`*^9}, {
   3.7855769948198814`*^9, 3.7855770165247445`*^9}, {3.785577048131198*^9, 
   3.785577053708233*^9}, {3.7855772222741556`*^9, 3.7855772275529866`*^9}, {
   3.785577275899598*^9, 3.785577354884217*^9}, {3.7855773891993823`*^9, 
   3.785577448152611*^9}, 3.7855775431623983`*^9, {3.785579550929948*^9, 
   3.7855795555027094`*^9}, {3.785586663715706*^9, 3.785586753733471*^9}, {
   3.785664069318123*^9, 3.785664071719475*^9}, {3.7856643005387444`*^9, 
   3.7856643170604887`*^9}, {3.785664384199676*^9, 3.785664385639247*^9}, {
   3.7856644339212914`*^9, 3.7856644624862785`*^9}, {3.7856645296932974`*^9, 
   3.7856646231021247`*^9}, {3.785664656548526*^9, 3.785664696456194*^9}, {
   3.7856647597990966`*^9, 3.7856648017221866`*^9}, {3.7856649153967094`*^9, 
   3.785664922606682*^9}, {3.785665002388378*^9, 3.785665005936393*^9}, {
   3.7856650825299993`*^9, 3.785665097775592*^9}, {3.785665310815076*^9, 
   3.785665362072495*^9}, {3.7856655209803753`*^9, 3.785665568856984*^9}, {
   3.7856656418867283`*^9, 3.785665740547633*^9}, {3.7856661797149305`*^9, 
   3.785666188750292*^9}, {3.7856664652434745`*^9, 3.7856664840679445`*^9}, {
   3.785666549147442*^9, 3.7856665639595394`*^9}, 3.785666657165948*^9, {
   3.7856667061288586`*^9, 3.785666727576748*^9}, {3.7856667971517425`*^9, 
   3.785666819892525*^9}, {3.7856671497155123`*^9, 3.7856671819853306`*^9}, 
   3.7860074689536867`*^9, {3.7860075086250315`*^9, 3.7860075656050243`*^9}, {
   3.7860076094436913`*^9, 3.786007625555951*^9}, {3.786007832921219*^9, 
   3.78600783718042*^9}, {3.786007888932288*^9, 3.786007891689653*^9}, 
   3.7860080770439587`*^9, {3.7860082052733603`*^9, 3.7860082450202184`*^9}, {
   3.78600829184643*^9, 3.7860083076810703`*^9}, {3.7860084172060175`*^9, 
   3.7860084180078745`*^9}, {3.7860085921670213`*^9, 3.786008830632515*^9}, {
   3.7860089192248526`*^9, 3.786008923472232*^9}, {3.786008982690135*^9, 
   3.7860089893426695`*^9}, {3.7860090467571063`*^9, 
   3.7860091153404036`*^9}, {3.786009566574317*^9, 3.7860095750199966`*^9}, {
   3.7860098329502497`*^9, 3.7860099420428653`*^9}, {3.786009981475204*^9, 
   3.7860100045333123`*^9}, {3.7860101124242897`*^9, 3.78601016802011*^9}, {
   3.7860103627690997`*^9, 3.7860103725028186`*^9}, {3.7860105090726366`*^9, 
   3.7860105229714255`*^9}, {3.786010613535555*^9, 3.7860106618403573`*^9}, {
   3.7860114483287044`*^9, 3.786011566994846*^9}, {3.786011666467553*^9, 
   3.7860116839080195`*^9}, 3.7860117527897205`*^9, 3.786011796556728*^9, {
   3.786011827812295*^9, 3.7860118312411175`*^9}, {3.786011882418112*^9, 
   3.7860118850807056`*^9}, {3.786012065814787*^9, 3.7860120688576007`*^9}, {
   3.786016982311864*^9, 3.786017009989791*^9}, {3.7860170575235844`*^9, 
   3.7860170754635696`*^9}, {3.7860171698439956`*^9, 3.786017211386811*^9}, 
   3.786017902708418*^9, {3.7860179371173325`*^9, 3.786017991416016*^9}, {
   3.7860180373211627`*^9, 3.7860180434557447`*^9}, {3.7860181529606843`*^9, 
   3.786018186559767*^9}, {3.7860182426506963`*^9, 3.786018336277129*^9}, {
   3.786018383017042*^9, 3.786018514823329*^9}, {3.7860186716615644`*^9, 
   3.786018692879779*^9}, {3.786018829389448*^9, 3.7860188792679634`*^9}, {
   3.7860190751612935`*^9, 3.786019151374329*^9}, {3.786019309017441*^9, 
   3.7860193094273443`*^9}, {3.7860198385833316`*^9, 3.786019839090973*^9}, {
   3.786019878180406*^9, 3.7860199648105187`*^9}, {3.786020071762288*^9, 
   3.786020155191017*^9}, {3.786020298075677*^9, 3.78602033051989*^9}, {
   3.786020408320635*^9, 3.78602043266648*^9}, {3.7860204876957445`*^9, 
   3.7860206935937157`*^9}, {3.7860207728924923`*^9, 
   3.7860207866905627`*^9}, {3.786021164604457*^9, 3.7860212223847837`*^9}, {
   3.7860212736336308`*^9, 3.7860212913631773`*^9}, {3.786021376655964*^9, 
   3.7860213794813538`*^9}, 3.7860227132568293`*^9, {3.786022767902424*^9, 
   3.786022768462922*^9}, {3.786022911420005*^9, 3.7860229117570057`*^9}, 
   3.7860231826478643`*^9, {3.786023315483073*^9, 3.78602333684727*^9}, {
   3.7860233959892883`*^9, 3.7860234018816547`*^9}, {3.786023465086134*^9, 
   3.7860235960118217`*^9}, {3.7860236527738204`*^9, 3.786023656681117*^9}, {
   3.7860250228880897`*^9, 3.786025032110542*^9}, {3.786025323925583*^9, 
   3.78602535900539*^9}, {3.786025400289716*^9, 3.7860254005879593`*^9}, {
   3.7860254855322204`*^9, 3.786025515647149*^9}, {3.7860256416870413`*^9, 
   3.7860256691427155`*^9}, {3.786025734661915*^9, 3.7860257624422035`*^9}, {
   3.7860258108459196`*^9, 3.786025832796638*^9}, {3.7860272654537754`*^9, 
   3.786027301468788*^9}, 3.7860280949775157`*^9, 3.7860996022622957`*^9, 
   3.7861002354226303`*^9, {3.786100265718897*^9, 3.7861003169411144`*^9}, {
   3.7861003750899744`*^9, 3.7861003909979987`*^9}, 3.786100442535286*^9, {
   3.7861009374270525`*^9, 3.78610095479356*^9}, {3.786101404968396*^9, 
   3.7861015504045725`*^9}, {3.7861020135795736`*^9, 
   3.7861020181172223`*^9}, {3.78610204819292*^9, 3.786102067551983*^9}, {
   3.786102195116477*^9, 3.7861021964031954`*^9}, {3.7861023245878744`*^9, 
   3.7861023308356*^9}, {3.786102416895897*^9, 3.7861024625117702`*^9}, {
   3.786102514493552*^9, 3.7861025378309526`*^9}, 3.7861029116578026`*^9, {
   3.7862719834428167`*^9, 3.786271986842326*^9}, {3.786272023977376*^9, 
   3.7862720305400796`*^9}, {3.7862720930572824`*^9, 
   3.7862721803292265`*^9}, {3.7862727084247503`*^9, 
   3.7862727946490707`*^9}, {3.7862729168864717`*^9, 3.786272954798359*^9}, {
   3.786273593111758*^9, 3.7862736062625885`*^9}, {3.7862779078751187`*^9, 
   3.7862779169725323`*^9}, 3.7862782185478935`*^9, {3.786281820731866*^9, 
   3.786281837708429*^9}, {3.7862820528243017`*^9, 3.7862820830277824`*^9}, 
   3.786288380351402*^9, {3.786288580065942*^9, 3.786288639287449*^9}, {
   3.7880951911324153`*^9, 3.788095193629325*^9}, {3.788095516517007*^9, 
   3.7880955225842047`*^9}, {3.7880956156976266`*^9, 
   3.7880956887596245`*^9}, {3.788095724765731*^9, 3.7880957692217474`*^9}, {
   3.7880959088042927`*^9, 3.788095943121317*^9}, {3.7880960716759667`*^9, 
   3.78809607218664*^9}, {3.788096692338621*^9, 3.788096704312807*^9}, {
   3.7880975197227488`*^9, 3.788097530321205*^9}, {3.788100962704256*^9, 
   3.7881009815406303`*^9}, {3.788101151097584*^9, 3.7881011512261133`*^9}, {
   3.788101283262927*^9, 3.788101298046214*^9}, {3.7881013598305645`*^9, 
   3.7881013732383966`*^9}, {3.7881014894307947`*^9, 3.788101494069581*^9}, {
   3.788101725034653*^9, 3.788101759363473*^9}, {3.7881017971387024`*^9, 
   3.788101813616349*^9}, 3.7881019409199553`*^9, {3.7881077546993885`*^9, 
   3.7881077633851166`*^9}, {3.7881088137663217`*^9, 3.7881088181360617`*^9}, 
   3.788583888537684*^9, {3.790938916124698*^9, 3.7909389344409766`*^9}, {
   3.791117246575697*^9, 3.7911172715968723`*^9}, 3.7911956995145245`*^9, {
   3.7911957591172276`*^9, 3.7911957758764443`*^9}, {3.7911958654370713`*^9, 
   3.791195875122183*^9}, {3.791195972780972*^9, 3.7911959884340863`*^9}, {
   3.7911960344461117`*^9, 3.7911960936727595`*^9}, {3.79119639946863*^9, 
   3.7911964027578297`*^9}, {3.791196448641532*^9, 3.791196469964826*^9}, {
   3.7911965252846947`*^9, 3.7911965406588755`*^9}, {3.7911965746951156`*^9, 
   3.7911966187395315`*^9}, {3.7911966807041917`*^9, 
   3.7911966821620216`*^9}, {3.79119681333813*^9, 3.791196815144845*^9}, 
   3.791196980467457*^9, {3.791197419071291*^9, 3.7911974419825215`*^9}, {
   3.7911975459169455`*^9, 3.791197596137638*^9}, {3.7911977040744524`*^9, 
   3.7911977202018914`*^9}, {3.7911978295714583`*^9, 
   3.7911979512486773`*^9}, {3.7911981041473927`*^9, 
   3.7911981206700077`*^9}, {3.7911993873159657`*^9, 3.791199390427313*^9}, {
   3.7911994264306884`*^9, 3.7911994707785835`*^9}, 3.791834759897038*^9, {
   3.791834849119527*^9, 3.791834860528998*^9}, {3.791834907214961*^9, 
   3.791834949205684*^9}, {3.7918358648938313`*^9, 3.7918358897045064`*^9}, {
   3.7918360538935866`*^9, 3.791836157684126*^9}, {3.7918363582060757`*^9, 
   3.7918363707086554`*^9}, {3.7918364327817163`*^9, 3.791836455212726*^9}, {
   3.7918364872860117`*^9, 3.791836514110304*^9}, {3.791836666801118*^9, 
   3.7918367859497766`*^9}, {3.791836838134272*^9, 3.791836849216648*^9}, {
   3.7918368930933275`*^9, 3.7918368943749013`*^9}, {3.791837104229903*^9, 
   3.791837105048739*^9}, {3.7918371381432667`*^9, 3.791837140805152*^9}, {
   3.7918371807733064`*^9, 3.791837198398166*^9}, {3.791837230314844*^9, 
   3.7918373311253786`*^9}, {3.7919245085274973`*^9, 
   3.7919245086631336`*^9}, {3.7919245762193537`*^9, 3.791924596053649*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"ab8e23dc-2149-45c7-86bf-c572e288abc4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "module", " ", "computes", " ", "the", " ", "Total", " ", 
      "CDF", " ", "up", " ", "to", " ", "fluid", " ", "level", " ", "added", 
      " ", "to", " ", "the", " ", "MASS", " ", "below", " ", "the", " ", 
      "final", " ", "fluid", " ", "level", " ", "\"\<y\>\"", " ", "starting", 
      " ", "from", " ", "fluid", " ", "level", " ", "\"\<x\>\"", " ", "at", 
      " ", "a", " ", "given", " ", "time", " ", "point"}]}], "  ", "===", "===",
     "===", "===", "===", "===", "\[Equal]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"TransientFluidPWINFCDF", "[", 
      RowBox[{
      "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
       "Sp_", ",", "Sm_", ",", "Sz_", "  ", ",", "Sup_", ",", "Sdown_", ",", 
       "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
       "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tinf_", ",", 
       "tempinc_", ",", "tempfinc_", ",", "s_"}], "]"}], ":=", 
     "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "km", ",", "k", ",", "K", ",", "dim", ",", "mass", ",", "kn", ",", 
         "tempin", ",", " ", "tempfin"}], "}"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tempfin", "=", "tempfinc"}], ";", "\[IndentingNewLine]", 
        RowBox[{"tempin", "=", "tempinc"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"Element", "[", 
           RowBox[{"tempin", ",", "Rationals"}], "]"}], ",", 
          RowBox[{
          "Print", "[", "\"\<initial fluid level is not real\>\"", "]"}]}], 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"Element", "[", 
           RowBox[{"tempfin", ",", "Rationals"}], "]"}], ",", 
          RowBox[{
          "Print", "[", "\"\<final fluid level is not real\>\"", "]"}]}], 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"Element", "[", 
           RowBox[{"Tinf", ",", "Rationals"}], "]"}], ",", 
          RowBox[{
          "Print", "[", "\"\<the boundary levels are not real\>\"", "]"}]}], 
         "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Tinf", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "==", "tempin"}], " ", ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tempin", "+=", " ", "0.00001"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"MemberQ", "[", 
           RowBox[{"Tinf", ",", "tempin"}], "]"}], " ", ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tempin", "-=", " ", "0.00001"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Tinf", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "==", "tempfin"}], " ", ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tempfin", "+=", " ", "0.00001"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         StyleBox[" ",
          FontWeight->"Plain"], 
         RowBox[{
          RowBox[{"MemberQ", "[", 
           RowBox[{"Tinf", ",", "tempfin"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tempfin", "-=", " ", "0.00001"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"K", "=", 
         RowBox[{"Length", "[", "Tinf", "]"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"km", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"FirstPosition", "[", 
            RowBox[{"Tinf", ",", 
             RowBox[{"_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#", ">", "tempfin"}], " ", "&"}], ")"}]}]}], "]"}], 
           "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
          "index", " ", "of", " ", "regime", " ", "of", " ", "tempfin", " ", 
           RowBox[{"(", "ell", ")"}]}], ",", " ", 
          RowBox[{"counted", " ", "from", " ", "0"}]}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"km", "==", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
          RowBox[{"km", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"kn", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"FirstPosition", "[", 
            RowBox[{"Tinf", ",", 
             RowBox[{"_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#", ">", "tempin"}], " ", "&"}], ")"}]}]}], "]"}], 
           "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
          "index", " ", "of", " ", "regime", " ", "of", " ", "tempin", " ", 
           RowBox[{"(", "k", ")"}]}], ",", " ", 
          RowBox[{"counted", " ", "from", " ", "0"}]}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"kn", "==", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
          RowBox[{"kn", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"dim", "=", 
         RowBox[{"Length", "[", 
          RowBox[{"Q", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"mass", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", "dim", "}"}], ",", 
           RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
         "collecting", " ", "the", " ", "masses", " ", "below", "  ", 
          "tempfin"}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "1"}], ",", 
          RowBox[{"k", "<=", "km"}], ",", 
          RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"mass", "+=", 
            RowBox[{"TransientFluidPWINF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
              "tempin", ",", 
              RowBox[{"Tinf", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", "s", ",", 
              "\"\<MASS\>\""}], "]"}]}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
         "collecting", " ", "the", " ", "integrals", " ", "below", " ", "the",
           " ", "region", " ", "of", " ", "tempfin"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "1"}], ",", 
          RowBox[{"k", "<=", 
           RowBox[{"km", "-", "1"}]}], ",", 
          RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"k", "\[NotEqual]", "kn"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"mass", "+=", 
               RowBox[{"TransientFluidPWINF", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf",
                  ",", "tempin", ",", 
                 RowBox[{
                  RowBox[{"Tinf", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}], "-", "0.000001"}], 
                 ",", "s", ",", "\"\<CDF\>\""}], "]"}]}], ";"}], 
             "\[IndentingNewLine]", ",", "\[IndentingNewLine]", " ", 
             RowBox[{
              RowBox[{"mass", "+=", 
               RowBox[{"TransientFluidPWINF", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf",
                  ",", "tempin", ",", 
                 RowBox[{"tempin", "-", "0.000001"}], ",", "s", ",", 
                 "\"\<CDF\>\""}], "]"}]}], " ", ";", "\[IndentingNewLine]", 
              RowBox[{"mass", "+=", 
               RowBox[{"TransientFluidPWINF", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf",
                  ",", "tempin", ",", 
                 RowBox[{
                  RowBox[{"Tinf", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}], "-", "0.000001"}], 
                 ",", "s", ",", "\"\<CDF\>\""}], "]"}]}], ";"}]}], 
            "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
         "collecting", " ", "the", " ", "integrals", " ", "in", " ", "the", 
          " ", "region", " ", "of", " ", "tempfin"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"km", "\[NotEqual]", "kn"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"mass", "+=", 
            RowBox[{"TransientFluidPWINF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
              "tempin", ",", 
              RowBox[{"tempfin", "-", "0.000001"}], ",", "s", ",", 
              "\"\<CDF\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", ",", 
          " ", 
          RowBox[{
           RowBox[{"mass", "+=", 
            RowBox[{"TransientFluidPWINF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
              "tempin", ",", 
              RowBox[{"tempfin", "-", "0.000001"}], ",", "s", ",", 
              "\"\<CDF\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", " ", 
            RowBox[{
             RowBox[{"tempin", "<", "tempfin"}], ",", " ", 
             RowBox[{
              RowBox[{"mass", "+=", 
               RowBox[{"TransientFluidPWINF", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf",
                  ",", "tempin", ",", 
                 RowBox[{"tempin", "-", "0.000001"}], ",", "s", ",", 
                 "\"\<CDF\>\""}], "]"}]}], " ", ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "mass", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7910130329160643`*^9, 3.7910130605741396`*^9}, 
   3.7910132932155905`*^9, {3.7910133560040913`*^9, 3.7910133652106314`*^9}, {
   3.7911045170438757`*^9, 3.7911045373756714`*^9}, {3.7911046079284506`*^9, 
   3.7911046101855545`*^9}, 3.7911049262890635`*^9, 3.7911055483092394`*^9, 
   3.791106107983295*^9, 3.791106138033725*^9, {3.791106525899007*^9, 
   3.791106526055607*^9}, 3.7911066701612644`*^9, {3.791106729735587*^9, 
   3.791106769730961*^9}, 3.791107057956558*^9, {3.791107117923995*^9, 
   3.791107126559786*^9}, {3.7911072179390717`*^9, 3.791107225318257*^9}, {
   3.791107268826911*^9, 3.7911073118700886`*^9}, {3.7911073548723392`*^9, 
   3.791107379629116*^9}, {3.791107442728465*^9, 3.791107460257269*^9}, {
   3.791107898735568*^9, 3.7911078992141433`*^9}, 3.7911079666510987`*^9, {
   3.79111184018451*^9, 3.7911118616022696`*^9}, {3.791111980610998*^9, 
   3.791112002042718*^9}, {3.7911120794249344`*^9, 3.7911121306996665`*^9}, {
   3.7911122040099792`*^9, 3.791112214250586*^9}, {3.791112266284896*^9, 
   3.7911122711030188`*^9}, {3.791112312733756*^9, 3.79111239782131*^9}, {
   3.791112486948864*^9, 3.7911125049367886`*^9}, {3.791112591844017*^9, 
   3.7911126052202673`*^9}, {3.7911130875890145`*^9, 3.791113101465933*^9}, {
   3.7911162898685265`*^9, 3.7911162906294556`*^9}, {3.791116695632209*^9, 
   3.791116714142709*^9}, {3.7911167645360303`*^9, 3.7911167724299297`*^9}, {
   3.7911169697725315`*^9, 3.79111697510724*^9}, 3.791117237280589*^9, {
   3.7918373362436934`*^9, 3.791837338662233*^9}, {3.791837390360998*^9, 
   3.7918374067532024`*^9}, {3.7919245086751013`*^9, 
   3.7919245086990376`*^9}, {3.79192457635898*^9, 3.79192459606927*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"b6134186-486b-4253-942e-22cf5636b1d8"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", "===", "===", "===", "===", "===", 
     RowBox[{"\[Equal]", " ", 
      RowBox[{
      "This", " ", "is", " ", "the", " ", "main", " ", "module", " ", "to", 
       " ", "call"}]}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "it", " ", "works", " ", "as", " ", "routing", " ", "function", " ", 
      "to", " ", "select", " ", "the", " ", "proper", " ", "case", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"i", ".", "e"}], " ", "starting", " ", "from", " ", 
         "boundary"}], ",", " ", 
        RowBox[{"going", " ", "to", " ", "boundary"}], ",", " ", 
        RowBox[{"between", " ", "boundaries"}]}], ")"}], "  ", "based", " ", 
      "on", " ", "the", " ", 
      RowBox[{"initial", "/", "final"}], 
      RowBox[{"(", 
       RowBox[{"tempin", "/", "tempfin"}], ")"}], " ", "fluid", " ", "level", 
      " ", "values"}], " ", "===", "===", "===", "===", "===", "===", 
     "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", "  ", 
     RowBox[{
     "You", " ", "can", " ", "get", " ", "back", " ", "the", " ", "transient",
       " ", 
      RowBox[{
       RowBox[{"PDF", "/", "CDF"}], "/", "MASS"}], " ", "Matrices", " ", 
      "based", " ", "on", " ", "final", " ", "fluid", " ", "level", " ", 
      "\"\<y\>\"", " ", "starting", " ", "from", " ", "fluid", " ", "level", 
      " ", "\"\<x\>\"", " ", "at", " ", "a", " ", "given", " ", "time", " ", 
      "point", " ", "with", " ", "the", " ", "required", " ", "\"\<Res_\>\"", 
      " ", "value"}]}], " ", "===", "===", "===", "===", "===", "===", 
    "\[Equal]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"TransientFluidPWINF", "[", 
      RowBox[{
      "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
       "Sp_", ",", "Sm_", ",", "Sz_", "  ", ",", "Sup_", ",", "Sdown_", ",", 
       "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
       "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tinf_", ",", 
       "tempin_", ",", "tempfin_", ",", "s_", ",", 
       RowBox[{"Res_:", "\"\<PDF\>\""}]}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "VBound2Bound", ",", "VStartBound", ",", "VGoingBound", ",", 
         "VBetweenBound"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"MemberQ", "[", 
            RowBox[{"Tinf", ",", "tempin"}], "]"}], "  ", 
           StyleBox["&&",
            FontWeight->"Plain"], 
           StyleBox[" ",
            FontWeight->"Plain"], 
           RowBox[{"MemberQ", "[", 
            RowBox[{"Tinf", ",", "tempfin"}], "]"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"VBound2Bound", "=", 
            RowBox[{"CMPWINF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
              "tempin", ",", "tempfin", ",", "s", ",", "Res"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "VBound2Bound", "]"}], ";"}]}], 
         RowBox[{"(*", " ", 
          RowBox[{"V", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "l"]}]}], ")"}], "/", " ", "P"}], 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], 
              SubscriptBox["T", "l"]}]}], ")"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"MemberQ", "[", 
            RowBox[{"Tinf", ",", "tempin"}], "]"}], "&&", " ", 
           RowBox[{"!", 
            RowBox[{"MemberQ", "[", 
             RowBox[{"Tinf", ",", "tempfin"}], "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"VStartBound", "=", 
            RowBox[{"SFBPWINF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
              "tempin", ",", "tempfin", ",", "s", ",", "Res"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "VStartBound", "]"}], ";"}]}], " ", 
         RowBox[{"(*", " ", 
          RowBox[{"V", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], "y"}]}], ")"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"MemberQ", "[", 
            RowBox[{"Tinf", ",", "tempfin"}], "]"}], " ", "&&", " ", 
           RowBox[{"!", 
            RowBox[{"MemberQ", "[", 
             RowBox[{"Tinf", ",", "tempin"}], "]"}]}]}], 
          StyleBox[",",
           FontWeight->"Plain"], 
          StyleBox["\[IndentingNewLine]",
           FontWeight->"Plain"], 
          RowBox[{
           RowBox[{"VGoingBound", "=", 
            RowBox[{"G2BPWINF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
              "tempin", ",", "tempfin", ",", "s", ",", "Res"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "VGoingBound", "]"}], ";"}]}], 
         RowBox[{"(*", " ", 
          RowBox[{"V", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["x", ","], 
               SubscriptBox["T", "l"]}]}], ")"}], "/", " ", "P"}], 
           RowBox[{"(", 
            RowBox[{"s", ",", "x", ",", 
             SubscriptBox["T", "l"]}], ")"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"!", 
            RowBox[{"MemberQ", "[", 
             RowBox[{"Tinf", ",", "tempin"}], "]"}]}], "  ", 
           StyleBox["&&",
            FontWeight->"Plain"], 
           StyleBox[" ",
            FontWeight->"Plain"], 
           RowBox[{"!", 
            RowBox[{"MemberQ", "[", 
             RowBox[{"Tinf", ",", "tempfin"}], "]"}]}]}], ",", 
          StyleBox["\[IndentingNewLine]",
           FontWeight->"Plain"], 
          RowBox[{
           RowBox[{"VBetweenBound", "=", 
            RowBox[{"BTBPWINF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
              "tempin", ",", "tempfin", ",", "s", ",", "Res"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "VBetweenBound", "]"}], ";"}]}], 
         RowBox[{"(*", " ", 
          RowBox[{"V", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["x", ","], "y"}]}], ")"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7813375411207232`*^9, 3.7813375605930758`*^9}, {
   3.7813440887435493`*^9, 3.7813440971500444`*^9}, {3.7813441333233633`*^9, 
   3.781344150194273*^9}, {3.7813442310940876`*^9, 3.7813442320395775`*^9}, {
   3.7813442743474846`*^9, 3.781344333558256*^9}, {3.7813443991699057`*^9, 
   3.781344539689963*^9}, {3.7813445859543123`*^9, 3.781344590868179*^9}, {
   3.781344684811097*^9, 3.781344713423624*^9}, {3.781344782660574*^9, 
   3.7813447830994015`*^9}, {3.7813448158149977`*^9, 
   3.7813448297686796`*^9}, {3.781344887059546*^9, 3.781345044096841*^9}, {
   3.781345240244673*^9, 3.7813452486352463`*^9}, {3.7813454133421507`*^9, 
   3.781345419733082*^9}, {3.781345577908823*^9, 3.781345580882887*^9}, {
   3.7813456757082105`*^9, 3.781345710731603*^9}, {3.7813484361039066`*^9, 
   3.7813485852253494`*^9}, {3.7813496533242435`*^9, 
   3.7813497789674487`*^9}, {3.781349892519996*^9, 3.7813499095504813`*^9}, {
   3.781349974077571*^9, 3.7813500063024693`*^9}, {3.7813502089191656`*^9, 
   3.7813502813964543`*^9}, {3.7813503323884463`*^9, 3.781350334157732*^9}, {
   3.781350365106002*^9, 3.781350372688739*^9}, {3.781350489624201*^9, 
   3.781350497749486*^9}, {3.7814188045780225`*^9, 3.781418994265447*^9}, {
   3.781419033432761*^9, 3.7814190953213463`*^9}, 3.7814191449597673`*^9, {
   3.7814192154662805`*^9, 3.7814192873770847`*^9}, {3.781419475030542*^9, 
   3.7814195202566633`*^9}, {3.7814196035929327`*^9, 3.781419621527996*^9}, {
   3.7814196701191263`*^9, 3.781419677156316*^9}, {3.7814198842328644`*^9, 
   3.781419892605487*^9}, {3.7814199269527273`*^9, 3.7814199768523235`*^9}, {
   3.781420039645491*^9, 3.781420042798064*^9}, {3.7814201155215054`*^9, 
   3.781420162337076*^9}, {3.7814202196439114`*^9, 3.7814204950787907`*^9}, {
   3.7814206076476274`*^9, 3.7814206096861506`*^9}, {3.781431225801546*^9, 
   3.7814312586085052`*^9}, {3.7814313968343415`*^9, 
   3.7814315001320467`*^9}, {3.781431877815834*^9, 3.7814320786329856`*^9}, {
   3.781432111363119*^9, 3.781432217727439*^9}, {3.7814322539322205`*^9, 
   3.7814322668473797`*^9}, {3.7814338641059523`*^9, 
   3.7814338918889723`*^9}, {3.7814351439731903`*^9, 3.781435184944162*^9}, {
   3.7814353981496716`*^9, 3.7814354517498665`*^9}, {3.781435681323934*^9, 
   3.7814356965266314`*^9}, 3.7814358954520893`*^9, {3.781435964228653*^9, 
   3.781435967639655*^9}, {3.7814360008686185`*^9, 3.7814360046252017`*^9}, {
   3.7814360494979305`*^9, 3.7814360603110294`*^9}, {3.781436142113208*^9, 
   3.7814361448945856`*^9}, {3.781436329427414*^9, 3.7814364584830112`*^9}, {
   3.781436502391781*^9, 3.781436562187183*^9}, 3.781436592455254*^9, 
   3.781449292100993*^9, {3.781449678110838*^9, 3.781449753888446*^9}, {
   3.7814498028686895`*^9, 3.7814498145110226`*^9}, {3.781449947107515*^9, 
   3.7814500438969545`*^9}, 3.781450315814171*^9, {3.7814503473718576`*^9, 
   3.7814504256206894`*^9}, {3.781450610530407*^9, 3.781450646847383*^9}, {
   3.7814507386233664`*^9, 3.781450802265272*^9}, {3.781450852950328*^9, 
   3.781450861580647*^9}, {3.7814512429268045`*^9, 3.7814512581734743`*^9}, {
   3.781451479569177*^9, 3.78145149327859*^9}, 3.781451524799939*^9, {
   3.7814517195683317`*^9, 3.7814517204064703`*^9}, {3.781451916980178*^9, 
   3.781451926576025*^9}, {3.7814520012697496`*^9, 3.7814520032419176`*^9}, {
   3.781452036597047*^9, 3.7814521653599443`*^9}, {3.7814521969547195`*^9, 
   3.7814522373727036`*^9}, {3.781452287037758*^9, 3.781452310260615*^9}, {
   3.781452376752204*^9, 3.781452389747202*^9}, {3.781452557222028*^9, 
   3.781452563679883*^9}, {3.7814527290959578`*^9, 3.7814527306806164`*^9}, {
   3.781452948941807*^9, 3.7814529678504996`*^9}, {3.7814539749092693`*^9, 
   3.7814539855996637`*^9}, 3.7814540641417418`*^9, {3.7814541221517024`*^9, 
   3.7814541323275013`*^9}, 3.781454177964575*^9, {3.781454217654448*^9, 
   3.7814542181531153`*^9}, {3.7814546446144977`*^9, 3.781454667420494*^9}, {
   3.781454775905197*^9, 3.7814548141769085`*^9}, {3.781455052043212*^9, 
   3.7814550629580345`*^9}, {3.7814550932191105`*^9, 3.781455096392807*^9}, {
   3.781455144219843*^9, 3.781455161052853*^9}, {3.781455325584961*^9, 
   3.78145535655096*^9}, {3.7814553919523406`*^9, 3.781455429157901*^9}, 
   3.781455465204605*^9, {3.7814555735678835`*^9, 3.7814555829328527`*^9}, {
   3.7814558838846426`*^9, 3.7814559833208814`*^9}, {3.78145603199778*^9, 
   3.781456059081395*^9}, {3.78145609879443*^9, 3.781456114802707*^9}, {
   3.781456248132461*^9, 3.781456260854492*^9}, {3.781456295968609*^9, 
   3.7814563028602376`*^9}, 3.7814563464526463`*^9, {3.7814572693789015`*^9, 
   3.7814572917082214`*^9}, {3.781457521296653*^9, 3.7814575918111997`*^9}, {
   3.781457623644075*^9, 3.7814576242783794`*^9}, {3.7814576548148127`*^9, 
   3.7814576892377625`*^9}, {3.7814577306621013`*^9, 
   3.7814578239262266`*^9}, {3.781457890098399*^9, 3.781457891414836*^9}, 
   3.7814579449188356`*^9, {3.7814579897490625`*^9, 3.78145806101754*^9}, {
   3.7814581032686152`*^9, 3.781458150769705*^9}, {3.7814582253622932`*^9, 
   3.781458228217664*^9}, {3.781459866420122*^9, 3.7814598690747876`*^9}, {
   3.781459902044001*^9, 3.7814599728559637`*^9}, {3.781460017028347*^9, 
   3.781460044890154*^9}, {3.7814600897355013`*^9, 3.781460133673704*^9}, 
   3.781460655809951*^9, 3.7814607258649445`*^9, 3.7814610100696344`*^9, {
   3.7814610944755707`*^9, 3.781461143933434*^9}, {3.7814612936232786`*^9, 
   3.781461346300861*^9}, 3.781517109484417*^9, {3.7815171944772673`*^9, 
   3.7815172289820957`*^9}, {3.7815172875904293`*^9, 3.7815172980454955`*^9}, 
   3.7815176037096195`*^9, {3.7815197206799297`*^9, 3.781519772998105*^9}, 
   3.7815214732329693`*^9, {3.7815229349712286`*^9, 3.781522998167326*^9}, 
   3.7815252650117197`*^9, {3.7816295011372957`*^9, 3.781629510198579*^9}, {
   3.781774303383233*^9, 3.7817743163785267`*^9}, 3.781774419432061*^9, {
   3.7817744841660786`*^9, 3.7817744888684764`*^9}, {3.7819752634571905`*^9, 
   3.781975328531416*^9}, {3.783235644588417*^9, 3.7832356594791937`*^9}, {
   3.783235723832651*^9, 3.7832358592756066`*^9}, {3.783235891507388*^9, 
   3.7832360551250887`*^9}, {3.7832361047694387`*^9, 3.783236132159046*^9}, 
   3.7844646634842978`*^9, {3.7844646937014523`*^9, 3.784464721267702*^9}, {
   3.785335572474467*^9, 3.785335575213164*^9}, {3.78533562482155*^9, 
   3.7853356382011747`*^9}, {3.7854087860016193`*^9, 3.785408786533242*^9}, {
   3.786028103701083*^9, 3.7860281575737495`*^9}, {3.7862886628454*^9, 
   3.786288731604342*^9}, {3.7862891945416527`*^9, 3.786289227210224*^9}, {
   3.78810875836547*^9, 3.788108758460203*^9}, {3.788108818144039*^9, 
   3.788108818175914*^9}, 3.788111288934253*^9, 3.78858621917428*^9, 
   3.788586841038944*^9, 3.788586909166935*^9, {3.7905908935919304`*^9, 
   3.7905909136094027`*^9}, {3.7909391074048715`*^9, 3.790939112289903*^9}, {
   3.7918374317623215`*^9, 3.7918374341908293`*^9}, {3.791837475700898*^9, 
   3.7918375586850476`*^9}, {3.7919245087069907`*^9, 3.791924508717986*^9}, {
   3.791924576381971*^9, 3.7919245960848923`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"a1f615c9-7d46-4731-9b00-999d36e58758"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "module", " ", "evaluates", " ", "the", " ", "state", " ", 
      "dependent", " ", "hitting", " ", "measures", " ", "for", " ", "the", 
      " ", "special", " ", "cases", " ", "when", " ", "the", " ", "initial", 
      " ", "level", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
      "boundaries"}]}], "  ", "===", "===", "===", "===", "===", "===", 
    "\[Equal]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", 
       RowBox[{"+", "-"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", "s", ")"}]}], ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", "++"], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", "s", ")"}]}], ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", "--"], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", "s", ")"}]}], " ", ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", 
       RowBox[{"-", "+"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", "s", ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"UAll", "[", 
     RowBox[{"Psi_", ",", "PsiHat_", ",", "Hs_", ",", "HsHat_", ",", "xx_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "UsxAll", ",", "Uppsx", ",", "Upmsx", ",", "Umpsx", ",", "Ummsx"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"UsxAll", "=", 
        RowBox[{
         RowBox[{"ArrayFlatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"MatrixExp", "[", 
               RowBox[{"HsHat", "*", "xx"}], "]"}], ",", "Psi"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"PsiHat", ",", 
              RowBox[{"MatrixExp", "[", 
               RowBox[{"Hs", "*", "xx"}], "]"}]}], "}"}]}], "}"}], "]"}], ".", 
         RowBox[{"Inverse", "[", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
               RowBox[{"Psi", ".", 
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"Hs", "*", "xx"}], "]"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PsiHat", ".", 
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"HsHat", "*", "xx"}], "]"}]}], ",", 
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], 
           "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Uppsx", "=", 
        RowBox[{"UsxAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"1", ";;", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Upmsx", "=", 
        RowBox[{"UsxAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}]}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Umpsx", "=", 
        RowBox[{"UsxAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}], ",", 
           RowBox[{"1", ";;", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Ummsx", "=", 
        RowBox[{"UsxAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}]}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"Umpsx", ",", "Ummsx", ",", "Uppsx", ",", "Upmsx"}], "}"}], 
        "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.781337513642167*^9, 3.7813375155181513`*^9}, 
   3.781435957569749*^9, {3.781449299819311*^9, 3.781449302877266*^9}, {
   3.7814493524825573`*^9, 3.7814495201166534`*^9}, {3.781449571383995*^9, 
   3.781449600443824*^9}, {3.7814607531537046`*^9, 3.7814607833670273`*^9}, {
   3.7814608139605584`*^9, 3.781460819695039*^9}, {3.7814610156834993`*^9, 
   3.7814610501258364`*^9}, {3.781775380034214*^9, 3.7817754187746744`*^9}, {
   3.781775520485631*^9, 3.7817755647044473`*^9}, {3.78177560867493*^9, 
   3.7817758086075926`*^9}, {3.7817758979986515`*^9, 
   3.7817758998227763`*^9}, {3.7817780698467383`*^9, 
   3.7817780707323275`*^9}, {3.7817782416620216`*^9, 
   3.7817782709796605`*^9}, {3.78177877315906*^9, 3.78177877341438*^9}, 
   3.7817788241876745`*^9, 3.7817791291559715`*^9, 3.7817794389383125`*^9, 
   3.7817795009037514`*^9, {3.781779737262401*^9, 3.7817797455253167`*^9}, {
   3.7817799778730717`*^9, 3.7817799783069468`*^9}, 3.7818518780491767`*^9, {
   3.7834274481596575`*^9, 3.7834275055341525`*^9}, {3.784471066362754*^9, 
   3.7844710734747324`*^9}, 3.7844858909537416`*^9, {3.7918375807829733`*^9, 
   3.791837583269327*^9}, {3.791837705133564*^9, 3.791837705708991*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"f8002581-afaa-48bb-8463-b8984e2c15c8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "module", " ", "evaluates", " ", "the", " ", "state", " ", 
      "dependent", " ", "hitting", " ", "measures", " ", "when", " ", "the", 
      " ", "initial", " ", "level", " ", "is", " ", "one", " ", "x"}]}], "  ",
     "===", "===", "===", "===", "===", "===", "\[Equal]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", 
       RowBox[{"\[FilledSmallCircle]", "-"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "x"}], ")"}]}], ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", 
       RowBox[{"\[FilledSmallCircle]", "+"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "x"}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"UNEW", "[", 
     RowBox[{
     "Psi_", ",", "PsiHat_", ",", "Hs_", ",", "HsHat_", ",", "b_", ",", 
      "x_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"UbsxAll", ",", "Ubopsx", ",", "Ubomsx"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"UbsxAll", "=", 
        RowBox[{
         RowBox[{"ArrayFlatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{
                RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", "Psi"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"PsiHat", ",", 
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{
                RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], 
          "]"}], ".", "\[IndentingNewLine]", 
         RowBox[{"ArrayFlatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"MatrixExp", "[", 
               RowBox[{"HsHat", "*", 
                RowBox[{"(", 
                 RowBox[{"b", "-", "x"}], ")"}]}], "]"}], ",", 
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
              RowBox[{"MatrixExp", "[", 
               RowBox[{"Hs", "*", 
                RowBox[{"(", "x", ")"}]}], "]"}]}], "}"}]}], "}"}], "]"}], 
         ".", "\[IndentingNewLine]", 
         RowBox[{"Inverse", "[", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
               RowBox[{"Psi", ".", 
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"Hs", "*", "b"}], "]"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PsiHat", ".", 
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"HsHat", "*", "b"}], "]"}]}], ",", 
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], 
           "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Ubopsx", "=", 
        RowBox[{"UbsxAll", "[", 
         RowBox[{"[", 
          RowBox[{";;", ",", 
           RowBox[{"1", ";;", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Ubomsx", "=", 
        RowBox[{"UbsxAll", "[", 
         RowBox[{"[", 
          RowBox[{";;", ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}]}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"Ubopsx", ",", "Ubomsx"}], "}"}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.7906589300288587`*^9, 3.790658934896532*^9}, {
  3.790865239148858*^9, 3.790865260134818*^9}, {3.791837707826354*^9, 
  3.7918377233708005`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"2d42e3de-284d-4b05-94f9-17cb710805f9"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "module", " ", "evaluates", " ", "the", " ", "fluid", " ", 
      "density", " ", "starting", " ", "from", " ", "one", " ", "of", " ", 
      "boundary", " ", "levels", " ", "0", " ", "or", " ", "b", " ", "before",
       " ", "reaching", " ", "any", " ", "of", " ", "the", " ", 
      "boundaries"}]}], "   ", "===", "===", "===", "===", "===", "===", 
    "\[Equal]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["F", 
       RowBox[{"+", "\[FilledSmallCircle]"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "y"}], ")"}]}], ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox[
       OverscriptBox["F", "^"], 
       RowBox[{"-", "\[FilledSmallCircle]"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "y"}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"FAll", "[", 
     RowBox[{
     "Psi_", ",", "PsiHat_", ",", "Ks_", ",", "KsHat_", ",", "RpInv_", ",", 
      "RmInv_", ",", "b_", ",", "y_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"FsyAll", ",", "Fsypo", ",", "Fsymo"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"FsyAll", "=", 
        RowBox[{
         RowBox[{"Inverse", "[", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
               RowBox[{
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"Ks", "*", "b"}], "]"}], ".", "Psi"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"KsHat", "*", "b"}], "]"}], ".", "PsiHat"}], ",", 
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "PsiHat", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], 
           "]"}], "]"}], ".", "\[IndentingNewLine]", 
         RowBox[{"ArrayFlatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"MatrixExp", "[", 
               RowBox[{"Ks", "*", "y"}], "]"}], ",", 
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
              RowBox[{"MatrixExp", "[", 
               RowBox[{"KsHat", "*", 
                RowBox[{"(", 
                 RowBox[{"b", "-", "y"}], ")"}]}], "]"}]}], "}"}]}], "}"}], 
          "]"}], ".", "\[IndentingNewLine]", 
         RowBox[{"ArrayFlatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"RpInv", ",", 
              RowBox[{"Psi", ".", "RmInv"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PsiHat", ".", "RpInv"}], ",", "RmInv"}], "}"}]}], 
           "}"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Fsypo", "=", 
        RowBox[{"FsyAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", ";;"}], "]"}], "]"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"Fsymo", "=", 
        RowBox[{"FsyAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}], ",", ";;"}],
           "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"Fsypo", ",", "Fsymo"}], "}"}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.790658976513771*^9, 3.7906589812090445`*^9}, 
   3.790676620442215*^9, 3.7918377252816916`*^9, {3.7918377619287252`*^9, 
   3.7918377717006025`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"74000d1e-6e8e-47a8-9ba5-58c0825ff7dc"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "module", " ", "evaluates", " ", "the", " ", "integral", 
      " ", "of", " ", "fluid", " ", "density", " ", "starting", " ", "from", 
      " ", "one", " ", "of", " ", "boundary", " ", "levels", " ", "0", " ", 
      "or", " ", "b", " ", "before", " ", "reaching", " ", "any", " ", "of", 
      " ", "the", " ", "boundaries"}]}], "   ", "===", "===", "===", "===", "===",
     "===", "\[Equal]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["C", 
       RowBox[{"+", "\[FilledSmallCircle]"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "y"}], ")"}]}], ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox[
       OverscriptBox["C", "^"], 
       RowBox[{"-", "\[FilledSmallCircle]"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "y"}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"FCDFAll", "[", 
     RowBox[{
     "NN_", ",", "Sup_", ",", "Sdown_", ",", "Psi_", ",", "PsiHat_", ",", 
      "Ks_", ",", "KsHat_", ",", "RpInv_", ",", "RmInv_", ",", "b_", ",", 
      "y_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"FCDFsyAll", ",", "FCDFsypo", ",", "FCDFsymo"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"FCDFsyAll", "=", 
        RowBox[{"ConstantArray", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"NN", ",", "NN"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"FCDFsyAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"Flatten", " ", "[", 
            RowBox[{"{", 
             RowBox[{"Sup", ",", "Sdown"}], "}"}], "]"}], ",", ";;"}], "]"}], 
         "]"}], "=", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Inverse", "[", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
               RowBox[{
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"Ks", "*", "b"}], "]"}], ".", "Psi"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"KsHat", "*", "b"}], "]"}], ".", "PsiHat"}], ",", 
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "PsiHat", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], 
           "]"}], "]"}], ".", "\[IndentingNewLine]", 
         RowBox[{"ArrayFlatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"Inverse", "[", "Ks", "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"MatrixExp", "[", 
                  RowBox[{"Ks", "*", "y"}], "]"}], "-", 
                 RowBox[{"IdentityMatrix", "[", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ")"}]}], ",", 
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
              RowBox[{
               RowBox[{"Inverse", "[", "KsHat", "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"MatrixExp", "[", 
                  RowBox[{"KsHat", "*", "b"}], "]"}], "-", 
                 RowBox[{"MatrixExp", "[", 
                  RowBox[{"KsHat", "*", 
                   RowBox[{"(", 
                    RowBox[{"b", "-", "y"}], ")"}]}], "]"}]}], ")"}]}]}], 
             "}"}]}], "}"}], "]"}], ".", "\[IndentingNewLine]", 
         RowBox[{"ArrayFlatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"RpInv", ",", 
              RowBox[{"Psi", ".", "RmInv"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PsiHat", ".", "RpInv"}], ",", "RmInv"}], "}"}]}], 
           "}"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "FCDFsyAll", "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.7906590020911684`*^9, 3.790659005866442*^9}, {
  3.7911172279634852`*^9, 3.7911172305575094`*^9}, {3.791837783977782*^9, 
  3.7918377944537783`*^9}, {3.8077128147597775`*^9, 3.807712832521204*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"330cd0ab-eb88-4221-a52d-126d7cec6fcb"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "function", " ", "evaluates", " ", "characteristic", " ", 
      "matrices", " ", "of", " ", "region", " ", "k"}]}], "   ", "===", "===",
     "===", "===", "===", "===", "\[Equal]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"CMPWINF", "[", 
     RowBox[{
     "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
      "Sp_", ",", "Sm_", ",", "Sz_", ",", "Sup_", ",", "Sdown_", ",", 
      "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
      "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tinf_", ",", 
      "tempin_", ",", "tempfin_", ",", "s_", ",", "Res_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "QHatppk", ",", "QHatpmk", ",", "QHatmpk", ",", "QHatmmk", ",", "Psik",
         ",", "PsiHatk", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "Hs", ",",
         "HsHat", ",", "KsHat", ",", "Hsk", ",", "HsHatk", ",", "Ksk", ",", 
        "KsHatk", ",", "K", ",", "k", ",", "l", ",", "SVab2ab", ",", "SVomTk",
         ",", "SVopTk", ",", "SVT02Tk", ",", "SPT02Tk", ",", "SVTkm22Tk", ",",
         "SVTK2Tk", ",", "Umpsk", ",", "Ummsk", ",", "Uppsk", ",", "Upmsk", 
        ",", "Umps", ",", "Umms", ",", "Upps", ",", "Upms", ",", "SY", ",", 
        "SYh", ",", "M1Bars", ",", "MKBars", ",", "YY0s", ",", "MP", ",", 
        "YYhKs", ",", "MhK", ",", "RR0", ",", "Vs00", ",", "VsBB", ",", "RRk",
         ",", "RRhK", ",", "YYks", ",", "PsTkTk", ",", "Temp", ",", "Mks", 
        ",", "Mkks", ",", "Uk", ",", "U", ",", "PsTkTkk", ",", "BBkp1Temp", 
        ",", "SYk", ",", "SYhk", ",", "Bkp1om", ",", "UUkp1om", ",", "BB", 
        ",", "BBkhp1Temp", ",", "UUkop", ",", "Bkhm1op", ",", "BBh", ",", 
        "VsTkTk", ",", "VsTkTkk", ",", "SPab2ab", ",", "Uy2Tlm1", ",", 
        "test1", ",", "test2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Psi", "=", " ", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"PsiHat", "=", " ", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"Ks", "=", " ", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"Hs", "=", " ", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"HsHat", "=", " ", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"KsHat", "=", " ", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"U", "=", 
        RowBox[{"{", "}"}]}], ";", " ", 
       RowBox[{"SY", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"SYh", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"BB", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"BBh", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"K", "=", 
        RowBox[{"Length", "[", "Tinf", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"===", "===", "===", "===", "===", "===", 
          RowBox[{"\[Equal]", " ", 
           RowBox[{"calculate", "  ", 
            SuperscriptBox["\[CapitalPsi]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}]}]}], ",", 
         RowBox[{
          SuperscriptBox["K", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          SuperscriptBox["H", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}], " ", 
          SuperscriptBox[
           OverscriptBox["\[CapitalPsi]", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          SuperscriptBox[
           OverscriptBox["K", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            OverscriptBox["H", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], "  ", "===", "===", "===", "===", "===",
           "===", "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "1"}], ",", 
         RowBox[{"k", "\[LessEqual]", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Nz", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "\[NotEqual]", "  ", "0"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"QHatppk", "=", 
              RowBox[{
               RowBox[{"RpInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "-", 
                 RowBox[{"s", " ", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{"Np", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "+", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                   ".", 
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ")"}]}],
                 ")"}]}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"QHatpmk", "=", 
              RowBox[{
               RowBox[{"RpInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "+", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                   ".", 
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ")"}]}],
                 ")"}]}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"QHatmpk", "=", 
              RowBox[{
               RowBox[{"RmInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "+", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                   ".", 
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ")"}]}],
                 ")"}]}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"QHatmmk", "=", 
              RowBox[{
               RowBox[{"RmInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "-", 
                 RowBox[{"s", " ", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{"Nm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "+", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                   ".", 
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ")"}]}],
                 ")"}]}]}], ";"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"QHatppk", "=", 
              RowBox[{
               RowBox[{"RpInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "-", 
                 RowBox[{"s", " ", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{"Np", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}]}], ")"}]}]}], ";",
              "\[IndentingNewLine]", 
             RowBox[{"QHatpmk", "=", 
              RowBox[{
               RowBox[{"RpInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"Q", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"QHatmpk", "=", 
              RowBox[{
               RowBox[{"RmInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"Q", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"QHatmmk", "=", 
              RowBox[{
               RowBox[{"RmInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "-", 
                 RowBox[{"s", " ", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{"Nm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}]}], ")"}]}]}], 
             ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Psik", ",", "Ksk", ",", "Hsk"}], "}"}], " ", "=", " ", 
           RowBox[{"FluidFundamentalMatrices", "[", 
            RowBox[{
            "QHatppk", ",", "QHatpmk", ",", "QHatmpk", ",", "QHatmmk", ",", 
             "\"\<PKU\>\""}], "]"}]}], ";", " ", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[CapitalPsi]", 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}], ",", 
            RowBox[{
             SuperscriptBox["K", 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}], ",", 
            RowBox[{
             SuperscriptBox["H", 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"PsiHatk", ",", "KsHatk", ",", "HsHatk"}], "}"}], " ", 
           "=", " ", 
           RowBox[{"FluidFundamentalMatrices", "[", 
            RowBox[{
            "QHatmmk", ",", "QHatmpk", ",", "QHatpmk", ",", "QHatppk", ",", 
             "\"\<PKU\>\""}], "]"}]}], ";", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{
             SuperscriptBox[
              OverscriptBox["\[CapitalPsi]", "^"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}], ",", 
            RowBox[{
             SuperscriptBox[
              OverscriptBox["K", "^"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}], ",", 
            RowBox[{
             SuperscriptBox[
              OverscriptBox["H", "^"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"SYk", "=", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"SYhk", "=", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"k", "<", "K"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Uk", "=", 
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Np", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "+", 
                   RowBox[{"Nm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "+", 
                   RowBox[{"Nz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"Np", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "+", 
                   RowBox[{"Nm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "+", 
                   RowBox[{"Nz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";",
              "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Uk", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ",", 
                RowBox[{"Uk", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ",", 
                RowBox[{"Uk", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ",", 
                RowBox[{"Uk", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], 
              "=", 
              RowBox[{"UAll", "[", 
               RowBox[{"Psik", ",", "PsiHatk", ",", "Hsk", ",", "HsHatk", ",", 
                RowBox[{
                 RowBox[{"Tinf", "[", 
                  RowBox[{"[", 
                   RowBox[{"k", "+", "1"}], "]"}], "]"}], "-", 
                 RowBox[{"Tinf", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}]}], "]"}]}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Psi", ",", "Psik"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Ks", ",", "Ksk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Hs", ",", "Hsk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"PsiHat", ",", "PsiHatk"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"KsHat", ",", "KsHatk"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"HsHat", ",", "HsHatk"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"U", ",", "Uk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"SY", ",", "SYk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"SYh", ",", "SYhk"}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"===", "===", "===", "===", "===", "===", 
          RowBox[{"\[Equal]", " ", 
           RowBox[{"calculate", " ", "return", " ", "measures", 
            RowBox[{"(", 
             RowBox[{"upward", "/", "downward"}], ")"}], " ", "for", " ", 
            "boundaires", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"K", "-", "1"}], ",", "0", ",", "1"}], "}"}], " ", 
            SuperscriptBox["Y", 
             RowBox[{"(", 
              RowBox[{"K", "-", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}]}]}], ",", " ", 
         RowBox[{
          SuperscriptBox[
           OverscriptBox["Y", "^"], 
           RowBox[{"(", "0", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            OverscriptBox["Y", "^"], 
            RowBox[{"(", "1", ")"}]], 
           RowBox[{"(", "s", ")"}]}], "   ", "===", "===", "===", "===", "===",
           "===", "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"SY", "[", 
          RowBox[{"[", "K", "]"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"Sp", "[", 
            RowBox[{"[", "K", "]"}], "]"}], ",", 
           RowBox[{"Sm", "[", 
            RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], "=", 
        RowBox[{"Psi", "[", 
         RowBox[{"[", "K", "]"}], "]"}]}], ";", " ", 
       RowBox[{"(*", 
        RowBox[{
         SuperscriptBox["Y", 
          RowBox[{"(", 
           RowBox[{"K", "-", "1"}], ")"}]], 
         RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"PrependTo", "[", 
        RowBox[{"SYh", ",", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], "]"}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"SYh", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"Sconst", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", 
           RowBox[{"Sup", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], "=", 
        RowBox[{
         RowBox[{"Inverse", "[", 
          RowBox[{
           RowBox[{"s", " ", 
            RowBox[{"IdentityMatrix", "[", 
             RowBox[{"Length", "[", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], "-", 
           RowBox[{
            RowBox[{"QTilda", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], ".", 
         RowBox[{
          RowBox[{"QTilda", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"Sconst", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"Sup", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", " ", 
       RowBox[{"(*", 
        RowBox[{
         SuperscriptBox[
          OverscriptBox["Y", "^"], 
          RowBox[{"(", "0", ")"}]], 
         RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"SYh", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"Sm", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", 
           RowBox[{"Sp", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], "=", 
        RowBox[{
         RowBox[{
          RowBox[{"U", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"Sm", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"Sp", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], "+", 
         RowBox[{
          RowBox[{
           RowBox[{"U", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"Sm", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"Sconst", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
          RowBox[{"Inverse", "[", 
           RowBox[{
            RowBox[{"s", " ", 
             RowBox[{"IdentityMatrix", "[", 
              RowBox[{"Length", "[", 
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], "-", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"QTilda", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sconst", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"Sup", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sup", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"Sconst", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}]}], "]"}], 
          ".", 
          RowBox[{
           RowBox[{"QTilda", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"Sconst", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"Sup", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
          RowBox[{
           RowBox[{"U", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"Sup", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"Sp", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}]}]}], ";", " ", 
       RowBox[{"(*", 
        RowBox[{
         SuperscriptBox[
          OverscriptBox["Y", "^"], 
          RowBox[{"(", "1", ")"}]], 
         RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"Mks", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "1"}], ",", 
         RowBox[{"k", "\[LessEqual]", " ", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "]"}], "\[NotEqual]", " ", 
             "0"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Mkks", "=", 
              RowBox[{"Inverse", "[", 
               RowBox[{
                RowBox[{"s", " ", 
                 RowBox[{"IdentityMatrix", "[", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", 
                    RowBox[{
                    RowBox[{"QTilda", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sconst", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sconst", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}], 
                   "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "-", 
                RowBox[{
                 RowBox[{"QTilda", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sconst", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                   RowBox[{"Sconst", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "]"}]}],
              ";", "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{
                SuperscriptBox[
                 SubscriptBox["M", 
                  RowBox[{"\[RightArrow]", "\[RightArrow]"}]], 
                 RowBox[{"(", "k", ")"}]], 
                RowBox[{"(", "s", ")"}], " ", "k"}], "\[Element]", 
               RowBox[{"{", 
                RowBox[{"0", ",", "...", ",", 
                 RowBox[{"K", "-", "1"}]}], "}"}]}], " ", "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"AppendTo", "[", 
              RowBox[{"Mks", ",", "Mkks"}], "]"}], ";"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"AppendTo", "[", 
              RowBox[{"Mks", ",", 
               RowBox[{"{", "}"}]}], "]"}], ";"}]}], "\[IndentingNewLine]", 
           "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"calculate", " ", "return", " ", "measures", 
         RowBox[{"(", 
          RowBox[{"upward", "/", "downward"}], ")"}], " ", "to", " ", "the", 
         " ", "remaining", " ", "boundaries"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "K"}], ",", 
         RowBox[{"k", "\[GreaterEqual]", " ", "2"}], ",", 
         RowBox[{"k", "--"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalB]", 
             RowBox[{"(", 
              RowBox[{"k", "+", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalU]", 
             RowBox[{"(", 
              RowBox[{"k", "+", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{
            SuperscriptBox["\[CapitalBeta]", 
             RowBox[{"(", 
              RowBox[{"k", "+", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", " ", 
           RowBox[{
            RowBox[{
             SuperscriptBox["Y", 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}], " ", "k"}], "\[Element]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", 
              RowBox[{"K", "-", "2"}]}], "}"}]}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"BBkp1Temp", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SY", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SY", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spup", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spup", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spconst", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spconst", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sup", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sdown", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"UUkp1om", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Bkp1om", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"UUkp1om", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sm", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sm", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalU]", 
             RowBox[{"(", 
              RowBox[{"k", "+", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"Bkp1om", "=", 
           RowBox[{
            RowBox[{"Inverse", "[", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "-", "BBkp1Temp"}], 
             "]"}], ".", "UUkp1om"}]}], ";", " ", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox["\[CapitalBeta]", 
             RowBox[{"(", 
              RowBox[{"k", "+", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"AppendTo", "[", 
             RowBox[{"BB", ",", 
              RowBox[{"Join", "[", 
               RowBox[{"BBkp1Temp", ",", "UUkp1om", ",", " ", "2"}], "]"}]}], 
             "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"BB", ",", "Bkp1om"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"SY", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sp", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
              RowBox[{"Sm", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"U", "[", 
              RowBox[{"[", 
               RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
               RowBox[{"Sm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sp", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Spup", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], ".", 
             RowBox[{"Bkp1om", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Spup", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Sm", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], 
            "+", 
            RowBox[{
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sp", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Spconst", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], ".", 
             RowBox[{"Bkp1om", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Spconst", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Sm", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}]}]}],
           ";"}]}], " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          SuperscriptBox["Y", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "2"}], ",", 
         RowBox[{"k", "<", "  ", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", " ", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             OverscriptBox["\[DoubleStruckCapitalB]", "^"], 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{
            SuperscriptBox[
             OverscriptBox["\[DoubleStruckCapitalU]", "^"], 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{
            SuperscriptBox[
             OverscriptBox["\[CapitalBeta]", "^"], 
             RowBox[{"(", 
              RowBox[{"k", "-", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", " ", 
           RowBox[{
            RowBox[{
             SuperscriptBox[
              OverscriptBox["Y", "^"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}], " ", "k"}], "\[Element]", 
            RowBox[{"{", 
             RowBox[{"2", ",", "...", ",", "K"}], "}"}]}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"BBkhp1Temp", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spup", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SYh", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spup", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spconst", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SYh", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spconst", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sup", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sdown", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"UUkop", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Bkhm1op", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"UUkop", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sp", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sp", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", " ", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox[
             OverscriptBox["\[DoubleStruckCapitalU]", "^"], 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"Bkhm1op", "=", 
           RowBox[{
            RowBox[{"Inverse", "[", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "-", "BBkhp1Temp"}],
              "]"}], ".", "UUkop"}]}], ";", " ", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox[
             OverscriptBox["\[CapitalBeta]", "^"], 
             RowBox[{"(", 
              RowBox[{"k", "-", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"AppendTo", "[", 
             RowBox[{"BBh", ",", 
              RowBox[{"Join", "[", 
               RowBox[{"BBkhp1Temp", ",", "UUkop", ",", " ", "2"}], "]"}]}], 
             "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"BBh", ",", "Bkhm1op"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"SYh", "[", 
             RowBox[{"[", 
              RowBox[{"k", "+", "1"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sm", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sp", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"U", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sp", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sdownm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
             RowBox[{"Bkhm1op", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sdownm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sp", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sconstm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
             RowBox[{"Bkhm1op", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sconstm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sp", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}]}], 
          ";"}]}], " ", 
        RowBox[{"(*", 
         RowBox[{
          SuperscriptBox[
           OverscriptBox["Y", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"SVab2ab", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", "K", "}"}], ",", 
          RowBox[{"{", "K", "}"}]}], "]"}]}], ";", " ", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], 
             SubscriptBox["T", "l"]}]}], ")"}], " ", "k"}], ",", 
         RowBox[{"l", "\[Element]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "...", ",", 
            RowBox[{"K", "-", "1"}]}], "}"}]}]}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"SPab2ab", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", "K", "}"}], ",", 
          RowBox[{"{", "K", "}"}]}], "]"}]}], ";", " ", 
       RowBox[{"(*", "  ", 
        RowBox[{
         RowBox[{"P", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], 
             SubscriptBox["T", "l"]}]}], ")"}], " ", "k"}], ",", 
         RowBox[{"l", "\[Element]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "...", ",", 
            RowBox[{"K", "-", "1"}]}], "}"}]}]}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"VsTkTk", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"PsTkTk", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<Y\>\""}], ",", " ", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{
           "Return", " ", "back", " ", "the", " ", "upward", " ", "return", 
            " ", "measures", " ", "to", " ", "boundary", " ", "k", " ", 
            "\"\<\!\(\*SuperscriptBox[\(Y\), \((k)\)]\)(s)\>\"", " ", "for", 
            " ", "k", 
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
           RowBox[{"if", " ", "needed"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Return", "[", "SY", "]"}], ";"}]}], "\[IndentingNewLine]", 
        "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<YHAT\>\""}], ",", "  ", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{
           "Return", " ", "back", " ", "the", " ", "downward", " ", "return", 
            " ", "measures", " ", "to", " ", "boundary", " ", "k", " ", 
            
            "\"\<\!\(\*SuperscriptBox[OverscriptBox[\(Y\), \(^\)], \
\((k)\)]\)(s)\>\"", " ", "for", " ", "k", 
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
           RowBox[{"if", " ", "needed"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Return", "[", "SYh", "]"}], ";"}]}], "\[IndentingNewLine]",
         "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"calculate", " ", "V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], 
             SubscriptBox["T", "k"]}]}], ")"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["P", 
             RowBox[{"\[EmptySmallCircle]", "\[RightArrow]"}]], 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "k"]}]}], ")"}]}], "..."}], 
          RowBox[{"i", ".", "e", ".", " ", "the"}], " ", "transient", " ", 
          "fluid", " ", 
          RowBox[{"density", "/", "masses"}], " ", "when", " ", "the", " ", 
          "initial", " ", "and", " ", "final", " ", "levels", " ", "are", " ",
           "the", " ", "same", " ", "boundary", " ", "level"}]}], "  ", 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "1"}], ",", 
         RowBox[{"k", "\[LessEqual]", "  ", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalY]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalR]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{"V", 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "k"]}]}], ")"}]}], ",", 
           RowBox[{
            RowBox[{
             SubscriptBox["P", 
              RowBox[{"\[EmptySmallCircle]", "\[RightArrow]"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["T", 
                 RowBox[{"k", ","}]], 
                SubscriptBox["T", "k"]}]}], ")"}], " ", "k"}], "\[Element]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", 
              RowBox[{"K", "-", "1"}]}], "}"}]}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"YYks", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"VsTkTkk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"PsTkTkk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"MP", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalY]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sup", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sdown", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SY", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SY", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SYh", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SYh", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalR]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"RRk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"k", "<", 
             RowBox[{"K", "+", "1"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"RRk", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"absRi", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", 
              RowBox[{
               RowBox[{"SY", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sconst", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}], 
             "\[NotEqual]", " ", "0"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"RRk", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sconst", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{
                RowBox[{"SY", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sup", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"absRi", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], 
             ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", 
              RowBox[{
               RowBox[{"SYh", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sconst", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}], 
             "\[NotEqual]", " ", "0"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"RRk", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sconst", "[", 
                  RowBox[{"[", 
                   RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{
                RowBox[{"SYh", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sdown", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], 
               ".", 
               RowBox[{
                RowBox[{"absRi", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}]}],
              ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"k", "\[NotEqual]", "1"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"RRk", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"absRi", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"VsTkTkk", "=", 
           RowBox[{
            RowBox[{"Inverse", "[", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{"Length", "[", 
                RowBox[{"Q", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "-", "YYks"}], 
             "]"}], ".", "RRk"}]}], ";", "  ", 
          RowBox[{"(*", 
           RowBox[{"V", 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "k"]}]}], ")"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"MP", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{"Mks", "[", 
            RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"PsTkTkk", "[", 
            RowBox[{"[", 
             RowBox[{";;", ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Inverse", "[", 
               RowBox[{
                RowBox[{"IdentityMatrix", "[", 
                 RowBox[{"Length", "[", 
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "-", 
                "YYks"}], "]"}], ".", "MP"}], ")"}], "[", 
            RowBox[{"[", 
             RowBox[{";;", ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", " ", 
          RowBox[{"(*", 
           RowBox[{
            SubscriptBox["P", 
             RowBox[{"\[EmptySmallCircle]", "\[RightArrow]"}]], 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "k"]}]}], ")"}]}], "*)"}], " ", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", "k"}], "]"}], "]"}], "=", "VsTkTkk"}], ";", 
          " ", 
          RowBox[{"(*", 
           RowBox[{
           "Density", " ", "at", " ", "intermeidate", " ", "boundaries", " ", 
            "T_k", " ", "to", " ", "T_k", " ", 
            RowBox[{"(", 
             RowBox[{"Matrix", " ", "Diagonal"}], ")"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", "k"}], "]"}], "]"}], "=", "PsTkTkk"}], ";"}]}],
         "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"calculate", " ", "V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], 
             SubscriptBox["T", "l"]}]}], ")"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"P", 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["T", 
                 RowBox[{"k", ","}]], 
                SubscriptBox["T", "l"]}]}], ")"}]}], "..."}], 
           RowBox[{"i", ".", "e", ".", " ", "the"}], " ", "transient", " ", 
           "fluid", " ", 
           RowBox[{"density", "/", "masses"}], " ", "when", " ", "the", " ", 
           "initial", " ", "and", " ", "final", " ", "levels", " ", "are", 
           " ", "different", " ", "for", " ", "k"}], "\[NotEqual]", "l", 
          "\[NotEqual]", " ", "K"}], ",", " ", 
         RowBox[{
          RowBox[{"Equations", " ", "38"}], "-", "40"}]}], "  ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "2"}], ",", 
         RowBox[{"k", "\[LessEqual]", "  ", 
          RowBox[{"K", "-", "1"}]}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"SVab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", 
              RowBox[{"k", "+", "1"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"BBh", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
            RowBox[{"SVab2ab", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"k", "+", "1"}], ",", 
               RowBox[{"k", "+", "1"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", 
              RowBox[{"k", "+", "1"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"BBh", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
            RowBox[{"SPab2ab", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"k", "+", "1"}], ",", 
               RowBox[{"k", "+", "1"}]}], "]"}], "]"}]}]}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "2"}], ",", 
         RowBox[{"k", "\[LessEqual]", "  ", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"SVab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", 
              RowBox[{"k", "-", "1"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"BB", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
            RowBox[{"SVab2ab", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ",", 
               RowBox[{"k", "-", "1"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", 
              RowBox[{"k", "-", "1"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"BB", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
            RowBox[{"SPab2ab", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ",", 
               RowBox[{"k", "-", "1"}]}], "]"}], "]"}]}]}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"l", "=", "3"}], ",", 
         RowBox[{"l", "\[LessEqual]", "  ", "K"}], ",", 
         RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"k", "=", "1"}], ",", 
            RowBox[{
             RowBox[{"l", "+", "k"}], "\[LessEqual]", " ", "K"}], ",", 
            RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"SVab2ab", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"k", "+", "1"}], ",", 
                 RowBox[{"k", "+", "l"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"BBh", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"SVab2ab", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"k", "+", "2"}], ",", 
                  RowBox[{"k", "+", "l"}]}], "]"}], "]"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"SPab2ab", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"k", "+", "1"}], ",", 
                 RowBox[{"k", "+", "l"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"BBh", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"SPab2ab", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"k", "+", "2"}], ",", 
                  RowBox[{"k", "+", "l"}]}], "]"}], "]"}]}]}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
        "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "2"}], ",", 
         RowBox[{"k", "<", "  ", 
          RowBox[{"K", "-", "1"}]}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"l", "=", "0"}], ",", 
            RowBox[{
             RowBox[{"k", "-", "l"}], "\[GreaterEqual]", " ", "2"}], " ", ",", 
            RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"SVab2ab", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"k", "+", "1"}], ",", 
                 RowBox[{"k", "-", "l", "-", "1"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"BB", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
               RowBox[{"SVab2ab", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", 
                  RowBox[{"k", "-", "l", "-", "1"}]}], "]"}], "]"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"SPab2ab", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"k", "+", "1"}], ",", 
                 RowBox[{"k", "-", "l", "-", "1"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"BB", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
               RowBox[{"SPab2ab", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", 
                  RowBox[{"k", "-", "l", "-", "1"}]}], "]"}], "]"}]}]}], 
             ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "0"}], ",", 
         RowBox[{"k", "<", 
          RowBox[{"K", "-", "1"}]}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"SVT02Tk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVT02Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sp", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Inverse", "[", " ", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{"Np", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", 
              RowBox[{
               RowBox[{
                RowBox[{"U", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"SYh", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}]}], "]"}], 
            ".", 
            RowBox[{
             RowBox[{"U", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"SVab2ab", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", 
                RowBox[{"k", "+", "2"}]}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVT02Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sm", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"SYh", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{"SVT02Tk", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", 
              RowBox[{"k", "+", "2"}]}], "]"}], "]"}], "=", "SVT02Tk"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"SPT02Tk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPT02Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sp", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Inverse", "[", " ", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{"Np", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", 
              RowBox[{
               RowBox[{
                RowBox[{"U", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"SYh", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}]}], "]"}], 
            ".", 
            RowBox[{
             RowBox[{"U", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"SPab2ab", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", 
                RowBox[{"k", "+", "2"}]}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPT02Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sm", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"SYh", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{"SPT02Tk", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", 
              RowBox[{"k", "+", "2"}]}], "]"}], "]"}], "=", "SPT02Tk"}], 
          ";"}]}], "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{"Density", "/", "Mass"}], " ", "for", "  ", "boundaries", 
           " ", "T_", "0", " ", "to", " ", "T_k"}], ",", " ", 
          RowBox[{"k", "\[Element]", 
           RowBox[{"{", 
            RowBox[{"1", ",", "...", ",", 
             RowBox[{"K", "-", "1"}]}], "}"}]}]}], " ", "*)"}], " ", 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<MASS\>\""}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"MemberQ", "[", 
              RowBox[{"Tinf", ",", "tempin"}], "]"}], "&&", 
             RowBox[{"MemberQ", "[", 
              RowBox[{"Tinf", ",", "tempfin"}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Return", "[", 
              RowBox[{"SPab2ab", " ", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Position", "[", 
                   RowBox[{"Tinf", ",", "tempin"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Position", "[", 
                   RowBox[{"Tinf", ",", "tempfin"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], "]"}], 
              "]"}], ";"}], "\[IndentingNewLine]", " ", 
            RowBox[{"(*", " ", 
             RowBox[{
              RowBox[{"Return", " ", "back", " ", "the", " ", "P", 
               RowBox[{"(", 
                RowBox[{"s", ",", 
                 RowBox[{
                  SubscriptBox["T", 
                   RowBox[{"k", ","}]], 
                  SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], 
              ",", 
              RowBox[{"l", "\[Element]", 
               RowBox[{"{", 
                RowBox[{"0", ",", "...", ",", 
                 RowBox[{"K", "-", "1"}]}], "}"}]}], ",", " ", 
              RowBox[{"if", " ", "needed"}]}], "*)"}], "\[IndentingNewLine]", 
            ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Return", "[", 
              RowBox[{"{", 
               RowBox[{
               "SPab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", 
                ",", "HsHat", ",", "Hs"}], "}"}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "  ", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"Return", " ", "back", " ", "the", " ", "P", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", 
                  RowBox[{"k", ","}]], 
                 SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], 
             ",", 
             RowBox[{"l", "\[Element]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "...", ",", 
                 RowBox[{"K", "-", "1"}]}], "}"}], " ", "and", "  ", 
               SuperscriptBox["\[CapitalPsi]", 
                RowBox[{"(", "k", ")"}]], 
               RowBox[{"(", "s", ")"}]}]}], ",", 
             RowBox[{
              SuperscriptBox["K", 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              SuperscriptBox["H", 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}], " ", 
              SuperscriptBox[
               OverscriptBox["\[CapitalPsi]", "^"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              SuperscriptBox[
               OverscriptBox["K", "^"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              RowBox[{
               SuperscriptBox[
                OverscriptBox["H", "^"], 
                RowBox[{"(", "k", ")"}]], 
               RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", "...", ",", 
                 RowBox[{"K", "-", "1"}]}], "}"}], "Needed", " ", "for", " ", 
               "evaluating", "  ", "the", " ", "transiant", "  ", "mass", "  ",
                "for", " ", "the", " ", "case", " ", 
               "\"\<starting from a non boundary initial fluid level and \
ending to boundary\>\""}]}]}], "  ", "*)"}], "\[IndentingNewLine]", "]"}], 
          ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], "||", 
          RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"MemberQ", "[", 
              RowBox[{"Tinf", ",", "tempin"}], "]"}], "&&", 
             RowBox[{"MemberQ", "[", 
              RowBox[{"Tinf", ",", "tempfin"}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"Note", ":", " ", 
               RowBox[{
               "incase", " ", "of", " ", "rate", " ", "changes", " ", 
                "around", " ", "an", "  ", "intermidate", " ", "boundary", 
                " ", "\"\<T_k\>\""}]}], ",", " ", 
              RowBox[{
              "the", " ", "density", " ", "function", " ", "is", " ", "not", 
               " ", 
               RowBox[{"cont", ".", " ", "so"}], " ", "you", " ", "need", " ",
                "to", " ", "compare", " ", "with", " ", "the", " ", 
               RowBox[{"station", ".", " ", "values"}], " ", "of", " ", 
               RowBox[{"(", 
                RowBox[{"Tk", "+", "0.001"}], ")"}], " ", "for", " ", "the", 
               " ", "\"\<+\>\"", " ", "states", " ", "and", " ", "with", " ", 
               RowBox[{"(", 
                RowBox[{"Tk", "-", "0.001"}], ")"}], " ", "for", " ", 
               "\"\<-\>\"", " ", 
               RowBox[{"States", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
            " ", 
            RowBox[{"(*", " ", 
             RowBox[{
              RowBox[{"Return", " ", "back", " ", "the", " ", "V", 
               RowBox[{"(", 
                RowBox[{"s", ",", 
                 RowBox[{
                  SubscriptBox["T", 
                   RowBox[{"k", ","}]], 
                  SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], 
              ",", 
              RowBox[{"l", 
               RowBox[{"{", 
                RowBox[{"0", ",", "...", ",", 
                 RowBox[{"K", "-", "1"}]}], "}"}]}], ",", " ", 
              RowBox[{"if", " ", "needed"}]}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Return", "[", 
              RowBox[{"SVab2ab", " ", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Position", "[", 
                   RowBox[{"Tinf", ",", "tempin"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Position", "[", 
                   RowBox[{"Tinf", ",", "tempfin"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], "]"}], 
              "]"}], ";"}], "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Return", "[", 
              RowBox[{"{", 
               RowBox[{
               "SVab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", 
                ",", "HsHat", ",", "Hs"}], "}"}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", " ", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"Return", " ", "back", " ", "the", " ", "V", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", 
                  RowBox[{"k", ","}]], 
                 SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], 
             ",", 
             RowBox[{"l", "\[Element]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "...", ",", 
                 RowBox[{"K", "-", "1"}]}], "}"}], " ", "and", " ", 
               SuperscriptBox["\[CapitalPsi]", 
                RowBox[{"(", "k", ")"}]], 
               RowBox[{"(", "s", ")"}]}]}], ",", 
             RowBox[{
              SuperscriptBox["K", 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              SuperscriptBox["H", 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}], " ", 
              SuperscriptBox[
               OverscriptBox["\[CapitalPsi]", "^"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              SuperscriptBox[
               OverscriptBox["K", "^"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              RowBox[{
               SuperscriptBox[
                OverscriptBox["H", "^"], 
                RowBox[{"(", "k", ")"}]], 
               RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", "...", ",", 
                 RowBox[{"K", "-", "1"}]}], "}"}], " ", "Needed", " ", "for", 
               " ", "evaluating", "  ", "the", " ", "transiant", "  ", 
               "fluid", " ", "density", "  ", "for", " ", "the", " ", 
               "following", " ", "cases", "  ", 
               "\"\<starting from a non boundary initial fluid level and \
ending to boundary\>\"", " ", "\[IndentingNewLine]", 
               "\"\<starting from a  boundary initial fluid level and ending \
non boundary\>\"", "\[IndentingNewLine]", 
               "\"\<starting from a non boundary initial fluid level and \
ending non boundary\>\""}]}]}], "   ", "*)"}], "\[IndentingNewLine]", "]"}], 
          ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.782727910827495*^9, 3.7827279155093145`*^9}, {
   3.7827279462530704`*^9, 3.782727956657834*^9}, {3.782727988914028*^9, 
   3.782728044340697*^9}, {3.7827280891025286`*^9, 3.782728094176757*^9}, {
   3.7827282318263845`*^9, 3.782728246822733*^9}, {3.7827282821529713`*^9, 
   3.7827283434999175`*^9}, {3.7827283799784603`*^9, 3.782728439247285*^9}, {
   3.78272850105572*^9, 3.782728712468959*^9}, {3.7827518395899196`*^9, 
   3.782751861044511*^9}, 3.7827518994048815`*^9, 3.7827520408279943`*^9, 
   3.7827523020355473`*^9, {3.7827523663740478`*^9, 3.7827523843728476`*^9}, {
   3.7827524930610623`*^9, 3.782752546385723*^9}, {3.7827526438928003`*^9, 
   3.782752712716667*^9}, {3.782752749239951*^9, 3.7827527959910135`*^9}, {
   3.782752862224037*^9, 3.7827529225935287`*^9}, {3.7827529558265724`*^9, 
   3.7827529790544267`*^9}, {3.782753046433705*^9, 3.7827531570886536`*^9}, {
   3.7827532248442354`*^9, 3.782753431843411*^9}, {3.7827534912015567`*^9, 
   3.7827536331717253`*^9}, {3.7827537592693496`*^9, 
   3.7827537654697623`*^9}, {3.7827538189786296`*^9, 3.782753823443652*^9}, {
   3.7827544706648293`*^9, 3.7827544912308044`*^9}, {3.7827545880118647`*^9, 
   3.7827546677455387`*^9}, {3.7827547824536877`*^9, 3.78275479970848*^9}, {
   3.782754895363551*^9, 3.7827549419788384`*^9}, {3.7827549845399637`*^9, 
   3.782755111731682*^9}, {3.782755182754362*^9, 3.782755183542252*^9}, {
   3.782755235994171*^9, 3.782755243812208*^9}, {3.782755321773841*^9, 
   3.782755324451234*^9}, {3.7827553835351615`*^9, 3.78275538463721*^9}, {
   3.782757708355898*^9, 3.7827577119382763`*^9}, {3.7827580787282696`*^9, 
   3.782758131717456*^9}, {3.782758184127159*^9, 3.78275821809573*^9}, {
   3.7827582674057803`*^9, 3.7827582880845947`*^9}, {3.782758515635606*^9, 
   3.782758517104154*^9}, {3.782758663970548*^9, 3.7827586923396907`*^9}, {
   3.782758757439822*^9, 3.782758764502892*^9}, {3.7827588019976587`*^9, 
   3.7827589471601906`*^9}, {3.7827591762016883`*^9, 3.7827591772890806`*^9}, 
   3.782759408658596*^9, {3.782759550042319*^9, 3.7827595639903426`*^9}, {
   3.7827596185638685`*^9, 3.782759619152148*^9}, {3.782797304148816*^9, 
   3.782797308266964*^9}, {3.782797358146121*^9, 3.7827974325993166`*^9}, {
   3.7827979001575317`*^9, 3.7827979061203885`*^9}, {3.7827979559746532`*^9, 
   3.782797987864256*^9}, {3.782798203599373*^9, 3.7827982047678366`*^9}, {
   3.782798253063423*^9, 3.7827983291300426`*^9}, {3.7827983635754037`*^9, 
   3.782798388994497*^9}, {3.782799132284998*^9, 3.782799183143215*^9}, {
   3.7827992218211813`*^9, 3.782799237572523*^9}, {3.7827992763193073`*^9, 
   3.7827992869543753`*^9}, {3.782799555025674*^9, 3.7827996329382067`*^9}, {
   3.7827996687185364`*^9, 3.7827998213879447`*^9}, {3.7827998803152113`*^9, 
   3.7827998904011974`*^9}, {3.7827999510211983`*^9, 3.7828000311817236`*^9}, 
   3.782800062166216*^9, 3.7828001109525785`*^9, {3.7828004098320074`*^9, 
   3.7828004370592155`*^9}, {3.782800698513895*^9, 3.7828008497953224`*^9}, {
   3.7828009262868767`*^9, 3.7828009594508376`*^9}, {3.78280105404585*^9, 
   3.7828012239871855`*^9}, {3.7828020126382136`*^9, 3.782802140088467*^9}, 
   3.782802275742049*^9, {3.782802336372473*^9, 3.782802489873311*^9}, {
   3.7828026335819445`*^9, 3.7828026338154335`*^9}, {3.7828146343263807`*^9, 
   3.7828146350415144`*^9}, {3.7828146771283393`*^9, 3.782814720367768*^9}, 
   3.782814762201871*^9, {3.782814813804777*^9, 3.782814816398837*^9}, 
   3.7828148478237906`*^9, {3.7828149134312534`*^9, 3.782814938890989*^9}, {
   3.782814979878434*^9, 3.782814992601396*^9}, {3.782815029208496*^9, 
   3.7828150336865025`*^9}, {3.7828150758227353`*^9, 3.782815085697356*^9}, {
   3.782815288795389*^9, 3.78281533083786*^9}, {3.7828153632262106`*^9, 
   3.782815396283761*^9}, {3.782815464702732*^9, 3.782815470380521*^9}, {
   3.7828155169987965`*^9, 3.7828155450946393`*^9}, {3.782815588513756*^9, 
   3.7828156120637035`*^9}, {3.782815683991266*^9, 3.78281575858469*^9}, {
   3.7828163803663673`*^9, 3.782816407012044*^9}, {3.782887534146577*^9, 
   3.7828877096304274`*^9}, {3.7828877893354797`*^9, 
   3.7828879230392838`*^9}, {3.7828879537194786`*^9, 3.782888001696463*^9}, {
   3.782888059150372*^9, 3.7828880640525093`*^9}, {3.7828882112882824`*^9, 
   3.7828882239844184`*^9}, {3.78288834916444*^9, 3.78288834972003*^9}, {
   3.7828885312302346`*^9, 3.78288854005525*^9}, {3.7828891859131155`*^9, 
   3.7828892082001514`*^9}, {3.7828892412425776`*^9, 
   3.7828892582460794`*^9}, {3.782889328621441*^9, 3.782889333698187*^9}, {
   3.782889364209904*^9, 3.782889456672058*^9}, {3.782889518615531*^9, 
   3.7828896862606335`*^9}, {3.7828897266748333`*^9, 
   3.7828897710700555`*^9}, {3.782889820938173*^9, 3.7828899347124186`*^9}, {
   3.782890365009245*^9, 3.7828904522181196`*^9}, {3.7828904877876353`*^9, 
   3.7828905121622443`*^9}, {3.782890565837444*^9, 3.7828905774177427`*^9}, {
   3.7828906517725525`*^9, 3.782890654151189*^9}, {3.782890797313795*^9, 
   3.7828908237875304`*^9}, {3.7828909442264023`*^9, 3.782890972831724*^9}, {
   3.78289100945348*^9, 3.7828910136726503`*^9}, {3.7828911132689333`*^9, 
   3.7828911485224085`*^9}, 3.7828911824240785`*^9, 3.7828912220627184`*^9, {
   3.7828914589289417`*^9, 3.7828914874502487`*^9}, {3.7828915420893474`*^9, 
   3.7828915503054314`*^9}, {3.7828916379722843`*^9, 3.782891658704006*^9}, {
   3.7828916900202613`*^9, 3.782891723709261*^9}, {3.7828918330495887`*^9, 
   3.7828918452629704`*^9}, {3.7828919339374146`*^9, 3.782892058976517*^9}, {
   3.782892125720133*^9, 3.782892173068595*^9}, {3.782892220381576*^9, 
   3.7828922318542833`*^9}, {3.7828922657897525`*^9, 
   3.7828923140141478`*^9}, {3.7828924171123037`*^9, 3.782892419691502*^9}, {
   3.782892619206284*^9, 3.782892644283257*^9}, {3.7828928247436295`*^9, 
   3.782892838026805*^9}, 3.7828929407318296`*^9, {3.782893020826685*^9, 
   3.7828930380205936`*^9}, {3.7828930883348365`*^9, 3.782893115508363*^9}, {
   3.782893163406296*^9, 3.782893180594858*^9}, 3.7828932235685625`*^9, {
   3.782893369397064*^9, 3.782893473304772*^9}, {3.782893659938056*^9, 
   3.7828939287657156`*^9}, {3.7829171139304204`*^9, 3.782917114993828*^9}, {
   3.7829181860692043`*^9, 3.7829183578422704`*^9}, 3.7829183977283387`*^9, {
   3.782918441399889*^9, 3.782918448911436*^9}, 3.782918560987502*^9, {
   3.7829186588449945`*^9, 3.7829190410219126`*^9}, {3.7829190865771513`*^9, 
   3.7829191659019203`*^9}, {3.7829193567391*^9, 3.7829193616817594`*^9}, 
   3.7829194271742744`*^9, {3.7829194609730935`*^9, 3.7829194645643187`*^9}, 
   3.782919497376645*^9, 3.782919545949417*^9, 3.782919622721295*^9, 
   3.7829196737987103`*^9, {3.7829197547082396`*^9, 3.782919790388418*^9}, {
   3.782919887914624*^9, 3.7829198972574964`*^9}, {3.7829199969593453`*^9, 
   3.7829200003118787`*^9}, {3.7829208522122507`*^9, 3.78292088680888*^9}, 
   3.7829209256300125`*^9, {3.7829209618330903`*^9, 3.782920996475339*^9}, {
   3.7829211640956917`*^9, 3.782921183307781*^9}, {3.7829212596405354`*^9, 
   3.7829212836601768`*^9}, {3.7829240193936405`*^9, 
   3.7829240670132003`*^9}, {3.782924127532673*^9, 3.7829241750062494`*^9}, {
   3.782924341012743*^9, 3.7829243542785983`*^9}, {3.7829245097247076`*^9, 
   3.7829245443307447`*^9}, {3.782924587601412*^9, 3.782924596859643*^9}, {
   3.7829246431688013`*^9, 3.7829247525565467`*^9}, {3.7829247865559173`*^9, 
   3.782924860356933*^9}, {3.7829249520083137`*^9, 3.7829250106638656`*^9}, {
   3.7829250535323133`*^9, 3.782925069489606*^9}, {3.7829251255366783`*^9, 
   3.782925230055094*^9}, {3.7829252731022615`*^9, 3.7829254037103124`*^9}, {
   3.7829257079070697`*^9, 3.782925721763157*^9}, {3.7829258008515477`*^9, 
   3.7829258011156173`*^9}, {3.7829262628491335`*^9, 
   3.7829262657970085`*^9}, {3.7829265728473063`*^9, 3.782926628525632*^9}, {
   3.782926668721413*^9, 3.7829266700788093`*^9}, {3.7829267764901276`*^9, 
   3.782926779269677*^9}, 3.7829286989729843`*^9, {3.782929372419237*^9, 
   3.7829293791372895`*^9}, {3.782930148403472*^9, 3.7829302599311156`*^9}, {
   3.7829303134977665`*^9, 3.782930410009424*^9}, {3.7829305838449183`*^9, 
   3.782930668684309*^9}, {3.7829307123810153`*^9, 3.7829307212530355`*^9}, 
   3.782930762188684*^9, {3.7829308436995926`*^9, 3.782930848382019*^9}, {
   3.782931003866517*^9, 3.782931019132529*^9}, {3.782976054913261*^9, 
   3.7829761388792624`*^9}, {3.7829762638171167`*^9, 3.7829763098804502`*^9}, 
   3.782976391759944*^9, {3.7829912165199876`*^9, 3.782991223585083*^9}, 
   3.782991254779622*^9, {3.7829913888890276`*^9, 3.7829914478702*^9}, {
   3.7829914790777493`*^9, 3.782991526300371*^9}, {3.782993154887307*^9, 
   3.782993222697874*^9}, {3.7829932680754786`*^9, 3.7829932697360463`*^9}, {
   3.782993362645251*^9, 3.7829933772173004`*^9}, {3.7829934145135202`*^9, 
   3.7829934212375293`*^9}, {3.7829948240844774`*^9, 
   3.7829949106000543`*^9}, {3.7829949646823435`*^9, 3.782994981686863*^9}, {
   3.782995111530483*^9, 3.782995173292245*^9}, {3.7829954169680405`*^9, 
   3.782995455863982*^9}, {3.7829955941723137`*^9, 3.782995595720214*^9}, {
   3.7829956935385747`*^9, 3.782995711612217*^9}, 3.7829957575034356`*^9, {
   3.7829959264199486`*^9, 3.7829959374484453`*^9}, 3.7829969633572564`*^9, {
   3.782997031373177*^9, 3.782997052302183*^9}, {3.782997161025296*^9, 
   3.7829971821158257`*^9}, {3.782997217047412*^9, 3.782997291360196*^9}, {
   3.782997365013096*^9, 3.782997374953539*^9}, {3.7829977230842876`*^9, 
   3.7829977499494295`*^9}, {3.7829977917216463`*^9, 
   3.7829978044416633`*^9}, {3.7829978567385488`*^9, 
   3.7829978912711506`*^9}, {3.7829979249590263`*^9, 
   3.7829980173229074`*^9}, {3.782998049063985*^9, 3.7829980675534678`*^9}, {
   3.7829986358645024`*^9, 3.7829986796583395`*^9}, 3.7829987215661564`*^9, {
   3.7829992398353577`*^9, 3.7829992428435907`*^9}, {3.7829992781936307`*^9, 
   3.782999297039977*^9}, {3.782999475055441*^9, 3.7829994758804665`*^9}, {
   3.782999534529836*^9, 3.7829995351020703`*^9}, {3.782999630446559*^9, 
   3.7829996888206244`*^9}, {3.7829997377377753`*^9, 3.782999747943928*^9}, {
   3.782999841854776*^9, 3.782999842100478*^9}, {3.782999901089223*^9, 
   3.782999901646718*^9}, 3.7830002194671316`*^9, {3.7830003184468255`*^9, 
   3.7830003185804405`*^9}, {3.7830011236401887`*^9, 3.783001150805172*^9}, 
   3.783001200530631*^9, {3.7830014392268133`*^9, 3.7830014851963477`*^9}, {
   3.783001997357004*^9, 3.783002008184951*^9}, {3.78300207911147*^9, 
   3.783002081125691*^9}, {3.783004061564726*^9, 3.7830041698466325`*^9}, 
   3.7830042013636074`*^9, {3.7830042697246113`*^9, 3.7830042701755753`*^9}, {
   3.783004307776205*^9, 3.783004339371352*^9}, 3.7830044024871483`*^9, {
   3.7830044588818426`*^9, 3.7830045138564005`*^9}, {3.783004660577154*^9, 
   3.7830046626143436`*^9}, {3.783004940606185*^9, 3.7830049654644437`*^9}, {
   3.783005141710297*^9, 3.783005159021736*^9}, 3.7830053923856525`*^9, {
   3.7830055359159927`*^9, 3.7830056061124115`*^9}, {3.783005654006899*^9, 
   3.7830056830470395`*^9}, {3.783005925573538*^9, 3.783005953761033*^9}, {
   3.783007355063343*^9, 3.78300737801445*^9}, {3.783007428942585*^9, 
   3.7830074593427706`*^9}, {3.783007571734419*^9, 3.7830076430271597`*^9}, {
   3.783007747553056*^9, 3.783007756811805*^9}, {3.7830077893905077`*^9, 
   3.78300779004495*^9}, 3.783007847830587*^9, 3.783007959954783*^9, 
   3.783008158826654*^9, 3.7830083368066425`*^9, {3.783008394690154*^9, 
   3.783008414327315*^9}, {3.7830085993584805`*^9, 3.783008603119902*^9}, {
   3.783008667091567*^9, 3.78300866855366*^9}, 3.7830087663698697`*^9, 
   3.783008842226923*^9, 3.78300898465139*^9, {3.783009121827055*^9, 
   3.783009125505484*^9}, {3.783009546200095*^9, 3.783009555470158*^9}, 
   3.7830096376034822`*^9, {3.7830097716248426`*^9, 3.7830097718145695`*^9}, {
   3.7830098821871266`*^9, 3.78300988514007*^9}, {3.783009935860238*^9, 
   3.7830099366639166`*^9}, {3.7830101446930747`*^9, 
   3.7830101592860303`*^9}, {3.7830102852324915`*^9, 3.783010285676262*^9}, {
   3.7830103306739054`*^9, 3.7830103413353896`*^9}, {3.783010715489586*^9, 
   3.78301071617076*^9}, {3.7830107548572674`*^9, 3.7830107556690435`*^9}, 
   3.7830109844174004`*^9, 3.783011145697405*^9, 3.7830114605151076`*^9, 
   3.7830116363924446`*^9, {3.783011883590028*^9, 3.783011896975217*^9}, {
   3.7830120765697594`*^9, 3.78301207913789*^9}, {3.783012598878299*^9, 
   3.783012605003908*^9}, {3.7830127257508106`*^9, 3.783012727192995*^9}, 
   3.7830128152553425`*^9, {3.7830129105390425`*^9, 3.7830129137404795`*^9}, {
   3.783013148310621*^9, 3.783013180319028*^9}, 3.783013251270749*^9, {
   3.7830132890047445`*^9, 3.7830133429195004`*^9}, {3.7830133731965475`*^9, 
   3.7830134705719953`*^9}, {3.7830135043994913`*^9, 
   3.7830135114735656`*^9}, {3.7830136654316535`*^9, 
   3.7830136679070272`*^9}, {3.7830138186447353`*^9, 
   3.7830138241759386`*^9}, {3.7830139710898685`*^9, 3.783013971663368*^9}, {
   3.7830140288038054`*^9, 3.7830140298869085`*^9}, {3.7830141768288045`*^9, 
   3.783014181515249*^9}, 3.783014410731626*^9, {3.783014488983305*^9, 
   3.783014570226903*^9}, {3.7830146054716396`*^9, 3.78301461313414*^9}, {
   3.7830146707120533`*^9, 3.7830148098468065`*^9}, {3.7830150296178474`*^9, 
   3.7830151071663337`*^9}, {3.7830151423542337`*^9, 3.783015160295224*^9}, 
   3.783015254701604*^9, {3.7830153336452723`*^9, 3.7830153341399517`*^9}, {
   3.7830154291657023`*^9, 3.783015473532059*^9}, 3.783015524625365*^9, {
   3.7830156517293043`*^9, 3.7830156532621627`*^9}, {3.7830157203586864`*^9, 
   3.7830157400738926`*^9}, {3.7830157860279884`*^9, 
   3.7830157870472636`*^9}, {3.7830162617750225`*^9, 3.783016267071863*^9}, {
   3.7830163138795786`*^9, 3.783016318213024*^9}, {3.783017064008095*^9, 
   3.7830170977837267`*^9}, {3.7830177448776245`*^9, 3.783017782377344*^9}, {
   3.783017989407429*^9, 3.783017990120491*^9}, {3.7830180895472593`*^9, 
   3.7830180909056296`*^9}, {3.7830181213790965`*^9, 
   3.7830181219784937`*^9}, {3.7830182877858815`*^9, 
   3.7830182971319227`*^9}, {3.7830185310752087`*^9, 3.7830185591680098`*^9}, 
   3.783018631531191*^9, 3.783018726110195*^9, {3.7830190253799825`*^9, 
   3.783019032052169*^9}, {3.783019151579389*^9, 3.7830191882043934`*^9}, {
   3.783019250878712*^9, 3.783019256402889*^9}, 3.7830193254883156`*^9, {
   3.783019544082446*^9, 3.7830195483859367`*^9}, {3.7830606095194483`*^9, 
   3.7830607748930717`*^9}, {3.7830608416764755`*^9, 3.783060844553586*^9}, {
   3.7830608875752125`*^9, 3.783060957977872*^9}, {3.783060991136063*^9, 
   3.783060992230712*^9}, {3.7830610242826214`*^9, 3.783061087531349*^9}, {
   3.7830611455534706`*^9, 3.783061358989849*^9}, {3.783061495370798*^9, 
   3.7830615397528267`*^9}, {3.7830618302953577`*^9, 
   3.7830618495555325`*^9}, {3.7830618988890066`*^9, 3.783061926122825*^9}, 
   3.7830619571403823`*^9, 3.7830620114819193`*^9, 3.783062635231118*^9, {
   3.7830632782914343`*^9, 3.783063302882783*^9}, {3.783063413840871*^9, 
   3.7830634413659935`*^9}, {3.783063473215043*^9, 3.7830634995184298`*^9}, {
   3.7830635320834017`*^9, 3.783063586420169*^9}, {3.7830636306179123`*^9, 
   3.783063715984432*^9}, {3.7830654954780235`*^9, 3.7830655213191605`*^9}, {
   3.7830657189177055`*^9, 3.783065794451359*^9}, {3.783066117889432*^9, 
   3.7830661210243855`*^9}, {3.783066587221513*^9, 3.7830666208242917`*^9}, {
   3.7830669160078244`*^9, 3.783067035670486*^9}, 3.7830671376594715`*^9, {
   3.7830672792251716`*^9, 3.7830673275833135`*^9}, {3.7830684116536393`*^9, 
   3.7830684529656696`*^9}, {3.783068490070408*^9, 3.7830685348414326`*^9}, {
   3.783068594293991*^9, 3.78306865038496*^9}, {3.783068693424636*^9, 
   3.783068736298463*^9}, {3.7830687743715515`*^9, 3.7830688113372517`*^9}, {
   3.783068853542039*^9, 3.7830690847291937`*^9}, {3.7830691170594416`*^9, 
   3.783069161229232*^9}, {3.7830700685344763`*^9, 3.7830701973189034`*^9}, {
   3.7830702504917192`*^9, 3.7830704382905483`*^9}, {3.7830710728501425`*^9, 
   3.7830710930124917`*^9}, {3.783071124882099*^9, 3.783071146565343*^9}, {
   3.7830712018860683`*^9, 3.7830712274004707`*^9}, {3.783072088843539*^9, 
   3.783072144305192*^9}, {3.7830722026819677`*^9, 3.783072217519307*^9}, {
   3.783073717577434*^9, 3.78307373131265*^9}, {3.7830738790165186`*^9, 
   3.7830738794992256`*^9}, {3.7830744051532335`*^9, 
   3.7830744066651917`*^9}, {3.783074489091667*^9, 3.783074532199333*^9}, 
   3.7830747940491824`*^9, {3.7830749156445584`*^9, 3.7830749230247865`*^9}, {
   3.783075065902113*^9, 3.7830750741579895`*^9}, {3.7830751128175635`*^9, 
   3.783075142707589*^9}, 3.7830944540912037`*^9, {3.7830945403374367`*^9, 
   3.7830945445467186`*^9}, {3.783094580998372*^9, 3.783094586139942*^9}, {
   3.7830950640131216`*^9, 3.7830950694474697`*^9}, {3.7830969529239216`*^9, 
   3.783096954104206*^9}, {3.7830971453069444`*^9, 3.783097145781674*^9}, {
   3.7830972056856422`*^9, 3.783097239803119*^9}, {3.783097978418874*^9, 
   3.783097987125143*^9}, {3.783099755689804*^9, 3.783099763001079*^9}, 
   3.783141734124365*^9, {3.7831418355731697`*^9, 3.783141838167181*^9}, 
   3.7831419529579983`*^9, {3.7831466782900004`*^9, 3.7831467317569513`*^9}, 
   3.783146993030752*^9, 3.7831471508792295`*^9, {3.7831477411689734`*^9, 
   3.783147754126305*^9}, {3.783147987575674*^9, 3.783147989989261*^9}, {
   3.7831495593175354`*^9, 3.7831495852212296`*^9}, {3.783149625105526*^9, 
   3.7831496542644644`*^9}, {3.783149689975954*^9, 3.7831497752996655`*^9}, {
   3.783149831679835*^9, 3.7831498405152006`*^9}, {3.783149947934844*^9, 
   3.7831499756956043`*^9}, {3.7831500340963697`*^9, 3.783150035574404*^9}, 
   3.7831514465938377`*^9, 3.7831515158206744`*^9, {3.783152207172983*^9, 
   3.783152220127324*^9}, {3.783152263318818*^9, 3.783152263873331*^9}, {
   3.783155328648491*^9, 3.783155339443654*^9}, 3.783156438758231*^9, {
   3.783156572171239*^9, 3.783156572532323*^9}, {3.7831566905209026`*^9, 
   3.783156698963252*^9}, {3.7831583422254744`*^9, 3.7831588991502137`*^9}, {
   3.7831589912741632`*^9, 3.783158994460932*^9}, {3.783159993751539*^9, 
   3.7831600033146667`*^9}, {3.783160082731045*^9, 3.7831600856676626`*^9}, 
   3.783160121377014*^9, {3.783160201066856*^9, 3.783160201566474*^9}, {
   3.7831602647193513`*^9, 3.783160333691558*^9}, {3.78316066739814*^9, 
   3.7831608726595984`*^9}, {3.7831609181564226`*^9, 3.783160971428397*^9}, {
   3.783161011190567*^9, 3.783161024956096*^9}, {3.783161057793086*^9, 
   3.783161089612359*^9}, {3.7831611740341926`*^9, 3.7831612305814977`*^9}, {
   3.7831612623527737`*^9, 3.7831612653623695`*^9}, {3.783161326904766*^9, 
   3.7831613287426114`*^9}, {3.7831614525417356`*^9, 
   3.7831614537690983`*^9}, {3.783161560778516*^9, 3.78316156095508*^9}, {
   3.783161896248397*^9, 3.78316196463665*^9}, {3.78316200086557*^9, 
   3.783162052333672*^9}, {3.783162127193367*^9, 3.783162167017396*^9}, {
   3.783162197948764*^9, 3.7831622902079897`*^9}, 3.783180173457526*^9, {
   3.783181372416003*^9, 3.783181400835973*^9}, {3.783236299351712*^9, 
   3.7832363182581573`*^9}, {3.783318518674268*^9, 3.7833185222487044`*^9}, 
   3.7833185662627378`*^9, {3.783318672672036*^9, 3.7833187207673254`*^9}, {
   3.7833187536283627`*^9, 3.783318889297416*^9}, {3.783318952661933*^9, 
   3.7833189566612453`*^9}, {3.783318998101321*^9, 3.783319169156668*^9}, {
   3.7833192614898033`*^9, 3.783319336795867*^9}, {3.78331944729438*^9, 
   3.7833194642719126`*^9}, 3.783319529843521*^9, {3.7833195686506453`*^9, 
   3.7833195912591896`*^9}, 3.7833203122576756`*^9, {3.783320417443264*^9, 
   3.783320434573389*^9}, {3.783320555276498*^9, 3.7833206024223547`*^9}, {
   3.78332063867432*^9, 3.783320659327099*^9}, {3.783320743683375*^9, 
   3.783320750084297*^9}, {3.78336095758766*^9, 3.7833609905059376`*^9}, {
   3.783361058385605*^9, 3.783361077276278*^9}, {3.7834215701949096`*^9, 
   3.7834216359818993`*^9}, {3.7834216699879155`*^9, 3.783421691164304*^9}, 
   3.7834217410667443`*^9, {3.783421783245761*^9, 3.7834217896526203`*^9}, {
   3.783421898148383*^9, 3.783421905272323*^9}, {3.783421972317813*^9, 
   3.7834221655554647`*^9}, 3.783422248734918*^9, {3.783422449050505*^9, 
   3.783422517662655*^9}, {3.783422558223137*^9, 3.783422577430747*^9}, {
   3.7834226252524157`*^9, 3.783422693050524*^9}, 3.783422790251465*^9, 
   3.783422924063143*^9, {3.7834229574178567`*^9, 3.783422979060953*^9}, 
   3.7834230171899405`*^9, {3.783423086508046*^9, 3.7834230899727755`*^9}, 
   3.7834231483684464`*^9, {3.7834231978187666`*^9, 3.7834231979234867`*^9}, {
   3.7834232454672623`*^9, 3.783423307790518*^9}, 3.7834233504422483`*^9, {
   3.783423425817587*^9, 3.783423427204909*^9}, {3.7834235344688897`*^9, 
   3.7834235854165807`*^9}, {3.783423881323876*^9, 3.7834238818404913`*^9}, {
   3.7834239152441206`*^9, 3.7834239387941127`*^9}, {3.783424032173279*^9, 
   3.7834240517309523`*^9}, {3.7834257767051067`*^9, 
   3.7834257830760617`*^9}, {3.7834258170212436`*^9, 
   3.7834258570371804`*^9}, {3.783425902533507*^9, 3.7834259940496073`*^9}, {
   3.7834263469755034`*^9, 3.783426399888957*^9}, {3.7834264635935183`*^9, 
   3.783426464756406*^9}, {3.783427266306202*^9, 3.7834272697878857`*^9}, {
   3.783427317410473*^9, 3.7834273551215773`*^9}, {3.783427399762144*^9, 
   3.7834274073059597`*^9}, {3.7834274482194963`*^9, 
   3.7834275059390697`*^9}, {3.7834275445537996`*^9, 
   3.7834275450165186`*^9}, {3.78342758298095*^9, 3.7834276793231845`*^9}, {
   3.783427801243988*^9, 3.783427845461728*^9}, {3.783427925519492*^9, 
   3.7834280121896067`*^9}, {3.7834281532621713`*^9, 
   3.7834282459222603`*^9}, {3.783428529787785*^9, 3.7834285452115197`*^9}, {
   3.7834286608241997`*^9, 3.7834286663783407`*^9}, {3.7834288163949747`*^9, 
   3.783428827186103*^9}, {3.7835211783706675`*^9, 3.7835212148211107`*^9}, {
   3.7835212586957226`*^9, 3.7835212716720405`*^9}, {3.7835213977865887`*^9, 
   3.783521427408335*^9}, {3.7835216469120574`*^9, 3.783521659006756*^9}, {
   3.783521689350571*^9, 3.783521736392701*^9}, {3.7835217927728558`*^9, 
   3.7835218107368054`*^9}, {3.7835219797219057`*^9, 
   3.7835220554686565`*^9}, {3.7835220988226695`*^9, 3.783522143012438*^9}, {
   3.783522198650135*^9, 3.7835222859695206`*^9}, {3.7835223413363905`*^9, 
   3.7835223561118603`*^9}, {3.783522566757593*^9, 3.783522574321395*^9}, {
   3.7835226667408905`*^9, 3.7835226717565165`*^9}, {3.7835229564798937`*^9, 
   3.78352310733482*^9}, {3.783533960284808*^9, 3.783534028999918*^9}, {
   3.7835341109708414`*^9, 3.783534126486376*^9}, {3.7835346196957397`*^9, 
   3.783534640979353*^9}, {3.783534999449775*^9, 3.7835350786607947`*^9}, {
   3.7835351090822954`*^9, 3.7835351610234833`*^9}, 3.783535276051527*^9, 
   3.783535315631657*^9, {3.783536477198886*^9, 3.7835366270056496`*^9}, {
   3.7835367168551345`*^9, 3.7835368041587734`*^9}, {3.7835368856260157`*^9, 
   3.783536898126544*^9}, {3.7835369344877625`*^9, 3.7835369655544024`*^9}, {
   3.7835370166353817`*^9, 3.7835370226975975`*^9}, {3.783537074447367*^9, 
   3.7835371053597794`*^9}, {3.7835373240629663`*^9, 3.783537415620768*^9}, {
   3.783537458450775*^9, 3.7835376118287745`*^9}, {3.7835377255707536`*^9, 
   3.7835377490999193`*^9}, 3.7835379166204247`*^9, {3.7835380416532283`*^9, 
   3.7835380731062126`*^9}, {3.7835384680265336`*^9, 
   3.7835384876712627`*^9}, {3.7835388391748238`*^9, 
   3.7835388799572797`*^9}, {3.7835390351124287`*^9, 3.783539072729208*^9}, {
   3.783539128533321*^9, 3.783539129097049*^9}, {3.783539667413731*^9, 
   3.783539668289423*^9}, {3.7835417375310373`*^9, 3.78354176138105*^9}, {
   3.783541800379614*^9, 3.783541994299181*^9}, {3.7835425411620665`*^9, 
   3.783542543919856*^9}, {3.7835425883970428`*^9, 3.783542602807061*^9}, {
   3.783542657524621*^9, 3.7835427970751395`*^9}, {3.7835428442509313`*^9, 
   3.7835428838422966`*^9}, 3.783542918022978*^9, {3.7835429884295874`*^9, 
   3.7835430381589246`*^9}, {3.7835430921564355`*^9, 
   3.7835430957970705`*^9}, {3.7835432088846626`*^9, 3.783543215328457*^9}, {
   3.7835432833254976`*^9, 3.7835432959547453`*^9}, {3.7835434943731318`*^9, 
   3.783543559471967*^9}, {3.7835440857023835`*^9, 3.7835440991553445`*^9}, {
   3.783544409932503*^9, 3.7835444150747013`*^9}, {3.783544613673913*^9, 
   3.7835446771400676`*^9}, {3.7835448988854847`*^9, 
   3.7835449021238685`*^9}, {3.7835450200232925`*^9, 
   3.7835450265069103`*^9}, {3.783545061790552*^9, 3.7835450668218603`*^9}, 
   3.7835453037364454`*^9, {3.783545401291402*^9, 3.7835454154545355`*^9}, {
   3.7835455180491533`*^9, 3.7835455238835506`*^9}, {3.7835455901811705`*^9, 
   3.783545604709298*^9}, {3.783545673177107*^9, 3.783545692667968*^9}, {
   3.7835457844005404`*^9, 3.7835457910856514`*^9}, {3.7835470924532757`*^9, 
   3.7835470939871407`*^9}, {3.7835471505767765`*^9, 
   3.7835471568659525`*^9}, {3.783547236977614*^9, 3.783547242401103*^9}, {
   3.783547324113491*^9, 3.7835473570728545`*^9}, {3.7835475666431565`*^9, 
   3.7835476406154013`*^9}, {3.783547683313073*^9, 3.783547728155059*^9}, {
   3.783548095447612*^9, 3.783548147696807*^9}, {3.7835482222323623`*^9, 
   3.783548257255689*^9}, {3.78354867643567*^9, 3.783548707670102*^9}, {
   3.783548804729449*^9, 3.7835488433770676`*^9}, {3.7835489018446264`*^9, 
   3.7835489022944307`*^9}, {3.7835490880374794`*^9, 
   3.7835491404674587`*^9}, {3.7835494088773346`*^9, 3.783549424478159*^9}, {
   3.783549658997712*^9, 3.7835496669643517`*^9}, {3.783549706510593*^9, 
   3.783549706867591*^9}, {3.783581269466029*^9, 3.7835814155418615`*^9}, {
   3.7835815074710407`*^9, 3.783581507570778*^9}, {3.783581669755065*^9, 
   3.7835816707420287`*^9}, {3.7835817473302507`*^9, 3.783581763692184*^9}, {
   3.783581820134796*^9, 3.78358184193804*^9}, {3.78358187748702*^9, 
   3.7835818794277816`*^9}, {3.7835821087307634`*^9, 
   3.7835821161142216`*^9}, {3.783582160962634*^9, 3.7835821939904275`*^9}, 
   3.783582281551769*^9, 3.783582600221161*^9, {3.7835826428797483`*^9, 
   3.783582701257825*^9}, {3.7835827652050962`*^9, 3.7835828110091944`*^9}, 
   3.7835829221907063`*^9, {3.783583103023898*^9, 3.7835831168933997`*^9}, {
   3.7835831489329176`*^9, 3.783583185816033*^9}, {3.7835832527373943`*^9, 
   3.783583490974163*^9}, 3.783583543010002*^9, 3.7835836151851807`*^9, {
   3.783583700607642*^9, 3.783583705294696*^9}, {3.783583735340969*^9, 
   3.7835837958944407`*^9}, {3.783583962004897*^9, 3.7835839669503555`*^9}, {
   3.78358405914979*^9, 3.783584084824342*^9}, {3.7835841266245365`*^9, 
   3.783584153484787*^9}, {3.7835842457482243`*^9, 3.7835842549537735`*^9}, {
   3.783584632985846*^9, 3.7835847051317225`*^9}, 3.7835847998773966`*^9, {
   3.7835849101234546`*^9, 3.7835849775673137`*^9}, {3.783585073209392*^9, 
   3.7835851365451736`*^9}, {3.7835855426119275`*^9, 3.783585543812105*^9}, {
   3.783585619947386*^9, 3.783585664283496*^9}, {3.783585892291198*^9, 
   3.783585948725316*^9}, {3.783587623568083*^9, 3.7835876457806573`*^9}, {
   3.7835876892730894`*^9, 3.7835876956920643`*^9}, {3.7835877646523*^9, 
   3.78358784445877*^9}, {3.7835879662068577`*^9, 3.7835879691334753`*^9}, {
   3.7835911555407124`*^9, 3.783591239049257*^9}, {3.7836150824034986`*^9, 
   3.7836151286463118`*^9}, {3.7836152293724513`*^9, 
   3.7836153118166857`*^9}, {3.783615430083317*^9, 3.783615438863907*^9}, {
   3.7836154856102*^9, 3.7836154898400793`*^9}, 3.7836168875980654`*^9, {
   3.783616952841662*^9, 3.7836169889260693`*^9}, {3.7836171291244564`*^9, 
   3.7836171566113167`*^9}, {3.783617200831607*^9, 3.78361720549859*^9}, {
   3.7836172754110327`*^9, 3.7836173891964517`*^9}, {3.7836174951849566`*^9, 
   3.7836175237865243`*^9}, {3.783617555502946*^9, 3.783617606296486*^9}, {
   3.7836207354983354`*^9, 3.7836207399324393`*^9}, {3.78362078904208*^9, 
   3.783620886039368*^9}, {3.783620952736579*^9, 3.7836210637884865`*^9}, {
   3.783621099317043*^9, 3.7836211035806274`*^9}, {3.7836211349905567`*^9, 
   3.7836211358054214`*^9}, {3.78362116581608*^9, 3.783621173153497*^9}, {
   3.7836212176394277`*^9, 3.783621247888541*^9}, {3.783621387547849*^9, 
   3.7836214319069643`*^9}, {3.7836214751552544`*^9, 3.783621475300865*^9}, 
   3.7836219549576793`*^9, {3.7836220322328973`*^9, 3.78362203274856*^9}, {
   3.783622073445636*^9, 3.7836220736611075`*^9}, 3.7836221064174647`*^9, {
   3.783623239092585*^9, 3.783623326528427*^9}, {3.783623435860787*^9, 
   3.783623446523947*^9}, 3.783623488374666*^9, {3.7836236734034357`*^9, 
   3.783623729140168*^9}, {3.783624208461849*^9, 3.7836242187304497`*^9}, {
   3.783624265562469*^9, 3.783624279157649*^9}, {3.7836245129811897`*^9, 
   3.783624515892962*^9}, {3.7836248539169827`*^9, 3.7836248732993765`*^9}, {
   3.7836249226390142`*^9, 3.783625012232275*^9}, {3.7836634323138285`*^9, 
   3.7836635188452415`*^9}, {3.7836635490823383`*^9, 3.783663549552387*^9}, {
   3.7836640031669073`*^9, 3.78366402158825*^9}, {3.783664052433652*^9, 
   3.7836640806828375`*^9}, {3.783664322032192*^9, 3.783664351724394*^9}, {
   3.783664383364108*^9, 3.7836643843328276`*^9}, {3.783664429612772*^9, 
   3.7836645513233223`*^9}, {3.78366458260367*^9, 3.783664683589498*^9}, {
   3.783664723885212*^9, 3.783664882077278*^9}, {3.7836649210605297`*^9, 
   3.783664943996155*^9}, {3.783667159096292*^9, 3.7836671752540627`*^9}, {
   3.783667294171569*^9, 3.783667301227831*^9}, {3.7836674714791117`*^9, 
   3.7836674795071497`*^9}, {3.7836675450243254`*^9, 3.7836675541217265`*^9}, 
   3.7836675981929855`*^9, {3.7836678098250985`*^9, 3.783667813252902*^9}, {
   3.7836689750649548`*^9, 3.7836689757396746`*^9}, {3.7836690179887333`*^9, 
   3.783669029618742*^9}, {3.783669157883176*^9, 3.7836691742264247`*^9}, {
   3.7836692892684717`*^9, 3.783669289900133*^9}, {3.7836694222714663`*^9, 
   3.783669435615728*^9}, {3.783669550969545*^9, 3.7836695513717957`*^9}, {
   3.7836698081595874`*^9, 3.7836698476775227`*^9}, {3.7836709313149395`*^9, 
   3.783670933916884*^9}, {3.7836709918223867`*^9, 3.783671056980366*^9}, {
   3.7836711956792064`*^9, 3.783671259881361*^9}, {3.783671326313908*^9, 
   3.7836713635174627`*^9}, {3.7836714431439004`*^9, 
   3.7836714611333723`*^9}, {3.783671519380311*^9, 3.7836715207600775`*^9}, 
   3.7836715679606833`*^9, {3.7836716254918475`*^9, 3.7836717870702815`*^9}, {
   3.78367189209433*^9, 3.7836718947899895`*^9}, {3.7836719394136386`*^9, 
   3.783671940892938*^9}, {3.7836720342264156`*^9, 3.7836720373130836`*^9}, {
   3.7836720974909897`*^9, 3.78367211115291*^9}, 3.7836722443879023`*^9, {
   3.7836722938661575`*^9, 3.783672365322831*^9}, {3.7836724066021595`*^9, 
   3.783672409780795*^9}, {3.7836758347009244`*^9, 3.7836758405153937`*^9}, {
   3.783676093535632*^9, 3.783676218732623*^9}, 3.783676250557522*^9, {
   3.7836763306961064`*^9, 3.783676346576626*^9}, {3.7836765732796164`*^9, 
   3.783676592676716*^9}, {3.783676748962536*^9, 3.7836768601209936`*^9}, {
   3.7836770308532476`*^9, 3.7836772103121076`*^9}, {3.783677280461776*^9, 
   3.783677285840433*^9}, {3.7836773360111628`*^9, 3.7836773528072615`*^9}, 
   3.78367763328749*^9, {3.78367815658885*^9, 3.783678158237439*^9}, {
   3.783678978175188*^9, 3.7836790674008503`*^9}, {3.783679142415148*^9, 
   3.7836791690618114`*^9}, {3.7836792014472103`*^9, 3.783679217011578*^9}, {
   3.7836797407108407`*^9, 3.783679798028482*^9}, {3.783679959485075*^9, 
   3.7836799870563107`*^9}, {3.783680412400318*^9, 3.783680421324425*^9}, {
   3.7836805044858723`*^9, 3.7836805569823694`*^9}, 3.783680648024745*^9, {
   3.7836809462847505`*^9, 3.7836809580971456`*^9}, 3.7836818674944315`*^9, {
   3.7836819081127625`*^9, 3.7836819348810954`*^9}, {3.7836819694206886`*^9, 
   3.7836820971160464`*^9}, 3.783682134786255*^9, {3.7836821700639086`*^9, 
   3.7836821823659945`*^9}, {3.783682229364254*^9, 3.783682370642529*^9}, 
   3.7836827772597895`*^9, {3.783682881366253*^9, 3.78368288518504*^9}, {
   3.783682966624502*^9, 3.7836829921641207`*^9}, {3.7836844538100843`*^9, 
   3.7836844823197937`*^9}, {3.783684512450189*^9, 3.783684848267733*^9}, 
   3.783685653630536*^9, 3.783687760464407*^9, 3.7836879335772047`*^9, 
   3.78368838849514*^9, 3.783688547685244*^9, 3.7836890459128265`*^9, {
   3.783689097816615*^9, 3.783689099876073*^9}, {3.7836891468550224`*^9, 
   3.7836891474963064`*^9}, 3.7836893294177237`*^9, 3.7837555301611195`*^9, 
   3.7837560585252028`*^9, {3.783756950507809*^9, 3.7837569509377317`*^9}, {
   3.783761230775665*^9, 3.7837612597278595`*^9}, {3.783761528250393*^9, 
   3.783761589292903*^9}, {3.7837620477587547`*^9, 3.7837620898930655`*^9}, {
   3.7837622831805964`*^9, 3.7837623401631365`*^9}, 3.7837623902498474`*^9, {
   3.783763320330393*^9, 3.7837633362673798`*^9}, {3.7837634092212205`*^9, 
   3.783763413080471*^9}, {3.783764462475684*^9, 3.783764468634285*^9}, {
   3.783764661059572*^9, 3.783764663543867*^9}, {3.7837674050711427`*^9, 
   3.7837675144057417`*^9}, 3.783767581469302*^9, {3.783767793378022*^9, 
   3.7837678335176334`*^9}, {3.78376822222816*^9, 3.783768406034381*^9}, {
   3.7837684890951147`*^9, 3.783768649203747*^9}, {3.7837689032475557`*^9, 
   3.783768904525138*^9}, {3.7837691333582993`*^9, 3.7837691669852986`*^9}, {
   3.7837692074161315`*^9, 3.783769207500862*^9}, {3.783769267423545*^9, 
   3.7837692675293083`*^9}, {3.7837693141475024`*^9, 
   3.7837693676104603`*^9}, {3.7837694535226784`*^9, 3.783769555436965*^9}, {
   3.7837697095217113`*^9, 3.7837698633112965`*^9}, {3.783769903443914*^9, 
   3.783769926199031*^9}, {3.783769971354515*^9, 3.783770095059544*^9}, {
   3.7837701287982354`*^9, 3.7837701629110136`*^9}, {3.783770205429253*^9, 
   3.7837703466234903`*^9}, {3.783770471199197*^9, 3.7837704737972403`*^9}, {
   3.783770523116655*^9, 3.7837705239803457`*^9}, {3.78377063972431*^9, 
   3.7837706657037473`*^9}, {3.7837707349265385`*^9, 
   3.7837709386285596`*^9}, {3.7837713945826497`*^9, 
   3.7837714060808864`*^9}, {3.78377296367262*^9, 3.7837729677586784`*^9}, {
   3.7837730835168076`*^9, 3.7837730894479475`*^9}, {3.783773372863431*^9, 
   3.7837733929217157`*^9}, {3.783776144295703*^9, 3.7837761917656994`*^9}, {
   3.783776520845019*^9, 3.783776554467102*^9}, {3.783776627008026*^9, 
   3.7837766325152907`*^9}, {3.7837781546440315`*^9, 
   3.7837782390940905`*^9}, {3.7837783013760357`*^9, 3.783778304611385*^9}, {
   3.7838378391809587`*^9, 3.783837855835286*^9}, {3.783839217108759*^9, 
   3.7838392214092197`*^9}, {3.7838392820491548`*^9, 3.783839287372285*^9}, {
   3.783839619943601*^9, 3.7838396278863616`*^9}, {3.783851866990398*^9, 
   3.7838518817421722`*^9}, {3.7838519255992703`*^9, 3.783851945790983*^9}, {
   3.783852037130864*^9, 3.783852242393033*^9}, {3.78385234705789*^9, 
   3.783852427450613*^9}, {3.7838524750715723`*^9, 3.783852479875042*^9}, 
   3.783852511610218*^9, {3.7838525642489977`*^9, 3.783852577249689*^9}, {
   3.78385261835497*^9, 3.7838526880524397`*^9}, {3.783852803552164*^9, 
   3.783852816887359*^9}, {3.7838538690549693`*^9, 3.783853896385379*^9}, {
   3.783853931577806*^9, 3.783853980004672*^9}, {3.7838540243922586`*^9, 
   3.7838540541862803`*^9}, {3.783854379903271*^9, 3.7838544031082544`*^9}, {
   3.783854446021063*^9, 3.7838545894850273`*^9}, {3.7838549025999613`*^9, 
   3.7838549042930937`*^9}, {3.7838550782507796`*^9, 3.783855188305835*^9}, {
   3.7838553150585146`*^9, 3.783855326999416*^9}, 3.7838553801663113`*^9, {
   3.783855461703977*^9, 3.7838554702305536`*^9}, {3.7838562039716663`*^9, 
   3.7838562427020006`*^9}, {3.783856346081105*^9, 3.7838563497712293`*^9}, {
   3.7838565409437447`*^9, 3.783856600476432*^9}, {3.7838566511568775`*^9, 
   3.7838566749990473`*^9}, {3.7838567164073067`*^9, 
   3.7838567396311255`*^9}, {3.7838569540225224`*^9, 
   3.7838569954227962`*^9}, {3.783858308752125*^9, 3.783858310699871*^9}, 
   3.783858371598946*^9, {3.783858402559144*^9, 3.7838584313989935`*^9}, 
   3.7838665861702437`*^9, {3.7838666198810472`*^9, 3.783866625157934*^9}, {
   3.7838670998306875`*^9, 3.783867118411023*^9}, {3.783867790400456*^9, 
   3.7838677915652924`*^9}, {3.7838687798314395`*^9, 3.783868781762228*^9}, {
   3.783869755634162*^9, 3.783869756763141*^9}, {3.783870153342577*^9, 
   3.7838701535131655`*^9}, {3.783870531267871*^9, 3.7838705457590547`*^9}, {
   3.7838706515169897`*^9, 3.7838706579437904`*^9}, 3.7838791550648885`*^9, {
   3.783879341651924*^9, 3.783879375370561*^9}, 3.7838794091461153`*^9, 
   3.783879439251569*^9, {3.7838794899438314`*^9, 3.7838795192564106`*^9}, {
   3.7838796590065126`*^9, 3.783879659288754*^9}, {3.7838797254502144`*^9, 
   3.783879768700014*^9}, {3.7838798823822536`*^9, 3.783879889589121*^9}, 
   3.7838799936293645`*^9, {3.7838800259319396`*^9, 3.78388004503782*^9}, {
   3.78388013647641*^9, 3.783880139291879*^9}, {3.783880173795755*^9, 
   3.7838801771457443`*^9}, {3.783880384322013*^9, 3.7838804122682385`*^9}, {
   3.783880474552599*^9, 3.7838805125238514`*^9}, {3.7838805601603956`*^9, 
   3.783880714217323*^9}, {3.7838811361438656`*^9, 3.783881139786166*^9}, {
   3.783881239876005*^9, 3.78388124745772*^9}, {3.783881304417247*^9, 
   3.783881318234289*^9}, {3.783881425483553*^9, 3.7838815072805586`*^9}, {
   3.7838815623983884`*^9, 3.783881622616557*^9}, {3.7838816715167494`*^9, 
   3.783881672018409*^9}, {3.7838817051069555`*^9, 3.7838818275825267`*^9}, {
   3.7838819518829613`*^9, 3.783881990114304*^9}, {3.783882030129108*^9, 
   3.7838820303652353`*^9}, {3.7838820650034943`*^9, 
   3.7838821731857696`*^9}, {3.7838822109413986`*^9, 3.783882272572692*^9}, {
   3.783882463727868*^9, 3.7838824711816287`*^9}, {3.7838826156572714`*^9, 
   3.783882617954565*^9}, {3.7838828585296755`*^9, 3.7838828871963453`*^9}, {
   3.7838830653949285`*^9, 3.7838830723580523`*^9}, {3.783883206612439*^9, 
   3.783883215884205*^9}, {3.7838834713448114`*^9, 3.7838834715812187`*^9}, 
   3.78388414826231*^9, {3.7838841815498867`*^9, 3.7838841915723467`*^9}, {
   3.783884380812105*^9, 3.78388439312607*^9}, 3.7838844413624973`*^9, 
   3.7838859254043207`*^9, {3.783886031955248*^9, 3.7838860365434513`*^9}, {
   3.7838863768702354`*^9, 3.7838864399944134`*^9}, 3.783886723732131*^9, 
   3.784220579041975*^9, {3.7842211572827187`*^9, 3.7842211606623583`*^9}, {
   3.7842212232017326`*^9, 3.784221224913552*^9}, 3.7842214218479824`*^9, 
   3.78422182527882*^9, {3.7842220539264255`*^9, 3.7842220694164715`*^9}, 
   3.784222273742035*^9, {3.784223247587923*^9, 3.7842232710282545`*^9}, {
   3.7842234754407806`*^9, 3.78422348060896*^9}, {3.7842235914404335`*^9, 
   3.7842237098361588`*^9}, 3.7842238543974004`*^9, {3.784224080467332*^9, 
   3.7842241522404213`*^9}, {3.784224289000581*^9, 3.7842243327555313`*^9}, {
   3.7842244213943853`*^9, 3.7842244800095167`*^9}, {3.7842246982994537`*^9, 
   3.7842247162554073`*^9}, {3.7842249267095027`*^9, 3.784224942807385*^9}, {
   3.7842249827307806`*^9, 3.784225022814293*^9}, {3.784225093403516*^9, 
   3.7842252264024057`*^9}, {3.7842252591419773`*^9, 
   3.7842253154573965`*^9}, {3.7842254053364725`*^9, 3.784225406547473*^9}, {
   3.7842254583038473`*^9, 3.7842254798429317`*^9}, {3.7842255390671477`*^9, 
   3.7842255517086515`*^9}, 3.784225607499033*^9, 3.784225687536579*^9, {
   3.7842257275280237`*^9, 3.784225746703032*^9}, {3.784225790989846*^9, 
   3.784225793750149*^9}, {3.784225846032134*^9, 3.7842259215438986`*^9}, {
   3.784225980425626*^9, 3.7842260144330053`*^9}, {3.7842262415302143`*^9, 
   3.784226241716714*^9}, {3.7842263273451166`*^9, 3.784226327444848*^9}, {
   3.78422707043302*^9, 3.7842270905110493`*^9}, {3.7842272154809885`*^9, 
   3.784227231148093*^9}, {3.784228294638814*^9, 3.7842283039848194`*^9}, {
   3.7842286124666624`*^9, 3.7842286150976286`*^9}, {3.784228655702973*^9, 
   3.784228687412119*^9}, {3.784228785732139*^9, 3.78422878585286*^9}, {
   3.7842293181176553`*^9, 3.784229325411133*^9}, {3.78422937272357*^9, 
   3.784229373697961*^9}, {3.7842294380120115`*^9, 3.7842294830155993`*^9}, {
   3.784229531348254*^9, 3.7842295365174685`*^9}, {3.7842295847497835`*^9, 
   3.784229602182148*^9}, {3.784229716026842*^9, 3.7842297168746147`*^9}, {
   3.7842297538676443`*^9, 3.784229753970329*^9}, 3.784230137045638*^9, 
   3.7842301712700663`*^9, {3.7842302114754677`*^9, 3.7842303390730844`*^9}, {
   3.784230432675825*^9, 3.784230458406028*^9}, {3.7842306727332907`*^9, 
   3.7842306814460335`*^9}, {3.7842307669372435`*^9, 3.784230776190484*^9}, 
   3.7842308078517914`*^9, {3.7842308384817877`*^9, 3.7842308419397182`*^9}, {
   3.7842311013288383`*^9, 3.784231127002982*^9}, {3.7842311752096043`*^9, 
   3.7842311836943855`*^9}, {3.784272033176461*^9, 3.784272039134755*^9}, {
   3.784272233604788*^9, 3.784272250286334*^9}, {3.7842724316974244`*^9, 
   3.784272435313263*^9}, {3.7842725887217097`*^9, 3.7842725906818857`*^9}, {
   3.784272643922371*^9, 3.784272653478056*^9}, 3.7842727026331987`*^9, {
   3.784272744376542*^9, 3.784272761893394*^9}, {3.7842728051864185`*^9, 
   3.7842729620622416`*^9}, {3.7842730906124716`*^9, 3.7842731165216265`*^9}, 
   3.784273170951357*^9, {3.7842732432260046`*^9, 3.784273246162859*^9}, 
   3.7842733260588274`*^9, {3.784275446857273*^9, 3.78427547665802*^9}, {
   3.7842775951357307`*^9, 3.7842775955884867`*^9}, {3.7842776359235964`*^9, 
   3.784277649683782*^9}, {3.7842776998206325`*^9, 3.7842777000858912`*^9}, {
   3.7842777873393416`*^9, 3.7842777882260056`*^9}, {3.7842779561437936`*^9, 
   3.784277959003148*^9}, {3.7842780180025673`*^9, 3.7842780375761614`*^9}, {
   3.784278124441753*^9, 3.78427813000587*^9}, {3.784278208977295*^9, 
   3.7842782120869246`*^9}, 3.78427932190033*^9, {3.784279882877417*^9, 
   3.7842798974584455`*^9}, {3.784280007879221*^9, 3.7842800327875795`*^9}, {
   3.784281392131485*^9, 3.7842813955493355`*^9}, {3.7842814948183928`*^9, 
   3.784281524548847*^9}, 3.784290354444438*^9, 3.784303358343133*^9, 
   3.784303687570092*^9, {3.784305154211028*^9, 3.784305157372017*^9}, {
   3.784305208843893*^9, 3.7843052153518405`*^9}, {3.784305587755082*^9, 
   3.784305599864169*^9}, {3.7843056343904095`*^9, 3.7843058488779497`*^9}, {
   3.7843059039356084`*^9, 3.7843059042067175`*^9}, {3.784306355843377*^9, 
   3.7843064096857986`*^9}, {3.784306443375168*^9, 3.7843065112512913`*^9}, {
   3.7843067915993013`*^9, 3.7843067917541275`*^9}, {3.784306849118935*^9, 
   3.7843068499589357`*^9}, {3.784307409067917*^9, 3.784307412383196*^9}, {
   3.784307643555546*^9, 3.7843076619591913`*^9}, {3.784308662115195*^9, 
   3.7843087548972645`*^9}, {3.78430887363478*^9, 3.7843091163617697`*^9}, {
   3.7843091726131682`*^9, 3.7843091754612975`*^9}, {3.7843092364454803`*^9, 
   3.7843092396830273`*^9}, 3.7843093197695665`*^9, 3.7843094027762575`*^9, {
   3.784309972020446*^9, 3.784309974999406*^9}, {3.7843100283108015`*^9, 
   3.784310030931387*^9}, 3.784316250387767*^9, 3.7843163465951185`*^9, {
   3.784357304685527*^9, 3.7843573131150107`*^9}, {3.784357690998459*^9, 
   3.784357707449462*^9}, {3.7843577663470697`*^9, 3.7843577721295977`*^9}, {
   3.784358070599888*^9, 3.784358070737516*^9}, {3.7843581371158667`*^9, 
   3.784358140678528*^9}, {3.7843609072108307`*^9, 3.784360952432525*^9}, {
   3.784361341865217*^9, 3.7843613491506667`*^9}, {3.7843614020650263`*^9, 
   3.784361529918138*^9}, {3.784364181112437*^9, 3.784364185289472*^9}, {
   3.7843642348801823`*^9, 3.784364303031264*^9}, {3.7843644434849567`*^9, 
   3.7843644600443296`*^9}, {3.784365869772957*^9, 3.7843658714694233`*^9}, {
   3.784366002689299*^9, 3.7843660282833223`*^9}, {3.784366075856992*^9, 
   3.784366158570693*^9}, {3.7843662163521104`*^9, 3.78436623262258*^9}, {
   3.7843663727287693`*^9, 3.784366377251671*^9}, {3.784366473165651*^9, 
   3.784366477162957*^9}, 3.784366538292406*^9, {3.784366760432542*^9, 
   3.7843667680502095`*^9}, {3.784366870790738*^9, 3.7843668736381207`*^9}, {
   3.784366906493266*^9, 3.784366931459471*^9}, 3.784367214677578*^9, {
   3.7843677157530107`*^9, 3.7843677495904584`*^9}, 3.78436782787199*^9, {
   3.784367862806529*^9, 3.7843678894063563`*^9}, {3.7843697357530317`*^9, 
   3.7843697387680144`*^9}, {3.78436980281166*^9, 3.7843698254311495`*^9}, {
   3.784369889233447*^9, 3.784369960191556*^9}, 3.7843700139048862`*^9, {
   3.784370049338091*^9, 3.784370058330029*^9}, {3.784370166603306*^9, 
   3.7843701670581303`*^9}, {3.784370247861677*^9, 3.7843702638908167`*^9}, {
   3.784370295216015*^9, 3.784370305860551*^9}, {3.784370644370449*^9, 
   3.7843706448970323`*^9}, {3.784370715257832*^9, 3.7843707231457143`*^9}, {
   3.78437100114486*^9, 3.784371025862686*^9}, {3.7843730722754793`*^9, 
   3.7843730750081635`*^9}, 3.7843731396595635`*^9, {3.7843732276970263`*^9, 
   3.784373228003202*^9}, {3.7843736335312223`*^9, 3.784373635909817*^9}, {
   3.784373811206939*^9, 3.7843738116796308`*^9}, {3.7843739447813888`*^9, 
   3.784373945063591*^9}, {3.7843740944747815`*^9, 3.784374097263279*^9}, {
   3.7843745634228144`*^9, 3.7843746723985825`*^9}, {3.78437471021059*^9, 
   3.784374768435658*^9}, 3.7843748040258255`*^9, {3.78437487938789*^9, 
   3.7843749242030497`*^9}, {3.7843749623230686`*^9, 3.784375025363667*^9}, {
   3.784375078182424*^9, 3.7843751096398587`*^9}, {3.7843752401076994`*^9, 
   3.7843752459840364`*^9}, {3.784375401476488*^9, 3.784375415486436*^9}, {
   3.7843754508210735`*^9, 3.7843754533013244`*^9}, {3.784378583646812*^9, 
   3.7843786191771507`*^9}, {3.784378740487132*^9, 3.784378802751443*^9}, {
   3.7843788402824917`*^9, 3.7843788540087004`*^9}, {3.784378899556797*^9, 
   3.7843788998759346`*^9}, {3.78437894851412*^9, 3.784378984650852*^9}, {
   3.7843790443222284`*^9, 3.7843790761209297`*^9}, {3.784379244629819*^9, 
   3.784379249966978*^9}, {3.784379504914907*^9, 3.784379538370117*^9}, {
   3.784379601427511*^9, 3.784379603272813*^9}, {3.784379667163085*^9, 
   3.7843796716909075`*^9}, {3.7843798507773013`*^9, 
   3.7843798572516317`*^9}, {3.78438047498678*^9, 3.784380476213395*^9}, {
   3.7843809394375343`*^9, 3.7843809508958435`*^9}, {3.784380992522543*^9, 
   3.7843810284823065`*^9}, {3.78438109208891*^9, 3.784381113105122*^9}, {
   3.784381213375371*^9, 3.784381214868153*^9}, {3.78438264037099*^9, 
   3.784382674966112*^9}, {3.7843827374154778`*^9, 3.7843827630918984`*^9}, {
   3.784382806668874*^9, 3.784382831935131*^9}, {3.784382889166274*^9, 
   3.7843828899027696`*^9}, 3.7843833532596316`*^9, 3.784383558263567*^9, {
   3.784383654181286*^9, 3.7843836789998474`*^9}, {3.784383838077804*^9, 
   3.784383881222333*^9}, {3.784383973164363*^9, 3.7843840216972256`*^9}, {
   3.784384147097209*^9, 3.7843842240894847`*^9}, {3.784384284144802*^9, 
   3.784384345656927*^9}, {3.784398978752199*^9, 3.784398980699006*^9}, 
   3.784400970425011*^9, {3.7844020146018353`*^9, 3.784402017046341*^9}, {
   3.7844047272062454`*^9, 3.784404730010698*^9}, {3.784463815055768*^9, 
   3.7844638190032077`*^9}, {3.7847960555962143`*^9, 
   3.7847960693970747`*^9}, {3.784796153299647*^9, 3.78479615713119*^9}, {
   3.784796940377842*^9, 3.7847970630210648`*^9}, {3.784797180541807*^9, 
   3.7847972627112117`*^9}, 3.784797627996778*^9, {3.784797797585606*^9, 
   3.7847978182702646`*^9}, {3.7847982366358166`*^9, 3.784798282509122*^9}, {
   3.7848240826356893`*^9, 3.7848241036305633`*^9}, {3.784825104214901*^9, 
   3.784825131147894*^9}, {3.784825466339284*^9, 3.784825490626259*^9}, {
   3.7848257152029514`*^9, 3.784825741521537*^9}, {3.784825903201659*^9, 
   3.784825916024398*^9}, {3.784825956817049*^9, 3.7848260225849895`*^9}, {
   3.784826062485688*^9, 3.784826134013319*^9}, {3.7848262469380493`*^9, 
   3.7848262788097816`*^9}, {3.7848263096682167`*^9, 
   3.7848263290912933`*^9}, {3.7848263714029703`*^9, 
   3.7848263801226406`*^9}, {3.7848266145247793`*^9, 
   3.7848266850583377`*^9}, {3.784827193201748*^9, 3.784827202634511*^9}, {
   3.784827836710021*^9, 3.7848278842092915`*^9}, {3.784828512579365*^9, 
   3.784828596452359*^9}, {3.7848290936249776`*^9, 3.7848290979843135`*^9}, {
   3.784829806253172*^9, 3.784829859442862*^9}, 3.784830908410102*^9, 
   3.7848310546987553`*^9, {3.7848315117130237`*^9, 3.784831535787613*^9}, {
   3.784831632954644*^9, 3.7848316369080667`*^9}, {3.7848349840855894`*^9, 
   3.7848349953572273`*^9}, {3.7848350847760773`*^9, 
   3.7848351227869635`*^9}, {3.7848353921604013`*^9, 3.784835403718994*^9}, {
   3.784835627960965*^9, 3.7848356293695784`*^9}, {3.784876413753247*^9, 
   3.7848764449730153`*^9}, {3.7848769249582806`*^9, 3.784876928525277*^9}, {
   3.784881962897786*^9, 3.7848819879673643`*^9}, {3.784882081846894*^9, 
   3.7848820822347364`*^9}, {3.784882176352846*^9, 3.7848821861683517`*^9}, 
   3.7848822258547955`*^9, {3.7848823504037185`*^9, 3.7848823725469484`*^9}, 
   3.7848824030858965`*^9, {3.7848840770399575`*^9, 3.78488413720798*^9}, {
   3.784884360167493*^9, 3.784884424596079*^9}, {3.784884487776043*^9, 
   3.784884492373745*^9}, 3.7848858599852266`*^9, {3.784885949844263*^9, 
   3.784886022107932*^9}, {3.7848860968301773`*^9, 3.7848861052356396`*^9}, {
   3.7848865215887423`*^9, 3.78488654800307*^9}, 3.7848870991426964`*^9, 
   3.7848872189900475`*^9, {3.784887623584934*^9, 3.78488763833148*^9}, {
   3.7848877881398573`*^9, 3.7848878115811415`*^9}, {3.784887869223679*^9, 
   3.7848878955861435`*^9}, {3.7848879760648255`*^9, 
   3.7848879947687836`*^9}, {3.7848880646263576`*^9, 
   3.7848880689168777`*^9}, {3.7848888948602047`*^9, 3.784888904357795*^9}, {
   3.784889482282673*^9, 3.7848895031438203`*^9}, 3.7848896651165075`*^9, {
   3.784889791075466*^9, 3.784889822399658*^9}, {3.7849081645075493`*^9, 
   3.7849082293808603`*^9}, {3.784908294682152*^9, 3.78490830921848*^9}, {
   3.7849083599047127`*^9, 3.784908365739852*^9}, {3.7849084066832027`*^9, 
   3.784908410276396*^9}, {3.7849085335513716`*^9, 3.7849086194026837`*^9}, {
   3.784908661140568*^9, 3.7849087726782775`*^9}, {3.784908878806059*^9, 
   3.7849089805478415`*^9}, {3.784909098513911*^9, 3.7849090998239565`*^9}, {
   3.7849092870786295`*^9, 3.7849093055068655`*^9}, {3.784909448985301*^9, 
   3.7849094574191637`*^9}, {3.7849095084290338`*^9, 
   3.7849095283705482`*^9}, {3.7849095693917627`*^9, 
   3.7849095730073833`*^9}, {3.7849097283288727`*^9, 3.784909729428277*^9}, {
   3.7849101077851143`*^9, 3.784910157522794*^9}, {3.7849102573886695`*^9, 
   3.7849102759556217`*^9}, {3.7849105653420124`*^9, 3.784910604148671*^9}, {
   3.784910666123248*^9, 3.7849106699919057`*^9}, {3.784912769270033*^9, 
   3.7849127716612434`*^9}, {3.784912812531658*^9, 3.7849128445683627`*^9}, {
   3.784913251473328*^9, 3.784913272663109*^9}, {3.7849135097210855`*^9, 
   3.7849135702092323`*^9}, {3.784915230119197*^9, 3.784915237694481*^9}, {
   3.7849157248120317`*^9, 3.784915726807619*^9}, {3.784915826037763*^9, 
   3.7849158420087337`*^9}, {3.784916045022048*^9, 3.7849161459849386`*^9}, {
   3.784916241309045*^9, 3.784916249872073*^9}, {3.7849163200576487`*^9, 
   3.7849163272052574`*^9}, {3.7849165095904746`*^9, 
   3.7849165124977517`*^9}, {3.7849165817965612`*^9, 3.784916590767212*^9}, {
   3.7849166518837156`*^9, 3.784916661720749*^9}, 3.78491669499592*^9, {
   3.784917042680115*^9, 3.7849170651980686`*^9}, {3.784917252774253*^9, 
   3.784917270788067*^9}, {3.784917619146083*^9, 3.7849176194710197`*^9}, {
   3.784972330455201*^9, 3.784972348215716*^9}, {3.7849728667390914`*^9, 
   3.7849729179909678`*^9}, {3.784973402467506*^9, 3.784973406428875*^9}, {
   3.7849844493596735`*^9, 3.7849845164901347`*^9}, {3.7849847557759833`*^9, 
   3.784984925123461*^9}, {3.784985092691929*^9, 3.784985169450937*^9}, {
   3.784985348386279*^9, 3.784985358441063*^9}, {3.784985544492881*^9, 
   3.78498561506398*^9}, {3.7849856767779093`*^9, 3.784985685474864*^9}, {
   3.784985878026058*^9, 3.784985891701556*^9}, {3.7849867775584717`*^9, 
   3.7849868003989124`*^9}, {3.7849868465956416`*^9, 3.7849868468540235`*^9}, 
   3.784987868339715*^9, {3.7849892582738533`*^9, 3.7849892886114693`*^9}, {
   3.7849893445160227`*^9, 3.7849893480232863`*^9}, {3.7849894590250645`*^9, 
   3.7849894741987963`*^9}, {3.7849897556104074`*^9, 3.784989766562622*^9}, {
   3.7849898338968325`*^9, 3.784989846633748*^9}, {3.7849899190785327`*^9, 
   3.7849899257140427`*^9}, {3.7849899856837273`*^9, 
   3.7849899997299647`*^9}, {3.785000076201887*^9, 3.785000163918404*^9}, {
   3.7850002844037223`*^9, 3.785000305480615*^9}, {3.785000426007518*^9, 
   3.785000426527128*^9}, {3.7850006112035246`*^9, 3.7850006117068295`*^9}, {
   3.785000657034586*^9, 3.7850006603982835`*^9}, {3.7850007954563894`*^9, 
   3.785000818837448*^9}, {3.7850010574390173`*^9, 3.7850011144555745`*^9}, {
   3.785001232424796*^9, 3.785001247279525*^9}, 3.7850013550239735`*^9, {
   3.7850025694832892`*^9, 3.7850025776939597`*^9}, {3.7850032463940425`*^9, 
   3.7850032583901687`*^9}, {3.7850036778820033`*^9, 3.785003690071957*^9}, {
   3.785060952566922*^9, 3.785060962920223*^9}, 3.7850610097232323`*^9, {
   3.785062009834737*^9, 3.7850620112130566`*^9}, {3.7850621118727417`*^9, 
   3.7850621932180614`*^9}, {3.785062355930276*^9, 3.785062375658453*^9}, {
   3.7850624397640924`*^9, 3.7850624426503224`*^9}, {3.7850628346048517`*^9, 
   3.785062850676856*^9}, {3.7850632602366314`*^9, 3.7850633636429725`*^9}, {
   3.785063483309804*^9, 3.785063496277111*^9}, {3.785063532040431*^9, 
   3.785063534974577*^9}, 3.7850640761553717`*^9, {3.7850641097275085`*^9, 
   3.78506412485703*^9}, {3.7850641591533155`*^9, 3.7850642118762107`*^9}, {
   3.7850667692852325`*^9, 3.78506677166781*^9}, {3.785067389967085*^9, 
   3.785067424563617*^9}, {3.7850677025565157`*^9, 3.7850677450180206`*^9}, {
   3.785076515577326*^9, 3.7850767190347934`*^9}, {3.7850769458245287`*^9, 
   3.7850769602872677`*^9}, {3.785084642399396*^9, 3.7850846822280188`*^9}, {
   3.785084750158943*^9, 3.785084762757311*^9}, {3.7850848232010975`*^9, 
   3.7850848631746225`*^9}, {3.7850850796256723`*^9, 3.785085087002283*^9}, {
   3.7850851655999823`*^9, 3.785085218791498*^9}, 3.7850854431398168`*^9, 
   3.785085587551696*^9, {3.7850856305677595`*^9, 3.78508566781888*^9}, 
   3.785085730586571*^9, {3.7850858063573217`*^9, 3.785085867884075*^9}, {
   3.7850860211631804`*^9, 3.7850860979173617`*^9}, {3.785086156150725*^9, 
   3.785086295322241*^9}, {3.785086351231691*^9, 3.7850864126713533`*^9}, {
   3.7850865180123873`*^9, 3.7850866026366415`*^9}, {3.7850880016803803`*^9, 
   3.7850881111180143`*^9}, 3.7850881666467032`*^9, {3.7850884338764467`*^9, 
   3.785088442897582*^9}, {3.785088516451668*^9, 3.7850885711180425`*^9}, {
   3.7850886228496585`*^9, 3.7850886718521214`*^9}, {3.7850890777436156`*^9, 
   3.7850890950373454`*^9}, 3.7850891304166884`*^9, {3.7850892257888517`*^9, 
   3.7850892880911217`*^9}, {3.7850894903574963`*^9, 3.785089503275457*^9}, {
   3.78508957926488*^9, 3.785089611961827*^9}, {3.785089650361889*^9, 
   3.785089667857943*^9}, 3.7850901321390295`*^9, 3.78509029107599*^9, 
   3.7850904458393474`*^9, {3.785090806509469*^9, 3.7850908412317777`*^9}, {
   3.7850910446163535`*^9, 3.78509105141504*^9}, {3.7850916583014083`*^9, 
   3.785091692540097*^9}, 3.7850917509737787`*^9, {3.785092927040961*^9, 
   3.7850929765652485`*^9}, {3.7850930087885838`*^9, 
   3.7850930819440355`*^9}, {3.7850931577122574`*^9, 3.785093159073581*^9}, {
   3.7850931905810328`*^9, 3.785093229596732*^9}, {3.785093297191391*^9, 
   3.785093357049984*^9}, {3.785093394399943*^9, 3.785093414260106*^9}, 
   3.7851441678243275`*^9, {3.785144224728972*^9, 3.785144233920355*^9}, 
   3.785146141318946*^9, {3.7851462685478277`*^9, 3.785146350177801*^9}, {
   3.7851464042747974`*^9, 3.785146427574091*^9}, {3.785146522720581*^9, 
   3.785146546912709*^9}, {3.7851465780825987`*^9, 3.7851465808643756`*^9}, {
   3.785146743320551*^9, 3.785146743739414*^9}, {3.785146788472347*^9, 
   3.785146804246637*^9}, {3.785147048687828*^9, 3.7851470538615446`*^9}, {
   3.7851471855667896`*^9, 3.785147195220997*^9}, {3.785147244986574*^9, 
   3.785147257636529*^9}, {3.7851472967256002`*^9, 3.7851473089036565`*^9}, 
   3.785147354976119*^9, {3.7851473905012016`*^9, 3.785147435413659*^9}, {
   3.7851475260186615`*^9, 3.785147623918463*^9}, {3.785147706230183*^9, 
   3.785147708007702*^9}, {3.785236458147772*^9, 3.7852364789888124`*^9}, {
   3.785236777185747*^9, 3.7852368520077825`*^9}, {3.785239678479851*^9, 
   3.785239692886273*^9}, {3.785345114458707*^9, 3.785345132534086*^9}, {
   3.7853451955664434`*^9, 3.7853452083512278`*^9}, {3.785345284741788*^9, 
   3.7853453007319508`*^9}, {3.7853453372522616`*^9, 3.785345362225428*^9}, {
   3.7853484428520885`*^9, 3.785348446327832*^9}, {3.7854087331999264`*^9, 
   3.785408759490608*^9}, {3.7854094501798835`*^9, 3.7854094893052273`*^9}, 
   3.786022731033804*^9, {3.786025378448422*^9, 3.786025383182676*^9}, {
   3.7860281657481613`*^9, 3.786028171777765*^9}, {3.786028540134266*^9, 
   3.786028557675501*^9}, {3.786028629402738*^9, 3.7860286591920395`*^9}, {
   3.7860287347920933`*^9, 3.7860287716097493`*^9}, {3.7860288377097683`*^9, 
   3.786028906605627*^9}, {3.7860289991402693`*^9, 3.7860290277742558`*^9}, 
   3.7860290639657297`*^9, {3.786030315742161*^9, 3.786030380525182*^9}, {
   3.7860304107979436`*^9, 3.7860304631777725`*^9}, {3.786030603904577*^9, 
   3.7860307300287256`*^9}, 3.7860307745092587`*^9, {3.7860309056804786`*^9, 
   3.786030923053172*^9}, {3.786030973875082*^9, 3.7860309776499634`*^9}, 
   3.786031094199458*^9, 3.7860312703606596`*^9, {3.7860320814705114`*^9, 
   3.7860321079268885`*^9}, {3.7860370960280237`*^9, 3.7860370993970065`*^9}, 
   3.78603728909227*^9, {3.7860407053710594`*^9, 3.786040706848061*^9}, {
   3.7860409533314157`*^9, 3.7860409834079247`*^9}, {3.78604128080407*^9, 
   3.7860412858953986`*^9}, {3.7860417757078285`*^9, 3.786041820451086*^9}, {
   3.786041914620104*^9, 3.7860421375434713`*^9}, {3.7860421740258837`*^9, 
   3.7860422853060274`*^9}, {3.7860423433885856`*^9, 3.786042383892188*^9}, {
   3.7860424213499436`*^9, 3.786042421681057*^9}, {3.786042459098919*^9, 
   3.786042467017726*^9}, {3.7860425274669466`*^9, 3.7860425277801085`*^9}, {
   3.7860426156359897`*^9, 3.786042638741151*^9}, {3.7860427197959642`*^9, 
   3.786042725819841*^9}, {3.786042789110459*^9, 3.7860427939385414`*^9}, {
   3.786043273289214*^9, 3.7860432822262936`*^9}, {3.7860433628714714`*^9, 
   3.7860434649921703`*^9}, {3.786043496306369*^9, 3.786043584400647*^9}, {
   3.786043669209643*^9, 3.786043706203636*^9}, 3.7860437778628597`*^9, {
   3.7860453447648306`*^9, 3.7860454114703074`*^9}, {3.786195166024525*^9, 
   3.786195186291236*^9}, 3.786202785697664*^9, 3.786203911541334*^9, {
   3.786271424555765*^9, 3.7862714448875413`*^9}, {3.7862715631279507`*^9, 
   3.786271661639822*^9}, {3.7862717234500294`*^9, 3.786271727870147*^9}, {
   3.7862717816675415`*^9, 3.7862717910485163`*^9}, {3.7862734040958724`*^9, 
   3.786273477952997*^9}, {3.786273510859829*^9, 3.7862735111923723`*^9}, {
   3.7862738043954353`*^9, 3.7862738179710817`*^9}, {3.7862738517401066`*^9, 
   3.7862738671123853`*^9}, {3.786273912504865*^9, 3.786273922091817*^9}, 
   3.7862741972980785`*^9, 3.786274227322817*^9, {3.7862742921256657`*^9, 
   3.786274301847169*^9}, {3.7862744420704565`*^9, 3.7862744471939764`*^9}, {
   3.7862744787288713`*^9, 3.7862744818184843`*^9}, {3.786274558331176*^9, 
   3.7862745684736795`*^9}, {3.786274617871295*^9, 3.786274625774396*^9}, 
   3.786278360667095*^9, {3.7862783941793313`*^9, 3.7862784240214996`*^9}, {
   3.7862784668734503`*^9, 3.7862784714272213`*^9}, 3.7862785349078503`*^9, {
   3.786278595387751*^9, 3.786278625361441*^9}, {3.7862789937859583`*^9, 
   3.786279011091646*^9}, {3.786279058701191*^9, 3.786279067372025*^9}, {
   3.7862792303893585`*^9, 3.786279259116475*^9}, {3.7862793568544736`*^9, 
   3.7862793750480037`*^9}, {3.7862800509472895`*^9, 
   3.7862800543930273`*^9}, {3.786280221251918*^9, 3.786280221387555*^9}, {
   3.786280292633879*^9, 3.7862802967079735`*^9}, {3.78628086568443*^9, 
   3.7862808888025684`*^9}, {3.786281060527946*^9, 3.786281067685793*^9}, {
   3.786281243731883*^9, 3.786281251524027*^9}, {3.786282294197546*^9, 
   3.7862822979614735`*^9}, {3.786285509967615*^9, 3.786285517175358*^9}, {
   3.7862855483698406`*^9, 3.7862855494339943`*^9}, 3.7862856114051924`*^9, {
   3.786285915796574*^9, 3.7862859270933332`*^9}, 3.786285990901123*^9, {
   3.7862865706276464`*^9, 3.786286604325468*^9}, 3.786286852905947*^9, 
   3.786288839590503*^9, {3.786289941441327*^9, 3.7862900214123034`*^9}, 
   3.78629005177505*^9, {3.786290104874943*^9, 3.786290160416441*^9}, {
   3.7862902085585585`*^9, 3.786290209246765*^9}, {3.786290248015961*^9, 
   3.786290330302786*^9}, {3.786290420959175*^9, 3.7862904597792363`*^9}, {
   3.7862905525848656`*^9, 3.786290610992589*^9}, {3.78629064437426*^9, 
   3.7862906870729785`*^9}, {3.786290729042626*^9, 3.7862907941134844`*^9}, {
   3.786290861222928*^9, 3.7862908670433483`*^9}, {3.786291700779874*^9, 
   3.7862917135576296`*^9}, 3.786291862875058*^9, {3.786292123787102*^9, 
   3.7862921324096313`*^9}, {3.786292177583037*^9, 3.786292180863785*^9}, {
   3.786292223812261*^9, 3.7862922326631737`*^9}, {3.786292344326283*^9, 
   3.7862923501086454`*^9}, {3.786293112038598*^9, 3.7862931660437403`*^9}, {
   3.786293709772354*^9, 3.7862937251583858`*^9}, {3.7881077969679537`*^9, 
   3.7881077983931427`*^9}, {3.7881085731556773`*^9, 
   3.7881086519360127`*^9}, {3.788108758511071*^9, 3.7881087588630886`*^9}, {
   3.7881088182258177`*^9, 3.788108845598623*^9}, 3.788109844065619*^9, {
   3.788109890785689*^9, 3.788109898699577*^9}, {3.788109930243209*^9, 
   3.78810994654464*^9}, 3.788110138245489*^9, {3.788110247637734*^9, 
   3.7881102483887253`*^9}, {3.788110383929285*^9, 3.7881103852198343`*^9}, {
   3.7881109583256335`*^9, 3.788110959592287*^9}, {3.788110993881236*^9, 
   3.7881110034656487`*^9}, {3.788111230840642*^9, 3.7881112484116116`*^9}, 
   3.7881115369893923`*^9, {3.7881118539130497`*^9, 3.7881118741150208`*^9}, {
   3.7881119253918405`*^9, 3.788111934474552*^9}, {3.788112115280024*^9, 
   3.7881121193063035`*^9}, {3.7881122085607977`*^9, 3.788112219450635*^9}, {
   3.7885106173874025`*^9, 3.7885106250909057`*^9}, {3.788510805330961*^9, 
   3.788510844327098*^9}, {3.788511257868776*^9, 3.788511258522627*^9}, {
   3.788511317011664*^9, 3.788511318514336*^9}, {3.7885114174121113`*^9, 
   3.7885114185177417`*^9}, {3.7885114965932283`*^9, 
   3.7885114969702606`*^9}, {3.788511537477291*^9, 3.7885115376807013`*^9}, {
   3.7885117901827855`*^9, 3.788511790517163*^9}, {3.7885118451082864`*^9, 
   3.7885118481217594`*^9}, {3.7885119209078083`*^9, 3.788511930286669*^9}, 
   3.78851255400846*^9, 3.78851295572189*^9, {3.7885133762725224`*^9, 
   3.788513382272703*^9}, {3.7885138989820223`*^9, 3.7885138996394367`*^9}, {
   3.7885139485992646`*^9, 3.788514003558467*^9}, 3.7885863237599325`*^9, {
   3.788872483197234*^9, 3.7888724949976783`*^9}, {3.7888725333671293`*^9, 
   3.7888725757946196`*^9}, {3.7888726092152934`*^9, 
   3.7888726198418837`*^9}, {3.7888726732351017`*^9, 
   3.7888727133558173`*^9}, {3.788872763891771*^9, 3.7888728266362076`*^9}, {
   3.7888728682808466`*^9, 3.7888729316892877`*^9}, {3.788873029585408*^9, 
   3.788873033426139*^9}, {3.7888731084709578`*^9, 3.7888731097355776`*^9}, {
   3.7888731932522936`*^9, 3.788873196241252*^9}, {3.788873264590973*^9, 
   3.7888732661368437`*^9}, {3.788873306534811*^9, 3.7888733128888097`*^9}, {
   3.7888734650356207`*^9, 3.788873465151267*^9}, {3.7888735137552977`*^9, 
   3.7888735139587517`*^9}, {3.788873645019326*^9, 3.7888736531256447`*^9}, {
   3.790590939473238*^9, 3.790590970118335*^9}, {3.7905910139930143`*^9, 
   3.790591058281536*^9}, {3.7905911018131723`*^9, 3.790591113876913*^9}, 
   3.7906590560598836`*^9, {3.790659202265175*^9, 3.7906592738261776`*^9}, {
   3.7906593215275583`*^9, 3.790659362562503*^9}, {3.790659430482539*^9, 
   3.7906594321031113`*^9}, 3.7906613542720804`*^9, {3.7906617637393045`*^9, 
   3.790661798251129*^9}, {3.7906618316650534`*^9, 3.7906618479992175`*^9}, {
   3.790661897966114*^9, 3.7906619041078525`*^9}, {3.7908652530247726`*^9, 
   3.790865281338147*^9}, {3.7911171739877386`*^9, 3.7911172196366987`*^9}, 
   3.7918375587538385`*^9, {3.7918377991651807`*^9, 3.7918378129463396`*^9}, {
   3.7918380714526625`*^9, 3.7918382776584187`*^9}, {3.7918384102240105`*^9, 
   3.7918385049218845`*^9}, {3.7918385356676903`*^9, 
   3.7918390289041386`*^9}, {3.79192450875187*^9, 3.791924509624563*^9}, {
   3.791924576413212*^9, 3.7919245964223757`*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"b2715569-4490-4ac7-8d01-cc291acb2037"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"===", "===", "===", "===", "===", "===", 
      RowBox[{"\[Equal]", " ", 
       RowBox[{
       "This", " ", "function", " ", "evaluates", " ", "the", " ", 
        "transient", " ", "fluid", " ", "density", 
        RowBox[{
         RowBox[{"(", "PDF", ")"}], "/", "CDF"}], " ", "Matrices", " ", "for",
         " ", "starting", " ", "from", " ", "boundary", " ", "and", " ", 
        "ending", " ", "between", " ", "boundaries", "  ", 
        SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"s", ",", 
           RowBox[{
            SubscriptBox["T", 
             RowBox[{"k", ","}]], "y"}]}], ")"}], "/", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", 
           RowBox[{"\[Tau]", "=", 
            SubscriptBox["T", 
             RowBox[{"l", "-", "1"}]]}], "y"], 
          RowBox[{
           SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], "\[Tau]"}]}], ")"}], 
           RowBox[{"\[DifferentialD]", "\[Tau]"}], " ", "for", " ", 
           "k"}]}]}]}]}]}], "\[Element]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "...", ",", 
       RowBox[{"K", "-", "1"}]}], "}"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["T", 
       RowBox[{"l", "-", "1"}]], "<", "y", "<", 
      SubscriptBox["T", "l"]}], " ", "===", "===", "===", "===", "===", "===",
      "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SFBPWINF", "[", 
     RowBox[{
     "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
      "Sp_", ",", "Sm_", ",", "Sz_", ",", "Sup_", ",", "Sdown_", ",", 
      "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
      "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tinf_", ",", 
      "tempin_", ",", "tempfin_", ",", "s_", ",", "Res_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "Psi", ",", "PsiHat", ",", "Ks", ",", "Hs", ",", "HsHat", ",", "KsHat",
         ",", "K", ",", "k", ",", "l", ",", "SVab2ab", ",", "kn", ",", "km", 
        ",", "VsTky", ",", "Fsypo", ",", "Fsymo", ",", "VsTkyTest", ",", 
        "CDFsTkyTest", ",", "FCDFsy"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "SVab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", ",", 
          "HsHat", ",", "Hs"}], "}"}], "=", 
        RowBox[{"CMPWINF", "[", 
         RowBox[{
         "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
          "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", "Sconst",
           ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", "Sconstm", ",", 
          "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", "tempin", ",", 
          "tempfin", ",", "s", ",", "\"\<PDF\>\""}], "]"}]}], ";", "  ", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Return", " ", "back", " ", "the", " ", "V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], 
             SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], ",", 
         RowBox[{"l", "\[Element]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "...", ",", "K"}], "}"}], " ", "and", " ", 
           SuperscriptBox["\[CapitalPsi]", 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}]}], ",", 
         RowBox[{
          SuperscriptBox["K", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          SuperscriptBox["H", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}], " ", 
          SuperscriptBox[
           OverscriptBox["\[CapitalPsi]", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          SuperscriptBox[
           OverscriptBox["K", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            OverscriptBox["H", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "...", ",", 
             RowBox[{"K", "-", "1"}]}], "}"}], " ", "Needed", " ", "for", " ",
            "evaluating", "  ", "the", " ", "transiant", "  ", "fluid", " ", 
           "density", " ", "for", " ", "the", " ", "case", " ", "starting", 
           " ", "from", " ", "a", "  ", "boundary", " ", "initial", " ", 
           "fluid", " ", "level", " ", "and", " ", "ending", " ", "at", " ", 
           "non", " ", "boundary", "\"\<\>"}]}]}], "*)"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"K", "=", 
        RowBox[{"Length", "[", "Tinf", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"kn", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"FirstPosition", "[", 
           RowBox[{"Tinf", ",", 
            RowBox[{"_", "?", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"#", ">", " ", "tempin"}], " ", "&"}], ")"}]}]}], 
           "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", " ", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"index", " ", "of", " ", "the", " ", "bounday"}], ",", " ", 
         RowBox[{"counted", " ", "from", " ", 
          SubscriptBox["T", "0"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"km", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"FirstPosition", "[", 
           RowBox[{"Tinf", ",", 
            RowBox[{"_", "?", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"#", ">", "tempfin"}], " ", "&"}], ")"}]}]}], "]"}], 
          "[", 
          RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"index", " ", "of", " ", "regime", " ", "of", " ", "k"}], 
         ",", " ", 
         RowBox[{"counted", " ", "from", " ", 
          SubscriptBox["T", "0"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"kn", "==", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
         RowBox[{"kn", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"km", "==", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
         RowBox[{"km", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{"SVab2ab", " ", "[", 
           RowBox[{"[", 
            RowBox[{"kn", ",", "km"}], "]"}], "]"}], " ", "===", " ", 
          RowBox[{"V", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], 
              SubscriptBox["T", "l"]}]}], ")"}], " ", "based", " ", "on", " ",
            "kn"}]}], ",", 
         RowBox[{"km", " ", "values"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"VsTky", "=", 
        RowBox[{"ConstantArray", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Np", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nm", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nz", "[", 
              RowBox[{"[", "K", "]"}], "]"}]}], ",", 
            RowBox[{
             RowBox[{"Np", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nm", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nz", "[", 
              RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"inf", " ", "region", " ", "analysis"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"tempfin", ">", 
          RowBox[{"Last", "[", "Tinf", "]"}]}], ",", " ", 
         RowBox[{"(*", "  ", 
          RowBox[{
           SubscriptBox["T", 
            RowBox[{"K", "-", "1"}]], "<", "y"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", " ", 
            RowBox[{"(*", 
             RowBox[{
              SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", 
                  RowBox[{"k", ","}]], "y"}]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"VsTky", "[", 
               RowBox[{"[", 
                RowBox[{"All", ",", 
                 RowBox[{"Flatten", " ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
               "]"}], "=", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"SVab2ab", " ", "[", 
                   RowBox[{"[", 
                    RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{";;", ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "km", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RpInv", "[", 
                   RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", 
                 RowBox[{"MatrixExp", "[", 
                  RowBox[{
                   RowBox[{"Ks", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], 
                   RowBox[{"(", 
                    RowBox[{"tempfin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], ")"}]}], "]"}], ".", 
                 RowBox[{"ArrayFlatten", "[", 
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ".", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}], "}"}], "]"}]}],
                 ")"}], "[", 
               RowBox[{"[", 
                RowBox[{"All", ",", 
                 RowBox[{"Range", "[", 
                  RowBox[{"1", ",", 
                   RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "]"}]}], "]"}], 
               "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"Return", "[", "VsTky", "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", " ", 
            RowBox[{"(*", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", 
               RowBox[{"\[Tau]", "=", 
                SubscriptBox["T", 
                 RowBox[{"l", "-", "1"}]]}], "y"], 
              RowBox[{
               SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
               RowBox[{"(", 
                RowBox[{"s", ",", 
                 RowBox[{
                  SubscriptBox["T", 
                   RowBox[{"k", ","}]], "\[Tau]"}]}], ")"}], 
               RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"CDFsTkyTest", "=", 
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "+", 
                   RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "+", 
                   RowBox[{"Nz", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "+", 
                   RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "+", 
                   RowBox[{"Nz", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";",
              "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"CDFsTkyTest", "[", 
               RowBox[{"[", 
                RowBox[{"All", ",", 
                 RowBox[{"Flatten", " ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
               "]"}], "=", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"SVab2ab", " ", "[", 
                   RowBox[{"[", 
                    RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{";;", ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "km", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RpInv", "[", 
                   RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"Ks", "[", 
                   RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"MatrixExp", "[", 
                    RowBox[{
                    RowBox[{"Ks", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"tempfin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], ")"}]}], "]"}], "-", 
                   RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}]}], ")"}], ".", 
                 RowBox[{"ArrayFlatten", "[", 
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ".", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}], "}"}], "]"}]}],
                 ")"}], "[", 
               RowBox[{"[", 
                RowBox[{"All", ",", 
                 RowBox[{"Range", "[", 
                  RowBox[{"1", ",", 
                   RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "]"}]}], "]"}], 
               "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"Return", "[", "CDFsTkyTest", "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
        "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"finite", " ", "region", " ", "analysis"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", " ", 
         RowBox[{"(*", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", 
            RowBox[{"\[Tau]", "=", 
             SubscriptBox["T", 
              RowBox[{"l", "-", "1"}]]}], "y"], 
           RowBox[{
            SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], "\[Tau]"}]}], ")"}], 
            RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"CDFsTkyTest", "=", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "K", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "K", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "K", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "K", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "K", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SuperscriptBox[
              SubscriptBox["C", 
               RowBox[{"+", "\[FilledSmallCircle]"}]], 
              RowBox[{"(", "l", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"y", "-", 
                SubscriptBox["T", 
                 RowBox[{"l", "-", "1"}]]}]}], ")"}]}], ",", " ", 
            RowBox[{
             SuperscriptBox[
              SubscriptBox[
               OverscriptBox["C", "^"], 
               RowBox[{"-", "\[FilledSmallCircle]"}]], 
              RowBox[{"(", "l", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"y", "-", 
                SubscriptBox["T", 
                 RowBox[{"l", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"FCDFsy", "=", 
           RowBox[{"FCDFAll", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "km", "]"}], "]"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"Sup", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"Sdown", "[", 
              RowBox[{"[", 
               RowBox[{"km", "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"Psi", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"PsiHat", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"Ks", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"KsHat", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"RpInv", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"RmInv", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"Tinf", "[", 
               RowBox[{"[", 
                RowBox[{"km", "+", "1"}], "]"}], "]"}], "-", 
              RowBox[{"Tinf", "[", 
               RowBox[{"[", "km", "]"}], "]"}]}], ",", 
             RowBox[{"tempfin", "-", 
              RowBox[{"Tinf", "[", 
               RowBox[{"[", "km", "]"}], "]"}]}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"CDFsTkyTest", "[", 
            RowBox[{"[", 
             RowBox[{";;", ",", 
              RowBox[{"Flatten", " ", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "km", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "km", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
            "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"SVab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{";;", ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "km", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{"Inverse", "[", 
                RowBox[{"RpInv", "[", 
                 RowBox[{"[", "km", "]"}], "]"}], "]"}], ".", 
               RowBox[{"FCDFsy", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "km", "]"}], "]"}], ",", ";;"}], "]"}], 
                "]"}]}], "+", 
              RowBox[{
               RowBox[{
                RowBox[{"SVab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{"kn", ",", 
                   RowBox[{"km", "+", "1"}]}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{";;", ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "km", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{"Inverse", "[", 
                RowBox[{"RmInv", "[", 
                 RowBox[{"[", "km", "]"}], "]"}], "]"}], ".", 
               RowBox[{"FCDFsy", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "km", "]"}], "]"}], ",", ";;"}], "]"}], 
                "]"}]}]}], ")"}], "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"Range", "[", 
               RowBox[{"1", ",", 
                RowBox[{
                 RowBox[{"Np", "[", 
                  RowBox[{"[", "km", "]"}], "]"}], "+", 
                 RowBox[{"Nm", "[", 
                  RowBox[{"[", "km", "]"}], "]"}]}]}], "]"}]}], "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Return", "[", "CDFsTkyTest", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", "  ", 
         RowBox[{"(*", 
          RowBox[{
           SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], "y"}]}], ")"}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             SubscriptBox["F", 
              RowBox[{"+", "\[FilledSmallCircle]"}]], 
             RowBox[{"(", "l", ")"}]], 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{"y", "-", 
               SubscriptBox["T", 
                RowBox[{"l", "-", "1"}]]}]}], ")"}]}], ",", " ", 
           RowBox[{
            SuperscriptBox[
             SubscriptBox[
              OverscriptBox["F", "^"], 
              RowBox[{"-", "\[FilledSmallCircle]"}]], 
             RowBox[{"(", "l", ")"}]], 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{"y", "-", 
               SubscriptBox["T", 
                RowBox[{"l", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Fsypo", ",", "Fsymo"}], "}"}], "=", 
           RowBox[{"FAll", "[", 
            RowBox[{
             RowBox[{"Psi", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"PsiHat", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"Ks", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"KsHat", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"RpInv", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"RmInv", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"Tinf", "[", 
               RowBox[{"[", 
                RowBox[{"km", "+", "1"}], "]"}], "]"}], "-", 
              RowBox[{"Tinf", "[", 
               RowBox[{"[", "km", "]"}], "]"}]}], ",", 
             RowBox[{"tempfin", "-", 
              RowBox[{"Tinf", "[", 
               RowBox[{"[", "km", "]"}], "]"}]}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"VsTky", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"Flatten", " ", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "km", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "km", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
            "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"SVab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{";;", ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "km", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{"Inverse", "[", 
                RowBox[{"RpInv", "[", 
                 RowBox[{"[", "km", "]"}], "]"}], "]"}], ".", "Fsypo"}], "+", 
              RowBox[{
               RowBox[{
                RowBox[{"SVab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{"kn", ",", 
                   RowBox[{"km", "+", "1"}]}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{";;", ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "km", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{"Inverse", "[", 
                RowBox[{"RmInv", "[", 
                 RowBox[{"[", "km", "]"}], "]"}], "]"}], ".", "Fsymo"}]}], 
             ")"}], "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"Range", "[", 
               RowBox[{"1", ",", 
                RowBox[{
                 RowBox[{"Np", "[", 
                  RowBox[{"[", "km", "]"}], "]"}], "+", 
                 RowBox[{"Nm", "[", 
                  RowBox[{"[", "km", "]"}], "]"}]}]}], "]"}]}], "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Return", "[", "VsTky", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}],
    ";"}]}]], "Input",
 CellChangeTimes->{{3.7831801768495607`*^9, 3.7831801802877965`*^9}, {
   3.783427448608456*^9, 3.7834275059819555`*^9}, 3.784398817082718*^9, {
   3.7843989442444973`*^9, 3.7843989707645903`*^9}, {3.7843992601662965`*^9, 
   3.784399262494053*^9}, {3.7843993017839108`*^9, 3.7843993042752447`*^9}, {
   3.784399431876895*^9, 3.7843994393957396`*^9}, {3.784399553378828*^9, 
   3.784399581692067*^9}, {3.784399627306017*^9, 3.7843997902011614`*^9}, {
   3.7843998234651976`*^9, 3.784399869459109*^9}, {3.7843999006267614`*^9, 
   3.7843999062975483`*^9}, {3.7843999696719947`*^9, 
   3.7843999767201343`*^9}, {3.784400058149269*^9, 3.7844000639059286`*^9}, {
   3.7844001512491856`*^9, 3.7844001696060677`*^9}, {3.7844002184174767`*^9, 
   3.7844002566581993`*^9}, 3.784400288563837*^9, {3.784400329348685*^9, 
   3.7844003323466654`*^9}, {3.784400362737363*^9, 3.7844004347626514`*^9}, {
   3.7844006990587735`*^9, 3.7844007003872266`*^9}, {3.7844010008415866`*^9, 
   3.7844010898693924`*^9}, {3.7844512643981724`*^9, 
   3.7844513420622644`*^9}, {3.78445137334676*^9, 3.7844514140318823`*^9}, {
   3.784451606127889*^9, 3.7844516411322327`*^9}, {3.784455995987625*^9, 
   3.7844560551218863`*^9}, {3.784456206908785*^9, 3.7844562161537657`*^9}, {
   3.784456252706586*^9, 3.7844563011552944`*^9}, {3.784456363249172*^9, 
   3.7844563854993935`*^9}, 3.784456415555701*^9, {3.7852369511461616`*^9, 
   3.7852370843531265`*^9}, {3.785237260728882*^9, 3.7852372677268715`*^9}, 
   3.7852374769357185`*^9, {3.785237569785406*^9, 3.7852375731596546`*^9}, 
   3.7852376586015587`*^9, 3.7852380810805864`*^9, {3.785238199421655*^9, 
   3.7852382078275795`*^9}, {3.785238299081949*^9, 3.785238348825706*^9}, {
   3.7852384884808855`*^9, 3.785238496731387*^9}, {3.785238553017875*^9, 
   3.785238557407717*^9}, {3.785239242543329*^9, 3.7852392464109616`*^9}, {
   3.785239324696355*^9, 3.785239353763922*^9}, {3.785239427207981*^9, 
   3.7852394605800524`*^9}, {3.785239993507891*^9, 3.785240020841925*^9}, 
   3.7852402013213973`*^9, {3.7852402453334093`*^9, 3.785240251755744*^9}, {
   3.7852403264360504`*^9, 3.785240353317291*^9}, 3.785240429051472*^9, 
   3.7852405367535753`*^9, {3.785240596757763*^9, 3.785240615339337*^9}, 
   3.7852406898611436`*^9, {3.785240731820633*^9, 3.7852407517598133`*^9}, {
   3.785240870083946*^9, 3.7852408836466494`*^9}, {3.785241133809251*^9, 
   3.785241178610312*^9}, {3.7852412288408847`*^9, 3.785241239171235*^9}, {
   3.7852412773321657`*^9, 3.7852413022076073`*^9}, 3.785241462966014*^9, {
   3.785244699869731*^9, 3.7852447122056737`*^9}, 3.785244771893962*^9, 
   3.7852448208344207`*^9, {3.785244887468091*^9, 3.785244887736333*^9}, {
   3.7852449987297993`*^9, 3.7852450072858953`*^9}, {3.78524504631848*^9, 
   3.785245049503955*^9}, {3.785245155475416*^9, 3.785245161374585*^9}, {
   3.785245374028471*^9, 3.785245403867613*^9}, {3.785245456778008*^9, 
   3.785245470979005*^9}, {3.7852455371868114`*^9, 3.785245566398591*^9}, {
   3.785245622284976*^9, 3.7852456245947485`*^9}, {3.785245963642033*^9, 
   3.785245973438779*^9}, {3.785246117033529*^9, 3.7852461292218666`*^9}, {
   3.7852462417806625`*^9, 3.785246281633009*^9}, {3.7852465455317993`*^9, 
   3.78524662070857*^9}, {3.785247718920452*^9, 3.785247770128084*^9}, {
   3.7852478490806456`*^9, 3.785247852960221*^9}, 3.7852482488105407`*^9, {
   3.7852482879100275`*^9, 3.785248321554986*^9}, {3.785248363272295*^9, 
   3.7852483706615243`*^9}, {3.7852484019218583`*^9, 3.785248416639476*^9}, {
   3.785334972146039*^9, 3.7853349787355633`*^9}, {3.7853350389975843`*^9, 
   3.785335043417226*^9}, {3.785335093120577*^9, 3.7853351801854243`*^9}, {
   3.7853352761456957`*^9, 3.7853352922035856`*^9}, {3.785336568618114*^9, 
   3.7853365734332542`*^9}, 3.7853366193068085`*^9, {3.785336726302883*^9, 
   3.7853367552480955`*^9}, {3.785336875819172*^9, 3.785336882026434*^9}, 
   3.7853373758821564`*^9, {3.785337976473008*^9, 3.785338007278129*^9}, {
   3.7853381370818815`*^9, 3.785338157800974*^9}, {3.7853383178413663`*^9, 
   3.7853383355918818`*^9}, {3.785338835993494*^9, 3.7853389311838684`*^9}, {
   3.785339161946144*^9, 3.7853392059750957`*^9}, {3.7853392847751484`*^9, 
   3.785339295018529*^9}, {3.7853393731326246`*^9, 3.7853393905984774`*^9}, 
   3.785339467326076*^9, 3.7853395335490484`*^9, {3.7853396615070124`*^9, 
   3.785339703372272*^9}, {3.7853397524072933`*^9, 3.7853397924994335`*^9}, {
   3.785339910652159*^9, 3.785339935218272*^9}, {3.7853401599595647`*^9, 
   3.7853401973020525`*^9}, {3.7853402434291363`*^9, 
   3.7853402716608105`*^9}, {3.785340351759232*^9, 3.785340368942202*^9}, {
   3.7853405755338445`*^9, 3.7853406066311827`*^9}, {3.7853407035459094`*^9, 
   3.7853407268953795`*^9}, 3.7853407901815367`*^9, {3.7853409196325116`*^9, 
   3.785340950820505*^9}, 3.785340985594793*^9, {3.7853413306626987`*^9, 
   3.785341342587821*^9}, {3.7853413750836*^9, 3.785341395077749*^9}, {
   3.7853415429393034`*^9, 3.7853415464559684`*^9}, {3.7853429671347837`*^9, 
   3.7853430502034364`*^9}, 3.785343244656213*^9, 3.7853433556731615`*^9, {
   3.7853434003845778`*^9, 3.785343403391472*^9}, {3.7853435957792225`*^9, 
   3.785343599265891*^9}, {3.7853436313071423`*^9, 3.7853436566852636`*^9}, 
   3.7853437573388863`*^9, {3.7853438859965796`*^9, 3.785343887092603*^9}, 
   3.7853439648385363`*^9, {3.7853487700488253`*^9, 3.7853488435202007`*^9}, {
   3.7853537266758695`*^9, 3.7853537633340716`*^9}, {3.7853538322053733`*^9, 
   3.7853538393008604`*^9}, {3.785354295546652*^9, 3.7853543013201847`*^9}, {
   3.785408712683833*^9, 3.7854087166781807`*^9}, {3.786031344790518*^9, 
   3.786031353056862*^9}, 3.786288735006242*^9, 3.786288843126995*^9, {
   3.786289346176407*^9, 3.7862893507401466`*^9}, {3.788108758883035*^9, 
   3.788108758957835*^9}, {3.7881088193707666`*^9, 3.78810881938468*^9}, 
   3.7881112889522524`*^9, 3.7885849039462576`*^9, {3.788585146674979*^9, 
   3.78858516477458*^9}, {3.7885853382160378`*^9, 3.788585358874965*^9}, {
   3.7885855690776005`*^9, 3.788585600617775*^9}, {3.7885856504435716`*^9, 
   3.7885856845609107`*^9}, {3.788585771316763*^9, 3.78858578134556*^9}, {
   3.7885858577612653`*^9, 3.788585858893305*^9}, {3.788585973096917*^9, 
   3.7885859809837418`*^9}, {3.7885860945037603`*^9, 3.7885861527410808`*^9}, 
   3.788586219197172*^9, 3.788586388693633*^9, {3.788861823531418*^9, 
   3.788861849916503*^9}, {3.7888618841991405`*^9, 3.788861896409135*^9}, {
   3.788861948083764*^9, 3.788861956756942*^9}, {3.7888620703355503`*^9, 
   3.7888620726053753`*^9}, {3.7888621431753287`*^9, 
   3.7888621487698803`*^9}, {3.7888621864960284`*^9, 
   3.7888622049044957`*^9}, {3.788862250961967*^9, 3.78886226626737*^9}, {
   3.788862321739914*^9, 3.7888623935893383`*^9}, {3.788862442501378*^9, 
   3.7888624446029377`*^9}, 3.788862788877243*^9, {3.7888631588103247`*^9, 
   3.788863160576556*^9}, {3.7888634524296107`*^9, 3.7888634613258247`*^9}, {
   3.788863510780576*^9, 3.7888635151928177`*^9}, {3.7888651151771727`*^9, 
   3.7888651162901936`*^9}, {3.788865372675002*^9, 3.7888653908364396`*^9}, 
   3.7888669964793787`*^9, {3.7888670760695457`*^9, 3.7888670765522575`*^9}, 
   3.7888672071142483`*^9, {3.7888673771418476`*^9, 3.7888674183926697`*^9}, {
   3.788867668813755*^9, 3.7888676784559784`*^9}, {3.7888685338894606`*^9, 
   3.788868579474514*^9}, {3.7888688486960936`*^9, 3.7888688718760853`*^9}, 
   3.790591137932539*^9, {3.790675158647352*^9, 3.7906751864800034`*^9}, {
   3.7906752464099927`*^9, 3.7906753766020184`*^9}, {3.7906754360616436`*^9, 
   3.7906755015533676`*^9}, {3.7906755843861713`*^9, 3.79067559442099*^9}, {
   3.7906761715040836`*^9, 3.7906761958152432`*^9}, 3.7906764957583914`*^9, 
   3.790676652358637*^9, {3.7906767869814672`*^9, 3.7906768523727546`*^9}, {
   3.7906777500094037`*^9, 3.7906778107041683`*^9}, {3.790681537378065*^9, 
   3.790681540722125*^9}, {3.7906843463500795`*^9, 3.7906843475947804`*^9}, {
   3.790765594786974*^9, 3.7907656427208576`*^9}, 3.790768119089035*^9, {
   3.790865298820377*^9, 3.7908653032954144`*^9}, {3.790943848991932*^9, 
   3.7909438991349144`*^9}, {3.7910057202087564`*^9, 3.791005799840021*^9}, {
   3.79100584558215*^9, 3.7910058851164565`*^9}, {3.791005923277869*^9, 
   3.791005938037738*^9}, {3.791005979988521*^9, 3.791006013140545*^9}, {
   3.79100608860473*^9, 3.791006115323948*^9}, {3.7910061616708555`*^9, 
   3.7910061627426844`*^9}, {3.79110417799619*^9, 3.7911041784509516`*^9}, {
   3.791104211999236*^9, 3.791104241688426*^9}, {3.791117168712799*^9, 
   3.7911171710555716`*^9}, 3.791837558772813*^9, {3.791839030466936*^9, 
   3.791839034011484*^9}, {3.7918405449772725`*^9, 3.79184054537219*^9}, {
   3.791840580221055*^9, 3.791840681616009*^9}, {3.7918407133900347`*^9, 
   3.7918407163989897`*^9}, {3.7918407550486927`*^9, 3.791840818753394*^9}, {
   3.791840856649088*^9, 3.791840989120674*^9}, {3.79184103159114*^9, 
   3.791841130785966*^9}, {3.791924509637503*^9, 3.7919245096983643`*^9}, {
   3.7919245771192408`*^9, 3.7919245964343433`*^9}, {3.80771286882903*^9, 
   3.8077128702672915`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"006ef89d-36dc-405e-bd10-b75e0bc377ca"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"===", "===", "===", "===", "===", "===", 
      RowBox[{"\[Equal]", " ", 
       RowBox[{
       "This", " ", "function", " ", "evaluates", " ", "the", " ", 
        "transient", " ", "fluid", " ", "density", 
        RowBox[{
         RowBox[{"(", "PDF", ")"}], "/", " ", "mass"}], " ", "Matrices", " ", 
        "for", " ", "starting", " ", "between", " ", "boundaries", " ", "and",
         " ", "ending", " ", "at", " ", "boundaries", "  ", 
        SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"s", ",", "x", ",", 
           SubscriptBox["T", "l"]}], ")"}], "/", " ", 
         SubscriptBox["P", "\[FilledSmallCircle]\[EmptySmallCircle]"]}], 
        RowBox[{"(", 
         RowBox[{"s", ",", "x", ",", 
          SubscriptBox["T", "l"]}], ")"}], " ", "for", " ", "l"}]}]}], 
     "\[Element]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "...", ",", 
       RowBox[{"K", "-", "1"}]}], "}"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["T", 
       RowBox[{"k", "-", "1"}]], "<", "x", "<", 
      SubscriptBox["T", "k"]}], " ", "===", "===", "===", "===", "===", "===",
      "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"G2BPWINF", "[", 
     RowBox[{
     "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
      "Sp_", ",", "Sm_", ",", "Sz_", ",", "Sup_", ",", "Sdown_", ",", 
      "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
      "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tinf_", ",", 
      "tempin_", ",", "tempfin_", ",", "s_", ",", "Res_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "Psi", ",", "PsiHat", ",", "Ks", ",", "Hs", ",", "HsHat", ",", "KsHat",
         ",", "K", ",", "k", ",", "l", ",", "SVab2ab", ",", "SPab2ab", ",", 
        "kn", ",", "km", ",", "Ux2Tkm1", ",", "UTk2x", ",", "VsxTl", ",", 
        "PsxTlTest", ",", "Ux2Tkm1New"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"Section", " ", "5.5"}], " ", ",", " ", 
        RowBox[{"Starting", " ", "from", " ", "boundary"}]}], " ", "*)"}], 
      "\[IndentingNewLine]", " ", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"Return", " ", "back", " ", "the", " ", "V", 
         RowBox[{"(", 
          RowBox[{"s", ",", 
           RowBox[{
            SubscriptBox["T", 
             RowBox[{"k", ","}]], 
            SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], ",", 
        RowBox[{"l", "\[Element]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "...", ",", 
            RowBox[{"K", "-", "1"}]}], "}"}], " ", "and", " ", 
          SuperscriptBox["\[CapitalPsi]", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}]}], ",", 
        RowBox[{
         SuperscriptBox["K", 
          RowBox[{"(", "k", ")"}]], 
         RowBox[{"(", "s", ")"}]}], ",", 
        RowBox[{
         SuperscriptBox["H", 
          RowBox[{"(", "k", ")"}]], 
         RowBox[{"(", "s", ")"}], " ", 
         SuperscriptBox[
          OverscriptBox["\[CapitalPsi]", "^"], 
          RowBox[{"(", "k", ")"}]], 
         RowBox[{"(", "s", ")"}]}], ",", 
        RowBox[{
         SuperscriptBox[
          OverscriptBox["K", "^"], 
          RowBox[{"(", "k", ")"}]], 
         RowBox[{"(", "s", ")"}]}], ",", 
        RowBox[{
         RowBox[{
          SuperscriptBox[
           OverscriptBox["H", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "...", ",", 
            RowBox[{"K", "-", "1"}]}], "}"}], " ", "Needed", " ", "for", " ", 
          "evaluating", "  ", "the", " ", "transiant", "  ", "fluid", " ", 
          "density", " ", "for", " ", "the", " ", "case", " ", 
          "\"\<starting from between boundaries initial fluid level and \
ending at boundary\>\""}]}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "SVab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", ",", 
          "HsHat", ",", "Hs"}], "}"}], "=", 
        RowBox[{"CMPWINF", "[", 
         RowBox[{
         "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
          "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", "Sconst",
           ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", "Sconstm", ",", 
          "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", "tempin", ",", 
          "tempfin", ",", "s", ",", "\"\<PDF\>\""}], "]"}]}], ";", 
       "\[IndentingNewLine]", " ", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Return", " ", "back", " ", "the", " ", "P", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], 
             SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], ",", 
         RowBox[{"l", "\[Element]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "...", ",", 
             RowBox[{"K", "-", "1"}]}], "}"}], " ", "and", " ", 
           SuperscriptBox["\[CapitalPsi]", 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}]}], ",", 
         RowBox[{
          SuperscriptBox["K", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          SuperscriptBox["H", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}], " ", 
          SuperscriptBox[
           OverscriptBox["\[CapitalPsi]", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          SuperscriptBox[
           OverscriptBox["K", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            OverscriptBox["H", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "...", ",", 
             RowBox[{"K", "-", "1"}]}], "}"}], " ", "Needed", " ", "for", " ",
            "evaluating", "  ", "the", " ", "transiant", "  ", "fluid", " ", 
           "density", " ", "for", " ", "the", " ", "case", " ", 
           "\"\<starting from between boundaries initial fluid level and \
ending at boundary\>\""}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "SPab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", ",", 
          "HsHat", ",", "Hs"}], "}"}], "=", 
        RowBox[{"CMPWINF", "[", 
         RowBox[{
         "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
          "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", "Sconst",
           ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", "Sconstm", ",", 
          "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", "tempin", ",", 
          "tempfin", ",", "s", ",", "\"\<MASS\>\""}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"K", "=", 
        RowBox[{"Length", "[", "Tinf", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"kn", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"FirstPosition", "[", 
           RowBox[{"Tinf", ",", 
            RowBox[{"_", "?", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"#", ">", " ", "tempin"}], " ", "&"}], ")"}]}]}], 
           "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", " ", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"index", " ", "of", " ", "regime", " ", "of", " ", "k"}], 
         ",", " ", 
         RowBox[{"counted", " ", "from", " ", 
          SubscriptBox["T", "0"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"km", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"FirstPosition", "[", 
           RowBox[{"Tinf", ",", 
            RowBox[{"_", "?", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"#", ">", "tempfin"}], " ", "&"}], ")"}]}]}], "]"}], 
          "[", 
          RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"index", " ", "of", " ", "the", " ", "bounday"}], ",", " ", 
         RowBox[{"counted", " ", "from", " ", 
          SubscriptBox["T", "0"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"kn", "==", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
         RowBox[{"kn", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"km", "==", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
         RowBox[{"km", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{"SVab2ab", " ", "[", 
           RowBox[{"[", 
            RowBox[{"kn", ",", "km"}], "]"}], "]"}], " ", "===", " ", 
          RowBox[{"V", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], 
              SubscriptBox["T", "l"]}]}], ")"}], " ", "based", " ", "on", " ",
            "kn"}]}], ",", 
         RowBox[{"km", " ", "values"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{"SPab2ab", " ", "[", 
           RowBox[{"[", 
            RowBox[{"kn", ",", "km"}], "]"}], "]"}], " ", "===", " ", 
          RowBox[{"P", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], 
              SubscriptBox["T", "l"]}]}], ")"}], " ", "based", " ", "on", " ",
            "kn"}]}], ",", 
         RowBox[{"km", " ", "values"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"PsxTlTest", "=", 
        RowBox[{"ConstantArray", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Np", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nm", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nz", "[", 
              RowBox[{"[", "K", "]"}], "]"}]}], ",", 
            RowBox[{
             RowBox[{"Np", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nm", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nz", "[", 
              RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"VsxTl", "=", 
        RowBox[{"ConstantArray", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Np", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], "+", 
             RowBox[{"Nm", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], "+", 
             RowBox[{"Nz", "[", 
              RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
            RowBox[{
             RowBox[{"Np", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], "+", 
             RowBox[{"Nm", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], "+", 
             RowBox[{"Nz", "[", 
              RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"inf", " ", "region", " ", "analysis"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"tempin", ">", 
          RowBox[{"Last", "[", "Tinf", "]"}]}], ",", " ", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
            SubscriptBox["T", 
             RowBox[{"K", "-", "1"}]], "<", "x"}], ",", " ", 
           RowBox[{"l", "\[Element]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", 
              RowBox[{"K", "-", "1"}]}], "}"}]}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Res", "\[Equal]", "\"\<MASS\>\""}], ",", " ", 
            RowBox[{"(*", 
             RowBox[{
              SubscriptBox["P", "\[FilledSmallCircle]\[EmptySmallCircle]"], 
              RowBox[{"(", 
               RowBox[{"s", ",", "x", ",", 
                SubscriptBox["T", "l"]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"PsxTlTest", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Flatten", " ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                 ";;"}], "]"}], "]"}], "=", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"ArrayFlatten", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], "}"}]}], "}"}], 
                 "]"}], ".", 
                RowBox[{"MatrixExp", "[", 
                 RowBox[{
                  RowBox[{"Hs", "[", 
                   RowBox[{"[", "K", "]"}], "]"}], 
                  RowBox[{"(", 
                   RowBox[{"tempin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], ")"}]}], "]"}], ".", 
                RowBox[{
                 RowBox[{"SPab2ab", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                 "]"}]}], ")"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}], 
               ",", " ", 
               RowBox[{"(*", 
                RowBox[{",", 
                 RowBox[{
                  SubscriptBox["P", 
                   RowBox[{"0", "\[EmptySmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"s", ",", "x", ",", 
                    SubscriptBox["T", "l"]}], ")"}]}]}], "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"PsxTlTest", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                  "]"}], "=", 
                 RowBox[{
                  RowBox[{"Inverse", "[", 
                   RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                  ".", 
                  RowBox[{
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}], ".", 
                  RowBox[{"PsxTlTest", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    ";;"}], "]"}], "]"}]}]}], ";"}]}], "\[IndentingNewLine]", 
              "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{"Return", "[", "PsxTlTest", "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
            RowBox[{"(*", 
             RowBox[{
              SubscriptBox["V", "\[FilledSmallCircle]\[EmptySmallCircle]"], 
              RowBox[{"(", 
               RowBox[{"s", ",", "x", ",", 
                SubscriptBox["T", "l"]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"VsxTl", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Flatten", " ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                 ";;"}], "]"}], "]"}], "=", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"ArrayFlatten", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], "}"}]}], "}"}], 
                 "]"}], ".", 
                RowBox[{"MatrixExp", "[", 
                 RowBox[{
                  RowBox[{"Hs", "[", 
                   RowBox[{"[", "K", "]"}], "]"}], 
                  RowBox[{"(", 
                   RowBox[{"tempin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], ")"}]}], "]"}], ".", 
                RowBox[{
                 RowBox[{"SVab2ab", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                 "]"}]}], ")"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}], 
               ",", " ", 
               RowBox[{"(*", 
                RowBox[{
                 SubscriptBox["V", 
                  RowBox[{"0", "\[EmptySmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", "x", ",", 
                   SubscriptBox["T", "l"]}], ")"}]}], "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"VsxTl", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                  "]"}], "=", 
                 RowBox[{
                  RowBox[{"Inverse", "[", 
                   RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                  ".", 
                  RowBox[{
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}], ".", 
                  RowBox[{"VsxTl", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    ";;"}], "]"}], "]"}]}]}], ";"}]}], "\[IndentingNewLine]", 
              "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{"Return", "[", "VsxTl", "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
        "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"finite", " ", "region", " ", "analysis"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<MASS\>\""}], ",", "  ", 
         RowBox[{"(*", 
          RowBox[{
           SubscriptBox["P", "\[FilledSmallCircle]\[EmptySmallCircle]"], 
           RowBox[{"(", 
            RowBox[{"s", ",", "x", ",", 
             SubscriptBox["T", "l"]}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Ux2Tkm1New", "=", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Ux2Tkm1New", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Flatten", " ", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                RowBox[{"Sp", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
             RowBox[{"Ux2Tkm1New", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Flatten", " ", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                RowBox[{"Sm", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], 
           "=", 
           RowBox[{"UNEW", "[", 
            RowBox[{
             RowBox[{"Psi", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], ",", 
             RowBox[{"PsiHat", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], ",", 
             RowBox[{"Hs", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], ",", 
             RowBox[{"HsHat", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], ",", 
             RowBox[{"Tinf", "[", 
              RowBox[{"[", 
               RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"tempin", "-", 
              RowBox[{"Tinf", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], ";", " ", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SuperscriptBox[
              SubscriptBox["U", 
               RowBox[{"\[FilledSmallCircle]", "-"}]], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"x", "-", 
                SubscriptBox["T", 
                 RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
            RowBox[{
             SuperscriptBox[
              SubscriptBox["U", 
               RowBox[{"\[FilledSmallCircle]", "+"}]], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"x", "-", 
                SubscriptBox["T", 
                 RowBox[{"k", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"PsxTlTest", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Flatten", " ", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
              "All"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Ux2Tkm1New", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"SPab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                "]"}]}], "+", 
              RowBox[{
               RowBox[{"Ux2Tkm1New", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"SPab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"kn", "+", "1"}], ",", "km"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                "]"}]}]}], ")"}], "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"Range", "[", 
               RowBox[{"1", ",", 
                RowBox[{
                 RowBox[{"Np", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "+", 
                 RowBox[{"Nm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "+", 
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Nz", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}], 
            ",", " ", 
            RowBox[{"(*", 
             RowBox[{",", 
              RowBox[{
               SubscriptBox["P", 
                RowBox[{"0", "\[EmptySmallCircle]"}]], 
               RowBox[{"(", 
                RowBox[{"s", ",", "x", ",", 
                 SubscriptBox["T", "l"]}], ")"}]}]}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"PsxTlTest", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sz", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], 
              "=", 
              RowBox[{
               RowBox[{"Inverse", "[", 
                RowBox[{
                 RowBox[{"s", " ", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
               ".", 
               RowBox[{
                RowBox[{"Q", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], ".", 
               RowBox[{"PsxTlTest", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  ";;"}], "]"}], "]"}]}]}], ";"}]}], "\[IndentingNewLine]", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Return", "[", "PsxTlTest", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
         RowBox[{"(*", 
          RowBox[{
           SubscriptBox["V", "\[FilledSmallCircle]\[EmptySmallCircle]"], 
           RowBox[{"(", 
            RowBox[{"s", ",", "x", ",", 
             SubscriptBox["T", "l"]}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Ux2Tkm1New", "=", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Ux2Tkm1New", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Flatten", " ", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                RowBox[{"Sp", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
             RowBox[{"Ux2Tkm1New", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Flatten", " ", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                RowBox[{"Sm", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], 
           "=", 
           RowBox[{"UNEW", "[", 
            RowBox[{
             RowBox[{"Psi", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], ",", 
             RowBox[{"PsiHat", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], ",", 
             RowBox[{"Hs", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], ",", 
             RowBox[{"HsHat", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], ",", 
             RowBox[{"Tinf", "[", 
              RowBox[{"[", 
               RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"tempin", "-", 
              RowBox[{"Tinf", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"VsxTl", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Flatten", " ", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
              ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Ux2Tkm1New", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"SVab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                "]"}]}], "+", 
              RowBox[{
               RowBox[{"Ux2Tkm1New", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"SVab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"kn", "+", "1"}], ",", "km"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                "]"}]}]}], ")"}], "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"Range", "[", 
               RowBox[{"1", ",", 
                RowBox[{
                 RowBox[{"Np", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "+", 
                 RowBox[{"Nm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "+", 
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Nz", "[", 
              RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}], 
            ",", " ", 
            RowBox[{"(*", 
             RowBox[{
              SubscriptBox["V", 
               RowBox[{"0", "\[EmptySmallCircle]"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", "x", ",", 
                SubscriptBox["T", "l"]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"VsxTl", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sz", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], 
              "=", 
              RowBox[{
               RowBox[{"Inverse", "[", 
                RowBox[{
                 RowBox[{"s", " ", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
               ".", 
               RowBox[{
                RowBox[{"Q", "[", 
                 RowBox[{"[", "kn", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], ".", 
               RowBox[{"VsxTl", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  ";;"}], "]"}], "]"}]}]}], ";"}]}], "\[IndentingNewLine]", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Return", "[", "VsxTl", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}],
    ";"}]}]], "Input",
 CellChangeTimes->{{3.7830980065948877`*^9, 3.7830980179162483`*^9}, {
   3.783098112129038*^9, 3.783098208982993*^9}, 3.7830982470665846`*^9, {
   3.783098291997752*^9, 3.783098325223895*^9}, {3.783098356471675*^9, 
   3.7830983967100487`*^9}, {3.7830986252935905`*^9, 3.783098650321204*^9}, {
   3.7830986951523094`*^9, 3.7830987389858246`*^9}, {3.783098901456381*^9, 
   3.783098911234042*^9}, {3.7830989600464764`*^9, 3.7830989613759565`*^9}, {
   3.7830989922412605`*^9, 3.783099047240724*^9}, {3.783099190563012*^9, 
   3.7830992075392456`*^9}, {3.7830992746797953`*^9, 
   3.7830993352789717`*^9}, {3.783099366205198*^9, 3.7830993892288465`*^9}, {
   3.783099547743208*^9, 3.783099582687619*^9}, {3.783099631156328*^9, 
   3.7830998355389986`*^9}, {3.783099922233452*^9, 3.783099922974535*^9}, 
   3.7831000195817647`*^9, 3.783100078884952*^9, {3.783180318606371*^9, 
   3.7831803198849125`*^9}, {3.783427448683255*^9, 3.7834275060358095`*^9}, {
   3.784399146772679*^9, 3.784399147229457*^9}, {3.784451949164553*^9, 
   3.784451987960966*^9}, {3.784452029953747*^9, 3.7844520417690268`*^9}, {
   3.784452089541853*^9, 3.7844522993849306`*^9}, {3.7844523814139795`*^9, 
   3.7844526294967747`*^9}, 3.784452706847526*^9, {3.7844547406357884`*^9, 
   3.7844548464604454`*^9}, {3.7844549623638687`*^9, 
   3.7844549901408052`*^9}, {3.785335375043963*^9, 3.785335385875132*^9}, {
   3.785335520892948*^9, 3.785335523861042*^9}, {3.785335787471754*^9, 
   3.7853358072584143`*^9}, {3.786031365188137*^9, 3.786031371333606*^9}, 
   3.7862887485001297`*^9, 3.786288845149626*^9, 3.7862893704993052`*^9, {
   3.7881087589867954`*^9, 3.788108759061558*^9}, {3.788108819397679*^9, 
   3.7881088194156*^9}, 3.7881112889771404`*^9, {3.788586909186876*^9, 
   3.788586923076578*^9}, {3.7885869603478107`*^9, 3.7885869776895065`*^9}, {
   3.7885873726903334`*^9, 3.788587381023965*^9}, {3.78858749023321*^9, 
   3.7885875097907114`*^9}, {3.788587539837113*^9, 3.788587555009268*^9}, {
   3.7885875945486016`*^9, 3.7885876731524315`*^9}, {3.7885878181651955`*^9, 
   3.7885878347853575`*^9}, {3.7885878855118103`*^9, 3.7885878937810926`*^9}, 
   3.7885880337989473`*^9, 3.7885881480530834`*^9, {3.7885889280460434`*^9, 
   3.7885889498836346`*^9}, 3.7885897983668203`*^9, {3.7888691652746677`*^9, 
   3.7888691687134733`*^9}, {3.7888692146560974`*^9, 
   3.7888693451950264`*^9}, {3.7888693862678604`*^9, 
   3.7888693991992636`*^9}, {3.788869461339985*^9, 3.7888694619702997`*^9}, {
   3.7888696333331475`*^9, 3.788869668986807*^9}, {3.7888697212371283`*^9, 
   3.7888697324939833`*^9}, {3.7888698309386053`*^9, 3.788869848687114*^9}, {
   3.78886989268969*^9, 3.7888699132107677`*^9}, {3.7888700003620353`*^9, 
   3.788870011232967*^9}, {3.788870103654138*^9, 3.788870152569456*^9}, 
   3.7888703747682962`*^9, {3.7888704217017927`*^9, 3.7888704973295903`*^9}, {
   3.788870529155453*^9, 3.7888705392993307`*^9}, {3.7888706822531013`*^9, 
   3.7888706885302677`*^9}, {3.7906785556222377`*^9, 
   3.7906786081119113`*^9}, {3.790678660417122*^9, 3.7906786886571674`*^9}, {
   3.790678720181904*^9, 3.7906788026913424`*^9}, 3.7906788876543045`*^9, {
   3.7906789613507566`*^9, 3.790679038495574*^9}, {3.7906793466230536`*^9, 
   3.7906794150940547`*^9}, {3.7906831520255194`*^9, 
   3.7906831690848894`*^9}, {3.7906834768400073`*^9, 3.790683481449654*^9}, {
   3.7909439843969097`*^9, 3.7909440465337944`*^9}, {3.7911171520992393`*^9, 
   3.7911171563488812`*^9}, {3.7918375587947545`*^9, 
   3.7918375587997413`*^9}, {3.7918406857389526`*^9, 3.791840687211017*^9}, {
   3.79184114475961*^9, 3.7918411479391108`*^9}, {3.7918411810146866`*^9, 
   3.7918413144041095`*^9}, {3.7918413669905014`*^9, 3.791841418463928*^9}, {
   3.7918415716454296`*^9, 3.7918416454630957`*^9}, {3.791841693840744*^9, 
   3.7918417289319353`*^9}, {3.791841869824317*^9, 3.7918418713522325`*^9}, {
   3.7918419225743017`*^9, 3.7918419231088743`*^9}, {3.791842018742221*^9, 
   3.7918420203249645`*^9}, {3.7919245097093353`*^9, 
   3.7919245099367275`*^9}, {3.791924577181753*^9, 3.791924596586775*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"f98b510f-8d04-4089-a354-38d19537a9d0"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "function", " ", "evaluates", " ", "the", " ", "transient", 
      " ", "fluid", " ", "density", 
      RowBox[{
       RowBox[{"(", "PDF", ")"}], "/", "CDF"}], " ", "Matrices", " ", "for", 
      " ", "starting", " ", "from", " ", "and", " ", "ending", " ", "between",
       " ", "boundaries", "  ", "V", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"s", ",", 
         RowBox[{
          SubscriptBox["x", ","], "y"}]}], ")"}], "/", 
       RowBox[{
        SubsuperscriptBox["\[Integral]", 
         RowBox[{"\[Tau]", "=", 
          SubscriptBox["T", 
           RowBox[{"l", "-", "1"}]]}], "y"], 
        RowBox[{"V", 
         RowBox[{"(", 
          RowBox[{"s", ",", 
           RowBox[{
            SubscriptBox["x", ","], "\[Tau]"}]}], ")"}], 
         RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}]}]}]}], "  ", "===", "===",
     "===", "===", "===", "===", "\[Equal]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"BTBPWINF", "[", 
      RowBox[{
      "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
       "Sp_", ",", "Sm_", ",", "Sz_", ",", "Sup_", ",", "Sdown_", ",", 
       "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
       "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tinf_", ",", 
       "tempin_", ",", "tempfin_", ",", "s_", ",", "Res_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Psi", ",", "PsiHat", ",", "Ks", ",", "Hs", ",", "HsHat", ",", 
         "KsHat", ",", "K", ",", "k", ",", "l", ",", "SVab2ab", ",", "kn", 
         ",", "km", ",", "kmm", ",", "Vsxx", ",", "Uxred2Tkm1", ",", 
         "UredTk2x", ",", "Vsxyred", ",", "Ux2Tkm1New", ",", "CDFxy", ",", 
         "VsTkm1y", ",", "VsTkm1x", ",", "VsTkx", ",", "VsxTkred", ",", 
         "VsxTkm1red", ",", "VsTky", ",", "CDFTkm1", ",", "CDFTk", ",", 
         "Fsypo", ",", "Fsymo", ",", "FCDFsy"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"K", "=", 
         RowBox[{"Length", "[", "Tinf", "]"}]}], ";", "\[IndentingNewLine]", 
        " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"Return", " ", "back", " ", "the", " ", "V", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], 
              SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], ",", 
          RowBox[{"l", "\[Element]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", 
              RowBox[{"K", "-", "1"}]}], "}"}], " ", "and", " ", 
            SuperscriptBox["\[CapitalPsi]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}]}], ",", 
          RowBox[{
           SuperscriptBox["K", 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           SuperscriptBox["H", 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}], " ", 
           SuperscriptBox[
            OverscriptBox["\[CapitalPsi]", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           SuperscriptBox[
            OverscriptBox["K", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             OverscriptBox["H", "^"], 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "...", ",", 
              RowBox[{"K", "-", "1"}]}], "}"}], " ", "Needed", " ", "for", 
            " ", "evaluating", "  ", "the", " ", "transiant", "  ", "fluid", 
            " ", "density", " ", "for", " ", "the", " ", "case", " ", 
            "\"\<starting starting from and ending between \
boundaries\>\""}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "SVab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", ",", 
           "HsHat", ",", "Hs"}], "}"}], "=", 
         RowBox[{"CMPWINF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
           "tempin", ",", "tempfin", ",", "s", ",", "\"\<PDF\>\""}], "]"}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"kn", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"FirstPosition", "[", 
            RowBox[{"Tinf", ",", 
             RowBox[{"_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#", ">", " ", "tempin"}], " ", "&"}], ")"}]}]}], 
            "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"index", " ", "of", " ", "regime", " ", "of", " ", "k"}], 
          ",", " ", 
          RowBox[{"counted", " ", "from", " ", 
           SubscriptBox["T", "0"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"km", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"FirstPosition", "[", 
            RowBox[{"Tinf", ",", 
             RowBox[{"_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#", ">", "tempfin"}], " ", "&"}], ")"}]}]}], "]"}], 
           "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"index", " ", "of", " ", "the", " ", "bounday"}], ",", " ", 
          RowBox[{"counted", " ", "from", " ", 
           SubscriptBox["T", "0"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"kn", "==", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
          RowBox[{"kn", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"km", "==", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
          RowBox[{"km", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"kmm", "=", "km"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Vsxx", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Uxred2Tkm1", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"UredTk2x", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Vsxyred", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Ux2Tkm1New", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"CDFxy", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"**", " ", "inf"}], " ", "region", " ", "equations"}], " ", 
         "****)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"tempin", ">", 
            RowBox[{"Last", "[", "Tinf", "]"}]}], "&&", " ", 
           RowBox[{"tempfin", " ", "<", 
            RowBox[{"Last", "[", "Tinf", "]"}]}]}], ",", " ", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"K", "-", "1"}]], "<", "x"}], ",", " ", 
            RowBox[{
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"l", "-", "1"}]], "<", "y", "<", 
              RowBox[{
               SubscriptBox["T", "l"], " ", "l"}]}], "\[Element]", 
             RowBox[{"{", 
              RowBox[{"0", ",", "...", ",", 
               RowBox[{"K", "-", "1"}]}], "}"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"kn", "\[NotEqual]", " ", "km"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"VsTky", "=", 
                  RowBox[{"SFBPWINF", "[", 
                   RowBox[{
                   "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", 
                    "RmInv", ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",",
                     "Sdown", ",", "Sconst", ",", "Spup", ",", "Spconst", ",",
                     "Sdownm", ",", "Sconstm", ",", "Np", ",", "Nm", ",", 
                    "Nz", ",", "Tinf", ",", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", "tempfin", ",", "s", 
                    ",", "\"\<PDF\>\""}], "]"}]}], ";", " ", 
                 RowBox[{"(*", 
                  RowBox[{"V", 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["T", 
                    RowBox[{"K", ","}]], "y"}]}], ")"}]}], "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "km", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "km", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}], "=", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"ArrayFlatten", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], "}"}]}], "}"}], 
                    "]"}], ".", 
                    RowBox[{"MatrixExp", "[", 
                    RowBox[{
                    RowBox[{"Hs", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"tempin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], ")"}]}], "]"}], ".", 
                    RowBox[{"VsTky", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "km", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "km", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                    "]"}]}], ")"}]}], ";", " ", 
                 RowBox[{"(*", 
                  RowBox[{
                   
                   SubscriptBox["V", 
                    "\[FilledSmallCircle]\[FilledSmallCircle]"], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "\[NotEqual]", "  ", 
                    "0"}], ",", 
                   RowBox[{"(*", 
                    RowBox[{
                    SubscriptBox["V", "\[FilledSmallCircle]0"], 
                    RowBox[{"(", 
                    RowBox[{"s", ",", "x", ",", "y"}], ")"}]}], "*)"}], 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}], "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}]}], 
                    "]"}]}], ")"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                    "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], 
                 ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", 
                    "0"}], ",", " ", 
                   RowBox[{"(*", 
                    RowBox[{
                    SubscriptBox["V", 
                    RowBox[{"0", "\[FilledSmallCircle]"}]], 
                    RowBox[{"(", 
                    RowBox[{"s", ",", "x", ",", "y"}], ")"}]}], "*)"}], 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                    ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                    RowBox[{"[", 
                    RowBox[{";;", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                    "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Return", "[", "Vsxyred", "]"}], ";"}]}], "  ", 
               RowBox[{"(*", 
                RowBox[{"V", 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"CDFTkm1", "=", 
                  RowBox[{"SFBPWINF", "[", 
                   RowBox[{
                   "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", 
                    "RmInv", ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",",
                     "Sdown", ",", "Sconst", ",", "Spup", ",", "Spconst", ",",
                     "Sdownm", ",", "Sconstm", ",", "Np", ",", "Nm", ",", 
                    "Nz", ",", "Tinf", ",", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", "tempfin", ",", "s", 
                    ",", "\"\<CDF\>\""}], "]"}]}], ";", " ", 
                 RowBox[{"(*", 
                  RowBox[{
                   SubsuperscriptBox["\[Integral]", 
                    RowBox[{"\[Tau]", "=", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}], "y"], 
                   RowBox[{"V", 
                    RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox[
                    SubscriptBox["T", 
                    RowBox[{
                    RowBox[{"K", "-", "1"}], ","}]], ","], "\[Tau]"}]}], 
                    ")"}], 
                    RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], " ", "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"CDFxy", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "km", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "km", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}], "=", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"ArrayFlatten", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], "}"}]}], "}"}], 
                    "]"}], ".", 
                    RowBox[{"MatrixExp", "[", 
                    RowBox[{
                    RowBox[{"Hs", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"tempin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], ")"}]}], "]"}], ".", 
                    RowBox[{"CDFTkm1", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "km", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "km", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                    "]"}]}], ")"}]}], ";", " ", 
                 RowBox[{"(*", 
                  RowBox[{
                   SubsuperscriptBox["\[Integral]", 
                    RowBox[{"\[Tau]", "=", 
                    SubscriptBox["T", 
                    RowBox[{"l", "-", "1"}]]}], "y"], 
                   RowBox[{"V", 
                    RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox[
                    SubscriptBox["x", ","], ","], "\[Tau]"}]}], ")"}], 
                    RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], " ", "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"Return", "[", "CDFxy", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"tempfin", ">", 
            RowBox[{"Last", "[", "Tinf", "]"}]}], "&&", " ", 
           RowBox[{"tempin", " ", "<", 
            RowBox[{"Last", "[", "Tinf", "]"}]}]}], ",", " ", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"K", "-", "1"}]], "<", "y"}], ",", " ", 
            RowBox[{
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"l", "-", "1"}]], "<", "x", "<", 
              RowBox[{
               SubscriptBox["T", "l"], " ", "l"}]}], "\[Element]", 
             RowBox[{"{", 
              RowBox[{"0", ",", "...", ",", 
               RowBox[{"K", "-", "1"}]}], "}"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"kn", "\[NotEqual]", " ", "km"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"VsxTkred", "=", 
               RowBox[{"G2BPWINF", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf",
                  ",", "tempin", ",", 
                 RowBox[{"Tinf", "[", 
                  RowBox[{"[", "K", "]"}], "]"}], ",", "s", ",", 
                 "\"\<PDF\>\""}], "]"}]}], ";"}]}], "  ", 
            RowBox[{"(*", 
             RowBox[{"V", 
              RowBox[{"(", 
               RowBox[{"s", ",", "x", ",", 
                SubscriptBox["T", 
                 RowBox[{"K", "-", "1"}]]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Vsxyred", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"VsxTkred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Inverse", "[", 
                   RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", 
                  RowBox[{"MatrixExp", "[", 
                   RowBox[{
                    RowBox[{"Ks", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"tempfin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], ")"}]}], "]"}], ".", 
                  RowBox[{"ArrayFlatten", "[", 
                   RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ".", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}], "}"}], "]"}]}],
                  ")"}], "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", 
                  RowBox[{"Range", "[", 
                   RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                "]"}]}], ";", " ", 
              RowBox[{"(*", 
               RowBox[{
                SubscriptBox["V", "\[FilledSmallCircle]\[FilledSmallCircle]"], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{
                   SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kmm", "]"}], "]"}], "\[NotEqual]", "  ", 
                 "0"}], ",", 
                RowBox[{"(*", 
                 RowBox[{
                  SubscriptBox["V", "\[FilledSmallCircle]0"], 
                  RowBox[{"(", 
                   RowBox[{"s", ",", "x", ",", "y"}], ")"}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}]}], 
                    "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                    "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], 
              ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}],
                 ",", " ", 
                RowBox[{"(*", 
                 RowBox[{
                  SubscriptBox["V", 
                   RowBox[{"0", "\[FilledSmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"s", ",", "x", ",", "y"}], ")"}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                    ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{";;", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                   "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "Vsxyred", "]"}], ";"}]}], " ", 
            RowBox[{"(*", 
             RowBox[{"V", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"CDFxy", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"VsxTkred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Inverse", "[", 
                   RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", 
                  RowBox[{"Inverse", "[", 
                   RowBox[{"Ks", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"MatrixExp", "[", 
                    RowBox[{
                    RowBox[{"Ks", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"tempfin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], ")"}]}], "]"}], "-", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}]}], ")"}], ".", 
                  RowBox[{"ArrayFlatten", "[", 
                   RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ".", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}], "}"}], "]"}]}],
                  ")"}], "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", 
                  RowBox[{"Range", "[", 
                   RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                "]"}]}], ";", " ", 
              RowBox[{"(*", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", 
                 RowBox[{"\[Tau]", "=", 
                  SubscriptBox["T", 
                   RowBox[{"K", "-", "1"}]]}], "y"], 
                RowBox[{"V", 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox[
                    SubscriptBox["x", ","], ","], "\[Tau]"}]}], ")"}], 
                 RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "CDFxy", "]"}], ";"}]}], " ", 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"tempfin", ">", 
            RowBox[{"Last", "[", "Tinf", "]"}]}], "&&", " ", 
           RowBox[{"tempin", " ", ">", 
            RowBox[{"Last", "[", "Tinf", "]"}]}]}], ",", " ", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"K", "-", "1"}]], "<", "x"}], ",", "y"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "K", "]"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "K", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "K", "]"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "K", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], 
            "=", 
            RowBox[{"UAll", "[", 
             RowBox[{
              RowBox[{"Psi", "[", 
               RowBox[{"[", "K", "]"}], "]"}], ",", 
              RowBox[{"PsiHat", "[", 
               RowBox[{"[", "K", "]"}], "]"}], ",", 
              RowBox[{"Hs", "[", 
               RowBox[{"[", "K", "]"}], "]"}], ",", 
              RowBox[{"HsHat", "[", 
               RowBox[{"[", "K", "]"}], "]"}], ",", 
              RowBox[{"tempin", "-", 
               RowBox[{"Tinf", "[", 
                RowBox[{"[", "K", "]"}], "]"}]}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"VsTky", "=", 
            RowBox[{"SFBPWINF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
              RowBox[{"Tinf", "[", 
               RowBox[{"[", "K", "]"}], "]"}], ",", "tempin", ",", "s", ",", 
              "\"\<PDF\>\""}], "]"}]}], ";", " ", 
           RowBox[{"(*", 
            RowBox[{"V", 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["T", 
                 RowBox[{"K", ","}]], "y"}]}], ")"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"K", "-", "1"}]], "<", " ", "x"}], "=", "y"}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             SubscriptBox["V", "\[FilledSmallCircle]\[FilledSmallCircle]"], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["x", ","], "x"}]}], ")"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Vsxx", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "K", "]"}], "]"}], ",", 
               RowBox[{"Flatten", " ", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "K", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
             "]"}], "=", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Inverse", "[", 
              RowBox[{
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "K", "]"}], "]"}], "]"}], "-", 
               RowBox[{
                RowBox[{"Uxred2Tkm1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
                RowBox[{"Psi", "[", 
                 RowBox[{"[", "K", "]"}], "]"}]}]}], "]"}], ".", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"ArrayFlatten", "[", 
                RowBox[{"{", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Uxred2Tkm1", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], ",", 
                   RowBox[{"RmInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "}"}], "]"}], 
               "+", 
               RowBox[{
                RowBox[{"Uxred2Tkm1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
                RowBox[{"VsTky", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                 "]"}]}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Vsxx", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "K", "]"}], "]"}], ",", 
               RowBox[{"Flatten", " ", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "K", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
             "]"}], "=", 
            RowBox[{
             RowBox[{"ArrayFlatten", "[", 
              RowBox[{"{", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"RpInv", "[", 
                  RowBox[{"[", "K", "]"}], "]"}], ",", 
                 RowBox[{"ConstantArray", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}],
                "}"}], "]"}], "+", 
             RowBox[{
              RowBox[{"Psi", "[", 
               RowBox[{"[", "K", "]"}], "]"}], ".", 
              RowBox[{"Vsxx", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "K", "]"}], "]"}], ",", 
                 RowBox[{"Flatten", " ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
               "]"}]}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              SubscriptBox["V", "\[FilledSmallCircle]0"], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "x"}]}], ")"}]}], ",", 
             RowBox[{
              SubscriptBox["V", 
               RowBox[{"0", "\[FilledSmallCircle]"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "x"}]}], ")"}]}], ",", "  ", 
             RowBox[{"if", " ", "available"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Vsxx", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sort", "[", 
                   RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                   "]"}], ",", 
                  RowBox[{"Sz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], "=", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Vsxx", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Inverse", "[", 
                   RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], 
                   "]"}]}], ")"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Range", "[", 
                   RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                 "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Vsxx", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", 
                  RowBox[{"Sort", "[", 
                   RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                   "]"}]}], "]"}], "]"}], "=", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Inverse", "[", 
                   RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                  ".", 
                  RowBox[{
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Vsxx", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                RowBox[{"[", 
                 RowBox[{";;", ",", 
                  RowBox[{"Range", "[", 
                   RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"tempin", "\[Equal]", "tempfin"}], ",", 
             RowBox[{"(*", 
              RowBox[{"x", "\[Equal]", "y"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Return", "[", "Vsxx", "]"}], ";"}]}], " ", 
            RowBox[{"(*", " ", 
             RowBox[{"V", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "x"}]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"tempfin", ">", "tempin"}], ",", 
             RowBox[{"(*", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"K", "-", "1"}]], "<", "x", "<", "y"}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxx", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", 
                    RowBox[{"MatrixExp", "[", 
                    RowBox[{
                    RowBox[{"Ks", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"tempfin", "-", "tempin"}], ")"}]}], "]"}], ".", 
                    RowBox[{"ArrayFlatten", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ".", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}], "}"}], "]"}]}],
                     ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                   "]"}]}], ";", "  ", 
                 RowBox[{"(*", 
                  RowBox[{
                   
                   SubscriptBox["V", 
                    "\[FilledSmallCircle]\[FilledSmallCircle]"], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", 
                    "0"}], ",", " ", 
                   RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox["V", "\[FilledSmallCircle]0"], 
                    RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", 
                    RowBox[{
                    SubscriptBox["V", 
                    RowBox[{"0", "\[FilledSmallCircle]"}]], 
                    RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", "  ", 
                    RowBox[{"if", " ", "available"}]}], "*)"}], 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], 
                    "]"}]}], ")"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                    "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                    ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                    RowBox[{"[", 
                    RowBox[{";;", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                    "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Return", "[", "Vsxyred", "]"}], ";"}]}], " ", 
               RowBox[{"(*", 
                RowBox[{"V", 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"CDFxy", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxx", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{"Ks", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"MatrixExp", "[", 
                    RowBox[{
                    RowBox[{"Ks", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"tempfin", "-", "tempin"}], ")"}]}], "]"}], "-", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}]}], ")"}], ".", 
                    RowBox[{"ArrayFlatten", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ".", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}], "}"}], "]"}]}],
                     ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                   "]"}]}], ";", " ", 
                 RowBox[{"(*", 
                  RowBox[{
                   SubsuperscriptBox["\[Integral]", 
                    RowBox[{"\[Tau]", "=", "x"}], "y"], 
                   RowBox[{"V", 
                    RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox[
                    SubscriptBox["x", ","], ","], "\[Tau]"}]}], ")"}], 
                    RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], " ", "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"Return", "[", "CDFxy", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"tempfin", "<", "tempin"}], ",", " ", 
             RowBox[{"(*", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"K", "-", "1"}]], "<", "y", "<", "x"}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{
                   SuperscriptBox[
                    SubscriptBox["F", 
                    RowBox[{"+", "\[FilledSmallCircle]"}]], 
                    RowBox[{"(", 
                    RowBox[{"k", ",", 
                    RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}]}], ")"}]], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{"y", "-", "x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}]}], ")"}]}], ",", " ", 
                  RowBox[{
                   SuperscriptBox[
                    SubscriptBox[
                    OverscriptBox["F", "^"], 
                    RowBox[{"-", "\[FilledSmallCircle]"}]], 
                    RowBox[{"(", 
                    RowBox[{"k", ",", 
                    RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}]}], ")"}]], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{"y", "-", "x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"Fsypo", ",", "Fsymo"}], "}"}], "=", 
                  RowBox[{"FAll", "[", 
                   RowBox[{
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"PsiHat", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Ks", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"KsHat", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"tempin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], ",", 
                    RowBox[{"tempfin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"VsxTkred", "=", 
                  RowBox[{"G2BPWINF", "[", 
                   RowBox[{
                   "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", 
                    "RmInv", ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",",
                     "Sdown", ",", "Sconst", ",", "Spup", ",", "Spconst", ",",
                     "Sdownm", ",", "Sconstm", ",", "Np", ",", "Nm", ",", 
                    "Nz", ",", "Tinf", ",", "tempin", ",", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", "s", ",", 
                    "\"\<PDF\>\""}], "]"}]}], ";", " ", 
                 RowBox[{"(*", 
                  RowBox[{"V", 
                   RowBox[{"(", 
                    RowBox[{"s", ",", "x", ",", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}], ")"}]}], "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"VsxTkred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", "Fsypo"}], 
                    "+", 
                    RowBox[{
                    RowBox[{"Vsxx", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", "Fsymo"}]}], 
                    ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                   "]"}]}], ";", "  ", 
                 RowBox[{"(*", 
                  RowBox[{
                   
                   SubscriptBox["V", 
                    "\[FilledSmallCircle]\[FilledSmallCircle]"], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", 
                    "0"}], ",", 
                   RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox["V", "\[FilledSmallCircle]0"], 
                    RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", 
                    RowBox[{
                    SubscriptBox["V", 
                    RowBox[{"0", "\[FilledSmallCircle]"}]], 
                    RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", "  ", 
                    RowBox[{"if", " ", "available"}]}], "*)"}], 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], 
                    "]"}]}], ")"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                    "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                    ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                    RowBox[{"[", 
                    RowBox[{";;", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                    "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Return", "[", "Vsxyred", "]"}], ";"}]}], " ", 
               RowBox[{"(*", 
                RowBox[{"V", 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{
                   SuperscriptBox[
                    SubscriptBox["C", 
                    RowBox[{"+", "\[FilledSmallCircle]"}]], 
                    RowBox[{"(", 
                    RowBox[{"k", ",", 
                    RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}]}], ")"}]], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{"y", "-", "x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}]}], ")"}]}], ",", " ", 
                  RowBox[{
                   SuperscriptBox[
                    SubscriptBox[
                    OverscriptBox["C", "^"], 
                    RowBox[{"-", "\[FilledSmallCircle]"}]], 
                    RowBox[{"(", 
                    RowBox[{"k", ",", 
                    RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}]}], ")"}]], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{"y", "-", "x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"FCDFsy", "=", 
                  RowBox[{"FCDFAll", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Dimensions", "[", 
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"Sup", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Psi", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"PsiHat", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Ks", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"KsHat", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"tempin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], ",", 
                    RowBox[{"tempfin", "-", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}]}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"VsxTkred", "=", 
                  RowBox[{"G2BPWINF", "[", 
                   RowBox[{
                   "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", 
                    "RmInv", ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",",
                     "Sdown", ",", "Sconst", ",", "Spup", ",", "Spconst", ",",
                     "Sdownm", ",", "Sconstm", ",", "Np", ",", "Nm", ",", 
                    "Nz", ",", "Tinf", ",", "tempin", ",", 
                    RowBox[{"Tinf", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", "s", ",", 
                    "\"\<PDF\>\""}], "]"}]}], ";", " ", 
                 RowBox[{"(*", 
                  RowBox[{"V", 
                   RowBox[{"(", 
                    RowBox[{"s", ",", "x", ",", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}], ")"}]}], "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"CDFxy", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}], "=", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Vsxx", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", 
                    RowBox[{"FCDFsy", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", ";;"}], "]"}], 
                    "]"}]}], "+", 
                   RowBox[{
                    RowBox[{"VsxTkred", " ", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], "]"}], ".", 
                    RowBox[{"FCDFsy", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "K", "]"}], "]"}], ",", ";;"}], "]"}], 
                    "]"}]}]}]}], ";", " ", 
                 RowBox[{"(*", 
                  RowBox[{
                   SubsuperscriptBox["\[Integral]", 
                    RowBox[{"\[Tau]", "=", 
                    SubscriptBox["T", 
                    RowBox[{"K", "-", "1"}]]}], "y"], 
                   RowBox[{"V", 
                    RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox[
                    SubscriptBox["x", ","], ","], "\[Tau]"}]}], ")"}], 
                    RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], " ", "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"Return", "[", "CDFxy", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"**", 
          RowBox[{"*", " ", "finite", " ", "code"}]}], "***)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"VsTkm1y", "=", 
         RowBox[{"SFBPWINF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
           RowBox[{"Tinf", "[", 
            RowBox[{"[", "kn", "]"}], "]"}], ",", "tempfin", ",", "s", ",", 
           "\"\<PDF\>\""}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ","}]], "y"}]}], ")"}]}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"VsTkm1x", "=", 
         RowBox[{"SFBPWINF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
           RowBox[{"Tinf", "[", 
            RowBox[{"[", "kn", "]"}], "]"}], ",", "tempin", ",", "s", ",", 
           "\"\<PDF\>\""}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ","}]], "x"}]}], ")"}]}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"VsTkx", "=", 
         RowBox[{"SFBPWINF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
           RowBox[{"Tinf", "[", 
            RowBox[{"[", 
             RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", "tempin", ",", "s", 
           ",", "\"\<PDF\>\""}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], "x"}]}], ")"}]}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"VsxTkred", "=", 
         RowBox[{"G2BPWINF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
           "tempin", ",", 
           RowBox[{"Tinf", "[", 
            RowBox[{"[", 
             RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", "s", ",", 
           "\"\<PDF\>\""}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", "x", ",", 
            SubscriptBox["T", "k"]}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"VsxTkm1red", "=", 
         RowBox[{"G2BPWINF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
           "tempin", ",", 
           RowBox[{"Tinf", "[", 
            RowBox[{"[", "kn", "]"}], "]"}], ",", "s", ",", "\"\<PDF\>\""}], 
          "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", "x", ",", 
            SubscriptBox["T", 
             RowBox[{"k", "-", "1"}]]}], ")"}]}], "*)"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"kn", "\[NotEqual]", " ", "km"}], ",", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", "-", "1"}]], "<", "x", "<", 
             SubscriptBox["T", "k"]}], " ", ",", " ", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"l", "-", "1"}]], "<", "y", "<", 
             SubscriptBox["T", "l"]}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"VsTky", "=", 
            RowBox[{"SFBPWINF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf", ",", 
              RowBox[{"Tinf", "[", 
               RowBox[{"[", 
                RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", "tempfin", ",", 
              "s", ",", "\"\<PDF\>\""}], "]"}]}], ";", " ", 
           RowBox[{"(*", 
            RowBox[{"V", 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["T", 
                 RowBox[{"k", ","}]], "y"}]}], ")"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", 
                RowBox[{"\[FilledSmallCircle]", "-"}]], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{"x", "-", 
                 SubscriptBox["T", 
                  RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", 
                RowBox[{"\[FilledSmallCircle]", "+"}]], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{"x", "-", 
                 SubscriptBox["T", 
                  RowBox[{"k", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Ux2Tkm1New", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Flatten", " ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"Ux2Tkm1New", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Flatten", " ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], 
            "=", 
            RowBox[{"UNEW", "[", 
             RowBox[{
              RowBox[{"Psi", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"PsiHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"Hs", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"HsHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"Tinf", "[", 
                RowBox[{"[", 
                 RowBox[{"kn", "+", "1"}], "]"}], "]"}], "-", 
               RowBox[{"Tinf", "[", 
                RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
              RowBox[{"tempin", "-", 
               RowBox[{"Tinf", "[", 
                RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{"V", 
               RowBox[{"(", 
                RowBox[{"s", ",", 
                 RowBox[{
                  SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Vsxyred", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  ";;"}], "]"}], "]"}], "=", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Ux2Tkm1New", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"VsTkm1y", " ", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                    "]"}]}], "+", 
                  RowBox[{
                   RowBox[{"Ux2Tkm1New", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"VsTky", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                    "]"}]}]}], ")"}], "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", 
                  RowBox[{"Range", "[", 
                   RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                "]"}]}], ";", " ", 
              RowBox[{"(*", 
               RowBox[{
                SubscriptBox["V", "\[FilledSmallCircle]\[FilledSmallCircle]"], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{
                   SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kmm", "]"}], "]"}], "\[NotEqual]", "  ", 
                 "0"}], ",", " ", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{
                   SubscriptBox["V", "\[FilledSmallCircle]0"], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", " ", 
                  RowBox[{"if", " ", "available"}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}]}], 
                    "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                    "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], 
              ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}],
                 ",", " ", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{
                   SubscriptBox["V", 
                    RowBox[{"0", "\[FilledSmallCircle]"}]], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", " ", 
                  RowBox[{"if", " ", "available"}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                    ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{";;", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                   "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "Vsxyred", "]"}], ";"}]}], " ", 
            RowBox[{"(*", 
             RowBox[{"V", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"CDFTkm1", "=", 
               RowBox[{"SFBPWINF", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf",
                  ",", 
                 RowBox[{"Tinf", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", "tempfin", ",", "s", 
                 ",", "\"\<CDF\>\""}], "]"}]}], ";", " ", 
              RowBox[{"(*", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", 
                 RowBox[{"\[Tau]", "=", 
                  SubscriptBox["T", 
                   RowBox[{"l", "-", "1"}]]}], "y"], 
                RowBox[{
                 SubscriptBox["V", 
                  RowBox[{"-", "\[FilledSmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox[
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]], ","], "\[Tau]"}]}], ")"}], 
                 RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"CDFTk", "=", 
               RowBox[{"SFBPWINF", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tinf",
                  ",", 
                 RowBox[{"Tinf", "[", 
                  RowBox[{"[", 
                   RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", "tempfin", 
                 ",", "s", ",", "\"\<CDF\>\""}], "]"}]}], ";", " ", 
              RowBox[{"(*", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", 
                 RowBox[{"\[Tau]", "=", 
                  SubscriptBox["T", 
                   RowBox[{"l", "-", "1"}]]}], "y"], 
                RowBox[{
                 SubscriptBox["V", 
                  RowBox[{"-", "\[FilledSmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox[
                    SubscriptBox["T", "k"], ","], "\[Tau]"}]}], ")"}], 
                 RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"CDFxy", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Ux2Tkm1New", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"CDFTkm1", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                  "]"}]}], "+", 
                RowBox[{
                 RowBox[{"Ux2Tkm1New", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"CDFTk", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                  "]"}]}]}]}], ";", " ", 
              RowBox[{"(*", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", 
                 RowBox[{"\[Tau]", "=", 
                  SubscriptBox["T", 
                   RowBox[{"l", "-", "1"}]]}], "y"], 
                RowBox[{
                 
                 SubscriptBox["V", 
                  "\[FilledSmallCircle]\[FilledSmallCircle]"], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox["x", ","], "\[Tau]"}]}], ")"}], 
                 RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "CDFxy", "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"kn", "\[Equal]", "km"}], ",", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", "-", "1"}]], "<", "x"}], ",", 
            RowBox[{"y", "<", 
             SubscriptBox["T", "k"]}], ",", " ", 
            RowBox[{"we", " ", "have", " ", "three", " ", "cases"}], ",", " ", 
            RowBox[{"x", "=", "y"}], ",", 
            RowBox[{"x", "<", 
             RowBox[{"y", " ", "and", " ", "x"}], ">", "y"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SuperscriptBox[
              SubscriptBox["U", 
               RowBox[{"-", "+"}]], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"x", "-", 
                SubscriptBox["T", 
                 RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
            RowBox[{
             SuperscriptBox[
              SubscriptBox["U", "--"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"x", "-", 
                SubscriptBox["T", 
                 RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", 
            RowBox[{
             SuperscriptBox[
              SubscriptBox["U", "++"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"x", "-", 
                SubscriptBox["T", 
                 RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
            RowBox[{
             SuperscriptBox[
              SubscriptBox["U", 
               RowBox[{"+", "-"}]], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"x", "-", 
                SubscriptBox["T", 
                 RowBox[{"k", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], 
            "=", 
            RowBox[{"UAll", "[", 
             RowBox[{
              RowBox[{"Psi", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"PsiHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"Hs", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"HsHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"tempin", "-", 
               RowBox[{"Tinf", "[", 
                RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"UredTk2x", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"UredTk2x", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"UredTk2x", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"UredTk2x", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], 
            "=", 
            RowBox[{"UAll", "[", 
             RowBox[{
              RowBox[{"Psi", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"PsiHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"Hs", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"HsHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"Tinf", "[", 
                RowBox[{"[", 
                 RowBox[{"kn", "+", "1"}], "]"}], "]"}], "-", "tempin"}]}], 
             "]"}]}], ";", " ", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", 
                RowBox[{"-", "+"}]], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", "k"], "-", "x"}]}], ")"}]}], ",", " ", 
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", "--"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", "k"], "-", "x"}]}], ")"}]}], ",", 
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", "++"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", "k"], "-", "x"}]}], ")"}]}], ",", " ", 
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", 
                RowBox[{"+", "-"}]], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", "k"], "-", "x"}]}], ")"}]}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", "-", "1"}]], "<", "x"}], ",", 
             RowBox[{"y", "<", 
              SubscriptBox["T", "k"]}], ",", 
             RowBox[{"x", "=", "y"}]}], "*)"}], "  ", 
           RowBox[{"(*", 
            RowBox[{"V", 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["x", ","], "x"}]}], ")"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             SubscriptBox["V", "\[FilledSmallCircle]\[FilledSmallCircle]"], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["x", ","], "x"}]}], ")"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Vsxx", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "kn", "]"}], "]"}], ",", 
               RowBox[{"Flatten", " ", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
             "]"}], "=", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Inverse", "[", 
                RowBox[{
                 RowBox[{"IdentityMatrix", "[", 
                  RowBox[{"Np", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], "-", 
                 RowBox[{
                  RowBox[{"UredTk2x", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Uxred2Tkm1", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}]}], 
                "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"ArrayFlatten", "[", 
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"UredTk2x", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}], "}"}], "]"}], 
                 "+", 
                 RowBox[{
                  RowBox[{"UredTk2x", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Uxred2Tkm1", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"VsTkm1x", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"UredTk2x", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"VsTkx", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}]}]}], ")"}]}], ")"}], "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"Range", "[", 
                RowBox[{"1", ",", 
                 RowBox[{
                  RowBox[{"Np", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "+", 
                  RowBox[{"Nm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Vsxx", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "kn", "]"}], "]"}], ",", 
               RowBox[{"Flatten", " ", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
             "]"}], "=", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"ArrayFlatten", "[", 
                RowBox[{"{", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ConstantArray", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
                   RowBox[{"RmInv", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "}"}], "]"}], 
               "+", 
               RowBox[{
                RowBox[{"Uxred2Tkm1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                RowBox[{"Vsxx", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                 "]"}]}], "+", 
               RowBox[{
                RowBox[{"Uxred2Tkm1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                RowBox[{"VsTkm1x", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                 "]"}]}]}], ")"}], "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"Range", "[", 
                RowBox[{"1", ",", 
                 RowBox[{
                  RowBox[{"Np", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "+", 
                  RowBox[{"Nm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}], 
             ",", " ", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{
                SubscriptBox["V", "\[FilledSmallCircle]0"], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{
                   SubscriptBox["x", ","], "x"}]}], ")"}]}], ",", 
               RowBox[{
                SubscriptBox["V", 
                 RowBox[{"0", "\[FilledSmallCircle]"}]], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{
                   SubscriptBox["x", ","], "x"}]}], ")"}]}], ",", "  ", 
               RowBox[{"if", " ", "available"}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Vsxx", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sort", "[", 
                   RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                   "]"}], ",", 
                  RowBox[{"Sz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], "=", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Vsxx", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Inverse", "[", 
                   RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], 
                   "]"}]}], ")"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Range", "[", 
                   RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                 "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Vsxx", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", 
                  RowBox[{"Sort", "[", 
                   RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                   "]"}]}], "]"}], "]"}], "=", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Inverse", "[", 
                   RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                  ".", 
                  RowBox[{
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Vsxx", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                RowBox[{"[", 
                 RowBox[{";;", ",", 
                  RowBox[{"Range", "[", 
                   RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"tempin", "\[Equal]", "tempfin"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Return", "[", "Vsxx", "]"}], ";"}]}], " ", 
            RowBox[{"(*", " ", 
             RowBox[{"Return", " ", "V", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "x"}]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
           SubscriptBox["T", 
            RowBox[{"k", "-", "1"}]], "<", "x"}], ",", 
          RowBox[{"y", "<", 
           SubscriptBox["T", "k"]}], ",", 
          RowBox[{"x", "<", "y"}]}], "*)"}], "  ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"tempin", "<", "tempfin"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
                SuperscriptBox[
                 SubscriptBox["F", 
                  RowBox[{"+", "\[FilledSmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"k", ",", 
                   RowBox[{
                    SubscriptBox["T", "k"], "-", "x"}]}], ")"}]], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{"y", "-", "x"}]}], ")"}]}], ",", " ", 
               RowBox[{
                SuperscriptBox[
                 SubscriptBox[
                  OverscriptBox["F", "^"], 
                  RowBox[{"-", "\[FilledSmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"k", ",", 
                   RowBox[{
                    SubscriptBox["T", "k"], "-", "x"}]}], ")"}]], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{"y", "-", "x"}]}], ")"}]}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Fsypo", ",", "Fsymo"}], "}"}], "=", 
               RowBox[{"FAll", "[", 
                RowBox[{
                 RowBox[{"Psi", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"PsiHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Ks", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"KsHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RpInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RmInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Tinf", "[", 
                   RowBox[{"[", 
                    RowBox[{"kn", "+", "1"}], "]"}], "]"}], "-", "tempin"}], 
                 ",", 
                 RowBox[{"tempfin", "-", "tempin"}]}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Vsxyred", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Vsxx", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RpInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", "Fsypo"}], 
                "+", 
                RowBox[{
                 RowBox[{"VsxTkred", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RmInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", "Fsymo"}]}]}],
               ";", " ", 
              RowBox[{"(*", " ", 
               RowBox[{
                SubscriptBox["V", "\[FilledSmallCircle]\[FilledSmallCircle]"], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{
                   SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}],
                 ",", " ", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{
                   SubscriptBox["V", "\[FilledSmallCircle]0"], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", 
                  RowBox[{
                   SubscriptBox["V", 
                    RowBox[{"0", "\[FilledSmallCircle]"}]], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", "  ", 
                  RowBox[{"if", " ", "available"}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], 
                    "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                    "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                    ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{";;", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                   "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "Vsxyred", "]"}], ";"}]}], 
            RowBox[{"(*", " ", 
             RowBox[{"Return", " ", "V", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"FCDFsy", "=", 
               RowBox[{"FCDFAll", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Dimensions", "[", 
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", 
                   RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", 
                 RowBox[{"Psi", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"PsiHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Ks", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"KsHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RpInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RmInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Tinf", "[", 
                   RowBox[{"[", 
                    RowBox[{"kn", "+", "1"}], "]"}], "]"}], "-", "tempin"}], 
                 ",", 
                 RowBox[{"tempfin", "-", "tempin"}]}], "]"}]}], ";", " ", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                 SuperscriptBox[
                  SubscriptBox["C", 
                   RowBox[{"+", "\[FilledSmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"k", ",", 
                    RowBox[{
                    SubscriptBox["T", "k"], "-", "x"}]}], ")"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{"y", "-", "x"}]}], ")"}]}], ",", " ", 
                RowBox[{
                 SuperscriptBox[
                  SubscriptBox[
                   OverscriptBox["C", "^"], 
                   RowBox[{"-", "\[FilledSmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"k", ",", 
                    RowBox[{
                    SubscriptBox["T", "k"], "-", "x"}]}], ")"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{"y", "-", "x"}]}], ")"}]}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"CDF", " ", "for", " ", "the", "  ", "case", " ", 
                  SubscriptBox["T", 
                   RowBox[{"k", "-", "1"}]]}], "<", "x"}], ",", 
                RowBox[{"y", "<", 
                 SubscriptBox["T", "k"]}], ",", 
                RowBox[{"x", "<", "y"}]}], " ", "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"CDFxy", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Vsxx", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RpInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", 
                 RowBox[{"FCDFsy", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                  "]"}]}], "+", 
                RowBox[{
                 RowBox[{"VsxTkred", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RmInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", 
                 RowBox[{"FCDFsy", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                  "]"}]}]}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "CDFxy", "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"tempin", ">", "tempfin"}], ",", " ", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", "-", "1"}]], "<", "x"}], ",", 
            RowBox[{"y", "<", 
             SubscriptBox["T", "k"]}], ",", 
            RowBox[{"y", "<", "x"}]}], "*)"}], "  ", 
          RowBox[{"(*", 
           RowBox[{"V", 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
                SuperscriptBox[
                 SubscriptBox["F", 
                  RowBox[{"+", "\[FilledSmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"k", ",", 
                   RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{"y", "-", 
                   SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
               RowBox[{
                SuperscriptBox[
                 SubscriptBox[
                  OverscriptBox["F", "^"], 
                  RowBox[{"-", "\[FilledSmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"k", ",", 
                   RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{"y", "-", 
                   SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Fsypo", ",", "Fsymo"}], "}"}], "=", 
               RowBox[{"FAll", "[", 
                RowBox[{
                 RowBox[{"Psi", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"PsiHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Ks", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"KsHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RpInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RmInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"tempin", "-", 
                  RowBox[{"Tinf", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
                 RowBox[{"tempfin", "-", 
                  RowBox[{"Tinf", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                SubscriptBox["V", "\[FilledSmallCircle]\[FilledSmallCircle]"], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{
                   SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Vsxyred", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Vsxx", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RmInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", "Fsymo"}], 
                "+", 
                RowBox[{
                 RowBox[{"VsxTkm1red", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RpInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", "Fsypo"}]}]}],
               ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}],
                 ",", " ", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{
                   SubscriptBox["V", "\[FilledSmallCircle]0"], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", 
                  RowBox[{
                   SubscriptBox["V", 
                    RowBox[{"0", "\[FilledSmallCircle]"}]], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", "  ", 
                  RowBox[{"if", " ", "available"}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], 
                    "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                    "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                    ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{";;", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                   "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "Vsxyred", "]"}], ";"}]}], " ", 
            RowBox[{"(*", " ", 
             RowBox[{"Return", " ", "V", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"FCDFsy", "=", 
               RowBox[{"FCDFAll", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Dimensions", "[", 
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", 
                   RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", 
                 RowBox[{"Psi", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"PsiHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Ks", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"KsHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RpInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RmInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"tempin", "-", 
                  RowBox[{"Tinf", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
                 RowBox[{"tempfin", "-", 
                  RowBox[{"Tinf", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], ";", " ", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                 SuperscriptBox[
                  SubscriptBox["C", 
                   RowBox[{"+", "\[FilledSmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"k", ",", 
                    RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{"y", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
                RowBox[{
                 SuperscriptBox[
                  SubscriptBox[
                   OverscriptBox["C", "^"], 
                   RowBox[{"-", "\[FilledSmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"k", ",", 
                    RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{"y", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"CDF", " ", "for", " ", "the", "  ", "case", " ", 
                  SubscriptBox["T", 
                   RowBox[{"k", "-", "1"}]]}], "<", "x"}], ",", 
                RowBox[{"y", "<", 
                 SubscriptBox["T", "k"]}], ",", 
                RowBox[{"y", "<", "x"}]}], " ", "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"CDFxy", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Vsxx", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RmInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", 
                 RowBox[{"FCDFsy", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                  "]"}]}], "+", 
                RowBox[{
                 RowBox[{"VsxTkm1red", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RpInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", 
                 RowBox[{"FCDFsy", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                  "]"}]}]}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "CDFxy", "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.78318028555481*^9, 3.7831803379405994`*^9}, 
   3.7831803860010595`*^9, {3.7831804412372694`*^9, 3.7831805064038825`*^9}, {
   3.7831808929107895`*^9, 3.7831808942083645`*^9}, {3.7831809941060486`*^9, 
   3.783180996547512*^9}, {3.7831810437751613`*^9, 3.7831811429049463`*^9}, {
   3.783181223344114*^9, 3.783181241724893*^9}, {3.7831812897299724`*^9, 
   3.783181290789138*^9}, {3.7831814316195955`*^9, 3.7831814393598547`*^9}, {
   3.7831833933236327`*^9, 3.7831834364682136`*^9}, {3.783185301256265*^9, 
   3.783185318395431*^9}, {3.783185361066245*^9, 3.783185490424644*^9}, {
   3.783185733987996*^9, 3.783185756383246*^9}, {3.7831858093325815`*^9, 
   3.7831858138724833`*^9}, 3.783185883143669*^9, 3.783185963454754*^9, {
   3.7831860391193166`*^9, 3.78318613807157*^9}, 3.7831861755213737`*^9, {
   3.7831873049186163`*^9, 3.783187440324338*^9}, {3.7831880094481287`*^9, 
   3.7831881096619825`*^9}, {3.7831881449350386`*^9, 
   3.7831881483648605`*^9}, {3.78318820807913*^9, 3.7831882112655773`*^9}, {
   3.7831882799756017`*^9, 3.783188280085266*^9}, {3.7831885275809927`*^9, 
   3.7831885751403613`*^9}, {3.7831886179094763`*^9, 3.783188627546661*^9}, {
   3.7831888355252056`*^9, 3.7831889445704246`*^9}, {3.7831889943068714`*^9, 
   3.7831890136521115`*^9}, {3.783189132330594*^9, 3.7831892244970036`*^9}, {
   3.7831892755703554`*^9, 3.7831892952756367`*^9}, {3.7831893467947984`*^9, 
   3.7831893639220057`*^9}, {3.783189425998934*^9, 3.7831894371191373`*^9}, {
   3.7831894800403013`*^9, 3.7831894844694724`*^9}, {3.7831895173614483`*^9, 
   3.783189525154601*^9}, {3.7831895629574614`*^9, 3.7831896402217736`*^9}, {
   3.783189733878441*^9, 3.783189744810198*^9}, 3.783189842628431*^9, {
   3.7831899755098686`*^9, 3.783189976657797*^9}, {3.783190011154542*^9, 
   3.783190019542198*^9}, {3.783190217418767*^9, 3.783190268842186*^9}, {
   3.7831903487056446`*^9, 3.7831903516996326`*^9}, 3.7831904486362834`*^9, {
   3.7831904991721253`*^9, 3.783190519314234*^9}, 3.783190569475978*^9, {
   3.7831906062406473`*^9, 3.7831906466165876`*^9}, {3.7831906773284206`*^9, 
   3.783190798769543*^9}, {3.7832467724820194`*^9, 3.7832467846673884`*^9}, {
   3.783427448758055*^9, 3.783427506352962*^9}, {3.7844598584171047`*^9, 
   3.784459884657895*^9}, {3.784459926380267*^9, 3.784459928183487*^9}, {
   3.7844599920126715`*^9, 3.784460119187496*^9}, {3.7844601545509305`*^9, 
   3.7844602737070856`*^9}, {3.7844606740060945`*^9, 
   3.7844607011604385`*^9}, {3.784460740728577*^9, 3.784460743580945*^9}, {
   3.784460791502735*^9, 3.784460868832837*^9}, {3.784460926212363*^9, 
   3.784460947928217*^9}, {3.7844610027934732`*^9, 3.784461031661392*^9}, {
   3.784461091794467*^9, 3.784461112348486*^9}, {3.78446145947375*^9, 
   3.784461459732098*^9}, {3.784461490425938*^9, 3.784461695561138*^9}, {
   3.784461772133271*^9, 3.7844618316121345`*^9}, {3.784461863142743*^9, 
   3.784461927893504*^9}, {3.784461994813507*^9, 3.7844620359523945`*^9}, {
   3.7844621481791754`*^9, 3.784462208349151*^9}, {3.784462246454245*^9, 
   3.7844623899852448`*^9}, {3.784462420192418*^9, 3.784462472442623*^9}, {
   3.784462585720549*^9, 3.7844626305386367`*^9}, {3.7844628134731855`*^9, 
   3.784462896299589*^9}, {3.7844629503194776`*^9, 3.78446300429208*^9}, {
   3.784463044363864*^9, 3.7844631055322247`*^9}, {3.7844631488692684`*^9, 
   3.7844632139990206`*^9}, {3.784470695833564*^9, 3.7844707366413403`*^9}, {
   3.7844708573673763`*^9, 3.784470860529879*^9}, {3.784470960891412*^9, 
   3.7844709811611843`*^9}, {3.784471346626294*^9, 3.7844713566794434`*^9}, {
   3.7844714591537437`*^9, 3.7844714632169228`*^9}, {3.784471555996893*^9, 
   3.784471592229993*^9}, {3.78447196379276*^9, 3.784472025733087*^9}, {
   3.785335405042945*^9, 3.7853354713567314`*^9}, {3.785335535786787*^9, 
   3.7853355382006474`*^9}, {3.78533571194743*^9, 3.7853357497572813`*^9}, {
   3.785336023783286*^9, 3.7853360264235153`*^9}, {3.785355684465459*^9, 
   3.7853557385656505`*^9}, {3.7853557910951557`*^9, 3.785355810034004*^9}, {
   3.7853560508932347`*^9, 3.7853560614778566`*^9}, {3.785356242283243*^9, 
   3.7853562703562517`*^9}, {3.785402088262686*^9, 3.785402101215339*^9}, {
   3.7854023097525587`*^9, 3.7854023569432955`*^9}, {3.7854028765261707`*^9, 
   3.7854028769629974`*^9}, {3.7854030248178897`*^9, 3.7854030259208965`*^9}, 
   3.7854030697230434`*^9, {3.785403116915538*^9, 3.7854031562839775`*^9}, {
   3.7854031993428335`*^9, 3.7854032745520153`*^9}, {3.785403381144946*^9, 
   3.785403389294793*^9}, {3.785403513595463*^9, 3.78540359549704*^9}, {
   3.7854037564875135`*^9, 3.785403789270423*^9}, {3.7854038412877893`*^9, 
   3.7854038524812856`*^9}, {3.7854039252255154`*^9, 3.785403960810792*^9}, {
   3.785404062924773*^9, 3.7854040807623158`*^9}, 3.7854041157923555`*^9, {
   3.7854049949206953`*^9, 3.785404995103207*^9}, {3.7854051130584116`*^9, 
   3.7854051520587287`*^9}, {3.785405188590105*^9, 3.7854051934793205`*^9}, {
   3.785405276320922*^9, 3.785405278312801*^9}, 3.7854053652941523`*^9, 
   3.7854054634414935`*^9, 3.785405647752536*^9, {3.785405802843746*^9, 
   3.785405869982671*^9}, 3.785406070617902*^9, {3.7854061067720146`*^9, 
   3.7854061100888295`*^9}, {3.7854063375888577`*^9, 3.785406343364894*^9}, {
   3.7854063902444544`*^9, 3.7854064034191275`*^9}, 3.7854064418702483`*^9, 
   3.7854065591187334`*^9, {3.785406985681816*^9, 3.785407009948358*^9}, {
   3.7854071095208693`*^9, 3.785407145664009*^9}, {3.785407573361028*^9, 
   3.785407624051366*^9}, 3.78540768029883*^9, {3.7854077326357746`*^9, 
   3.7854077577076807`*^9}, {3.785407799418047*^9, 3.785407869125501*^9}, {
   3.785407957364309*^9, 3.78540799278755*^9}, {3.7854086794238815`*^9, 
   3.785408699612856*^9}, {3.785438074053286*^9, 3.7854381767227573`*^9}, {
   3.7854383224179263`*^9, 3.7854383270928974`*^9}, 3.785438421049305*^9, 
   3.785438609493002*^9, {3.7854386441708717`*^9, 3.785438654749479*^9}, {
   3.785438728494138*^9, 3.785438796744766*^9}, {3.785438900656845*^9, 
   3.7854389092662215`*^9}, 3.7854390040720887`*^9, {3.785439062545212*^9, 
   3.785439064066669*^9}, 3.7854391266438255`*^9, {3.7854391786073656`*^9, 
   3.785439185916994*^9}, 3.7854392221516356`*^9, {3.785439726118287*^9, 
   3.7854397275242085`*^9}, {3.7854397747806654`*^9, 3.7854399540197625`*^9}, 
   3.785439984153879*^9, {3.78549183720481*^9, 3.7854918469537635`*^9}, {
   3.7854920529212837`*^9, 3.7854920672708826`*^9}, {3.7854922193221645`*^9, 
   3.7854922199414587`*^9}, {3.785492263284464*^9, 3.7854922786563244`*^9}, {
   3.7854926329890795`*^9, 3.7854926357805824`*^9}, {3.785492688030792*^9, 
   3.7854927264429445`*^9}, {3.78549276411353*^9, 3.7854927978652043`*^9}, {
   3.785492876803812*^9, 3.7854928843416386`*^9}, {3.7854929189320908`*^9, 
   3.785493005567246*^9}, 3.7854931983413043`*^9, {3.785493296705105*^9, 
   3.7854933295541477`*^9}, {3.785494194106128*^9, 3.785494223623087*^9}, {
   3.7854945359072256`*^9, 3.7854945389620614`*^9}, {3.7854970727519207`*^9, 
   3.78549720339433*^9}, {3.785497242625343*^9, 3.785497248015913*^9}, {
   3.7854973329147034`*^9, 3.785497364309642*^9}, {3.785500863129659*^9, 
   3.785500865849347*^9}, {3.785500900274263*^9, 3.785500906174473*^9}, {
   3.7855009707416306`*^9, 3.7855010037333384`*^9}, {3.785501045456674*^9, 
   3.7855010514067965`*^9}, {3.7855013469857607`*^9, 3.785501354980348*^9}, {
   3.785501407194612*^9, 3.7855014120994573`*^9}, {3.7860313936620026`*^9, 
   3.786031428671147*^9}, 3.7862795761394553`*^9, {3.786288756269376*^9, 
   3.78628876141162*^9}, 3.7862888493842974`*^9, {3.786289383589282*^9, 
   3.7862893958783455`*^9}, {3.7862941186201115`*^9, 3.786294123337475*^9}, {
   3.786294159145089*^9, 3.7862941914729495`*^9}, {3.7862942657977376`*^9, 
   3.7862945591788673`*^9}, {3.7862946327360706`*^9, 3.786294757596344*^9}, {
   3.786294791542413*^9, 3.7862948215926332`*^9}, {3.7862948962983856`*^9, 
   3.786295140796071*^9}, {3.786295182128004*^9, 3.78629533980542*^9}, {
   3.7862953710270615`*^9, 3.786295588731995*^9}, {3.786296522905588*^9, 
   3.786296533650528*^9}, {3.7862966136324415`*^9, 3.7862966153477316`*^9}, {
   3.786296720854762*^9, 3.786296722797488*^9}, {3.786297215425604*^9, 
   3.7862972249863667`*^9}, {3.786297293713087*^9, 3.7862973016782455`*^9}, {
   3.7862986708909883`*^9, 3.7862986724563475`*^9}, {3.7862987787489443`*^9, 
   3.7862987828810997`*^9}, {3.7862989303607416`*^9, 
   3.7862989304903936`*^9}, {3.786299055314046*^9, 3.7862990578174706`*^9}, {
   3.7862991524698544`*^9, 3.7862991525695558`*^9}, {3.7862992052943726`*^9, 
   3.786299205376086*^9}, {3.7862992809635324`*^9, 3.786299283778801*^9}, {
   3.7863492907873335`*^9, 3.786349302423194*^9}, {3.786349360853177*^9, 
   3.786349369379365*^9}, {3.786349443289405*^9, 3.78634945419421*^9}, {
   3.78634981157941*^9, 3.7863498240829377`*^9}, {3.786349970813178*^9, 
   3.7863499972702017`*^9}, {3.7863511247566423`*^9, 3.786351146413224*^9}, {
   3.786351856891218*^9, 3.786351881431534*^9}, {3.7863521964335265`*^9, 
   3.7863522022340016`*^9}, {3.7863522456887045`*^9, 3.786352252650077*^9}, {
   3.7863545380785103`*^9, 3.786354630905075*^9}, {3.7863546951046133`*^9, 
   3.7863547010077934`*^9}, {3.7863547507616787`*^9, 
   3.7863547722152615`*^9}, {3.786354821225754*^9, 3.786354858763302*^9}, {
   3.786354986966326*^9, 3.7863550542622175`*^9}, {3.7863552580107045`*^9, 
   3.7863552825829425`*^9}, {3.786355361254936*^9, 3.7863553736028805`*^9}, {
   3.7863556059289813`*^9, 3.786355613950513*^9}, {3.78635566278041*^9, 
   3.786355664880782*^9}, {3.7863558229627295`*^9, 3.7863558242821856`*^9}, {
   3.7863559582306757`*^9, 3.786355959310754*^9}, {3.786356299982514*^9, 
   3.7863563028618107`*^9}, {3.786356360246237*^9, 3.7863563620174923`*^9}, {
   3.7863564174591303`*^9, 3.786356420678477*^9}, {3.7863613122085557`*^9, 
   3.7863613172787123`*^9}, {3.786361393207981*^9, 3.786361425693282*^9}, {
   3.786378084858532*^9, 3.786378099581092*^9}, {3.786378232052734*^9, 
   3.786378238438613*^9}, 3.7865338667207294`*^9, {3.7865343052819085`*^9, 
   3.7865343089271593`*^9}, {3.7865343676836886`*^9, 3.786534373604889*^9}, {
   3.786535584387744*^9, 3.7865355907277746`*^9}, {3.7865356691913395`*^9, 
   3.786535669288083*^9}, {3.786535718043688*^9, 3.786535722620486*^9}, {
   3.786535778793815*^9, 3.7865357789114833`*^9}, {3.7865366507780533`*^9, 
   3.7865367001070256`*^9}, 3.78653704140209*^9, {3.786537183718815*^9, 
   3.786537195193153*^9}, {3.7865511866602297`*^9, 3.786551192141244*^9}, {
   3.786551239096855*^9, 3.786551242185438*^9}, {3.7865513070898795`*^9, 
   3.786551313702112*^9}, {3.786551375145247*^9, 3.7865514068939447`*^9}, {
   3.7865514423594494`*^9, 3.7865514693330207`*^9}, {3.786551512290428*^9, 
   3.7865515239195623`*^9}, {3.7865515964257393`*^9, 
   3.7865516008980074`*^9}, {3.786551675642714*^9, 3.786551679945892*^9}, {
   3.7865522685480547`*^9, 3.78655231369773*^9}, {3.786552358072673*^9, 
   3.78655236585603*^9}, {3.7865525499451103`*^9, 3.786552553452175*^9}, {
   3.786552714863659*^9, 3.7865527200236263`*^9}, {3.788019115790204*^9, 
   3.788019116022993*^9}, {3.7880194905926332`*^9, 3.788019535413092*^9}, {
   3.7880983919054074`*^9, 3.7880984430485535`*^9}, {3.788102709278122*^9, 
   3.7881027607003207`*^9}, {3.788106884034876*^9, 3.788106929080428*^9}, {
   3.788107056188573*^9, 3.788107089754822*^9}, {3.788107194156638*^9, 
   3.788107199941186*^9}, {3.7881087591632833`*^9, 3.7881087600519075`*^9}, {
   3.788108819472494*^9, 3.788108820237445*^9}, 3.7881112890699315`*^9, {
   3.788112073969493*^9, 3.788112074422326*^9}, {3.788583941278806*^9, 
   3.7885840505899997`*^9}, {3.7885841452975187`*^9, 
   3.7885841455727606`*^9}, {3.788586219318008*^9, 3.7885862194046583`*^9}, {
   3.788586841121823*^9, 3.788586847972602*^9}, {3.7885868817674313`*^9, 
   3.7885868819399977`*^9}, 3.7885903520125923`*^9, {3.790660677440036*^9, 
   3.7906607100441437`*^9}, {3.7906812434526253`*^9, 
   3.7906812799191213`*^9}, {3.790681311349161*^9, 3.7906813180283127`*^9}, {
   3.7906813995364714`*^9, 3.7906814390418873`*^9}, {3.7906814879251895`*^9, 
   3.790681533308896*^9}, {3.7906816038704147`*^9, 3.790681639524315*^9}, 
   3.790681803282651*^9, 3.7906818664957027`*^9, {3.7906818966600847`*^9, 
   3.790682021409672*^9}, {3.7906821037919893`*^9, 3.7906821583950095`*^9}, {
   3.790682212103465*^9, 3.7906822376582155`*^9}, {3.790682455504531*^9, 
   3.7906825329605646`*^9}, {3.7906825719433784`*^9, 
   3.7906825809313536`*^9}, {3.790682835431157*^9, 3.790682847844979*^9}, {
   3.790682906876213*^9, 3.790682947197921*^9}, {3.790682977804167*^9, 
   3.790682988359932*^9}, 3.790683026362376*^9, {3.790683314211062*^9, 
   3.7906833399661818`*^9}, 3.7906833730085306`*^9, {3.7906836521634407`*^9, 
   3.7906836654289827`*^9}, 3.7906837815826483`*^9, {3.7906845190566235`*^9, 
   3.7906845192710524`*^9}, 3.790684570634355*^9, {3.790684752720426*^9, 
   3.7906848066692266`*^9}, 3.7906848541390705`*^9, {3.790687259438343*^9, 
   3.790687301742279*^9}, {3.7906873365981183`*^9, 3.790687347935865*^9}, {
   3.7906874252641935`*^9, 3.7906874458800836`*^9}, {3.7906874815457726`*^9, 
   3.790687508665243*^9}, {3.7907660207019143`*^9, 3.7907660276708803`*^9}, {
   3.7907662119900694`*^9, 3.7907662501094913`*^9}, {3.7907663023992367`*^9, 
   3.7907663388108544`*^9}, {3.7907672868598647`*^9, 
   3.7907672883658075`*^9}, {3.790767464887839*^9, 3.7907675073344297`*^9}, 
   3.7907675544974165`*^9, {3.7907680217184887`*^9, 3.7907680854384584`*^9}, {
   3.7907681581869044`*^9, 3.7907681858293777`*^9}, {3.790769031684045*^9, 
   3.790769037172052*^9}, 3.7907691797652254`*^9, {3.7908653351593037`*^9, 
   3.7908653356709304`*^9}, {3.7908671954318924`*^9, 3.790867212776537*^9}, {
   3.7908673673025393`*^9, 3.790867451540394*^9}, {3.790867523205862*^9, 
   3.7908675324481616`*^9}, {3.79086757983252*^9, 3.790867582512308*^9}, {
   3.7908676186477833`*^9, 3.790867668069645*^9}, {3.7908677296979747`*^9, 
   3.7908677924492188`*^9}, {3.7908680775438557`*^9, 3.790868085526538*^9}, {
   3.7908681496940393`*^9, 3.7908681991996803`*^9}, {3.7908683969741297`*^9, 
   3.790868405000692*^9}, {3.7908684439345856`*^9, 3.790868532051128*^9}, {
   3.790868564128351*^9, 3.790868578162887*^9}, {3.790868764067977*^9, 
   3.790868823306693*^9}, {3.7908688534561167`*^9, 3.7908688568191347`*^9}, {
   3.790868906329795*^9, 3.790868985859249*^9}, {3.790869016842447*^9, 
   3.7908690174218493`*^9}, {3.790869076658579*^9, 3.7908690821957808`*^9}, 
   3.7908692231709967`*^9, {3.7908692697445235`*^9, 3.790869297010654*^9}, {
   3.790869399581511*^9, 3.7908694679607553`*^9}, 3.7908695202510023`*^9, {
   3.7908695588946753`*^9, 3.7908696406990423`*^9}, {3.7908697207159147`*^9, 
   3.7908697268793917`*^9}, {3.7909398865666437`*^9, 3.790939905756512*^9}, 
   3.7909399480745068`*^9, {3.790939999087491*^9, 3.7909400153003883`*^9}, {
   3.79100708869349*^9, 3.7910071489491186`*^9}, {3.791007189525412*^9, 
   3.7910072816444798`*^9}, 3.791008433310195*^9, {3.791008465543249*^9, 
   3.791008473231555*^9}, {3.791008512855486*^9, 3.791008559030324*^9}, {
   3.7910086888494406`*^9, 3.79100870167791*^9}, {3.79100875407041*^9, 
   3.7910088094783087`*^9}, {3.7910088495938015`*^9, 
   3.7910089418837767`*^9}, {3.791008997196287*^9, 3.791009159309758*^9}, 
   3.7910093413459115`*^9, {3.7910288917103896`*^9, 3.7910289145428753`*^9}, {
   3.7911163130615034`*^9, 3.7911164255949745`*^9}, {3.7911164927125907`*^9, 
   3.7911165612662916`*^9}, 3.791116614809188*^9, 3.7911166471497507`*^9, {
   3.7911171261555395`*^9, 3.791117148255473*^9}, 3.7918375588765354`*^9, {
   3.7918406916781006`*^9, 3.7918406959427013`*^9}, {3.791921597243795*^9, 
   3.7919216065445356`*^9}, {3.7919216526622505`*^9, 
   3.7919217510871344`*^9}, {3.791921843509618*^9, 3.791921847957452*^9}, {
   3.791921886437067*^9, 3.791921919264866*^9}, 3.7919219704139805`*^9, {
   3.791922007837479*^9, 3.791922008365069*^9}, {3.7919221190303993`*^9, 
   3.7919221459621162`*^9}, {3.791922215381216*^9, 3.7919222380539055`*^9}, {
   3.791922292847273*^9, 3.791922295657715*^9}, {3.791922376078893*^9, 
   3.7919224482435017`*^9}, {3.7919225092005544`*^9, 
   3.7919225094313745`*^9}, {3.7919225588013763`*^9, 3.791922561629057*^9}, {
   3.791922593515771*^9, 3.7919226220071435`*^9}, {3.791922664810791*^9, 
   3.79192274633832*^9}, {3.7919228508498964`*^9, 3.7919228511821227`*^9}, {
   3.791922904763706*^9, 3.7919229685533175`*^9}, {3.791923133429755*^9, 
   3.791923171898689*^9}, {3.7919233472175136`*^9, 3.791923356980332*^9}, {
   3.791923388569203*^9, 3.791923465388294*^9}, {3.7919243739007072`*^9, 
   3.7919243748597174`*^9}, {3.7919244275936546`*^9, 3.791924463609778*^9}, {
   3.791924509962658*^9, 3.7919245142314157`*^9}, {3.7919245774472694`*^9, 
   3.7919246510266943`*^9}, {3.7919246850108533`*^9, 3.791924758539589*^9}, {
   3.7919248164950724`*^9, 3.7919249370818806`*^9}, {3.791924972460988*^9, 
   3.7919250719103327`*^9}, {3.791925119184148*^9, 3.791925146338056*^9}, {
   3.791925217730013*^9, 3.7919253961565065`*^9}, {3.791925525394041*^9, 
   3.7919255260310307`*^9}, {3.7919255735305767`*^9, 
   3.7919258755912533`*^9}, {3.791925914500242*^9, 3.7919259418634043`*^9}, {
   3.791926054505304*^9, 3.7919261436471806`*^9}, {3.7919262778947787`*^9, 
   3.791926396608241*^9}, {3.792267512858755*^9, 3.7922675178806195`*^9}, {
   3.8077128828359923`*^9, 3.8077129432444396`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"20dec904-c2f1-4c5c-946e-dfa874565e45"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", 
    RowBox[{"==", " ", 
     RowBox[{"example", " ", "description"}]}], " ", "===", 
    RowBox[{"\[Equal]", 
     RowBox[{"===", "===", "\[Equal]"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Tinf", "=", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "2."}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"K", " ", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"KTilda", "=", "K"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QTilda", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "KTilda"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"RTilda", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "KTilda"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "K"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "K"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"size", "[", "n_", "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{"n", ",", "n"}], "}"}]}], "\n", 
   RowBox[{
    RowBox[{"n", "=", "11"}], ";"}], "\n", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Q", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", "#", "}"}], ",", 
         RowBox[{"{", "#2", "}"}]}], "]"}], "&"}], "@@", 
      RowBox[{"size", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", " ", "11"}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{"j", "\[LessEqual]", " ", "11"}], ",", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"i", "\[Equal]", "j"}], ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"30", "+", 
                 RowBox[{"5", 
                  RowBox[{"(", 
                   RowBox[{"i", "-", "1"}], ")"}]}]}], ")"}]}]}], ";"}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "+", "1"}]}], "&&", 
             RowBox[{"j", "\[LessEqual]", " ", "11"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"30", "-", 
               RowBox[{"3", 
                RowBox[{"(", 
                 RowBox[{"i", "-", "1"}], ")"}]}]}]}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "-", "1"}]}], "&&", 
             RowBox[{"j", "\[GreaterEqual]", " ", "1"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"8", 
               RowBox[{"(", 
                RowBox[{"i", "-", "1"}], ")"}]}]}], ";"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Q", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", "#", "}"}], ",", 
         RowBox[{"{", "#2", "}"}]}], "]"}], "&"}], "@@", 
      RowBox[{"size", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", " ", "11"}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{"j", "\[LessEqual]", " ", "11"}], ",", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"i", "\[Equal]", "j"}], ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"30", "+", 
                 RowBox[{"(", 
                  RowBox[{"i", "-", "1"}], ")"}]}], ")"}]}]}], ";"}]}], "]"}],
           ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "+", "1"}]}], "&&", 
             RowBox[{"j", "\[LessEqual]", " ", "11"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"30", "-", 
               RowBox[{"3", 
                RowBox[{"(", 
                 RowBox[{"i", "-", "1"}], ")"}]}]}]}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "-", "1"}]}], "&&", 
             RowBox[{"j", "\[GreaterEqual]", " ", "1"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"4", 
               RowBox[{"(", 
                RowBox[{"i", "-", "1"}], ")"}]}]}], ";"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"R", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"DiagonalMatrix", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "11"}], ",", 
        RowBox[{"-", "7"}], ",", 
        RowBox[{"-", "3"}], ",", "1", ",", "5", ",", "9", ",", "13", ",", 
        "17", ",", "21", ",", "25", ",", "29"}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"R", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "=", 
     RowBox[{"DiagonalMatrix", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "11"}], ",", 
        RowBox[{"-", "9"}], ",", 
        RowBox[{"-", "7"}], ",", 
        RowBox[{"-", "5"}], ",", 
        RowBox[{"-", "3"}], ",", 
        RowBox[{"-", "1"}], ",", "1", ",", "3", ",", "5", ",", "7", ",", 
        "9"}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"QTilda", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", "#", "}"}], ",", 
         RowBox[{"{", "#2", "}"}]}], "]"}], "&"}], "@@", 
      RowBox[{"size", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "4"}], ",", 
      RowBox[{"i", "\[LessEqual]", " ", "6"}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{"j", "\[LessEqual]", " ", "11"}], ",", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"i", "\[Equal]", "j"}], ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"QTilda", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"52", "-", 
                 RowBox[{"3", 
                  RowBox[{"(", 
                   RowBox[{"i", "-", "1"}], ")"}]}]}], ")"}]}]}], ";"}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "+", "1"}]}], "&&", 
             RowBox[{"j", "\[LessEqual]", " ", "11"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"QTilda", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"30", "-", 
               RowBox[{"3", 
                RowBox[{"(", 
                 RowBox[{"i", "-", "1"}], ")"}]}]}]}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "-", "1"}]}], "&&", 
             RowBox[{"j", "\[GreaterEqual]", " ", "1"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"QTilda", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", "22"}], ";"}]}], 
           "]"}], ";"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"QTilda", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "=", 
      RowBox[{"Q", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"QTilda", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"Q", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"QTilda", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "=", 
      RowBox[{"Q", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"prec", "=", "200"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pisource", "=", 
     RowBox[{"UnitVector", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Dimensions", "[", 
         RowBox[{"Q", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"onesum", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"1", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Dimensions", "[", 
           RowBox[{"Q", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "}"}]}], "]"}]}], ";"}],
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7906604169317265`*^9, 3.790660468431179*^9}, {
  3.7906605724012656`*^9, 3.7906605737427454`*^9}, {3.7906608530979986`*^9, 
  3.7906608762293634`*^9}, {3.791013517095055*^9, 3.7910135193103476`*^9}, {
  3.791029387139366*^9, 3.79102938836073*^9}, {3.7911043448494644`*^9, 
  3.791104346250013*^9}, {3.791107810994314*^9, 3.7911078127926054`*^9}, {
  3.7911169051492157`*^9, 3.791116910328374*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"a8aaa884-af41-401e-be52-cdc94e3e345b"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", "Np", ",", 
       "Nm", ",", "Nz", ",", "NpTilda", ",", "NmTilda", ",", "NzTilda", ",", 
       "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", "Sconst", 
       ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", "Sconstm"}], "}"}], 
     "=", 
     RowBox[{"PartitionFluidINF", "[", 
      RowBox[{"Q", ",", "R", ",", "QTilda"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7810031367762733`*^9, 3.781003138286229*^9}, {
   3.781003306168483*^9, 3.781003333062585*^9}, {3.7811964795197024`*^9, 
   3.781196479709238*^9}, {3.781866275017888*^9, 3.781866456341265*^9}, 
   3.781866870364072*^9, {3.7819726590833836`*^9, 3.7819726742523456`*^9}, 
   3.7821911871205883`*^9, {3.7821930539864016`*^9, 3.7821930601499324`*^9}, {
   3.7821953573198256`*^9, 3.7821953837352247`*^9}, {3.7821968358774586`*^9, 
   3.782196883310618*^9}, {3.7821975806494975`*^9, 3.782197587432368*^9}, {
   3.7821976486655273`*^9, 3.782197721793888*^9}, {3.782207149052021*^9, 
   3.782207152660545*^9}, {3.7822071856836467`*^9, 3.7822072880075426`*^9}, {
   3.782207582260992*^9, 3.7822078254130793`*^9}, {3.7822078606059556`*^9, 
   3.782207864624514*^9}, {3.7822078987484455`*^9, 3.7822079090892887`*^9}, {
   3.782214620905985*^9, 3.782214632001299*^9}, {3.7822146741139307`*^9, 
   3.782214734816705*^9}, {3.78221478374844*^9, 3.782214790088502*^9}, {
   3.782215045017437*^9, 3.782215061914472*^9}, {3.78221639265002*^9, 
   3.7822164098553267`*^9}, {3.7822169848375697`*^9, 3.782216988193657*^9}, {
   3.7827238570805497`*^9, 3.782723868056218*^9}, {3.7827239188095646`*^9, 
   3.7827239291928177`*^9}, {3.782723976162284*^9, 3.7827239767726526`*^9}, {
   3.7827240676537223`*^9, 3.782724071414671*^9}, {3.7827241051475163`*^9, 
   3.7827242152781687`*^9}, {3.782724250742426*^9, 3.7827242607037582`*^9}, {
   3.7827244132758965`*^9, 3.782724423242258*^9}, {3.7827251423685155`*^9, 
   3.7827251471876173`*^9}, {3.782726249721215*^9, 3.7827262853912444`*^9}, {
   3.7827264188425283`*^9, 3.7827264385872073`*^9}, {3.7827264774019737`*^9, 
   3.7827264847732277`*^9}, {3.782726523221491*^9, 3.7827266050936155`*^9}, {
   3.782726796571252*^9, 3.782726798592345*^9}, {3.78272752367883*^9, 
   3.7827275662366786`*^9}, {3.7827278836253204`*^9, 3.782727900759821*^9}, {
   3.782729100411786*^9, 3.782729105505454*^9}, {3.782729652384059*^9, 
   3.782729659830886*^9}, {3.7827500092149415`*^9, 3.7827500181580143`*^9}, {
   3.7827500486235113`*^9, 3.7827500591503415`*^9}, 3.7827505654717307`*^9, {
   3.7827506856214094`*^9, 3.782750685748028*^9}, {3.7827510624714966`*^9, 
   3.7827510710645447`*^9}, 3.782752177588058*^9, {3.7827522594215727`*^9, 
   3.7827522600708055`*^9}, 3.7827523523694735`*^9, {3.782753676100868*^9, 
   3.7827537365960484`*^9}, 3.782815981331373*^9, {3.7828871457151065`*^9, 
   3.782887181275462*^9}, {3.7829165515118723`*^9, 3.7829165965282726`*^9}, {
   3.7830022305497246`*^9, 3.783002270265643*^9}, {3.7830034709942913`*^9, 
   3.7830035190049963`*^9}, {3.7830036325739083`*^9, 3.783003666400345*^9}, {
   3.78300374562687*^9, 3.783003758334648*^9}, {3.783151484523357*^9, 
   3.783151505732647*^9}, {3.7831552874596915`*^9, 3.7831553010343733`*^9}, {
   3.7831564600661745`*^9, 3.7831564902085657`*^9}, {3.783156607664323*^9, 
   3.7831566079854608`*^9}, {3.783156871472767*^9, 3.7831568718469415`*^9}, {
   3.7831570882474356`*^9, 3.7831570885972943`*^9}, {3.7832485787913895`*^9, 
   3.7832485812200212`*^9}, {3.7833644718276424`*^9, 3.7833644731650143`*^9}, 
   3.7833645082740803`*^9, {3.783422201506277*^9, 3.783422223805617*^9}, {
   3.7834235472636576`*^9, 3.783423547277624*^9}, {3.783428921117791*^9, 
   3.7834289990502834`*^9}, {3.783429190179925*^9, 3.7834292262065334`*^9}, {
   3.7834293768285956`*^9, 3.783429391055484*^9}, 3.7834294223930073`*^9, {
   3.783429456268551*^9, 3.7834294754442673`*^9}, 3.7834295286240296`*^9, {
   3.7834296528696127`*^9, 3.7834297594973335`*^9}, {3.7834297905263186`*^9, 
   3.783429832764309*^9}, {3.7834298708349285`*^9, 3.783429893775547*^9}, {
   3.783429934744934*^9, 3.783429936897176*^9}, {3.7834299987357283`*^9, 
   3.7834300170078416`*^9}, 3.783430048365944*^9, {3.7834301993185835`*^9, 
   3.783430210118688*^9}, {3.783430251325447*^9, 3.783430253103684*^9}, {
   3.7834303622197447`*^9, 3.7834304947782035`*^9}, {3.7834305818283024`*^9, 
   3.7834306042243824`*^9}, {3.7834309583798475`*^9, 3.783431058258625*^9}, {
   3.7834311032835884`*^9, 3.7834311282827034`*^9}, {3.783431161536745*^9, 
   3.7834312257000637`*^9}, {3.783431506359168*^9, 3.7834316121431456`*^9}, 
   3.783435086757276*^9, {3.783435179124151*^9, 3.7834352912541513`*^9}, 
   3.783435323153802*^9, 3.783436030087418*^9, {3.783436103356308*^9, 
   3.7834361102428837`*^9}, {3.7834361909023724`*^9, 
   3.7834362490607724`*^9}, {3.7834363086742773`*^9, 3.783436339626466*^9}, {
   3.7834364111032305`*^9, 3.7834364364414387`*^9}, {3.7834364686323156`*^9, 
   3.7834364834777756`*^9}, {3.7834367011224723`*^9, 3.7834367381264687`*^9}, 
   3.783436829092143*^9, {3.7834368612590294`*^9, 3.783436862656336*^9}, 
   3.783436897868082*^9, {3.7834369542388916`*^9, 3.7834369683680406`*^9}, {
   3.783437074008404*^9, 3.783437074859126*^9}, {3.78343712703852*^9, 
   3.783437178636874*^9}, {3.78343746919051*^9, 3.783437469599411*^9}, {
   3.7835219051673746`*^9, 3.783521913617766*^9}, {3.7835224325563087`*^9, 
   3.783522523006645*^9}, {3.7835227208142624`*^9, 3.7835227236635942`*^9}, {
   3.78352276653559*^9, 3.7835228574943113`*^9}, {3.7835260703622265`*^9, 
   3.7835260899998107`*^9}, {3.7835261464118776`*^9, 3.783526148462431*^9}, {
   3.7835262192001743`*^9, 3.7835262196250024`*^9}, {3.783526256142294*^9, 
   3.7835262814605565`*^9}, {3.7835263595179987`*^9, 
   3.7835263733400154`*^9}, {3.7835264406888647`*^9, 
   3.7835264646527166`*^9}, {3.7835265398944035`*^9, 
   3.7835267463594685`*^9}, {3.78352688971496*^9, 3.783526896500774*^9}, {
   3.7835269273233433`*^9, 3.7835269445292754`*^9}, {3.7835272396119413`*^9, 
   3.7835272579229455`*^9}, {3.783527329781705*^9, 3.7835273301766124`*^9}, {
   3.7835276173254027`*^9, 3.783527631437643*^9}, {3.783535191856826*^9, 
   3.783535197032117*^9}, {3.783539569227995*^9, 3.783539606566398*^9}, {
   3.783547671600403*^9, 3.7835476728649845`*^9}, {3.783548430678669*^9, 
   3.78354845321537*^9}, {3.783548484755983*^9, 3.783548489457405*^9}, {
   3.783548530622277*^9, 3.783548588638569*^9}, {3.7835486248955655`*^9, 
   3.7835486298503075`*^9}, {3.7835496078306093`*^9, 3.783549628928159*^9}, {
   3.7835811463949833`*^9, 3.7835812318742895`*^9}, 3.7835852279656687`*^9, {
   3.783587440887005*^9, 3.7835874421401806`*^9}, 3.7835913321611834`*^9, 
   3.7836177112729397`*^9, 3.7836212737722473`*^9, {3.7836216468438654`*^9, 
   3.7836216633157897`*^9}, {3.7836217194247165`*^9, 3.783621836222146*^9}, {
   3.7836219874966135`*^9, 3.783621997730235*^9}, {3.783623931090006*^9, 
   3.783623931663139*^9}, {3.783624684208966*^9, 3.7836246856312003`*^9}, {
   3.783626003434381*^9, 3.7836260431226068`*^9}, {3.783667699874093*^9, 
   3.7836677145868506`*^9}, {3.783670821191825*^9, 3.7836708231023006`*^9}, 
   3.7836724506294622`*^9, {3.783672531192296*^9, 3.7836725392983613`*^9}, {
   3.7836725800493774`*^9, 3.7836725915663815`*^9}, 3.78367600148487*^9, {
   3.783682615752859*^9, 3.783682625060953*^9}, 3.78368267674572*^9, 
   3.783682744981121*^9, {3.7836852758293324`*^9, 3.7836852930422363`*^9}, {
   3.7836853369099236`*^9, 3.7836853395917015`*^9}, {3.783685580743523*^9, 
   3.783685591142724*^9}, {3.7836856800279045`*^9, 3.783685708611431*^9}, {
   3.7836873755332327`*^9, 3.783687396531059*^9}, {3.7836882180511246`*^9, 
   3.7836882316178284`*^9}, {3.7836902445974813`*^9, 3.783690251397133*^9}, {
   3.7837556160243273`*^9, 3.783755689246791*^9}, {3.783756764771969*^9, 
   3.783756771860304*^9}, 3.7837568999583015`*^9, {3.783756960589755*^9, 
   3.7837569622610917`*^9}, {3.783757142281318*^9, 3.783757148720805*^9}, 
   3.783764359283373*^9, {3.7837755993257046`*^9, 3.7837756123817735`*^9}, {
   3.783775642603948*^9, 3.783775649275089*^9}, {3.7837764331917596`*^9, 
   3.7837764621420746`*^9}, {3.7838402476258955`*^9, 3.783840252218811*^9}, 
   3.7838527208493195`*^9, {3.783866695579239*^9, 3.783866898433731*^9}, 
   3.783867294108545*^9, {3.783867668595273*^9, 3.7838676789455853`*^9}, {
   3.7838678426506686`*^9, 3.7838678557146606`*^9}, {3.783869601899392*^9, 
   3.7838696690816064`*^9}, {3.7838698806926174`*^9, 3.783869915794655*^9}, {
   3.7838702728297086`*^9, 3.7838702769456425`*^9}, {3.7838703812894135`*^9, 
   3.783870383041731*^9}, 3.78387122278856*^9, {3.7838713403543787`*^9, 
   3.783871356221924*^9}, {3.7838723910149727`*^9, 3.783872421225892*^9}, {
   3.783872627976568*^9, 3.7838726330380344`*^9}, {3.783872785959363*^9, 
   3.7838727881345415`*^9}, {3.7838811837413626`*^9, 
   3.7838811849381313`*^9}, {3.783883149927678*^9, 3.7838831595866194`*^9}, {
   3.7838869965804567`*^9, 3.7838870077704782`*^9}, {3.784221333585955*^9, 
   3.784221383437481*^9}, {3.784221470352888*^9, 3.784221481612153*^9}, {
   3.7842215608697*^9, 3.784221563956382*^9}, {3.784227646009576*^9, 
   3.7842276487472506`*^9}, {3.7842719722075276`*^9, 
   3.7842719910448985`*^9}, {3.784306886098194*^9, 3.784306895385748*^9}, {
   3.7843103576972084`*^9, 3.784310394714921*^9}, {3.7843110330427303`*^9, 
   3.784311056176683*^9}, 3.7843111130781493`*^9, {3.784311210045581*^9, 
   3.7843112180904202`*^9}, {3.784311253264699*^9, 3.784311275125428*^9}, 
   3.7843115324559746`*^9, {3.7843121307063494`*^9, 3.784312159396579*^9}, {
   3.784312422691149*^9, 3.7843124232027845`*^9}, 3.7843124978197584`*^9, {
   3.7843148969279923`*^9, 3.784315056060237*^9}, {3.7843153603718834`*^9, 
   3.784315392327345*^9}, 3.78431596461376*^9, {3.7843160365759325`*^9, 
   3.78431608770544*^9}, 3.7843161322053804`*^9, {3.784316481880192*^9, 
   3.784316490805279*^9}, {3.7843179480828614`*^9, 3.7843179779460144`*^9}, 
   3.784318166829325*^9, 3.784318549489912*^9, 3.7843186056975455`*^9, 
   3.7843578170383945`*^9, {3.784357892858366*^9, 3.7843578991226645`*^9}, {
   3.7843579308467093`*^9, 3.784357936688055*^9}, {3.7843591102697024`*^9, 
   3.78435916562656*^9}, 3.7843592736008883`*^9, {3.7843602927349405`*^9, 
   3.784360354809074*^9}, {3.784360741959691*^9, 3.784360784352852*^9}, {
   3.7843638824061794`*^9, 3.784364025995762*^9}, {3.784379160619521*^9, 
   3.784379180987149*^9}, {3.7843837500349636`*^9, 3.7843837617288303`*^9}, {
   3.7844037024589887`*^9, 3.784403704330015*^9}, {3.78440375248415*^9, 
   3.784403794551632*^9}, {3.7844041660791636`*^9, 3.784404174022871*^9}, {
   3.784405224438922*^9, 3.7844052655499706`*^9}, {3.7844053062655525`*^9, 
   3.7844053088556633`*^9}, {3.7844053513542004`*^9, 3.784405351794968*^9}, 
   3.7844058533455305`*^9, {3.78440589060782*^9, 3.7844059241391134`*^9}, 
   3.784405977003704*^9, {3.7844062793576365`*^9, 3.7844063396732244`*^9}, 
   3.7844865213374662`*^9, 3.7848241575702033`*^9, {3.784824201903494*^9, 
   3.784824210007409*^9}, {3.7848242411058044`*^9, 3.784824298801401*^9}, {
   3.7848247571876917`*^9, 3.784824777939172*^9}, {3.784830108903515*^9, 
   3.7848301334079065`*^9}, {3.7848316832252407`*^9, 3.784831685825283*^9}, {
   3.7848317216334777`*^9, 3.7848317219945126`*^9}, {3.784877036922352*^9, 
   3.784877037774066*^9}, {3.784877072993176*^9, 3.784877083625256*^9}, {
   3.784881423072912*^9, 3.784881456840927*^9}, 3.7848821316018195`*^9, {
   3.7848840047114716`*^9, 3.7848840411529727`*^9}, {3.784885346965843*^9, 
   3.784885348767972*^9}, 3.784886122968197*^9, {3.7848861656659603`*^9, 
   3.784886166080849*^9}, {3.784889316696659*^9, 3.784889344222011*^9}, {
   3.7849074603485622`*^9, 3.7849075816859865`*^9}, 3.7849076390864096`*^9, {
   3.7849077421221895`*^9, 3.78490775416486*^9}, {3.7849077890654926`*^9, 
   3.7849078202811766`*^9}, {3.784909351155075*^9, 3.7849093718599005`*^9}, {
   3.784909412363206*^9, 3.7849094278678737`*^9}, {3.784911064993976*^9, 
   3.784911077622864*^9}, {3.784911112648411*^9, 3.784911159325671*^9}, {
   3.7849113038697224`*^9, 3.784911342304468*^9}, 3.78491366633782*^9, {
   3.7849140428150883`*^9, 3.7849140963995867`*^9}, 3.78491451015492*^9, {
   3.7849146500278273`*^9, 3.7849146867122526`*^9}, {3.784915755931309*^9, 
   3.7849157575935583`*^9}, {3.7849168667322497`*^9, 
   3.7849168839924126`*^9}, {3.7849720225082865`*^9, 3.78497202786691*^9}, {
   3.784983876416935*^9, 3.7849838799383044`*^9}, {3.7849861180340023`*^9, 
   3.784986118630372*^9}, {3.7849861924430184`*^9, 3.7849861984698057`*^9}, 
   3.7849868658816533`*^9, 3.784989128662324*^9, 3.7849898940767155`*^9, {
   3.784990163254696*^9, 3.784990174415845*^9}, {3.7849998030280437`*^9, 
   3.784999837615133*^9}, {3.785000371202128*^9, 3.7850003718793974`*^9}, 
   3.7850004876745577`*^9, {3.785000746814109*^9, 3.7850007473097754`*^9}, {
   3.78506165472046*^9, 3.7850616603713417`*^9}, {3.7850864431737413`*^9, 
   3.785086444375434*^9}, {3.785086700062729*^9, 3.78508670018336*^9}, {
   3.785146711876795*^9, 3.785146715998435*^9}, {3.7851498542489905`*^9, 
   3.785149855123653*^9}, 3.7852365145558434`*^9, {3.7853416194353914`*^9, 
   3.7853416260784216`*^9}, 3.7854029094015217`*^9, {3.785402958960055*^9, 
   3.785402959456986*^9}, 3.7854080942031374`*^9, {3.7854082369788575`*^9, 
   3.785408246462436*^9}, 3.785408326107832*^9, {3.7854090684098377`*^9, 
   3.7854090717748356`*^9}, {3.7854096531926403`*^9, 
   3.7854097109889307`*^9}, {3.7854370674925423`*^9, 3.7854370887601905`*^9}, 
   3.7854400341223035`*^9, {3.7854401354415827`*^9, 3.7854401373787823`*^9}, {
   3.7855006215526896`*^9, 3.785500623063681*^9}, 3.7855007983101187`*^9, 
   3.785501634909168*^9, {3.7855017909754457`*^9, 3.785501791422222*^9}, {
   3.785567783811085*^9, 3.7855678119079094`*^9}, {3.78556784660495*^9, 
   3.7855678609461346`*^9}, {3.7855692274013195`*^9, 3.78556935235845*^9}, {
   3.7855776341030207`*^9, 3.785577665011352*^9}, {3.785579587961842*^9, 
   3.785579601738971*^9}, {3.7855801237908416`*^9, 3.7855801529398336`*^9}, {
   3.785580421246816*^9, 3.785580421544033*^9}, {3.7855864577096004`*^9, 
   3.785586565112879*^9}, {3.7856658032998667`*^9, 3.7856658284948916`*^9}, {
   3.786008844457299*^9, 3.7860088462637987`*^9}, {3.786009148040673*^9, 
   3.7860091748503017`*^9}, {3.7860121196945477`*^9, 3.7860121339849143`*^9}, 
   3.786017354533758*^9, 3.7860173936181*^9, {3.7860208404995623`*^9, 
   3.78602086665656*^9}, {3.786022294088931*^9, 3.7860223510912447`*^9}, {
   3.7860225694713707`*^9, 3.7860226008336143`*^9}, {3.7860229386685333`*^9, 
   3.7860229443109474`*^9}, {3.786023195286625*^9, 3.7860232037280927`*^9}, {
   3.786023688620433*^9, 3.7860237142113113`*^9}, {3.786024143612413*^9, 
   3.786024145405501*^9}, {3.7860243421904383`*^9, 3.7860243708893538`*^9}, {
   3.7860255576370015`*^9, 3.78602556903594*^9}, {3.786025857583439*^9, 
   3.7860258697902594`*^9}, {3.786027327756446*^9, 3.7860273356143894`*^9}, {
   3.7860273696133757`*^9, 3.786027372865465*^9}, {3.786027477738578*^9, 
   3.7860275348172755`*^9}, 3.786027575266094*^9, 3.7860286928959904`*^9, {
   3.7860292401359987`*^9, 3.7860292416946545`*^9}, {3.7860315263914757`*^9, 
   3.786031528686527*^9}, 3.7860316653887296`*^9, {3.7860319841459007`*^9, 
   3.786031984506089*^9}, {3.786037372436232*^9, 3.786037374233425*^9}, {
   3.786037525428788*^9, 3.7860375304583654`*^9}, {3.786040748242282*^9, 
   3.786040759324623*^9}, {3.7860408364222918`*^9, 3.7860408895271697`*^9}, {
   3.786040921428796*^9, 3.7860409239211245`*^9}, 3.7860415222833366`*^9, {
   3.786041596608425*^9, 3.7860416179360647`*^9}, {3.7860443472645473`*^9, 
   3.786044360034371*^9}, 3.7860443928455606`*^9, 3.7860445017122087`*^9, {
   3.786044540386191*^9, 3.786044580851901*^9}, {3.786045281214905*^9, 
   3.786045281764473*^9}, {3.7861005355790067`*^9, 3.786100536879548*^9}, {
   3.786100580998499*^9, 3.786100581543478*^9}, {3.7861015988798475`*^9, 
   3.786101641365675*^9}, 3.786101689873077*^9, 3.7861019434441767`*^9, 
   3.7861029544282064`*^9, {3.7861029864774685`*^9, 3.786103007312435*^9}, {
   3.7861032095228987`*^9, 3.78610322024043*^9}, {3.78610385296951*^9, 
   3.786103853116089*^9}, {3.786104042080883*^9, 3.7861040484298506`*^9}, 
   3.786104152070092*^9, {3.7861129150516148`*^9, 3.7861129422063913`*^9}, 
   3.7861129926489487`*^9, 3.7861131026465335`*^9, {3.7861131474456635`*^9, 
   3.7861131523166027`*^9}, {3.786113215235214*^9, 3.7861132214266768`*^9}, {
   3.7861133175005293`*^9, 3.7861133220274167`*^9}, {3.786113457943671*^9, 
   3.786113473325509*^9}, {3.786113535230837*^9, 3.7861135547735357`*^9}, {
   3.786113586945433*^9, 3.7861136613034515`*^9}, {3.7861197266592417`*^9, 
   3.7861198737096815`*^9}, {3.786119950790393*^9, 3.7861199886051908`*^9}, {
   3.7861200570579953`*^9, 3.7861200586118855`*^9}, {3.7861201100213175`*^9, 
   3.7861201953803325`*^9}, {3.786120247376182*^9, 3.786120274793806*^9}, {
   3.786120321446949*^9, 3.7861203359900312`*^9}, {3.78612037095251*^9, 
   3.7861203710950785`*^9}, {3.786120435802915*^9, 3.786120440457451*^9}, {
   3.7861212932729173`*^9, 3.786121327331767*^9}, {3.786122119455889*^9, 
   3.7861222247676163`*^9}, {3.7861223116168647`*^9, 3.786122392403663*^9}, {
   3.786122482077623*^9, 3.7861225637549815`*^9}, {3.786122903980468*^9, 
   3.786122916870965*^9}, {3.7861922299852734`*^9, 3.786192397084046*^9}, {
   3.786192575254964*^9, 3.7861925777093573`*^9}, {3.786194949796133*^9, 
   3.7861949543190384`*^9}, {3.7861950290998616`*^9, 3.7861950421020637`*^9}, 
   3.7861950860733852`*^9, {3.7861988626511087`*^9, 3.7861988674944673`*^9}, {
   3.786199702905651*^9, 3.7861997240852747`*^9}, {3.786199802908393*^9, 
   3.7861998674521294`*^9}, {3.7862000118099833`*^9, 3.7862000778367996`*^9}, 
   3.7862001106469817`*^9, {3.7862042464676466`*^9, 3.786204278329793*^9}, {
   3.786204319428734*^9, 3.786204351918928*^9}, {3.7862043826847076`*^9, 
   3.786204389249175*^9}, {3.786206240989972*^9, 3.7862062420018883`*^9}, 
   3.786207986173559*^9, {3.786208334842446*^9, 3.7862084501808014`*^9}, {
   3.7862087513066864`*^9, 3.7862087831345134`*^9}, 3.786208867752061*^9, {
   3.7862090261002846`*^9, 3.786209061542432*^9}, {3.786209100086319*^9, 
   3.7862091005021667`*^9}, {3.786209197194398*^9, 3.786209338745575*^9}, {
   3.7862093729929533`*^9, 3.786209459115283*^9}, {3.786209510716177*^9, 
   3.786209511943903*^9}, {3.7862145260646825`*^9, 3.786214575204218*^9}, {
   3.786216110619211*^9, 3.7862161462498927`*^9}, 3.7862664650414295`*^9, 
   3.7862665969438334`*^9, {3.78627365425134*^9, 3.7862736607675924`*^9}, {
   3.7862795088379965`*^9, 3.786279516470531*^9}, 3.786279584939859*^9, {
   3.786281381226908*^9, 3.7862813825035315`*^9}, {3.7862814828834524`*^9, 
   3.786281543383073*^9}, {3.7862816903637667`*^9, 3.7862817111920195`*^9}, 
   3.7862824703132567`*^9, {3.786288764053545*^9, 3.7862887670734696`*^9}, {
   3.7862890816468334`*^9, 3.7862890826072607`*^9}, {3.7862891150903225`*^9, 
   3.786289119088581*^9}, 3.7862894018683643`*^9, {3.7862940892724223`*^9, 
   3.7862940920298624`*^9}, {3.7862962178791037`*^9, 3.786296227565857*^9}, 
   3.788019563963812*^9, {3.788098490538291*^9, 3.7880984909645605`*^9}, {
   3.7880985425415993`*^9, 3.788098582284389*^9}, {3.7880986256771164`*^9, 
   3.788098652031925*^9}, 3.7880987080393734`*^9, {3.7881028008478465`*^9, 
   3.7881028151378627`*^9}, {3.788102879793439*^9, 3.7881029019597926`*^9}, {
   3.788103236937838*^9, 3.788103260001774*^9}, {3.788103679979932*^9, 
   3.7881036860763297`*^9}, {3.788106972380642*^9, 3.7881069727566385`*^9}, {
   3.78810701013369*^9, 3.788107052765691*^9}, {3.788108820262376*^9, 
   3.7881088202723565`*^9}, {3.78858406935772*^9, 3.7885840724780693`*^9}, 
   3.7888683476958866`*^9, {3.7906605295972958`*^9, 3.7906605324209595`*^9}, 
   3.7909389347228208`*^9, 3.7911170380281205`*^9, {3.7911979875999775`*^9, 
   3.7911979980428996`*^9}, {3.791198459847823*^9, 3.7911984602814927`*^9}, {
   3.7911996804282017`*^9, 3.791199680788101*^9}, {3.791199735099697*^9, 
   3.791199740373145*^9}, 3.791924514239395*^9, {3.7919245818328032`*^9, 
   3.7919245981599255`*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"a86c3530-c387-4f74-8dda-8bb44dc3e290"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", "===", "===", "===", "===", "===", 
     RowBox[{"\[Equal]", " ", 
      RowBox[{
      "Comparing", "  ", "Trans", " ", "PDF", " ", "values", " ", "with", " ",
        "the", " ", "finite", " ", "case", " ", "as", " ", 
       RowBox[{
        SubscriptBox["T", "K"], "\[LongRightArrow]", "\[Infinity]"}], " ", 
       "of", " ", "the", " ", "CDF"}]}]}], " ", ",", " ", 
    RowBox[{
     RowBox[{
     "Check", " ", "the", " ", "example", " ", "at", " ", "the", " ", "end", 
      " ", "of", " ", "trans_fluid", "_with", "_example", "_up", 
      RowBox[{"_low", ".", "nb"}]}], "===", "===", "===", "===", "===", "===",
      "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ss", "=", "1."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"comp", "=", "  ", 
    RowBox[{"ss", " ", 
     RowBox[{"TransientFluidPWINF", "[", 
      RowBox[{
      "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", "Sp",
        ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", "Sconst", ",", 
       "Spup", ",", "Spconst", ",", "Sdownm", ",", "Sconstm", ",", "Np", ",", 
       "Nm", ",", "Nz", ",", "Tinf", ",", "1.", ",", "20.", ",", "ss", ",", 
       "\"\<PDF\>\""}], "]"}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.791013395083057*^9, 3.7910134107622423`*^9}, {
   3.791013443798374*^9, 3.791013447761225*^9}, {3.791013480264273*^9, 
   3.7910135036230245`*^9}, {3.7910135593947425`*^9, 
   3.7910135714355373`*^9}, {3.7910136679704275`*^9, 3.791013706171946*^9}, {
   3.7910280789017115`*^9, 3.791028080132331*^9}, {3.7911042978814545`*^9, 
   3.7911043773422656`*^9}, {3.79110466337583*^9, 3.7911047635994763`*^9}, {
   3.7911048530093575`*^9, 3.791104873804702*^9}, {3.791105601151574*^9, 
   3.7911056469921484`*^9}, {3.791105771552566*^9, 3.791105792196949*^9}, {
   3.791106545850556*^9, 3.7911065828678493`*^9}, {3.7911066251172423`*^9, 
   3.7911066308960967`*^9}, {3.7911068005758705`*^9, 
   3.7911068406838512`*^9}, {3.7911074825767317`*^9, 3.791107512577613*^9}, 
   3.7911078620453844`*^9, {3.7911080031458845`*^9, 3.7911080115609303`*^9}, {
   3.791111879797659*^9, 3.7911118800090733`*^9}, {3.7911168042479115`*^9, 
   3.791116889356423*^9}, {3.791116946191554*^9, 3.7911169546728563`*^9}, {
   3.7911170626103754`*^9, 3.791117063531948*^9}, 3.791924514244381*^9, {
   3.791924581834802*^9, 3.7919245981599255`*^9}, {3.7919264333003807`*^9, 
   3.791926470333028*^9}, {3.7924744555214524`*^9, 3.7924744936845894`*^9}, {
   3.792474543458639*^9, 3.7924745446614466`*^9}, {3.7924745955111804`*^9, 
   3.792474616225066*^9}, {3.7924747674699755`*^9, 3.7924747751869173`*^9}, 
   3.807712992553485*^9, {3.807713167220224*^9, 
   3.807713210351081*^9}},ExpressionUUID->"2103c963-12ec-4f07-9dd2-\
a1f3b8bad8b4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "2.791339649878648`*^-23", ",", "3.912033368962992`*^-22", ",", 
     "2.4672032607158255`*^-21", ",", "9.220692278805227`*^-21", ",", 
     "2.2614731887639994`*^-20", ",", "3.803317268614527`*^-20", ",", 
     "4.4419245278338085`*^-20", ",", "3.557320478933371`*^-20", ",", 
     "1.8695803131152124`*^-20", ",", "5.822660632328719`*^-21", ",", 
     "8.160398069366927`*^-22"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3.243243101416936`*^-23", ",", "4.5453713370043195`*^-22", ",", 
     "2.86663070739451`*^-21", ",", "1.0713474666124404`*^-20", ",", 
     "2.627594000900988`*^-20", ",", "4.4190546623268255`*^-20", ",", 
     "5.161049133715412`*^-20", ",", "4.13323226477703`*^-20", ",", 
     "2.172255695690575`*^-20", ",", "6.765319271881899`*^-21", ",", 
     "9.481524308387543`*^-22"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3.907900776726329`*^-23", ",", "5.476882127839377`*^-22", ",", 
     "3.454106897851814`*^-21", ",", "1.290905265500884`*^-20", ",", 
     "3.1660829348735154`*^-20", ",", "5.324678603265471`*^-20", ",", 
     "6.218734546774389`*^-20", ",", "4.980280870976258`*^-20", ",", 
     "2.617429361594467`*^-20", ",", "8.151777591336994`*^-21", ",", 
     "1.1424631164129904`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "4.837759085694819`*^-23", ",", "6.780068837221152`*^-22", ",", 
     "4.2759880515804545`*^-21", ",", "1.5980673598831066`*^-20", ",", 
     "3.919430753070091`*^-20", ",", "6.591649523131247`*^-20", ",", 
     "7.698439974308716`*^-20", ",", "6.165304701789455`*^-20", ",", 
     "3.240228807913968`*^-20", ",", "1.0091437413641303`*^-20", ",", 
     "1.4143044148956434`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "6.11989744299762`*^-23", ",", "8.576972355434717`*^-22", ",", 
     "5.409241733540593`*^-21", ",", "2.021598880028135`*^-20", ",", 
     "4.958187007419954`*^-20", ",", "8.338616774248396`*^-20", ",", 
     "9.738736939827569`*^-20", ",", "7.799278924689033`*^-20", ",", 
     "4.0989779865054755`*^-20", ",", "1.2765944093109775`*^-20", ",", 
     "1.7891337329992264`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "7.919659294213882`*^-23", ",", "1.1099319794755013`*^-21", ",", 
     "7.000011351285162`*^-21", ",", "2.6161180817999237`*^-20", ",", 
     "6.416308799536073`*^-20", ",", "1.07908677313908`*^-19", ",", 
     "1.260274036252987`*^-19", ",", "1.0092919431967672`*^-19", ",", 
     "5.3044204433114746`*^-20", ",", "1.6520199681138832`*^-20", ",", 
     "2.315288733041013`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.0577184866703442`*^-22", ",", "1.4823814131695921`*^-21", ",", 
     "9.348939314303556`*^-21", ",", "3.4939842177983586`*^-20", ",", 
     "8.569369187905909`*^-20", ",", "1.441185771090607`*^-19", ",", 
     "1.6831723397360528`*^-19", ",", "1.3479705465948608`*^-19", ",", 
     "7.084374915044328`*^-20", ",", "2.206372768963988`*^-20", ",", 
     "3.0922083942502772`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.480662668073656`*^-22", ",", "2.0751332665423707`*^-21", ",", 
     "1.3087249209713101`*^-20", ",", "4.89110482546094`*^-20", ",", 
     "1.199595658521139`*^-19", ",", "2.0174649454509124`*^-19", ",", 
     "2.356213376989129`*^-19", ",", "1.8869762523380227`*^-19", ",", 
     "9.917165668876945`*^-20", ",", "3.0886231374695266`*^-20", ",", 
     "4.328673072249463`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "2.205744575665852`*^-22", ",", "3.0913279879032518`*^-21", ",", 
     "1.9496087513483445`*^-20", ",", "7.2862834799566`*^-20", ",", 
     "1.7870387859631522`*^-19", ",", "3.0054194354841313`*^-19", ",", 
     "3.510053294020481`*^-19", ",", "2.8110303060587625`*^-19", ",", 
     "1.4773611067377008`*^-19", ",", "4.601124806241522`*^-20", ",", 
     "6.448428365771511`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3.5107471307021816`*^-22", ",", "4.920275440466407`*^-21", ",", 
     "3.103071591016778`*^-20", ",", "1.1597126477356687`*^-19", ",", 
     "2.8443190383364083`*^-19", ",", "4.783540114338648`*^-19", ",", 
     "5.586734595901341`*^-19", ",", "4.474142967498201`*^-19", ",", 
     "2.35142424182305`*^-19", ",", "7.323325597044164`*^-20", ",", 
     "1.0263564345766049`*^-20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "5.907299108543126`*^-22", ",", "8.279018009890241`*^-21", ",", 
     "5.2213307768744333`*^-20", ",", "1.951370815124724`*^-19", ",", 
     "4.785945183188487`*^-19", ",", "8.048942632749843`*^-19", ",", 
     "9.400424202991297`*^-19", ",", "7.528340771757705`*^-19", ",", 
     "3.956584114547082`*^-19", ",", "1.2322469594196448`*^-19", ",", 
     "1.7269812451030123`*^-20"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7910134952044134`*^9, 3.791013504182577*^9}, 
   3.791013534240772*^9, {3.7910135681406913`*^9, 3.7910136006567483`*^9}, {
   3.791013684805464*^9, 3.7910137132950068`*^9}, 3.791028102613055*^9, {
   3.791104284938651*^9, 3.7911043780243206`*^9}, 3.791104555107074*^9, {
   3.7911046564175787`*^9, 3.7911047642983785`*^9}, {3.7911048684941034`*^9, 
   3.7911048808085337`*^9}, 3.7911049390497355`*^9, {3.7911055981060023`*^9, 
   3.7911056477590027`*^9}, {3.791105781925954*^9, 3.791105807014909*^9}, 
   3.791106123585816*^9, 3.7911065037932525`*^9, {3.7911065383224535`*^9, 
   3.7911065835061016`*^9}, {3.7911066258592176`*^9, 
   3.7911066315524845`*^9}, {3.791106798310032*^9, 3.7911068485052147`*^9}, 
   3.7911070855222063`*^9, 3.791107151323678*^9, 3.7911072502859926`*^9, 
   3.7911073321347466`*^9, {3.7911074118220997`*^9, 3.791107420811458*^9}, {
   3.7911074687816963`*^9, 3.791107513272751*^9}, 3.791107576926177*^9, 
   3.7911078249245844`*^9, 3.791107862722534*^9, {3.791107995582203*^9, 
   3.7911080122733994`*^9}, {3.791111888356449*^9, 3.7911119025596266`*^9}, 
   3.7911120137115684`*^9, 3.791112162631595*^9, 3.791112235666765*^9, 
   3.791112285104562*^9, 3.7911123354061728`*^9, 3.79111242534855*^9, 
   3.791112522408595*^9, 3.791112630060216*^9, 3.791112984005836*^9, 
   3.7911131652395535`*^9, 3.791116657981845*^9, {3.791116790425832*^9, 
   3.791116955526622*^9}, 3.7911174252448587`*^9, 3.7911980347421827`*^9, 
   3.7911981706708207`*^9, 3.7911991035645156`*^9, {3.7911996758738775`*^9, 
   3.791199684488391*^9}, 3.7911997277882786`*^9, {3.791926422430026*^9, 
   3.7919264708350163`*^9}, 3.7922676299887047`*^9, 3.7924745087123256`*^9},
 CellLabel->
  "Out[108]=",ExpressionUUID->"90803ca0-e852-447a-86e7-cdc011e7cfbf"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.8077131477206*^9, 3.8077131487735815`*^9}, 
   3.8077135709814973`*^9},ExpressionUUID->"36a64d59-df7f-4b7d-aa20-\
1b4788446573"]
},
WindowSize->{1520, 805},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1036, 17, 43, "Input",ExpressionUUID->"2f231d84-335a-4149-8efc-1aebd06b3d76"],
Cell[1597, 39, 22186, 491, 2712, "Input",ExpressionUUID->"664cc607-f60b-4e1d-ba00-4670067a7349"],
Cell[23786, 532, 13990, 333, 1378, "Input",ExpressionUUID->"b3bd6ddc-fca9-468e-bf97-4acac4c4d4dc"],
Cell[37779, 867, 83946, 1761, 7850, "Input",ExpressionUUID->"ab8e23dc-2149-45c7-86bf-c572e288abc4"],
Cell[121728, 2630, 14803, 310, 2190, "Input",ExpressionUUID->"b6134186-486b-4253-942e-22cf5636b1d8"],
Cell[136534, 2942, 15494, 291, 976, "Input",ExpressionUUID->"a1f615c9-7d46-4731-9b00-999d36e58758"],
Cell[152031, 3235, 6652, 161, 421, "Input",ExpressionUUID->"f8002581-afaa-48bb-8463-b8984e2c15c8"],
Cell[158686, 3398, 5586, 143, 392, "Input",ExpressionUUID->"2d42e3de-284d-4b05-94f9-17cb710805f9"],
Cell[164275, 3543, 5427, 137, 457, "Input",ExpressionUUID->"74000d1e-6e8e-47a8-9ba5-58c0825ff7dc"],
Cell[169705, 3682, 5931, 144, 515, "Input",ExpressionUUID->"330cd0ab-eb88-4221-a52d-126d7cec6fcb"],
Cell[175639, 3828, 172627, 3580, 7115, "Input",ExpressionUUID->"b2715569-4490-4ac7-8d01-cc291acb2037"],
Cell[348269, 7410, 36593, 800, 1933, "Input",ExpressionUUID->"006ef89d-36dc-405e-bd10-b75e0bc377ca"],
Cell[384865, 8212, 45349, 1070, 2438, "Input",ExpressionUUID->"f98b510f-8d04-4089-a354-38d19537a9d0"],
Cell[430217, 9284, 215589, 4886, 11305, "Input",ExpressionUUID->"20dec904-c2f1-4c5c-946e-dfa874565e45"],
Cell[645809, 14172, 12916, 352, 1697, "Input",ExpressionUUID->"a8aaa884-af41-401e-be52-cdc94e3e345b"],
Cell[658728, 14526, 20438, 279, 160, "Input",ExpressionUUID->"a86c3530-c387-4f74-8dda-8bb44dc3e290"],
Cell[CellGroupData[{
Cell[679191, 14809, 2916, 52, 247, "Input",ExpressionUUID->"2103c963-12ec-4f07-9dd2-a1f3b8bad8b4"],
Cell[682110, 14863, 6552, 115, 598, "Output",ExpressionUUID->"90803ca0-e852-447a-86e7-cdc011e7cfbf"]
}, Open  ]],
Cell[688677, 14981, 231, 4, 102, "Input",ExpressionUUID->"36a64d59-df7f-4b7d-aa20-1b4788446573"]
}
]
*)

