(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    970500,      20413]
NotebookOptionsPosition[    963483,      20310]
NotebookOutlinePosition[    963898,      20327]
CellTagsIndexPosition[    963855,      20324]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
   RowBox[{"working", " ", "for", " ", "any", " ", "Q", 
    RowBox[{"(", "k", ")"}]}], ",", " ", 
   RowBox[{"R", 
    RowBox[{"(", "k", ")"}], " ", "piecewise", " ", "fininte", " ", "fluid", 
    " ", "model"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7809132270774946`*^9, 3.7809132402812557`*^9}, {
   3.7810027777759075`*^9, 3.7810028708563585`*^9}, {3.7810035950460176`*^9, 
   3.7810036221254296`*^9}, {3.781633807076919*^9, 3.781633867482479*^9}, 
   3.781705083038721*^9, {3.781705493860772*^9, 3.781705523021644*^9}, {
   3.7832465188917*^9, 3.7832465669869595`*^9}, {3.783247985531608*^9, 
   3.7832479960983305`*^9}, 3.7834164211303205`*^9, {3.785408842281005*^9, 
   3.7854088520269537`*^9}, {3.7862880224296055`*^9, 3.78628802254335*^9}, {
   3.789113461380534*^9, 3.789113461579997*^9}, {3.790082819677697*^9, 
   3.790082821140752*^9}, {3.7905154589535265`*^9, 3.790515491452339*^9}, {
   3.79182778426314*^9, 3.791827784809887*^9}, {3.7918314325742083`*^9, 
   3.79183143318344*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"2f231d84-335a-4149-8efc-1aebd06b3d76"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"FluidFundamentalMatrices", "[", 
    RowBox[{"Qpp_", ",", "Qpm_", ",", "Qmp_", ",", "Qmm_", ",", 
     RowBox[{"matrices_:", "\"\<P\>\""}], ",", 
     RowBox[{"precision_:", 
      RowBox[{"N", "[", 
       RowBox[{"10", "^", 
        RowBox[{"-", "14"}]}], "]"}]}], ",", 
     RowBox[{"maxNumIt_:", "50"}], ",", 
     RowBox[{"method_:", "\"\<SDA\>\""}]}], "]"}], ":=", "\n", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "F", ",", " ", "sp", ",", "sm", ",", "II", ",", "Pf", ",", "A1", ",", 
       "A1hat", ",", "R1", ",", "NN", ",", "Xmat", ",", "A", ",", "B", ",", 
       "C", ",", "D", ",", "S1", ",", "U", ",", "Ghat", ",", "numit", ",", 
       "Zm", ",", "Psi", ",", "\n", "gamma1", ",", "gamma2", ",", "sA", ",", 
       "sD", ",", "IA", ",", "ID", ",", "Dginv", ",", "Vginv", ",", "Wginv", 
       ",", "Eg", ",", "Fg", ",", "Gg", ",", "Hg", ",", "diff", ",", "neg", 
       ",", "nfg", ",", "eta", ",", "ret", ",", "resNorm"}], "}"}], ",", "\n", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"===", "===", "===", "==="}], "=", " ", 
        RowBox[{"Computation", " ", "of", " ", "Psi", 
         RowBox[{"(", 
          RowBox[{"by", " ", "solving", " ", "Riccati", " ", "Equation"}], 
          ")"}]}]}], ",", " ", "K", ",", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"H", " ", "Matrices", " ", 
          RowBox[{"(", 
           RowBox[{"Or", " ", 
            RowBox[{"It", "'"}], "s", " ", "Spatial", " ", "Inverse"}], 
           ")"}]}], "  ", "===", "===", "===", "===", "==="}], "=", 
        "\[Equal]"}]}], " ", "*)"}], "\n", "\t", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"method", "==", "\"\<CR\>\""}], ",", "\n", "\t\t", 
        RowBox[{
         RowBox[{"F", " ", "=", " ", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Qpp", ",", " ", "Qpm"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Qmp", ",", " ", "Qmm"}], "}"}]}], "}"}], "]"}]}], ";", 
         "\n", "\t\t", 
         RowBox[{"sp", " ", "=", " ", 
          RowBox[{
           RowBox[{"Dimensions", "[", "Qpp", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"sm", " ", "=", " ", 
          RowBox[{
           RowBox[{"Dimensions", "[", "Qmm", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"II", " ", "=", 
          RowBox[{"IdentityMatrix", "[", 
           RowBox[{"sm", "+", "sp"}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"Pf", " ", "=", " ", 
          RowBox[{"II", " ", "+", " ", 
           RowBox[{"F", "/", 
            RowBox[{"Max", "[", 
             RowBox[{"Re", "[", 
              RowBox[{"-", "F"}], "]"}], "]"}]}]}]}], ";", "\n", "\t\t", 
         RowBox[{"Zm", " ", "=", " ", 
          RowBox[{"Table", "[", 
           RowBox[{"0", ",", 
            RowBox[{"{", "sm", "}"}], ",", 
            RowBox[{"{", "sm", "}"}]}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"A1", " ", "=", " ", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Pf", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"1", ";;", "sp"}], ",", 
                   RowBox[{"1", ";;", "sp"}]}], "]"}], "]"}], "/", "2"}], ",",
                " ", 
               RowBox[{"Table", "[", 
                RowBox[{"0", ",", 
                 RowBox[{"{", "sp", "}"}], ",", 
                 RowBox[{"{", "sm", "}"}]}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Pf", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"sp", "+", "1"}], ";;"}], ",", 
                  RowBox[{"1", ";;", "sp"}]}], "]"}], "]"}], ",", "Zm"}], 
              "}"}]}], "}"}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"A1hat", " ", "=", " ", "A1"}], ";", "\n", "\t\t", 
         RowBox[{"R1", " ", "=", " ", 
          RowBox[{
           RowBox[{"IdentityMatrix", "[", "sp", "]"}], "/", "2"}]}], ";", 
         "\n", "\t\t", 
         RowBox[{"NN", " ", "=", " ", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Pf", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"1", ";;", "sp"}], ",", 
                  RowBox[{
                   RowBox[{"sp", "+", "1"}], ";;"}]}], "]"}], "]"}], "/", 
               "2"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Pf", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"sp", "+", "1"}], ";;"}], ",", 
                 RowBox[{
                  RowBox[{"sp", "+", "1"}], ";;"}]}], "]"}], "]"}], "}"}]}], 
            "}"}], "]"}]}], ";", "\n", "\t\t", 
         RowBox[{"numit", " ", "=", " ", "0"}], ";", "\n", "\t\t", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Min", "[", 
              RowBox[{
               RowBox[{"Norm", "[", 
                RowBox[{"R1", ",", "Infinity"}], "]"}], ",", " ", 
               RowBox[{"Norm", "[", 
                RowBox[{"NN", ",", "Infinity"}], "]"}]}], "]"}], ">", 
             "precision"}], " ", "&&", " ", 
            RowBox[{"numit", "<", "maxNumIt"}]}], ",", "\n", "\t\t\t", 
           RowBox[{
            RowBox[{"Xmat", " ", "=", " ", 
             RowBox[{"Inverse", "[", 
              RowBox[{"II", "-", "A1"}], "]"}]}], ";", "\n", "\t\t\t", 
            RowBox[{"B", " ", "=", " ", 
             RowBox[{"Xmat", ".", "NN"}]}], ";", "\n", "\t\t\t", 
            RowBox[{"S1", " ", "=", " ", 
             RowBox[{
              RowBox[{"Xmat", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"sp", "+", "1"}], ";;"}], ",", 
                 RowBox[{"1", ";;", "sp"}]}], "]"}], "]"}], ".", "R1"}]}], 
            ";", "\n", "\t\t\t", 
            RowBox[{"U", " ", "=", " ", 
             RowBox[{"R1", ".", 
              RowBox[{"B", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"1", ";;", "sp"}], ",", ";;"}], "]"}], "]"}]}]}], 
            ";", "\n", "\t\t\t", 
            RowBox[{"A1", " ", "+=", " ", 
             RowBox[{"ArrayFlatten", "[", 
              RowBox[{"{", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"NN", ".", "S1"}], ",", 
                 RowBox[{"ArrayFlatten", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", "U", "}"}], ",", 
                    RowBox[{"{", "Zm", "}"}]}], "}"}], "]"}]}], "}"}], "}"}], 
              "]"}]}], ";", "\n", "\t\t\t", 
            RowBox[{
             RowBox[{"A1hat", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"1", ";;", "sp"}], ",", 
                RowBox[{
                 RowBox[{"sp", "+", "1"}], ";;"}]}], "]"}], "]"}], " ", "+=", 
             "U"}], ";", "\n", "\t\t\t", 
            RowBox[{"NN", " ", "=", " ", 
             RowBox[{"NN", ".", 
              RowBox[{"B", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"sp", "+", "1"}], ";;"}], ",", ";;"}], "]"}], 
               "]"}]}]}], ";", "\n", "\t\t\t", 
            RowBox[{"R1", " ", "=", " ", 
             RowBox[{"R1", ".", 
              RowBox[{"Xmat", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"1", ";;", "sp"}], ",", 
                 RowBox[{"1", ";;", "sp"}]}], "]"}], "]"}], ".", "R1"}]}], 
            ";", "\n", "\t\t\t", 
            RowBox[{"numit", "++"}], ";"}]}], "\n", "\t\t", "]"}], ";", "\n", 
         "\t\t", 
         RowBox[{"Ghat", " ", "=", " ", 
          RowBox[{
           RowBox[{"Inverse", "[", 
            RowBox[{"II", "-", "A1hat"}], "]"}], ".", 
           RowBox[{"ArrayFlatten", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Pf", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"1", ";;", "sp"}], ",", 
                   RowBox[{
                    RowBox[{"sp", "+", "1"}], ";;"}]}], "]"}], "]"}], "/", 
                "2"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"Pf", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"sp", "+", "1"}], ";;"}], ",", 
                  RowBox[{
                   RowBox[{"sp", "+", "1"}], ";;"}]}], "]"}], "]"}], "}"}]}], 
             "}"}], "]"}]}]}], ";", "\n", "\t\t", 
         RowBox[{"Psi", " ", "=", " ", 
          RowBox[{"Ghat", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"1", ";;", "sp"}], ",", ";;"}], "]"}], "]"}]}], ";"}], 
        "\n", "\t", ",", " ", 
        RowBox[{
         RowBox[{"If", " ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"method", "==", "\"\<ADDA\>\""}], " ", "||", " ", 
            RowBox[{"method", "==", "\"\<SDA\>\""}]}], ",", "\n", "\t\t", 
           RowBox[{
            RowBox[{"A", " ", "=", " ", 
             RowBox[{"-", "Qpp"}]}], ";", "\n", "        ", 
            RowBox[{"B", " ", "=", " ", "Qpm"}], ";", "\n", "        ", 
            RowBox[{"C", " ", "=", " ", "Qmp"}], ";", "\n", "        ", 
            RowBox[{"D", " ", "=", " ", 
             RowBox[{"-", "Qmm"}]}], ";", "\n", "        ", 
            RowBox[{"gamma1", " ", "=", " ", 
             RowBox[{"Max", "[", 
              RowBox[{"Re", "[", 
               RowBox[{"Diagonal", "[", "A", "]"}], "]"}], "]"}]}], ";", "\n",
             "        ", 
            RowBox[{"gamma2", " ", "=", " ", 
             RowBox[{"Max", "[", 
              RowBox[{"Re", "[", 
               RowBox[{"Diagonal", "[", "D", "]"}], "]"}], "]"}]}], ";", "\n",
             "        ", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"method", "==", "\"\<SDA\>\""}], ",", "\n", 
              "            ", 
              RowBox[{
               RowBox[{"gamma1", " ", "=", " ", 
                RowBox[{"Max", "[", 
                 RowBox[{"gamma1", ",", "gamma2"}], "]"}]}], ";", "\n", 
               "            ", 
               RowBox[{"gamma2", " ", "=", " ", "gamma1"}], ";"}]}], "\n", 
             "        ", "]"}], ";", "\n", "        ", 
            RowBox[{"sA", " ", "=", " ", 
             RowBox[{
              RowBox[{"Dimensions", "[", "A", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", "        ", 
            RowBox[{"sD", " ", "=", " ", 
             RowBox[{
              RowBox[{"Dimensions", "[", "D", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", "        ", 
            RowBox[{"IA", " ", "=", " ", 
             RowBox[{"IdentityMatrix", "[", "sA", "]"}]}], ";", "\n", 
            "        ", 
            RowBox[{"ID", " ", "=", " ", 
             RowBox[{"IdentityMatrix", "[", "sD", "]"}]}], ";", "\n", 
            "        ", 
            RowBox[{"A", " ", "=", " ", 
             RowBox[{"A", " ", "+", " ", 
              RowBox[{"gamma2", " ", "IA"}]}]}], ";", "\n", "        ", 
            RowBox[{"D", " ", "=", " ", 
             RowBox[{"D", " ", "+", " ", 
              RowBox[{"gamma1", " ", "ID"}]}]}], ";", "\n", "        ", 
            RowBox[{"Dginv", " ", "=", " ", 
             RowBox[{"Inverse", "[", "D", "]"}]}], ";", "\n", "        ", 
            RowBox[{"Vginv", " ", "=", " ", 
             RowBox[{"Inverse", "[", 
              RowBox[{"D", "-", 
               RowBox[{"C", ".", 
                RowBox[{"Inverse", "[", "A", "]"}], ".", "B"}]}], "]"}]}], 
            ";", "\n", "        ", 
            RowBox[{"Wginv", " ", "=", " ", 
             RowBox[{"Inverse", "[", 
              RowBox[{"A", "-", 
               RowBox[{"B", ".", "Dginv", ".", "C"}]}], "]"}]}], ";", "\n", 
            "        ", 
            RowBox[{"Eg", " ", "=", " ", 
             RowBox[{"ID", " ", "-", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"gamma1", "+", "gamma2"}], ")"}], " ", "Vginv"}]}]}], 
            ";", "\n", "        ", 
            RowBox[{"Fg", " ", "=", " ", 
             RowBox[{"IA", " ", "-", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"gamma1", "+", "gamma2"}], ")"}], " ", "Wginv"}]}]}], 
            ";", "\n", "        ", 
            RowBox[{"Gg", " ", "=", " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"gamma1", "+", "gamma2"}], ")"}], " ", 
              RowBox[{"Dginv", ".", "C", ".", "Wginv"}]}]}], ";", "\n", 
            "        ", 
            RowBox[{"Hg", " ", "=", " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"gamma1", "+", "gamma2"}], ")"}], " ", 
              RowBox[{"Wginv", ".", "B", ".", "Dginv"}]}]}], ";", "\n", 
            "        ", 
            RowBox[{"diff", " ", "=", " ", "1"}], ";", "\n", "\t\t", 
            RowBox[{"numit", " ", "=", " ", "0"}], ";", "\n", "        ", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"diff", ">", "precision"}], " ", "&&", " ", 
               RowBox[{"numit", "<", "maxNumIt"}]}], ",", "\n", 
              "            ", 
              RowBox[{
               RowBox[{"Vginv", " ", "=", " ", 
                RowBox[{"Eg", ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"ID", "-", 
                   RowBox[{"Gg", ".", "Hg"}]}], "]"}]}]}], ";", "\n", 
               "            ", 
               RowBox[{"Wginv", " ", "=", " ", 
                RowBox[{"Fg", ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"IA", "-", 
                   RowBox[{"Hg", ".", "Gg"}]}], "]"}]}]}], ";", "\n", 
               "            ", 
               RowBox[{"Gg", " ", "+=", " ", 
                RowBox[{"Vginv", ".", "Gg", ".", "Fg"}]}], ";", "\n", 
               "            ", 
               RowBox[{"Hg", " ", "+=", " ", 
                RowBox[{"Wginv", ".", "Hg", ".", "Eg"}]}], ";", "\n", 
               "            ", 
               RowBox[{"Eg", " ", "=", " ", 
                RowBox[{"Vginv", ".", "Eg"}]}], ";", "\n", "            ", 
               RowBox[{"Fg", " ", "=", " ", 
                RowBox[{"Wginv", ".", "Fg"}]}], ";", "\n", "            ", 
               RowBox[{"neg", " ", "=", " ", 
                RowBox[{"Norm", "[", 
                 RowBox[{"Eg", ",", "1"}], "]"}]}], ";", "\n", "            ", 
               RowBox[{"nfg", " ", "=", " ", 
                RowBox[{"Norm", "[", 
                 RowBox[{"Fg", ",", "1"}], "]"}]}], ";", "\n", "            ", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"method", "==", "\"\<ADDA\>\""}], ",", "\n", 
                 "                ", 
                 RowBox[{
                  RowBox[{"eta", " ", "=", " ", 
                   RowBox[{"Sqrt", "[", 
                    RowBox[{"nfg", "/", "neg"}], "]"}]}], ";", "\n", 
                  "                ", 
                  RowBox[{"Eg", " ", "=", " ", 
                   RowBox[{"Eg", " ", "eta"}]}], ";", "\n", 
                  "                ", 
                  RowBox[{"Fg", " ", "=", " ", 
                   RowBox[{"Fg", "/", "eta"}]}], ";", "\n", 
                  "                ", 
                  RowBox[{"diff", " ", "=", " ", 
                   RowBox[{"neg", " ", "nfg"}]}], ";"}], "\n", "            ",
                  ",", "\n", "                ", 
                 RowBox[{
                  RowBox[{"diff", " ", "=", " ", 
                   RowBox[{"Min", "[", 
                    RowBox[{"neg", ",", "nfg"}], "]"}]}], ";"}]}], "\n", 
                "            ", "]"}], ";", "\n", "            ", 
               RowBox[{"numit", "++"}], ";"}]}], "\n", "        ", "]"}], ";",
             "\n", "        ", 
            RowBox[{"Psi", " ", "=", " ", "Hg"}], ";"}]}], "\n", "\t", "]"}], 
         ";"}]}], "\n", "\t", "]"}], ";", "\n", "\n", "    ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"numit", "==", "maxNumIt"}], " ", "&&", " ", 
         "BuTools`Verbose"}], ",", " ", 
        RowBox[{
        "Print", "[", "\"\<Maximum Number of Iterations reached\>\"", "]"}]}],
        "]"}], ";", "\n", "\n", "    ", 
      RowBox[{"If", "[", 
       RowBox[{"BuTools`Verbose", ",", "\n", "        ", 
        RowBox[{
         RowBox[{"resNorm", " ", "=", " ", 
          RowBox[{"Norm", "[", 
           RowBox[{
            RowBox[{"Qpm", "+", 
             RowBox[{"Qpp", ".", "Psi"}], "+", 
             RowBox[{"Psi", ".", "Qmm"}], "+", 
             RowBox[{"Psi", ".", "Qmp", ".", "Psi"}]}], ",", " ", 
            "Infinity"}], "]"}]}], ";", "\n", "        ", 
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<Final Residual Error for Psi: \>\"", ",", " ", "resNorm"}], 
          "]"}]}]}], "]"}], ";", "\n", "\n", "    ", 
      RowBox[{"ret", " ", "=", " ", 
       RowBox[{"{", "}"}]}], ";", "\n", "    ", 
      RowBox[{"Do", "[", "\n", "        ", 
       RowBox[{
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"M", "==", "\"\<P\>\""}], ",", " ", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"ret", ",", "Psi"}], "]"}]}], "]"}], ";", "\n", 
         "        ", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"M", "==", "\"\<K\>\""}], ",", " ", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"ret", ",", 
             RowBox[{"Qpp", "+", 
              RowBox[{"Psi", ".", "Qmp"}]}]}], "]"}]}], "]"}], ";", "\n", 
         "        ", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"M", "==", "\"\<U\>\""}], ",", " ", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"ret", ",", 
             RowBox[{"Qmm", "+", 
              RowBox[{"Qmp", ".", "Psi"}]}]}], "]"}]}], "]"}], ";"}], "\n", 
        "\t", ",", 
        RowBox[{"{", 
         RowBox[{"M", ",", 
          RowBox[{"Characters", "[", "matrices", "]"}]}], "}"}]}], "]"}], ";",
       "\n", "    ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", "ret", "]"}], "==", "1"}], ",", " ", 
        RowBox[{"Return", "[", 
         RowBox[{"ret", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", " ", 
        RowBox[{"Return", "[", "ret", "]"}]}], "]"}], ";"}]}], "\n", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.778219778058293*^9, 3.778219789839162*^9}, {
   3.778220802843867*^9, 3.7782208136588507`*^9}, {3.7782313365978937`*^9, 
   3.7782313422695837`*^9}, {3.7782315147341275`*^9, 
   3.7782315187183733`*^9}, {3.7782316267935762`*^9, 3.7782316356526637`*^9}, 
   3.7782346358558197`*^9, {3.7782357814512644`*^9, 3.77823578383427*^9}, 
   3.778235885019081*^9, {3.7782359205524187`*^9, 3.7782359378351164`*^9}, {
   3.7782367780336185`*^9, 3.7782367792226615`*^9}, {3.7782476735795736`*^9, 
   3.7782476764702044`*^9}, {3.7803235518882837`*^9, 3.780323552568006*^9}, {
   3.7803306317630177`*^9, 3.780330658689021*^9}, 3.7803391860441127`*^9, 
   3.7803392753394575`*^9, {3.7803795419489202`*^9, 3.780379542994365*^9}, 
   3.78038054638074*^9, {3.780388693943387*^9, 3.780388700252571*^9}, {
   3.780388784471126*^9, 3.7803887847854967`*^9}, 3.780388991154005*^9, {
   3.7803907609559293`*^9, 3.7803907619991107`*^9}, {3.7803910761329803`*^9, 
   3.7803910764860044`*^9}, {3.7803913426068974`*^9, 3.780391343426888*^9}, {
   3.7804607197878656`*^9, 3.7804607220348234`*^9}, {3.780652014480434*^9, 
   3.7806520156064253`*^9}, {3.7807414846176257`*^9, 3.7807414852389307`*^9}, 
   3.7807418861545377`*^9, {3.7807419649773493`*^9, 3.7807419660943174`*^9}, 
   3.7807420225554333`*^9, {3.780742517114859*^9, 3.780742517580768*^9}, {
   3.78074297955902*^9, 3.7807429812018433`*^9}, {3.780747554205039*^9, 
   3.780747554431426*^9}, {3.7807487315468655`*^9, 3.7807487326756554`*^9}, {
   3.7808171080021906`*^9, 3.78081710897954*^9}, {3.7808217341536818`*^9, 
   3.7808217359987073`*^9}, {3.7809145054029164`*^9, 3.780914505949451*^9}, {
   3.7809178739357796`*^9, 3.7809178745032587`*^9}, {3.7809184440782504`*^9, 
   3.780918469208968*^9}, {3.780984026931055*^9, 3.7809840271581297`*^9}, {
   3.780985162815485*^9, 3.780985169090703*^9}, {3.781001663784013*^9, 
   3.78100166427045*^9}, {3.781001720340968*^9, 3.781001720881485*^9}, {
   3.781001751009279*^9, 3.781001751834035*^9}, {3.7810018021086874`*^9, 
   3.781001802499072*^9}, {3.7810018626682897`*^9, 3.7810018804267025`*^9}, {
   3.784316142786071*^9, 3.7843161435710173`*^9}, {3.784466154599666*^9, 
   3.78446615521402*^9}, {3.7844662242579985`*^9, 3.7844662251885014`*^9}, {
   3.784486610559181*^9, 3.784486610850369*^9}, {3.7844869673079786`*^9, 
   3.784486971089489*^9}, {3.7848898791019526`*^9, 3.7848898800474243`*^9}, {
   3.7849126213563824`*^9, 3.7849126232497683`*^9}, {3.784989152205579*^9, 
   3.7849891548918796`*^9}, {3.7861964472598543`*^9, 3.78619644745695*^9}, {
   3.7861965726352572`*^9, 3.7861965761186385`*^9}, {3.7861978245297985`*^9, 
   3.786197825003563*^9}, {3.7861978870224075`*^9, 3.7861978901560955`*^9}, {
   3.7861979466227703`*^9, 3.7861979476384363`*^9}, {3.7862850905173583`*^9, 
   3.7862850914588003`*^9}, {3.7862853063775234`*^9, 3.786285307406803*^9}, {
   3.787932760078042*^9, 3.7879327614525394`*^9}, {3.788258360877243*^9, 
   3.788258363017807*^9}, {3.791279184641973*^9, 3.791279292785575*^9}, {
   3.7912812096622314`*^9, 3.7912812693279448`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"664cc607-f60b-4e1d-ba00-4670067a7349"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "Numerical", " ", "Inverse", " ", "Laplace", " ", "Transformation", " ", 
      "by", " ", "using", " ", "CME", 
      RowBox[{"(", 
       RowBox[{"euler", ",", 
        RowBox[{"gaver", " ", "as", " ", "well"}]}], ")"}], " ", 
      RowBox[{"method", "/", "s"}]}]}], "  ", "===", "===", "===", "===", "===",
     "===", "\[Equal]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"load", " ", "the", " ", "CME", " ", "parameters"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Length", "[", 
         RowBox[{"Position", "[", 
          RowBox[{
           RowBox[{"Names", "[", "\"\<Global`*\>\"", "]"}], ",", 
           "\"\<cmeParams\>\""}], "]"}], "]"}], "\[Equal]", "0"}], " ", "||", 
       " ", 
       RowBox[{
        RowBox[{"Length", "[", "cmeParams", "]"}], "\[Equal]", "0"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"Print", "[", "\"\<CME parameters loaded\>\"", "]"}], ";"}], 
       "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"cmeParams", " ", "=", " ", 
        RowBox[{"Import", "[", 
         RowBox[{"FileNameJoin", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"NotebookDirectory", "[", "]"}], ",", 
            "\"\<iltcme.json\>\""}], "}"}], "]"}], "]"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"ILT", " ", "function"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ILT", "[", 
      RowBox[{"fun_", ",", " ", "T_", ",", " ", "maxFnEvals_", ",", " ", 
       RowBox[{"method_:", "\"\<cme\>\""}], ",", 
       RowBox[{"precision_:", "MachinePrecision"}]}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "params", ",", "i", ",", "\[Eta]", ",", "\[Beta]", ",", "\[Xi]", ",", 
         "n", ",", "k", ",", "prec"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"precision", "\[LessEqual]", "0"}], ",", 
          RowBox[{"prec", "=", "MachinePrecision"}], ",", 
          RowBox[{"prec", "=", "precision"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"method", "\[Equal]", "\"\<cme\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"params", " ", "=", " ", 
            RowBox[{"cmeParams", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "2"}], ",", 
             RowBox[{"i", "<", 
              RowBox[{"Length", "[", "cmeParams", "]"}]}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"\"\<cv2\>\"", "/.", 
                   RowBox[{"cmeParams", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ")"}], " ", "<", 
                 RowBox[{"(", 
                  RowBox[{"\"\<cv2\>\"", "/.", "params"}], ")"}]}], " ", "&&",
                 " ", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"\"\<n\>\"", "+", "1"}], " ", "/.", 
                   RowBox[{"cmeParams", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ")"}], "\[LessEqual]", 
                 "maxFnEvals"}]}], ",", 
               RowBox[{"params", "=", 
                RowBox[{"cmeParams", "[", 
                 RowBox[{"[", "i", "]"}], "]"}]}]}], " ", "]"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Eta]", "=", 
            RowBox[{"SetPrecision", "[", 
             RowBox[{
              RowBox[{"Prepend", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"\"\<a\>\"", "*", "\"\<mu1\>\""}], "+", 
                  RowBox[{
                  "\[ImaginaryI]", "*", "\"\<b\>\"", "*", "\"\<mu1\>\""}]}], "/.",
                  "params"}], ",", 
                RowBox[{
                 RowBox[{"\"\<c\>\"", "*", "\"\<mu1\>\""}], "/.", 
                 "params"}]}], "]"}], ",", "prec"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"\[Beta]", "=", 
            RowBox[{"SetPrecision", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Prepend", "[", 
                 RowBox[{
                  RowBox[{"1", "+", 
                   RowBox[{
                   "\[ImaginaryI]", " ", "*", " ", "\"\<omega\>\"", "*", 
                    RowBox[{"Range", "[", 
                    RowBox[{"\"\<n\>\"", "/.", "params"}], "]"}]}]}], ",", 
                  "1"}], "]"}], "*", "\"\<mu1\>\""}], " ", "/.", "params"}], 
              ",", "prec"}], "]"}]}], ";"}], "\[IndentingNewLine]", ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"method", "\[Equal]", "\"\<euler\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"n", "=", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Mod", "[", 
                   RowBox[{"maxFnEvals", ",", "2"}], "]"}], "\[Equal]", "0"}],
                  ",", 
                 RowBox[{"maxFnEvals", "-", "1"}], ",", "maxFnEvals"}], 
                "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"\[Beta]", "=", 
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"SetPrecision", "[", 
                  RowBox[{
                   RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "1"}], ")"}], 
                    RowBox[{"Log", "[", "10", "]"}]}], "6"], "+", 
                    RowBox[{"\[Pi]", " ", "\[ImaginaryI]", " ", 
                    RowBox[{"(", 
                    RowBox[{"k", "-", "1"}], ")"}]}]}], ",", "prec"}], "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"\[Xi]", "=", 
               RowBox[{"ConstantArray", "[", 
                RowBox[{
                 RowBox[{"SetPrecision", "[", 
                  RowBox[{"1", ",", "prec"}], "]"}], ",", "n"}], "]"}]}], ";",
               "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"\[Xi]", "[", 
                RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
               RowBox[{"SetPrecision", "[", 
                RowBox[{
                 RowBox[{"1", "/", "2"}], ",", "prec"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"\[Xi]", "[", 
                RowBox[{"[", "n", "]"}], "]"}], "=", 
               RowBox[{"SetPrecision", "[", 
                RowBox[{
                 FractionBox["1", 
                  SuperscriptBox["2", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "1"}], ")"}], "/", "2"}]]], ",", 
                 "prec"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"k", "=", "1"}], ",", 
                RowBox[{"k", "<", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"n", "-", "1"}], ")"}], "/", "2"}]}], ",", 
                RowBox[{"k", "++"}], ",", 
                RowBox[{
                 RowBox[{"\[Xi]", "[", 
                  RowBox[{"[", 
                   RowBox[{"n", "-", "k"}], "]"}], "]"}], "=", 
                 RowBox[{
                  RowBox[{"\[Xi]", "[", 
                   RowBox[{"[", 
                    RowBox[{"n", "-", "k", "+", "1"}], "]"}], "]"}], "+", " ", 
                  RowBox[{
                   SuperscriptBox["2", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{"n", "-", "1"}], ")"}]}], "/", "2"}]], 
                   RowBox[{"Binomial", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "1"}], ")"}], "/", "2"}], ",", "k"}], 
                    "]"}]}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"\[Eta]", "=", 
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"SetPrecision", "[", 
                  RowBox[{
                   RowBox[{
                    SuperscriptBox["10", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "1"}], ")"}], "/", "6"}]], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], 
                    RowBox[{"k", "-", "1"}]], 
                    RowBox[{"\[Xi]", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], ",", "prec"}], "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
             "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"method", "\[Equal]", "\"\<gaver\>\""}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"n", "=", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{"maxFnEvals", ",", "2"}], "]"}], "\[Equal]", 
                    "1"}], ",", 
                    RowBox[{"maxFnEvals", "-", "1"}], ",", "maxFnEvals"}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"\[Beta]", "=", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"SetPrecision", "[", 
                    RowBox[{
                    RowBox[{"Log", "[", "2", "]"}], ",", "prec"}], "]"}]}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"\[Eta]", "=", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"SetPrecision", "[", 
                    RowBox[{
                    RowBox[{"Log", "[", "2", "]"}], ",", "prec"}], "]"}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], "+", "k"}]], 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox[
                    SuperscriptBox["j", 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], "+", "1"}]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "/", "2"}], ")"}], "!"}]], 
                    RowBox[{"Binomial", "[", 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], ",", "j"}], "]"}], 
                    RowBox[{"Binomial", "[", 
                    RowBox[{
                    RowBox[{"2", "j"}], ",", "j"}], "]"}], 
                    RowBox[{"Binomial", "[", 
                    RowBox[{"j", ",", 
                    RowBox[{"k", "-", "j"}]}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", 
                    RowBox[{"Floor", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"k", "+", "1"}], ")"}], "/", "2"}], "]"}], ",", 
                    RowBox[{"Min", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"n", "/", "2"}]}], "]"}]}], "}"}]}], "]"}]}], 
                    "  ", ",", 
                    RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], 
                 ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Re", "[", 
            RowBox[{
             RowBox[{"Sum", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"\[Eta]", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "*", 
                RowBox[{"fun", "[", 
                 RowBox[{
                  RowBox[{"\[Beta]", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "/", "x"}], "]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"Length", "[", "\[Eta]", "]"}]}], "}"}]}], "]"}], 
             "/", "x"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "T"}], "}"}]}], "]"}], "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.778235123402403*^9, 3.7782351242651186`*^9}, 
   3.778247692563986*^9, {3.7879329060696507`*^9, 3.7879329286305103`*^9}, {
   3.7879330820683107`*^9, 3.787933085456463*^9}, 3.7879332306825123`*^9, {
   3.787933561760265*^9, 3.7879335655102444`*^9}, {3.787933771333105*^9, 
   3.7879337737258635`*^9}, {3.787985661884431*^9, 3.7879856633834305`*^9}, {
   3.7912793154040527`*^9, 3.791279353530304*^9}, {3.7912794146553497`*^9, 
   3.7912794480523*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"b3bd6ddc-fca9-468e-bf97-4acac4c4d4dc"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"===", " ", 
      RowBox[{
      "This", " ", "is", " ", "the", " ", "state", " ", "space", " ", 
       "partitioning", "  ", "module", " ", "which", " ", "returns", "  ", 
       "the", " ", 
       RowBox[{"\[InvisiblePrefixScriptBase]", 
        SuperscriptBox[
         SubscriptBox["S", "a"], 
         RowBox[{"(", "k", ")"}]]}], " ", "Sets", " ", "for", " ", "k"}]}], 
     "\[Element]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
    RowBox[{"a", " ", "\[Element]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"+", 
        RowBox[{",", 
         RowBox[{"-", 
          RowBox[{",", "0", ",", 
           RowBox[{"\[UpperRightArrow]", 
            RowBox[{",", 
             RowBox[{"\[LowerRightArrow]", 
              RowBox[{",", 
               RowBox[{"\[RightArrow]", 
                RowBox[{",", 
                 RowBox[{
                  RowBox[{"\[InvisiblePrefixScriptBase]", 
                   OverscriptBox["+", "\[UpperRightArrow]"]}], 
                  RowBox[{",", 
                   RowBox[{
                    OverscriptBox["+", "\[RightArrow]"], 
                    RowBox[{",", 
                    RowBox[{
                    OverscriptBox["\[RightArrow]", "-"], 
                    RowBox[{",", 
                    
                    OverscriptBox["\[LowerRightArrow]", 
                    "-"]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}], "}"}], "  ", "==", 
      "\[Equal]"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"PartitionFluid", "[", 
      RowBox[{"QQ_", ",", "RR_", ",", 
       RowBox[{"QQTildaTemp_:", "\"\<Auto\>\""}], ",", 
       RowBox[{"RRTildaTemp_:", "\"\<Auto\>\""}], ",", 
       RowBox[{"Dominant_:", "\"\<Up\>\""}], ",", 
       RowBox[{"prec_:", 
        RowBox[{"N", "[", 
         RowBox[{"10", "^", 
          RowBox[{"-", "14"}]}], "]"}]}]}], "]"}], ":=", "\n", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "K", ",", "k", ",", "NN", ",", "ixz", ",", "ixp", ",", "ixm", ",", 
         "Sp", ",", "Sm", ",", "Sz", ",", "i", ",", "j", ",", "Nz", ",", 
         "Nzk", ",", "Np", ",", "Npk", ",", "Nm", ",", "Nmk", ",", "P", ",", 
         "PI", ",", "Q", ",", "R", ",", "Qv", ",", "Rv", ",", "\n", "iQv00", 
         ",", "Qbar", ",", "absRik", ",", "absRi", ",", "Qz", ",", "Qzk", ",",
          "Qppk", ",", "Qpmk", ",", "Qmpk", ",", "Qmmk", ",", "Rpk", ",", 
         "Rmk", ",", "Qpp", ",", "Qpm", ",", "Qmp", ",", "Qmm", ",", "RpInv", 
         ",", "RmInv", ",", "Sup", ",", "Supk", ",", "Sdown", ",", "Sdownk", 
         ",", "Sconst", ",", "Sconstk", ",", "Spup", ",", "Spupk", ",", 
         "Spconst", ",", "Spconstk", ",", "Sdownm", ",", "Sdownmk", ",", 
         "Sconstm", ",", "Sconstmk", ",", "absRiTilda", ",", "absRiTildak", 
         ",", "RmTildaInv", ",", "RmTildak", ",", "RpTildaInv", ",", 
         "RpTildak", ",", "NzTilda", ",", "NzTildak", ",", "NmTilda", ",", 
         "NmTildak", ",", "NpTilda", ",", "NpTildak", ",", "ixmTildaAll", ",",
          "ixmTilda", ",", "ixpTildaAll", ",", "ixpTilda", ",", "ixzTildaAll",
          ",", "ixzTilda", ",", "RTilda", ",", "NNTilda", ",", "QTilda", ",", 
         "KTilda", ",", "RRTilda", ",", "QQTilda"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"===", "===", "===", "===", "===", "===", 
          RowBox[{"\[Equal]", " ", 
           RowBox[{"Works", " ", "for", " ", "Both", " ", "Right", 
            RowBox[{"(", "Up", ")"}]}]}]}], ",", 
         RowBox[{
          RowBox[{"Left", 
           RowBox[{"(", "Low", ")"}], " ", "Continues", " ", "domination", 
           " ", 
           RowBox[{"i", ".", "e", ".", " ", "boundary"}], " ", "rate", 
           RowBox[{"(", 
            RowBox[{"elemets", " ", "of", " ", "RTilda"}], ")"}], " ", "must",
            " ", "be", " ", "right", " ", "OR", " ", "left", " ", 
           "continuous"}], " ", "===", "===", "===", "===", "===", "===", 
          "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"===", "===", "===", "===", "===", "===", 
          RowBox[{"\[Equal]", " ", 
           RowBox[{"If", " ", 
            RowBox[{"RTilda", "/", "QTilda"}], " ", "Matrices", " ", "are", 
            " ", "not", " ", "defined"}]}]}], ",", " ", 
         RowBox[{
         "then", " ", "it", " ", "will", " ", "be", " ", "automaticity", " ", 
          "generated", " ", "by", " ", "this", " ", "module"}], ",", "  ", 
         RowBox[{
          RowBox[{
          "based", " ", "on", " ", "the", " ", "\"\<Dominant_\>\"", " ", 
           "Option", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"Up", "/", "Low"}], ")"}], ".", " ", "The"}], " ", 
           "default", " ", "is", " ", "Up"}], " ", "===", "===", "===", "===",
           "===", "===", "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"==", " ", 
          RowBox[{
           RowBox[{
           "If", " ", "RTilda", " ", "Matrices", " ", "are", " ", "User"}], 
           "-", 
           RowBox[{"defined", " ", "based"}]}]}], ",", 
         RowBox[{
         "it", " ", "should", " ", "fulfills", " ", "the", " ", "natural", 
          " ", "requirements", " ", "as", " ", "stated", " ", "in", " ", 
          "\"\<Condition 1\>\"", " ", "on", " ", "the", " ", "paper"}], ",", 
         " ", 
         RowBox[{
          RowBox[{
           RowBox[{
           "To", " ", "aviod", " ", "undefined", " ", "stochastic", " ", 
            "behaviour"}], "    ", "==="}], "=", "\[Equal]"}]}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"K", "=", 
         RowBox[{
          RowBox[{"Dimensions", "[", "QQ", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"QQTilda", "=", "QQTildaTemp"}], ";", "\[IndentingNewLine]", 
        RowBox[{"RRTilda", "=", "RRTildaTemp"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"Dominant", "==", "\"\<Low\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"QQTildaTemp", "\[Equal]", "\"\<Auto\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"KTilda", "=", 
               RowBox[{"K", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"QQTilda", "=", 
               RowBox[{"ConstantArray", "[", 
                RowBox[{"0", ",", "KTilda"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"QQTilda", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "=", 
               RowBox[{"QQ", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "2"}], ",", 
                RowBox[{"i", "\[LessEqual]", " ", "KTilda"}], ",", 
                RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"QQTilda", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], "=", 
                  RowBox[{"QQ", "[", 
                   RowBox[{"[", 
                    RowBox[{"i", "-", "1"}], "]"}], "]"}]}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"RRTildaTemp", "\[Equal]", "\"\<Auto\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"KTilda", "=", 
               RowBox[{"K", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"RRTilda", "=", 
               RowBox[{"ConstantArray", "[", 
                RowBox[{"0", ",", "KTilda"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"RRTilda", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "=", 
               RowBox[{"RR", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "2"}], ",", 
                RowBox[{"i", "\[LessEqual]", " ", "KTilda"}], ",", 
                RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"RRTilda", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], "=", 
                  RowBox[{"RR", "[", 
                   RowBox[{"[", 
                    RowBox[{"i", "-", "1"}], "]"}], "]"}]}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", " ", 
                 RowBox[{"KTilda", "-", "2"}]}], ",", 
                RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"j", "=", "1"}], ",", 
                   RowBox[{"j", "\[LessEqual]", " ", 
                    RowBox[{"Length", "[", 
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ",", 
                   RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", "\t", 
                   RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], ">", "prec"}], " ",
                     "&&", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "<", "prec"}]}], 
                    ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}]}], 
                    "]"}], ";", "\[IndentingNewLine]", 
                    "                                ", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}], ";", 
                    " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}]}]}], 
                    "]"}], ";"}]}], "\[IndentingNewLine]", " ", "]"}], 
                 ";"}]}], "\t\t\t\t", "\[IndentingNewLine]", "    ", "]"}], 
              ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"K", "=", 
            RowBox[{
             RowBox[{"Dimensions", "[", "QQ", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"KTilda", "=", 
            RowBox[{
             RowBox[{"Dimensions", "[", "QQTilda", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           " ", 
           RowBox[{"Qz", " ", "=", " ", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"absRi", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Np", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Nm", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Nz", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Qpp", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Qpm", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Qmp", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Qmm", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"RpInv", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"RmInv", "=", 
            RowBox[{"{", "}"}]}], ";", " ", 
           RowBox[{"Sp", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Sm", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Sz", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"absRiTilda", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"NpTilda", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"NmTilda", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"NzTilda", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"RpTildaInv", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"RmTildaInv", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"ixpTildaAll", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"ixmTildaAll", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"ixzTildaAll", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"===", "==="}], "=", 
             RowBox[{
              RowBox[{
              "Checking", "  ", "undefined", " ", "stochastic", " ", 
               "behaviour", " ", "based", " ", "on", " ", "Condition", " ", 
               "1"}], "===", "==="}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"Condition", " ", "1"}], ",", " ", 
             RowBox[{"Point", " ", "1", " ", "and", " ", "4"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"NNTilda", "=", 
            RowBox[{
             RowBox[{"Dimensions", "[", 
              RowBox[{"QQTilda", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", " ", "NNTilda"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", "\t", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"RRTilda", "[", 
                   RowBox[{"[", "KTilda", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "i"}], "]"}], "]"}], ">", "prec"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"RRTilda", "[", 
                   RowBox[{"[", "KTilda", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "i"}], "]"}], "]"}], "=", "0"}]}], "]"}],
               ";", "\[IndentingNewLine]", "\t\t\t\t", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"RRTilda", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "i"}], "]"}], "]"}], "<", "prec"}], ",", 
                " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"RRTilda", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "i"}], "]"}], "]"}], "=", "0"}]}], "]"}],
               ";"}]}], "\t\t\t\t", "\n", "\t", "]"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", " ", 
              RowBox[{"KTilda", "-", "1"}]}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{"Condition", " ", "1"}], ",", " ", 
               RowBox[{"Point", " ", "2", " ", "and", " ", "3"}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"!", 
                 RowBox[{"SubsetQ", "[", 
                  RowBox[{
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}], ",", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}]}], "]"}]}],
                 ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"PartitionFluid", "::", "nnarg"}], "=", 
                  "\"\<The boundary negative rate sign's  is not Compatible \
with The region  negative rate sign's.\n\>\""}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Message", "[", 
                  RowBox[{
                   RowBox[{"PartitionFluid", "::", "nnarg"}], ",", "i"}], 
                  "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"!", 
                 RowBox[{"SubsetQ", "[", 
                  RowBox[{
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}], ",", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}]}], "]"}]}],
                 ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"PartitionFluid", "::", "nnarg"}], "=", 
                  "\"\<The boundary positive rate sign's  is not Compatible \
with The region  positive rate sign's.\n\>\""}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Message", "[", 
                  RowBox[{
                   RowBox[{"PartitionFluid", "::", "nnarg"}], ",", "i"}], 
                  "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "Checking", " ", "the", " ", "compatability", " ", "between", " ",
              "the", " ", "boundaries", " ", "and", " ", "the", " ", 
             "regions", " ", "for", " ", "the", " ", "zero", " ", "rate", " ",
              "states", " ", "in", " ", "case", " ", "of", " ", "the", " ", 
             "user", " ", "defined", " ", "RTilda"}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", " ", 
              RowBox[{"KTilda", "-", "1"}]}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"!", 
                 RowBox[{"SubsetQ", "[", 
                  RowBox[{
                   RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}], ",", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}]}], "]"}], 
                   ",", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}]}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"PartitionFluid", "::", "nnarg"}], "=", 
                  "\"\<The boundary zero rate sign's  is not Compatible with \
The region  zero rate sign's.\n\>\""}], ";", 
                 RowBox[{"Message", "[", 
                  RowBox[{
                   RowBox[{"PartitionFluid", "::", "nnarg"}], ",", "i"}], 
                  "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"!", 
                 RowBox[{"SubsetQ", "[", 
                  RowBox[{
                   RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}], ",", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}]}], "]"}], 
                   ",", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}]}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"PartitionFluid", "::", "nnarg"}], "=", 
                  "\"\<The boundary zero rate sign's  is not Compatible with \
The region  zero rate sign's.\n\>\""}], ";", 
                 RowBox[{"Message", "[", 
                  RowBox[{
                   RowBox[{"PartitionFluid", "::", "nnarg"}], ",", "i"}], 
                  "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"Setting", " ", "up", " ", 
           RowBox[{"QTilda", "/", "RTilda"}], " ", "in", " ", "case", " ", 
           "of", " ", "Auto"}], "-", 
          RowBox[{
          "generation", " ", "with", " ", "upper", " ", "region", " ", 
           "domination"}]}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"Dominant", "==", "\"\<Up\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"QQTildaTemp", "\[Equal]", "\"\<Auto\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"KTilda", "=", 
               RowBox[{"K", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"QQTilda", "=", 
               RowBox[{"ConstantArray", "[", 
                RowBox[{"0", ",", "KTilda"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", " ", 
                 RowBox[{"KTilda", "-", "1"}]}], ",", 
                RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"QQTilda", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], "=", 
                  RowBox[{"QQ", "[", 
                   RowBox[{"[", "i", "]"}], "]"}]}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"QQTilda", "[", 
                RowBox[{"[", "KTilda", "]"}], "]"}], "=", 
               RowBox[{"QQ", "[", 
                RowBox[{"[", 
                 RowBox[{"KTilda", "-", "1"}], "]"}], "]"}]}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"RRTildaTemp", "\[Equal]", "\"\<Auto\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"KTilda", "=", 
               RowBox[{"K", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"RRTilda", "=", 
               RowBox[{"ConstantArray", "[", 
                RowBox[{"0", ",", "KTilda"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", " ", 
                 RowBox[{"KTilda", "-", "1"}]}], ",", 
                RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"RRTilda", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], "=", 
                  RowBox[{"RR", "[", 
                   RowBox[{"[", "i", "]"}], "]"}]}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"RRTilda", "[", 
                RowBox[{"[", "KTilda", "]"}], "]"}], "=", 
               RowBox[{"RR", "[", 
                RowBox[{"[", 
                 RowBox[{"KTilda", "-", "1"}], "]"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", " ", 
                 RowBox[{"KTilda", "-", "2"}]}], ",", 
                RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"j", "=", "1"}], ",", 
                   RowBox[{"j", "\[LessEqual]", " ", 
                    RowBox[{"Length", "[", 
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ",", 
                   RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", "\t", 
                   RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], ">", "prec"}], " ",
                     "&&", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "<", "prec"}]}], 
                    ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}]}], 
                    "]"}], ";", "\[IndentingNewLine]", 
                    "                                ", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}], ";", 
                    " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "j"}], "]"}], "]"}], "=", "0"}]}]}], 
                    "]"}], ";"}]}], "\[IndentingNewLine]", " ", "]"}], 
                 ";"}]}], "\n", "\t\t", "]"}], ";"}]}], "\[IndentingNewLine]",
             "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"K", "=", 
            RowBox[{
             RowBox[{"Dimensions", "[", "QQ", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"KTilda", "=", 
            RowBox[{
             RowBox[{"Dimensions", "[", "QQTilda", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           " ", 
           RowBox[{"Qz", " ", "=", " ", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"absRi", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Np", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Nm", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Nz", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Qpp", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Qpm", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Qmp", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Qmm", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"RpInv", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"RmInv", "=", 
            RowBox[{"{", "}"}]}], ";", " ", 
           RowBox[{"Sp", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Sm", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"Sz", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"absRiTilda", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"NpTilda", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"NmTilda", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"NzTilda", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"RpTildaInv", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"RmTildaInv", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"ixpTildaAll", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"ixmTildaAll", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"ixzTildaAll", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"===", "==="}], "=", 
             RowBox[{
              RowBox[{
              "Checking", "  ", "undefined", " ", "stochastic", " ", 
               "behaviour", " ", "based", " ", "on", " ", "Condition", " ", 
               "1"}], "===", "==="}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"Condition", " ", "1"}], ",", " ", 
             RowBox[{"Point", " ", "1", " ", "and", " ", "4"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"NNTilda", "=", 
            RowBox[{
             RowBox[{"Dimensions", "[", 
              RowBox[{"QQTilda", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", " ", "NNTilda"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", "\t", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"RRTilda", "[", 
                   RowBox[{"[", "KTilda", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "i"}], "]"}], "]"}], ">", "prec"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"RRTilda", "[", 
                   RowBox[{"[", "KTilda", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "i"}], "]"}], "]"}], "=", "0"}]}], "]"}],
               ";", "\[IndentingNewLine]", "\t\t\t\t", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"RRTilda", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "i"}], "]"}], "]"}], "<", "prec"}], ",", 
                " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"RRTilda", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "i"}], "]"}], "]"}], "=", "0"}]}], "]"}],
               ";"}]}], "\t\t\t\t", "\n", "\t", "]"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", " ", 
              RowBox[{"KTilda", "-", "1"}]}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{"Condition", " ", "1"}], ",", " ", 
               RowBox[{"Point", " ", "2", " ", "and", " ", "3"}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"!", 
                 RowBox[{"SubsetQ", "[", 
                  RowBox[{
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}], ",", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}]}], "]"}]}],
                 ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"PartitionFluid", "::", "nnarg"}], "=", 
                  "\"\<The boundary negative rate sign's  is not Compatible \
with The region  negative rate sign's.\n\>\""}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Message", "[", 
                  RowBox[{
                   RowBox[{"PartitionFluid", "::", "nnarg"}], ",", "i"}], 
                  "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"!", 
                 RowBox[{"SubsetQ", "[", 
                  RowBox[{
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}], ",", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}]}], "]"}]}],
                 ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"PartitionFluid", "::", "nnarg"}], "=", 
                  "\"\<The boundary positive rate sign's  is not Compatible \
with The region  positive rate sign's.\n\>\""}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Message", "[", 
                  RowBox[{
                   RowBox[{"PartitionFluid", "::", "nnarg"}], ",", "i"}], 
                  "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "Checking", " ", "the", " ", "compatability", " ", "between", " ",
              "the", " ", "boundaries", " ", "and", " ", "the", " ", 
             "regions", " ", "for", " ", "the", " ", "zero", " ", "rate", " ",
              "states", " ", "in", " ", "case", " ", "of", " ", "the", " ", 
             "user", " ", "defined", " ", "RTilda"}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", " ", 
              RowBox[{"KTilda", "-", "1"}]}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"!", 
                 RowBox[{"SubsetQ", "[", 
                  RowBox[{
                   RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}], ",", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Positive"}]}], "]"}], "]"}]}], "]"}], 
                   ",", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}]}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"PartitionFluid", "::", "nnarg"}], "=", 
                  "\"\<The boundary zero rate sign's  is not Compatible with \
The region  zero rate sign's.\n\>\""}], ";", 
                 RowBox[{"Message", "[", 
                  RowBox[{
                   RowBox[{"PartitionFluid", "::", "nnarg"}], ",", "i"}], 
                  "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"!", 
                 RowBox[{"SubsetQ", "[", 
                  RowBox[{
                   RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}], ",", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RRTilda", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", "Negative"}]}], "]"}], "]"}]}], "]"}], 
                   ",", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Diagonal", "[", 
                    RowBox[{"RR", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", " ", "\[Equal]", "0"}], " ", "&"}], 
                    ")"}]}]}], "]"}], "]"}]}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"PartitionFluid", "::", "nnarg"}], "=", 
                  "\"\<The boundary zero rate sign's  is not Compatible with \
The region  zero rate sign's.\n\>\""}], ";", 
                 RowBox[{"Message", "[", 
                  RowBox[{
                   RowBox[{"PartitionFluid", "::", "nnarg"}], ",", "i"}], 
                  "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Abort", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{"Print", "[", "RRTilda", "]"}], " ", "//", "MatrixForm"}], 
          ";"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "==="}], "=", 
          RowBox[{
           RowBox[{"boundaries", " ", "partitoning"}], "===", "==="}]}], 
         "*)"}], "\[IndentingNewLine]", "\t", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "1"}], ",", 
          RowBox[{"k", "\[LessEqual]", "KTilda"}], ",", 
          RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"QTilda", "=", 
             RowBox[{"QQTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"RTilda", "=", 
             RowBox[{"RRTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"NNTilda", "=", 
             RowBox[{
              RowBox[{"Dimensions", "[", "QTilda", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{
               RowBox[{
                SuperscriptBox[
                 SubscriptBox["S", "a"], 
                 RowBox[{"(", "k", ")"}]], " ", "Sets", " ", "for", " ", 
                "k"}], "\[Element]", 
               RowBox[{"{", 
                RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
              RowBox[{"a", " ", "\[Element]", 
               RowBox[{"{", 
                RowBox[{"\[UpperRightArrow]", 
                 RowBox[{",", 
                  RowBox[{"\[LowerRightArrow]", 
                   RowBox[{",", "\[RightArrow]"}]}]}]}], "}"}]}]}], " ", 
             "*)"}], "\n", "\t", 
            RowBox[{"ixzTilda", "=", 
             RowBox[{"{", "}"}]}], ";", "\n", "\t", 
            RowBox[{"ixpTilda", "=", 
             RowBox[{"{", "}"}]}], ";", "\n", "\t", 
            RowBox[{"ixmTilda", "=", 
             RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", "\t", 
            RowBox[{"Do", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Abs", "[", 
                   RowBox[{"RTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], "]"}], "<=", 
                  "prec"}], ",", " ", 
                 RowBox[{"AppendTo", "[", 
                  RowBox[{"ixzTilda", ",", "i"}], "]"}], ",", "\n", "\t\t\t", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"RTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], ">", "prec"}], ",",
                    " ", 
                   RowBox[{"AppendTo", "[", 
                    RowBox[{"ixpTilda", ",", "i"}], "]"}], ",", "\n", 
                   "\t\t\t\t", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], "<", "prec"}], ",",
                     " ", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"ixmTilda", ",", "i"}], "]"}]}], "]"}]}], "]"}]}],
                 "]"}], ";"}], "\t\t\t", "\n", "\t", ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "NNTilda"}], "}"}]}], "]"}], ";"}], "\n", 
           "\t", ";", "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"ixzTildaAll", ",", "ixzTilda"}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"ixpTildaAll", ",", "ixpTilda"}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"ixmTildaAll", ",", "ixmTilda"}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"NpTildak", " ", "=", " ", 
            RowBox[{"Length", "[", 
             RowBox[{"ixpTildaAll", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", "\n", "\t", 
           RowBox[{"NmTildak", " ", "=", " ", 
            RowBox[{"Length", "[", 
             RowBox[{"ixmTildaAll", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"NzTildak", " ", "=", " ", 
            RowBox[{"Length", "[", 
             RowBox[{"ixzTildaAll", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", "\n", 
           "          ", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"NpTilda", ",", "NpTildak"}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"NmTilda", ",", "NmTildak"}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"NzTilda", ",", "NzTildak"}], "]"}], ";", 
           "\[IndentingNewLine]", "\n", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Dimensions", "[", 
                RowBox[{"ixpTildaAll", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], "\[NotEqual]", " ", "0"}], ",",
              "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"RpTildak", " ", "=", " ", 
               RowBox[{"DiagonalMatrix", "[", 
                RowBox[{"Abs", "[", 
                 RowBox[{"1", "/", 
                  RowBox[{"Diagonal", "[", 
                   RowBox[{"RTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"ixpTildaAll", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"ixpTildaAll", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}]}], 
                 "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Dimensions", "[", 
                RowBox[{"ixmTildaAll", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], "\[NotEqual]", " ", "0"}], ",",
              "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"RmTildak", " ", "=", " ", 
               RowBox[{"DiagonalMatrix", "[", 
                RowBox[{"Abs", "[", 
                 RowBox[{"1", "/", 
                  RowBox[{"Diagonal", "[", 
                   RowBox[{"RTilda", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"ixmTildaAll", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"ixmTildaAll", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}]}], 
                 "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"absRiTildak", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"NpTildak", "+", "NmTildak", "+", "NzTildak"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"NpTildak", "+", "NmTildak", "+", "NzTildak"}], 
               "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"absRiTildak", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"ixpTildaAll", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"ixpTildaAll", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
            "RpTildak"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"absRiTildak", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"ixmTildaAll", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"ixmTildaAll", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
            "RmTildak"}], ";", "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"RpTildaInv", ",", "RpTildak"}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"RmTildaInv", ",", "RmTildak"}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"absRiTilda", ",", "absRiTildak"}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Sup", "=", "ixpTildaAll"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Sdown", "=", "ixmTildaAll"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Sconst", "=", "ixzTildaAll"}], ";", "\n", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "==="}], "=", 
          RowBox[{
           RowBox[{"regions", " ", "partitoning"}], "===", "==="}]}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{
            SuperscriptBox[
             SubscriptBox["S", "a"], 
             RowBox[{"(", "k", ")"}]], " ", "Sets", " ", "for", " ", "k"}], 
           "\[Element]", 
           RowBox[{"{", 
            RowBox[{"1", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
          RowBox[{"a", " ", "\[Element]", 
           RowBox[{"{", 
            RowBox[{"+", 
             RowBox[{",", 
              RowBox[{"-", 
               RowBox[{",", "0"}]}]}]}], "}"}]}]}], " ", "*)"}], 
        "\[IndentingNewLine]", "\t", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "1"}], ",", 
          RowBox[{"k", "\[LessEqual]", "K"}], ",", 
          RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Q", "=", 
             RowBox[{"QQ", "[", 
              RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"R", "=", 
             RowBox[{"RR", "[", 
              RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"NN", "=", 
             RowBox[{
              RowBox[{"Dimensions", "[", "Q", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", "\t", 
            RowBox[{"(*", 
             RowBox[{
             "Partition", " ", "the", " ", "state", " ", "space", " ", 
              "according", " ", "to", " ", 
              RowBox[{
               RowBox[{"positive", "/", "negative"}], "/", "zero"}], " ", 
              "fluid", " ", "rates"}], "*)"}], "\n", "\t", 
            RowBox[{"ixz", "=", 
             RowBox[{"{", "}"}]}], ";", "\n", "\t", 
            RowBox[{"ixp", "=", 
             RowBox[{"{", "}"}]}], ";", "\n", "\t", 
            RowBox[{"ixm", "=", 
             RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", "\t", 
            RowBox[{"Do", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Abs", "[", 
                   RowBox[{"R", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], "]"}], "<=", 
                  "prec"}], ",", " ", 
                 RowBox[{"AppendTo", "[", 
                  RowBox[{"ixz", ",", "i"}], "]"}], ",", "\n", "\t\t\t", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"R", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], ">", "prec"}], ",",
                    " ", 
                   RowBox[{"AppendTo", "[", 
                    RowBox[{"ixp", ",", "i"}], "]"}], ",", "\n", "\t\t\t\t", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"R", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "i"}], "]"}], "]"}], "<", "prec"}], ",",
                     " ", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"ixm", ",", "i"}], "]"}]}], "]"}]}], "]"}]}], 
                "]"}], ";"}], "\t\t", "\n", "\t", ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "NN"}], "}"}]}], "]"}], ";"}], "\n", "\t", 
           ";", "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"Sz", ",", "ixz"}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"Sp", ",", "ixp"}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"Sm", ",", "ixm"}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Npk", " ", "=", " ", 
            RowBox[{"Length", "[", 
             RowBox[{"Sp", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", "\n", "\t", 
           RowBox[{"Nmk", " ", "=", " ", 
            RowBox[{"Length", "[", 
             RowBox[{"Sm", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Nzk", " ", "=", " ", 
            RowBox[{"Length", "[", 
             RowBox[{"Sz", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "]"}]}], ";", "\n", 
           "          ", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"Np", ",", "Npk"}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"Nm", ",", "Nmk"}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"Nz", ",", "Nzk"}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Rpk", " ", "=", " ", 
            RowBox[{"DiagonalMatrix", "[", 
             RowBox[{"Abs", "[", 
              RowBox[{"1", "/", 
               RowBox[{"Diagonal", "[", 
                RowBox[{"R", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Rmk", " ", "=", " ", 
            RowBox[{"DiagonalMatrix", "[", 
             RowBox[{"Abs", "[", 
              RowBox[{"1", "/", 
               RowBox[{"Diagonal", "[", 
                RowBox[{"R", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"absRik", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"Npk", "+", "Nmk", "+", "Nzk"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"Npk", "+", "Nmk", "+", "Nzk"}], "}"}]}], "]"}]}], ";",
            "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"absRik", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sp", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", "Rpk"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"absRik", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sm", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", "Rmk"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"RpInv", ",", "Rpk"}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"RmInv", ",", "Rmk"}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"absRi", ",", "absRik"}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{
            SuperscriptBox[
             SubscriptBox["S", "a"], 
             RowBox[{"(", "k", ")"}]], " ", "Sets", " ", "for", " ", "k"}], 
           "\[Element]", 
           RowBox[{"{", 
            RowBox[{"1", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
          RowBox[{"a", " ", "\[Element]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[InvisiblePrefixScriptBase]", 
              OverscriptBox["+", "\[UpperRightArrow]"]}], 
             RowBox[{",", 
              RowBox[{
               OverscriptBox["+", "\[RightArrow]"], 
               RowBox[{",", 
                RowBox[{
                 OverscriptBox["\[RightArrow]", "-"], 
                 RowBox[{",", 
                  OverscriptBox["\[LowerRightArrow]", "-"]}]}]}]}]}]}], 
            "}"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Spup", "=", 
         RowBox[{"{", "}"}]}], ";", " ", 
        RowBox[{"Spconst", "=", 
         RowBox[{"{", "}"}]}], ";", 
        RowBox[{"Sdownm", "=", 
         RowBox[{"{", "}"}]}], ";", " ", 
        RowBox[{"Sconstm", "=", 
         RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "1"}], ",", 
          RowBox[{"k", "\[LessEqual]", "K"}], ",", 
          RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Spupk", "=", 
            RowBox[{"Intersection", "[", 
             RowBox[{
              RowBox[{"Sp", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sup", "[", 
               RowBox[{"[", 
                RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"Spup", ",", "Spupk"}], "]"}], ";", "\[IndentingNewLine]",
            " ", 
           RowBox[{"Spconstk", "=", 
            RowBox[{"Intersection", "[", 
             RowBox[{
              RowBox[{"Sp", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", 
                RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"Spconst", ",", "Spconstk"}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "0"}], ",", 
          RowBox[{"k", "\[LessEqual]", 
           RowBox[{"K", "-", "1"}]}], ",", 
          RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Sdownmk", "=", 
            RowBox[{"Intersection", "[", 
             RowBox[{
              RowBox[{"Sm", "[", 
               RowBox[{"[", 
                RowBox[{"k", "+", "1"}], "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", 
                RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"Sdownm", ",", "Sdownmk"}], "]"}], ";", 
           "\[IndentingNewLine]", " ", 
           RowBox[{"Sconstmk", "=", 
            RowBox[{"Intersection", "[", 
             RowBox[{
              RowBox[{"Sm", "[", 
               RowBox[{"[", 
                RowBox[{"k", "+", "1"}], "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", 
                RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"Sconstm", ",", "Sconstmk"}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", "\t", 
        RowBox[{"Return", "[", 
         RowBox[{"{", 
          RowBox[{
          "QQTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", "Np", ",",
            "Nm", ",", "Nz", ",", "NpTilda", ",", "NmTilda", ",", "NzTilda", 
           ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm"}], "}"}], "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7797228838171563`*^9, 3.779722915017387*^9}, {
   3.7797230901901026`*^9, 3.779723131100321*^9}, {3.779723170002015*^9, 
   3.7797231711463284`*^9}, {3.77972321185174*^9, 3.779723237032317*^9}, {
   3.779723421132956*^9, 3.7797234589941907`*^9}, {3.779723502688578*^9, 
   3.7797235050530453`*^9}, {3.779723592269684*^9, 3.7797236217435923`*^9}, {
   3.779723681011507*^9, 3.7797236901339808`*^9}, {3.7797237773397913`*^9, 
   3.779723789887312*^9}, {3.7797238463136473`*^9, 3.7797239565294404`*^9}, {
   3.779723987538748*^9, 3.7797240071154747`*^9}, {3.779724101325198*^9, 
   3.7797241096513987`*^9}, {3.7797283400730658`*^9, 3.779728342220331*^9}, {
   3.7797285086285906`*^9, 3.7797285135554237`*^9}, {3.779728740481698*^9, 
   3.779728743452761*^9}, {3.779728785920258*^9, 3.779728787557885*^9}, {
   3.779728917955224*^9, 3.7797289183920236`*^9}, {3.779729861895216*^9, 
   3.7797298809981403`*^9}, {3.7797860053257036`*^9, 3.779786013560253*^9}, {
   3.7797861348028793`*^9, 3.7797861383060665`*^9}, 3.7797862985740485`*^9, {
   3.779788913949541*^9, 3.7797889155113688`*^9}, {3.7799795262272425`*^9, 
   3.7799795289819984`*^9}, {3.7800342723312855`*^9, 
   3.7800342883492775`*^9}, {3.7801301949569063`*^9, 3.780130218569439*^9}, {
   3.7801302521566*^9, 3.7801302645479355`*^9}, {3.780205487837159*^9, 
   3.780205564545213*^9}, {3.780205674388966*^9, 3.7802056889667854`*^9}, {
   3.7803318116560955`*^9, 3.7803318116880507`*^9}, 3.780465864176914*^9, {
   3.7807352202602572`*^9, 3.780735237119161*^9}, 3.7807360164814067`*^9, {
   3.7807360761887875`*^9, 3.7807360768938584`*^9}, {3.7807402950009675`*^9, 
   3.780740295361974*^9}, {3.7809149494701614`*^9, 3.780914949608822*^9}, {
   3.7809150021543818`*^9, 3.780915002405676*^9}, {3.7817054478879194`*^9, 
   3.7817054498186665`*^9}, {3.782724484334981*^9, 3.7827245331445217`*^9}, {
   3.7827250947384605`*^9, 3.7827250962314744`*^9}, {3.782725128584016*^9, 
   3.782725128725634*^9}, {3.782725169758359*^9, 3.782725171287402*^9}, {
   3.7827252245163755`*^9, 3.782725256646174*^9}, {3.782725326584033*^9, 
   3.7827253306996393`*^9}, {3.78272536201419*^9, 3.7827253969696865`*^9}, {
   3.782725506040987*^9, 3.7827255344320636`*^9}, {3.782725617124876*^9, 
   3.7827256261536655`*^9}, {3.7827257049624925`*^9, 
   3.7827257480008893`*^9}, {3.7827257842615085`*^9, 3.782725797695588*^9}, {
   3.782725843204909*^9, 3.782726184233528*^9}, {3.782726384764778*^9, 
   3.7827263903387694`*^9}, {3.782728734979452*^9, 3.7827288977522335`*^9}, {
   3.782728987959694*^9, 3.782728998872961*^9}, {3.782729148752772*^9, 
   3.782729171540702*^9}, 3.7827293722193117`*^9, {3.7827295548627744`*^9, 
   3.7827296304339514`*^9}, {3.7827503364723735`*^9, 
   3.7827505405034895`*^9}, {3.782750660104673*^9, 3.7827506649526606`*^9}, {
   3.782752017414155*^9, 3.78275201752984*^9}, {3.78275211778307*^9, 
   3.7827521499140997`*^9}, {3.7827521926528606`*^9, 3.782752197350254*^9}, {
   3.7827523287197213`*^9, 3.7827523325873833`*^9}, {3.7833600453029623`*^9, 
   3.78336005069794*^9}, {3.783360135531271*^9, 3.7833601470084534`*^9}, {
   3.78336019918744*^9, 3.7833602105853043`*^9}, {3.7833602450011625`*^9, 
   3.783360336802185*^9}, {3.7833604131068993`*^9, 3.783360466671562*^9}, {
   3.783360590717358*^9, 3.7833605948857965`*^9}, {3.783360703593992*^9, 
   3.783360706388007*^9}, 3.783364459019863*^9, 3.78342081612039*^9, {
   3.783420851696208*^9, 3.7834208534674697`*^9}, {3.783420905557104*^9, 
   3.783420907277501*^9}, {3.783421101262637*^9, 3.783421117358576*^9}, 
   3.7834211883925233`*^9, {3.7834215344365788`*^9, 3.783421537470461*^9}, {
   3.7834234609346285`*^9, 3.7834235234513674`*^9}, {3.7834353678671722`*^9, 
   3.7834353988353205`*^9}, 3.7834354316305757`*^9, {3.7834354704766483`*^9, 
   3.783435578827753*^9}, {3.7834356137014494`*^9, 3.783435837274286*^9}, {
   3.7834360644254684`*^9, 3.783436088631708*^9}, {3.783536123519413*^9, 
   3.7835361544164133`*^9}, {3.7835363144989023`*^9, 3.783536314708375*^9}, {
   3.7838810525834703`*^9, 3.783881062854102*^9}, {3.7838811203979945`*^9, 
   3.783881121520158*^9}, {3.784487953150869*^9, 3.7844879561666284`*^9}, {
   3.7844879979702396`*^9, 3.784487998579918*^9}, {3.7844881389366817`*^9, 
   3.784488198889467*^9}, {3.7844882546307774`*^9, 3.7844883062327623`*^9}, {
   3.784488345410277*^9, 3.78448837699512*^9}, {3.7844884161757975`*^9, 
   3.78448841753858*^9}, {3.7844887247357674`*^9, 3.7844887259447613`*^9}, {
   3.7844899338920116`*^9, 3.7844899378770795`*^9}, {3.784794897233775*^9, 
   3.784795015701836*^9}, {3.784795126662198*^9, 3.78479515978228*^9}, {
   3.784795192464831*^9, 3.784795272342015*^9}, {3.784795425503905*^9, 
   3.7847954677272053`*^9}, {3.7847955471619034`*^9, 
   3.7847955511964235`*^9}, {3.784796034457252*^9, 3.784796039733733*^9}, {
   3.784798735931958*^9, 3.7847988039540024`*^9}, {3.7847989719236116`*^9, 
   3.7847991558904066`*^9}, {3.784799204485355*^9, 3.7847992166658125`*^9}, {
   3.7848021237187533`*^9, 3.7848022306542387`*^9}, {3.784802285197293*^9, 
   3.7848022860170946`*^9}, {3.7848023228910484`*^9, 3.78480238756702*^9}, {
   3.784805282017826*^9, 3.7848054645155973`*^9}, {3.784821714875697*^9, 
   3.7848217981742525`*^9}, {3.7848218633650403`*^9, 
   3.7848218722523317`*^9}, {3.7848219920584908`*^9, 
   3.7848220276147547`*^9}, {3.784822407729886*^9, 3.7848224540040817`*^9}, {
   3.7848230502269573`*^9, 3.7848231090409765`*^9}, {3.7848231801547556`*^9, 
   3.7848231844761505`*^9}, {3.7848232886095457`*^9, 3.784823451573537*^9}, {
   3.784823510379205*^9, 3.784823539192116*^9}, {3.7848235721220617`*^9, 
   3.7848235897807703`*^9}, {3.784823985766859*^9, 3.784824044591486*^9}, {
   3.7848319902194705`*^9, 3.7848320087967653`*^9}, {3.784832067579959*^9, 
   3.784832067894077*^9}, {3.7848321016038866`*^9, 3.784832126735648*^9}, {
   3.7848334837769146`*^9, 3.7848335305937014`*^9}, {3.7848335937118244`*^9, 
   3.7848336128197117`*^9}, {3.7848336444909325`*^9, 3.784833672130978*^9}, {
   3.784833753837376*^9, 3.7848338176416683`*^9}, {3.7848342362785635`*^9, 
   3.7848342654511614`*^9}, {3.784834300181384*^9, 3.7848343094823604`*^9}, {
   3.784834364688259*^9, 3.7848344085159693`*^9}, {3.784834549083779*^9, 
   3.7848345493863106`*^9}, {3.784834606110993*^9, 3.7848346075776143`*^9}, {
   3.7848347665467424`*^9, 3.7848347673561077`*^9}, {3.784834905853058*^9, 
   3.784834931689835*^9}, {3.7848354924368935`*^9, 3.7848354956313486`*^9}, {
   3.7848357675502753`*^9, 3.7848357717205367`*^9}, {3.784835981525893*^9, 
   3.784835984277791*^9}, {3.784877830890011*^9, 3.7848778694613824`*^9}, {
   3.7848781177703505`*^9, 3.784878126055299*^9}, {3.7848812553929696`*^9, 
   3.7848812659063997`*^9}, {3.78488151928189*^9, 3.7848815225512066`*^9}, {
   3.7848815880764055`*^9, 3.7848815993771443`*^9}, {3.784881818497571*^9, 
   3.7848818519520087`*^9}, {3.7848824666025496`*^9, 3.78488247787279*^9}, {
   3.784882531207412*^9, 3.7848825341981945`*^9}, {3.7848838372225847`*^9, 
   3.784883854280948*^9}, {3.7848838851194363`*^9, 3.784883885387768*^9}, {
   3.784884595898813*^9, 3.784884600494511*^9}, {3.7848846437607093`*^9, 
   3.7848846745490913`*^9}, {3.78488475710322*^9, 3.7848847628798137`*^9}, {
   3.784885193245067*^9, 3.7848852671313877`*^9}, {3.7848853656697545`*^9, 
   3.784885415758787*^9}, {3.784885528638734*^9, 3.7848855385053315`*^9}, {
   3.7848855819431157`*^9, 3.7848855886501703`*^9}, {3.7848856230640965`*^9, 
   3.7848856263503046`*^9}, 3.7849140045728207`*^9, {3.7849144856297226`*^9, 
   3.784914487201519*^9}, {3.7849146161384892`*^9, 3.7849146248084574`*^9}, {
   3.7850037984179745`*^9, 3.785003806306833*^9}, {3.7850039765790567`*^9, 
   3.785003980775612*^9}, {3.78500407901525*^9, 3.785004082261922*^9}, {
   3.7854087991235013`*^9, 3.785408825158862*^9}, {3.7855680629459686`*^9, 
   3.785568076893427*^9}, {3.7855683129503293`*^9, 3.7855683481762886`*^9}, {
   3.7855684003504105`*^9, 3.785568692912322*^9}, {3.785568741375519*^9, 
   3.785568985306946*^9}, {3.785569050207857*^9, 3.785569190944934*^9}, 
   3.7855749724984093`*^9, 3.7855750227783556`*^9, {3.785576772841896*^9, 
   3.785576878235837*^9}, {3.7855769208537827`*^9, 3.7855769501184635`*^9}, {
   3.7855769948198814`*^9, 3.7855770165247445`*^9}, {3.785577048131198*^9, 
   3.785577053708233*^9}, {3.7855772222741556`*^9, 3.7855772275529866`*^9}, {
   3.785577275899598*^9, 3.785577354884217*^9}, {3.7855773891993823`*^9, 
   3.785577448152611*^9}, 3.7855775431623983`*^9, {3.785579550929948*^9, 
   3.7855795555027094`*^9}, {3.785586663715706*^9, 3.785586753733471*^9}, {
   3.785664069318123*^9, 3.785664071719475*^9}, {3.7856643005387444`*^9, 
   3.7856643170604887`*^9}, {3.785664384199676*^9, 3.785664385639247*^9}, {
   3.7856644339212914`*^9, 3.7856644624862785`*^9}, {3.7856645296932974`*^9, 
   3.7856646231021247`*^9}, {3.785664656548526*^9, 3.785664696456194*^9}, {
   3.7856647597990966`*^9, 3.7856648017221866`*^9}, {3.7856649153967094`*^9, 
   3.785664922606682*^9}, {3.785665002388378*^9, 3.785665005936393*^9}, {
   3.7856650825299993`*^9, 3.785665097775592*^9}, {3.785665310815076*^9, 
   3.785665362072495*^9}, {3.7856655209803753`*^9, 3.785665568856984*^9}, {
   3.7856656418867283`*^9, 3.785665740547633*^9}, {3.7856661797149305`*^9, 
   3.785666188750292*^9}, {3.7856664652434745`*^9, 3.7856664840679445`*^9}, {
   3.785666549147442*^9, 3.7856665639595394`*^9}, 3.785666657165948*^9, {
   3.7856667061288586`*^9, 3.785666727576748*^9}, {3.7856667971517425`*^9, 
   3.785666819892525*^9}, {3.7856671497155123`*^9, 3.7856671819853306`*^9}, 
   3.7860074689536867`*^9, {3.7860075086250315`*^9, 3.7860075656050243`*^9}, {
   3.7860076094436913`*^9, 3.786007625555951*^9}, {3.786007832921219*^9, 
   3.78600783718042*^9}, {3.786007888932288*^9, 3.786007891689653*^9}, 
   3.7860080770439587`*^9, {3.7860082052733603`*^9, 3.7860082450202184`*^9}, {
   3.78600829184643*^9, 3.7860083076810703`*^9}, {3.7860084172060175`*^9, 
   3.7860084180078745`*^9}, {3.7860085921670213`*^9, 3.786008830632515*^9}, {
   3.7860089192248526`*^9, 3.786008923472232*^9}, {3.786008982690135*^9, 
   3.7860089893426695`*^9}, {3.7860090467571063`*^9, 
   3.7860091153404036`*^9}, {3.786009566574317*^9, 3.7860095750199966`*^9}, {
   3.7860098329502497`*^9, 3.7860099420428653`*^9}, {3.786009981475204*^9, 
   3.7860100045333123`*^9}, {3.7860101124242897`*^9, 3.78601016802011*^9}, {
   3.7860103627690997`*^9, 3.7860103725028186`*^9}, {3.7860105090726366`*^9, 
   3.7860105229714255`*^9}, {3.786010613535555*^9, 3.7860106618403573`*^9}, {
   3.7860114483287044`*^9, 3.786011566994846*^9}, {3.786011666467553*^9, 
   3.7860116839080195`*^9}, 3.7860117527897205`*^9, 3.786011796556728*^9, {
   3.786011827812295*^9, 3.7860118312411175`*^9}, {3.786011882418112*^9, 
   3.7860118850807056`*^9}, {3.786012065814787*^9, 3.7860120688576007`*^9}, {
   3.786016982311864*^9, 3.786017009989791*^9}, {3.7860170575235844`*^9, 
   3.7860170754635696`*^9}, {3.7860171698439956`*^9, 3.786017211386811*^9}, 
   3.786017902708418*^9, {3.7860179371173325`*^9, 3.786017991416016*^9}, {
   3.7860180373211627`*^9, 3.7860180434557447`*^9}, {3.7860181529606843`*^9, 
   3.786018186559767*^9}, {3.7860182426506963`*^9, 3.786018336277129*^9}, {
   3.786018383017042*^9, 3.786018514823329*^9}, {3.7860186716615644`*^9, 
   3.786018692879779*^9}, {3.786018829389448*^9, 3.7860188792679634`*^9}, {
   3.7860190751612935`*^9, 3.786019151374329*^9}, {3.786019309017441*^9, 
   3.7860193094273443`*^9}, {3.7860198385833316`*^9, 3.786019839090973*^9}, {
   3.786019878180406*^9, 3.7860199648105187`*^9}, {3.786020071762288*^9, 
   3.786020155191017*^9}, {3.786020298075677*^9, 3.78602033051989*^9}, {
   3.786020408320635*^9, 3.78602043266648*^9}, {3.7860204876957445`*^9, 
   3.7860206935937157`*^9}, {3.7860207728924923`*^9, 
   3.7860207866905627`*^9}, {3.786021164604457*^9, 3.7860212223847837`*^9}, {
   3.7860212736336308`*^9, 3.7860212913631773`*^9}, {3.786021376655964*^9, 
   3.7860213794813538`*^9}, 3.7860227132568293`*^9, {3.786022767902424*^9, 
   3.786022768462922*^9}, {3.786022911420005*^9, 3.7860229117570057`*^9}, 
   3.7860231826478643`*^9, {3.786023315483073*^9, 3.78602333684727*^9}, {
   3.7860233959892883`*^9, 3.7860234018816547`*^9}, {3.786023465086134*^9, 
   3.7860235960118217`*^9}, {3.7860236527738204`*^9, 3.786023656681117*^9}, {
   3.7860250228880897`*^9, 3.786025032110542*^9}, {3.786025323925583*^9, 
   3.78602535900539*^9}, {3.786025400289716*^9, 3.7860254005879593`*^9}, {
   3.7860254855322204`*^9, 3.786025515647149*^9}, {3.7860256416870413`*^9, 
   3.7860256691427155`*^9}, {3.786025734661915*^9, 3.7860257624422035`*^9}, {
   3.7860258108459196`*^9, 3.786025832796638*^9}, {3.7860272654537754`*^9, 
   3.786027301468788*^9}, 3.7860280949775157`*^9, 3.7860996022622957`*^9, 
   3.7861002354226303`*^9, {3.786100265718897*^9, 3.7861003169411144`*^9}, {
   3.7861003750899744`*^9, 3.7861003909979987`*^9}, 3.786100442535286*^9, {
   3.7861009374270525`*^9, 3.78610095479356*^9}, {3.786101404968396*^9, 
   3.7861015504045725`*^9}, {3.7861020135795736`*^9, 
   3.7861020181172223`*^9}, {3.78610204819292*^9, 3.786102067551983*^9}, {
   3.786102195116477*^9, 3.7861021964031954`*^9}, {3.7861023245878744`*^9, 
   3.7861023308356*^9}, {3.786102416895897*^9, 3.7861024625117702`*^9}, {
   3.786102514493552*^9, 3.7861025378309526`*^9}, 3.7861029116578026`*^9, {
   3.7862719834428167`*^9, 3.786271986842326*^9}, {3.786272023977376*^9, 
   3.7862720305400796`*^9}, {3.7862720930572824`*^9, 
   3.7862721803292265`*^9}, {3.7862727084247503`*^9, 
   3.7862727946490707`*^9}, {3.7862729168864717`*^9, 3.786272954798359*^9}, {
   3.786273593111758*^9, 3.7862736062625885`*^9}, {3.7862779078751187`*^9, 
   3.7862779169725323`*^9}, 3.7862782185478935`*^9, {3.786281820731866*^9, 
   3.786281837708429*^9}, {3.7862820528243017`*^9, 3.7862820830277824`*^9}, 
   3.786288380351402*^9, {3.786288580065942*^9, 3.786288639287449*^9}, {
   3.787932775026265*^9, 3.787932776382742*^9}, {3.7879342907546153`*^9, 
   3.787934291656956*^9}, {3.787942613379357*^9, 3.787942614914566*^9}, 
   3.788523064911689*^9, {3.7886924238200493`*^9, 3.788692497523923*^9}, 
   3.788695094048781*^9, 3.788695238363559*^9, {3.7893645901177235`*^9, 
   3.7893645918351374`*^9}, {3.789366446660043*^9, 3.7893664493518515`*^9}, {
   3.7894593173105345`*^9, 3.789459319005989*^9}, 3.789459652477523*^9, {
   3.790504276492999*^9, 3.7905042785866737`*^9}, {3.7911329504045067`*^9, 
   3.7911329997297397`*^9}, {3.7911330331688433`*^9, 3.791133058060749*^9}, {
   3.7911330921067524`*^9, 3.7911331801753263`*^9}, {3.791133237328264*^9, 
   3.7911332814013977`*^9}, {3.7911333264424396`*^9, 3.791133343870016*^9}, {
   3.7911333845213337`*^9, 3.791133426128456*^9}, {3.791133803844099*^9, 
   3.7911338454790487`*^9}, {3.7911339588924913`*^9, 
   3.7911339901210318`*^9}, {3.7911342806710186`*^9, 
   3.7911343369972467`*^9}, {3.7911875671363077`*^9, 
   3.7911875692486625`*^9}, {3.791187772283062*^9, 3.7911878211714396`*^9}, {
   3.7911878539239025`*^9, 3.791187889094859*^9}, {3.79118797720155*^9, 
   3.7911881385174065`*^9}, 3.79118833660048*^9, {3.7911889369914074`*^9, 
   3.791188947114337*^9}, {3.791189598363685*^9, 3.791189600219732*^9}, 
   3.7911955045705447`*^9, {3.7911971966323323`*^9, 3.791197196752061*^9}, {
   3.791198688704132*^9, 3.791198688885783*^9}, {3.791199526409545*^9, 
   3.791199552190778*^9}, {3.7911996144094563`*^9, 3.791199617353921*^9}, {
   3.791279460793368*^9, 3.791279492951295*^9}, {3.791279600806697*^9, 
   3.791279657179606*^9}, {3.791279710045307*^9, 3.79127974135789*^9}, {
   3.7912798016149387`*^9, 3.7912798451066165`*^9}, {3.7912799009847593`*^9, 
   3.791279998673277*^9}, {3.7912800358397617`*^9, 3.7912800360468845`*^9}, {
   3.791280090380407*^9, 3.791280174355961*^9}, {3.7912802122774153`*^9, 
   3.791280378712371*^9}, {3.791280416460869*^9, 3.791280503147094*^9}, {
   3.791280593815597*^9, 3.791280791477882*^9}, {3.7912808390086718`*^9, 
   3.7912809195228863`*^9}, {3.791280963291463*^9, 3.791281062770935*^9}, {
   3.7912811088505497`*^9, 3.791281161430685*^9}, {3.7912812791869717`*^9, 
   3.7912813482187634`*^9}, {3.791281383182467*^9, 3.791281383654211*^9}, {
   3.7912814198164077`*^9, 3.7912815302343044`*^9}, {3.7912815736981773`*^9, 
   3.791281625033247*^9}, {3.791281659524555*^9, 3.79128178341967*^9}, {
   3.791281822974453*^9, 3.791281833930624*^9}, {3.7912841400940275`*^9, 
   3.7912841406683235`*^9}, {3.791284174590924*^9, 3.7912842020705595`*^9}, {
   3.791285920949184*^9, 3.791285943178936*^9}, {3.79128601890524*^9, 
   3.7912860316166067`*^9}, {3.791703284057197*^9, 3.791703294035453*^9}, {
   3.7918292487993345`*^9, 3.791829326426067*^9}, {3.7918293695588493`*^9, 
   3.791829401520094*^9}, {3.791831467654173*^9, 3.791831494707307*^9}, 
   3.7918349211616783`*^9, {3.7918358465189505`*^9, 3.7918358512941866`*^9}, {
   3.7918359383095713`*^9, 3.7918359999836993`*^9}, {3.791836167151816*^9, 
   3.7918362734815683`*^9}, {3.7918363044707*^9, 3.791836326919688*^9}, 
   3.7918364267269006`*^9, {3.7918365229905605`*^9, 3.7918365263316307`*^9}, {
   3.7918366011685724`*^9, 3.7918366285364113`*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"ab8e23dc-2149-45c7-86bf-c572e288abc4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "module", " ", "computes", " ", "the", " ", "Total", " ", 
      "CDF", " ", "up", " ", "to", " ", "fluid", " ", "level", " ", "added", 
      " ", "to", " ", "the", " ", "MASS", " ", "below", " ", "the", " ", 
      "final", " ", "fluid", " ", "level", " ", "\"\<y\>\"", " ", "starting", 
      " ", "from", " ", "fluid", " ", "level", " ", "\"\<x\>\"", " ", "at", 
      " ", "a", " ", "given", " ", "time", " ", "point"}]}], "  ", "===", "===",
     "===", "===", "===", "===", "\[Equal]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"TransientFluidPWFiniteCDF", "[", 
      RowBox[{
      "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
       "Sp_", ",", "Sm_", ",", "Sz_", "  ", ",", "Sup_", ",", "Sdown_", ",", 
       "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
       "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tfinite_", ",", 
       "tempinc_", ",", "tempfinc_", ",", "s_"}], "]"}], ":=", 
     "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "km", ",", "k", ",", "K", ",", "dim", ",", "mass", ",", "kn", ",", 
         "tempin", ",", " ", "tempfin"}], "}"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tempfin", "=", "tempfinc"}], ";", "\[IndentingNewLine]", 
        RowBox[{"tempin", "=", "tempinc"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"Element", "[", 
           RowBox[{"tempin", ",", "Rationals"}], "]"}], ",", 
          RowBox[{
          "Print", "[", "\"\<initial fluid level is not real\>\"", "]"}]}], 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"Element", "[", 
           RowBox[{"tempfin", ",", "Rationals"}], "]"}], ",", 
          RowBox[{
          "Print", "[", "\"\<final fluid level is not real\>\"", "]"}]}], 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"Element", "[", 
           RowBox[{"Tfinite", ",", "Rationals"}], "]"}], ",", 
          RowBox[{
          "Print", "[", "\"\<the boundary levels are not real\>\"", "]"}]}], 
         "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Tfinite", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "==", "tempin"}], " ", ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tempin", "+=", " ", "0.00001"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"MemberQ", "[", 
           RowBox[{"Tfinite", ",", "tempin"}], "]"}], " ", ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tempin", "-=", " ", "0.00001"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Tfinite", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "==", "tempfin"}], " ", ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tempfin", "+=", " ", "0.00001"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         StyleBox[" ",
          FontWeight->"Plain"], 
         RowBox[{
          RowBox[{"MemberQ", "[", 
           RowBox[{"Tfinite", ",", "tempfin"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tempfin", "-=", " ", "0.00001"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"K", "=", 
         RowBox[{
          RowBox[{"Length", "[", "Tfinite", "]"}], "-", "1"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"km", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"FirstPosition", "[", 
            RowBox[{"Tfinite", ",", 
             RowBox[{"_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#", ">", "tempfin"}], " ", "&"}], ")"}]}]}], "]"}], 
           "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
          "index", " ", "of", " ", "regime", " ", "of", " ", "tempfin", " ", 
           RowBox[{"(", "ell", ")"}]}], ",", " ", 
          RowBox[{"counted", " ", "from", " ", "0"}]}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"km", "==", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
          RowBox[{"km", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"kn", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"FirstPosition", "[", 
            RowBox[{"Tfinite", ",", 
             RowBox[{"_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#", ">", "tempin"}], " ", "&"}], ")"}]}]}], "]"}], 
           "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
          "index", " ", "of", " ", "regime", " ", "of", " ", "tempin", " ", 
           RowBox[{"(", "k", ")"}]}], ",", " ", 
          RowBox[{"counted", " ", "from", " ", "0"}]}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"kn", "==", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
          RowBox[{"kn", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"dim", "=", 
         RowBox[{"Length", "[", 
          RowBox[{"Q", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"mass", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", "dim", "}"}], ",", 
           RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
         "collecting", " ", "the", " ", "masses", " ", "below", "  ", 
          "tempfin"}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "1"}], ",", 
          RowBox[{"k", "<=", "km"}], ",", 
          RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"mass", "+=", 
            RowBox[{"TransientFluidPWFinite", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "tempin", ",", 
              RowBox[{"Tfinite", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", "s", ",", 
              "\"\<MASS\>\""}], "]"}]}], ";"}]}], "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
         "collecting", " ", "the", " ", "integrals", " ", "below", " ", "the",
           " ", "region", " ", "of", " ", "tempfin"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "1"}], ",", 
          RowBox[{"k", "<=", 
           RowBox[{"km", "-", "1"}]}], ",", 
          RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"k", "\[NotEqual]", "kn"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"mass", "+=", 
               RowBox[{"TransientFluidPWFinite", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", 
                 "Tfinite", ",", "tempin", ",", 
                 RowBox[{
                  RowBox[{"Tfinite", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}], "-", "0.000001"}], 
                 ",", "s", ",", "\"\<CDF\>\""}], "]"}]}], ";"}], 
             "\[IndentingNewLine]", ",", " ", 
             RowBox[{
              RowBox[{"mass", "+=", 
               RowBox[{"TransientFluidPWFinite", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", 
                 "Tfinite", ",", "tempin", ",", 
                 RowBox[{"tempin", "-", "0.000001"}], ",", "s", ",", 
                 "\"\<CDF\>\""}], "]"}]}], " ", ";", "\[IndentingNewLine]", 
              RowBox[{"mass", "+=", 
               RowBox[{"TransientFluidPWFinite", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", 
                 "Tfinite", ",", "tempin", ",", 
                 RowBox[{
                  RowBox[{"Tfinite", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}], "-", "0.000001"}], 
                 ",", "s", ",", "\"\<CDF\>\""}], "]"}]}], ";"}]}], 
            "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
         "collecting", " ", "the", " ", "integrals", " ", "in", " ", "the", 
          " ", "region", " ", "of", " ", "tempfin"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"km", "\[NotEqual]", "kn"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"mass", "+=", 
            RowBox[{"TransientFluidPWFinite", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "tempin", ",", 
              RowBox[{"tempfin", "-", "0.000001"}], ",", "s", ",", 
              "\"\<CDF\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", ",", 
          " ", 
          RowBox[{
           RowBox[{"mass", "+=", 
            RowBox[{"TransientFluidPWFinite", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "tempin", ",", 
              RowBox[{"tempfin", "-", "0.000001"}], ",", "s", ",", 
              "\"\<CDF\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", " ", 
            RowBox[{
             RowBox[{"tempin", "<", "tempfin"}], ",", " ", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"mass", "+=", 
               RowBox[{"TransientFluidPWFinite", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", 
                 "Tfinite", ",", "tempin", ",", 
                 RowBox[{"tempin", "-", "0.000001"}], ",", "s", ",", 
                 "\"\<CDF\>\""}], "]"}]}], " ", ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "mass", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.79049317647886*^9, 3.7904932420858383`*^9}, {
   3.790493404579901*^9, 3.790493439734867*^9}, {3.790493475264819*^9, 
   3.7904935216224995`*^9}, {3.7904935530588512`*^9, 3.790493652273974*^9}, {
   3.7904937182715645`*^9, 3.790493747832984*^9}, {3.790493848126194*^9, 
   3.790493913233189*^9}, {3.7904939658093925`*^9, 3.79049410605427*^9}, {
   3.790494136709401*^9, 3.790494365732283*^9}, {3.7904944113868637`*^9, 
   3.790494535897938*^9}, {3.7904946428784056`*^9, 3.7904947794202914`*^9}, {
   3.7905000056753125`*^9, 3.790500019831046*^9}, {3.790500291524243*^9, 
   3.7905003005082874`*^9}, 3.790500357709325*^9, 3.790500477408077*^9, {
   3.79050140331448*^9, 3.7905015962449336`*^9}, {3.7905016924289155`*^9, 
   3.7905017380991225`*^9}, {3.7905020334751897`*^9, 
   3.7905020410061646`*^9}, {3.7905021974223237`*^9, 3.790502218140317*^9}, {
   3.7905028135091887`*^9, 3.790502864069841*^9}, {3.790503067840891*^9, 
   3.790503076606196*^9}, 3.7905032801612587`*^9, {3.790503824384515*^9, 
   3.7905039796913433`*^9}, {3.790504012112034*^9, 3.7905040557510643`*^9}, {
   3.790504203245675*^9, 3.790504265712143*^9}, {3.790504451877215*^9, 
   3.790504460908137*^9}, {3.7912841406982784`*^9, 3.7912841407820606`*^9}, {
   3.7912841752040577`*^9, 3.7912842021712637`*^9}, {3.791284272571734*^9, 
   3.7912842842297935`*^9}, {3.7912843378206344`*^9, 3.791284362290572*^9}, {
   3.791284407230283*^9, 3.7912847695736074`*^9}, {3.7912848200971746`*^9, 
   3.7912848564205847`*^9}, {3.7912848886049085`*^9, 3.791285018559861*^9}, {
   3.791285493605895*^9, 3.7912856185490513`*^9}, {3.7912856569935303`*^9, 
   3.7912856590103073`*^9}, {3.79128572123317*^9, 3.791285867264488*^9}, {
   3.791829408659047*^9, 3.791829426029979*^9}, {3.807642222713669*^9, 
   3.807642226726939*^9}, {3.8076422786428633`*^9, 3.807642282397825*^9}, {
   3.807642704728012*^9, 3.8076427212598133`*^9}, {3.8076431611320677`*^9, 
   3.807643169039926*^9}, {3.807644474615779*^9, 3.80764452562344*^9}, {
   3.807647080267399*^9, 3.807647139382492*^9}, {3.807689366258292*^9, 
   3.807689407011527*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"86fb8dd1-16bf-4426-9a5b-d163231034bd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", "===", "===", "===", "===", "===", 
     RowBox[{"\[Equal]", " ", 
      RowBox[{
      "This", " ", "is", " ", "the", " ", "main", " ", "module", " ", "to", 
       " ", "call"}]}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "it", " ", "works", " ", "as", " ", "routing", " ", "function", " ", 
      "to", " ", "select", " ", "the", " ", "proper", " ", "case", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"i", ".", "e"}], " ", "starting", " ", "from", " ", 
         "boundary"}], ",", " ", 
        RowBox[{"going", " ", "to", " ", "boundary"}], ",", " ", 
        RowBox[{"between", " ", "boundaries"}]}], ")"}], "  ", "based", " ", 
      "on", " ", "the", " ", 
      RowBox[{"initial", "/", "final"}], 
      RowBox[{"(", 
       RowBox[{"tempin", "/", "tempfin"}], ")"}], " ", "fluid", " ", "level", 
      " ", "values"}], " ", "===", "===", "===", "===", "===", "===", 
     "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", "  ", 
     RowBox[{
     "You", " ", "can", " ", "get", " ", "back", " ", "the", " ", "transient",
       " ", 
      RowBox[{
       RowBox[{"PDF", "/", "CDF"}], "/", "MASS"}], " ", "Matrices", " ", 
      "based", " ", "on", " ", "final", " ", "fluid", " ", "level", " ", 
      "\"\<y\>\"", " ", "starting", " ", "from", " ", "fluid", " ", "level", 
      " ", "\"\<x\>\"", " ", "at", " ", "a", " ", "given", " ", "time", " ", 
      "point", " ", "with", " ", "the", " ", "required", " ", "\"\<Res_\>\"", 
      " ", "value"}]}], " ", "===", "===", "===", "===", "===", "===", 
    "\[Equal]"}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"TransientFluidPWFinite", "[", 
      RowBox[{
      "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
       "Sp_", ",", "Sm_", ",", "Sz_", "  ", ",", "Sup_", ",", "Sdown_", ",", 
       "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
       "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tfinite_", ",", 
       "tempin_", ",", "tempfin_", ",", "s_", ",", 
       RowBox[{"Res_:", "\"\<PDF\>\""}]}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "VBound2Bound", ",", "VStartBound", ",", "VGoingBound", ",", 
         "VBetweenBound"}], "}"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"MemberQ", "[", 
            RowBox[{"Tfinite", ",", "tempin"}], "]"}], "  ", 
           StyleBox["&&",
            FontWeight->"Plain"], 
           StyleBox[" ",
            FontWeight->"Plain"], 
           RowBox[{"MemberQ", "[", 
            RowBox[{"Tfinite", ",", "tempfin"}], "]"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"VBound2Bound", "=", 
            RowBox[{"CMPWF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "tempin", ",", "tempfin", ",", "s", ",", "Res"}], "]"}]}], ";",
            "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "VBound2Bound", "]"}], ";"}]}], " ", 
         RowBox[{"(*", " ", 
          RowBox[{"V", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "l"]}]}], ")"}], "/", " ", "P"}], 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], 
              SubscriptBox["T", "l"]}]}], ")"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"MemberQ", "[", 
            RowBox[{"Tfinite", ",", "tempin"}], "]"}], "&&", " ", 
           RowBox[{"!", 
            RowBox[{"MemberQ", "[", 
             RowBox[{"Tfinite", ",", "tempfin"}], "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"VStartBound", "=", 
            RowBox[{"SFBPWF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "tempin", ",", "tempfin", ",", "s", ",", "Res"}], "]"}]}], ";",
            "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "VStartBound", "]"}], ";"}]}], " ", 
         RowBox[{"(*", " ", 
          RowBox[{"V", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], "y"}]}], ")"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"MemberQ", "[", 
            RowBox[{"Tfinite", ",", "tempfin"}], "]"}], " ", "&&", " ", 
           RowBox[{"!", 
            RowBox[{"MemberQ", "[", 
             RowBox[{"Tfinite", ",", "tempin"}], "]"}]}]}], 
          StyleBox[",",
           FontWeight->"Plain"], 
          StyleBox["\[IndentingNewLine]",
           FontWeight->"Plain"], 
          RowBox[{
           RowBox[{"VGoingBound", "=", 
            RowBox[{"G2BPWF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "tempin", ",", "tempfin", ",", "s", ",", "Res"}], "]"}]}], ";",
            "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "VGoingBound", "]"}], ";"}]}], " ", 
         RowBox[{"(*", " ", 
          RowBox[{"V", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["x", ","], 
               SubscriptBox["T", "l"]}]}], ")"}], "/", " ", "P"}], 
           RowBox[{"(", 
            RowBox[{"s", ",", "x", ",", 
             SubscriptBox["T", "l"]}], ")"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"!", 
            RowBox[{"MemberQ", "[", 
             RowBox[{"Tfinite", ",", "tempin"}], "]"}]}], "  ", 
           StyleBox["&&",
            FontWeight->"Plain"], 
           StyleBox[" ",
            FontWeight->"Plain"], 
           RowBox[{"!", 
            RowBox[{"MemberQ", "[", 
             RowBox[{"Tfinite", ",", "tempfin"}], "]"}]}]}], ",", 
          StyleBox["\[IndentingNewLine]",
           FontWeight->"Plain"], 
          RowBox[{
           RowBox[{"VBetweenBound", "=", 
            RowBox[{"BTBPWF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "tempin", ",", "tempfin", ",", "s", ",", "Res"}], "]"}]}], ";",
            "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "VBetweenBound", "]"}], ";"}]}], 
         RowBox[{"(*", " ", 
          RowBox[{"V", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["x", ","], "y"}]}], ")"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7813375411207232`*^9, 3.7813375605930758`*^9}, {
   3.7813440887435493`*^9, 3.7813440971500444`*^9}, {3.7813441333233633`*^9, 
   3.781344150194273*^9}, {3.7813442310940876`*^9, 3.7813442320395775`*^9}, {
   3.7813442743474846`*^9, 3.781344333558256*^9}, {3.7813443991699057`*^9, 
   3.781344539689963*^9}, {3.7813445859543123`*^9, 3.781344590868179*^9}, {
   3.781344684811097*^9, 3.781344713423624*^9}, {3.781344782660574*^9, 
   3.7813447830994015`*^9}, {3.7813448158149977`*^9, 
   3.7813448297686796`*^9}, {3.781344887059546*^9, 3.781345044096841*^9}, {
   3.781345240244673*^9, 3.7813452486352463`*^9}, {3.7813454133421507`*^9, 
   3.781345419733082*^9}, {3.781345577908823*^9, 3.781345580882887*^9}, {
   3.7813456757082105`*^9, 3.781345710731603*^9}, {3.7813484361039066`*^9, 
   3.7813485852253494`*^9}, {3.7813496533242435`*^9, 
   3.7813497789674487`*^9}, {3.781349892519996*^9, 3.7813499095504813`*^9}, {
   3.781349974077571*^9, 3.7813500063024693`*^9}, {3.7813502089191656`*^9, 
   3.7813502813964543`*^9}, {3.7813503323884463`*^9, 3.781350334157732*^9}, {
   3.781350365106002*^9, 3.781350372688739*^9}, {3.781350489624201*^9, 
   3.781350497749486*^9}, {3.7814188045780225`*^9, 3.781418994265447*^9}, {
   3.781419033432761*^9, 3.7814190953213463`*^9}, 3.7814191449597673`*^9, {
   3.7814192154662805`*^9, 3.7814192873770847`*^9}, {3.781419475030542*^9, 
   3.7814195202566633`*^9}, {3.7814196035929327`*^9, 3.781419621527996*^9}, {
   3.7814196701191263`*^9, 3.781419677156316*^9}, {3.7814198842328644`*^9, 
   3.781419892605487*^9}, {3.7814199269527273`*^9, 3.7814199768523235`*^9}, {
   3.781420039645491*^9, 3.781420042798064*^9}, {3.7814201155215054`*^9, 
   3.781420162337076*^9}, {3.7814202196439114`*^9, 3.7814204950787907`*^9}, {
   3.7814206076476274`*^9, 3.7814206096861506`*^9}, {3.781431225801546*^9, 
   3.7814312586085052`*^9}, {3.7814313968343415`*^9, 
   3.7814315001320467`*^9}, {3.781431877815834*^9, 3.7814320786329856`*^9}, {
   3.781432111363119*^9, 3.781432217727439*^9}, {3.7814322539322205`*^9, 
   3.7814322668473797`*^9}, {3.7814338641059523`*^9, 
   3.7814338918889723`*^9}, {3.7814351439731903`*^9, 3.781435184944162*^9}, {
   3.7814353981496716`*^9, 3.7814354517498665`*^9}, {3.781435681323934*^9, 
   3.7814356965266314`*^9}, 3.7814358954520893`*^9, {3.781435964228653*^9, 
   3.781435967639655*^9}, {3.7814360008686185`*^9, 3.7814360046252017`*^9}, {
   3.7814360494979305`*^9, 3.7814360603110294`*^9}, {3.781436142113208*^9, 
   3.7814361448945856`*^9}, {3.781436329427414*^9, 3.7814364584830112`*^9}, {
   3.781436502391781*^9, 3.781436562187183*^9}, 3.781436592455254*^9, 
   3.781449292100993*^9, {3.781449678110838*^9, 3.781449753888446*^9}, {
   3.7814498028686895`*^9, 3.7814498145110226`*^9}, {3.781449947107515*^9, 
   3.7814500438969545`*^9}, 3.781450315814171*^9, {3.7814503473718576`*^9, 
   3.7814504256206894`*^9}, {3.781450610530407*^9, 3.781450646847383*^9}, {
   3.7814507386233664`*^9, 3.781450802265272*^9}, {3.781450852950328*^9, 
   3.781450861580647*^9}, {3.7814512429268045`*^9, 3.7814512581734743`*^9}, {
   3.781451479569177*^9, 3.78145149327859*^9}, 3.781451524799939*^9, {
   3.7814517195683317`*^9, 3.7814517204064703`*^9}, {3.781451916980178*^9, 
   3.781451926576025*^9}, {3.7814520012697496`*^9, 3.7814520032419176`*^9}, {
   3.781452036597047*^9, 3.7814521653599443`*^9}, {3.7814521969547195`*^9, 
   3.7814522373727036`*^9}, {3.781452287037758*^9, 3.781452310260615*^9}, {
   3.781452376752204*^9, 3.781452389747202*^9}, {3.781452557222028*^9, 
   3.781452563679883*^9}, {3.7814527290959578`*^9, 3.7814527306806164`*^9}, {
   3.781452948941807*^9, 3.7814529678504996`*^9}, {3.7814539749092693`*^9, 
   3.7814539855996637`*^9}, 3.7814540641417418`*^9, {3.7814541221517024`*^9, 
   3.7814541323275013`*^9}, 3.781454177964575*^9, {3.781454217654448*^9, 
   3.7814542181531153`*^9}, {3.7814546446144977`*^9, 3.781454667420494*^9}, {
   3.781454775905197*^9, 3.7814548141769085`*^9}, {3.781455052043212*^9, 
   3.7814550629580345`*^9}, {3.7814550932191105`*^9, 3.781455096392807*^9}, {
   3.781455144219843*^9, 3.781455161052853*^9}, {3.781455325584961*^9, 
   3.78145535655096*^9}, {3.7814553919523406`*^9, 3.781455429157901*^9}, 
   3.781455465204605*^9, {3.7814555735678835`*^9, 3.7814555829328527`*^9}, {
   3.7814558838846426`*^9, 3.7814559833208814`*^9}, {3.78145603199778*^9, 
   3.781456059081395*^9}, {3.78145609879443*^9, 3.781456114802707*^9}, {
   3.781456248132461*^9, 3.781456260854492*^9}, {3.781456295968609*^9, 
   3.7814563028602376`*^9}, 3.7814563464526463`*^9, {3.7814572693789015`*^9, 
   3.7814572917082214`*^9}, {3.781457521296653*^9, 3.7814575918111997`*^9}, {
   3.781457623644075*^9, 3.7814576242783794`*^9}, {3.7814576548148127`*^9, 
   3.7814576892377625`*^9}, {3.7814577306621013`*^9, 
   3.7814578239262266`*^9}, {3.781457890098399*^9, 3.781457891414836*^9}, 
   3.7814579449188356`*^9, {3.7814579897490625`*^9, 3.78145806101754*^9}, {
   3.7814581032686152`*^9, 3.781458150769705*^9}, {3.7814582253622932`*^9, 
   3.781458228217664*^9}, {3.781459866420122*^9, 3.7814598690747876`*^9}, {
   3.781459902044001*^9, 3.7814599728559637`*^9}, {3.781460017028347*^9, 
   3.781460044890154*^9}, {3.7814600897355013`*^9, 3.781460133673704*^9}, 
   3.781460655809951*^9, 3.7814607258649445`*^9, 3.7814610100696344`*^9, {
   3.7814610944755707`*^9, 3.781461143933434*^9}, {3.7814612936232786`*^9, 
   3.781461346300861*^9}, 3.781517109484417*^9, {3.7815171944772673`*^9, 
   3.7815172289820957`*^9}, {3.7815172875904293`*^9, 3.7815172980454955`*^9}, 
   3.7815176037096195`*^9, {3.7815197206799297`*^9, 3.781519772998105*^9}, 
   3.7815214732329693`*^9, {3.7815229349712286`*^9, 3.781522998167326*^9}, 
   3.7815252650117197`*^9, {3.7816295011372957`*^9, 3.781629510198579*^9}, {
   3.781774303383233*^9, 3.7817743163785267`*^9}, 3.781774419432061*^9, {
   3.7817744841660786`*^9, 3.7817744888684764`*^9}, {3.7819752634571905`*^9, 
   3.781975328531416*^9}, {3.783235644588417*^9, 3.7832356594791937`*^9}, {
   3.783235723832651*^9, 3.7832358592756066`*^9}, {3.783235891507388*^9, 
   3.7832360551250887`*^9}, {3.7832361047694387`*^9, 3.783236132159046*^9}, 
   3.7844646634842978`*^9, {3.7844646937014523`*^9, 3.784464721267702*^9}, {
   3.785335572474467*^9, 3.785335575213164*^9}, {3.78533562482155*^9, 
   3.7853356382011747`*^9}, {3.7854087860016193`*^9, 3.785408786533242*^9}, {
   3.786028103701083*^9, 3.7860281575737495`*^9}, {3.7862886628454*^9, 
   3.786288731604342*^9}, {3.7862891945416527`*^9, 3.786289227210224*^9}, {
   3.78869251674556*^9, 3.7886925170975833`*^9}, {3.7887719838881063`*^9, 
   3.788772005703072*^9}, {3.7887838859392095`*^9, 3.788783887993161*^9}, {
   3.7890405091921053`*^9, 3.789040512617019*^9}, {3.7890409284993114`*^9, 
   3.789040940552541*^9}, {3.7890438523164134`*^9, 3.789043863034707*^9}, {
   3.7892304582680435`*^9, 3.7892304635908136`*^9}, {3.7892315470164194`*^9, 
   3.789231563146284*^9}, {3.7892315978804007`*^9, 3.789231598395026*^9}, {
   3.7892316377390213`*^9, 3.7892316440641427`*^9}, {3.7893626347021227`*^9, 
   3.7893626466481757`*^9}, {3.789378292700143*^9, 3.7893783107925315`*^9}, {
   3.7893824962888203`*^9, 3.78938250612883*^9}, {3.7894042916180415`*^9, 
   3.789404311326873*^9}, 3.7894541619413595`*^9, {3.789454211701296*^9, 
   3.789454301954984*^9}, {3.7894551638040824`*^9, 3.7894551758180027`*^9}, {
   3.7894593190149317`*^9, 3.7894593190259027`*^9}, {3.789726718247985*^9, 
   3.7897267481096325`*^9}, {3.78972689845161*^9, 3.789726900070286*^9}, {
   3.789729355058202*^9, 3.789729359920153*^9}, {3.7897520484357004`*^9, 
   3.789752052429257*^9}, {3.7898909688507395`*^9, 3.7898909798483305`*^9}, {
   3.789897327343299*^9, 3.7898973311431417`*^9}, {3.789898117434238*^9, 
   3.7898981362140217`*^9}, {3.789898803213812*^9, 3.789898804218122*^9}, {
   3.7899895235255437`*^9, 3.789989536711359*^9}, {3.7903237144820414`*^9, 
   3.790323717322554*^9}, {3.7903249130656166`*^9, 3.7903249305503044`*^9}, {
   3.7903280139675846`*^9, 3.7903280199056807`*^9}, {3.7903312655863037`*^9, 
   3.7903312759012547`*^9}, {3.7904926314518995`*^9, 
   3.7904926886373105`*^9}, {3.7904927238079*^9, 3.79049274296345*^9}, {
   3.7904928236480007`*^9, 3.790492855896824*^9}, {3.790492895379758*^9, 
   3.790492905426264*^9}, {3.7904929558306723`*^9, 3.7904929571743727`*^9}, {
   3.790493006813186*^9, 3.79049308126359*^9}, {3.790493126402565*^9, 
   3.7904931265744333`*^9}, {3.790493159995088*^9, 3.7904931612294207`*^9}, {
   3.790493269131725*^9, 3.790493290412197*^9}, {3.791284140822091*^9, 
   3.7912841408907347`*^9}, {3.79128417529995*^9, 3.791284202222157*^9}, 
   3.7912850837824907`*^9, {3.791285129240697*^9, 3.7912851782773485`*^9}, {
   3.7912852365826254`*^9, 3.791285474512388*^9}, {3.7912858715289736`*^9, 
   3.791285874892127*^9}, 3.791829435012251*^9, 3.791837490853383*^9, {
   3.8076843278519464`*^9, 3.8076843825315104`*^9}, {3.807689414017292*^9, 
   3.807689427796387*^9}, {3.807689661719493*^9, 3.8076896627788644`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"a1f615c9-7d46-4731-9b00-999d36e58758"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "module", " ", "evaluates", " ", "the", " ", "state", " ", 
      "dependent", " ", "hitting", " ", "measures", " ", "for", " ", "the", 
      " ", "special", " ", "cases", " ", "when", " ", "the", " ", "initial", 
      " ", "level", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
      "boundaries"}]}], "  ", "===", "===", "===", "===", "===", "===", 
    "\[Equal]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", 
       RowBox[{"+", "-"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", "s", ")"}]}], ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", "++"], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", "s", ")"}]}], ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", "--"], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", "s", ")"}]}], " ", ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", 
       RowBox[{"-", "+"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", "s", ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"UAll", "[", 
     RowBox[{"Psi_", ",", "PsiHat_", ",", "Hs_", ",", "HsHat_", ",", "xx_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "UsxAll", ",", "Uppsx", ",", "Upmsx", ",", "Umpsx", ",", "Ummsx"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"UsxAll", "=", 
        RowBox[{
         RowBox[{"ArrayFlatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"MatrixExp", "[", 
               RowBox[{"HsHat", "*", "xx"}], "]"}], ",", "Psi"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"PsiHat", ",", 
              RowBox[{"MatrixExp", "[", 
               RowBox[{"Hs", "*", "xx"}], "]"}]}], "}"}]}], "}"}], "]"}], ".", 
         RowBox[{"Inverse", "[", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
               RowBox[{"Psi", ".", 
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"Hs", "*", "xx"}], "]"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PsiHat", ".", 
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"HsHat", "*", "xx"}], "]"}]}], ",", 
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], 
           "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Uppsx", "=", 
        RowBox[{"UsxAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"1", ";;", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Upmsx", "=", 
        RowBox[{"UsxAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}]}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Umpsx", "=", 
        RowBox[{"UsxAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}], ",", 
           RowBox[{"1", ";;", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Ummsx", "=", 
        RowBox[{"UsxAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}]}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"Umpsx", ",", "Ummsx", ",", "Uppsx", ",", "Upmsx"}], "}"}], 
        "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.781337513642167*^9, 3.7813375155181513`*^9}, 
   3.781435957569749*^9, {3.781449299819311*^9, 3.781449302877266*^9}, {
   3.7814493524825573`*^9, 3.7814495201166534`*^9}, {3.781449571383995*^9, 
   3.781449600443824*^9}, {3.7814607531537046`*^9, 3.7814607833670273`*^9}, {
   3.7814608139605584`*^9, 3.781460819695039*^9}, {3.7814610156834993`*^9, 
   3.7814610501258364`*^9}, {3.781775380034214*^9, 3.7817754187746744`*^9}, {
   3.781775520485631*^9, 3.7817755647044473`*^9}, {3.78177560867493*^9, 
   3.7817758086075926`*^9}, {3.7817758979986515`*^9, 
   3.7817758998227763`*^9}, {3.7817780698467383`*^9, 
   3.7817780707323275`*^9}, {3.7817782416620216`*^9, 
   3.7817782709796605`*^9}, {3.78177877315906*^9, 3.78177877341438*^9}, 
   3.7817788241876745`*^9, 3.7817791291559715`*^9, 3.7817794389383125`*^9, 
   3.7817795009037514`*^9, {3.781779737262401*^9, 3.7817797455253167`*^9}, {
   3.7817799778730717`*^9, 3.7817799783069468`*^9}, 3.7818518780491767`*^9, {
   3.7834274481596575`*^9, 3.7834275055341525`*^9}, {3.784471066362754*^9, 
   3.7844710734747324`*^9}, 3.7844858909537416`*^9, 3.788692521703267*^9, {
   3.7887690633088098`*^9, 3.78876907233236*^9}, {3.788769132605233*^9, 
   3.7887691827902546`*^9}, {3.788769220487056*^9, 3.7887692333446875`*^9}, {
   3.7887692678390083`*^9, 3.788769268877596*^9}, {3.788769299881809*^9, 
   3.7887693092550354`*^9}, {3.7887693638438883`*^9, 3.788769373346205*^9}, 
   3.788769403565509*^9, {3.788769480696461*^9, 3.788769550591214*^9}, {
   3.7887701523179145`*^9, 3.7887702425931664`*^9}, {3.788770281511529*^9, 
   3.7887704941765013`*^9}, {3.788771182319355*^9, 3.788771227514627*^9}, {
   3.7887713264578767`*^9, 3.788771345556489*^9}, {3.788772696195069*^9, 
   3.7887727003733287`*^9}, 3.7887727930125637`*^9, 3.7887742467710333`*^9, {
   3.788774287679685*^9, 3.7887744154330664`*^9}, {3.7887744628901577`*^9, 
   3.7887745055131774`*^9}, {3.788774745822379*^9, 3.788774747758204*^9}, 
   3.788783851303657*^9, {3.788797162839552*^9, 3.7887972134769893`*^9}, {
   3.7887974073288393`*^9, 3.788797481931304*^9}, {3.7887975121711164`*^9, 
   3.7887976041937504`*^9}, {3.7887976385881195`*^9, 
   3.7887977070833826`*^9}, {3.788797738560915*^9, 3.7887977489490595`*^9}, {
   3.7887978555787964`*^9, 3.788797860537775*^9}, {3.7887986537770853`*^9, 
   3.788798666667453*^9}, {3.7887987876245527`*^9, 3.7887988087298217`*^9}, {
   3.7887988870564003`*^9, 3.788798928513479*^9}, {3.7888660352364063`*^9, 
   3.7888660400794578`*^9}, 3.7890393881493025`*^9, {3.7890434761719065`*^9, 
   3.7890435682501993`*^9}, {3.789043641958424*^9, 3.7890436451429214`*^9}, 
   3.7890449117344646`*^9, {3.791286363326659*^9, 3.791286363937188*^9}, {
   3.7912864162429643`*^9, 3.791286469093523*^9}, {3.7912865292069006`*^9, 
   3.791286571192334*^9}, {3.79128661211297*^9, 3.791286663492682*^9}, {
   3.791286732784128*^9, 3.7912868213871284`*^9}, {3.7918294419168835`*^9, 
   3.7918294509147763`*^9}, 3.7918315279997616`*^9},
 CellLabel->"In[7]:=",ExpressionUUID->"f8002581-afaa-48bb-8463-b8984e2c15c8"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "module", " ", "evaluates", " ", "the", " ", "state", " ", 
      "dependent", " ", "hitting", " ", "measures", " ", "when", " ", "the", 
      " ", "initial", " ", "level", " ", "is", " ", "one", " ", "x"}]}], "  ",
     "===", "===", "===", "===", "===", "===", "\[Equal]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", 
       RowBox[{"\[FilledSmallCircle]", "-"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "x"}], ")"}]}], ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox["U", 
       RowBox[{"\[FilledSmallCircle]", "+"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "x"}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"UNEW", "[", 
      RowBox[{
      "Psi_", ",", "PsiHat_", ",", "Hs_", ",", "HsHat_", ",", "b_", ",", 
       "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"UbsxAll", ",", "Ubopsx", ",", "Ubomsx"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"UbsxAll", "=", 
         RowBox[{
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", "Psi"}], "}"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"PsiHat", ",", 
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], 
           "]"}], ".", "\[IndentingNewLine]", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"MatrixExp", "[", 
                RowBox[{"HsHat", "*", 
                 RowBox[{"(", 
                  RowBox[{"b", "-", "x"}], ")"}]}], "]"}], ",", 
               RowBox[{"ConstantArray", "[", 
                RowBox[{"0", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                   RowBox[{
                    RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}],
              ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ConstantArray", "[", 
                RowBox[{"0", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                   RowBox[{
                    RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
               RowBox[{"MatrixExp", "[", 
                RowBox[{"Hs", "*", 
                 RowBox[{"(", "x", ")"}]}], "]"}]}], "}"}]}], "}"}], "]"}], 
          ".", "\[IndentingNewLine]", 
          RowBox[{"Inverse", "[", 
           RowBox[{"ArrayFlatten", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"IdentityMatrix", "[", 
                 RowBox[{
                  RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
                RowBox[{"Psi", ".", 
                 RowBox[{"MatrixExp", "[", 
                  RowBox[{"Hs", "*", "b"}], "]"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PsiHat", ".", 
                 RowBox[{"MatrixExp", "[", 
                  RowBox[{"HsHat", "*", "b"}], "]"}]}], ",", 
                RowBox[{"IdentityMatrix", "[", 
                 RowBox[{
                  RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], 
            "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Ubopsx", "=", 
         RowBox[{"UbsxAll", "[", 
          RowBox[{"[", 
           RowBox[{";;", ",", 
            RowBox[{"1", ";;", 
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Ubomsx", "=", 
         RowBox[{"UbsxAll", "[", 
          RowBox[{"[", 
           RowBox[{";;", ",", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}]}], "]"}], 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"{", 
          RowBox[{"Ubopsx", ",", "Ubomsx"}], "}"}], "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7892290173368654`*^9, 3.789229031482076*^9}, {
   3.7892292570023093`*^9, 3.789229290776862*^9}, {3.789229355258943*^9, 
   3.7892293559330916`*^9}, {3.789229453160392*^9, 3.7892294548478823`*^9}, {
   3.7892294873699436`*^9, 3.789229528569403*^9}, {3.7892295659682803`*^9, 
   3.789229580934554*^9}, 3.789229680455633*^9, {3.7892297144781237`*^9, 
   3.7892297251096964`*^9}, {3.7892297890680723`*^9, 3.789229872193113*^9}, {
   3.78922994099817*^9, 3.789229952378364*^9}, {3.7892303234257994`*^9, 
   3.7892303322920866`*^9}, 3.7898985455705204`*^9, {3.790508324908497*^9, 
   3.790508325080366*^9}, {3.7912868468265*^9, 3.7912868867489195`*^9}, 
   3.791286943632962*^9, {3.7915360063433247`*^9, 3.791536034956843*^9}, {
   3.7918294550075674`*^9, 3.791829458803554*^9}, {3.791837690848714*^9, 
   3.79183769764158*^9}, {3.807645462538056*^9, 3.807645465985835*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"fc5ae870-0255-49ad-8d8a-c5a5b5cc185c"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "module", " ", "evaluates", " ", "the", " ", "fluid", " ", 
      "density", " ", "starting", " ", "from", " ", "one", " ", "of", " ", 
      "boundary", " ", "levels", " ", "0", " ", "or", " ", "b", " ", "before",
       " ", "reaching", " ", "any", " ", "of", " ", "the", " ", 
      "boundaries"}]}], "   ", "===", "===", "===", "===", "===", "===", 
    "\[Equal]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["F", 
       RowBox[{"+", "\[FilledSmallCircle]"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "y"}], ")"}]}], ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox[
       OverscriptBox["F", "^"], 
       RowBox[{"-", "\[FilledSmallCircle]"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "y"}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"FAll", "[", 
     RowBox[{
     "Psi_", ",", "PsiHat_", ",", "Ks_", ",", "KsHat_", ",", "RpInv_", ",", 
      "RmInv_", ",", "b_", ",", "y_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"FsyAll", ",", "Fsypo", ",", "Fsymo"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"FsyAll", "=", 
        RowBox[{
         RowBox[{"Inverse", "[", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
               RowBox[{
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"Ks", "*", "b"}], "]"}], ".", "Psi"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"MatrixExp", "[", 
                 RowBox[{"KsHat", "*", "b"}], "]"}], ".", "PsiHat"}], ",", 
               RowBox[{"IdentityMatrix", "[", 
                RowBox[{
                 RowBox[{"Dimensions", "[", "PsiHat", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], 
           "]"}], "]"}], ".", "\[IndentingNewLine]", 
         RowBox[{"ArrayFlatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"MatrixExp", "[", 
               RowBox[{"Ks", "*", "y"}], "]"}], ",", 
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ConstantArray", "[", 
               RowBox[{"0", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
              RowBox[{"MatrixExp", "[", 
               RowBox[{"KsHat", "*", 
                RowBox[{"(", 
                 RowBox[{"b", "-", "y"}], ")"}]}], "]"}]}], "}"}]}], "}"}], 
          "]"}], ".", "\[IndentingNewLine]", 
         RowBox[{"ArrayFlatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"RpInv", ",", 
              RowBox[{"Psi", ".", "RmInv"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PsiHat", ".", "RpInv"}], ",", "RmInv"}], "}"}]}], 
           "}"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Fsypo", "=", 
        RowBox[{"FsyAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", 
            RowBox[{
             RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", ";;"}], "]"}], "]"}]}], 
       ";", 
       RowBox[{"(*", " ", 
        RowBox[{
         SuperscriptBox[
          SubscriptBox["F", 
           RowBox[{"+", "\[FilledSmallCircle]"}]], 
          RowBox[{"(", "b", ")"}]], 
         RowBox[{"(", 
          RowBox[{"s", ",", "y"}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Fsymo", "=", 
        RowBox[{"FsyAll", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ";;"}], ",", ";;"}],
           "]"}], "]"}]}], ";", 
       RowBox[{"(*", " ", 
        RowBox[{
         SuperscriptBox[
          SubscriptBox[
           OverscriptBox["F", "^"], 
           RowBox[{"-", "\[FilledSmallCircle]"}]], 
          RowBox[{"(", "b", ")"}]], 
         RowBox[{"(", 
          RowBox[{"s", ",", "y"}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"Fsypo", ",", "Fsymo"}], "}"}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.7890393918468432`*^9, 3.789039401680904*^9}, {
   3.789039560739258*^9, 3.7890398075926423`*^9}, {3.789040004671693*^9, 
   3.7890400134961576`*^9}, {3.789043019647274*^9, 3.7890430677254677`*^9}, {
   3.7890431081056595`*^9, 3.789043126036501*^9}, 3.7890431652346983`*^9, {
   3.789043199424245*^9, 3.7890432155061626`*^9}, {3.7890433570380807`*^9, 
   3.7890433656303997`*^9}, {3.7890434178730927`*^9, 3.7890434421671762`*^9}, 
   3.789043489962389*^9, {3.789043633262677*^9, 3.789043638338111*^9}, {
   3.7893801083022785`*^9, 3.7893801378223124`*^9}, {3.7893801951381674`*^9, 
   3.7893801956223125`*^9}, {3.7898919028971944`*^9, 
   3.7898919193671494`*^9}, {3.7905083270802927`*^9, 
   3.7905083360643396`*^9}, {3.7915359764907255`*^9, 3.791535978546229*^9}, {
   3.791536064523778*^9, 3.791536113082001*^9}, {3.7915361469435*^9, 
   3.7915362598059435`*^9}, {3.791536300228944*^9, 3.7915363155629206`*^9}, {
   3.791829467051627*^9, 3.791829470191512*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"ccc4df9a-67fd-42f1-a9c9-5cab61856b5c"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "module", " ", "evaluates", " ", "the", " ", "integral", 
      " ", "of", " ", "fluid", " ", "density", " ", "starting", " ", "from", 
      " ", "one", " ", "of", " ", "boundary", " ", "levels", " ", "0", " ", 
      "or", " ", "b", " ", "before", " ", "reaching", " ", "any", " ", "of", 
      " ", "the", " ", "boundaries"}]}], "   ", "===", "===", "===", "===", "===",
     "===", "\[Equal]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["C", 
       RowBox[{"+", "\[FilledSmallCircle]"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "y"}], ")"}]}], ",", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox[
       OverscriptBox["C", "^"], 
       RowBox[{"-", "\[FilledSmallCircle]"}]], 
      RowBox[{"(", "b", ")"}]], 
     RowBox[{"(", 
      RowBox[{"s", ",", "y"}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"FCDFAll", "[", 
      RowBox[{
      "NN_", ",", "Sup_", ",", "Sdown_", ",", "Psi_", ",", "PsiHat_", ",", 
       "Ks_", ",", "KsHat_", ",", "RpInv_", ",", "RmInv_", ",", "b_", ",", 
       "y_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"FCDFsyAll", ",", "FCDFsypo", ",", "FCDFsymo"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"FCDFsyAll", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"NN", ",", "NN"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"FCDFsyAll", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"Flatten", " ", "[", 
             RowBox[{"{", 
              RowBox[{"Sup", ",", "Sdown"}], "}"}], "]"}], ",", ";;"}], "]"}],
           "]"}], "=", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Inverse", "[", 
           RowBox[{"ArrayFlatten", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"IdentityMatrix", "[", 
                 RowBox[{
                  RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
                RowBox[{
                 RowBox[{"MatrixExp", "[", 
                  RowBox[{"Ks", "*", "b"}], "]"}], ".", "Psi"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"MatrixExp", "[", 
                  RowBox[{"KsHat", "*", "b"}], "]"}], ".", "PsiHat"}], ",", 
                RowBox[{"IdentityMatrix", "[", 
                 RowBox[{
                  RowBox[{"Dimensions", "[", "PsiHat", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], 
            "]"}], "]"}], ".", "\[IndentingNewLine]", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Inverse", "[", "Ks", "]"}], ".", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"MatrixExp", "[", 
                   RowBox[{"Ks", "*", "y"}], "]"}], "-", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{
                    RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ")"}]}], ",", 
               RowBox[{"ConstantArray", "[", 
                RowBox[{"0", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                   RowBox[{
                    RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}],
              ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ConstantArray", "[", 
                RowBox[{"0", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                   RowBox[{
                    RowBox[{"Dimensions", "[", "Psi", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
               RowBox[{
                RowBox[{"Inverse", "[", "KsHat", "]"}], ".", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"MatrixExp", "[", 
                   RowBox[{"KsHat", "*", "b"}], "]"}], "-", 
                  RowBox[{"MatrixExp", "[", 
                   RowBox[{"KsHat", "*", 
                    RowBox[{"(", 
                    RowBox[{"b", "-", "y"}], ")"}]}], "]"}]}], ")"}]}]}], 
              "}"}]}], "}"}], "]"}], ".", "\[IndentingNewLine]", 
          RowBox[{"ArrayFlatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"RpInv", ",", 
               RowBox[{"Psi", ".", "RmInv"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PsiHat", ".", "RpInv"}], ",", "RmInv"}], "}"}]}], 
            "}"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "FCDFsyAll", "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7897264827856326`*^9, 3.7897264900501575`*^9}, {
   3.789727626060968*^9, 3.7897276335429087`*^9}, {3.7897277061058693`*^9, 
   3.789727714160328*^9}, {3.7897292063311243`*^9, 3.7897292127010927`*^9}, 
   3.789752021769867*^9, 3.789752084087123*^9, {3.7897566282242765`*^9, 
   3.7897567063515987`*^9}, {3.789757927953476*^9, 3.789757972126842*^9}, {
   3.78975800448277*^9, 3.7897580159632964`*^9}, {3.7897580556076517`*^9, 
   3.7897580621624017`*^9}, {3.789758143134166*^9, 3.7897581517160273`*^9}, {
   3.7897585594055977`*^9, 3.7897585595711107`*^9}, 3.789758831525319*^9, {
   3.78975889645018*^9, 3.7897589146046324`*^9}, {3.7905068420926647`*^9, 
   3.7905068470768566`*^9}, {3.790508339111103*^9, 3.790508340298561*^9}, {
   3.7915362935288167`*^9, 3.791536294834329*^9}, {3.791536325967117*^9, 
   3.7915363817490315`*^9}, 3.791829476502534*^9, {3.8076337298764167`*^9, 
   3.807633732608264*^9}, {3.8076338271913395`*^9, 3.807633839136737*^9}, {
   3.8076443348833714`*^9, 3.807644368519475*^9}, {3.8076444320097375`*^9, 
   3.807644438469428*^9}, {3.807648294896474*^9, 3.807648296514141*^9}, {
   3.807712793043516*^9, 3.807712794040316*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"844fad8c-e0b2-42b2-86cf-b50de549cb62"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "function", " ", "evaluates", " ", "characteristic", " ", 
      "matrices", " ", "of", " ", "region", " ", "k"}]}], "   ", "===", "===",
     "===", "===", "===", "===", "\[Equal]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"CMPWF", "[", 
     RowBox[{
     "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
      "Sp_", ",", "Sm_", ",", "Sz_", ",", "Sup_", ",", "Sdown_", ",", 
      "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
      "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tfinite_", ",", 
      "tempin_", ",", "tempfin_", ",", "s_", ",", "Res_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "QHatppk", ",", "QHatpmk", ",", "QHatmpk", ",", "QHatmmk", ",", "Psik",
         ",", "PsiHatk", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "Hs", ",",
         "HsHat", ",", "KsHat", ",", "Hsk", ",", "HsHatk", ",", "Ksk", ",", 
        "KsHatk", ",", "K", ",", "k", ",", "l", ",", "SVab2ab", ",", 
        "SVT02Tk", ",", "SVTK2Tk", ",", "SY", ",", "SYh", ",", "MP", ",", 
        "MhK", ",", "RRk", ",", "YYks", ",", "PsTkTk", ",", "Mks", ",", 
        "Mkks", ",", "Uk", ",", "U", ",", "PsTkTkk", ",", "BBkp1Temp", ",", 
        "SYk", ",", "SYhk", ",", "Bkp1om", ",", "UUkp1om", ",", "BB", ",", 
        "BBkhp1Temp", ",", "UUkop", ",", "Bkhm1op", ",", "BBh", ",", "VsTkTk",
         ",", "VsTkTkk", ",", "SPab2ab", ",", "SPT02Tk", ",", "SPTK2Tk", ",", 
        "FsyAll"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Psi", "=", " ", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"PsiHat", "=", " ", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"Ks", "=", " ", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"Hs", "=", " ", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"HsHat", "=", " ", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"KsHat", "=", " ", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"U", "=", 
        RowBox[{"{", "}"}]}], ";", " ", 
       RowBox[{"SY", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"SYh", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"BB", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"BBh", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"K", "=", 
        RowBox[{
         RowBox[{"Length", "[", "Tfinite", "]"}], "-", "1"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"===", "===", "===", "===", "===", "===", 
          RowBox[{"\[Equal]", " ", 
           RowBox[{"calculate", "  ", 
            SuperscriptBox["\[CapitalPsi]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}]}]}], ",", 
         RowBox[{
          SuperscriptBox["K", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          SuperscriptBox["H", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}], " ", 
          SuperscriptBox[
           OverscriptBox["\[CapitalPsi]", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          SuperscriptBox[
           OverscriptBox["K", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            OverscriptBox["H", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], "  ", "===", "===", "===", "===", "===",
           "===", "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "1"}], ",", 
         RowBox[{"k", "\[LessEqual]", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Nz", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "\[NotEqual]", "  ", "0"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"QHatppk", "=", 
              RowBox[{
               RowBox[{"RpInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "-", 
                 RowBox[{"s", " ", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{"Np", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "+", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                   ".", 
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ")"}]}],
                 ")"}]}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"QHatpmk", "=", 
              RowBox[{
               RowBox[{"RpInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "+", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                   ".", 
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ")"}]}],
                 ")"}]}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"QHatmpk", "=", 
              RowBox[{
               RowBox[{"RmInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "+", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                   ".", 
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ")"}]}],
                 ")"}]}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"QHatmmk", "=", 
              RowBox[{
               RowBox[{"RmInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "-", 
                 RowBox[{"s", " ", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{"Nm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "+", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                   ".", 
                   RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ")"}]}],
                 ")"}]}]}], ";"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"QHatppk", "=", 
              RowBox[{
               RowBox[{"RpInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "-", 
                 RowBox[{"s", " ", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{"Np", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}]}], ")"}]}]}], ";",
              "\[IndentingNewLine]", 
             RowBox[{"QHatpmk", "=", 
              RowBox[{
               RowBox[{"RpInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"Q", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"QHatmpk", "=", 
              RowBox[{
               RowBox[{"RmInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"Q", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"QHatmmk", "=", 
              RowBox[{
               RowBox[{"RmInv", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "-", 
                 RowBox[{"s", " ", 
                  RowBox[{"IdentityMatrix", "[", 
                   RowBox[{"Nm", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "]"}]}]}], ")"}]}]}], 
             ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Psik", ",", "Ksk", ",", "Hsk"}], "}"}], " ", "=", " ", 
           RowBox[{"FluidFundamentalMatrices", "[", 
            RowBox[{
            "QHatppk", ",", "QHatpmk", ",", "QHatmpk", ",", "QHatmmk", ",", 
             "\"\<PKU\>\""}], "]"}]}], ";", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[CapitalPsi]", 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}], ",", 
            RowBox[{
             SuperscriptBox["K", 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}], ",", 
            RowBox[{
             SuperscriptBox["H", 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"PsiHatk", ",", "KsHatk", ",", "HsHatk"}], "}"}], " ", 
           "=", " ", 
           RowBox[{"FluidFundamentalMatrices", "[", 
            RowBox[{
            "QHatmmk", ",", "QHatmpk", ",", "QHatpmk", ",", "QHatppk", ",", 
             "\"\<PKU\>\""}], "]"}]}], ";", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{
             SuperscriptBox[
              OverscriptBox["\[CapitalPsi]", "^"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}], ",", 
            RowBox[{
             SuperscriptBox[
              OverscriptBox["K", "^"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}], ",", 
            RowBox[{
             SuperscriptBox[
              OverscriptBox["H", "^"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"SYk", "=", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"SYhk", "=", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Uk", "=", 
           RowBox[{"ConstantArray", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Uk", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sp", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ",", 
             RowBox[{"Uk", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ",", 
             RowBox[{"Uk", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sp", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sp", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ",", 
             RowBox[{"Uk", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sp", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], "=", 
           RowBox[{"UAll", "[", 
            RowBox[{"Psik", ",", "PsiHatk", ",", "Hsk", ",", "HsHatk", ",", 
             RowBox[{
              RowBox[{"Tfinite", "[", 
               RowBox[{"[", 
                RowBox[{"k", "+", "1"}], "]"}], "]"}], "-", 
              RowBox[{"Tfinite", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Psi", ",", "Psik"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Ks", ",", "Ksk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"Hs", ",", "Hsk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"PsiHat", ",", "PsiHatk"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"KsHat", ",", "KsHatk"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"HsHat", ",", "HsHatk"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"U", ",", "Uk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"SY", ",", "SYk"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"SYh", ",", "SYhk"}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"===", "===", "===", "===", "===", "===", 
          RowBox[{"\[Equal]", " ", 
           RowBox[{"calculate", " ", "return", " ", "measures", 
            RowBox[{"(", 
             RowBox[{"upward", "/", "downward"}], ")"}], " ", "for", " ", 
            "boundaires", " ", 
            RowBox[{"{", 
             RowBox[{"K", ",", 
              RowBox[{"K", "-", "1"}], ",", "0", ",", "1"}], "}"}], " ", 
            SuperscriptBox["Y", 
             RowBox[{"(", "K", ")"}]], 
            RowBox[{"(", "s", ")"}]}]}]}], ",", 
         RowBox[{
          SuperscriptBox["Y", 
           RowBox[{"(", 
            RowBox[{"K", "-", "1"}], ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", " ", 
         RowBox[{
          SuperscriptBox[
           OverscriptBox["Y", "^"], 
           RowBox[{"(", "0", ")"}]], 
          RowBox[{"(", "s", ")"}]}], ",", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            OverscriptBox["Y", "^"], 
            RowBox[{"(", "1", ")"}]], 
           RowBox[{"(", "s", ")"}]}], "   ", "===", "===", "===", "===", "===",
           "===", "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"SY", ",", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "K", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}]}], "]"}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"SY", "[", 
          RowBox[{"[", 
           RowBox[{"K", "+", "1"}], "]"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"Sconst", "[", 
            RowBox[{"[", 
             RowBox[{"K", "+", "1"}], "]"}], "]"}], ",", 
           RowBox[{"Sdown", "[", 
            RowBox[{"[", 
             RowBox[{"K", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
        RowBox[{
         RowBox[{"Inverse", "[", 
          RowBox[{
           RowBox[{"s", " ", 
            RowBox[{"IdentityMatrix", "[", 
             RowBox[{"Length", "[", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", 
                RowBox[{"K", "+", "1"}], "]"}], "]"}], "]"}], "]"}]}], "-", 
           RowBox[{
            RowBox[{"QTilda", "[", 
             RowBox[{"[", 
              RowBox[{"K", "+", "1"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", 
                RowBox[{"K", "+", "1"}], "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", 
                RowBox[{"K", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], 
          "]"}], ".", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"QTilda", "[", 
           RowBox[{"[", 
            RowBox[{"K", "+", "1"}], "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"Sconst", "[", 
             RowBox[{"[", 
              RowBox[{"K", "+", "1"}], "]"}], "]"}], ",", 
            RowBox[{"Sdown", "[", 
             RowBox[{"[", 
              RowBox[{"K", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
       " ", 
       RowBox[{"(*", 
        RowBox[{
         SuperscriptBox["Y", 
          RowBox[{"(", "K", ")"}]], 
         RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"SY", "[", 
          RowBox[{"[", "K", "]"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"Sp", "[", 
            RowBox[{"[", "K", "]"}], "]"}], ",", 
           RowBox[{"Sm", "[", 
            RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], "=", 
        RowBox[{
         RowBox[{
          RowBox[{"U", "[", 
           RowBox[{"[", "K", "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"Sp", "[", 
             RowBox[{"[", "K", "]"}], "]"}], ",", 
            RowBox[{"Sm", "[", 
             RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], "+", 
         RowBox[{
          RowBox[{
           RowBox[{"U", "[", 
            RowBox[{"[", "K", "]"}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"Sp", "[", 
              RowBox[{"[", "K", "]"}], "]"}], ",", 
             RowBox[{"Sconst", "[", 
              RowBox[{"[", 
               RowBox[{"K", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}], ".", 
          RowBox[{"Inverse", "[", 
           RowBox[{
            RowBox[{"s", " ", 
             RowBox[{"IdentityMatrix", "[", 
              RowBox[{"Length", "[", 
               RowBox[{"Sconst", "[", 
                RowBox[{"[", 
                 RowBox[{"K", "+", "1"}], "]"}], "]"}], "]"}], "]"}]}], "-", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", 
               RowBox[{"K", "+", "1"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", 
                 RowBox[{"K", "+", "1"}], "]"}], "]"}], ",", 
               RowBox[{"Sconst", "[", 
                RowBox[{"[", 
                 RowBox[{"K", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"QTilda", "[", 
               RowBox[{"[", 
                RowBox[{"K", "+", "1"}], "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sconst", "[", 
                 RowBox[{"[", 
                  RowBox[{"K", "+", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Sdown", "[", 
                 RowBox[{"[", 
                  RowBox[{"K", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}], ".", 
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sdown", "[", 
                 RowBox[{"[", 
                  RowBox[{"K", "+", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Sconst", "[", 
                 RowBox[{"[", 
                  RowBox[{"K", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}]}]}], 
           "]"}], ".", 
          RowBox[{
           RowBox[{"QTilda", "[", 
            RowBox[{"[", 
             RowBox[{"K", "+", "1"}], "]"}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"Sconst", "[", 
              RowBox[{"[", 
               RowBox[{"K", "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"Sdown", "[", 
              RowBox[{"[", 
               RowBox[{"K", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}], ".", 
          RowBox[{
           RowBox[{"U", "[", 
            RowBox[{"[", "K", "]"}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"Sdown", "[", 
              RowBox[{"[", 
               RowBox[{"K", "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"Sm", "[", 
              RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}]}]}]}], ";", " ", 
       RowBox[{"(*", 
        RowBox[{
         SuperscriptBox["Y", 
          RowBox[{"(", 
           RowBox[{"K", "-", "1"}], ")"}]], 
         RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"PrependTo", "[", 
        RowBox[{"SYh", ",", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], "]"}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"SYh", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"Sconst", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", 
           RowBox[{"Sup", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], "=", 
        RowBox[{
         RowBox[{"Inverse", "[", 
          RowBox[{
           RowBox[{"s", " ", 
            RowBox[{"IdentityMatrix", "[", 
             RowBox[{"Length", "[", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], "-", 
           RowBox[{
            RowBox[{"QTilda", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], ".", 
         RowBox[{
          RowBox[{"QTilda", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"Sconst", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"Sup", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", " ", 
       RowBox[{"(*", 
        RowBox[{
         SuperscriptBox[
          OverscriptBox["Y", "^"], 
          RowBox[{"(", "0", ")"}]], 
         RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"SYh", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"Sm", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", 
           RowBox[{"Sp", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], "=", 
        RowBox[{
         RowBox[{
          RowBox[{"U", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"Sm", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"Sp", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], "+", 
         RowBox[{
          RowBox[{
           RowBox[{"U", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"Sm", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"Sconst", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
          RowBox[{"Inverse", "[", 
           RowBox[{
            RowBox[{"s", " ", 
             RowBox[{"IdentityMatrix", "[", 
              RowBox[{"Length", "[", 
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], "-", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"QTilda", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sconst", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"Sup", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sup", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"Sconst", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}]}], "]"}], 
          ".", 
          RowBox[{
           RowBox[{"QTilda", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"Sconst", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"Sup", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
          RowBox[{
           RowBox[{"U", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"Sup", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"Sp", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}]}]}], ";", " ", 
       RowBox[{"(*", 
        RowBox[{
         SuperscriptBox[
          OverscriptBox["Y", "^"], 
          RowBox[{"(", "1", ")"}]], 
         RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"Mks", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "1"}], ",", 
         RowBox[{"k", "\[LessEqual]", " ", 
          RowBox[{"K", "+", "1"}]}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "]"}], "\[NotEqual]", " ", 
             "0"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Mkks", "=", 
              RowBox[{"Inverse", "[", 
               RowBox[{
                RowBox[{"s", " ", 
                 RowBox[{"IdentityMatrix", "[", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", 
                    RowBox[{
                    RowBox[{"QTilda", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sconst", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"Sconst", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}], 
                   "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "-", 
                RowBox[{
                 RowBox[{"QTilda", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sconst", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                   RowBox[{"Sconst", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "]"}]}],
              ";", "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{
                SuperscriptBox[
                 SubscriptBox["M", 
                  RowBox[{"\[RightArrow]", "\[RightArrow]"}]], 
                 RowBox[{"(", "k", ")"}]], 
                RowBox[{"(", "s", ")"}], " ", "k"}], "\[Element]", 
               RowBox[{"{", 
                RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], " ", "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"AppendTo", "[", 
              RowBox[{"Mks", ",", "Mkks"}], "]"}], ";"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"AppendTo", "[", 
              RowBox[{"Mks", ",", 
               RowBox[{"{", "}"}]}], "]"}], ";"}]}], "\[IndentingNewLine]", 
           "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"calculate", " ", "return", " ", "measures", 
         RowBox[{"(", 
          RowBox[{"upward", "/", "downward"}], ")"}], " ", "to", " ", "the", 
         " ", "remaining", " ", "boundaries"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "K"}], ",", 
         RowBox[{"k", "\[GreaterEqual]", " ", "2"}], ",", 
         RowBox[{"k", "--"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalB]", 
             RowBox[{"(", 
              RowBox[{"k", "+", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalU]", 
             RowBox[{"(", 
              RowBox[{"k", "+", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{
            SuperscriptBox["\[CapitalBeta]", 
             RowBox[{"(", 
              RowBox[{"k", "+", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", " ", 
           RowBox[{
            RowBox[{
             SuperscriptBox["Y", 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}], " ", "k"}], "\[Element]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", 
              RowBox[{"K", "-", "2"}]}], "}"}]}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"BBkp1Temp", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SY", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SY", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spup", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spup", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spconst", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spconst", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sup", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sdown", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"UUkp1om", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Bkp1om", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"UUkp1om", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sm", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sm", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalU]", 
             RowBox[{"(", 
              RowBox[{"k", "+", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"Bkp1om", "=", 
           RowBox[{
            RowBox[{"Inverse", "[", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "-", "BBkp1Temp"}], 
             "]"}], ".", "UUkp1om"}]}], ";", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox["\[CapitalBeta]", 
             RowBox[{"(", 
              RowBox[{"k", "+", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"AppendTo", "[", 
             RowBox[{"BB", ",", 
              RowBox[{"Join", "[", 
               RowBox[{"BBkp1Temp", ",", "UUkp1om", ",", " ", "2"}], "]"}]}], 
             "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"BB", ",", "Bkp1om"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"SY", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sp", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
              RowBox[{"Sm", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"U", "[", 
              RowBox[{"[", 
               RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
               RowBox[{"Sm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sp", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Spup", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], ".", 
             RowBox[{"Bkp1om", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Spup", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Sm", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], 
            "+", 
            RowBox[{
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sp", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Spconst", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], ".", 
             RowBox[{"Bkp1om", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Spconst", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Sm", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}]}]}],
           ";"}]}], 
        RowBox[{"(*", " ", 
         RowBox[{
          SuperscriptBox["Y", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", "]"}], 
       ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "2"}], ",", 
         RowBox[{"k", "\[LessEqual]", "  ", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             OverscriptBox["\[DoubleStruckCapitalB]", "^"], 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{
            SuperscriptBox[
             OverscriptBox["\[DoubleStruckCapitalU]", "^"], 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{
            SuperscriptBox[
             OverscriptBox["\[CapitalBeta]", "^"], 
             RowBox[{"(", 
              RowBox[{"k", "-", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", " ", 
           RowBox[{
            RowBox[{
             SuperscriptBox[
              OverscriptBox["Y", "^"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", "s", ")"}], " ", "k"}], "\[Element]", 
            RowBox[{"{", 
             RowBox[{"2", ",", "...", ",", "K"}], "}"}]}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"BBkhp1Temp", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spup", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SYh", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spup", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spconst", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SYh", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Spconst", "[", 
               RowBox[{"[", 
                RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sup", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sdown", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"BBkhp1Temp", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"UUkop", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Bkhm1op", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"UUkop", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sp", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sp", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox[
             OverscriptBox["\[DoubleStruckCapitalU]", "^"], 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"Bkhm1op", "=", 
           RowBox[{
            RowBox[{"Inverse", "[", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{
                RowBox[{"Np", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "+", 
                RowBox[{"Nz", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "-", "BBkhp1Temp"}],
              "]"}], ".", "UUkop"}]}], ";", " ", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox[
             OverscriptBox["\[CapitalBeta]", "^"], 
             RowBox[{"(", 
              RowBox[{"k", "-", "1"}], ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"AppendTo", "[", 
             RowBox[{"BBh", ",", 
              RowBox[{"Join", "[", 
               RowBox[{"BBkhp1Temp", ",", "UUkop", ",", " ", "2"}], "]"}]}], 
             "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"BBh", ",", "Bkhm1op"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"SYh", "[", 
             RowBox[{"[", 
              RowBox[{"k", "+", "1"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sm", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sp", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"U", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sp", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sdownm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
             RowBox[{"Bkhm1op", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sdownm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sp", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sconstm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
             RowBox[{"Bkhm1op", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Sconstm", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"Sp", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}]}], 
          ";"}]}], " ", 
        RowBox[{"(*", 
         RowBox[{
          SuperscriptBox[
           OverscriptBox["Y", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"SVab2ab", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"K", "+", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"K", "+", "1"}], "}"}]}], "]"}]}], ";", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], 
             SubscriptBox["T", "l"]}]}], ")"}], " ", "k"}], ",", 
         RowBox[{"l", "\[Element]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "...", ",", "K"}], "}"}]}]}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"SPab2ab", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"K", "+", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"K", "+", "1"}], "}"}]}], "]"}]}], ";", " ", 
       RowBox[{"(*", "  ", 
        RowBox[{
         RowBox[{"P", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], 
             SubscriptBox["T", "l"]}]}], ")"}], " ", "k"}], ",", 
         RowBox[{"l", "\[Element]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "...", ",", "K"}], "}"}]}]}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"VsTkTk", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"PsTkTk", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<Y\>\""}], ",", " ", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{
           "Return", " ", "back", " ", "the", " ", "upward", " ", "return", 
            " ", "measures", " ", "to", " ", "boundary", " ", "k", " ", 
            "\"\<\!\(\*SuperscriptBox[\(Y\), \((k)\)]\)(s)\>\"", " ", "for", 
            " ", "k", 
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
           RowBox[{"if", " ", "needed"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Return", "[", "SY", "]"}], ";"}]}], "\[IndentingNewLine]", 
        "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<YHAT\>\""}], ",", "  ", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{
           "Return", " ", "back", " ", "the", " ", "downward", " ", "return", 
            " ", "measures", " ", "to", " ", "boundary", " ", "k", " ", 
            
            "\"\<\!\(\*SuperscriptBox[OverscriptBox[\(Y\), \(^\)], \
\((k)\)]\)(s)\>\"", " ", "for", " ", "k", 
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
           RowBox[{"if", " ", "needed"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Return", "[", "SYh", "]"}], ";"}]}], "\[IndentingNewLine]",
         "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"calculate", " ", "V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], 
             SubscriptBox["T", "k"]}]}], ")"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["P", 
             RowBox[{"\[EmptySmallCircle]", "\[RightArrow]"}]], 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "k"]}]}], ")"}]}], "..."}], 
          RowBox[{"i", ".", "e", ".", " ", "the"}], " ", "transient", " ", 
          "fluid", " ", 
          RowBox[{"density", "/", "masses"}], " ", "when", " ", "the", " ", 
          "initial", " ", "and", " ", "final", " ", "levels", " ", "are", " ",
           "the", " ", "same", " ", "boundary", " ", "level"}]}], "  ", 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "1"}], ",", 
         RowBox[{"k", "\[LessEqual]", "  ", 
          RowBox[{"K", "+", "1"}]}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalY]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalR]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], ",", 
           RowBox[{"V", 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "k"]}]}], ")"}]}], ",", 
           RowBox[{
            RowBox[{
             SubscriptBox["P", 
              RowBox[{"\[EmptySmallCircle]", "\[RightArrow]"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["T", 
                 RowBox[{"k", ","}]], 
                SubscriptBox["T", "k"]}]}], ")"}], " ", "k"}], "\[Element]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", "K"}], "}"}]}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"YYks", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"VsTkTkk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"PsTkTkk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"MP", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalY]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sup", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Mks", "[", 
             RowBox[{"[", "k", "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"QTilda", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sconst", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"Sdown", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SY", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SY", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SYh", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sup", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"YYks", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"SYh", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sdown", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"RRk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Length", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            SuperscriptBox["\[DoubleStruckCapitalR]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"k", "<", 
             RowBox[{"K", "+", "1"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"RRk", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"absRi", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", 
              RowBox[{
               RowBox[{"SY", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sconst", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}], 
             "\[NotEqual]", " ", "0"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"RRk", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sconst", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{
                RowBox[{"SY", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sup", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"absRi", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}]}], 
             ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", 
              RowBox[{
               RowBox[{"SYh", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sconst", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "]"}], 
             "\[NotEqual]", " ", "0"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"RRk", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sconst", "[", 
                  RowBox[{"[", 
                   RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{
                RowBox[{"SYh", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sdown", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}], 
               ".", 
               RowBox[{
                RowBox[{"absRi", "[", 
                 RowBox[{"[", 
                  RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "-", "1"}], "]"}], "]"}], ",", 
                  RowBox[{"Sconst", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}]}],
              ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"k", "\[NotEqual]", "1"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"RRk", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"absRi", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"VsTkTkk", "=", 
           RowBox[{
            RowBox[{"Inverse", "[", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{"Length", "[", 
                RowBox[{"Q", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "-", "YYks"}], 
             "]"}], ".", "RRk"}]}], ";", " ", 
          RowBox[{"(*", 
           RowBox[{"V", 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "k"]}]}], ")"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"MP", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{"Mks", "[", 
            RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"PsTkTkk", "[", 
            RowBox[{"[", 
             RowBox[{";;", ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Inverse", "[", 
               RowBox[{
                RowBox[{"IdentityMatrix", "[", 
                 RowBox[{"Length", "[", 
                  RowBox[{"Q", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "-", 
                "YYks"}], "]"}], ".", "MP"}], ")"}], "[", 
            RowBox[{"[", 
             RowBox[{";;", ",", 
              RowBox[{"Sconst", "[", 
               RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
          RowBox[{"(*", 
           RowBox[{
            SubscriptBox["P", 
             RowBox[{"\[EmptySmallCircle]", "\[RightArrow]"}]], 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "k"]}]}], ")"}]}], "*)"}], " ", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", "k"}], "]"}], "]"}], "=", "VsTkTkk"}], ";", 
          " ", 
          RowBox[{"(*", 
           RowBox[{
           "Density", " ", "at", " ", "intermeidate", " ", "boundaries", " ", 
            "T_k", " ", "to", " ", "T_k", " ", 
            RowBox[{"(", 
             RowBox[{"Matrix", " ", "Diagonal"}], ")"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", "k"}], "]"}], "]"}], "=", "PsTkTkk"}], ";"}]}],
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"calculate", " ", "V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], 
             SubscriptBox["T", "l"]}]}], ")"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"P", 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["T", 
                 RowBox[{"k", ","}]], 
                SubscriptBox["T", "l"]}]}], ")"}]}], "..."}], 
           RowBox[{"i", ".", "e", ".", " ", "the"}], " ", "transient", " ", 
           "fluid", " ", 
           RowBox[{"density", "/", "masses"}], " ", "when", " ", "the", " ", 
           "initial", " ", "and", " ", "final", " ", "levels", " ", "are", 
           " ", "different", " ", "for", " ", "k"}], "\[NotEqual]", "l"}], 
         ",", " ", 
         RowBox[{
          RowBox[{"Equations", " ", "38"}], "-", "40"}]}], "  ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "2"}], ",", 
         RowBox[{"k", "\[LessEqual]", "  ", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"SVab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", 
              RowBox[{"k", "+", "1"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"BBh", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
            RowBox[{"SVab2ab", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"k", "+", "1"}], ",", 
               RowBox[{"k", "+", "1"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", 
              RowBox[{"k", "-", "1"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"BB", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
            RowBox[{"SVab2ab", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ",", 
               RowBox[{"k", "-", "1"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", 
              RowBox[{"k", "+", "1"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"BBh", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
            RowBox[{"SPab2ab", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"k", "+", "1"}], ",", 
               RowBox[{"k", "+", "1"}]}], "]"}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", 
              RowBox[{"k", "-", "1"}]}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"BB", "[", 
             RowBox[{"[", 
              RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
            RowBox[{"SPab2ab", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ",", 
               RowBox[{"k", "-", "1"}]}], "]"}], "]"}]}]}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"l", "=", "3"}], ",", 
         RowBox[{"l", "\[LessEqual]", "  ", 
          RowBox[{"K", "+", "1"}]}], ",", 
         RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"k", "=", "1"}], ",", 
            RowBox[{
             RowBox[{"l", "+", "k"}], "\[LessEqual]", " ", 
             RowBox[{"K", "+", "1"}]}], ",", 
            RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"SVab2ab", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"k", "+", "1"}], ",", 
                 RowBox[{"k", "+", "l"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"BBh", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"SVab2ab", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"k", "+", "2"}], ",", 
                  RowBox[{"k", "+", "l"}]}], "]"}], "]"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"SPab2ab", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"k", "+", "1"}], ",", 
                 RowBox[{"k", "+", "l"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"BBh", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ".", 
               RowBox[{"SPab2ab", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"k", "+", "2"}], ",", 
                  RowBox[{"k", "+", "l"}]}], "]"}], "]"}]}]}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
        "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "2"}], ",", 
         RowBox[{"k", "<", "  ", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"l", "=", "0"}], ",", 
            RowBox[{
             RowBox[{"k", "-", "l"}], "\[GreaterEqual]", " ", "2"}], " ", ",", 
            RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"SVab2ab", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"k", "+", "1"}], ",", 
                 RowBox[{"k", "-", "l", "-", "1"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"BB", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
               RowBox[{"SVab2ab", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", 
                  RowBox[{"k", "-", "l", "-", "1"}]}], "]"}], "]"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"SPab2ab", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"k", "+", "1"}], ",", 
                 RowBox[{"k", "-", "l", "-", "1"}]}], "]"}], "]"}], "=", 
              RowBox[{
               RowBox[{"BB", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "-", "1"}], "]"}], "]"}], ".", 
               RowBox[{"SPab2ab", "[", 
                RowBox[{"[", 
                 RowBox[{"k", ",", 
                  RowBox[{"k", "-", "l", "-", "1"}]}], "]"}], "]"}]}]}], 
             ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "0"}], ",", 
         RowBox[{"k", "<", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"SVT02Tk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"SPT02Tk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVT02Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sp", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Inverse", "[", " ", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{"Np", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", 
              RowBox[{
               RowBox[{
                RowBox[{"U", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"SYh", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}]}], "]"}], 
            ".", 
            RowBox[{
             RowBox[{"U", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"SVab2ab", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", 
                RowBox[{"k", "+", "2"}]}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVT02Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sm", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"SYh", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{"SVT02Tk", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", 
              RowBox[{"k", "+", "2"}]}], "]"}], "]"}], "=", "SVT02Tk"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPT02Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sp", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Inverse", "[", " ", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{"Np", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", 
              RowBox[{
               RowBox[{
                RowBox[{"U", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"SYh", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}]}], "]"}], 
            ".", 
            RowBox[{
             RowBox[{"U", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"SPab2ab", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", 
                RowBox[{"k", "+", "2"}]}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPT02Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sm", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"SYh", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{"SPT02Tk", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPab2ab", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", 
              RowBox[{"k", "+", "2"}]}], "]"}], "]"}], "=", "SPT02Tk"}], 
          ";"}]}], "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{"Density", "/", "Mass"}], " ", "for", "  ", "boundaries", 
           " ", "T_", "0", " ", "to", " ", "T_k"}], ",", " ", 
          RowBox[{"k", "\[Element]", 
           RowBox[{"{", 
            RowBox[{"1", ",", "...", ",", "K"}], "}"}]}]}], " ", "*)"}], " ", 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "0"}], ",", 
         RowBox[{"k", "<", "K"}], ",", 
         RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"SVTK2Tk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"SPTK2Tk", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Np", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}], "+", 
               RowBox[{"Nz", "[", 
                RowBox[{"[", 
                 RowBox[{"k", "+", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVTK2Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sm", "[", 
               RowBox[{"[", "K", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Inverse", "[", " ", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "K", "]"}], "]"}], "]"}], "-", 
              RowBox[{
               RowBox[{
                RowBox[{"U", "[", 
                 RowBox[{"[", "K", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "K", "]"}], "]"}], ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"SY", "[", 
                 RowBox[{"[", 
                  RowBox[{"K", "+", "1"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "K", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}]}]}], "]"}], 
            ".", 
            RowBox[{
             RowBox[{"U", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "K", "]"}], "]"}], ",", 
               RowBox[{"Sm", "[", 
                RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"SVab2ab", "[", 
              RowBox[{"[", 
               RowBox[{"K", ",", 
                RowBox[{"K", "-", "k"}]}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "K", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVTK2Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sp", "[", 
               RowBox[{"[", "K", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"SY", "[", 
              RowBox[{"[", 
               RowBox[{"K", "+", "1"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "K", "]"}], "]"}], ",", 
               RowBox[{"Sm", "[", 
                RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{"SVTK2Tk", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "K", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SVab2ab", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"K", "+", "1"}], ",", 
              RowBox[{"K", "-", "k"}]}], "]"}], "]"}], "=", "SVTK2Tk"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPTK2Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sm", "[", 
               RowBox[{"[", "K", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"Inverse", "[", " ", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{"Nm", "[", 
                RowBox[{"[", "K", "]"}], "]"}], "]"}], "-", 
              RowBox[{
               RowBox[{
                RowBox[{"U", "[", 
                 RowBox[{"[", "K", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "K", "]"}], "]"}], ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{
                RowBox[{"SY", "[", 
                 RowBox[{"[", 
                  RowBox[{"K", "+", "1"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "K", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}]}]}], "]"}], 
            ".", 
            RowBox[{
             RowBox[{"U", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "K", "]"}], "]"}], ",", 
               RowBox[{"Sm", "[", 
                RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{
             RowBox[{"SPab2ab", "[", 
              RowBox[{"[", 
               RowBox[{"K", ",", 
                RowBox[{"K", "-", "k"}]}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "K", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPTK2Tk", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Sp", "[", 
               RowBox[{"[", "K", "]"}], "]"}], ",", ";;"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"SY", "[", 
              RowBox[{"[", 
               RowBox[{"K", "+", "1"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "K", "]"}], "]"}], ",", 
               RowBox[{"Sm", "[", 
                RowBox[{"[", "K", "]"}], "]"}]}], "]"}], "]"}], ".", 
            RowBox[{"SPTK2Tk", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "K", "]"}], "]"}], ",", ";;"}], "]"}], "]"}]}]}],
           ";", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"SPab2ab", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"K", "+", "1"}], ",", 
              RowBox[{"K", "-", "k"}]}], "]"}], "]"}], "=", "SPTK2Tk"}], 
          ";"}]}], "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "Density", " ", "for", " ", "boundaries", " ", "T_K", " ", "to", 
           " ", "T_k"}], ",", " ", 
          RowBox[{"k", "\[Element]", 
           RowBox[{"{", 
            RowBox[{"1", ",", "...", ",", 
             RowBox[{"K", "-", "1"}]}], "}"}]}]}], " ", "*)"}], " ", 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<MASS\>\""}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"MemberQ", "[", 
              RowBox[{"Tfinite", ",", "tempin"}], "]"}], "&&", 
             RowBox[{"MemberQ", "[", 
              RowBox[{"Tfinite", ",", "tempfin"}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Return", "[", 
              RowBox[{"SPab2ab", " ", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Position", "[", 
                   RowBox[{"Tfinite", ",", "tempin"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Position", "[", 
                   RowBox[{"Tfinite", ",", "tempfin"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], "]"}], 
              "]"}], ";"}], "\[IndentingNewLine]", " ", 
            RowBox[{"(*", " ", 
             RowBox[{
              RowBox[{"Return", " ", "back", " ", "the", " ", "P", 
               RowBox[{"(", 
                RowBox[{"s", ",", 
                 RowBox[{
                  SubscriptBox["T", 
                   RowBox[{"k", ","}]], 
                  SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], 
              ",", 
              RowBox[{"l", "\[Element]", 
               RowBox[{"{", 
                RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
              RowBox[{"if", " ", "needed"}]}], "*)"}], "\[IndentingNewLine]", 
            ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Return", "[", 
              RowBox[{"{", 
               RowBox[{
               "SPab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", 
                ",", "HsHat", ",", "Hs"}], "}"}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "  ", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"Return", " ", "back", " ", "the", " ", "P", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", 
                  RowBox[{"k", ","}]], 
                 SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], 
             ",", 
             RowBox[{"l", "\[Element]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "...", ",", "K"}], "}"}], " ", "and", "  ", 
               SuperscriptBox["\[CapitalPsi]", 
                RowBox[{"(", "k", ")"}]], 
               RowBox[{"(", "s", ")"}]}]}], ",", 
             RowBox[{
              SuperscriptBox["K", 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              SuperscriptBox["H", 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}], " ", 
              SuperscriptBox[
               OverscriptBox["\[CapitalPsi]", "^"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              SuperscriptBox[
               OverscriptBox["K", "^"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              RowBox[{
               SuperscriptBox[
                OverscriptBox["H", "^"], 
                RowBox[{"(", "k", ")"}]], 
               RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", "...", ",", "K"}], "}"}], "Needed", " ", 
               "for", " ", "evaluating", "  ", "the", " ", "transiant", "  ", 
               "mass", "  ", "for", " ", "the", " ", "case", " ", 
               "\"\<starting from a non boundary initial fluid level and \
ending to boundary\>\""}]}]}], "  ", "*)"}], "\[IndentingNewLine]", "]"}], 
          ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], "||", 
          RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"MemberQ", "[", 
              RowBox[{"Tfinite", ",", "tempin"}], "]"}], "&&", 
             RowBox[{"MemberQ", "[", 
              RowBox[{"Tfinite", ",", "tempfin"}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"Note", ":", " ", 
               RowBox[{
               "incase", " ", "of", " ", "rate", " ", "changes", " ", 
                "around", " ", "an", "  ", "intermidate", " ", "boundary", 
                " ", "\"\<T_k\>\""}]}], ",", " ", 
              RowBox[{
              "the", " ", "density", " ", "function", " ", "is", " ", "not", 
               " ", 
               RowBox[{"cont", ".", " ", "so"}], " ", "you", " ", "need", " ",
                "to", " ", "compare", " ", "with", " ", "the", " ", 
               RowBox[{"station", ".", " ", "values"}], " ", "of", " ", 
               RowBox[{"(", 
                RowBox[{"Tk", "+", "0.001"}], ")"}], " ", "for", " ", "the", 
               " ", "\"\<+\>\"", " ", "states", " ", "and", " ", "with", " ", 
               RowBox[{"(", 
                RowBox[{"Tk", "-", "0.001"}], ")"}], " ", "for", " ", 
               "\"\<-\>\"", " ", 
               RowBox[{"States", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
            " ", 
            RowBox[{"(*", " ", 
             RowBox[{
              RowBox[{"Return", " ", "back", " ", "the", " ", "V", 
               RowBox[{"(", 
                RowBox[{"s", ",", 
                 RowBox[{
                  SubscriptBox["T", 
                   RowBox[{"k", ","}]], 
                  SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], 
              ",", 
              RowBox[{"l", 
               RowBox[{"{", 
                RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
              RowBox[{"if", " ", "needed"}]}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Return", "[", 
              RowBox[{"SVab2ab", " ", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Position", "[", 
                   RowBox[{"Tfinite", ",", "tempin"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Position", "[", 
                   RowBox[{"Tfinite", ",", "tempfin"}], "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], "]"}], 
              "]"}], ";"}], "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Return", "[", 
              RowBox[{"{", 
               RowBox[{
               "SVab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", 
                ",", "HsHat", ",", "Hs"}], "}"}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", " ", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"Return", " ", "back", " ", "the", " ", "V", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", 
                  RowBox[{"k", ","}]], 
                 SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], 
             ",", 
             RowBox[{"l", "\[Element]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "...", ",", "K"}], "}"}], " ", "and", " ", 
               SuperscriptBox["\[CapitalPsi]", 
                RowBox[{"(", "k", ")"}]], 
               RowBox[{"(", "s", ")"}]}]}], ",", 
             RowBox[{
              SuperscriptBox["K", 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              SuperscriptBox["H", 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}], " ", 
              SuperscriptBox[
               OverscriptBox["\[CapitalPsi]", "^"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              SuperscriptBox[
               OverscriptBox["K", "^"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", "s", ")"}]}], ",", 
             RowBox[{
              RowBox[{
               SuperscriptBox[
                OverscriptBox["H", "^"], 
                RowBox[{"(", "k", ")"}]], 
               RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", "...", ",", "K"}], "}"}], " ", "Needed", 
               " ", "for", " ", "evaluating", "  ", "the", " ", "transiant", "  ",
                "fluid", " ", "density", "  ", "for", " ", "the", " ", 
               "following", " ", "cases", "  ", 
               "\"\<starting from a non boundary initial fluid level and \
ending to boundary\>\"", " ", "\[IndentingNewLine]", 
               "\"\<starting from a  boundary initial fluid level and ending \
non boundary\>\"", "\[IndentingNewLine]", 
               "\"\<starting from a non boundary initial fluid level and \
ending non boundary\>\""}]}]}], "   ", "*)"}], "\[IndentingNewLine]", "]"}], 
          ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.782727910827495*^9, 3.7827279155093145`*^9}, {
   3.7827279462530704`*^9, 3.782727956657834*^9}, {3.782727988914028*^9, 
   3.782728044340697*^9}, {3.7827280891025286`*^9, 3.782728094176757*^9}, {
   3.7827282318263845`*^9, 3.782728246822733*^9}, {3.7827282821529713`*^9, 
   3.7827283434999175`*^9}, {3.7827283799784603`*^9, 3.782728439247285*^9}, {
   3.78272850105572*^9, 3.782728712468959*^9}, {3.7827518395899196`*^9, 
   3.782751861044511*^9}, 3.7827518994048815`*^9, 3.7827520408279943`*^9, 
   3.7827523020355473`*^9, {3.7827523663740478`*^9, 3.7827523843728476`*^9}, {
   3.7827524930610623`*^9, 3.782752546385723*^9}, {3.7827526438928003`*^9, 
   3.782752712716667*^9}, {3.782752749239951*^9, 3.7827527959910135`*^9}, {
   3.782752862224037*^9, 3.7827529225935287`*^9}, {3.7827529558265724`*^9, 
   3.7827529790544267`*^9}, {3.782753046433705*^9, 3.7827531570886536`*^9}, {
   3.7827532248442354`*^9, 3.782753431843411*^9}, {3.7827534912015567`*^9, 
   3.7827536331717253`*^9}, {3.7827537592693496`*^9, 
   3.7827537654697623`*^9}, {3.7827538189786296`*^9, 3.782753823443652*^9}, {
   3.7827544706648293`*^9, 3.7827544912308044`*^9}, {3.7827545880118647`*^9, 
   3.7827546677455387`*^9}, {3.7827547824536877`*^9, 3.78275479970848*^9}, {
   3.782754895363551*^9, 3.7827549419788384`*^9}, {3.7827549845399637`*^9, 
   3.782755111731682*^9}, {3.782755182754362*^9, 3.782755183542252*^9}, {
   3.782755235994171*^9, 3.782755243812208*^9}, {3.782755321773841*^9, 
   3.782755324451234*^9}, {3.7827553835351615`*^9, 3.78275538463721*^9}, {
   3.782757708355898*^9, 3.7827577119382763`*^9}, {3.7827580787282696`*^9, 
   3.782758131717456*^9}, {3.782758184127159*^9, 3.78275821809573*^9}, {
   3.7827582674057803`*^9, 3.7827582880845947`*^9}, {3.782758515635606*^9, 
   3.782758517104154*^9}, {3.782758663970548*^9, 3.7827586923396907`*^9}, {
   3.782758757439822*^9, 3.782758764502892*^9}, {3.7827588019976587`*^9, 
   3.7827589471601906`*^9}, {3.7827591762016883`*^9, 3.7827591772890806`*^9}, 
   3.782759408658596*^9, {3.782759550042319*^9, 3.7827595639903426`*^9}, {
   3.7827596185638685`*^9, 3.782759619152148*^9}, {3.782797304148816*^9, 
   3.782797308266964*^9}, {3.782797358146121*^9, 3.7827974325993166`*^9}, {
   3.7827979001575317`*^9, 3.7827979061203885`*^9}, {3.7827979559746532`*^9, 
   3.782797987864256*^9}, {3.782798203599373*^9, 3.7827982047678366`*^9}, {
   3.782798253063423*^9, 3.7827983291300426`*^9}, {3.7827983635754037`*^9, 
   3.782798388994497*^9}, {3.782799132284998*^9, 3.782799183143215*^9}, {
   3.7827992218211813`*^9, 3.782799237572523*^9}, {3.7827992763193073`*^9, 
   3.7827992869543753`*^9}, {3.782799555025674*^9, 3.7827996329382067`*^9}, {
   3.7827996687185364`*^9, 3.7827998213879447`*^9}, {3.7827998803152113`*^9, 
   3.7827998904011974`*^9}, {3.7827999510211983`*^9, 3.7828000311817236`*^9}, 
   3.782800062166216*^9, 3.7828001109525785`*^9, {3.7828004098320074`*^9, 
   3.7828004370592155`*^9}, {3.782800698513895*^9, 3.7828008497953224`*^9}, {
   3.7828009262868767`*^9, 3.7828009594508376`*^9}, {3.78280105404585*^9, 
   3.7828012239871855`*^9}, {3.7828020126382136`*^9, 3.782802140088467*^9}, 
   3.782802275742049*^9, {3.782802336372473*^9, 3.782802489873311*^9}, {
   3.7828026335819445`*^9, 3.7828026338154335`*^9}, {3.7828146343263807`*^9, 
   3.7828146350415144`*^9}, {3.7828146771283393`*^9, 3.782814720367768*^9}, 
   3.782814762201871*^9, {3.782814813804777*^9, 3.782814816398837*^9}, 
   3.7828148478237906`*^9, {3.7828149134312534`*^9, 3.782814938890989*^9}, {
   3.782814979878434*^9, 3.782814992601396*^9}, {3.782815029208496*^9, 
   3.7828150336865025`*^9}, {3.7828150758227353`*^9, 3.782815085697356*^9}, {
   3.782815288795389*^9, 3.78281533083786*^9}, {3.7828153632262106`*^9, 
   3.782815396283761*^9}, {3.782815464702732*^9, 3.782815470380521*^9}, {
   3.7828155169987965`*^9, 3.7828155450946393`*^9}, {3.782815588513756*^9, 
   3.7828156120637035`*^9}, {3.782815683991266*^9, 3.78281575858469*^9}, {
   3.7828163803663673`*^9, 3.782816407012044*^9}, {3.782887534146577*^9, 
   3.7828877096304274`*^9}, {3.7828877893354797`*^9, 
   3.7828879230392838`*^9}, {3.7828879537194786`*^9, 3.782888001696463*^9}, {
   3.782888059150372*^9, 3.7828880640525093`*^9}, {3.7828882112882824`*^9, 
   3.7828882239844184`*^9}, {3.78288834916444*^9, 3.78288834972003*^9}, {
   3.7828885312302346`*^9, 3.78288854005525*^9}, {3.7828891859131155`*^9, 
   3.7828892082001514`*^9}, {3.7828892412425776`*^9, 
   3.7828892582460794`*^9}, {3.782889328621441*^9, 3.782889333698187*^9}, {
   3.782889364209904*^9, 3.782889456672058*^9}, {3.782889518615531*^9, 
   3.7828896862606335`*^9}, {3.7828897266748333`*^9, 
   3.7828897710700555`*^9}, {3.782889820938173*^9, 3.7828899347124186`*^9}, {
   3.782890365009245*^9, 3.7828904522181196`*^9}, {3.7828904877876353`*^9, 
   3.7828905121622443`*^9}, {3.782890565837444*^9, 3.7828905774177427`*^9}, {
   3.7828906517725525`*^9, 3.782890654151189*^9}, {3.782890797313795*^9, 
   3.7828908237875304`*^9}, {3.7828909442264023`*^9, 3.782890972831724*^9}, {
   3.78289100945348*^9, 3.7828910136726503`*^9}, {3.7828911132689333`*^9, 
   3.7828911485224085`*^9}, 3.7828911824240785`*^9, 3.7828912220627184`*^9, {
   3.7828914589289417`*^9, 3.7828914874502487`*^9}, {3.7828915420893474`*^9, 
   3.7828915503054314`*^9}, {3.7828916379722843`*^9, 3.782891658704006*^9}, {
   3.7828916900202613`*^9, 3.782891723709261*^9}, {3.7828918330495887`*^9, 
   3.7828918452629704`*^9}, {3.7828919339374146`*^9, 3.782892058976517*^9}, {
   3.782892125720133*^9, 3.782892173068595*^9}, {3.782892220381576*^9, 
   3.7828922318542833`*^9}, {3.7828922657897525`*^9, 
   3.7828923140141478`*^9}, {3.7828924171123037`*^9, 3.782892419691502*^9}, {
   3.782892619206284*^9, 3.782892644283257*^9}, {3.7828928247436295`*^9, 
   3.782892838026805*^9}, 3.7828929407318296`*^9, {3.782893020826685*^9, 
   3.7828930380205936`*^9}, {3.7828930883348365`*^9, 3.782893115508363*^9}, {
   3.782893163406296*^9, 3.782893180594858*^9}, 3.7828932235685625`*^9, {
   3.782893369397064*^9, 3.782893473304772*^9}, {3.782893659938056*^9, 
   3.7828939287657156`*^9}, {3.7829171139304204`*^9, 3.782917114993828*^9}, {
   3.7829181860692043`*^9, 3.7829183578422704`*^9}, 3.7829183977283387`*^9, {
   3.782918441399889*^9, 3.782918448911436*^9}, 3.782918560987502*^9, {
   3.7829186588449945`*^9, 3.7829190410219126`*^9}, {3.7829190865771513`*^9, 
   3.7829191659019203`*^9}, {3.7829193567391*^9, 3.7829193616817594`*^9}, 
   3.7829194271742744`*^9, {3.7829194609730935`*^9, 3.7829194645643187`*^9}, 
   3.782919497376645*^9, 3.782919545949417*^9, 3.782919622721295*^9, 
   3.7829196737987103`*^9, {3.7829197547082396`*^9, 3.782919790388418*^9}, {
   3.782919887914624*^9, 3.7829198972574964`*^9}, {3.7829199969593453`*^9, 
   3.7829200003118787`*^9}, {3.7829208522122507`*^9, 3.78292088680888*^9}, 
   3.7829209256300125`*^9, {3.7829209618330903`*^9, 3.782920996475339*^9}, {
   3.7829211640956917`*^9, 3.782921183307781*^9}, {3.7829212596405354`*^9, 
   3.7829212836601768`*^9}, {3.7829240193936405`*^9, 
   3.7829240670132003`*^9}, {3.782924127532673*^9, 3.7829241750062494`*^9}, {
   3.782924341012743*^9, 3.7829243542785983`*^9}, {3.7829245097247076`*^9, 
   3.7829245443307447`*^9}, {3.782924587601412*^9, 3.782924596859643*^9}, {
   3.7829246431688013`*^9, 3.7829247525565467`*^9}, {3.7829247865559173`*^9, 
   3.782924860356933*^9}, {3.7829249520083137`*^9, 3.7829250106638656`*^9}, {
   3.7829250535323133`*^9, 3.782925069489606*^9}, {3.7829251255366783`*^9, 
   3.782925230055094*^9}, {3.7829252731022615`*^9, 3.7829254037103124`*^9}, {
   3.7829257079070697`*^9, 3.782925721763157*^9}, {3.7829258008515477`*^9, 
   3.7829258011156173`*^9}, {3.7829262628491335`*^9, 
   3.7829262657970085`*^9}, {3.7829265728473063`*^9, 3.782926628525632*^9}, {
   3.782926668721413*^9, 3.7829266700788093`*^9}, {3.7829267764901276`*^9, 
   3.782926779269677*^9}, 3.7829286989729843`*^9, {3.782929372419237*^9, 
   3.7829293791372895`*^9}, {3.782930148403472*^9, 3.7829302599311156`*^9}, {
   3.7829303134977665`*^9, 3.782930410009424*^9}, {3.7829305838449183`*^9, 
   3.782930668684309*^9}, {3.7829307123810153`*^9, 3.7829307212530355`*^9}, 
   3.782930762188684*^9, {3.7829308436995926`*^9, 3.782930848382019*^9}, {
   3.782931003866517*^9, 3.782931019132529*^9}, {3.782976054913261*^9, 
   3.7829761388792624`*^9}, {3.7829762638171167`*^9, 3.7829763098804502`*^9}, 
   3.782976391759944*^9, {3.7829912165199876`*^9, 3.782991223585083*^9}, 
   3.782991254779622*^9, {3.7829913888890276`*^9, 3.7829914478702*^9}, {
   3.7829914790777493`*^9, 3.782991526300371*^9}, {3.782993154887307*^9, 
   3.782993222697874*^9}, {3.7829932680754786`*^9, 3.7829932697360463`*^9}, {
   3.782993362645251*^9, 3.7829933772173004`*^9}, {3.7829934145135202`*^9, 
   3.7829934212375293`*^9}, {3.7829948240844774`*^9, 
   3.7829949106000543`*^9}, {3.7829949646823435`*^9, 3.782994981686863*^9}, {
   3.782995111530483*^9, 3.782995173292245*^9}, {3.7829954169680405`*^9, 
   3.782995455863982*^9}, {3.7829955941723137`*^9, 3.782995595720214*^9}, {
   3.7829956935385747`*^9, 3.782995711612217*^9}, 3.7829957575034356`*^9, {
   3.7829959264199486`*^9, 3.7829959374484453`*^9}, 3.7829969633572564`*^9, {
   3.782997031373177*^9, 3.782997052302183*^9}, {3.782997161025296*^9, 
   3.7829971821158257`*^9}, {3.782997217047412*^9, 3.782997291360196*^9}, {
   3.782997365013096*^9, 3.782997374953539*^9}, {3.7829977230842876`*^9, 
   3.7829977499494295`*^9}, {3.7829977917216463`*^9, 
   3.7829978044416633`*^9}, {3.7829978567385488`*^9, 
   3.7829978912711506`*^9}, {3.7829979249590263`*^9, 
   3.7829980173229074`*^9}, {3.782998049063985*^9, 3.7829980675534678`*^9}, {
   3.7829986358645024`*^9, 3.7829986796583395`*^9}, 3.7829987215661564`*^9, {
   3.7829992398353577`*^9, 3.7829992428435907`*^9}, {3.7829992781936307`*^9, 
   3.782999297039977*^9}, {3.782999475055441*^9, 3.7829994758804665`*^9}, {
   3.782999534529836*^9, 3.7829995351020703`*^9}, {3.782999630446559*^9, 
   3.7829996888206244`*^9}, {3.7829997377377753`*^9, 3.782999747943928*^9}, {
   3.782999841854776*^9, 3.782999842100478*^9}, {3.782999901089223*^9, 
   3.782999901646718*^9}, 3.7830002194671316`*^9, {3.7830003184468255`*^9, 
   3.7830003185804405`*^9}, {3.7830011236401887`*^9, 3.783001150805172*^9}, 
   3.783001200530631*^9, {3.7830014392268133`*^9, 3.7830014851963477`*^9}, {
   3.783001997357004*^9, 3.783002008184951*^9}, {3.78300207911147*^9, 
   3.783002081125691*^9}, {3.783004061564726*^9, 3.7830041698466325`*^9}, 
   3.7830042013636074`*^9, {3.7830042697246113`*^9, 3.7830042701755753`*^9}, {
   3.783004307776205*^9, 3.783004339371352*^9}, 3.7830044024871483`*^9, {
   3.7830044588818426`*^9, 3.7830045138564005`*^9}, {3.783004660577154*^9, 
   3.7830046626143436`*^9}, {3.783004940606185*^9, 3.7830049654644437`*^9}, {
   3.783005141710297*^9, 3.783005159021736*^9}, 3.7830053923856525`*^9, {
   3.7830055359159927`*^9, 3.7830056061124115`*^9}, {3.783005654006899*^9, 
   3.7830056830470395`*^9}, {3.783005925573538*^9, 3.783005953761033*^9}, {
   3.783007355063343*^9, 3.78300737801445*^9}, {3.783007428942585*^9, 
   3.7830074593427706`*^9}, {3.783007571734419*^9, 3.7830076430271597`*^9}, {
   3.783007747553056*^9, 3.783007756811805*^9}, {3.7830077893905077`*^9, 
   3.78300779004495*^9}, 3.783007847830587*^9, 3.783007959954783*^9, 
   3.783008158826654*^9, 3.7830083368066425`*^9, {3.783008394690154*^9, 
   3.783008414327315*^9}, {3.7830085993584805`*^9, 3.783008603119902*^9}, {
   3.783008667091567*^9, 3.78300866855366*^9}, 3.7830087663698697`*^9, 
   3.783008842226923*^9, 3.78300898465139*^9, {3.783009121827055*^9, 
   3.783009125505484*^9}, {3.783009546200095*^9, 3.783009555470158*^9}, 
   3.7830096376034822`*^9, {3.7830097716248426`*^9, 3.7830097718145695`*^9}, {
   3.7830098821871266`*^9, 3.78300988514007*^9}, {3.783009935860238*^9, 
   3.7830099366639166`*^9}, {3.7830101446930747`*^9, 
   3.7830101592860303`*^9}, {3.7830102852324915`*^9, 3.783010285676262*^9}, {
   3.7830103306739054`*^9, 3.7830103413353896`*^9}, {3.783010715489586*^9, 
   3.78301071617076*^9}, {3.7830107548572674`*^9, 3.7830107556690435`*^9}, 
   3.7830109844174004`*^9, 3.783011145697405*^9, 3.7830114605151076`*^9, 
   3.7830116363924446`*^9, {3.783011883590028*^9, 3.783011896975217*^9}, {
   3.7830120765697594`*^9, 3.78301207913789*^9}, {3.783012598878299*^9, 
   3.783012605003908*^9}, {3.7830127257508106`*^9, 3.783012727192995*^9}, 
   3.7830128152553425`*^9, {3.7830129105390425`*^9, 3.7830129137404795`*^9}, {
   3.783013148310621*^9, 3.783013180319028*^9}, 3.783013251270749*^9, {
   3.7830132890047445`*^9, 3.7830133429195004`*^9}, {3.7830133731965475`*^9, 
   3.7830134705719953`*^9}, {3.7830135043994913`*^9, 
   3.7830135114735656`*^9}, {3.7830136654316535`*^9, 
   3.7830136679070272`*^9}, {3.7830138186447353`*^9, 
   3.7830138241759386`*^9}, {3.7830139710898685`*^9, 3.783013971663368*^9}, {
   3.7830140288038054`*^9, 3.7830140298869085`*^9}, {3.7830141768288045`*^9, 
   3.783014181515249*^9}, 3.783014410731626*^9, {3.783014488983305*^9, 
   3.783014570226903*^9}, {3.7830146054716396`*^9, 3.78301461313414*^9}, {
   3.7830146707120533`*^9, 3.7830148098468065`*^9}, {3.7830150296178474`*^9, 
   3.7830151071663337`*^9}, {3.7830151423542337`*^9, 3.783015160295224*^9}, 
   3.783015254701604*^9, {3.7830153336452723`*^9, 3.7830153341399517`*^9}, {
   3.7830154291657023`*^9, 3.783015473532059*^9}, 3.783015524625365*^9, {
   3.7830156517293043`*^9, 3.7830156532621627`*^9}, {3.7830157203586864`*^9, 
   3.7830157400738926`*^9}, {3.7830157860279884`*^9, 
   3.7830157870472636`*^9}, {3.7830162617750225`*^9, 3.783016267071863*^9}, {
   3.7830163138795786`*^9, 3.783016318213024*^9}, {3.783017064008095*^9, 
   3.7830170977837267`*^9}, {3.7830177448776245`*^9, 3.783017782377344*^9}, {
   3.783017989407429*^9, 3.783017990120491*^9}, {3.7830180895472593`*^9, 
   3.7830180909056296`*^9}, {3.7830181213790965`*^9, 
   3.7830181219784937`*^9}, {3.7830182877858815`*^9, 
   3.7830182971319227`*^9}, {3.7830185310752087`*^9, 3.7830185591680098`*^9}, 
   3.783018631531191*^9, 3.783018726110195*^9, {3.7830190253799825`*^9, 
   3.783019032052169*^9}, {3.783019151579389*^9, 3.7830191882043934`*^9}, {
   3.783019250878712*^9, 3.783019256402889*^9}, 3.7830193254883156`*^9, {
   3.783019544082446*^9, 3.7830195483859367`*^9}, {3.7830606095194483`*^9, 
   3.7830607748930717`*^9}, {3.7830608416764755`*^9, 3.783060844553586*^9}, {
   3.7830608875752125`*^9, 3.783060957977872*^9}, {3.783060991136063*^9, 
   3.783060992230712*^9}, {3.7830610242826214`*^9, 3.783061087531349*^9}, {
   3.7830611455534706`*^9, 3.783061358989849*^9}, {3.783061495370798*^9, 
   3.7830615397528267`*^9}, {3.7830618302953577`*^9, 
   3.7830618495555325`*^9}, {3.7830618988890066`*^9, 3.783061926122825*^9}, 
   3.7830619571403823`*^9, 3.7830620114819193`*^9, 3.783062635231118*^9, {
   3.7830632782914343`*^9, 3.783063302882783*^9}, {3.783063413840871*^9, 
   3.7830634413659935`*^9}, {3.783063473215043*^9, 3.7830634995184298`*^9}, {
   3.7830635320834017`*^9, 3.783063586420169*^9}, {3.7830636306179123`*^9, 
   3.783063715984432*^9}, {3.7830654954780235`*^9, 3.7830655213191605`*^9}, {
   3.7830657189177055`*^9, 3.783065794451359*^9}, {3.783066117889432*^9, 
   3.7830661210243855`*^9}, {3.783066587221513*^9, 3.7830666208242917`*^9}, {
   3.7830669160078244`*^9, 3.783067035670486*^9}, 3.7830671376594715`*^9, {
   3.7830672792251716`*^9, 3.7830673275833135`*^9}, {3.7830684116536393`*^9, 
   3.7830684529656696`*^9}, {3.783068490070408*^9, 3.7830685348414326`*^9}, {
   3.783068594293991*^9, 3.78306865038496*^9}, {3.783068693424636*^9, 
   3.783068736298463*^9}, {3.7830687743715515`*^9, 3.7830688113372517`*^9}, {
   3.783068853542039*^9, 3.7830690847291937`*^9}, {3.7830691170594416`*^9, 
   3.783069161229232*^9}, {3.7830700685344763`*^9, 3.7830701973189034`*^9}, {
   3.7830702504917192`*^9, 3.7830704382905483`*^9}, {3.7830710728501425`*^9, 
   3.7830710930124917`*^9}, {3.783071124882099*^9, 3.783071146565343*^9}, {
   3.7830712018860683`*^9, 3.7830712274004707`*^9}, {3.783072088843539*^9, 
   3.783072144305192*^9}, {3.7830722026819677`*^9, 3.783072217519307*^9}, {
   3.783073717577434*^9, 3.78307373131265*^9}, {3.7830738790165186`*^9, 
   3.7830738794992256`*^9}, {3.7830744051532335`*^9, 
   3.7830744066651917`*^9}, {3.783074489091667*^9, 3.783074532199333*^9}, 
   3.7830747940491824`*^9, {3.7830749156445584`*^9, 3.7830749230247865`*^9}, {
   3.783075065902113*^9, 3.7830750741579895`*^9}, {3.7830751128175635`*^9, 
   3.783075142707589*^9}, 3.7830944540912037`*^9, {3.7830945403374367`*^9, 
   3.7830945445467186`*^9}, {3.783094580998372*^9, 3.783094586139942*^9}, {
   3.7830950640131216`*^9, 3.7830950694474697`*^9}, {3.7830969529239216`*^9, 
   3.783096954104206*^9}, {3.7830971453069444`*^9, 3.783097145781674*^9}, {
   3.7830972056856422`*^9, 3.783097239803119*^9}, {3.783097978418874*^9, 
   3.783097987125143*^9}, {3.783099755689804*^9, 3.783099763001079*^9}, 
   3.783141734124365*^9, {3.7831418355731697`*^9, 3.783141838167181*^9}, 
   3.7831419529579983`*^9, {3.7831466782900004`*^9, 3.7831467317569513`*^9}, 
   3.783146993030752*^9, 3.7831471508792295`*^9, {3.7831477411689734`*^9, 
   3.783147754126305*^9}, {3.783147987575674*^9, 3.783147989989261*^9}, {
   3.7831495593175354`*^9, 3.7831495852212296`*^9}, {3.783149625105526*^9, 
   3.7831496542644644`*^9}, {3.783149689975954*^9, 3.7831497752996655`*^9}, {
   3.783149831679835*^9, 3.7831498405152006`*^9}, {3.783149947934844*^9, 
   3.7831499756956043`*^9}, {3.7831500340963697`*^9, 3.783150035574404*^9}, 
   3.7831514465938377`*^9, 3.7831515158206744`*^9, {3.783152207172983*^9, 
   3.783152220127324*^9}, {3.783152263318818*^9, 3.783152263873331*^9}, {
   3.783155328648491*^9, 3.783155339443654*^9}, 3.783156438758231*^9, {
   3.783156572171239*^9, 3.783156572532323*^9}, {3.7831566905209026`*^9, 
   3.783156698963252*^9}, {3.7831583422254744`*^9, 3.7831588991502137`*^9}, {
   3.7831589912741632`*^9, 3.783158994460932*^9}, {3.783159993751539*^9, 
   3.7831600033146667`*^9}, {3.783160082731045*^9, 3.7831600856676626`*^9}, 
   3.783160121377014*^9, {3.783160201066856*^9, 3.783160201566474*^9}, {
   3.7831602647193513`*^9, 3.783160333691558*^9}, {3.78316066739814*^9, 
   3.7831608726595984`*^9}, {3.7831609181564226`*^9, 3.783160971428397*^9}, {
   3.783161011190567*^9, 3.783161024956096*^9}, {3.783161057793086*^9, 
   3.783161089612359*^9}, {3.7831611740341926`*^9, 3.7831612305814977`*^9}, {
   3.7831612623527737`*^9, 3.7831612653623695`*^9}, {3.783161326904766*^9, 
   3.7831613287426114`*^9}, {3.7831614525417356`*^9, 
   3.7831614537690983`*^9}, {3.783161560778516*^9, 3.78316156095508*^9}, {
   3.783161896248397*^9, 3.78316196463665*^9}, {3.78316200086557*^9, 
   3.783162052333672*^9}, {3.783162127193367*^9, 3.783162167017396*^9}, {
   3.783162197948764*^9, 3.7831622902079897`*^9}, 3.783180173457526*^9, {
   3.783181372416003*^9, 3.783181400835973*^9}, {3.783236299351712*^9, 
   3.7832363182581573`*^9}, {3.783318518674268*^9, 3.7833185222487044`*^9}, 
   3.7833185662627378`*^9, {3.783318672672036*^9, 3.7833187207673254`*^9}, {
   3.7833187536283627`*^9, 3.783318889297416*^9}, {3.783318952661933*^9, 
   3.7833189566612453`*^9}, {3.783318998101321*^9, 3.783319169156668*^9}, {
   3.7833192614898033`*^9, 3.783319336795867*^9}, {3.78331944729438*^9, 
   3.7833194642719126`*^9}, 3.783319529843521*^9, {3.7833195686506453`*^9, 
   3.7833195912591896`*^9}, 3.7833203122576756`*^9, {3.783320417443264*^9, 
   3.783320434573389*^9}, {3.783320555276498*^9, 3.7833206024223547`*^9}, {
   3.78332063867432*^9, 3.783320659327099*^9}, {3.783320743683375*^9, 
   3.783320750084297*^9}, {3.78336095758766*^9, 3.7833609905059376`*^9}, {
   3.783361058385605*^9, 3.783361077276278*^9}, {3.7834215701949096`*^9, 
   3.7834216359818993`*^9}, {3.7834216699879155`*^9, 3.783421691164304*^9}, 
   3.7834217410667443`*^9, {3.783421783245761*^9, 3.7834217896526203`*^9}, {
   3.783421898148383*^9, 3.783421905272323*^9}, {3.783421972317813*^9, 
   3.7834221655554647`*^9}, 3.783422248734918*^9, {3.783422449050505*^9, 
   3.783422517662655*^9}, {3.783422558223137*^9, 3.783422577430747*^9}, {
   3.7834226252524157`*^9, 3.783422693050524*^9}, 3.783422790251465*^9, 
   3.783422924063143*^9, {3.7834229574178567`*^9, 3.783422979060953*^9}, 
   3.7834230171899405`*^9, {3.783423086508046*^9, 3.7834230899727755`*^9}, 
   3.7834231483684464`*^9, {3.7834231978187666`*^9, 3.7834231979234867`*^9}, {
   3.7834232454672623`*^9, 3.783423307790518*^9}, 3.7834233504422483`*^9, {
   3.783423425817587*^9, 3.783423427204909*^9}, {3.7834235344688897`*^9, 
   3.7834235854165807`*^9}, {3.783423881323876*^9, 3.7834238818404913`*^9}, {
   3.7834239152441206`*^9, 3.7834239387941127`*^9}, {3.783424032173279*^9, 
   3.7834240517309523`*^9}, {3.7834257767051067`*^9, 
   3.7834257830760617`*^9}, {3.7834258170212436`*^9, 
   3.7834258570371804`*^9}, {3.783425902533507*^9, 3.7834259940496073`*^9}, {
   3.7834263469755034`*^9, 3.783426399888957*^9}, {3.7834264635935183`*^9, 
   3.783426464756406*^9}, {3.783427266306202*^9, 3.7834272697878857`*^9}, {
   3.783427317410473*^9, 3.7834273551215773`*^9}, {3.783427399762144*^9, 
   3.7834274073059597`*^9}, {3.7834274482194963`*^9, 
   3.7834275059390697`*^9}, {3.7834275445537996`*^9, 
   3.7834275450165186`*^9}, {3.78342758298095*^9, 3.7834276793231845`*^9}, {
   3.783427801243988*^9, 3.783427845461728*^9}, {3.783427925519492*^9, 
   3.7834280121896067`*^9}, {3.7834281532621713`*^9, 
   3.7834282459222603`*^9}, {3.783428529787785*^9, 3.7834285452115197`*^9}, {
   3.7834286608241997`*^9, 3.7834286663783407`*^9}, {3.7834288163949747`*^9, 
   3.783428827186103*^9}, {3.7835211783706675`*^9, 3.7835212148211107`*^9}, {
   3.7835212586957226`*^9, 3.7835212716720405`*^9}, {3.7835213977865887`*^9, 
   3.783521427408335*^9}, {3.7835216469120574`*^9, 3.783521659006756*^9}, {
   3.783521689350571*^9, 3.783521736392701*^9}, {3.7835217927728558`*^9, 
   3.7835218107368054`*^9}, {3.7835219797219057`*^9, 
   3.7835220554686565`*^9}, {3.7835220988226695`*^9, 3.783522143012438*^9}, {
   3.783522198650135*^9, 3.7835222859695206`*^9}, {3.7835223413363905`*^9, 
   3.7835223561118603`*^9}, {3.783522566757593*^9, 3.783522574321395*^9}, {
   3.7835226667408905`*^9, 3.7835226717565165`*^9}, {3.7835229564798937`*^9, 
   3.78352310733482*^9}, {3.783533960284808*^9, 3.783534028999918*^9}, {
   3.7835341109708414`*^9, 3.783534126486376*^9}, {3.7835346196957397`*^9, 
   3.783534640979353*^9}, {3.783534999449775*^9, 3.7835350786607947`*^9}, {
   3.7835351090822954`*^9, 3.7835351610234833`*^9}, 3.783535276051527*^9, 
   3.783535315631657*^9, {3.783536477198886*^9, 3.7835366270056496`*^9}, {
   3.7835367168551345`*^9, 3.7835368041587734`*^9}, {3.7835368856260157`*^9, 
   3.783536898126544*^9}, {3.7835369344877625`*^9, 3.7835369655544024`*^9}, {
   3.7835370166353817`*^9, 3.7835370226975975`*^9}, {3.783537074447367*^9, 
   3.7835371053597794`*^9}, {3.7835373240629663`*^9, 3.783537415620768*^9}, {
   3.783537458450775*^9, 3.7835376118287745`*^9}, {3.7835377255707536`*^9, 
   3.7835377490999193`*^9}, 3.7835379166204247`*^9, {3.7835380416532283`*^9, 
   3.7835380731062126`*^9}, {3.7835384680265336`*^9, 
   3.7835384876712627`*^9}, {3.7835388391748238`*^9, 
   3.7835388799572797`*^9}, {3.7835390351124287`*^9, 3.783539072729208*^9}, {
   3.783539128533321*^9, 3.783539129097049*^9}, {3.783539667413731*^9, 
   3.783539668289423*^9}, {3.7835417375310373`*^9, 3.78354176138105*^9}, {
   3.783541800379614*^9, 3.783541994299181*^9}, {3.7835425411620665`*^9, 
   3.783542543919856*^9}, {3.7835425883970428`*^9, 3.783542602807061*^9}, {
   3.783542657524621*^9, 3.7835427970751395`*^9}, {3.7835428442509313`*^9, 
   3.7835428838422966`*^9}, 3.783542918022978*^9, {3.7835429884295874`*^9, 
   3.7835430381589246`*^9}, {3.7835430921564355`*^9, 
   3.7835430957970705`*^9}, {3.7835432088846626`*^9, 3.783543215328457*^9}, {
   3.7835432833254976`*^9, 3.7835432959547453`*^9}, {3.7835434943731318`*^9, 
   3.783543559471967*^9}, {3.7835440857023835`*^9, 3.7835440991553445`*^9}, {
   3.783544409932503*^9, 3.7835444150747013`*^9}, {3.783544613673913*^9, 
   3.7835446771400676`*^9}, {3.7835448988854847`*^9, 
   3.7835449021238685`*^9}, {3.7835450200232925`*^9, 
   3.7835450265069103`*^9}, {3.783545061790552*^9, 3.7835450668218603`*^9}, 
   3.7835453037364454`*^9, {3.783545401291402*^9, 3.7835454154545355`*^9}, {
   3.7835455180491533`*^9, 3.7835455238835506`*^9}, {3.7835455901811705`*^9, 
   3.783545604709298*^9}, {3.783545673177107*^9, 3.783545692667968*^9}, {
   3.7835457844005404`*^9, 3.7835457910856514`*^9}, {3.7835470924532757`*^9, 
   3.7835470939871407`*^9}, {3.7835471505767765`*^9, 
   3.7835471568659525`*^9}, {3.783547236977614*^9, 3.783547242401103*^9}, {
   3.783547324113491*^9, 3.7835473570728545`*^9}, {3.7835475666431565`*^9, 
   3.7835476406154013`*^9}, {3.783547683313073*^9, 3.783547728155059*^9}, {
   3.783548095447612*^9, 3.783548147696807*^9}, {3.7835482222323623`*^9, 
   3.783548257255689*^9}, {3.78354867643567*^9, 3.783548707670102*^9}, {
   3.783548804729449*^9, 3.7835488433770676`*^9}, {3.7835489018446264`*^9, 
   3.7835489022944307`*^9}, {3.7835490880374794`*^9, 
   3.7835491404674587`*^9}, {3.7835494088773346`*^9, 3.783549424478159*^9}, {
   3.783549658997712*^9, 3.7835496669643517`*^9}, {3.783549706510593*^9, 
   3.783549706867591*^9}, {3.783581269466029*^9, 3.7835814155418615`*^9}, {
   3.7835815074710407`*^9, 3.783581507570778*^9}, {3.783581669755065*^9, 
   3.7835816707420287`*^9}, {3.7835817473302507`*^9, 3.783581763692184*^9}, {
   3.783581820134796*^9, 3.78358184193804*^9}, {3.78358187748702*^9, 
   3.7835818794277816`*^9}, {3.7835821087307634`*^9, 
   3.7835821161142216`*^9}, {3.783582160962634*^9, 3.7835821939904275`*^9}, 
   3.783582281551769*^9, 3.783582600221161*^9, {3.7835826428797483`*^9, 
   3.783582701257825*^9}, {3.7835827652050962`*^9, 3.7835828110091944`*^9}, 
   3.7835829221907063`*^9, {3.783583103023898*^9, 3.7835831168933997`*^9}, {
   3.7835831489329176`*^9, 3.783583185816033*^9}, {3.7835832527373943`*^9, 
   3.783583490974163*^9}, 3.783583543010002*^9, 3.7835836151851807`*^9, {
   3.783583700607642*^9, 3.783583705294696*^9}, {3.783583735340969*^9, 
   3.7835837958944407`*^9}, {3.783583962004897*^9, 3.7835839669503555`*^9}, {
   3.78358405914979*^9, 3.783584084824342*^9}, {3.7835841266245365`*^9, 
   3.783584153484787*^9}, {3.7835842457482243`*^9, 3.7835842549537735`*^9}, {
   3.783584632985846*^9, 3.7835847051317225`*^9}, 3.7835847998773966`*^9, {
   3.7835849101234546`*^9, 3.7835849775673137`*^9}, {3.783585073209392*^9, 
   3.7835851365451736`*^9}, {3.7835855426119275`*^9, 3.783585543812105*^9}, {
   3.783585619947386*^9, 3.783585664283496*^9}, {3.783585892291198*^9, 
   3.783585948725316*^9}, {3.783587623568083*^9, 3.7835876457806573`*^9}, {
   3.7835876892730894`*^9, 3.7835876956920643`*^9}, {3.7835877646523*^9, 
   3.78358784445877*^9}, {3.7835879662068577`*^9, 3.7835879691334753`*^9}, {
   3.7835911555407124`*^9, 3.783591239049257*^9}, {3.7836150824034986`*^9, 
   3.7836151286463118`*^9}, {3.7836152293724513`*^9, 
   3.7836153118166857`*^9}, {3.783615430083317*^9, 3.783615438863907*^9}, {
   3.7836154856102*^9, 3.7836154898400793`*^9}, 3.7836168875980654`*^9, {
   3.783616952841662*^9, 3.7836169889260693`*^9}, {3.7836171291244564`*^9, 
   3.7836171566113167`*^9}, {3.783617200831607*^9, 3.78361720549859*^9}, {
   3.7836172754110327`*^9, 3.7836173891964517`*^9}, {3.7836174951849566`*^9, 
   3.7836175237865243`*^9}, {3.783617555502946*^9, 3.783617606296486*^9}, {
   3.7836207354983354`*^9, 3.7836207399324393`*^9}, {3.78362078904208*^9, 
   3.783620886039368*^9}, {3.783620952736579*^9, 3.7836210637884865`*^9}, {
   3.783621099317043*^9, 3.7836211035806274`*^9}, {3.7836211349905567`*^9, 
   3.7836211358054214`*^9}, {3.78362116581608*^9, 3.783621173153497*^9}, {
   3.7836212176394277`*^9, 3.783621247888541*^9}, {3.783621387547849*^9, 
   3.7836214319069643`*^9}, {3.7836214751552544`*^9, 3.783621475300865*^9}, 
   3.7836219549576793`*^9, {3.7836220322328973`*^9, 3.78362203274856*^9}, {
   3.783622073445636*^9, 3.7836220736611075`*^9}, 3.7836221064174647`*^9, {
   3.783623239092585*^9, 3.783623326528427*^9}, {3.783623435860787*^9, 
   3.783623446523947*^9}, 3.783623488374666*^9, {3.7836236734034357`*^9, 
   3.783623729140168*^9}, {3.783624208461849*^9, 3.7836242187304497`*^9}, {
   3.783624265562469*^9, 3.783624279157649*^9}, {3.7836245129811897`*^9, 
   3.783624515892962*^9}, {3.7836248539169827`*^9, 3.7836248732993765`*^9}, {
   3.7836249226390142`*^9, 3.783625012232275*^9}, {3.7836634323138285`*^9, 
   3.7836635188452415`*^9}, {3.7836635490823383`*^9, 3.783663549552387*^9}, {
   3.7836640031669073`*^9, 3.78366402158825*^9}, {3.783664052433652*^9, 
   3.7836640806828375`*^9}, {3.783664322032192*^9, 3.783664351724394*^9}, {
   3.783664383364108*^9, 3.7836643843328276`*^9}, {3.783664429612772*^9, 
   3.7836645513233223`*^9}, {3.78366458260367*^9, 3.783664683589498*^9}, {
   3.783664723885212*^9, 3.783664882077278*^9}, {3.7836649210605297`*^9, 
   3.783664943996155*^9}, {3.783667159096292*^9, 3.7836671752540627`*^9}, {
   3.783667294171569*^9, 3.783667301227831*^9}, {3.7836674714791117`*^9, 
   3.7836674795071497`*^9}, {3.7836675450243254`*^9, 3.7836675541217265`*^9}, 
   3.7836675981929855`*^9, {3.7836678098250985`*^9, 3.783667813252902*^9}, {
   3.7836689750649548`*^9, 3.7836689757396746`*^9}, {3.7836690179887333`*^9, 
   3.783669029618742*^9}, {3.783669157883176*^9, 3.7836691742264247`*^9}, {
   3.7836692892684717`*^9, 3.783669289900133*^9}, {3.7836694222714663`*^9, 
   3.783669435615728*^9}, {3.783669550969545*^9, 3.7836695513717957`*^9}, {
   3.7836698081595874`*^9, 3.7836698476775227`*^9}, {3.7836709313149395`*^9, 
   3.783670933916884*^9}, {3.7836709918223867`*^9, 3.783671056980366*^9}, {
   3.7836711956792064`*^9, 3.783671259881361*^9}, {3.783671326313908*^9, 
   3.7836713635174627`*^9}, {3.7836714431439004`*^9, 
   3.7836714611333723`*^9}, {3.783671519380311*^9, 3.7836715207600775`*^9}, 
   3.7836715679606833`*^9, {3.7836716254918475`*^9, 3.7836717870702815`*^9}, {
   3.78367189209433*^9, 3.7836718947899895`*^9}, {3.7836719394136386`*^9, 
   3.783671940892938*^9}, {3.7836720342264156`*^9, 3.7836720373130836`*^9}, {
   3.7836720974909897`*^9, 3.78367211115291*^9}, 3.7836722443879023`*^9, {
   3.7836722938661575`*^9, 3.783672365322831*^9}, {3.7836724066021595`*^9, 
   3.783672409780795*^9}, {3.7836758347009244`*^9, 3.7836758405153937`*^9}, {
   3.783676093535632*^9, 3.783676218732623*^9}, 3.783676250557522*^9, {
   3.7836763306961064`*^9, 3.783676346576626*^9}, {3.7836765732796164`*^9, 
   3.783676592676716*^9}, {3.783676748962536*^9, 3.7836768601209936`*^9}, {
   3.7836770308532476`*^9, 3.7836772103121076`*^9}, {3.783677280461776*^9, 
   3.783677285840433*^9}, {3.7836773360111628`*^9, 3.7836773528072615`*^9}, 
   3.78367763328749*^9, {3.78367815658885*^9, 3.783678158237439*^9}, {
   3.783678978175188*^9, 3.7836790674008503`*^9}, {3.783679142415148*^9, 
   3.7836791690618114`*^9}, {3.7836792014472103`*^9, 3.783679217011578*^9}, {
   3.7836797407108407`*^9, 3.783679798028482*^9}, {3.783679959485075*^9, 
   3.7836799870563107`*^9}, {3.783680412400318*^9, 3.783680421324425*^9}, {
   3.7836805044858723`*^9, 3.7836805569823694`*^9}, 3.783680648024745*^9, {
   3.7836809462847505`*^9, 3.7836809580971456`*^9}, 3.7836818674944315`*^9, {
   3.7836819081127625`*^9, 3.7836819348810954`*^9}, {3.7836819694206886`*^9, 
   3.7836820971160464`*^9}, 3.783682134786255*^9, {3.7836821700639086`*^9, 
   3.7836821823659945`*^9}, {3.783682229364254*^9, 3.783682370642529*^9}, 
   3.7836827772597895`*^9, {3.783682881366253*^9, 3.78368288518504*^9}, {
   3.783682966624502*^9, 3.7836829921641207`*^9}, {3.7836844538100843`*^9, 
   3.7836844823197937`*^9}, {3.783684512450189*^9, 3.783684848267733*^9}, 
   3.783685653630536*^9, 3.783687760464407*^9, 3.7836879335772047`*^9, 
   3.78368838849514*^9, 3.783688547685244*^9, 3.7836890459128265`*^9, {
   3.783689097816615*^9, 3.783689099876073*^9}, {3.7836891468550224`*^9, 
   3.7836891474963064`*^9}, 3.7836893294177237`*^9, 3.7837555301611195`*^9, 
   3.7837560585252028`*^9, {3.783756950507809*^9, 3.7837569509377317`*^9}, {
   3.783761230775665*^9, 3.7837612597278595`*^9}, {3.783761528250393*^9, 
   3.783761589292903*^9}, {3.7837620477587547`*^9, 3.7837620898930655`*^9}, {
   3.7837622831805964`*^9, 3.7837623401631365`*^9}, 3.7837623902498474`*^9, {
   3.783763320330393*^9, 3.7837633362673798`*^9}, {3.7837634092212205`*^9, 
   3.783763413080471*^9}, {3.783764462475684*^9, 3.783764468634285*^9}, {
   3.783764661059572*^9, 3.783764663543867*^9}, {3.7837674050711427`*^9, 
   3.7837675144057417`*^9}, 3.783767581469302*^9, {3.783767793378022*^9, 
   3.7837678335176334`*^9}, {3.78376822222816*^9, 3.783768406034381*^9}, {
   3.7837684890951147`*^9, 3.783768649203747*^9}, {3.7837689032475557`*^9, 
   3.783768904525138*^9}, {3.7837691333582993`*^9, 3.7837691669852986`*^9}, {
   3.7837692074161315`*^9, 3.783769207500862*^9}, {3.783769267423545*^9, 
   3.7837692675293083`*^9}, {3.7837693141475024`*^9, 
   3.7837693676104603`*^9}, {3.7837694535226784`*^9, 3.783769555436965*^9}, {
   3.7837697095217113`*^9, 3.7837698633112965`*^9}, {3.783769903443914*^9, 
   3.783769926199031*^9}, {3.783769971354515*^9, 3.783770095059544*^9}, {
   3.7837701287982354`*^9, 3.7837701629110136`*^9}, {3.783770205429253*^9, 
   3.7837703466234903`*^9}, {3.783770471199197*^9, 3.7837704737972403`*^9}, {
   3.783770523116655*^9, 3.7837705239803457`*^9}, {3.78377063972431*^9, 
   3.7837706657037473`*^9}, {3.7837707349265385`*^9, 
   3.7837709386285596`*^9}, {3.7837713945826497`*^9, 
   3.7837714060808864`*^9}, {3.78377296367262*^9, 3.7837729677586784`*^9}, {
   3.7837730835168076`*^9, 3.7837730894479475`*^9}, {3.783773372863431*^9, 
   3.7837733929217157`*^9}, {3.783776144295703*^9, 3.7837761917656994`*^9}, {
   3.783776520845019*^9, 3.783776554467102*^9}, {3.783776627008026*^9, 
   3.7837766325152907`*^9}, {3.7837781546440315`*^9, 
   3.7837782390940905`*^9}, {3.7837783013760357`*^9, 3.783778304611385*^9}, {
   3.7838378391809587`*^9, 3.783837855835286*^9}, {3.783839217108759*^9, 
   3.7838392214092197`*^9}, {3.7838392820491548`*^9, 3.783839287372285*^9}, {
   3.783839619943601*^9, 3.7838396278863616`*^9}, {3.783851866990398*^9, 
   3.7838518817421722`*^9}, {3.7838519255992703`*^9, 3.783851945790983*^9}, {
   3.783852037130864*^9, 3.783852242393033*^9}, {3.78385234705789*^9, 
   3.783852427450613*^9}, {3.7838524750715723`*^9, 3.783852479875042*^9}, 
   3.783852511610218*^9, {3.7838525642489977`*^9, 3.783852577249689*^9}, {
   3.78385261835497*^9, 3.7838526880524397`*^9}, {3.783852803552164*^9, 
   3.783852816887359*^9}, {3.7838538690549693`*^9, 3.783853896385379*^9}, {
   3.783853931577806*^9, 3.783853980004672*^9}, {3.7838540243922586`*^9, 
   3.7838540541862803`*^9}, {3.783854379903271*^9, 3.7838544031082544`*^9}, {
   3.783854446021063*^9, 3.7838545894850273`*^9}, {3.7838549025999613`*^9, 
   3.7838549042930937`*^9}, {3.7838550782507796`*^9, 3.783855188305835*^9}, {
   3.7838553150585146`*^9, 3.783855326999416*^9}, 3.7838553801663113`*^9, {
   3.783855461703977*^9, 3.7838554702305536`*^9}, {3.7838562039716663`*^9, 
   3.7838562427020006`*^9}, {3.783856346081105*^9, 3.7838563497712293`*^9}, {
   3.7838565409437447`*^9, 3.783856600476432*^9}, {3.7838566511568775`*^9, 
   3.7838566749990473`*^9}, {3.7838567164073067`*^9, 
   3.7838567396311255`*^9}, {3.7838569540225224`*^9, 
   3.7838569954227962`*^9}, {3.783858308752125*^9, 3.783858310699871*^9}, 
   3.783858371598946*^9, {3.783858402559144*^9, 3.7838584313989935`*^9}, 
   3.7838665861702437`*^9, {3.7838666198810472`*^9, 3.783866625157934*^9}, {
   3.7838670998306875`*^9, 3.783867118411023*^9}, {3.783867790400456*^9, 
   3.7838677915652924`*^9}, {3.7838687798314395`*^9, 3.783868781762228*^9}, {
   3.783869755634162*^9, 3.783869756763141*^9}, {3.783870153342577*^9, 
   3.7838701535131655`*^9}, {3.783870531267871*^9, 3.7838705457590547`*^9}, {
   3.7838706515169897`*^9, 3.7838706579437904`*^9}, 3.7838791550648885`*^9, {
   3.783879341651924*^9, 3.783879375370561*^9}, 3.7838794091461153`*^9, 
   3.783879439251569*^9, {3.7838794899438314`*^9, 3.7838795192564106`*^9}, {
   3.7838796590065126`*^9, 3.783879659288754*^9}, {3.7838797254502144`*^9, 
   3.783879768700014*^9}, {3.7838798823822536`*^9, 3.783879889589121*^9}, 
   3.7838799936293645`*^9, {3.7838800259319396`*^9, 3.78388004503782*^9}, {
   3.78388013647641*^9, 3.783880139291879*^9}, {3.783880173795755*^9, 
   3.7838801771457443`*^9}, {3.783880384322013*^9, 3.7838804122682385`*^9}, {
   3.783880474552599*^9, 3.7838805125238514`*^9}, {3.7838805601603956`*^9, 
   3.783880714217323*^9}, {3.7838811361438656`*^9, 3.783881139786166*^9}, {
   3.783881239876005*^9, 3.78388124745772*^9}, {3.783881304417247*^9, 
   3.783881318234289*^9}, {3.783881425483553*^9, 3.7838815072805586`*^9}, {
   3.7838815623983884`*^9, 3.783881622616557*^9}, {3.7838816715167494`*^9, 
   3.783881672018409*^9}, {3.7838817051069555`*^9, 3.7838818275825267`*^9}, {
   3.7838819518829613`*^9, 3.783881990114304*^9}, {3.783882030129108*^9, 
   3.7838820303652353`*^9}, {3.7838820650034943`*^9, 
   3.7838821731857696`*^9}, {3.7838822109413986`*^9, 3.783882272572692*^9}, {
   3.783882463727868*^9, 3.7838824711816287`*^9}, {3.7838826156572714`*^9, 
   3.783882617954565*^9}, {3.7838828585296755`*^9, 3.7838828871963453`*^9}, {
   3.7838830653949285`*^9, 3.7838830723580523`*^9}, {3.783883206612439*^9, 
   3.783883215884205*^9}, {3.7838834713448114`*^9, 3.7838834715812187`*^9}, 
   3.78388414826231*^9, {3.7838841815498867`*^9, 3.7838841915723467`*^9}, {
   3.783884380812105*^9, 3.78388439312607*^9}, 3.7838844413624973`*^9, 
   3.7838859254043207`*^9, {3.783886031955248*^9, 3.7838860365434513`*^9}, {
   3.7838863768702354`*^9, 3.7838864399944134`*^9}, 3.783886723732131*^9, 
   3.784220579041975*^9, {3.7842211572827187`*^9, 3.7842211606623583`*^9}, {
   3.7842212232017326`*^9, 3.784221224913552*^9}, 3.7842214218479824`*^9, 
   3.78422182527882*^9, {3.7842220539264255`*^9, 3.7842220694164715`*^9}, 
   3.784222273742035*^9, {3.784223247587923*^9, 3.7842232710282545`*^9}, {
   3.7842234754407806`*^9, 3.78422348060896*^9}, {3.7842235914404335`*^9, 
   3.7842237098361588`*^9}, 3.7842238543974004`*^9, {3.784224080467332*^9, 
   3.7842241522404213`*^9}, {3.784224289000581*^9, 3.7842243327555313`*^9}, {
   3.7842244213943853`*^9, 3.7842244800095167`*^9}, {3.7842246982994537`*^9, 
   3.7842247162554073`*^9}, {3.7842249267095027`*^9, 3.784224942807385*^9}, {
   3.7842249827307806`*^9, 3.784225022814293*^9}, {3.784225093403516*^9, 
   3.7842252264024057`*^9}, {3.7842252591419773`*^9, 
   3.7842253154573965`*^9}, {3.7842254053364725`*^9, 3.784225406547473*^9}, {
   3.7842254583038473`*^9, 3.7842254798429317`*^9}, {3.7842255390671477`*^9, 
   3.7842255517086515`*^9}, 3.784225607499033*^9, 3.784225687536579*^9, {
   3.7842257275280237`*^9, 3.784225746703032*^9}, {3.784225790989846*^9, 
   3.784225793750149*^9}, {3.784225846032134*^9, 3.7842259215438986`*^9}, {
   3.784225980425626*^9, 3.7842260144330053`*^9}, {3.7842262415302143`*^9, 
   3.784226241716714*^9}, {3.7842263273451166`*^9, 3.784226327444848*^9}, {
   3.78422707043302*^9, 3.7842270905110493`*^9}, {3.7842272154809885`*^9, 
   3.784227231148093*^9}, {3.784228294638814*^9, 3.7842283039848194`*^9}, {
   3.7842286124666624`*^9, 3.7842286150976286`*^9}, {3.784228655702973*^9, 
   3.784228687412119*^9}, {3.784228785732139*^9, 3.78422878585286*^9}, {
   3.7842293181176553`*^9, 3.784229325411133*^9}, {3.78422937272357*^9, 
   3.784229373697961*^9}, {3.7842294380120115`*^9, 3.7842294830155993`*^9}, {
   3.784229531348254*^9, 3.7842295365174685`*^9}, {3.7842295847497835`*^9, 
   3.784229602182148*^9}, {3.784229716026842*^9, 3.7842297168746147`*^9}, {
   3.7842297538676443`*^9, 3.784229753970329*^9}, 3.784230137045638*^9, 
   3.7842301712700663`*^9, {3.7842302114754677`*^9, 3.7842303390730844`*^9}, {
   3.784230432675825*^9, 3.784230458406028*^9}, {3.7842306727332907`*^9, 
   3.7842306814460335`*^9}, {3.7842307669372435`*^9, 3.784230776190484*^9}, 
   3.7842308078517914`*^9, {3.7842308384817877`*^9, 3.7842308419397182`*^9}, {
   3.7842311013288383`*^9, 3.784231127002982*^9}, {3.7842311752096043`*^9, 
   3.7842311836943855`*^9}, {3.784272033176461*^9, 3.784272039134755*^9}, {
   3.784272233604788*^9, 3.784272250286334*^9}, {3.7842724316974244`*^9, 
   3.784272435313263*^9}, {3.7842725887217097`*^9, 3.7842725906818857`*^9}, {
   3.784272643922371*^9, 3.784272653478056*^9}, 3.7842727026331987`*^9, {
   3.784272744376542*^9, 3.784272761893394*^9}, {3.7842728051864185`*^9, 
   3.7842729620622416`*^9}, {3.7842730906124716`*^9, 3.7842731165216265`*^9}, 
   3.784273170951357*^9, {3.7842732432260046`*^9, 3.784273246162859*^9}, 
   3.7842733260588274`*^9, {3.784275446857273*^9, 3.78427547665802*^9}, {
   3.7842775951357307`*^9, 3.7842775955884867`*^9}, {3.7842776359235964`*^9, 
   3.784277649683782*^9}, {3.7842776998206325`*^9, 3.7842777000858912`*^9}, {
   3.7842777873393416`*^9, 3.7842777882260056`*^9}, {3.7842779561437936`*^9, 
   3.784277959003148*^9}, {3.7842780180025673`*^9, 3.7842780375761614`*^9}, {
   3.784278124441753*^9, 3.78427813000587*^9}, {3.784278208977295*^9, 
   3.7842782120869246`*^9}, 3.78427932190033*^9, {3.784279882877417*^9, 
   3.7842798974584455`*^9}, {3.784280007879221*^9, 3.7842800327875795`*^9}, {
   3.784281392131485*^9, 3.7842813955493355`*^9}, {3.7842814948183928`*^9, 
   3.784281524548847*^9}, 3.784290354444438*^9, 3.784303358343133*^9, 
   3.784303687570092*^9, {3.784305154211028*^9, 3.784305157372017*^9}, {
   3.784305208843893*^9, 3.7843052153518405`*^9}, {3.784305587755082*^9, 
   3.784305599864169*^9}, {3.7843056343904095`*^9, 3.7843058488779497`*^9}, {
   3.7843059039356084`*^9, 3.7843059042067175`*^9}, {3.784306355843377*^9, 
   3.7843064096857986`*^9}, {3.784306443375168*^9, 3.7843065112512913`*^9}, {
   3.7843067915993013`*^9, 3.7843067917541275`*^9}, {3.784306849118935*^9, 
   3.7843068499589357`*^9}, {3.784307409067917*^9, 3.784307412383196*^9}, {
   3.784307643555546*^9, 3.7843076619591913`*^9}, {3.784308662115195*^9, 
   3.7843087548972645`*^9}, {3.78430887363478*^9, 3.7843091163617697`*^9}, {
   3.7843091726131682`*^9, 3.7843091754612975`*^9}, {3.7843092364454803`*^9, 
   3.7843092396830273`*^9}, 3.7843093197695665`*^9, 3.7843094027762575`*^9, {
   3.784309972020446*^9, 3.784309974999406*^9}, {3.7843100283108015`*^9, 
   3.784310030931387*^9}, 3.784316250387767*^9, 3.7843163465951185`*^9, {
   3.784357304685527*^9, 3.7843573131150107`*^9}, {3.784357690998459*^9, 
   3.784357707449462*^9}, {3.7843577663470697`*^9, 3.7843577721295977`*^9}, {
   3.784358070599888*^9, 3.784358070737516*^9}, {3.7843581371158667`*^9, 
   3.784358140678528*^9}, {3.7843609072108307`*^9, 3.784360952432525*^9}, {
   3.784361341865217*^9, 3.7843613491506667`*^9}, {3.7843614020650263`*^9, 
   3.784361529918138*^9}, {3.784364181112437*^9, 3.784364185289472*^9}, {
   3.7843642348801823`*^9, 3.784364303031264*^9}, {3.7843644434849567`*^9, 
   3.7843644600443296`*^9}, {3.784365869772957*^9, 3.7843658714694233`*^9}, {
   3.784366002689299*^9, 3.7843660282833223`*^9}, {3.784366075856992*^9, 
   3.784366158570693*^9}, {3.7843662163521104`*^9, 3.78436623262258*^9}, {
   3.7843663727287693`*^9, 3.784366377251671*^9}, {3.784366473165651*^9, 
   3.784366477162957*^9}, 3.784366538292406*^9, {3.784366760432542*^9, 
   3.7843667680502095`*^9}, {3.784366870790738*^9, 3.7843668736381207`*^9}, {
   3.784366906493266*^9, 3.784366931459471*^9}, 3.784367214677578*^9, {
   3.7843677157530107`*^9, 3.7843677495904584`*^9}, 3.78436782787199*^9, {
   3.784367862806529*^9, 3.7843678894063563`*^9}, {3.7843697357530317`*^9, 
   3.7843697387680144`*^9}, {3.78436980281166*^9, 3.7843698254311495`*^9}, {
   3.784369889233447*^9, 3.784369960191556*^9}, 3.7843700139048862`*^9, {
   3.784370049338091*^9, 3.784370058330029*^9}, {3.784370166603306*^9, 
   3.7843701670581303`*^9}, {3.784370247861677*^9, 3.7843702638908167`*^9}, {
   3.784370295216015*^9, 3.784370305860551*^9}, {3.784370644370449*^9, 
   3.7843706448970323`*^9}, {3.784370715257832*^9, 3.7843707231457143`*^9}, {
   3.78437100114486*^9, 3.784371025862686*^9}, {3.7843730722754793`*^9, 
   3.7843730750081635`*^9}, 3.7843731396595635`*^9, {3.7843732276970263`*^9, 
   3.784373228003202*^9}, {3.7843736335312223`*^9, 3.784373635909817*^9}, {
   3.784373811206939*^9, 3.7843738116796308`*^9}, {3.7843739447813888`*^9, 
   3.784373945063591*^9}, {3.7843740944747815`*^9, 3.784374097263279*^9}, {
   3.7843745634228144`*^9, 3.7843746723985825`*^9}, {3.78437471021059*^9, 
   3.784374768435658*^9}, 3.7843748040258255`*^9, {3.78437487938789*^9, 
   3.7843749242030497`*^9}, {3.7843749623230686`*^9, 3.784375025363667*^9}, {
   3.784375078182424*^9, 3.7843751096398587`*^9}, {3.7843752401076994`*^9, 
   3.7843752459840364`*^9}, {3.784375401476488*^9, 3.784375415486436*^9}, {
   3.7843754508210735`*^9, 3.7843754533013244`*^9}, {3.784378583646812*^9, 
   3.7843786191771507`*^9}, {3.784378740487132*^9, 3.784378802751443*^9}, {
   3.7843788402824917`*^9, 3.7843788540087004`*^9}, {3.784378899556797*^9, 
   3.7843788998759346`*^9}, {3.78437894851412*^9, 3.784378984650852*^9}, {
   3.7843790443222284`*^9, 3.7843790761209297`*^9}, {3.784379244629819*^9, 
   3.784379249966978*^9}, {3.784379504914907*^9, 3.784379538370117*^9}, {
   3.784379601427511*^9, 3.784379603272813*^9}, {3.784379667163085*^9, 
   3.7843796716909075`*^9}, {3.7843798507773013`*^9, 
   3.7843798572516317`*^9}, {3.78438047498678*^9, 3.784380476213395*^9}, {
   3.7843809394375343`*^9, 3.7843809508958435`*^9}, {3.784380992522543*^9, 
   3.7843810284823065`*^9}, {3.78438109208891*^9, 3.784381113105122*^9}, {
   3.784381213375371*^9, 3.784381214868153*^9}, {3.78438264037099*^9, 
   3.784382674966112*^9}, {3.7843827374154778`*^9, 3.7843827630918984`*^9}, {
   3.784382806668874*^9, 3.784382831935131*^9}, {3.784382889166274*^9, 
   3.7843828899027696`*^9}, 3.7843833532596316`*^9, 3.784383558263567*^9, {
   3.784383654181286*^9, 3.7843836789998474`*^9}, {3.784383838077804*^9, 
   3.784383881222333*^9}, {3.784383973164363*^9, 3.7843840216972256`*^9}, {
   3.784384147097209*^9, 3.7843842240894847`*^9}, {3.784384284144802*^9, 
   3.784384345656927*^9}, {3.784398978752199*^9, 3.784398980699006*^9}, 
   3.784400970425011*^9, {3.7844020146018353`*^9, 3.784402017046341*^9}, {
   3.7844047272062454`*^9, 3.784404730010698*^9}, {3.784463815055768*^9, 
   3.7844638190032077`*^9}, {3.7847960555962143`*^9, 
   3.7847960693970747`*^9}, {3.784796153299647*^9, 3.78479615713119*^9}, {
   3.784796940377842*^9, 3.7847970630210648`*^9}, {3.784797180541807*^9, 
   3.7847972627112117`*^9}, 3.784797627996778*^9, {3.784797797585606*^9, 
   3.7847978182702646`*^9}, {3.7847982366358166`*^9, 3.784798282509122*^9}, {
   3.7848240826356893`*^9, 3.7848241036305633`*^9}, {3.784825104214901*^9, 
   3.784825131147894*^9}, {3.784825466339284*^9, 3.784825490626259*^9}, {
   3.7848257152029514`*^9, 3.784825741521537*^9}, {3.784825903201659*^9, 
   3.784825916024398*^9}, {3.784825956817049*^9, 3.7848260225849895`*^9}, {
   3.784826062485688*^9, 3.784826134013319*^9}, {3.7848262469380493`*^9, 
   3.7848262788097816`*^9}, {3.7848263096682167`*^9, 
   3.7848263290912933`*^9}, {3.7848263714029703`*^9, 
   3.7848263801226406`*^9}, {3.7848266145247793`*^9, 
   3.7848266850583377`*^9}, {3.784827193201748*^9, 3.784827202634511*^9}, {
   3.784827836710021*^9, 3.7848278842092915`*^9}, {3.784828512579365*^9, 
   3.784828596452359*^9}, {3.7848290936249776`*^9, 3.7848290979843135`*^9}, {
   3.784829806253172*^9, 3.784829859442862*^9}, 3.784830908410102*^9, 
   3.7848310546987553`*^9, {3.7848315117130237`*^9, 3.784831535787613*^9}, {
   3.784831632954644*^9, 3.7848316369080667`*^9}, {3.7848349840855894`*^9, 
   3.7848349953572273`*^9}, {3.7848350847760773`*^9, 
   3.7848351227869635`*^9}, {3.7848353921604013`*^9, 3.784835403718994*^9}, {
   3.784835627960965*^9, 3.7848356293695784`*^9}, {3.784876413753247*^9, 
   3.7848764449730153`*^9}, {3.7848769249582806`*^9, 3.784876928525277*^9}, {
   3.784881962897786*^9, 3.7848819879673643`*^9}, {3.784882081846894*^9, 
   3.7848820822347364`*^9}, {3.784882176352846*^9, 3.7848821861683517`*^9}, 
   3.7848822258547955`*^9, {3.7848823504037185`*^9, 3.7848823725469484`*^9}, 
   3.7848824030858965`*^9, {3.7848840770399575`*^9, 3.78488413720798*^9}, {
   3.784884360167493*^9, 3.784884424596079*^9}, {3.784884487776043*^9, 
   3.784884492373745*^9}, 3.7848858599852266`*^9, {3.784885949844263*^9, 
   3.784886022107932*^9}, {3.7848860968301773`*^9, 3.7848861052356396`*^9}, {
   3.7848865215887423`*^9, 3.78488654800307*^9}, 3.7848870991426964`*^9, 
   3.7848872189900475`*^9, {3.784887623584934*^9, 3.78488763833148*^9}, {
   3.7848877881398573`*^9, 3.7848878115811415`*^9}, {3.784887869223679*^9, 
   3.7848878955861435`*^9}, {3.7848879760648255`*^9, 
   3.7848879947687836`*^9}, {3.7848880646263576`*^9, 
   3.7848880689168777`*^9}, {3.7848888948602047`*^9, 3.784888904357795*^9}, {
   3.784889482282673*^9, 3.7848895031438203`*^9}, 3.7848896651165075`*^9, {
   3.784889791075466*^9, 3.784889822399658*^9}, {3.7849081645075493`*^9, 
   3.7849082293808603`*^9}, {3.784908294682152*^9, 3.78490830921848*^9}, {
   3.7849083599047127`*^9, 3.784908365739852*^9}, {3.7849084066832027`*^9, 
   3.784908410276396*^9}, {3.7849085335513716`*^9, 3.7849086194026837`*^9}, {
   3.784908661140568*^9, 3.7849087726782775`*^9}, {3.784908878806059*^9, 
   3.7849089805478415`*^9}, {3.784909098513911*^9, 3.7849090998239565`*^9}, {
   3.7849092870786295`*^9, 3.7849093055068655`*^9}, {3.784909448985301*^9, 
   3.7849094574191637`*^9}, {3.7849095084290338`*^9, 
   3.7849095283705482`*^9}, {3.7849095693917627`*^9, 
   3.7849095730073833`*^9}, {3.7849097283288727`*^9, 3.784909729428277*^9}, {
   3.7849101077851143`*^9, 3.784910157522794*^9}, {3.7849102573886695`*^9, 
   3.7849102759556217`*^9}, {3.7849105653420124`*^9, 3.784910604148671*^9}, {
   3.784910666123248*^9, 3.7849106699919057`*^9}, {3.784912769270033*^9, 
   3.7849127716612434`*^9}, {3.784912812531658*^9, 3.7849128445683627`*^9}, {
   3.784913251473328*^9, 3.784913272663109*^9}, {3.7849135097210855`*^9, 
   3.7849135702092323`*^9}, {3.784915230119197*^9, 3.784915237694481*^9}, {
   3.7849157248120317`*^9, 3.784915726807619*^9}, {3.784915826037763*^9, 
   3.7849158420087337`*^9}, {3.784916045022048*^9, 3.7849161459849386`*^9}, {
   3.784916241309045*^9, 3.784916249872073*^9}, {3.7849163200576487`*^9, 
   3.7849163272052574`*^9}, {3.7849165095904746`*^9, 
   3.7849165124977517`*^9}, {3.7849165817965612`*^9, 3.784916590767212*^9}, {
   3.7849166518837156`*^9, 3.784916661720749*^9}, 3.78491669499592*^9, {
   3.784917042680115*^9, 3.7849170651980686`*^9}, {3.784917252774253*^9, 
   3.784917270788067*^9}, {3.784917619146083*^9, 3.7849176194710197`*^9}, {
   3.784972330455201*^9, 3.784972348215716*^9}, {3.7849728667390914`*^9, 
   3.7849729179909678`*^9}, {3.784973402467506*^9, 3.784973406428875*^9}, {
   3.7849844493596735`*^9, 3.7849845164901347`*^9}, {3.7849847557759833`*^9, 
   3.784984925123461*^9}, {3.784985092691929*^9, 3.784985169450937*^9}, {
   3.784985348386279*^9, 3.784985358441063*^9}, {3.784985544492881*^9, 
   3.78498561506398*^9}, {3.7849856767779093`*^9, 3.784985685474864*^9}, {
   3.784985878026058*^9, 3.784985891701556*^9}, {3.7849867775584717`*^9, 
   3.7849868003989124`*^9}, {3.7849868465956416`*^9, 3.7849868468540235`*^9}, 
   3.784987868339715*^9, {3.7849892582738533`*^9, 3.7849892886114693`*^9}, {
   3.7849893445160227`*^9, 3.7849893480232863`*^9}, {3.7849894590250645`*^9, 
   3.7849894741987963`*^9}, {3.7849897556104074`*^9, 3.784989766562622*^9}, {
   3.7849898338968325`*^9, 3.784989846633748*^9}, {3.7849899190785327`*^9, 
   3.7849899257140427`*^9}, {3.7849899856837273`*^9, 
   3.7849899997299647`*^9}, {3.785000076201887*^9, 3.785000163918404*^9}, {
   3.7850002844037223`*^9, 3.785000305480615*^9}, {3.785000426007518*^9, 
   3.785000426527128*^9}, {3.7850006112035246`*^9, 3.7850006117068295`*^9}, {
   3.785000657034586*^9, 3.7850006603982835`*^9}, {3.7850007954563894`*^9, 
   3.785000818837448*^9}, {3.7850010574390173`*^9, 3.7850011144555745`*^9}, {
   3.785001232424796*^9, 3.785001247279525*^9}, 3.7850013550239735`*^9, {
   3.7850025694832892`*^9, 3.7850025776939597`*^9}, {3.7850032463940425`*^9, 
   3.7850032583901687`*^9}, {3.7850036778820033`*^9, 3.785003690071957*^9}, {
   3.785060952566922*^9, 3.785060962920223*^9}, 3.7850610097232323`*^9, {
   3.785062009834737*^9, 3.7850620112130566`*^9}, {3.7850621118727417`*^9, 
   3.7850621932180614`*^9}, {3.785062355930276*^9, 3.785062375658453*^9}, {
   3.7850624397640924`*^9, 3.7850624426503224`*^9}, {3.7850628346048517`*^9, 
   3.785062850676856*^9}, {3.7850632602366314`*^9, 3.7850633636429725`*^9}, {
   3.785063483309804*^9, 3.785063496277111*^9}, {3.785063532040431*^9, 
   3.785063534974577*^9}, 3.7850640761553717`*^9, {3.7850641097275085`*^9, 
   3.78506412485703*^9}, {3.7850641591533155`*^9, 3.7850642118762107`*^9}, {
   3.7850667692852325`*^9, 3.78506677166781*^9}, {3.785067389967085*^9, 
   3.785067424563617*^9}, {3.7850677025565157`*^9, 3.7850677450180206`*^9}, {
   3.785076515577326*^9, 3.7850767190347934`*^9}, {3.7850769458245287`*^9, 
   3.7850769602872677`*^9}, {3.785084642399396*^9, 3.7850846822280188`*^9}, {
   3.785084750158943*^9, 3.785084762757311*^9}, {3.7850848232010975`*^9, 
   3.7850848631746225`*^9}, {3.7850850796256723`*^9, 3.785085087002283*^9}, {
   3.7850851655999823`*^9, 3.785085218791498*^9}, 3.7850854431398168`*^9, 
   3.785085587551696*^9, {3.7850856305677595`*^9, 3.78508566781888*^9}, 
   3.785085730586571*^9, {3.7850858063573217`*^9, 3.785085867884075*^9}, {
   3.7850860211631804`*^9, 3.7850860979173617`*^9}, {3.785086156150725*^9, 
   3.785086295322241*^9}, {3.785086351231691*^9, 3.7850864126713533`*^9}, {
   3.7850865180123873`*^9, 3.7850866026366415`*^9}, {3.7850880016803803`*^9, 
   3.7850881111180143`*^9}, 3.7850881666467032`*^9, {3.7850884338764467`*^9, 
   3.785088442897582*^9}, {3.785088516451668*^9, 3.7850885711180425`*^9}, {
   3.7850886228496585`*^9, 3.7850886718521214`*^9}, {3.7850890777436156`*^9, 
   3.7850890950373454`*^9}, 3.7850891304166884`*^9, {3.7850892257888517`*^9, 
   3.7850892880911217`*^9}, {3.7850894903574963`*^9, 3.785089503275457*^9}, {
   3.78508957926488*^9, 3.785089611961827*^9}, {3.785089650361889*^9, 
   3.785089667857943*^9}, 3.7850901321390295`*^9, 3.78509029107599*^9, 
   3.7850904458393474`*^9, {3.785090806509469*^9, 3.7850908412317777`*^9}, {
   3.7850910446163535`*^9, 3.78509105141504*^9}, {3.7850916583014083`*^9, 
   3.785091692540097*^9}, 3.7850917509737787`*^9, {3.785092927040961*^9, 
   3.7850929765652485`*^9}, {3.7850930087885838`*^9, 
   3.7850930819440355`*^9}, {3.7850931577122574`*^9, 3.785093159073581*^9}, {
   3.7850931905810328`*^9, 3.785093229596732*^9}, {3.785093297191391*^9, 
   3.785093357049984*^9}, {3.785093394399943*^9, 3.785093414260106*^9}, 
   3.7851441678243275`*^9, {3.785144224728972*^9, 3.785144233920355*^9}, 
   3.785146141318946*^9, {3.7851462685478277`*^9, 3.785146350177801*^9}, {
   3.7851464042747974`*^9, 3.785146427574091*^9}, {3.785146522720581*^9, 
   3.785146546912709*^9}, {3.7851465780825987`*^9, 3.7851465808643756`*^9}, {
   3.785146743320551*^9, 3.785146743739414*^9}, {3.785146788472347*^9, 
   3.785146804246637*^9}, {3.785147048687828*^9, 3.7851470538615446`*^9}, {
   3.7851471855667896`*^9, 3.785147195220997*^9}, {3.785147244986574*^9, 
   3.785147257636529*^9}, {3.7851472967256002`*^9, 3.7851473089036565`*^9}, 
   3.785147354976119*^9, {3.7851473905012016`*^9, 3.785147435413659*^9}, {
   3.7851475260186615`*^9, 3.785147623918463*^9}, {3.785147706230183*^9, 
   3.785147708007702*^9}, {3.785236458147772*^9, 3.7852364789888124`*^9}, {
   3.785236777185747*^9, 3.7852368520077825`*^9}, {3.785239678479851*^9, 
   3.785239692886273*^9}, {3.785345114458707*^9, 3.785345132534086*^9}, {
   3.7853451955664434`*^9, 3.7853452083512278`*^9}, {3.785345284741788*^9, 
   3.7853453007319508`*^9}, {3.7853453372522616`*^9, 3.785345362225428*^9}, {
   3.7853484428520885`*^9, 3.785348446327832*^9}, {3.7854087331999264`*^9, 
   3.785408759490608*^9}, {3.7854094501798835`*^9, 3.7854094893052273`*^9}, 
   3.786022731033804*^9, {3.786025378448422*^9, 3.786025383182676*^9}, {
   3.7860281657481613`*^9, 3.786028171777765*^9}, {3.786028540134266*^9, 
   3.786028557675501*^9}, {3.786028629402738*^9, 3.7860286591920395`*^9}, {
   3.7860287347920933`*^9, 3.7860287716097493`*^9}, {3.7860288377097683`*^9, 
   3.786028906605627*^9}, {3.7860289991402693`*^9, 3.7860290277742558`*^9}, 
   3.7860290639657297`*^9, {3.786030315742161*^9, 3.786030380525182*^9}, {
   3.7860304107979436`*^9, 3.7860304631777725`*^9}, {3.786030603904577*^9, 
   3.7860307300287256`*^9}, 3.7860307745092587`*^9, {3.7860309056804786`*^9, 
   3.786030923053172*^9}, {3.786030973875082*^9, 3.7860309776499634`*^9}, 
   3.786031094199458*^9, 3.7860312703606596`*^9, {3.7860320814705114`*^9, 
   3.7860321079268885`*^9}, {3.7860370960280237`*^9, 3.7860370993970065`*^9}, 
   3.78603728909227*^9, {3.7860407053710594`*^9, 3.786040706848061*^9}, {
   3.7860409533314157`*^9, 3.7860409834079247`*^9}, {3.78604128080407*^9, 
   3.7860412858953986`*^9}, {3.7860417757078285`*^9, 3.786041820451086*^9}, {
   3.786041914620104*^9, 3.7860421375434713`*^9}, {3.7860421740258837`*^9, 
   3.7860422853060274`*^9}, {3.7860423433885856`*^9, 3.786042383892188*^9}, {
   3.7860424213499436`*^9, 3.786042421681057*^9}, {3.786042459098919*^9, 
   3.786042467017726*^9}, {3.7860425274669466`*^9, 3.7860425277801085`*^9}, {
   3.7860426156359897`*^9, 3.786042638741151*^9}, {3.7860427197959642`*^9, 
   3.786042725819841*^9}, {3.786042789110459*^9, 3.7860427939385414`*^9}, {
   3.786043273289214*^9, 3.7860432822262936`*^9}, {3.7860433628714714`*^9, 
   3.7860434649921703`*^9}, {3.786043496306369*^9, 3.786043584400647*^9}, {
   3.786043669209643*^9, 3.786043706203636*^9}, 3.7860437778628597`*^9, {
   3.7860453447648306`*^9, 3.7860454114703074`*^9}, {3.786195166024525*^9, 
   3.786195186291236*^9}, 3.786202785697664*^9, 3.786203911541334*^9, {
   3.786271424555765*^9, 3.7862714448875413`*^9}, {3.7862715631279507`*^9, 
   3.786271661639822*^9}, {3.7862717234500294`*^9, 3.786271727870147*^9}, {
   3.7862717816675415`*^9, 3.7862717910485163`*^9}, {3.7862734040958724`*^9, 
   3.786273477952997*^9}, {3.786273510859829*^9, 3.7862735111923723`*^9}, {
   3.7862738043954353`*^9, 3.7862738179710817`*^9}, {3.7862738517401066`*^9, 
   3.7862738671123853`*^9}, {3.786273912504865*^9, 3.786273922091817*^9}, 
   3.7862741972980785`*^9, 3.786274227322817*^9, {3.7862742921256657`*^9, 
   3.786274301847169*^9}, {3.7862744420704565`*^9, 3.7862744471939764`*^9}, {
   3.7862744787288713`*^9, 3.7862744818184843`*^9}, {3.786274558331176*^9, 
   3.7862745684736795`*^9}, {3.786274617871295*^9, 3.786274625774396*^9}, 
   3.786278360667095*^9, {3.7862783941793313`*^9, 3.7862784240214996`*^9}, {
   3.7862784668734503`*^9, 3.7862784714272213`*^9}, 3.7862785349078503`*^9, {
   3.786278595387751*^9, 3.786278625361441*^9}, {3.7862789937859583`*^9, 
   3.786279011091646*^9}, {3.786279058701191*^9, 3.786279067372025*^9}, {
   3.7862792303893585`*^9, 3.786279259116475*^9}, {3.7862793568544736`*^9, 
   3.7862793750480037`*^9}, {3.7862800509472895`*^9, 
   3.7862800543930273`*^9}, {3.786280221251918*^9, 3.786280221387555*^9}, {
   3.786280292633879*^9, 3.7862802967079735`*^9}, {3.78628086568443*^9, 
   3.7862808888025684`*^9}, {3.786281060527946*^9, 3.786281067685793*^9}, {
   3.786281243731883*^9, 3.786281251524027*^9}, {3.786282294197546*^9, 
   3.7862822979614735`*^9}, {3.786285509967615*^9, 3.786285517175358*^9}, {
   3.7862855483698406`*^9, 3.7862855494339943`*^9}, 3.7862856114051924`*^9, {
   3.786285915796574*^9, 3.7862859270933332`*^9}, 3.786285990901123*^9, {
   3.7862865706276464`*^9, 3.786286604325468*^9}, 3.786286852905947*^9, 
   3.786288839590503*^9, {3.786289941441327*^9, 3.7862900214123034`*^9}, 
   3.78629005177505*^9, {3.786290104874943*^9, 3.786290160416441*^9}, {
   3.7862902085585585`*^9, 3.786290209246765*^9}, {3.786290248015961*^9, 
   3.786290330302786*^9}, {3.786290420959175*^9, 3.7862904597792363`*^9}, {
   3.7862905525848656`*^9, 3.786290610992589*^9}, {3.78629064437426*^9, 
   3.7862906870729785`*^9}, {3.786290729042626*^9, 3.7862907941134844`*^9}, {
   3.786290861222928*^9, 3.7862908670433483`*^9}, {3.786291700779874*^9, 
   3.7862917135576296`*^9}, 3.786291862875058*^9, {3.786292123787102*^9, 
   3.7862921324096313`*^9}, {3.786292177583037*^9, 3.786292180863785*^9}, {
   3.786292223812261*^9, 3.7862922326631737`*^9}, {3.786292344326283*^9, 
   3.7862923501086454`*^9}, {3.786293112038598*^9, 3.7862931660437403`*^9}, {
   3.786293709772354*^9, 3.7862937251583858`*^9}, 3.787908828259157*^9, {
   3.787908940155137*^9, 3.787908944818718*^9}, {3.7879889998123384`*^9, 
   3.787989006993137*^9}, {3.7879921845550823`*^9, 3.78799218479943*^9}, 
   3.78859747256293*^9, 3.7885982151612215`*^9, {3.78859836747512*^9, 
   3.7885983767612867`*^9}, {3.788680097945589*^9, 3.7886801063121214`*^9}, {
   3.7886906307179537`*^9, 3.78869073583491*^9}, {3.788690771809701*^9, 
   3.788690787330158*^9}, {3.788690971803153*^9, 3.788690976834653*^9}, {
   3.7886912124397936`*^9, 3.788691213255616*^9}, {3.788691251395232*^9, 
   3.7886912720669556`*^9}, {3.7886913079928894`*^9, 
   3.7886913133884645`*^9}, {3.7886914132344155`*^9, 3.788691492965208*^9}, {
   3.7886915268456507`*^9, 3.7886915933786926`*^9}, {3.7886916275802784`*^9, 
   3.7886916284110556`*^9}, {3.788691749396535*^9, 3.7886917497615423`*^9}, {
   3.7886922966441374`*^9, 3.7886924115319185`*^9}, {3.788692533810931*^9, 
   3.7886925678179502`*^9}, {3.7887705323708715`*^9, 3.788770626751725*^9}, 
   3.788771439053505*^9, {3.7887721097316365`*^9, 3.7887721144802732`*^9}, {
   3.788779838093375*^9, 3.7887799956709833`*^9}, {3.78878006287851*^9, 
   3.7887800636805153`*^9}, 3.788783859794729*^9, {3.7887972221386213`*^9, 
   3.7887972708484535`*^9}, {3.7887978034335794`*^9, 
   3.7887978293148804`*^9}, {3.788800579620079*^9, 3.7888005823937063`*^9}, {
   3.7888006173474245`*^9, 3.78880064266553*^9}, 3.788866052946046*^9, 
   3.789045470709632*^9, {3.7890456698244004`*^9, 3.7890456761036086`*^9}, 
   3.7892317738546715`*^9, {3.7893867716164083`*^9, 3.789386773535406*^9}, {
   3.78938746561854*^9, 3.7893874761640744`*^9}, {3.7893884424607105`*^9, 
   3.789388448731024*^9}, {3.789402296415013*^9, 3.789402299100687*^9}, {
   3.7894030050587535`*^9, 3.789403023691239*^9}, {3.7894032813033857`*^9, 
   3.78940328499349*^9}, 3.7894033466265917`*^9, {3.7894034304165916`*^9, 
   3.789403431218423*^9}, 3.7894035283092413`*^9, {3.789403672044566*^9, 
   3.789403687201583*^9}, {3.7894543173388143`*^9, 3.789454321335125*^9}, {
   3.789454489177392*^9, 3.789454501839486*^9}, {3.7894545755424447`*^9, 
   3.789454585865795*^9}, {3.7894546329598556`*^9, 3.7894546651837387`*^9}, {
   3.7894547151221895`*^9, 3.789454764882117*^9}, {3.789455002931566*^9, 
   3.78945501444074*^9}, {3.7894558229020643`*^9, 3.7894558642575216`*^9}, {
   3.7894560626377163`*^9, 3.789456063960174*^9}, {3.789459319057855*^9, 
   3.789459319589441*^9}, {3.7897223836680655`*^9, 3.78972238515704*^9}, {
   3.7897224906265144`*^9, 3.789722515559885*^9}, {3.7897233112375684`*^9, 
   3.7897233778933244`*^9}, 3.7897278148950005`*^9, {3.789805767271378*^9, 
   3.7898058261551056`*^9}, {3.789805950375469*^9, 3.789805960356826*^9}, {
   3.7898064414218345`*^9, 3.7898065105977187`*^9}, {3.7898065422012568`*^9, 
   3.7898065715350094`*^9}, {3.7898066702465825`*^9, 
   3.7898067268206263`*^9}, {3.7903211613737946`*^9, 3.790321168857994*^9}, {
   3.790508341876626*^9, 3.790508359422861*^9}, {3.7911998420691824`*^9, 
   3.791199842996286*^9}, {3.791284141099171*^9, 3.7912841449671183`*^9}, {
   3.791284175451392*^9, 3.791284203281657*^9}, 3.7912850838741198`*^9, {
   3.7915364269881597`*^9, 3.791536467976571*^9}, {3.791536505499288*^9, 
   3.791536727276556*^9}, {3.7915367708660994`*^9, 3.791536786031568*^9}, {
   3.7915369708516006`*^9, 3.791537003892296*^9}, {3.7915370459558783`*^9, 
   3.7915371941856956`*^9}, {3.791537293542164*^9, 3.791537298918789*^9}, {
   3.791537387615739*^9, 3.7915374786019173`*^9}, {3.791537520070111*^9, 
   3.791537520967747*^9}, {3.791539415367055*^9, 3.791539457554307*^9}, {
   3.7915395774319153`*^9, 3.7915396459487495`*^9}, {3.791539680338879*^9, 
   3.7915396967939005`*^9}, {3.791539913042944*^9, 3.7915399984835873`*^9}, {
   3.791540040567168*^9, 3.791540065825656*^9}, {3.7915401010804367`*^9, 
   3.7915402591748743`*^9}, {3.7915403583258333`*^9, 
   3.7915405007183084`*^9}, {3.791540558224619*^9, 3.7915405670001664`*^9}, {
   3.7915405972183943`*^9, 3.7915408454903812`*^9}, {3.791540906283904*^9, 
   3.7915409456536655`*^9}, {3.7915409793655353`*^9, 3.79154098160858*^9}, {
   3.791541053642064*^9, 3.791541215301005*^9}, {3.791541272048338*^9, 
   3.7915412961499243`*^9}, {3.791541326214566*^9, 3.7915413361848745`*^9}, {
   3.791541422427417*^9, 3.791541715303672*^9}, {3.791541764464234*^9, 
   3.7915417658027*^9}, {3.791541826005801*^9, 3.7915418508932858`*^9}, {
   3.791541888562605*^9, 3.791541929651788*^9}, {3.7915419794786177`*^9, 
   3.791542087681383*^9}, {3.791543557952894*^9, 3.791543569118002*^9}, {
   3.7915441623949575`*^9, 3.7915442674037666`*^9}, {3.791544329461896*^9, 
   3.791544411212104*^9}, {3.7915444427398357`*^9, 3.7915446705018463`*^9}, {
   3.7915447410952063`*^9, 3.7915447464897966`*^9}, {3.7915448138886228`*^9, 
   3.791544891248913*^9}, {3.7915451874153605`*^9, 3.791545199232771*^9}, {
   3.791545773293282*^9, 3.79154579004255*^9}, {3.791830785636823*^9, 
   3.7918310117489424`*^9}, {3.7918311180370083`*^9, 
   3.7918311189743147`*^9}, {3.791831150701234*^9, 3.791831245522242*^9}, {
   3.79183153862226*^9, 3.791831549416609*^9}, {3.791838431067315*^9, 
   3.791838431463257*^9}, {3.791838511263928*^9, 3.791838517845334*^9}, {
   3.7918387530216455`*^9, 3.7918387570379086`*^9}, 3.792267203467394*^9, {
   3.7922672369595723`*^9, 3.7922672767973747`*^9}, {3.7922677718778744`*^9, 
   3.7922677782044916`*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"b2715569-4490-4ac7-8d01-cc291acb2037"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"===", "===", "===", "===", "===", "===", 
      RowBox[{"\[Equal]", " ", 
       RowBox[{
       "This", " ", "function", " ", "evaluates", " ", "the", " ", 
        "transient", " ", "fluid", " ", "density", 
        RowBox[{
         RowBox[{"(", "PDF", ")"}], "/", "CDF"}], " ", "Matrices", " ", "for",
         " ", "starting", " ", "from", " ", "boundary", " ", "and", " ", 
        "ending", " ", "between", " ", "boundaries", "  ", 
        SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"s", ",", 
           RowBox[{
            SubscriptBox["T", 
             RowBox[{"k", ","}]], "y"}]}], ")"}], "/", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", 
           RowBox[{"\[Tau]", "=", 
            SubscriptBox["T", 
             RowBox[{"l", "-", "1"}]]}], "y"], 
          RowBox[{
           SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], "\[Tau]"}]}], ")"}], 
           RowBox[{"\[DifferentialD]", "\[Tau]"}], " ", "for", " ", 
           "k"}]}]}]}]}]}], "\[Element]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["T", 
       RowBox[{"l", "-", "1"}]], "<", "y", "<", 
      SubscriptBox["T", "l"]}], " ", "===", "===", "===", "===", "===", "===",
      "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SFBPWF", "[", 
     RowBox[{
     "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
      "Sp_", ",", "Sm_", ",", "Sz_", ",", "Sup_", ",", "Sdown_", ",", 
      "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
      "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tfinite_", ",", 
      "tempin_", ",", "tempfin_", ",", "s_", ",", "Res_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "Psi", ",", "PsiHat", ",", "Ks", ",", "Hs", ",", "HsHat", ",", "KsHat",
         ",", "K", ",", "k", ",", "l", ",", "SVab2ab", ",", "kn", ",", "km", 
        ",", "Fsypo", ",", "Fsymo", ",", "VsTkyTest", ",", "CDFsTkyTest", ",",
         "FCDFsy"}], "}"}], ",", "\[IndentingNewLine]", " ", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"Return", " ", "back", " ", "the", " ", "V", 
         RowBox[{"(", 
          RowBox[{"s", ",", 
           RowBox[{
            SubscriptBox["T", 
             RowBox[{"k", ","}]], 
            SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], ",", 
        RowBox[{"l", "\[Element]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "...", ",", "K"}], "}"}], " ", "and", " ", 
          SuperscriptBox["\[CapitalPsi]", 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}]}]}], ",", 
        RowBox[{
         SuperscriptBox["K", 
          RowBox[{"(", "k", ")"}]], 
         RowBox[{"(", "s", ")"}]}], ",", 
        RowBox[{
         SuperscriptBox["H", 
          RowBox[{"(", "k", ")"}]], 
         RowBox[{"(", "s", ")"}], " ", 
         SuperscriptBox[
          OverscriptBox["\[CapitalPsi]", "^"], 
          RowBox[{"(", "k", ")"}]], 
         RowBox[{"(", "s", ")"}]}], ",", 
        RowBox[{
         SuperscriptBox[
          OverscriptBox["K", "^"], 
          RowBox[{"(", "k", ")"}]], 
         RowBox[{"(", "s", ")"}]}], ",", 
        RowBox[{
         RowBox[{
          SuperscriptBox[
           OverscriptBox["H", "^"], 
           RowBox[{"(", "k", ")"}]], 
          RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "...", ",", "K"}], "}"}], " ", "Needed", " ", 
          "for", " ", "evaluating", "  ", "the", " ", "transiant", "  ", 
          "fluid", " ", "density", " ", "for", " ", "the", " ", "case", " ", 
          "\"\<starting from a  boundary initial fluid level and ending at \
non boundary\>\""}]}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "SVab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", ",", 
          "HsHat", ",", "Hs"}], "}"}], "=", 
        RowBox[{"CMPWF", "[", 
         RowBox[{
         "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
          "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", "Sconst",
           ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", "Sconstm", ",", 
          "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", "tempin", ",", 
          "tempfin", ",", "s", ",", "\"\<PDF\>\""}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"K", "=", 
        RowBox[{
         RowBox[{"Length", "[", "Tfinite", "]"}], "-", "1"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"kn", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"FirstPosition", "[", 
           RowBox[{"Tfinite", ",", 
            RowBox[{"_", "?", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"#", ">", " ", "tempin"}], " ", "&"}], ")"}]}]}], 
           "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", " ", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"index", " ", "of", " ", "the", " ", "bounday"}], ",", " ", 
         RowBox[{"counted", " ", "from", " ", 
          SubscriptBox["T", "0"]}]}], "  ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"km", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"FirstPosition", "[", 
           RowBox[{"Tfinite", ",", 
            RowBox[{"_", "?", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"#", ">", "tempfin"}], " ", "&"}], ")"}]}]}], "]"}], 
          "[", 
          RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"index", " ", "of", " ", "regime", " ", "of", " ", "k"}], 
         ",", " ", 
         RowBox[{"counted", " ", "from", " ", 
          SubscriptBox["T", "0"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"kn", "==", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
         RowBox[{"kn", "=", 
          RowBox[{"K", "+", "1"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"km", "==", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
         RowBox[{"km", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{"SVab2ab", " ", "[", 
           RowBox[{"[", 
            RowBox[{"kn", ",", "km"}], "]"}], "]"}], " ", "===", " ", 
          RowBox[{"V", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], 
              SubscriptBox["T", "l"]}]}], ")"}], " ", "based", " ", "on", " ",
            "kn"}]}], ",", 
         RowBox[{"km", " ", "values"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"VsTkyTest", "=", 
        RowBox[{"ConstantArray", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Np", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nm", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nz", "[", 
              RowBox[{"[", "K", "]"}], "]"}]}], ",", 
            RowBox[{
             RowBox[{"Np", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nm", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nz", "[", 
              RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"CDFsTkyTest", "=", 
        RowBox[{"ConstantArray", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Np", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nm", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nz", "[", 
              RowBox[{"[", "K", "]"}], "]"}]}], ",", 
            RowBox[{
             RowBox[{"Np", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nm", "[", 
              RowBox[{"[", "K", "]"}], "]"}], "+", 
             RowBox[{"Nz", "[", 
              RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"FCDFsy", "=", 
           RowBox[{"FCDFAll", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Dimensions", "[", 
               RowBox[{"Q", "[", 
                RowBox[{"[", "km", "]"}], "]"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"Sup", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"Sdown", "[", 
              RowBox[{"[", 
               RowBox[{"km", "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"Psi", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"PsiHat", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"Ks", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"KsHat", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"RpInv", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"RmInv", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"Tfinite", "[", 
               RowBox[{"[", 
                RowBox[{"km", "+", "1"}], "]"}], "]"}], "-", 
              RowBox[{"Tfinite", "[", 
               RowBox[{"[", "km", "]"}], "]"}]}], ",", 
             RowBox[{"tempfin", "-", 
              RowBox[{"Tfinite", "[", 
               RowBox[{"[", "km", "]"}], "]"}]}]}], "]"}]}], ";", " ", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SuperscriptBox[
              SubscriptBox["C", 
               RowBox[{"+", "\[FilledSmallCircle]"}]], 
              RowBox[{"(", "l", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"y", "-", 
                SubscriptBox["T", 
                 RowBox[{"l", "-", "1"}]]}]}], ")"}]}], ",", " ", 
            RowBox[{
             SuperscriptBox[
              SubscriptBox[
               OverscriptBox["C", "^"], 
               RowBox[{"-", "\[FilledSmallCircle]"}]], 
              RowBox[{"(", "l", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"y", "-", 
                SubscriptBox["T", 
                 RowBox[{"l", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"CDFsTkyTest", "[", 
            RowBox[{"[", 
             RowBox[{";;", ",", 
              RowBox[{"Flatten", " ", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "km", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "km", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
            "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"SVab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{";;", ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "km", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{"Inverse", "[", 
                RowBox[{"RpInv", "[", 
                 RowBox[{"[", "km", "]"}], "]"}], "]"}], ".", 
               RowBox[{"FCDFsy", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "km", "]"}], "]"}], ",", ";;"}], "]"}], 
                "]"}]}], "+", 
              RowBox[{
               RowBox[{
                RowBox[{"SVab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{"kn", ",", 
                   RowBox[{"km", "+", "1"}]}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{";;", ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "km", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{"Inverse", "[", 
                RowBox[{"RmInv", "[", 
                 RowBox[{"[", "km", "]"}], "]"}], "]"}], ".", 
               RowBox[{"FCDFsy", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "km", "]"}], "]"}], ",", ";;"}], "]"}], 
                "]"}]}]}], ")"}], "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"Range", "[", 
               RowBox[{"1", ",", 
                RowBox[{
                 RowBox[{"Np", "[", 
                  RowBox[{"[", "km", "]"}], "]"}], "+", 
                 RowBox[{"Nm", "[", 
                  RowBox[{"[", "km", "]"}], "]"}]}]}], "]"}]}], "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Return", "[", "CDFsTkyTest", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Fsypo", ",", "Fsymo"}], "}"}], "=", 
           RowBox[{"FAll", "[", 
            RowBox[{
             RowBox[{"Psi", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"PsiHat", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"Ks", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"KsHat", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"RpInv", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{"RmInv", "[", 
              RowBox[{"[", "km", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"Tfinite", "[", 
               RowBox[{"[", 
                RowBox[{"km", "+", "1"}], "]"}], "]"}], "-", 
              RowBox[{"Tfinite", "[", 
               RowBox[{"[", "km", "]"}], "]"}]}], ",", 
             RowBox[{"tempfin", "-", 
              RowBox[{"Tfinite", "[", 
               RowBox[{"[", "km", "]"}], "]"}]}]}], "]"}]}], ";", " ", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SuperscriptBox[
              SubscriptBox["F", 
               RowBox[{"+", "\[FilledSmallCircle]"}]], 
              RowBox[{"(", "l", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"y", "-", 
                SubscriptBox["T", 
                 RowBox[{"l", "-", "1"}]]}]}], ")"}]}], ",", " ", 
            RowBox[{
             SuperscriptBox[
              SubscriptBox[
               OverscriptBox["F", "^"], 
               RowBox[{"-", "\[FilledSmallCircle]"}]], 
              RowBox[{"(", "l", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"y", "-", 
                SubscriptBox["T", 
                 RowBox[{"l", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"VsTkyTest", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"Flatten", " ", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "km", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "km", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
            "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"SVab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{";;", ",", 
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "km", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{"Inverse", "[", 
                RowBox[{"RpInv", "[", 
                 RowBox[{"[", "km", "]"}], "]"}], "]"}], ".", "Fsypo"}], "+", 
              RowBox[{
               RowBox[{
                RowBox[{"SVab2ab", " ", "[", 
                 RowBox[{"[", 
                  RowBox[{"kn", ",", 
                   RowBox[{"km", "+", "1"}]}], "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{";;", ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "km", "]"}], "]"}]}], "]"}], "]"}], ".", 
               RowBox[{"Inverse", "[", 
                RowBox[{"RmInv", "[", 
                 RowBox[{"[", "km", "]"}], "]"}], "]"}], ".", "Fsymo"}]}], 
             ")"}], "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"Range", "[", 
               RowBox[{"1", ",", 
                RowBox[{
                 RowBox[{"Np", "[", 
                  RowBox[{"[", "km", "]"}], "]"}], "+", 
                 RowBox[{"Nm", "[", 
                  RowBox[{"[", "km", "]"}], "]"}]}]}], "]"}]}], "]"}], 
            "]"}]}], ";", " ", 
          RowBox[{"(*", 
           RowBox[{
            SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], "y"}]}], ")"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", 
             RowBox[{"\[Tau]", "=", 
              SubscriptBox["T", 
               RowBox[{"l", "-", "1"}]]}], "y"], 
            RowBox[{
             SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["T", 
                 RowBox[{"k", ","}]], "\[Tau]"}]}], ")"}], 
             RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"Return", "[", "VsTkyTest", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}],
    ";"}]}]], "Input",
 CellChangeTimes->{{3.7831801768495607`*^9, 3.7831801802877965`*^9}, {
   3.783427448608456*^9, 3.7834275059819555`*^9}, 3.784398817082718*^9, {
   3.7843989442444973`*^9, 3.7843989707645903`*^9}, {3.7843992601662965`*^9, 
   3.784399262494053*^9}, {3.7843993017839108`*^9, 3.7843993042752447`*^9}, {
   3.784399431876895*^9, 3.7843994393957396`*^9}, {3.784399553378828*^9, 
   3.784399581692067*^9}, {3.784399627306017*^9, 3.7843997902011614`*^9}, {
   3.7843998234651976`*^9, 3.784399869459109*^9}, {3.7843999006267614`*^9, 
   3.7843999062975483`*^9}, {3.7843999696719947`*^9, 
   3.7843999767201343`*^9}, {3.784400058149269*^9, 3.7844000639059286`*^9}, {
   3.7844001512491856`*^9, 3.7844001696060677`*^9}, {3.7844002184174767`*^9, 
   3.7844002566581993`*^9}, 3.784400288563837*^9, {3.784400329348685*^9, 
   3.7844003323466654`*^9}, {3.784400362737363*^9, 3.7844004347626514`*^9}, {
   3.7844006990587735`*^9, 3.7844007003872266`*^9}, {3.7844010008415866`*^9, 
   3.7844010898693924`*^9}, {3.7844512643981724`*^9, 
   3.7844513420622644`*^9}, {3.78445137334676*^9, 3.7844514140318823`*^9}, {
   3.784451606127889*^9, 3.7844516411322327`*^9}, {3.784455995987625*^9, 
   3.7844560551218863`*^9}, {3.784456206908785*^9, 3.7844562161537657`*^9}, {
   3.784456252706586*^9, 3.7844563011552944`*^9}, {3.784456363249172*^9, 
   3.7844563854993935`*^9}, 3.784456415555701*^9, {3.7852369511461616`*^9, 
   3.7852370843531265`*^9}, {3.785237260728882*^9, 3.7852372677268715`*^9}, 
   3.7852374769357185`*^9, {3.785237569785406*^9, 3.7852375731596546`*^9}, 
   3.7852376586015587`*^9, 3.7852380810805864`*^9, {3.785238199421655*^9, 
   3.7852382078275795`*^9}, {3.785238299081949*^9, 3.785238348825706*^9}, {
   3.7852384884808855`*^9, 3.785238496731387*^9}, {3.785238553017875*^9, 
   3.785238557407717*^9}, {3.785239242543329*^9, 3.7852392464109616`*^9}, {
   3.785239324696355*^9, 3.785239353763922*^9}, {3.785239427207981*^9, 
   3.7852394605800524`*^9}, {3.785239993507891*^9, 3.785240020841925*^9}, 
   3.7852402013213973`*^9, {3.7852402453334093`*^9, 3.785240251755744*^9}, {
   3.7852403264360504`*^9, 3.785240353317291*^9}, 3.785240429051472*^9, 
   3.7852405367535753`*^9, {3.785240596757763*^9, 3.785240615339337*^9}, 
   3.7852406898611436`*^9, {3.785240731820633*^9, 3.7852407517598133`*^9}, {
   3.785240870083946*^9, 3.7852408836466494`*^9}, {3.785241133809251*^9, 
   3.785241178610312*^9}, {3.7852412288408847`*^9, 3.785241239171235*^9}, {
   3.7852412773321657`*^9, 3.7852413022076073`*^9}, 3.785241462966014*^9, {
   3.785244699869731*^9, 3.7852447122056737`*^9}, 3.785244771893962*^9, 
   3.7852448208344207`*^9, {3.785244887468091*^9, 3.785244887736333*^9}, {
   3.7852449987297993`*^9, 3.7852450072858953`*^9}, {3.78524504631848*^9, 
   3.785245049503955*^9}, {3.785245155475416*^9, 3.785245161374585*^9}, {
   3.785245374028471*^9, 3.785245403867613*^9}, {3.785245456778008*^9, 
   3.785245470979005*^9}, {3.7852455371868114`*^9, 3.785245566398591*^9}, {
   3.785245622284976*^9, 3.7852456245947485`*^9}, {3.785245963642033*^9, 
   3.785245973438779*^9}, {3.785246117033529*^9, 3.7852461292218666`*^9}, {
   3.7852462417806625`*^9, 3.785246281633009*^9}, {3.7852465455317993`*^9, 
   3.78524662070857*^9}, {3.785247718920452*^9, 3.785247770128084*^9}, {
   3.7852478490806456`*^9, 3.785247852960221*^9}, 3.7852482488105407`*^9, {
   3.7852482879100275`*^9, 3.785248321554986*^9}, {3.785248363272295*^9, 
   3.7852483706615243`*^9}, {3.7852484019218583`*^9, 3.785248416639476*^9}, {
   3.785334972146039*^9, 3.7853349787355633`*^9}, {3.7853350389975843`*^9, 
   3.785335043417226*^9}, {3.785335093120577*^9, 3.7853351801854243`*^9}, {
   3.7853352761456957`*^9, 3.7853352922035856`*^9}, {3.785336568618114*^9, 
   3.7853365734332542`*^9}, 3.7853366193068085`*^9, {3.785336726302883*^9, 
   3.7853367552480955`*^9}, {3.785336875819172*^9, 3.785336882026434*^9}, 
   3.7853373758821564`*^9, {3.785337976473008*^9, 3.785338007278129*^9}, {
   3.7853381370818815`*^9, 3.785338157800974*^9}, {3.7853383178413663`*^9, 
   3.7853383355918818`*^9}, {3.785338835993494*^9, 3.7853389311838684`*^9}, {
   3.785339161946144*^9, 3.7853392059750957`*^9}, {3.7853392847751484`*^9, 
   3.785339295018529*^9}, {3.7853393731326246`*^9, 3.7853393905984774`*^9}, 
   3.785339467326076*^9, 3.7853395335490484`*^9, {3.7853396615070124`*^9, 
   3.785339703372272*^9}, {3.7853397524072933`*^9, 3.7853397924994335`*^9}, {
   3.785339910652159*^9, 3.785339935218272*^9}, {3.7853401599595647`*^9, 
   3.7853401973020525`*^9}, {3.7853402434291363`*^9, 
   3.7853402716608105`*^9}, {3.785340351759232*^9, 3.785340368942202*^9}, {
   3.7853405755338445`*^9, 3.7853406066311827`*^9}, {3.7853407035459094`*^9, 
   3.7853407268953795`*^9}, 3.7853407901815367`*^9, {3.7853409196325116`*^9, 
   3.785340950820505*^9}, 3.785340985594793*^9, {3.7853413306626987`*^9, 
   3.785341342587821*^9}, {3.7853413750836*^9, 3.785341395077749*^9}, {
   3.7853415429393034`*^9, 3.7853415464559684`*^9}, {3.7853429671347837`*^9, 
   3.7853430502034364`*^9}, 3.785343244656213*^9, 3.7853433556731615`*^9, {
   3.7853434003845778`*^9, 3.785343403391472*^9}, {3.7853435957792225`*^9, 
   3.785343599265891*^9}, {3.7853436313071423`*^9, 3.7853436566852636`*^9}, 
   3.7853437573388863`*^9, {3.7853438859965796`*^9, 3.785343887092603*^9}, 
   3.7853439648385363`*^9, {3.7853487700488253`*^9, 3.7853488435202007`*^9}, {
   3.7853537266758695`*^9, 3.7853537633340716`*^9}, {3.7853538322053733`*^9, 
   3.7853538393008604`*^9}, {3.785354295546652*^9, 3.7853543013201847`*^9}, {
   3.785408712683833*^9, 3.7854087166781807`*^9}, {3.786031344790518*^9, 
   3.786031353056862*^9}, 3.786288735006242*^9, 3.786288843126995*^9, {
   3.786289346176407*^9, 3.7862893507401466`*^9}, {3.788598194146407*^9, 
   3.788598212044506*^9}, {3.78869228424625*^9, 3.788692288973606*^9}, {
   3.788771528010315*^9, 3.7887715470203896`*^9}, {3.7887715954814787`*^9, 
   3.788771605385212*^9}, {3.788771636308408*^9, 3.7887716385526333`*^9}, {
   3.7887716913184414`*^9, 3.7887717112886033`*^9}, {3.7887717583620243`*^9, 
   3.7887718056816206`*^9}, {3.7887718466964006`*^9, 3.788771941215031*^9}, {
   3.7887722164321313`*^9, 3.788772216855612*^9}, {3.7887722519796553`*^9, 
   3.7887722656189446`*^9}, {3.788773549729649*^9, 3.788773582323496*^9}, {
   3.78877362645982*^9, 3.7887736473748484`*^9}, {3.788774533255992*^9, 
   3.788774586025882*^9}, {3.7887839027893724`*^9, 3.7887839114443607`*^9}, {
   3.7890400804522233`*^9, 3.7890401554878607`*^9}, {3.789040191977521*^9, 
   3.7890401965287237`*^9}, {3.7890404914179544`*^9, 
   3.7890404966558523`*^9}, {3.7890406277129974`*^9, 
   3.7890406388947964`*^9}, {3.78904087640915*^9, 3.7890409045201616`*^9}, {
   3.7890410718091264`*^9, 3.789041077220493*^9}, {3.7890411110097294`*^9, 
   3.789041144693528*^9}, {3.78904163625078*^9, 3.7890418050711946`*^9}, 
   3.7890418386922007`*^9, {3.789041933945362*^9, 3.7890419443361278`*^9}, {
   3.7890437044403615`*^9, 3.7890437610010886`*^9}, {3.789043821924678*^9, 
   3.7890438433184247`*^9}, {3.789044325350272*^9, 3.789044334511774*^9}, {
   3.789044826599169*^9, 3.7890448276662703`*^9}, {3.7890449865757165`*^9, 
   3.789044995886851*^9}, {3.789045097628215*^9, 3.789045109318965*^9}, {
   3.789045539688177*^9, 3.789045541661897*^9}, {3.789230392954384*^9, 
   3.789230410699477*^9}, 3.7893779780332336`*^9, {3.7893782636401033`*^9, 
   3.7893782676590443`*^9}, {3.789378505376131*^9, 3.78937851325747*^9}, {
   3.7893787847062707`*^9, 3.78937879130886*^9}, {3.7893792133463573`*^9, 
   3.7893792526360073`*^9}, {3.789379417588047*^9, 3.7893794214708476`*^9}, {
   3.789379499127977*^9, 3.7893794995159407`*^9}, 3.7893797972391057`*^9, {
   3.789379896928386*^9, 3.789379902709757*^9}, 3.7893799662107773`*^9, {
   3.789382210806084*^9, 3.7893822182549105`*^9}, {3.789382415469776*^9, 
   3.789382473788767*^9}, 3.789382957260473*^9, 3.789392385019577*^9, {
   3.7893927126971617`*^9, 3.789392723002601*^9}, 3.789393785497958*^9, {
   3.7894029690057344`*^9, 3.789402992825951*^9}, {3.789404454562294*^9, 
   3.789404463342185*^9}, 3.7894543405966673`*^9, {3.78945506679574*^9, 
   3.7894551321407547`*^9}, {3.789455468071796*^9, 3.7894554775205297`*^9}, 
   3.7894556064962273`*^9, {3.7894593196024113`*^9, 3.78945931961034*^9}, {
   3.789460443957688*^9, 3.789460485958374*^9}, {3.78946074967082*^9, 
   3.789460761995859*^9}, 3.7894609188235016`*^9, 3.7894716778443737`*^9, {
   3.789471984802538*^9, 3.78947201252542*^9}, {3.789472206529386*^9, 
   3.789472222470727*^9}, {3.7894768185458317`*^9, 3.7894768770962625`*^9}, {
   3.7894770266104455`*^9, 3.7894770471584983`*^9}, {3.7894771162347827`*^9, 
   3.789477143086977*^9}, {3.7894773473204*^9, 3.7894773835285516`*^9}, {
   3.7894775587749*^9, 3.7894775608722925`*^9}, {3.7894776162910957`*^9, 
   3.7894776561322317`*^9}, 3.789477768126563*^9, {3.7894781048970065`*^9, 
   3.789478156817213*^9}, {3.7894782404525776`*^9, 3.7894782515738044`*^9}, {
   3.789478736594412*^9, 3.78947875762814*^9}, 3.78948060607572*^9, {
   3.789480880123243*^9, 3.7894809373960595`*^9}, {3.7897202634667225`*^9, 
   3.789720264053155*^9}, {3.7897203270488634`*^9, 3.7897203296050296`*^9}, 
   3.789720409879738*^9, {3.789720687621904*^9, 3.7897207227799006`*^9}, {
   3.7897208722587442`*^9, 3.7897209079692726`*^9}, {3.7897225793463154`*^9, 
   3.7897226235430813`*^9}, {3.789722732297394*^9, 3.789722772218623*^9}, {
   3.7897265255432467`*^9, 3.789726696625856*^9}, 3.7897268465401416`*^9, {
   3.7897292695777736`*^9, 3.7897293324785314`*^9}, {3.789751980393818*^9, 
   3.7897519979244595`*^9}, {3.789752132033849*^9, 3.7897522378464427`*^9}, {
   3.789752465132017*^9, 3.7897524838580704`*^9}, {3.7897525312059402`*^9, 
   3.7897525318330817`*^9}, 3.789752638508291*^9, {3.789752687518997*^9, 
   3.7897526981366634`*^9}, {3.789752737276749*^9, 3.789752748389246*^9}, {
   3.7897527822649174`*^9, 3.789752788742791*^9}, {3.789752847239111*^9, 
   3.7897528474329095`*^9}, 3.789752889392764*^9, {3.789756063043804*^9, 
   3.7897560787067304`*^9}, 3.7897561649118366`*^9, {3.789756202466748*^9, 
   3.789756210610985*^9}, 3.789756257962138*^9, {3.7897563483438153`*^9, 
   3.78975642408778*^9}, 3.7897564858487453`*^9, {3.789756546274951*^9, 
   3.7897565571702623`*^9}, {3.7897567466296463`*^9, 3.789756797301529*^9}, 
   3.7897571297960267`*^9, {3.7897582254816675`*^9, 3.789758269543932*^9}, {
   3.789758693649182*^9, 3.789758706077944*^9}, {3.7897590511415625`*^9, 
   3.789759053541152*^9}, 3.7897592501226788`*^9, {3.789759568602768*^9, 
   3.7897595946421347`*^9}, {3.789759669929369*^9, 3.789759685323202*^9}, {
   3.789759786537548*^9, 3.7897598661377535`*^9}, {3.7897612043789*^9, 
   3.7897612103649397`*^9}, 3.789761261081275*^9, 3.789807451712838*^9, 
   3.7898083845180902`*^9, {3.789808460236915*^9, 3.789808480695651*^9}, {
   3.789808737916569*^9, 3.7898087392090645`*^9}, {3.7898088399416447`*^9, 
   3.789808841372194*^9}, {3.789808911788918*^9, 3.789808913021581*^9}, {
   3.7898100872111735`*^9, 3.7898101063199806`*^9}, {3.790070808177765*^9, 
   3.7900708148998103`*^9}, {3.790072150905749*^9, 3.790072175076742*^9}, {
   3.790073309965039*^9, 3.7900733181523094`*^9}, {3.7903211075328226`*^9, 
   3.7903211366631556`*^9}, {3.7903212502938085`*^9, 
   3.7903212541187854`*^9}, {3.790412087163015*^9, 3.790412111776201*^9}, {
   3.790413228414802*^9, 3.7904132891572084`*^9}, 3.7904176364104843`*^9, 
   3.790421014998227*^9, {3.790508362844612*^9, 3.7905083681412926`*^9}, {
   3.79128414500004*^9, 3.791284145138488*^9}, {3.791284179390028*^9, 
   3.791284203303602*^9}, 3.791285083889079*^9, {3.791544941290119*^9, 
   3.7915449532541904`*^9}, {3.7915449859737434`*^9, 
   3.7915450397131133`*^9}, {3.791545092501026*^9, 3.791545119658445*^9}, {
   3.7915451533513985`*^9, 3.7915451703160615`*^9}, {3.791545203389617*^9, 
   3.791545239408142*^9}, {3.791545270488567*^9, 3.7915454188082094`*^9}, {
   3.791545461187939*^9, 3.791545510692583*^9}, 3.7915455473935413`*^9, {
   3.7915456326845427`*^9, 3.791545703282897*^9}, {3.7915457532877846`*^9, 
   3.7915457617830343`*^9}, {3.7915458033938203`*^9, 
   3.7915459154303846`*^9}, {3.791545945571826*^9, 3.7915459939515715`*^9}, {
   3.791546115423902*^9, 3.7915461670379257`*^9}, {3.7915462262219253`*^9, 
   3.791546263055462*^9}, {3.7915463063128805`*^9, 3.7915463580326624`*^9}, {
   3.7915463999446*^9, 3.7915464090333505`*^9}, {3.7915492839914656`*^9, 
   3.7915492848236637`*^9}, {3.7918312533485394`*^9, 3.79183126151851*^9}, {
   3.7918406620782037`*^9, 3.791840665730466*^9}, 3.7921772825814266`*^9, {
   3.8076337723654833`*^9, 3.807633773562566*^9}, {3.8076440982499046`*^9, 
   3.8076441110806313`*^9}, {3.8076441510467253`*^9, 
   3.8076441533445816`*^9}, {3.807644269583215*^9, 3.8076442901941366`*^9}, {
   3.8076894529896517`*^9, 3.8076894550240254`*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"006ef89d-36dc-405e-bd10-b75e0bc377ca"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"===", "===", "===", "===", "===", "===", 
      RowBox[{"\[Equal]", " ", 
       RowBox[{
       "This", " ", "function", " ", "evaluates", " ", "the", " ", 
        "transient", " ", "fluid", " ", "density", 
        RowBox[{
         RowBox[{"(", "PDF", ")"}], "/", " ", "mass"}], " ", "Matrices", " ", 
        "for", " ", "starting", " ", "between", " ", "boundaries", " ", "and",
         " ", "ending", " ", "at", " ", "boundaries", "  ", 
        SubscriptBox["V", "\[EmptySmallCircle]\[FilledSmallCircle]"], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"s", ",", "x", ",", 
           SubscriptBox["T", "l"]}], ")"}], "/", " ", 
         SubscriptBox["P", "\[FilledSmallCircle]\[EmptySmallCircle]"]}], 
        RowBox[{"(", 
         RowBox[{"s", ",", "x", ",", 
          SubscriptBox["T", "l"]}], ")"}], " ", "for", " ", "l"}]}]}], 
     "\[Element]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "...", ",", "K"}], "}"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["T", 
       RowBox[{"k", "-", "1"}]], "<", "x", "<", 
      SubscriptBox["T", "k"]}], " ", "===", "===", "===", "===", "===", "===",
      "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"G2BPWF", "[", 
      RowBox[{
      "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
       "Sp_", ",", "Sm_", ",", "Sz_", ",", "Sup_", ",", "Sdown_", ",", 
       "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
       "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tfinite_", ",", 
       "tempin_", ",", "tempfin_", ",", "s_", ",", "Res_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Psi", ",", "PsiHat", ",", "Ks", ",", "Hs", ",", "HsHat", ",", 
         "KsHat", ",", "K", ",", "k", ",", "l", ",", "SVab2ab", ",", "kn", 
         ",", "km", ",", "kmm", ",", "VsxTlTest", ",", "Ux2Tkm1New", ",", 
         "SPab2ab", ",", "PsxTlTest"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "SVab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", ",", 
           "HsHat", ",", "Hs"}], "}"}], "=", 
         RowBox[{"CMPWF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", 
           "tempin", ",", "tempfin", ",", "s", ",", "\"\<PDF\>\""}], "]"}]}], 
        ";", "\[IndentingNewLine]", " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"Return", " ", "back", " ", "the", " ", "V", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], 
              SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], ",", 
          RowBox[{"l", "\[Element]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", "K"}], "}"}], " ", "and", " ", 
            SuperscriptBox["\[CapitalPsi]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}]}], ",", 
          RowBox[{
           SuperscriptBox["K", 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           SuperscriptBox["H", 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}], " ", 
           SuperscriptBox[
            OverscriptBox["\[CapitalPsi]", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           SuperscriptBox[
            OverscriptBox["K", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             OverscriptBox["H", "^"], 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "...", ",", "K"}], "}"}], " ", "Needed", " ", 
            "for", " ", "evaluating", "  ", "the", " ", "transiant", "  ", 
            "fluid", " ", "density", " ", "for", " ", "the", " ", "case", 
            " ", "\"\<starting from between boundaries initial fluid level \
and ending at boundary\>\""}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "SPab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", ",", 
           "HsHat", ",", "Hs"}], "}"}], "=", 
         RowBox[{"CMPWF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", 
           "tempin", ",", "tempfin", ",", "s", ",", "\"\<MASS\>\""}], "]"}]}],
         ";", "\[IndentingNewLine]", " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"Return", " ", "back", " ", "the", " ", "P", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], 
              SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], ",", 
          RowBox[{"l", "\[Element]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", "K"}], "}"}], " ", "and", " ", 
            SuperscriptBox["\[CapitalPsi]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}]}], ",", 
          RowBox[{
           SuperscriptBox["K", 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           SuperscriptBox["H", 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}], " ", 
           SuperscriptBox[
            OverscriptBox["\[CapitalPsi]", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           SuperscriptBox[
            OverscriptBox["K", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             OverscriptBox["H", "^"], 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "...", ",", "K"}], "}"}], " ", "Needed", " ", 
            "for", " ", "evaluating", "  ", "the", " ", "transiant", "  ", 
            "fluid", " ", "density", " ", "for", " ", "the", " ", "case", 
            " ", "\"\<starting from between boundaries initial fluid level \
and ending at boundary\>\""}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"K", "=", 
         RowBox[{
          RowBox[{"Length", "[", "Tfinite", "]"}], "-", "1"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"kn", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"FirstPosition", "[", 
            RowBox[{"Tfinite", ",", 
             RowBox[{"_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#", ">", " ", "tempin"}], " ", "&"}], ")"}]}]}], 
            "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"index", " ", "of", " ", "regime", " ", "of", " ", "k"}], 
          ",", " ", 
          RowBox[{"counted", " ", "from", " ", 
           SubscriptBox["T", "0"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"km", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"FirstPosition", "[", 
            RowBox[{"Tfinite", ",", 
             RowBox[{"_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#", ">", "tempfin"}], " ", "&"}], ")"}]}]}], "]"}], 
           "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"index", " ", "of", " ", "the", " ", "bounday"}], ",", " ", 
          RowBox[{"counted", " ", "from", " ", 
           SubscriptBox["T", "0"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"kmm", "=", "km"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"kn", "==", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
          RowBox[{"kn", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"km", "==", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
          RowBox[{
           RowBox[{"km", "=", 
            RowBox[{"K", "+", "1"}]}], ";", 
           RowBox[{"kmm", "=", "K"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{"SVab2ab", " ", "[", 
            RowBox[{"[", 
             RowBox[{"kn", ",", "km"}], "]"}], "]"}], " ", "===", " ", 
           RowBox[{"V", 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "l"]}]}], ")"}], " ", "based", " ", "on", 
            " ", "kn"}]}], ",", 
          RowBox[{"km", " ", "values"}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{"SPab2ab", " ", "[", 
            RowBox[{"[", 
             RowBox[{"kn", ",", "km"}], "]"}], "]"}], " ", "===", " ", 
           RowBox[{"P", 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "l"]}]}], ")"}], " ", "based", " ", "on", 
            " ", "kn"}]}], ",", 
          RowBox[{"km", " ", "values"}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"VsxTlTest", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "K", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"PsxTlTest", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "K", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "K", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "K", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Ux2Tkm1New", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            SubscriptBox["U", 
             RowBox[{"\[FilledSmallCircle]", "-"}]], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{"x", "-", 
              SubscriptBox["T", 
               RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
          RowBox[{
           SuperscriptBox[
            SubscriptBox["U", 
             RowBox[{"\[FilledSmallCircle]", "+"}]], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{"x", "-", 
              SubscriptBox["T", 
               RowBox[{"k", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Ux2Tkm1New", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Flatten", " ", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"Sp", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
           RowBox[{"Ux2Tkm1New", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"Flatten", " ", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"Sm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], "=", 
         RowBox[{"UNEW", "[", 
          RowBox[{
           RowBox[{"Psi", "[", 
            RowBox[{"[", "kn", "]"}], "]"}], ",", 
           RowBox[{"PsiHat", "[", 
            RowBox[{"[", "kn", "]"}], "]"}], ",", 
           RowBox[{"Hs", "[", 
            RowBox[{"[", "kn", "]"}], "]"}], ",", 
           RowBox[{"HsHat", "[", 
            RowBox[{"[", "kn", "]"}], "]"}], ",", 
           RowBox[{"Tfinite", "[", 
            RowBox[{"[", 
             RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", 
           RowBox[{"tempin", "-", 
            RowBox[{"Tfinite", "[", 
             RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"Res", "\[Equal]", "\"\<MASS\>\""}], ",", 
          RowBox[{"(*", 
           RowBox[{
            SubscriptBox["P", "\[FilledSmallCircle]\[EmptySmallCircle]"], 
            RowBox[{"(", 
             RowBox[{"s", ",", "x", ",", 
              SubscriptBox["T", "l"]}], ")"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"PsxTlTest", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Flatten", " ", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "All"}], "]"}], "]"}], "=", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"Ux2Tkm1New", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                RowBox[{
                 RowBox[{"SPab2ab", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                 "]"}]}], "+", 
               RowBox[{
                RowBox[{"Ux2Tkm1New", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                RowBox[{
                 RowBox[{"SPab2ab", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"kn", "+", "1"}], ",", "km"}], "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                 "]"}]}]}], ")"}], "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"Range", "[", 
                RowBox[{"1", ",", 
                 RowBox[{
                  RowBox[{"Np", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "+", 
                  RowBox[{"Nm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "+", 
                  RowBox[{"Nz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{",", 
               RowBox[{
                SubscriptBox["P", 
                 RowBox[{"0", "\[EmptySmallCircle]"}]], 
                RowBox[{"(", 
                 RowBox[{"s", ",", "x", ",", 
                  SubscriptBox["T", "l"]}], ")"}]}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"PsxTlTest", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], "]"}],
                "=", 
               RowBox[{
                RowBox[{"Inverse", "[", 
                 RowBox[{
                  RowBox[{"s", " ", 
                   RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                  RowBox[{
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                ".", 
                RowBox[{
                 RowBox[{"Q", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                 "]"}], ".", 
                RowBox[{"PsxTlTest", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                   ";;"}], "]"}], "]"}]}]}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "PsxTlTest", "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", " ", 
          RowBox[{"(*", 
           RowBox[{
            SubscriptBox["V", "\[FilledSmallCircle]\[EmptySmallCircle]"], 
            RowBox[{"(", 
             RowBox[{"s", ",", "x", ",", 
              SubscriptBox["T", "l"]}], ")"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"VsxTlTest", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Flatten", " ", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
               ";;"}], "]"}], "]"}], "=", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"Ux2Tkm1New", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                RowBox[{
                 RowBox[{"SVab2ab", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{"kn", ",", "km"}], "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                 "]"}]}], "+", 
               RowBox[{
                RowBox[{"Ux2Tkm1New", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                RowBox[{
                 RowBox[{"SVab2ab", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"kn", "+", "1"}], ",", "km"}], "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                 "]"}]}]}], ")"}], "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"Range", "[", 
                RowBox[{"1", ",", 
                 RowBox[{
                  RowBox[{"Np", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "+", 
                  RowBox[{"Nm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "+", 
                  RowBox[{"Nz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               SubscriptBox["V", 
                RowBox[{"0", "\[EmptySmallCircle]"}]], 
               RowBox[{"(", 
                RowBox[{"s", ",", "x", ",", 
                 SubscriptBox["T", "l"]}], ")"}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"VsxTlTest", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], "]"}],
                "=", 
               RowBox[{
                RowBox[{"Inverse", "[", 
                 RowBox[{
                  RowBox[{"s", " ", 
                   RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                  RowBox[{
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                ".", 
                RowBox[{
                 RowBox[{"Q", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                 "]"}], ".", 
                RowBox[{"VsxTlTest", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                   ";;"}], "]"}], "]"}]}]}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "VsxTlTest", "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7830980065948877`*^9, 3.7830980179162483`*^9}, {
   3.783098112129038*^9, 3.783098208982993*^9}, 3.7830982470665846`*^9, {
   3.783098291997752*^9, 3.783098325223895*^9}, {3.783098356471675*^9, 
   3.7830983967100487`*^9}, {3.7830986252935905`*^9, 3.783098650321204*^9}, {
   3.7830986951523094`*^9, 3.7830987389858246`*^9}, {3.783098901456381*^9, 
   3.783098911234042*^9}, {3.7830989600464764`*^9, 3.7830989613759565`*^9}, {
   3.7830989922412605`*^9, 3.783099047240724*^9}, {3.783099190563012*^9, 
   3.7830992075392456`*^9}, {3.7830992746797953`*^9, 
   3.7830993352789717`*^9}, {3.783099366205198*^9, 3.7830993892288465`*^9}, {
   3.783099547743208*^9, 3.783099582687619*^9}, {3.783099631156328*^9, 
   3.7830998355389986`*^9}, {3.783099922233452*^9, 3.783099922974535*^9}, 
   3.7831000195817647`*^9, 3.783100078884952*^9, {3.783180318606371*^9, 
   3.7831803198849125`*^9}, {3.783427448683255*^9, 3.7834275060358095`*^9}, {
   3.784399146772679*^9, 3.784399147229457*^9}, {3.784451949164553*^9, 
   3.784451987960966*^9}, {3.784452029953747*^9, 3.7844520417690268`*^9}, {
   3.784452089541853*^9, 3.7844522993849306`*^9}, {3.7844523814139795`*^9, 
   3.7844526294967747`*^9}, 3.784452706847526*^9, {3.7844547406357884`*^9, 
   3.7844548464604454`*^9}, {3.7844549623638687`*^9, 
   3.7844549901408052`*^9}, {3.785335375043963*^9, 3.785335385875132*^9}, {
   3.785335520892948*^9, 3.785335523861042*^9}, {3.785335787471754*^9, 
   3.7853358072584143`*^9}, {3.786031365188137*^9, 3.786031371333606*^9}, 
   3.7862887485001297`*^9, 3.786288845149626*^9, 3.7862893704993052`*^9, {
   3.788692262697873*^9, 3.788692277786521*^9}, {3.789230477437709*^9, 
   3.7892305085923624`*^9}, {3.789230984176363*^9, 3.7892310663791327`*^9}, {
   3.7892311104666805`*^9, 3.789231122458612*^9}, {3.7892311920122943`*^9, 
   3.789231205296769*^9}, {3.789231238223832*^9, 3.789231276165373*^9}, {
   3.789231353695619*^9, 3.7892313551716723`*^9}, {3.789231386426099*^9, 
   3.789231438577961*^9}, 3.7892314695894575`*^9, {3.789231500967555*^9, 
   3.7892315210897465`*^9}, {3.789232021331319*^9, 3.7892320244984846`*^9}, {
   3.789232121475547*^9, 3.789232139831767*^9}, {3.789232198892423*^9, 
   3.7892322054101152`*^9}, {3.789232244537456*^9, 3.7892322633146496`*^9}, 
   3.7892323091463857`*^9, {3.7892324447784348`*^9, 3.7892324498798122`*^9}, {
   3.789232564946581*^9, 3.7892325788666267`*^9}, {3.7892327596498184`*^9, 
   3.78923279066122*^9}, {3.789232892304858*^9, 3.7892329069511023`*^9}, {
   3.7892330452450304`*^9, 3.7892330654437113`*^9}, {3.7892331199944286`*^9, 
   3.789233189716914*^9}, {3.7892333515259113`*^9, 3.7892333555021*^9}, {
   3.789363847648037*^9, 3.789363851000023*^9}, {3.7893863007333775`*^9, 
   3.789386302474337*^9}, 3.7894543538771048`*^9, {3.7894593196213107`*^9, 
   3.7894593196282916`*^9}, {3.7898073113899307`*^9, 
   3.7898073129750223`*^9}, {3.789897299565583*^9, 3.789897299883733*^9}, {
   3.789898073259363*^9, 3.7898980783128505`*^9}, {3.789898754436239*^9, 
   3.7898987563311696`*^9}, {3.7900710901445236`*^9, 
   3.7900710911628084`*^9}, {3.7900712082940025`*^9, 
   3.7900712086330447`*^9}, {3.7900714023290653`*^9, 
   3.7900714035482917`*^9}, {3.790321267069813*^9, 3.7903212781528025`*^9}, {
   3.7903228372365417`*^9, 3.7903229616436663`*^9}, {3.7903230802328014`*^9, 
   3.790323158605918*^9}, {3.7903232169549694`*^9, 3.790323217404026*^9}, 
   3.7903233217845955`*^9, {3.7903234122154913`*^9, 3.7903234124391155`*^9}, {
   3.790323460168992*^9, 3.7903235061574583`*^9}, 3.7903235786814117`*^9, 
   3.790324269740159*^9, {3.790324397323056*^9, 3.7903243974938154`*^9}, 
   3.7903244555449114`*^9, {3.790324537526677*^9, 3.7903245447133026`*^9}, {
   3.790324632724716*^9, 3.7903246370514364`*^9}, {3.790324865231241*^9, 
   3.7903248898109694`*^9}, {3.790325066984654*^9, 3.7903250702157993`*^9}, 
   3.7903252855691943`*^9, {3.790327615260131*^9, 3.7903276287870045`*^9}, {
   3.7903276975172205`*^9, 3.790327708161379*^9}, 3.790327769259074*^9, {
   3.7903281743983817`*^9, 3.790328216473446*^9}, 3.79041315384285*^9, {
   3.790413186737883*^9, 3.790413215786316*^9}, {3.7905083704224586`*^9, 
   3.7905083725630054`*^9}, {3.791284145192083*^9, 3.7912841456682615`*^9}, {
   3.791284179486841*^9, 3.79128420347955*^9}, {3.7912850839119787`*^9, 
   3.7912850839309673`*^9}, {3.791545520196225*^9, 3.79154552198241*^9}, {
   3.791548189398616*^9, 3.7915482982763076`*^9}, {3.7915483333901415`*^9, 
   3.7915483436154532`*^9}, {3.791548378344008*^9, 3.791548439850873*^9}, {
   3.7915484880408983`*^9, 3.7915485366611805`*^9}, {3.791548595593103*^9, 
   3.7915486714457264`*^9}, {3.791831281654461*^9, 3.7918313285496745`*^9}, {
   3.791841470604541*^9, 3.7918415373162007`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"f98b510f-8d04-4089-a354-38d19537a9d0"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{
     "This", " ", "function", " ", "evaluates", " ", "the", " ", "transient", 
      " ", "fluid", " ", "density", 
      RowBox[{
       RowBox[{"(", "PDF", ")"}], "/", "CDF"}], " ", "Matrices", " ", "for", 
      " ", "starting", " ", "from", "  ", "and", " ", "ending", " ", 
      "between", " ", "boundaries", "       ", "V", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"s", ",", 
         RowBox[{
          SubscriptBox["x", ","], "y"}]}], ")"}], "/", 
       RowBox[{
        SubsuperscriptBox["\[Integral]", 
         RowBox[{"\[Tau]", "=", 
          SubscriptBox["T", 
           RowBox[{"l", "-", "1"}]]}], "y"], 
        RowBox[{"V", 
         RowBox[{"(", 
          RowBox[{"s", ",", 
           RowBox[{
            SubscriptBox["x", ","], "\[Tau]"}]}], ")"}], 
         RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}]}]}]}], "  ", "===", "===",
     "===", "===", "===", "===", "\[Equal]"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"BTBPWF", "[", 
      RowBox[{
      "Q_", ",", "QTilda_", ",", "absRi_", ",", "RpInv_", ",", "RmInv_", ",", 
       "Sp_", ",", "Sm_", ",", "Sz_", ",", "Sup_", ",", "Sdown_", ",", 
       "Sconst_", ",", "Spup_", ",", "Spconst_", ",", "Sdownm_", ",", 
       "Sconstm_", ",", "Np_", ",", "Nm_", ",", "Nz_", ",", "Tfinite_", ",", 
       "tempin_", ",", "tempfin_", ",", "s_", ",", "Res_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Psi", ",", "PsiHat", ",", "Ks", ",", "Hs", ",", "HsHat", ",", 
         "KsHat", ",", "K", ",", "k", ",", "l", ",", "SVab2ab", ",", "kn", 
         ",", "km", ",", "kmm", ",", "Ux2Tkm1", ",", "UTk2x", ",", "VsTky", 
         ",", "VsTkm1y", ",", "Uxred2Tkm1", ",", "Vsxx", ",", "UredTk2x", ",",
          "VsTkm1x", ",", "VsTkx", ",", "Fsypo", ",", "Fsymo", ",", "Vsxyred",
          ",", "VsxTkred", ",", "Fsyo", ",", "Ux2Tkm1New", ",", "VsxyUNEW", 
         ",", "VsxTkm1red", ",", "CDFTkm1", ",", "CDFTk", ",", "CDFxy", ",", 
         "FCDFsy"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"K", "=", 
         RowBox[{
          RowBox[{"Length", "[", "Tfinite", "]"}], "-", "1"}]}], ";", 
        "\[IndentingNewLine]", " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"Return", " ", "back", " ", "the", " ", "V", 
           RowBox[{"(", 
            RowBox[{"s", ",", 
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", ","}]], 
              SubscriptBox["T", "l"]}]}], ")"}], "  ", "for", " ", "k"}], ",", 
          RowBox[{"l", "\[Element]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "...", ",", "K"}], "}"}], " ", "and", " ", 
            SuperscriptBox["\[CapitalPsi]", 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}]}]}], ",", 
          RowBox[{
           SuperscriptBox["K", 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           SuperscriptBox["H", 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}], " ", 
           SuperscriptBox[
            OverscriptBox["\[CapitalPsi]", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           SuperscriptBox[
            OverscriptBox["K", "^"], 
            RowBox[{"(", "k", ")"}]], 
           RowBox[{"(", "s", ")"}]}], ",", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             OverscriptBox["H", "^"], 
             RowBox[{"(", "k", ")"}]], 
            RowBox[{"(", "s", ")"}], "  ", "for", " ", "k"}], "\[Element]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "...", ",", "K"}], "}"}], " ", "Needed", " ", 
            "for", " ", "evaluating", "  ", "the", " ", "transiant", "  ", 
            "fluid", " ", "density", " ", "for", " ", "the", " ", "case", 
            " ", "\"\<starting starting from  and ending between boundaries\>\
\""}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "SVab2ab", ",", "Psi", ",", "PsiHat", ",", "Ks", ",", "KsHat", ",", 
           "HsHat", ",", "Hs"}], "}"}], "=", 
         RowBox[{"CMPWF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", 
           "tempin", ",", "tempfin", ",", "s", ",", "\"\<PDF\>\""}], "]"}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{"SVab2ab", " ", "[", 
            RowBox[{"[", 
             RowBox[{"kn", ",", "km"}], "]"}], "]"}], " ", "===", " ", 
           RowBox[{"V", 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["T", 
                RowBox[{"k", ","}]], 
               SubscriptBox["T", "l"]}]}], ")"}], " ", "based", " ", "on", 
            " ", "kn"}]}], ",", 
          RowBox[{"km", " ", "values"}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"kn", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"FirstPosition", "[", 
            RowBox[{"Tfinite", ",", 
             RowBox[{"_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#", ">", " ", "tempin"}], " ", "&"}], ")"}]}]}], 
            "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"index", " ", "of", " ", "regime", " ", "of", " ", "k"}], 
          ",", " ", 
          RowBox[{"counted", " ", "from", " ", 
           SubscriptBox["T", "0"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"km", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"FirstPosition", "[", 
            RowBox[{"Tfinite", ",", 
             RowBox[{"_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#", ">", "tempfin"}], " ", "&"}], ")"}]}]}], "]"}], 
           "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"index", " ", "of", " ", "the", " ", "bounday"}], ",", " ", 
          RowBox[{"counted", " ", "from", " ", 
           SubscriptBox["T", "0"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"kmm", "=", "km"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"kn", "==", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
          RowBox[{"kn", "=", "K"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"km", "==", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\"\<NotFound\>\""}]}], ",", 
          RowBox[{
           RowBox[{"km", "=", 
            RowBox[{"K", "+", "1"}]}], ";", 
           RowBox[{"kmm", "=", "K"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Vsxx", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Uxred2Tkm1", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"UredTk2x", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Vsxyred", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"VsxyUNEW", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Ux2Tkm1New", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"CDFxy", "=", 
         RowBox[{"ConstantArray", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"Np", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nm", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "+", 
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"VsTkm1y", "=", 
         RowBox[{"SFBPWF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", 
           RowBox[{"Tfinite", "[", 
            RowBox[{"[", "kn", "]"}], "]"}], ",", "tempfin", ",", "s", ",", 
           "\"\<PDF\>\""}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ","}]], "y"}]}], ")"}]}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"VsTkm1x", "=", 
         RowBox[{"SFBPWF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", 
           RowBox[{"Tfinite", "[", 
            RowBox[{"[", "kn", "]"}], "]"}], ",", "tempin", ",", "s", ",", 
           "\"\<PDF\>\""}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ","}]], "x"}]}], ")"}]}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"VsTkx", "=", 
         RowBox[{"SFBPWF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", 
           RowBox[{"Tfinite", "[", 
            RowBox[{"[", 
             RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", "tempin", ",", "s", 
           ",", "\"\<PDF\>\""}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", ","}]], "x"}]}], ")"}]}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"VsxTkred", "=", 
         RowBox[{"G2BPWF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", 
           "tempin", ",", 
           RowBox[{"Tfinite", "[", 
            RowBox[{"[", 
             RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", "s", ",", 
           "\"\<PDF\>\""}], "]"}]}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", "x", ",", 
            SubscriptBox["T", "k"]}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"VsxTkm1red", "=", 
         RowBox[{"G2BPWF", "[", 
          RowBox[{
          "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
           "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
           "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
           "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", 
           "tempin", ",", 
           RowBox[{"Tfinite", "[", 
            RowBox[{"[", "kn", "]"}], "]"}], ",", "s", ",", "\"\<PDF\>\""}], 
          "]"}]}], ";", "  ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", "x", ",", 
            SubscriptBox["T", 
             RowBox[{"k", "-", "1"}]]}], ")"}]}], "*)"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"kn", "\[NotEqual]", " ", "km"}], ",", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", "-", "1"}]], "<", "x", "<", 
             SubscriptBox["T", "k"]}], " ", ",", " ", 
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"l", "-", "1"}]], "<", "y", "<", 
             SubscriptBox["T", "l"]}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"VsTky", "=", 
            RowBox[{"SFBPWF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", 
              RowBox[{"Tfinite", "[", 
               RowBox[{"[", 
                RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", "tempfin", ",", 
              "s", ",", "\"\<PDF\>\""}], "]"}]}], ";", " ", 
           RowBox[{"(*", 
            RowBox[{"V", 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["T", 
                 RowBox[{"k", ","}]], "y"}]}], ")"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", 
                RowBox[{"\[FilledSmallCircle]", "-"}]], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{"x", "-", 
                 SubscriptBox["T", 
                  RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", 
                RowBox[{"\[FilledSmallCircle]", "+"}]], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{"x", "-", 
                 SubscriptBox["T", 
                  RowBox[{"k", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Ux2Tkm1New", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Flatten", " ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"Ux2Tkm1New", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Flatten", " ", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], 
            "=", 
            RowBox[{"UNEW", "[", 
             RowBox[{
              RowBox[{"Psi", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"PsiHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"Hs", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"HsHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"Tfinite", "[", 
                RowBox[{"[", 
                 RowBox[{"kn", "+", "1"}], "]"}], "]"}], "-", 
               RowBox[{"Tfinite", "[", 
                RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
              RowBox[{"tempin", "-", 
               RowBox[{"Tfinite", "[", 
                RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{"V", 
               RowBox[{"(", 
                RowBox[{"s", ",", 
                 RowBox[{
                  SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Vsxyred", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  ";;"}], "]"}], "]"}], "=", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Ux2Tkm1New", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"VsTkm1y", " ", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                    "]"}]}], "+", 
                  RowBox[{
                   RowBox[{"Ux2Tkm1New", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                   RowBox[{"VsTky", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                    "]"}]}]}], ")"}], "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", 
                  RowBox[{"Range", "[", 
                   RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{
                RowBox[{
                 SubscriptBox["V", "\[FilledSmallCircle]0"], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", " ", 
                RowBox[{"if", " ", "available"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kmm", "]"}], "]"}], "\[NotEqual]", "  ", 
                 "0"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], "]"}]}], 
                    "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                    "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], 
              ";", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{
                RowBox[{
                 SubscriptBox["V", 
                  RowBox[{"0", "\[FilledSmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", " ", 
                RowBox[{"if", " ", "available"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}],
                 ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                    ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{";;", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kmm", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                   "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "Vsxyred", "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"CDFTkm1", "=", 
               RowBox[{"SFBPWF", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", 
                 "Tfinite", ",", 
                 RowBox[{"Tfinite", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", "tempfin", ",", "s", 
                 ",", "\"\<CDF\>\""}], "]"}]}], ";", " ", 
              RowBox[{"(*", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", 
                 RowBox[{"\[Tau]", "=", 
                  SubscriptBox["T", 
                   RowBox[{"l", "-", "1"}]]}], "y"], 
                RowBox[{
                 SubscriptBox["V", 
                  RowBox[{"-", "\[FilledSmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox[
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]], ","], "\[Tau]"}]}], ")"}], 
                 RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"CDFTk", "=", 
               RowBox[{"SFBPWF", "[", 
                RowBox[{
                "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
                 ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", 
                 ",", "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", 
                 ",", "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", 
                 "Tfinite", ",", 
                 RowBox[{"Tfinite", "[", 
                  RowBox[{"[", 
                   RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", "tempfin", 
                 ",", "s", ",", "\"\<CDF\>\""}], "]"}]}], ";", " ", 
              RowBox[{"(*", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", 
                 RowBox[{"\[Tau]", "=", 
                  SubscriptBox["T", 
                   RowBox[{"l", "-", "1"}]]}], "y"], 
                RowBox[{
                 SubscriptBox["V", 
                  RowBox[{"-", "\[FilledSmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox[
                    SubscriptBox["T", "k"], ","], "\[Tau]"}]}], ")"}], 
                 RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", 
                 RowBox[{"\[Tau]", "=", 
                  SubscriptBox["T", 
                   RowBox[{"l", "-", "1"}]]}], "y"], 
                RowBox[{
                 
                 SubscriptBox["V", 
                  "\[FilledSmallCircle]\[FilledSmallCircle]"], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{
                    SubscriptBox["x", ","], "\[Tau]"}]}], ")"}], 
                 RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"CDFxy", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Ux2Tkm1New", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"CDFTkm1", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                  "]"}]}], "+", 
                RowBox[{
                 RowBox[{"Ux2Tkm1New", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"CDFTk", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                  "]"}]}]}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "CDFxy", "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"kn", "\[Equal]", "km"}], ",", " ", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", "-", "1"}]], "<", "x"}], ",", 
            RowBox[{"y", "<", 
             SubscriptBox["T", "k"]}], ",", " ", 
            RowBox[{"we", " ", "have", " ", "three", " ", "cases"}], ",", " ", 
            RowBox[{"x", "=", "y"}], ",", 
            RowBox[{"x", "<", 
             RowBox[{"y", " ", "and", " ", "x"}], ">", "y"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SuperscriptBox[
              SubscriptBox["U", 
               RowBox[{"-", "+"}]], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"x", "-", 
                SubscriptBox["T", 
                 RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
            RowBox[{
             SuperscriptBox[
              SubscriptBox["U", "--"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"x", "-", 
                SubscriptBox["T", 
                 RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", 
            RowBox[{
             SuperscriptBox[
              SubscriptBox["U", "++"], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"x", "-", 
                SubscriptBox["T", 
                 RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
            RowBox[{
             SuperscriptBox[
              SubscriptBox["U", 
               RowBox[{"+", "-"}]], 
              RowBox[{"(", "k", ")"}]], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{"x", "-", 
                SubscriptBox["T", 
                 RowBox[{"k", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"Uxred2Tkm1", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], 
            "=", 
            RowBox[{"UAll", "[", 
             RowBox[{
              RowBox[{"Psi", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"PsiHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"Hs", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"HsHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"tempin", "-", 
               RowBox[{"Tfinite", "[", 
                RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", 
                RowBox[{"-", "+"}]], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", "k"], "-", "x"}]}], ")"}]}], ",", " ", 
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", "--"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", "k"], "-", "x"}]}], ")"}]}], ",", 
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", "++"], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", "k"], "-", "x"}]}], ")"}]}], ",", " ", 
             RowBox[{
              SuperscriptBox[
               SubscriptBox["U", 
                RowBox[{"+", "-"}]], 
               RowBox[{"(", "k", ")"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["T", "k"], "-", "x"}]}], ")"}]}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"UredTk2x", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"UredTk2x", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"UredTk2x", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"UredTk2x", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"Sp", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sm", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "}"}], 
            "=", 
            RowBox[{"UAll", "[", 
             RowBox[{
              RowBox[{"Psi", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"PsiHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"Hs", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{"HsHat", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"Tfinite", "[", 
                RowBox[{"[", 
                 RowBox[{"kn", "+", "1"}], "]"}], "]"}], "-", "tempin"}]}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
              SubscriptBox["T", 
               RowBox[{"k", "-", "1"}]], "<", "x"}], ",", 
             RowBox[{"y", "<", 
              SubscriptBox["T", "k"]}], ",", 
             RowBox[{"x", "=", "y"}]}], "*)"}], "  ", 
           RowBox[{"(*", 
            RowBox[{"V", 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["x", ","], "x"}]}], ")"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             SubscriptBox["V", "\[FilledSmallCircle]\[FilledSmallCircle]"], 
             RowBox[{"(", 
              RowBox[{"s", ",", 
               RowBox[{
                SubscriptBox["x", ","], "x"}]}], ")"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Vsxx", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sp", "[", 
                RowBox[{"[", "kn", "]"}], "]"}], ",", 
               RowBox[{"Flatten", " ", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
             "]"}], "=", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Inverse", "[", 
                RowBox[{
                 RowBox[{"IdentityMatrix", "[", 
                  RowBox[{"Np", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], "-", 
                 RowBox[{
                  RowBox[{"UredTk2x", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Uxred2Tkm1", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}]}], 
                "]"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"ArrayFlatten", "[", 
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RpInv", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"UredTk2x", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"RmInv", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "}"}], "}"}], "]"}], 
                 "+", 
                 RowBox[{
                  RowBox[{"UredTk2x", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Uxred2Tkm1", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"VsTkm1x", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"UredTk2x", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"VsTkx", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                   "]"}]}]}], ")"}]}], ")"}], "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"Range", "[", 
                RowBox[{"1", ",", 
                 RowBox[{
                  RowBox[{"Np", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "+", 
                  RowBox[{"Nm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Vsxx", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Sm", "[", 
                RowBox[{"[", "kn", "]"}], "]"}], ",", 
               RowBox[{"Flatten", " ", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sp", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", 
                  RowBox[{"Sm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
             "]"}], "=", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"ArrayFlatten", "[", 
                RowBox[{"{", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ConstantArray", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
                   RowBox[{"RmInv", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "}"}], "]"}], 
               "+", 
               RowBox[{
                RowBox[{"Uxred2Tkm1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                RowBox[{"Vsxx", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                 "]"}]}], "+", 
               RowBox[{
                RowBox[{"Uxred2Tkm1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                RowBox[{"VsTkm1x", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                   RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                 "]"}]}]}], ")"}], "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", 
               RowBox[{"Range", "[", 
                RowBox[{"1", ",", 
                 RowBox[{
                  RowBox[{"Np", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "+", 
                  RowBox[{"Nm", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              SubscriptBox["V", "\[FilledSmallCircle]0"], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "x"}]}], ")"}]}], ",", 
             RowBox[{
              SubscriptBox["V", 
               RowBox[{"0", "\[FilledSmallCircle]"}]], 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "x"}]}], ")"}]}], ",", "  ", 
             RowBox[{"if", " ", "available"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Nz", "[", 
               RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Vsxx", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sort", "[", 
                   RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                   "]"}], ",", 
                  RowBox[{"Sz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], "=", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Vsxx", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Inverse", "[", 
                   RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], 
                   "]"}]}], ")"}], "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Range", "[", 
                   RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                 "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Vsxx", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Sz", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], ",", 
                  RowBox[{"Sort", "[", 
                   RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                   "]"}]}], "]"}], "]"}], "=", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Inverse", "[", 
                   RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                  ".", 
                  RowBox[{
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                  RowBox[{"Vsxx", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                RowBox[{"[", 
                 RowBox[{";;", ",", 
                  RowBox[{"Range", "[", 
                   RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"tempin", "\[Equal]", "tempfin"}], " ", "&&", " ", 
              RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Return", "[", "Vsxx", "]"}], ";"}]}], " ", 
            RowBox[{"(*", " ", 
             RowBox[{"Return", " ", "V", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "x"}]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
           SubscriptBox["T", 
            RowBox[{"k", "-", "1"}]], "<", "x"}], ",", 
          RowBox[{"y", "<", 
           SubscriptBox["T", "k"]}], ",", 
          RowBox[{"x", "<", "y"}]}], "*)"}], "  ", 
        RowBox[{"(*", 
         RowBox[{"V", 
          RowBox[{"(", 
           RowBox[{"s", ",", 
            RowBox[{
             SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"tempin", "<", "tempfin"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Fsypo", ",", "Fsymo"}], "}"}], "=", 
               RowBox[{"FAll", "[", 
                RowBox[{
                 RowBox[{"Psi", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"PsiHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Ks", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"KsHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RpInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RmInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Tfinite", "[", 
                   RowBox[{"[", 
                    RowBox[{"kn", "+", "1"}], "]"}], "]"}], "-", "tempin"}], 
                 ",", 
                 RowBox[{"tempfin", "-", "tempin"}]}], "]"}]}], ";", " ", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                 SuperscriptBox[
                  SubscriptBox["F", 
                   RowBox[{"+", "\[FilledSmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"k", ",", 
                    RowBox[{
                    SubscriptBox["T", "k"], "-", "x"}]}], ")"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{"y", "-", "x"}]}], ")"}]}], ",", " ", 
                RowBox[{
                 SuperscriptBox[
                  SubscriptBox[
                   OverscriptBox["F", "^"], 
                   RowBox[{"-", "\[FilledSmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"k", ",", 
                    RowBox[{
                    SubscriptBox["T", "k"], "-", "x"}]}], ")"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{"y", "-", "x"}]}], ")"}]}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Vsxyred", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Vsxx", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RpInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", "Fsypo"}], 
                "+", 
                RowBox[{
                 RowBox[{"VsxTkred", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RmInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", "Fsymo"}]}]}],
               ";", " ", 
              RowBox[{"(*", " ", 
               RowBox[{
                SubscriptBox["V", "\[FilledSmallCircle]\[FilledSmallCircle]"], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{
                   SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}],
                 ",", " ", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{
                   SubscriptBox["V", "\[FilledSmallCircle]0"], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", 
                  RowBox[{
                   SubscriptBox["V", 
                    RowBox[{"0", "\[FilledSmallCircle]"}]], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", "  ", 
                  RowBox[{"if", " ", "available"}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], 
                    "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                    "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                    ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{";;", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                   "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "Vsxyred", "]"}], ";"}]}], " ", 
            RowBox[{"(*", " ", 
             RowBox[{"Return", " ", "V", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"FCDFsy", "=", 
               RowBox[{"FCDFAll", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Dimensions", "[", 
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", 
                   RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", 
                 RowBox[{"Psi", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"PsiHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Ks", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"KsHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RpInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RmInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Tfinite", "[", 
                   RowBox[{"[", 
                    RowBox[{"kn", "+", "1"}], "]"}], "]"}], "-", "tempin"}], 
                 ",", 
                 RowBox[{"tempfin", "-", "tempin"}]}], "]"}]}], ";", "  ", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                 SuperscriptBox[
                  SubscriptBox["C", 
                   RowBox[{"+", "\[FilledSmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"k", ",", 
                    RowBox[{
                    SubscriptBox["T", "k"], "-", "x"}]}], ")"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{"y", "-", "x"}]}], ")"}]}], ",", " ", 
                RowBox[{
                 SuperscriptBox[
                  SubscriptBox[
                   OverscriptBox["C", "^"], 
                   RowBox[{"-", "\[FilledSmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"k", ",", 
                    RowBox[{
                    SubscriptBox["T", "k"], "-", "x"}]}], ")"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{"y", "-", "x"}]}], ")"}]}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"CDF", " ", "for", " ", "the", "  ", "case", " ", 
                  SubscriptBox["T", 
                   RowBox[{"k", "-", "1"}]]}], "<", "x"}], ",", 
                RowBox[{"y", "<", 
                 SubscriptBox["T", "k"]}], ",", 
                RowBox[{"x", "<", "y"}]}], " ", "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"CDFxy", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Vsxx", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RpInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", 
                 RowBox[{"FCDFsy", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                  "]"}]}], "+", 
                RowBox[{
                 RowBox[{"VsxTkred", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RmInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", 
                 RowBox[{"FCDFsy", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                  "]"}]}]}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "CDFxy", "]"}], ";"}]}], 
            "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"tempin", ">", "tempfin"}], ",", " ", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
             SubscriptBox["T", 
              RowBox[{"k", "-", "1"}]], "<", "x"}], ",", 
            RowBox[{"y", "<", 
             SubscriptBox["T", "k"]}], ",", 
            RowBox[{"y", "<", "x"}]}], "*)"}], "  ", 
          RowBox[{"(*", 
           RowBox[{"V", 
            RowBox[{"(", 
             RowBox[{"s", ",", 
              RowBox[{
               SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<PDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
                SuperscriptBox[
                 SubscriptBox["F", 
                  RowBox[{"+", "\[FilledSmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"k", ",", 
                   RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{"y", "-", 
                   SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
               RowBox[{
                SuperscriptBox[
                 SubscriptBox[
                  OverscriptBox["F", "^"], 
                  RowBox[{"-", "\[FilledSmallCircle]"}]], 
                 RowBox[{"(", 
                  RowBox[{"k", ",", 
                   RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{"y", "-", 
                   SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Fsypo", ",", "Fsymo"}], "}"}], "=", 
               RowBox[{"FAll", "[", 
                RowBox[{
                 RowBox[{"Psi", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"PsiHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Ks", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"KsHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RpInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RmInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"tempin", "-", 
                  RowBox[{"Tfinite", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
                 RowBox[{"tempfin", "-", 
                  RowBox[{"Tfinite", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                SubscriptBox["V", "\[FilledSmallCircle]\[FilledSmallCircle]"], 
                RowBox[{"(", 
                 RowBox[{"s", ",", 
                  RowBox[{
                   SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Vsxyred", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Vsxx", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RmInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", "Fsymo"}], 
                "+", 
                RowBox[{
                 RowBox[{"VsxTkm1red", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RpInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", "Fsypo"}]}]}],
               ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Nz", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], "\[NotEqual]", "  ", "0"}],
                 ",", "  ", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{
                   SubscriptBox["V", "\[FilledSmallCircle]0"], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", 
                  RowBox[{
                   SubscriptBox["V", 
                    RowBox[{"0", "\[FilledSmallCircle]"}]], 
                   RowBox[{"(", 
                    RowBox[{"s", ",", 
                    RowBox[{
                    SubscriptBox["x", ","], "y"}]}], ")"}]}], ",", "  ", 
                  RowBox[{"if", " ", "available"}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], 
                    "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}], ",", ";;"}], 
                    "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Vsxyred", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"s", " ", 
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Nz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], 
                    ".", 
                    RowBox[{
                    RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sz", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}], ".", 
                    RowBox[{"Vsxyred", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}], ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], ",", "Less"}], 
                    "]"}]}], "]"}], "]"}]}], ")"}], "[", 
                   RowBox[{"[", 
                    RowBox[{";;", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"Np", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "+", 
                    RowBox[{"Nm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], "]"}], 
                   "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "Vsxyred", "]"}], ";"}]}], " ", 
            RowBox[{"(*", " ", 
             RowBox[{"Return", " ", "V", 
              RowBox[{"(", 
               RowBox[{"s", ",", 
                RowBox[{
                 SubscriptBox["x", ","], "y"}]}], ")"}]}], "*)"}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Res", "\[Equal]", "\"\<CDF\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"FCDFsy", "=", 
               RowBox[{"FCDFAll", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Dimensions", "[", 
                   RowBox[{"Q", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"Sup", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Sdown", "[", 
                  RowBox[{"[", 
                   RowBox[{"kn", "+", "1"}], "]"}], "]"}], ",", 
                 RowBox[{"Psi", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"PsiHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"Ks", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"KsHat", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RpInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"RmInv", "[", 
                  RowBox[{"[", "kn", "]"}], "]"}], ",", 
                 RowBox[{"tempin", "-", 
                  RowBox[{"Tfinite", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}], ",", 
                 RowBox[{"tempfin", "-", 
                  RowBox[{"Tfinite", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}]}]}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                 SuperscriptBox[
                  SubscriptBox["C", 
                   RowBox[{"+", "\[FilledSmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"k", ",", 
                    RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{"y", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]}], ",", " ", 
                RowBox[{
                 SuperscriptBox[
                  SubscriptBox[
                   OverscriptBox["C", "^"], 
                   RowBox[{"-", "\[FilledSmallCircle]"}]], 
                  RowBox[{"(", 
                   RowBox[{"k", ",", 
                    RowBox[{"x", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]], 
                 RowBox[{"(", 
                  RowBox[{"s", ",", 
                   RowBox[{"y", "-", 
                    SubscriptBox["T", 
                    RowBox[{"k", "-", "1"}]]}]}], ")"}]}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"CDF", " ", "for", " ", "the", "  ", "case", " ", 
                  SubscriptBox["T", 
                   RowBox[{"k", "-", "1"}]]}], "<", "x"}], ",", 
                RowBox[{"y", "<", 
                 SubscriptBox["T", "k"]}], ",", 
                RowBox[{"y", "<", "x"}]}], " ", "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"CDFxy", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"Flatten", " ", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                "]"}], "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Vsxx", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RmInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", 
                 RowBox[{"FCDFsy", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                  "]"}]}], "+", 
                RowBox[{
                 RowBox[{"VsxTkm1red", " ", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Flatten", " ", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", 
                    RowBox[{"Sm", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}]}], "]"}], "]"}], ".", 
                 RowBox[{"Inverse", "[", 
                  RowBox[{"RpInv", "[", 
                   RowBox[{"[", "kn", "]"}], "]"}], "]"}], ".", 
                 RowBox[{"FCDFsy", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Sp", "[", 
                    RowBox[{"[", "kn", "]"}], "]"}], ",", ";;"}], "]"}], 
                  "]"}]}]}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "CDFxy", "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.78318028555481*^9, 3.7831803379405994`*^9}, 
   3.7831803860010595`*^9, {3.7831804412372694`*^9, 3.7831805064038825`*^9}, {
   3.7831808929107895`*^9, 3.7831808942083645`*^9}, {3.7831809941060486`*^9, 
   3.783180996547512*^9}, {3.7831810437751613`*^9, 3.7831811429049463`*^9}, {
   3.783181223344114*^9, 3.783181241724893*^9}, {3.7831812897299724`*^9, 
   3.783181290789138*^9}, {3.7831814316195955`*^9, 3.7831814393598547`*^9}, {
   3.7831833933236327`*^9, 3.7831834364682136`*^9}, {3.783185301256265*^9, 
   3.783185318395431*^9}, {3.783185361066245*^9, 3.783185490424644*^9}, {
   3.783185733987996*^9, 3.783185756383246*^9}, {3.7831858093325815`*^9, 
   3.7831858138724833`*^9}, 3.783185883143669*^9, 3.783185963454754*^9, {
   3.7831860391193166`*^9, 3.78318613807157*^9}, 3.7831861755213737`*^9, {
   3.7831873049186163`*^9, 3.783187440324338*^9}, {3.7831880094481287`*^9, 
   3.7831881096619825`*^9}, {3.7831881449350386`*^9, 
   3.7831881483648605`*^9}, {3.78318820807913*^9, 3.7831882112655773`*^9}, {
   3.7831882799756017`*^9, 3.783188280085266*^9}, {3.7831885275809927`*^9, 
   3.7831885751403613`*^9}, {3.7831886179094763`*^9, 3.783188627546661*^9}, {
   3.7831888355252056`*^9, 3.7831889445704246`*^9}, {3.7831889943068714`*^9, 
   3.7831890136521115`*^9}, {3.783189132330594*^9, 3.7831892244970036`*^9}, {
   3.7831892755703554`*^9, 3.7831892952756367`*^9}, {3.7831893467947984`*^9, 
   3.7831893639220057`*^9}, {3.783189425998934*^9, 3.7831894371191373`*^9}, {
   3.7831894800403013`*^9, 3.7831894844694724`*^9}, {3.7831895173614483`*^9, 
   3.783189525154601*^9}, {3.7831895629574614`*^9, 3.7831896402217736`*^9}, {
   3.783189733878441*^9, 3.783189744810198*^9}, 3.783189842628431*^9, {
   3.7831899755098686`*^9, 3.783189976657797*^9}, {3.783190011154542*^9, 
   3.783190019542198*^9}, {3.783190217418767*^9, 3.783190268842186*^9}, {
   3.7831903487056446`*^9, 3.7831903516996326`*^9}, 3.7831904486362834`*^9, {
   3.7831904991721253`*^9, 3.783190519314234*^9}, 3.783190569475978*^9, {
   3.7831906062406473`*^9, 3.7831906466165876`*^9}, {3.7831906773284206`*^9, 
   3.783190798769543*^9}, {3.7832467724820194`*^9, 3.7832467846673884`*^9}, {
   3.783427448758055*^9, 3.783427506352962*^9}, {3.7844598584171047`*^9, 
   3.784459884657895*^9}, {3.784459926380267*^9, 3.784459928183487*^9}, {
   3.7844599920126715`*^9, 3.784460119187496*^9}, {3.7844601545509305`*^9, 
   3.7844602737070856`*^9}, {3.7844606740060945`*^9, 
   3.7844607011604385`*^9}, {3.784460740728577*^9, 3.784460743580945*^9}, {
   3.784460791502735*^9, 3.784460868832837*^9}, {3.784460926212363*^9, 
   3.784460947928217*^9}, {3.7844610027934732`*^9, 3.784461031661392*^9}, {
   3.784461091794467*^9, 3.784461112348486*^9}, {3.78446145947375*^9, 
   3.784461459732098*^9}, {3.784461490425938*^9, 3.784461695561138*^9}, {
   3.784461772133271*^9, 3.7844618316121345`*^9}, {3.784461863142743*^9, 
   3.784461927893504*^9}, {3.784461994813507*^9, 3.7844620359523945`*^9}, {
   3.7844621481791754`*^9, 3.784462208349151*^9}, {3.784462246454245*^9, 
   3.7844623899852448`*^9}, {3.784462420192418*^9, 3.784462472442623*^9}, {
   3.784462585720549*^9, 3.7844626305386367`*^9}, {3.7844628134731855`*^9, 
   3.784462896299589*^9}, {3.7844629503194776`*^9, 3.78446300429208*^9}, {
   3.784463044363864*^9, 3.7844631055322247`*^9}, {3.7844631488692684`*^9, 
   3.7844632139990206`*^9}, {3.784470695833564*^9, 3.7844707366413403`*^9}, {
   3.7844708573673763`*^9, 3.784470860529879*^9}, {3.784470960891412*^9, 
   3.7844709811611843`*^9}, {3.784471346626294*^9, 3.7844713566794434`*^9}, {
   3.7844714591537437`*^9, 3.7844714632169228`*^9}, {3.784471555996893*^9, 
   3.784471592229993*^9}, {3.78447196379276*^9, 3.784472025733087*^9}, {
   3.785335405042945*^9, 3.7853354713567314`*^9}, {3.785335535786787*^9, 
   3.7853355382006474`*^9}, {3.78533571194743*^9, 3.7853357497572813`*^9}, {
   3.785336023783286*^9, 3.7853360264235153`*^9}, {3.785355684465459*^9, 
   3.7853557385656505`*^9}, {3.7853557910951557`*^9, 3.785355810034004*^9}, {
   3.7853560508932347`*^9, 3.7853560614778566`*^9}, {3.785356242283243*^9, 
   3.7853562703562517`*^9}, {3.785402088262686*^9, 3.785402101215339*^9}, {
   3.7854023097525587`*^9, 3.7854023569432955`*^9}, {3.7854028765261707`*^9, 
   3.7854028769629974`*^9}, {3.7854030248178897`*^9, 3.7854030259208965`*^9}, 
   3.7854030697230434`*^9, {3.785403116915538*^9, 3.7854031562839775`*^9}, {
   3.7854031993428335`*^9, 3.7854032745520153`*^9}, {3.785403381144946*^9, 
   3.785403389294793*^9}, {3.785403513595463*^9, 3.78540359549704*^9}, {
   3.7854037564875135`*^9, 3.785403789270423*^9}, {3.7854038412877893`*^9, 
   3.7854038524812856`*^9}, {3.7854039252255154`*^9, 3.785403960810792*^9}, {
   3.785404062924773*^9, 3.7854040807623158`*^9}, 3.7854041157923555`*^9, {
   3.7854049949206953`*^9, 3.785404995103207*^9}, {3.7854051130584116`*^9, 
   3.7854051520587287`*^9}, {3.785405188590105*^9, 3.7854051934793205`*^9}, {
   3.785405276320922*^9, 3.785405278312801*^9}, 3.7854053652941523`*^9, 
   3.7854054634414935`*^9, 3.785405647752536*^9, {3.785405802843746*^9, 
   3.785405869982671*^9}, 3.785406070617902*^9, {3.7854061067720146`*^9, 
   3.7854061100888295`*^9}, {3.7854063375888577`*^9, 3.785406343364894*^9}, {
   3.7854063902444544`*^9, 3.7854064034191275`*^9}, 3.7854064418702483`*^9, 
   3.7854065591187334`*^9, {3.785406985681816*^9, 3.785407009948358*^9}, {
   3.7854071095208693`*^9, 3.785407145664009*^9}, {3.785407573361028*^9, 
   3.785407624051366*^9}, 3.78540768029883*^9, {3.7854077326357746`*^9, 
   3.7854077577076807`*^9}, {3.785407799418047*^9, 3.785407869125501*^9}, {
   3.785407957364309*^9, 3.78540799278755*^9}, {3.7854086794238815`*^9, 
   3.785408699612856*^9}, {3.785438074053286*^9, 3.7854381767227573`*^9}, {
   3.7854383224179263`*^9, 3.7854383270928974`*^9}, 3.785438421049305*^9, 
   3.785438609493002*^9, {3.7854386441708717`*^9, 3.785438654749479*^9}, {
   3.785438728494138*^9, 3.785438796744766*^9}, {3.785438900656845*^9, 
   3.7854389092662215`*^9}, 3.7854390040720887`*^9, {3.785439062545212*^9, 
   3.785439064066669*^9}, 3.7854391266438255`*^9, {3.7854391786073656`*^9, 
   3.785439185916994*^9}, 3.7854392221516356`*^9, {3.785439726118287*^9, 
   3.7854397275242085`*^9}, {3.7854397747806654`*^9, 3.7854399540197625`*^9}, 
   3.785439984153879*^9, {3.78549183720481*^9, 3.7854918469537635`*^9}, {
   3.7854920529212837`*^9, 3.7854920672708826`*^9}, {3.7854922193221645`*^9, 
   3.7854922199414587`*^9}, {3.785492263284464*^9, 3.7854922786563244`*^9}, {
   3.7854926329890795`*^9, 3.7854926357805824`*^9}, {3.785492688030792*^9, 
   3.7854927264429445`*^9}, {3.78549276411353*^9, 3.7854927978652043`*^9}, {
   3.785492876803812*^9, 3.7854928843416386`*^9}, {3.7854929189320908`*^9, 
   3.785493005567246*^9}, 3.7854931983413043`*^9, {3.785493296705105*^9, 
   3.7854933295541477`*^9}, {3.785494194106128*^9, 3.785494223623087*^9}, {
   3.7854945359072256`*^9, 3.7854945389620614`*^9}, {3.7854970727519207`*^9, 
   3.78549720339433*^9}, {3.785497242625343*^9, 3.785497248015913*^9}, {
   3.7854973329147034`*^9, 3.785497364309642*^9}, {3.785500863129659*^9, 
   3.785500865849347*^9}, {3.785500900274263*^9, 3.785500906174473*^9}, {
   3.7855009707416306`*^9, 3.7855010037333384`*^9}, {3.785501045456674*^9, 
   3.7855010514067965`*^9}, {3.7855013469857607`*^9, 3.785501354980348*^9}, {
   3.785501407194612*^9, 3.7855014120994573`*^9}, {3.7860313936620026`*^9, 
   3.786031428671147*^9}, 3.7862795761394553`*^9, {3.786288756269376*^9, 
   3.78628876141162*^9}, 3.7862888493842974`*^9, {3.786289383589282*^9, 
   3.7862893958783455`*^9}, {3.7862941186201115`*^9, 3.786294123337475*^9}, {
   3.786294159145089*^9, 3.7862941914729495`*^9}, {3.7862942657977376`*^9, 
   3.7862945591788673`*^9}, {3.7862946327360706`*^9, 3.786294757596344*^9}, {
   3.786294791542413*^9, 3.7862948215926332`*^9}, {3.7862948962983856`*^9, 
   3.786295140796071*^9}, {3.786295182128004*^9, 3.78629533980542*^9}, {
   3.7862953710270615`*^9, 3.786295588731995*^9}, {3.786296522905588*^9, 
   3.786296533650528*^9}, {3.7862966136324415`*^9, 3.7862966153477316`*^9}, {
   3.786296720854762*^9, 3.786296722797488*^9}, {3.786297215425604*^9, 
   3.7862972249863667`*^9}, {3.786297293713087*^9, 3.7862973016782455`*^9}, {
   3.7862986708909883`*^9, 3.7862986724563475`*^9}, {3.7862987787489443`*^9, 
   3.7862987828810997`*^9}, {3.7862989303607416`*^9, 
   3.7862989304903936`*^9}, {3.786299055314046*^9, 3.7862990578174706`*^9}, {
   3.7862991524698544`*^9, 3.7862991525695558`*^9}, {3.7862992052943726`*^9, 
   3.786299205376086*^9}, {3.7862992809635324`*^9, 3.786299283778801*^9}, {
   3.7863492907873335`*^9, 3.786349302423194*^9}, {3.786349360853177*^9, 
   3.786349369379365*^9}, {3.786349443289405*^9, 3.78634945419421*^9}, {
   3.78634981157941*^9, 3.7863498240829377`*^9}, {3.786349970813178*^9, 
   3.7863499972702017`*^9}, {3.7863511247566423`*^9, 3.786351146413224*^9}, {
   3.786351856891218*^9, 3.786351881431534*^9}, {3.7863521964335265`*^9, 
   3.7863522022340016`*^9}, {3.7863522456887045`*^9, 3.786352252650077*^9}, {
   3.7863545380785103`*^9, 3.786354630905075*^9}, {3.7863546951046133`*^9, 
   3.7863547010077934`*^9}, {3.7863547507616787`*^9, 
   3.7863547722152615`*^9}, {3.786354821225754*^9, 3.786354858763302*^9}, {
   3.786354986966326*^9, 3.7863550542622175`*^9}, {3.7863552580107045`*^9, 
   3.7863552825829425`*^9}, {3.786355361254936*^9, 3.7863553736028805`*^9}, {
   3.7863556059289813`*^9, 3.786355613950513*^9}, {3.78635566278041*^9, 
   3.786355664880782*^9}, {3.7863558229627295`*^9, 3.7863558242821856`*^9}, {
   3.7863559582306757`*^9, 3.786355959310754*^9}, {3.786356299982514*^9, 
   3.7863563028618107`*^9}, {3.786356360246237*^9, 3.7863563620174923`*^9}, {
   3.7863564174591303`*^9, 3.786356420678477*^9}, {3.7863613122085557`*^9, 
   3.7863613172787123`*^9}, {3.786361393207981*^9, 3.786361425693282*^9}, {
   3.786378084858532*^9, 3.786378099581092*^9}, {3.786378232052734*^9, 
   3.786378238438613*^9}, 3.7865338667207294`*^9, {3.7865343052819085`*^9, 
   3.7865343089271593`*^9}, {3.7865343676836886`*^9, 3.786534373604889*^9}, {
   3.786535584387744*^9, 3.7865355907277746`*^9}, {3.7865356691913395`*^9, 
   3.786535669288083*^9}, {3.786535718043688*^9, 3.786535722620486*^9}, {
   3.786535778793815*^9, 3.7865357789114833`*^9}, {3.7865366507780533`*^9, 
   3.7865367001070256`*^9}, 3.78653704140209*^9, {3.786537183718815*^9, 
   3.786537195193153*^9}, {3.7865511866602297`*^9, 3.786551192141244*^9}, {
   3.786551239096855*^9, 3.786551242185438*^9}, {3.7865513070898795`*^9, 
   3.786551313702112*^9}, {3.786551375145247*^9, 3.7865514068939447`*^9}, {
   3.7865514423594494`*^9, 3.7865514693330207`*^9}, {3.786551512290428*^9, 
   3.7865515239195623`*^9}, {3.7865515964257393`*^9, 
   3.7865516008980074`*^9}, {3.786551675642714*^9, 3.786551679945892*^9}, {
   3.7865522685480547`*^9, 3.78655231369773*^9}, {3.786552358072673*^9, 
   3.78655236585603*^9}, {3.7865525499451103`*^9, 3.786552553452175*^9}, {
   3.786552714863659*^9, 3.7865527200236263`*^9}, 3.7879027943068*^9, {
   3.7879028674325457`*^9, 3.7879028727782483`*^9}, {3.788692151920101*^9, 
   3.788692267845153*^9}, {3.7886925793700914`*^9, 3.788692587297863*^9}, 
   3.789454357966214*^9, {3.7894593196522293`*^9, 3.7894593197160583`*^9}, {
   3.7898073015555*^9, 3.789807304391073*^9}, {3.7898074841727123`*^9, 
   3.789807490367462*^9}, 3.7898878126016173`*^9, {3.7898880785359287`*^9, 
   3.7898881021568146`*^9}, {3.7898881731058283`*^9, 3.789888290097329*^9}, {
   3.7898883681403627`*^9, 3.789888461113697*^9}, {3.789888494999124*^9, 
   3.789888499677574*^9}, {3.789888548610722*^9, 3.789888574328949*^9}, {
   3.7898887603894024`*^9, 3.789888834404484*^9}, {3.7898889089851894`*^9, 
   3.789888916750425*^9}, {3.7898890443313026`*^9, 3.7898890795530753`*^9}, {
   3.78988912705505*^9, 3.789889151005006*^9}, {3.7898892075178847`*^9, 
   3.789889229656369*^9}, {3.789889271749452*^9, 3.789889301414159*^9}, {
   3.7898893397937465`*^9, 3.789889413185935*^9}, {3.789889480197692*^9, 
   3.789889488514496*^9}, {3.789889565193446*^9, 3.7898896164264064`*^9}, {
   3.789889956175883*^9, 3.7898900263113737`*^9}, 3.7898901142332225`*^9, {
   3.7898901681989126`*^9, 3.7898902211493187`*^9}, {3.7898902815119033`*^9, 
   3.789890382706299*^9}, {3.7898908769435043`*^9, 3.7898908807991934`*^9}, 
   3.7898916379062805`*^9, {3.789892031642915*^9, 3.789892155297814*^9}, {
   3.789892370479535*^9, 3.7898923723585052`*^9}, {3.78989266716323*^9, 
   3.7898926770357847`*^9}, 3.789892780013444*^9, {3.789892914583614*^9, 
   3.789892916477563*^9}, {3.7898929568765182`*^9, 3.7898929617145495`*^9}, {
   3.789893052282403*^9, 3.789893116849704*^9}, {3.7898935217171974`*^9, 
   3.789893524599494*^9}, {3.789894132052107*^9, 3.78989415780225*^9}, {
   3.789894283844202*^9, 3.789894285503764*^9}, 3.789896888473881*^9, {
   3.7898969244277377`*^9, 3.7898969849618635`*^9}, {3.7898970199602737`*^9, 
   3.7898970717298365`*^9}, 3.789897116178975*^9, 3.789897157720888*^9, {
   3.789897194046787*^9, 3.789897220434227*^9}, {3.789897255109461*^9, 
   3.7898972881810226`*^9}, {3.789897375085816*^9, 3.7898973754109464`*^9}, {
   3.7898974261709003`*^9, 3.7898974325528173`*^9}, {3.789909719323619*^9, 
   3.7899097240828915`*^9}, {3.7899098312624683`*^9, 3.789909952381256*^9}, {
   3.7899099916888647`*^9, 3.7899100131448812`*^9}, 3.789910173694663*^9, 
   3.789910834645074*^9, {3.78991086940808*^9, 3.789910872508793*^9}, 
   3.7899110074130793`*^9, 3.789911194265418*^9, 3.7899112684395247`*^9, {
   3.789911373180543*^9, 3.7899113929366965`*^9}, {3.789911459205453*^9, 
   3.7899114646189814`*^9}, {3.789911626951913*^9, 3.789911658977282*^9}, 
   3.789911790901429*^9, {3.7899849543832445`*^9, 3.7899849639507875`*^9}, {
   3.7899863017261305`*^9, 3.7899863019875975`*^9}, {3.789986455630739*^9, 
   3.7899864558841076`*^9}, {3.7899872202801056`*^9, 
   3.7899872217067833`*^9}, {3.7899873412882*^9, 3.7899873679465866`*^9}, 
   3.7899874655011215`*^9, {3.7899885686102457`*^9, 3.7899885761467333`*^9}, {
   3.7899887476964116`*^9, 3.789988803206232*^9}, 3.7899888563727283`*^9, {
   3.7899889527209916`*^9, 3.789989010814745*^9}, {3.789989767941083*^9, 
   3.789989820688978*^9}, {3.789989887635706*^9, 3.7899898911038184`*^9}, {
   3.7899900848531995`*^9, 3.789990085036462*^9}, {3.789990163607357*^9, 
   3.78999016377287*^9}, {3.7899903503115697`*^9, 3.7899903654924*^9}, {
   3.7899910112076054`*^9, 3.7899910585919523`*^9}, {3.789991213333712*^9, 
   3.789991245059704*^9}, 3.7899912874620166`*^9, {3.790070874137727*^9, 
   3.7900709322238445`*^9}, {3.790071065486176*^9, 3.7900710753034105`*^9}, {
   3.79007111807873*^9, 3.7900711252808514`*^9}, {3.790071185435494*^9, 
   3.7900711997837887`*^9}, {3.790071412836402*^9, 3.790071413180483*^9}, 
   3.7900715426866317`*^9, 3.7900717047061014`*^9, 3.7900720795016127`*^9, {
   3.7900724402652597`*^9, 3.790072479647072*^9}, {3.790072590688718*^9, 
   3.7900726059253063`*^9}, {3.7900731663489237`*^9, 3.790073166796358*^9}, {
   3.7900732071585827`*^9, 3.7900732646159277`*^9}, {3.7900733441463118`*^9, 
   3.790073545912406*^9}, {3.7900735848742466`*^9, 3.7900735914650726`*^9}, {
   3.790076037057921*^9, 3.790076140978321*^9}, {3.7900762430009766`*^9, 
   3.7900762449429855`*^9}, {3.790076295131523*^9, 3.7900764124050875`*^9}, {
   3.7900765539141564`*^9, 3.790076590781619*^9}, {3.790076627874837*^9, 
   3.790076685261301*^9}, {3.7900836671252203`*^9, 3.7900837753478546`*^9}, {
   3.7903277938654327`*^9, 3.7903278067783775`*^9}, {3.790327837815653*^9, 
   3.7903278745806427`*^9}, {3.790327938584696*^9, 3.790327941285302*^9}, {
   3.790331154873947*^9, 3.7903312516749907`*^9}, {3.7903318744996586`*^9, 
   3.790331881574748*^9}, 3.7903342213772244`*^9, 3.790334325481844*^9, {
   3.790334464158147*^9, 3.7903344744865723`*^9}, 3.79041331518824*^9, {
   3.7904133492435627`*^9, 3.790413358054871*^9}, {3.790413443640888*^9, 
   3.790413485922451*^9}, {3.79041352360469*^9, 3.790413642271328*^9}, {
   3.7904156341107473`*^9, 3.7904156401099396`*^9}, 3.790417009088228*^9, {
   3.7904172717097692`*^9, 3.790417289130291*^9}, 3.7904175289809475`*^9, {
   3.7904176497792535`*^9, 3.790417654009519*^9}, {3.7904891943743577`*^9, 
   3.790489269777855*^9}, {3.7904893931639724`*^9, 3.7904894311313343`*^9}, 
   3.7904897790092497`*^9, {3.79048984738175*^9, 3.7904898588500786`*^9}, {
   3.790490280647171*^9, 3.7904903013026657`*^9}, {3.790682048272333*^9, 
   3.7906820938236356`*^9}, {3.7912841457704015`*^9, 3.7912842055584993`*^9}, 
   3.791285083983882*^9, {3.79154552488171*^9, 3.7915455269830446`*^9}, {
   3.791549121524624*^9, 3.791549122799678*^9}, {3.791549162418782*^9, 
   3.79154924928187*^9}, {3.7915492945228214`*^9, 3.7915493216591005`*^9}, {
   3.7915493524632835`*^9, 3.791549367048098*^9}, {3.7915494109360905`*^9, 
   3.791549511944968*^9}, {3.7915495793262177`*^9, 3.7915496120828986`*^9}, {
   3.7915496521817427`*^9, 3.7915496528007336`*^9}, {3.7915497165491133`*^9, 
   3.791549737396067*^9}, {3.7917035492400274`*^9, 3.7917036162253666`*^9}, {
   3.7917036811048374`*^9, 3.7917037000048037`*^9}, 3.7917037313651714`*^9, {
   3.791703762236699*^9, 3.791703771084448*^9}, {3.79170380621801*^9, 
   3.791703905326226*^9}, {3.7917040664458165`*^9, 3.7917041263975*^9}, {
   3.791704188989696*^9, 3.7917041944526253`*^9}, {3.7917042314538326`*^9, 
   3.7917042687161627`*^9}, {3.7917043549302206`*^9, 
   3.7917046521767864`*^9}, {3.7917049106255674`*^9, 
   3.7917050225190277`*^9}, {3.7917050747417536`*^9, 3.791705109287551*^9}, {
   3.791705205090973*^9, 3.7917054191634626`*^9}, {3.7917054718068123`*^9, 
   3.791705507175536*^9}, {3.7917055584163694`*^9, 3.7917055889542503`*^9}, {
   3.791828168336616*^9, 3.7918281757411366`*^9}, {3.7918282127634964`*^9, 
   3.791828238315215*^9}, {3.791828295489349*^9, 3.7918284391779947`*^9}, {
   3.791831374797982*^9, 3.7918314201083813`*^9}, {3.791921660539193*^9, 
   3.791921670290151*^9}, {3.791921719378899*^9, 3.7919217209995675`*^9}, 
   3.7919260943660736`*^9, {3.807633789306388*^9, 3.807633808991225*^9}, {
   3.807687200926488*^9, 3.807687244610405*^9}, {3.8076875025542407`*^9, 
   3.807687547364957*^9}, {3.807687611133964*^9, 3.8076876609444914`*^9}, {
   3.807687758652536*^9, 3.8076877724417315`*^9}, {3.8076894859072094`*^9, 
   3.8076895182176323`*^9}, {3.8076897461101046`*^9, 3.807689766678364*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"20dec904-c2f1-4c5c-946e-dfa874565e45"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", 
    RowBox[{"==", " ", 
     RowBox[{"Nail", "-", "Gabor", "-", "ME", "-", 
      RowBox[{"fiction", " ", "example", " ", "description"}]}]}], " ", "===", 
    RowBox[{"\[Equal]", 
     RowBox[{"===", "===", "\[Equal]"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Tfinite", "=", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "100."}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"K", " ", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"KTilda", "=", 
     RowBox[{"K", "+", "1"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QTilda", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "KTilda"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"RTilda", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "KTilda"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "K"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "K"}], "]"}]}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"Q", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{"Import", "[", 
       RowBox[{"FileNameJoin", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"NotebookDirectory", "[", "]"}], ",", 
          "\"\<fluidtrans/Q.mat\>\""}], "}"}], "]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"R", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{"Import", "[", 
       RowBox[{"FileNameJoin", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"NotebookDirectory", "[", "]"}], ",", 
          "\"\<fluidtrans/R.mat\>\""}], "}"}], "]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pisource", "=", 
     RowBox[{
      RowBox[{"Import", "[", 
       RowBox[{"FileNameJoin", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"NotebookDirectory", "[", "]"}], ",", 
          "\"\<fluidtrans/pi0.mat\>\""}], "}"}], "]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"onesum", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"1", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Dimensions", "[", 
           RowBox[{"Q", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "}"}]}], "]"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", "Np", ",", 
       "Nm", ",", "Nz", ",", "NpTilda", ",", "NmTilda", ",", "NzTilda", ",", 
       "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", "Sconst", 
       ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", "Sconstm"}], "}"}], 
     "=", 
     RowBox[{"PartitionFluid", "[", 
      RowBox[{"Q", ",", "R"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.807633951273294*^9, 3.8076339536278534`*^9}, {
  3.8076339896486735`*^9, 3.8076340762789035`*^9}, {3.8076345994758344`*^9, 
  3.8076346285179815`*^9}, {3.8076416481431427`*^9, 3.8076416511301537`*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"9e60b6e4-4fe4-4dd5-b542-c62db7ea090a"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", "===", "===", 
     RowBox[{"==", " ", 
      RowBox[{"CCDF", " ", "for", " ", "N"}]}]}], "=", 
    RowBox[{"21", " ", "===", 
     RowBox[{"\[Equal]", 
      RowBox[{"===", "===", "\[Equal]"}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"finlevel", "=", 
     RowBox[{"{", 
      RowBox[{
      "0.", ",", "10.0", ",", "20.0", ",", "30.0", ",", "40.0", ",", "50.0", 
       ",", "60.0", ",", "70.0", ",", "80.0", ",", "90.0", ",", "100."}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"inlevel", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "100"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"prec", "=", "MachinePrecision"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ccdf21", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "1", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ccdf21", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest21", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest21", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ccdf21", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.807643276757209*^9, 3.8076433139984493`*^9}, {
   3.8076438145051928`*^9, 3.807643839674899*^9}, {3.807643929373681*^9, 
   3.8076439481225166`*^9}, 3.8076895607821827`*^9, {3.807689628197985*^9, 
   3.807689630410796*^9}, {3.8077126362516546`*^9, 
   3.807712639430896*^9}},ExpressionUUID->"cc53482f-0dc7-4a2e-a516-\
e6063eb92004"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ccdf21", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Running", " ", "Time", " ", "For", " ", "N"}], "=", 
    RowBox[{"21", " ", "935.83", " ", "seconds"}]}], "*)"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.807643423995347*^9, 3.8076434241928196`*^9}, {
   3.8076435011201315`*^9, 3.8076435555755196`*^9}, 3.807643915311248*^9, {
   3.8076949183680415`*^9, 3.8076949299756985`*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"019f9ac5-dbd0-4cb8-bf7c-55a9711ed1ae"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.`", ",", "0.8005807379908001`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"10.`", ",", "0.5145201788305968`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"20.`", ",", "0.4084327799852574`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"30.`", ",", "0.32820688403881826`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"40.`", ",", "0.26301300713363607`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"50.`", ",", "0.20906788963349898`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"60.`", ",", "0.16428469094049758`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"70.`", ",", "0.12708080076518924`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"80.`", ",", "0.09589786762236929`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"90.`", ",", "0.06853613583410578`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"100.`", ",", "0.025978926338845798`"}], "}"}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8076918472914953`*^9, 3.807693387066635*^9, 
  3.8076949342329597`*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"ad9090f7-020a-4e1a-8f03-7823b784d49e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", "===", "===", 
     RowBox[{"==", " ", 
      RowBox[{"CCDF", " ", "for", " ", "N"}]}]}], "=", 
    RowBox[{"41", " ", "===", 
     RowBox[{"\[Equal]", 
      RowBox[{"===", "===", "\[Equal]"}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"finlevel", "=", 
     RowBox[{"{", 
      RowBox[{
      "0.", ",", "10.0", ",", "20.0", ",", "30.0", ",", "40.0", ",", "50.0", 
       ",", "60.0", ",", "70.0", ",", "80.0", ",", "90.0", ",", "100."}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"inlevel", "=", "0."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "100"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"prec", "=", "MachinePrecision"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ccdf41", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "1", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ccdf41", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest41", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "20", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest41", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ccdf41", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.807694947325515*^9, 3.8076949583196573`*^9}, {
  3.8076949904747963`*^9, 3.8076950080494766`*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"33841209-9e3b-4a9f-9ab1-7e17554c641c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Running", " ", "Time", " ", "for", " ", "N"}], "=", 
    RowBox[{"41", " ", "1871.16", " ", "seconds"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"ccdf41", "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.8076973802967453`*^9, 3.8076973954936347`*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"fe7854a6-c21c-49e6-9519-d3ae0d046279"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.`", ",", "0.8005495707297865`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"10.`", ",", "0.5146259029250699`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"20.`", ",", "0.40863697889448747`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"30.`", ",", "0.3284904843320051`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"40.`", ",", "0.26335296150887477`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"50.`", ",", "0.20944019964242555`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"60.`", ",", "0.1646672692139619`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"70.`", ",", "0.12745376976691902`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"80.`", ",", "0.0962408443456163`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"90.`", ",", "0.06882106392262533`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"100.`", ",", "0.02607639900002956`"}], "}"}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8076974039473352`*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"7da823b3-2b3a-4091-b829-8683fd5e61f0"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", "===", "===", 
     RowBox[{"==", " ", 
      RowBox[{"CCDF", " ", "for", " ", "N"}]}]}], "=", 
    RowBox[{"61", " ", "===", 
     RowBox[{"\[Equal]", 
      RowBox[{"===", "===", "\[Equal]"}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"finlevel", "=", 
     RowBox[{"{", 
      RowBox[{
      "0.", ",", "10.0", ",", "20.0", ",", "30.0", ",", "40.0", ",", "50.0", 
       ",", "60.0", ",", "70.0", ",", "80.0", ",", "90.0", ",", "100."}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"inlevel", "=", "0."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "100"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"prec", "=", "MachinePrecision"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ccdf61", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "1", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ccdf61", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest61", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "30", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest61", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ccdf61", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.8076974272912135`*^9, 3.8076974418832965`*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"ad5096d3-aa29-4a04-8f6b-24557d9a6d74"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Running", " ", "Time", " ", "for", " ", "N"}], "=", 
    RowBox[{"61", " ", "2704.64", " ", "seconds"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
  "ccdf61", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.8077024077148776`*^9, 3.807702425781567*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"61fa1785-2a77-407b-878f-528834958779"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.`", ",", "0.800544920632325`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"10.`", ",", "0.5146405383063901`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"20.`", ",", "0.4086674722368854`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"30.`", ",", "0.3285344939602336`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"40.`", ",", "0.2634071079389463`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"50.`", ",", "0.20950071542138315`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"60.`", ",", "0.16473051135357408`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"70.`", ",", "0.12751628207247157`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"80.`", ",", "0.09629890588204926`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"90.`", ",", "0.06886949963361566`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"100.`", ",", "0.02609266108722319`"}], "}"}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.807702428933135*^9},
 CellLabel->"Out[79]=",ExpressionUUID->"7ae8c529-2c95-496f-8e19-84cb3a428c2f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", "===", "===", 
     RowBox[{"==", " ", 
      RowBox[{"CCDF", " ", "for", " ", "N"}]}]}], "=", 
    RowBox[{"81", " ", "===", 
     RowBox[{"\[Equal]", 
      RowBox[{"===", "===", "\[Equal]"}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"finlevel", "=", 
     RowBox[{"{", 
      RowBox[{
      "0.", ",", "10.0", ",", "20.0", ",", "30.0", ",", "40.0", ",", "50.0", 
       ",", "60.0", ",", "70.0", ",", "80.0", ",", "90.0", ",", "100."}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"inlevel", "=", "0."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "100"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"prec", "=", "MachinePrecision"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ccdf81", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "1", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ccdf81", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest81", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "40", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest81", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ccdf81", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.8077024458526535`*^9, 3.807702465178612*^9}},
 CellLabel->"In[80]:=",ExpressionUUID->"b34c2543-c13e-4b11-9de3-b3a3c3092665"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Running", " ", "Time", " ", "for", " ", "N"}], "=", 
    RowBox[{"81", " ", "3556.48", " ", "seconds"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
  "ccdf81", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.8077071166642632`*^9, 3.807707131968812*^9}},
 CellLabel->"In[87]:=",ExpressionUUID->"2bdcf5a1-2349-4d06-8b8e-26e6878ce653"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.`", ",", "0.8005434761608666`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"10.`", ",", "0.5146448161594377`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"20.`", ",", "0.40867687543221454`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"30.`", ",", "0.3285483929273243`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"40.`", ",", "0.26342445928662417`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"50.`", ",", "0.2095203085496654`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"60.`", ",", "0.1647511486674389`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"70.`", ",", "0.12753680407251733`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"80.`", ",", "0.0963180453378617`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"90.`", ",", "0.0688854930432592`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"100.`", ",", "0.026097991378106422`"}], "}"}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8077071404862127`*^9},
 CellLabel->"Out[87]=",ExpressionUUID->"3dcfa2c4-e248-4d36-b059-24652297c236"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", "===", "===", 
     RowBox[{"==", " ", 
      RowBox[{"CCDF", " ", "for", " ", "N"}]}]}], "=", 
    RowBox[{"101", " ", "===", 
     RowBox[{"\[Equal]", 
      RowBox[{"===", "===", "\[Equal]"}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"finlevel", "=", 
     RowBox[{"{", 
      RowBox[{
      "0.", ",", "10.0", ",", "20.0", ",", "30.0", ",", "40.0", ",", "50.0", 
       ",", "60.0", ",", "70.0", ",", "80.0", ",", "90.0", ",", "100."}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"inlevel", "=", "0."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "100"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"prec", "=", "MachinePrecision"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ccdf101", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "1", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ccdf101", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest101", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "50", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest101", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ccdf101", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.8077071562393184`*^9, 3.8077071753220873`*^9}},
 CellLabel->"In[88]:=",ExpressionUUID->"a86af4bf-4102-4538-a814-3cdda9af00b2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Running", " ", "Time", " ", "for", " ", "N"}], "=", 
    RowBox[{"101", " ", "5311.56", " ", "seconds"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"ccdf101", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.807712542570986*^9, 3.8077125595732183`*^9}},
 CellLabel->"In[95]:=",ExpressionUUID->"8147fbd8-fbec-4eee-b343-111ffd48bb74"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.`", ",", "0.8005428648577412`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"10.`", ",", "0.5146466492930775`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"20.`", ",", "0.4086809291694947`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"30.`", ",", "0.32855440035330363`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"40.`", ",", "0.2634319774131634`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"50.`", ",", "0.20952881858489936`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"60.`", ",", "0.16476013272986756`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"70.`", ",", "0.12754575547952907`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"80.`", ",", "0.09632640511791246`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"90.`", ",", "0.06889248128005043`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"100.`", ",", "0.02610031192587292`"}], "}"}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8077125609704103`*^9},
 CellLabel->"Out[95]=",ExpressionUUID->"67bd5388-5db6-4f74-8ca4-9a255300fe24"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", 
    RowBox[{"==", "  ", 
     RowBox[{"End", " ", "of", " ", "Nail_gabor", " ", "example"}]}], "  ", "===", 
    RowBox[{"\[Equal]", 
     RowBox[{"===", "===", "\[Equal]"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.8077125873386345`*^9, 
  3.80771260529788*^9}},ExpressionUUID->"c85d8aed-a0fb-479b-a367-\
e82e2ccbd7a4"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", 
    RowBox[{"==", " ", 
     RowBox[{"example", " ", "description"}]}], " ", "===", 
    RowBox[{"\[Equal]", 
     RowBox[{"===", "===", "\[Equal]"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Tfinite", "=", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "2.", ",", "5."}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"K", " ", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"KTilda", "=", 
     RowBox[{"K", "+", "1"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QTilda", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "KTilda"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"RTilda", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "KTilda"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Q", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "K"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", "K"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"size", "[", "n_", "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{"n", ",", "n"}], "}"}]}], "\n", 
   RowBox[{
    RowBox[{"n", "=", "11"}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"Q", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", "#", "}"}], ",", 
         RowBox[{"{", "#2", "}"}]}], "]"}], "&"}], "@@", 
      RowBox[{"size", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", " ", "11"}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{"j", "\[LessEqual]", " ", "11"}], ",", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"i", "\[Equal]", "j"}], ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"30", "+", 
                 RowBox[{"5", 
                  RowBox[{"(", 
                   RowBox[{"i", "-", "1"}], ")"}]}]}], ")"}]}]}], ";"}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "+", "1"}]}], "&&", 
             RowBox[{"j", "\[LessEqual]", " ", "11"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"30", "-", 
               RowBox[{"3", 
                RowBox[{"(", 
                 RowBox[{"i", "-", "1"}], ")"}]}]}]}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "-", "1"}]}], "&&", 
             RowBox[{"j", "\[GreaterEqual]", " ", "1"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"8", 
               RowBox[{"(", 
                RowBox[{"i", "-", "1"}], ")"}]}]}], ";"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Q", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", "#", "}"}], ",", 
         RowBox[{"{", "#2", "}"}]}], "]"}], "&"}], "@@", 
      RowBox[{"size", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", " ", "11"}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{"j", "\[LessEqual]", " ", "11"}], ",", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"i", "\[Equal]", "j"}], ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"30", "+", 
                 RowBox[{"(", 
                  RowBox[{"i", "-", "1"}], ")"}]}], ")"}]}]}], ";"}]}], "]"}],
           ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "+", "1"}]}], "&&", 
             RowBox[{"j", "\[LessEqual]", " ", "11"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"30", "-", 
               RowBox[{"3", 
                RowBox[{"(", 
                 RowBox[{"i", "-", "1"}], ")"}]}]}]}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "-", "1"}]}], "&&", 
             RowBox[{"j", "\[GreaterEqual]", " ", "1"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Q", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"4", 
               RowBox[{"(", 
                RowBox[{"i", "-", "1"}], ")"}]}]}], ";"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"R", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"DiagonalMatrix", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "11"}], ",", 
        RowBox[{"-", "7"}], ",", 
        RowBox[{"-", "3"}], ",", "1", ",", "5", ",", "9", ",", "13", ",", 
        "17", ",", "21", ",", "25", ",", "29"}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"R", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "=", 
     RowBox[{"DiagonalMatrix", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "11"}], ",", 
        RowBox[{"-", "9"}], ",", 
        RowBox[{"-", "7"}], ",", 
        RowBox[{"-", "5"}], ",", 
        RowBox[{"-", "3"}], ",", 
        RowBox[{"-", "1"}], ",", "1", ",", "3", ",", "5", ",", "7", ",", 
        "9"}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"QTilda", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", "#", "}"}], ",", 
         RowBox[{"{", "#2", "}"}]}], "]"}], "&"}], "@@", 
      RowBox[{"size", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "4"}], ",", 
      RowBox[{"i", "\[LessEqual]", " ", "6"}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{"j", "\[LessEqual]", " ", "11"}], ",", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"i", "\[Equal]", "j"}], ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"QTilda", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"52", "-", 
                 RowBox[{"3", 
                  RowBox[{"(", 
                   RowBox[{"i", "-", "1"}], ")"}]}]}], ")"}]}]}], ";"}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "+", "1"}]}], "&&", 
             RowBox[{"j", "\[LessEqual]", " ", "11"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"QTilda", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
              RowBox[{"30", "-", 
               RowBox[{"3", 
                RowBox[{"(", 
                 RowBox[{"i", "-", "1"}], ")"}]}]}]}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "\[Equal]", 
              RowBox[{"i", "-", "1"}]}], "&&", 
             RowBox[{"j", "\[GreaterEqual]", " ", "1"}]}], " ", ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"QTilda", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", "22"}], ";"}]}], 
           "]"}], ";"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"upper", " ", "region", " ", 
       RowBox[{"domination", "--"}]}], "-", 
      RowBox[{"Manual", " ", "def", " ", "for", " ", "QTiltda"}]}], ",", 
     RowBox[{"Auto", " ", "Generation", " ", "for", " ", "RTilda"}]}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"QTilda", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"Q", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"QTilda", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "=", 
     RowBox[{"Q", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"prec", "=", "MachinePrecision"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pisource", "=", 
     RowBox[{"UnitVector", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Dimensions", "[", 
         RowBox[{"Q", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"onesum", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"1", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Dimensions", "[", 
           RowBox[{"Q", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "}"}]}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7893637640551987`*^9, 3.7893637654235706`*^9}, {
   3.789363890864459*^9, 3.7893638980472116`*^9}, 3.7893646014942617`*^9, {
   3.7893947261536355`*^9, 3.7893947346638365`*^9}, {3.789394827671126*^9, 
   3.789394842071618*^9}, {3.7894592176614804`*^9, 3.7894592343533244`*^9}, {
   3.789459274934806*^9, 3.7894592860441127`*^9}, {3.7894593197200813`*^9, 
   3.789459319761935*^9}, {3.7894594542567997`*^9, 3.789459454510131*^9}, {
   3.7894605194787436`*^9, 3.789460519784919*^9}, {3.7894608141054945`*^9, 
   3.789460815044001*^9}, 3.789460878174178*^9, 3.789720452980486*^9, 
   3.7903236047690907`*^9, 3.790327964005371*^9, {3.790493664117293*^9, 
   3.7904936838509474`*^9}, {3.7905037382001686`*^9, 3.79050374032509*^9}, {
   3.790505086854015*^9, 3.790505088260213*^9}, {3.790505259050845*^9, 
   3.790505260113306*^9}, {3.790505420123088*^9, 3.7905054211074257`*^9}, {
   3.790512948201853*^9, 3.7905129741071568`*^9}, {3.7905154140645404`*^9, 
   3.790515422111123*^9}, {3.7905161127164993`*^9, 3.790516131793927*^9}, {
   3.7911897496882057`*^9, 3.791189807425892*^9}, 3.791189840199297*^9, {
   3.7911923955938487`*^9, 3.7911924203834004`*^9}, {3.791192496418657*^9, 
   3.791192519595477*^9}, {3.7911955212370033`*^9, 3.7911955260910273`*^9}, {
   3.792267849680306*^9, 3.792267910304907*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"7c731c02-5852-450c-832f-a42393e088b6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{"State", " ", "Space", " ", "Partitioning"}]}], " ", "===", "===",
     "===", "===", "===", "===", "\[Equal]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", "Np", ",", 
       "Nm", ",", "Nz", ",", "NpTilda", ",", "NmTilda", ",", "NzTilda", ",", 
       "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", "Sconst", 
       ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", "Sconstm"}], "}"}], 
     "=", 
     RowBox[{"PartitionFluid", "[", 
      RowBox[{
      "Q", ",", "R", ",", "QTilda", ",", "\"\<Auto\>\"", ",", "\"\<Up\>\""}], 
      "]"}]}], ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7893637850374117`*^9, 3.7893637862123165`*^9}, 
   3.789364554262606*^9, {3.789459319767954*^9, 3.789459319777892*^9}, {
   3.789472367674401*^9, 3.789472403571413*^9}, {3.7894724373321657`*^9, 
   3.78947247963002*^9}, {3.7894768996090603`*^9, 3.789476906009944*^9}, {
   3.789479079583043*^9, 3.789479102025041*^9}, {3.7894810789269347`*^9, 
   3.7894811203666143`*^9}, {3.7897209685611944`*^9, 3.789720971204126*^9}, {
   3.7897251240892344`*^9, 3.789725159075646*^9}, {3.789725577153668*^9, 
   3.789725697074608*^9}, {3.789725758222045*^9, 3.789725809589464*^9}, {
   3.789726095908132*^9, 3.7897261071999364`*^9}, {3.7897278933093033`*^9, 
   3.789727960462696*^9}, 3.7897289847935677`*^9, {3.789729067290929*^9, 
   3.7897290688926525`*^9}, {3.789752972932703*^9, 3.7897530430851336`*^9}, {
   3.789756839988222*^9, 3.789756937686888*^9}, {3.7897569759736247`*^9, 
   3.789757043429398*^9}, 3.789762411632604*^9, {3.7905050912601037`*^9, 
   3.7905050914632215`*^9}, {3.790505398045769*^9, 3.7905054131389675`*^9}, {
   3.7911884054724054`*^9, 3.7911884744869957`*^9}, {3.7911885167191124`*^9, 
   3.7911885726236672`*^9}, 3.7911888399537535`*^9, {3.791188974466201*^9, 
   3.7911890694613113`*^9}, {3.7911891003582106`*^9, 
   3.7911891019569387`*^9}, {3.791189174097169*^9, 3.791189204500147*^9}, {
   3.791189446195389*^9, 3.791189446655156*^9}, {3.791189655079099*^9, 
   3.7911896555717883`*^9}, {3.791189862733121*^9, 3.7911898765162783`*^9}, {
   3.791189980986022*^9, 3.7911899818886595`*^9}, {3.791190017433612*^9, 
   3.7911900219076524`*^9}, {3.7911921706962385`*^9, 3.7911921777523794`*^9}, 
   3.7911924274714594`*^9, {3.791192490500011*^9, 3.7911924912729445`*^9}, {
   3.7911925231420064`*^9, 3.7911925437479153`*^9}, {3.7911954671306486`*^9, 
   3.791195470469731*^9}, {3.791195532685401*^9, 3.7911955338961678`*^9}, {
   3.7911986329507675`*^9, 3.7911986336105814`*^9}, {3.79119872242927*^9, 
   3.7911987228461504`*^9}, {3.79119987894501*^9, 3.791199895818306*^9}, 
   3.7912841513438025`*^9, {3.7912841858798184`*^9, 3.791284205569393*^9}, {
   3.7918317663406167`*^9, 3.791831834016212*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"c1e6c1ff-d8c2-44c4-b8df-f30a16b81e1c"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{"Computation", " ", "of", " ", "the", " ", "PDF"}]}], " ", "===",
     "===", "===", "===", "===", "===", "\[Equal]"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"finlevel", "=", 
    RowBox[{"Table", "[", 
     RowBox[{"i", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0.", ",", "5.", ",", "0.01"}], "}"}]}], "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.790513052276173*^9, 3.7905130862124357`*^9}, {
  3.790514425464342*^9, 3.790514435604596*^9}, {3.7905158441013155`*^9, 
  3.7905158717878027`*^9}, {3.790516354520164*^9, 3.790516357395059*^9}, {
  3.7905713864493523`*^9, 3.7905713869180875`*^9}, {3.790571451572374*^9, 
  3.7905714560566125`*^9}},
 CellLabel->"In[59]:=",ExpressionUUID->"8df528d7-d5ba-4023-a0ef-68948abfcf06"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"-", " ", "initial"}]}]}]}]}]}]}]}], " ", 
     RowBox[{"state", ":", " ", "0"}]}], ",", " ", 
    RowBox[{"initial", " ", 
     RowBox[{"level", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"3.5", " ", "--"}], "--"}], "--"}], "--"}], "--"}], "-", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", "-"}]}]}]}]}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"inlevel", "=", "3.5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pisource", "=", 
     RowBox[{"UnitVector", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Dimensions", "[", 
         RowBox[{"Q", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "1"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pdf", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFinite", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s", ",", "\"\<PDF\>\""}],
              "]"}]}], "]"}], ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"pdf", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{"pdf", ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t\>\"", ",", "\"\<PDF\>\""}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.789810741207366*^9, 3.7898107581443644`*^9}, {
   3.789810938154638*^9, 3.7898109409983025`*^9}, {3.7898123115767107`*^9, 
   3.789812322873248*^9}, {3.789812464244049*^9, 3.7898125106020465`*^9}, {
   3.789812570998376*^9, 3.789812855958659*^9}, {3.7898129127538457`*^9, 
   3.789812924034758*^9}, {3.789812996345112*^9, 3.789812998798164*^9}, {
   3.7898130362345486`*^9, 3.789813107873046*^9}, 3.789813269555743*^9, {
   3.789813575531024*^9, 3.7898135800308924`*^9}, {3.7898141347956576`*^9, 
   3.7898141500920777`*^9}, {3.7898141925751905`*^9, 
   3.7898142099652987`*^9}, {3.7898142410581226`*^9, 
   3.7898142827287617`*^9}, {3.789902152910534*^9, 3.7899022171895313`*^9}, {
   3.789902373324691*^9, 3.789902377996402*^9}, {3.7899027256717243`*^9, 
   3.7899027323433657`*^9}, {3.790571395667822*^9, 3.7905714288074403`*^9}, {
   3.790571477759079*^9, 3.7905715566160593`*^9}, 3.7912841513537645`*^9, {
   3.7912841859025984`*^9, 3.7912842055962753`*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"eed6f286-cd7a-49e0-b8cf-c2a5e9210e04"],

Cell[BoxData[
 GraphicsBox[{{}, {{{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       NCache[
        Rational[7, 360], 0.019444444444444445`]], AbsoluteThickness[1.6], 
      LineBox[{{0., 1.0614515310378354`}, {0.01, 0.8169809731376352}, {0.02, 
       0.6227277274794896}, {0.03, 0.4980289262101478}, {0.04, 
       0.41728900450483786`}, {0.05, 0.36438566574374065`}, {0.06, 
       0.3291606917114091}, {0.07, 0.30521037084474195`}, {0.08, 
       0.28849445865061535`}}]}}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      NCache[
       Rational[7, 360], 0.019444444444444445`]], AbsoluteThickness[1.6]}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       NCache[
        Rational[7, 360], 0.019444444444444445`]], AbsoluteThickness[
      1.6]}, {}}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       NCache[
        Rational[7, 360], 0.019444444444444445`]], AbsoluteThickness[
      1.6]}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"t\"", TraditionalForm], 
    FormBox["\"PDF\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.08}, {0, 1.0614515310378354`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.8076896204000487`*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"efaa9b1b-e5ec-411e-8de6-dcca79a6a0d6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{"Computation", " ", "of", " ", "the", " ", "CDF"}]}], " ", "===",
     "===", "===", "===", "===", "===", "\[Equal]"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"finlevel", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0.", ",", "5.", ",", "0.01"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.790513052276173*^9, 3.7905130862124357`*^9}, {
   3.790514425464342*^9, 3.790514435604596*^9}, {3.7905158441013155`*^9, 
   3.7905158717878027`*^9}, {3.790516354520164*^9, 3.790516357395059*^9}, 
   3.7922677183591537`*^9},ExpressionUUID->"657139bb-85e3-4dc8-b137-\
47e7037f7451"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"-", " ", "initial"}]}]}]}]}]}]}]}], " ", 
     RowBox[{"state", ":", " ", "0"}]}], ",", " ", 
    RowBox[{"initial", " ", 
     RowBox[{"level", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"0", " ", "--"}], "--"}], "-", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"--", 
             RowBox[{"--", 
              RowBox[{"--", "-"}]}]}]}]}]}]}]}]}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"inlevel", "=", "0."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pisource", "=", 
     RowBox[{"UnitVector", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Dimensions", "[", 
         RowBox[{"Q", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "0.1"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cdf00", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "3", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf00", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf00", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "1"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf00", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf00", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "10"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf00", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf00", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.789810741207366*^9, 3.7898107581443644`*^9}, {
   3.789810938154638*^9, 3.7898109409983025`*^9}, {3.7898123115767107`*^9, 
   3.789812322873248*^9}, {3.789812464244049*^9, 3.7898125106020465`*^9}, {
   3.789812570998376*^9, 3.789812855958659*^9}, {3.7898129127538457`*^9, 
   3.789812924034758*^9}, {3.789812996345112*^9, 3.789812998798164*^9}, {
   3.7898130362345486`*^9, 3.789813107873046*^9}, 3.789813269555743*^9, {
   3.789813575531024*^9, 3.7898135800308924`*^9}, {3.7898141347956576`*^9, 
   3.7898141500920777`*^9}, {3.7898141925751905`*^9, 
   3.7898142099652987`*^9}, {3.7898142410581226`*^9, 
   3.7898142827287617`*^9}, {3.7904893066202593`*^9, 3.790489342728314*^9}, {
   3.7904895260184917`*^9, 3.790489526205985*^9}, {3.7904898897708263`*^9, 
   3.7904899455969086`*^9}, {3.790491926430786*^9, 3.7904919298056617`*^9}, {
   3.79050054815549*^9, 3.790500579169981*^9}, {3.790500649198672*^9, 
   3.790500654526601*^9}, {3.7905006909006987`*^9, 3.7905007230089025`*^9}, {
   3.790500769444706*^9, 3.79050077139776*^9}, {3.7905020703175926`*^9, 
   3.7905020752705364`*^9}, {3.7905022540452547`*^9, 
   3.7905022544358654`*^9}, {3.7905026208756013`*^9, 
   3.7905026227817817`*^9}, {3.7905058324986453`*^9, 3.790505872184696*^9}, {
   3.790505926573333*^9, 3.7905059590565205`*^9}, {3.7905060412878914`*^9, 
   3.7905060687556376`*^9}, {3.7905061196600275`*^9, 3.790506150846388*^9}, 
   3.790506340930846*^9, {3.790506596132905*^9, 3.790506603866996*^9}, {
   3.7905072178445597`*^9, 3.7905072674989977`*^9}, {3.7905073276217985`*^9, 
   3.7905074246182575`*^9}, {3.790508466918933*^9, 3.7905084671064253`*^9}, {
   3.7905085713213654`*^9, 3.7905085754618387`*^9}, 3.79051298398181*^9, 
   3.790514414089759*^9, {3.7912841513716955`*^9, 3.791284151384699*^9}, {
   3.791284185933753*^9, 
   3.791284205664143*^9}},ExpressionUUID->"eed6f286-cd7a-49e0-b8cf-\
c2a5e9210e04"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"cdf00", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{"cdf00", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", 
     RowBox[{"cdf00", "[", 
      RowBox[{"[", "3", "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"Placed", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<t=0.1\>\"", ",", "\"\<t=1\>\"", ",", "\"\<t=10\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.9", ",", "0.5"}], "}"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<CDF\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
      RowBox[{"Dashing", "[", "Large", "]"}], ",", 
      RowBox[{"Dashing", "[", "None", "]"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<c:/temp/cdfplot-0-0.pdf\>\"", ",", "%"}], "]"}]}], "Input",
 CellChangeTimes->{{3.790506290510813*^9, 3.790506323462735*^9}, {
   3.7905066196164207`*^9, 3.7905066500059357`*^9}, {3.790507428165004*^9, 
   3.7905074414457674`*^9}, 
   3.790508135498533*^9},ExpressionUUID->"49296f78-4e54-41f7-a41e-\
f45b5a27b128"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[Medium], 
       LineBox[CompressedData["
1:eJxd13lc1GUeB/AZhmMGKObAXLX1yHI9N1crE8vv17XIA8bINlIozcDc9WQ9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        "]]}, 
      {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[Large], 
       LineBox[CompressedData["
1:eJw913dcU2cXB3AIe2eoVVFA3DgRRZzniKKgRXytqChSnFRr3baKigtwoCLi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        "]]}, 
      {RGBColor[0.560181, 0.691569, 0.194885], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[None], 
       LineBox[CompressedData["
1:eJw112dcE1kXB2AIIbQAKXZ9bcDqYsGuazvHVRQbVlwRxLYKWJAiWFDBBqzi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        "]]}}, {}, {}, {{}, {}}}, InsetBox[
     TemplateBox[{"\"t=0.1\"","\"t=1\"","\"t=10\""},
      "LineLegend",
      DisplayFunction->(FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[Medium]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[Medium]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Dashing[Large]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Dashing[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[
                    Opacity[0]]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[
                    Opacity[0]]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ),
      Editable->True,
      InterpretationFunction:>(RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Medium", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Large", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", 
                    RowBox[{"Opacity", "[", "0", "]"}], "]"}]}], "]"}]}], 
             "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True", ",", "True"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
     Scaled[{0.9, 0.5}], ImageScaled[{0.5, 0.5}],
     BaseStyle->{FontSize -> Larger},
     FormatType->StandardForm]},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"t\"", TraditionalForm], 
     FormBox["\"CDF\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
          Part[#, 1]], 
         (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
          Part[#, 1]], 
         (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0, 5.}, {0, 0.9999933439562279}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[Medium]], 
         Line[CompressedData["
1:eJxd13lc1GUeB/AZhmMGKObAXLX1yHI9N1crE8vv17XIA8bINlIozcDc9WQ9
mDW7LLxIJdcytVQ80jRNUWHI8r6vFYzwRJD7mPkNyHDDb4FnnoPn94+vD8jz
e76f9xeUXtPmvhHrpdFo3FqNpu1P+vQJ9P7os+VF8GHwgdfyFn8BYQtW72hM
KPHk9XBt/6ffzi4tBXv3hPII+xYw3l3VtXdhmefzO+GtGWHTlmwuh00b254f
YXCwf3Zo7wrP3z8A2uZF2pTECqiIaPvIIYjMHjG3LKfC8/VHYNm+lm8yejvA
P3vHvJf90yB4lMHcc4rDc1466Naf/NS03gH9oteedvf9FY67oNunZx2e84/D
7MNTn+hX6YCdrV+dveMk9Fy+fc3Urk7P+07Bpsjv3TPQCUPbnzPwUre0xZ+8
7/S8/yys12Zl3fvcCWfcfVvfcA5m1uz+7miy03OfC/BtxpqkkN+c8Eb7Cy/C
iWuvFH37h9Nzv0vw9fGy5Q0OJ+QtbjvwMhxaWxyxTKd47nsV3lr0+PipnRWI
a7vevGsQfWXerR/7KZ77X4fNH4Y4PgtRgGjcgLMPq17wGad45rkBRxYuCLW+
rcCY9hdkwJgVd48ujFU882XAyYW7x6+LU6DtbdFrM2HKb2O7pS9RPPPehAmr
onY0L1OgfZzsmxD00f7SuCTFM//vkHP53a/7bFSgR9t1umfB8qhefgOSFU8f
WeBVcmXu6j0KfDC97fkD7iZOLpz8s+LpJxvsSZ8s2npUgbbTgg9kw5Hawpem
H1M8fd2CvOS/z0k/qUBN23HuWzAnf8ys7ecUT3+34TNIutnvsgIj2w+8A6MD
bSsjryuePu/ArMl/vjQkU4H26yXchdgPEp49nUX7vQcRMQMvBNxW4NrVtuce
3KwZZOl0j/Z9Hxb0eL5rfo4CndovmAO3bo2PW5xH+8+BY7cSQh/kK9B+XPQD
CNsRM7NTEfXIhfLpJ97tWULnyYWTB6r+oSujPrmQtvfpV0+V0/lyISbo46Jo
B/XKg5SrE07ectJ58+BfZ5/rP8xF/fJAN2NCxOJKOv9DeKzz1RE7q6jnQzBA
5pXUR7SPh/BRgeH04Wrqmw+LL9w88Z2b9pMPCSHjxs6vod754IrrcuHFWtpX
Abz4/YsrnLXUvwDqe6w883Ud7a8AMvpO2fhsPd2HQtg/1h38Wz3tsxCaZ10d
BA10PwrhG2fdxdQG2m8RZJx+55enG+m+FMHMsD/OrWykfRfB9vQJ24oa6f4U
w59XZLpGNNH+i2F4wZKIVU10n4qh27o5r2c2UY8SMNT/MC+4mXqUQK07q39E
M/UogeSqHs4VzdSjBN4ryur5azP1KIXuO3v1Km+mHqVQ2vTDq0+0UI9SwKFd
c15uoR5lsOqJq0Onteakdo8y6DV64KrPW6hHGUytGdVjewv1KIeyrG4Dj7dQ
j3K4+NSwwuwW6lEO287lLFZaqEcFWFKWdvFRqUcFVBv1ZX9SqUcFjD1oNg9Q
qYcDzgwbc2SESj0ckPvtatc4lXo44PMQKHhbpR5OMFtj9saq1MMJDy7ej4pT
qYcTcqd+FbREpR4K3K9LupOgUg8FZt8YeWONSj0USDw/x2uDSj1cMNwv4bMt
Kp3HBRPHr4vepVIfFwxomJ28j83ngp5vXo8+pFIvF8zJeHdTKpvXBa/k/h5z
TKV+LhjYWXf+BJu/Enqays+fUalnJaSUX5t7gfVRCb23jbh4WaW+lfDW4F7Z
11g/lbD+Rtb2Gyr1roTxpr/87Sbrqwr69IhZnqVS/yowDZixN5v1VwUx6o4t
t1X6/VkFmoI+M+6yPqtgafoP/vdVuh9VcH/V8pU5rN9H8Oych8UPVLovj+B8
XmLfPNb3I3hvZxfrQ5XuzyOICiiZnM/6fwT1j7pHFKh0nx7BzZDUIYXMoxoK
C/6jLWIe1fBd7mMniphHNfgvqZxVzDyqodOapYElzKMavonSbC1hHtVwesSa
Z0qZRzWUaF9ILmUeboh6ocxcxjzc8EqnFR+WMQ83TJ11+24Z83DD9LHfPFfO
PNwwe+n0ZeXMww3beuVnlDOPGuh6cEPnCuZRAylRurcrmEcNXAne9N8K5lED
UxPOXa5gHjVgqilsrmAeNeB+auIgB/OohcNN0ZMczKMWjk8KW+pgHrVwat37
exzMoxZ+7PLgioN51MI/VHeFg3nUwty5dwKczKMOpnf/pa+TedQBpBwf7WQe
dVDw5OPvOJlHHYypvbzAyTzqQD0fnOhkHnXwcZh+m5N51EH/UycOO5lHPfzJ
OPG8k3nUw1bjrWwn86iH8wenlTiZRz18/4xPnZN51IOx0w1fhXnUQ2RqZrDC
PBrgeXfXpxTm0QCXvjr6V4V5NMDt4QdC2jL5edkA87YHhSrMowHubMl/XWEe
DfDMc0OjFObRCKP3+8YqzKMRPtoXO0dhHo1gfz4yXmEejRB/Lu8ThXk0wgsT
A1YozKMRPoi9vVZhHk3Qv3PEBoV5NMFfesVvUZhHE4QVTdilMI/WHP9gn8I8
mqBwc78UhXk0wfzsv9kV5tEEcfMbf1OYRzMc/HjlGYV5NMObv+dcVJhHM+h7
t1xTmEczLHSWZirMoxlWrNuZzT2a4fK4wfe4RwukD16byz1a4GzomQLu0QIL
518v4R4tcOfLlAru0QKrJsW5uEcL9N8QWM09VLCpCbXcQ4WXIh40cA8VUiZ1
beEeKhxRX9S6mIcKz7zxsreLeagwflM/Pxfz0GDZMdXgYvNosOuT1QNczEeD
ndddHepi82lwyunA4S7mpcHiZZdfasvt407X4MiRW8HF/DQYkpgzysV+Pmiw
cHTqaBfz1GD9YnzVxfrQoG3U6lAX89Xgv77f/ZqL9aPB4UUbxriYtwZfzowZ
62J9abFMsYxzMX8tJuf/2J5Jf1p8Nan/eBfbBy3GDtvYnkmfWtz937r2TPZD
i4Od48JcrF8thg5Z157Jvmgxqel/YbxvLQ7f4xPuYvujxUOTngvn/WsxQv9O
eyb7pMXEhE/DuYcXTvx8azj38MIrG38J5x5eeHtcZjj38MLRvsXh3MMLJw2s
b89k/7xwkdFg5R5e2K3xCSv38MKBA3pbuYcXHsseZOUerXnwMCv3aD1/Kli5
hxfOSAy1cg8vHJkZZuUeOuwS8YaVe+gws2eklXvocEhklJV76BD9pli5hw4v
jppm5R46DO8Ua+UeOty15gMr99ChKf2fVu6hwze3zLRyj9bPvzbbyj10eOmX
OVbuoUMfzTwr9/DGxCfjrNzDG2d0+reVe3ijXiGZeHijdf98K/fwxtUTF1i5
hzdmFCwQPLxx+/sLBQ9vfDdzoeDhjTVDFgke3jh0+SLBwxt33VgkeHhjsjFe
8PDGyDHxgocP3rTFCx4+6LUjXvDwwZ8uxAsePphUHC94+CDobIKHD4Z3swke
Pth/sE3w8MHQv9sEDx9sjLAJHj64ZYpN8PDB2TNtgocP7l1oEzx8cfnHNsHD
F0OW2QQPX3z4pU3w8MXd62yChy/+sMEmePhi42ab4OGL6VttgocvNmy3CR6+
eGWXTfBoff8em+Dhi5P22gQPXxz0k03w8MVz+22Chx/2+dkmePjh5IM2wcMP
Yw7ZBA8/HJtiEzz80HJY9PDDM4dFj9bzjogefvjgiOjhhxFHRQ8/tB8VPfzQ
mCp6+GF0quihx22pooce76eKHno0pokeesQ00UOPM9JEDz1+mSZ66HGfJ5N/
P/V4KU300OPDNNFDj/VpooceA+2ihx572EUPPT5rFz0MONIuehhwvF30MGCk
XfQw4Ht20cOAM+2ihwHn20UPAy6xix4G/MIuehjwS7voYcCv7KKHATfYRQ8D
braLHv6YbBc9/HGnXfTwxz120cMff7KLHv74s1308McUu+jhj0fsooc/ptpF
D39Mt4se/virXfTgmXj444kOHjyT6wXgqQ4eAXi6gwfPxCMAz3Xw4Jl48Ew8
AvBiB48AvNTBg2fiwTPx4Jl4BODVDh6BLBOPQLzWwYNn4sEz8eCZePBMPHgm
HjwTD56JB8/EIxCvd/DgmXjwTDweY5l48Ew8eCYePBMPnokHz8TjMfxfBw+e
iQfPxINn4sEz8eCZeDzOMvHgmXjwTDx4Jh48Ew+eiQfPxINn4sEz8eCZePBM
PHgmHjwTjyCWiQfPxINn4sEz8eCZePBMPIIkjyDJI0jyCJI8giSPIMnDKM1j
lHyM0nxGycsozWuU/IzS/EbJ0yj1wTP5fcYo9WOUvI1SXzyT/z8Ypf54Jvtg
lPrkmeyHUeqXZ7IvRqlvnsn+GKX+eSb7ZJQ8TJKHSfIwSR4mycMkeZgkD5Pk
YZI8TJIHz+T7zSR5mCQPk+RhkjxMkodJ8jBJHibJwyR5mCQPk+RhkjxMkodJ
8jBJHmbJwyx5mCUPs+RhljzMkodZ8jBLHmbJwyx5mCUPs+RhljzMkodZ8jBL
HmbJwyx5mCUPs+RhljzMkodZ8jBLHmbJwyJ5WCQPi+RhkTwskodF8rBIHhbJ
wyJ5WCQPi+RhkTwskodF8rBIHhbJwyJ5WCQPi+RhkTwskodF8rBIHhbJwyJ5
BLP8f6PQrZU=
          "]]}, {
         Hue[0.9060679774997897, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.880722, 0.611041, 0.142051], 
          AbsoluteThickness[1.6], 
          Dashing[Large]], 
         Line[CompressedData["
1:eJw913dcU2cXB3AIe2eoVVFA3DgRRZzniKKgRXytqChSnFRr3baKigtwoCLi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          "]]}, {
         Hue[0.1421359549995791, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.560181, 0.691569, 0.194885], 
          AbsoluteThickness[1.6], 
          Dashing[None]], 
         Line[CompressedData["
1:eJw112dcE1kXB2AIIbQAKXZ9bcDqYsGuazvHVRQbVlwRxLYKWJAiWFDBBqzi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          "]]}}}, {}, {}, {{}, {}}}, {
     DisplayFunction -> Identity, PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
      PlotRange -> {{0, 5.}, {0, 0.9999933439562279}}, PlotRangeClipping -> 
      True, ImagePadding -> All, DisplayFunction -> Identity, AspectRatio -> 
      GoldenRatio^(-1), Axes -> {True, True}, AxesLabel -> {"t", "CDF"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
             Part[#, 1]], 
            (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
             Part[#, 1]], 
            (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
             Part[#, 2]]}& )}}, 
      PlotRange -> {{0, 5.}, {0, 0.9999933439562279}}, PlotRangeClipping -> 
      True, PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      LineLegend[{
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[Medium]], 
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Dashing[Large]], 
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Dashing[
          Opacity[0]]]}, {"t=0.1", "t=1", "t=10"}, 
       LegendMarkers -> {{False, Automatic}, {False, Automatic}, {
         False, Automatic}}, Joined -> {True, True, True}, LabelStyle -> {}, 
       LegendLayout -> "Column"]], {0.9, 0.5}, Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{3.790507016133181*^9, 3.7905089073559637`*^9, 
  3.7905159026616735`*^9, 3.790516254242575*^9, 3.790520526654007*^9, 
  3.790576234176613*^9, 
  3.7905867073884926`*^9},ExpressionUUID->"983aa782-16a5-4338-a495-\
670b35e6a6fc"],

Cell[BoxData["\<\"c:/temp/cdfplot-0-0.pdf\"\>"], "Output",
 CellChangeTimes->{3.790507016133181*^9, 3.7905089073559637`*^9, 
  3.7905159026616735`*^9, 3.790516254242575*^9, 3.790520526654007*^9, 
  3.790576234176613*^9, 
  3.790586707607235*^9},ExpressionUUID->"c96c9e28-7201-48c6-bfdb-\
690947b3f79b"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"-", " ", "initial"}]}]}]}]}]}]}]}], " ", 
     RowBox[{"state", ":", " ", "10"}]}], ",", " ", 
    RowBox[{"initial", " ", 
     RowBox[{"level", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"0", " ", "--"}], "--"}], "-", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"--", 
             RowBox[{"--", 
              RowBox[{"--", "-"}]}]}]}]}]}]}]}]}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"inlevel", "=", "0."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pisource", "=", 
     RowBox[{"UnitVector", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Dimensions", "[", 
         RowBox[{"Q", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "11"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "0.1"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cdf100", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "3", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf100", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf100", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "1"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf100", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf100", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "10"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf100", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf100", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.789810741207366*^9, 3.7898107581443644`*^9}, {
   3.789810938154638*^9, 3.7898109409983025`*^9}, {3.7898123115767107`*^9, 
   3.789812322873248*^9}, {3.789812464244049*^9, 3.7898125106020465`*^9}, {
   3.789812570998376*^9, 3.789812855958659*^9}, {3.7898129127538457`*^9, 
   3.789812924034758*^9}, {3.789812996345112*^9, 3.789812998798164*^9}, {
   3.7898130362345486`*^9, 3.789813107873046*^9}, 3.789813269555743*^9, {
   3.789813575531024*^9, 3.7898135800308924`*^9}, {3.7898141347956576`*^9, 
   3.7898141500920777`*^9}, {3.7898141925751905`*^9, 
   3.7898142099652987`*^9}, {3.7898142410581226`*^9, 
   3.7898142827287617`*^9}, {3.7904893066202593`*^9, 3.790489342728314*^9}, {
   3.7904895260184917`*^9, 3.790489526205985*^9}, {3.7904898897708263`*^9, 
   3.7904899455969086`*^9}, {3.790491926430786*^9, 3.7904919298056617`*^9}, {
   3.79050054815549*^9, 3.790500579169981*^9}, {3.790500649198672*^9, 
   3.790500654526601*^9}, {3.7905006909006987`*^9, 3.7905007230089025`*^9}, {
   3.790500769444706*^9, 3.79050077139776*^9}, {3.7905020703175926`*^9, 
   3.7905020752705364`*^9}, {3.7905022540452547`*^9, 
   3.7905022544358654`*^9}, {3.7905026208756013`*^9, 
   3.7905026227817817`*^9}, {3.7905058324986453`*^9, 3.790505872184696*^9}, {
   3.790505926573333*^9, 3.7905059590565205`*^9}, {3.7905060412878914`*^9, 
   3.7905060687556376`*^9}, {3.7905061196600275`*^9, 3.790506150846388*^9}, 
   3.790506340930846*^9, {3.790506596132905*^9, 3.790506603866996*^9}, {
   3.7905072178445597`*^9, 3.7905072674989977`*^9}, {3.7905073276217985`*^9, 
   3.7905074246182575`*^9}, {3.7905084401855345`*^9, 
   3.7905084594973297`*^9}, {3.7905084941210623`*^9, 3.790508508479912*^9}, {
   3.790508545119198*^9, 3.790508563306033*^9}, {3.790514467712799*^9, 
   3.7905144693689876`*^9}, {3.7912841514096313`*^9, 
   3.7912841514237022`*^9}, {3.791284185989605*^9, 
   3.7912842057229366`*^9}},ExpressionUUID->"eed6f286-cd7a-49e0-b8cf-\
c2a5e9210e04"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"cdf100", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{"cdf100", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", 
     RowBox[{"cdf100", "[", 
      RowBox[{"[", "3", "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"Placed", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<t=0.1\>\"", ",", "\"\<t=1\>\"", ",", "\"\<t=10\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.9", ",", "0.5"}], "}"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<CDF\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
      RowBox[{"Dashing", "[", "Large", "]"}], ",", 
      RowBox[{"Dashing", "[", "None", "]"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<c:/temp/cdfplot-10-0.pdf\>\"", ",", "%"}], "]"}]}], "Input",
 CellChangeTimes->{{3.790506290510813*^9, 3.790506323462735*^9}, {
   3.7905066196164207`*^9, 3.7905066500059357`*^9}, {3.790507428165004*^9, 
   3.7905074414457674`*^9}, 3.790508135498533*^9, {3.7905085107454553`*^9, 
   3.79050852032323*^9}},ExpressionUUID->"5713de99-642c-4a46-a6d3-\
1538323dad8b"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[Medium], 
       LineBox[CompressedData["
1:eJxN13lcTPv/B/BpmrZpmZlEpBnbD4WvJcu13LzfiZqbrbikLF9ce1z1tVxF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        "]]}, 
      {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[Large], 
       LineBox[CompressedData["
1:eJw113VcVGkXB3A6BhgmQLFQ0UVdFUWxWc8RAxbsFruQNRD0lTWwEcUCFewW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        "]]}, 
      {RGBColor[0.560181, 0.691569, 0.194885], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[None], 
       LineBox[CompressedData["
1:eJw113k81dkbB3D3WrK7i0oL7av2hdTU87RN2htpUU0NRamEhNbJlLRLDSbS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        "]]}}, {}, {}, {{}, {}}}, InsetBox[
     TemplateBox[{"\"t=0.1\"","\"t=1\"","\"t=10\""},
      "LineLegend",
      DisplayFunction->(FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[Medium]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[Medium]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Dashing[Large]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Dashing[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[
                    Opacity[0]]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[
                    Opacity[0]]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ),
      Editable->True,
      InterpretationFunction:>(RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Medium", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Large", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", 
                    RowBox[{"Opacity", "[", "0", "]"}], "]"}]}], "]"}]}], 
             "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True", ",", "True"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
     Scaled[{0.9, 0.5}], ImageScaled[{0.5, 0.5}],
     BaseStyle->{FontSize -> Larger},
     FormatType->StandardForm]},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"t\"", TraditionalForm], 
     FormBox["\"CDF\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
          Part[#, 1]], 
         (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
          Part[#, 1]], 
         (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0, 5.}, {0, 0.9999991806595057}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[Medium]], 
         Line[CompressedData["
1:eJxN13lcTPv/B/BpmrZpmZlEpBnbD4WvJcu13LzfiZqbrbikLF9ce1z1tVxF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          "]]}, {
         Hue[0.9060679774997897, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.880722, 0.611041, 0.142051], 
          AbsoluteThickness[1.6], 
          Dashing[Large]], 
         Line[CompressedData["
1:eJw113VcVGkXB3A6BhgmQLFQ0UVdFUWxWc8RAxbsFruQNRD0lTWwEcUCFewW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          "]]}, {
         Hue[0.1421359549995791, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.560181, 0.691569, 0.194885], 
          AbsoluteThickness[1.6], 
          Dashing[None]], 
         Line[CompressedData["
1:eJw113k81dkbB3D3WrK7i0oL7av2hdTU87RN2htpUU0NRamEhNbJlLRLDSbS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          "]]}}}, {}, {}, {{}, {}}}, {
     DisplayFunction -> Identity, PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
      PlotRange -> {{0, 5.}, {0, 0.9999991806595057}}, PlotRangeClipping -> 
      True, ImagePadding -> All, DisplayFunction -> Identity, AspectRatio -> 
      GoldenRatio^(-1), Axes -> {True, True}, AxesLabel -> {"t", "CDF"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
             Part[#, 1]], 
            (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
             Part[#, 1]], 
            (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
             Part[#, 2]]}& )}}, 
      PlotRange -> {{0, 5.}, {0, 0.9999991806595057}}, PlotRangeClipping -> 
      True, PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      LineLegend[{
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[Medium]], 
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Dashing[Large]], 
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Dashing[
          Opacity[0]]]}, {"t=0.1", "t=1", "t=10"}, 
       LegendMarkers -> {{False, Automatic}, {False, Automatic}, {
         False, Automatic}}, Joined -> {True, True, True}, LabelStyle -> {}, 
       LegendLayout -> "Column"]], {0.9, 0.5}, Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{3.7905093476879206`*^9, 3.790515916583041*^9, 
  3.7905162677264595`*^9, 3.7905804877098475`*^9, 
  3.790586698029402*^9},ExpressionUUID->"d8116dce-700f-4960-abb0-\
b71bd1bd6734"],

Cell[BoxData["\<\"c:/temp/cdfplot-10-0.pdf\"\>"], "Output",
 CellChangeTimes->{3.7905093476879206`*^9, 3.790515916583041*^9, 
  3.7905162677264595`*^9, 3.7905804877098475`*^9, 
  3.790586698216897*^9},ExpressionUUID->"f49f86ec-86a4-4e2e-96cf-\
fb18bd74b9dc"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"-", " ", "initial"}]}]}]}]}]}]}]}], " ", 
     RowBox[{"state", ":", " ", "0"}]}], ",", " ", 
    RowBox[{"initial", " ", 
     RowBox[{"level", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"5", " ", "--"}], "--"}], "-", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"--", 
             RowBox[{"--", 
              RowBox[{"--", "-"}]}]}]}]}]}]}]}]}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"inlevel", "=", "5."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pisource", "=", 
     RowBox[{"UnitVector", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Dimensions", "[", 
         RowBox[{"Q", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "0.1"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cdf05", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "3", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf05", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf05", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "1"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf05", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf05", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "10"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf05", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf05", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.789810741207366*^9, 3.7898107581443644`*^9}, {
   3.789810938154638*^9, 3.7898109409983025`*^9}, {3.7898123115767107`*^9, 
   3.789812322873248*^9}, {3.789812464244049*^9, 3.7898125106020465`*^9}, {
   3.789812570998376*^9, 3.789812855958659*^9}, {3.7898129127538457`*^9, 
   3.789812924034758*^9}, {3.789812996345112*^9, 3.789812998798164*^9}, {
   3.7898130362345486`*^9, 3.789813107873046*^9}, 3.789813269555743*^9, {
   3.789813575531024*^9, 3.7898135800308924`*^9}, {3.7898141347956576`*^9, 
   3.7898141500920777`*^9}, {3.7898141925751905`*^9, 
   3.7898142099652987`*^9}, {3.7898142410581226`*^9, 
   3.7898142827287617`*^9}, {3.7904893066202593`*^9, 3.790489342728314*^9}, {
   3.7904895260184917`*^9, 3.790489526205985*^9}, {3.7904898897708263`*^9, 
   3.7904899455969086`*^9}, {3.790491926430786*^9, 3.7904919298056617`*^9}, {
   3.79050054815549*^9, 3.790500579169981*^9}, {3.790500649198672*^9, 
   3.790500654526601*^9}, {3.7905006909006987`*^9, 3.7905007230089025`*^9}, {
   3.790500769444706*^9, 3.79050077139776*^9}, {3.7905020703175926`*^9, 
   3.7905020752705364`*^9}, {3.7905022540452547`*^9, 
   3.7905022544358654`*^9}, {3.7905026208756013`*^9, 
   3.7905026227817817`*^9}, {3.7905058324986453`*^9, 3.790505872184696*^9}, {
   3.790505926573333*^9, 3.7905059590565205`*^9}, {3.7905060412878914`*^9, 
   3.7905060687556376`*^9}, {3.7905061196600275`*^9, 3.790506150846388*^9}, 
   3.790506340930846*^9, {3.790506596132905*^9, 3.790506603866996*^9}, {
   3.7905072178445597`*^9, 3.7905072674989977`*^9}, {3.7905073276217985`*^9, 
   3.7905074246182575`*^9}, {3.790508466918933*^9, 3.7905084671064253`*^9}, {
   3.7905085713213654`*^9, 3.7905085754618387`*^9}, {3.7905086338815813`*^9, 
   3.7905086707239857`*^9}, {3.790514474900036*^9, 3.790514475462515*^9}, {
   3.791284151443492*^9, 3.791284151461489*^9}, {3.7912841860374727`*^9, 
   3.791284205785973*^9}},ExpressionUUID->"eed6f286-cd7a-49e0-b8cf-\
c2a5e9210e04"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"cdf05", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{"cdf05", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", 
     RowBox[{"cdf05", "[", 
      RowBox[{"[", "3", "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"Placed", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<t=0.1\>\"", ",", "\"\<t=1\>\"", ",", "\"\<t=10\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.65", ",", "0.5"}], "}"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<CDF\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
      RowBox[{"Dashing", "[", "Large", "]"}], ",", 
      RowBox[{"Dashing", "[", "None", "]"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<c:/temp/cdfplot-0-5.pdf\>\"", ",", "%"}], "]"}]}], "Input",
 CellChangeTimes->{{3.790506290510813*^9, 3.790506323462735*^9}, {
   3.7905066196164207`*^9, 3.7905066500059357`*^9}, {3.790507428165004*^9, 
   3.7905074414457674`*^9}, 3.790508135498533*^9, {3.7905086755363092`*^9, 
   3.7905086835203924`*^9}, {3.7905128403620443`*^9, 
   3.7905128411432624`*^9}},ExpressionUUID->"c4d67315-8584-4a59-a91e-\
8c527e27e6d7"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[Medium], 
       LineBox[CompressedData["
1:eJw113k8lGsbB/CZMbYxmIXKUqGVSjkpnZqZ62rfF1pPqZx2UdqLtIj2JF6n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        "]]}, 
      {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[Large], 
       LineBox[CompressedData["
1:eJw113c81vv7B3DcuLmte9Thy6E9lLbTlOuq09DRojqN00Kpo9MuTZSR0i5J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        "]]}, 
      {RGBColor[0.560181, 0.691569, 0.194885], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[None], 
       LineBox[CompressedData["
1:eJw113Vc1FkXBvAhho4JWWxUDLBQxDXxHIOFXQUFC4XlVawVCwMTDERs1AV1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        "]]}}, {}, {}, {{}, {}}}, InsetBox[
     TemplateBox[{"\"t=0.1\"","\"t=1\"","\"t=10\""},
      "LineLegend",
      DisplayFunction->(FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[Medium]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[Medium]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Dashing[Large]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Dashing[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[
                    Opacity[0]]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[
                    Opacity[0]]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ),
      Editable->True,
      InterpretationFunction:>(RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Medium", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Large", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", 
                    RowBox[{"Opacity", "[", "0", "]"}], "]"}]}], "]"}]}], 
             "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True", ",", "True"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"\"Column\"", ",", 
                 RowBox[{"{", 
                   RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
         "]"}]& )], Scaled[{0.65, 0.5}], ImageScaled[{0.5, 0.5}],
     BaseStyle->{FontSize -> Larger},
     FormatType->StandardForm]},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"t\"", TraditionalForm], 
     FormBox["\"CDF\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
          Part[#, 1]], 
         (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
          Part[#, 1]], 
         (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0, 5.}, {0, 0.9999853896048928}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[Medium]], 
         Line[CompressedData["
1:eJw113k8lGsbB/CZMbYxmIXKUqGVSjkpnZqZ62rfF1pPqZx2UdqLtIj2JF6n
aJUlqZBKdLQgDonIlkhZI9vY9+Wtnsvzj89jzH3fv9/3mhljuMnBaiuHxWK1
sFmsXz/7ryldR9hqMf9KjmqFzS12cgP/yc7GkYav6N4b2n1E+5XxjSR6yOlq
y+jb4Np96O3ph7H0eCBk2L1b6/MmTnLd99cVAoMEr8IdiuLp78Ogs6615qxm
gqTG8tdvIsDNrf6vR4sT6fnPIFE3Jejyjf8kvE8Be6S8KNhvwvX51pFE672A
svu+5y1t30mMrT3iW0a/BFGL6WTfqhRa/zVs1tn31+7jqZLAn8/+FBALk9d2
jbk04gPtFwdt504lRxSlSyb+vt5C3/XXYJmXQfsnQPubZA3x+4+Sty2jf+6Q
CB+nDvLmvsuk8yTB0yC785czsyRWvzdMBsXuvy30K7PpfO/gpOPIi3q8XEmx
068FU2BfzkyTnimf6Lyp0HAh0c38YJ5k76/j7UkD273Pyy3efKbzf4AsDY1T
JwcWSBiNDDiUPuXMheNfKE8GPHjhZZTTXCiZ93uDj5CxyfpaidM3yvcR9M3t
DW6eK5L82s3aIxO6xaOsxlsXU94sOJy8+M2eKSWS33E+ZYFr2uaq4MGllD8b
vEpWKwzhl0mG/jrOkBy4PD2uYTC3nPrIAYNDDzY2K36XbN/268qF4QX2CXJh
BfXzCc7Hih1sRldKfq2mFfYJqszSPXzm/6C+8kDP3wRrDlZJWn8t15IHVgc6
zkeEVlN/nyHSzmQXNtRIZL8XzId09eKyRqyjPvNhhtP0muG35JLfxztdAIvX
3J2u61pP/X6BWQ2Zn1HWIElL/XV9gRNHuhZYsBqp70JozTF9OP5do0T79wG/
wtuX3vrrfZuo/6+w3icqvWlPs+T3ctbf4FXlGiXjZS3kUQSHgy4OnGjRSnmK
4N3S9IPzR7aRTxEsHLEiKnBwO+UrgtKTy+4cH9xBXsWQfzhwhGhkJ+UthvM2
bUduWHSRXzEk3Jjesdqqm/KXgPDtIrMzh3rIswR8Hy2r3hrYS32UwDrrafen
fOkj31JIrqg+Y+jBkjL9lMJry8JxOyaxpQxPKRjsOJCnX8yWMn2Vwfkt9R2O
Xhwp418GBXmX52XPV5Ay/ZXBnfZwt3BlrpSZh3Iwb1sc/S2VK2X6LIeEZJ7s
5XVFKTMf5RDaO3Sa3X4lKdPvd9A+2OC7eK2ylJmX74BWzgXeK1SkTN/f4Uq2
n676TlUpMz8V8Hbc1zEj7/GkTP8VYDVp/v05OnwpM08VEJCY9mxfvrqU8aiE
/VyDYcFcgZTxqAT9Q26hsEMoZTwqwetup+oUc7GU8agEO5fSLZPctaWMxw/Q
a975mO0/SMp4/IARZ2xjrUP1pYzHD7gZwi+s7TKQMh5V8Fg150iJ/XDpld8e
VaAyeuoZ26+jpYxHFWiXdtSXXjaVMh7VP/Mt9dtV+gd5VINWRpIoxt6CPKoh
78Cnr2tEUvKogW2bml+u5M4gjxp4MbkkIGTWHPKogTefzwbvtl1IHrVgGO4p
1kpZRh61EGfGuTXywAryqAVhZL6/Y+Ia8qiD/T3+e6Z8XE8edXB0Xoj/iZy/
yaMORAHG2asmbiUPORw7mdAwhG9LHnJQjfVfkWm7izzkEDBoaYnpmL3kUQ+v
Zt5V/1C7n/LUQ3Lip32P2IfJpx6iInU1Q+2cKF89zP3ePjd6wnHyqgeLUX7O
pSYulLceAkvdctocXMmvHlTjhp6dWnWa8jeAYZHcZufNc+TZAF+3ScJ2nr9I
fTTA6LjgTfOfXSbfBihxCFIwEnhSPw1gdivp8tZKL/JugCufl1TGlXlTX42Q
vbyic5jyNfJvhKiKBTO8LH2pv0aYoPvKdsx/N6TM67MRok9sdh2+/Tb12QhV
/w1133zDj+ajEd4meT+N0vOnfpugVL7cMTEygOalCYzTapvf7wyivptgnZ/o
iUgSTPPTBIGzirdUmYRQ/01wX+e9JGzKQ5qnJngflZ2fuC2UPJrB9oZHcfDz
cPJohp5n6q51WhHk0QzTyotfsv9+Qh7NsDH2xFTb2Kfk0QwOa/ZmaJhHkkcz
vL+noVbz8jl5NEOCqeNKNeto8miBvFXqD8+J/iWPFljnXxTnWRxDHi3QUm8Q
ujXlFXm0QJzbaNUVH96QRwtw/+qtWt8WSx4tYGCtp3t6QDx5tMKxaUv8rGe/
JY9W6Dz6NDDYLYE8WiHbSDJnfE4iebRC8INtqfEWSeTRCseN1xlPCU0mj1a4
fWzfG/vJKeTRBmWLm5fNyX5PHm0QF3q38+nZNPJog8xHzTrhlunk0QYqLQ4K
t30zyKMNigrXL4i8+pE82kBVV830oV8mebTDko1Vu8TRWeTRDlNdTRPOFmaT
RzuMOR5aHyzMJY928LFlf9RZ+Yk82uF5iMLF8/fzyKMdxh5oTQ7h55NHOzww
iWCbnyogjw5QfbkmoVK1kDw64H2erM8j8Ct5dIBBruC2s3EReXQAu4tb2cMr
Jo8OuOZkf3JaWzF5dEDA462ikLoS8ugEpVFKNq8bSsmjE1Qax1i2scrJoxNi
vt7kZOt/p/fLTlgOSXl5syvIoxMWRF+5d9m5kjw6Qe/SPm3XuB/k0QVhf8wL
mK9dTR5dYPD11p1jR2rIowsOLzfYmVhdSx5d0Lztx7+5DnLy6ALWWd7VV6fq
yaML9hjPUUlZ1UAe3XAk1urWZfNG8ugGz9Dip9f0m8ijG1Lcoz+7aDaTRzcc
q9Y5263eQh7d4LJq0bu0Qa3k0Q3HTZXtcye0kUc3mFvGWw9Y3U4ePbC12d4+
4lIHefSAnVF3VHNmJ3n0wFgt3zTrMd3k0QPNT5Icb17rIY8eCIl8MT5Qp488
ekB6QK03+y+WjPHohS8zoysGmbNljEcvtFVcV1EbzJExHr2gaWV8dt4ABRnj
0QuL3nFmBBpyZYxHLxyrj1lqOl1Rxnj0QkntzivSw0rMcrw+QLOr2kf/U5Yx
Hn2geuhTZJ2Zqozx6INQ+5Z1/Fc8GePRB+M+C/fG2/FljEcfmCovxwszNGSM
Rx88GL7WRTpMIKOvHzjz9uX8zTIh5WFh4tv6w8HTB8oYHxaqpaaV39IcRPlY
GBjwfM2bwkEyxouFdR8Ov10VpiP7HXcbC883PrnhdkpXxvix0Mo7c0vGWj0Z
8/7AQvGiAzOcLPRljCcLI3c8qLw/aDD1wcKVez7an+0dLGN8WThqb/viv38M
oX5YOObJqsTkz0NljDcLVR+VhNjuMKC+2FiemV0vqTSQMf5s9F0pHj9gtyH1
x8YMS8mE3G5DGTMPbDx+o8NwmK8R9cnG7XMsWqYvGCZj5oONhnrCG9P0hlO/
bDxdefb7ev0RMmZe2HjZV9F31NaR1DcbzV4IzoYOGC1j5oeNgSapF1w3mFD/
bGze4lRj6jROxswTG7XLug9dKZxAHhzk/E8cfC1xInlwsFCjSRwTbUEeHOzp
m+oSpyYlDw72OjdLgsUzyIODN/as9pQkzqH546CZa/ul698XkQcHI93HL7i+
w4o8OOi6+dSxzYdWkwcHXeSvWqo/rScPDqa/713eWrGJPDj4vwVP7llkbycP
Di7zeOZh8XkXeXCwtGjh7aWe+8hDAT065dxd8kPkoYBDtKbcnT/UmTwUMPrq
SLHKYBfyUEC19UHXoh65kYcCHkv3FgW8P0ceCmi52cHxwRl38lBA/767XyQH
PclDAYf6jLKKdPEmDwX0s1vrFVV3jTwU0MtmYwAn/gZ5KKBjt/Epd5YfeSjg
yCJeUvAaf/Lg4o5kh1fF1YHkwUW/A7zdr18GkwcXWw9XmcekPSAPLrZV9wT/
ZRhGHlxUc6kq0Cp8TB5c5HNH+tmmPSEPLrrrThqhWfqMPLg4eHtsmPPQKPLg
YvQkz2cytxfkwcVgQ45bm+gleXDx2Ha1SxvSXpMHFw9M4U25kx9LHlzMb5jF
/3NbPHko4vWDZ87s4SWQhyJGBVlFS5MTyUMRaw7f67nul0Qeijih9ryRq/c7
8lDEu3Ybs+SB78lDEWsTO3blZaaRhyK6rb11y0czgzwUMfhoj9vB2R/JQxFb
3ypcdLyYSR6KePiajbtOSRZ5KGJRZOmz5Pk55KGIZWd6drXH55KHEt7eYz5t
0JI88lDCOpPTVv9UfyYPJRy4WN79+UYBeSjhSQOjqEUbC8lDCT3OO+ounfyN
PJTwVFXQkttXishDCRdKOH7mV4rJQwm3rNxvILheQh5K2GLLdbQMKyUPJdw8
t6lcnFZGHkr4tWfXD/vWcvJQwpSVYePtTSrIQwmXVJjf17OtJA9lPF0+M+vE
kx/koYzWRwfKfJSqyUMZe1LHD7fZWkMeymhzIWZ0+oda8lDGZ5bDdfJnyMlD
Gb0rL2W/sKknD2WcOi7o0pwRDeShjMW2og1q8gbyUMY293ujWK8byUMZg4Xo
pe/VRB7KqPf6In+NXTN5KOOVvMLwkPkt5KGCy04XCFXGtZKHCtYkmqnYareR
hwpuKXDfEsdpJw8VjEi1Cee2tJOHClYueVgxvKaDPFTwX2PTxaLKTvJQwQou
58+Yyi76/FTBv3LrlPh13eShguEv+AJ5Ww95qGDuo4ORi5T6yEMFq5cMe3ma
zwLGQwU9Uk+pq/iwgPFQwaXXqktvj2AD46GK4wK2602LZAPjoYqXTqpXps7h
AOOhigOq15bOzOcA4/HzPrxAy8NBARgPVVT1rG+5qcQFxkMVuWOs9667wwXG
QxUffWv9FvWnIjAeqiho3Me9k6MIjIcqmjxepdKzTwkYD1VsiTV3fiVUBsZD
FV8HR1i/j1AGxkMVY+YPGSxcrgKMBw+vzHWKOtKiAowHD5M6Y2KrfVSB8eDh
pkvOJ5ZLeUADiPv1P3B8S3jAePDwqNEki6BzasB48DB25fF2m/F8YDx4KJ29
xiAylw+MBw8VjlR4XTiuDowHD4NWey9MGakBjAcP994JsF+frgGMBw+PnHZY
Pu6IJnnw0KrrZp6nQEAePBwf0mClvVVAHmqo//2M3dUXAvJQw5M7Za95GkLy
UMNJ00+M27FJSB5qKMrZnBP4XEgeaqiuuLP1OU9EHmr46s7/Cr03iMhDDW2W
LMoyfyIiDzWc9SFT111RTB5q2GKirOy9Rkweami5feEQfCgmDzUMfZZqca5H
TB5qmHV32d7NS7XIg49WF6ZWJPtpkQcfzXQDV4c3aJEHH+PsBjqrz9AmDz4m
zXk3ttBTmzz4GLG+7PaIYm3y4OOGB6PuaU0YQB58TJ+rYWF+YgB58PG+59W8
jPQB5MFH94UrzoUPH0gefHSZVvdF6jqQPPj4T473y4MtA8mDj6mzusa+vjSI
PPj454XK08O26ZCHOj4bY8y3fKxLHuq4vdvMPf6pPnmo44WAkI0PC4eShzpG
2fgZKG83Ig91rImvqX1hPpI81HEgKytmXtsY8lDH9MVzxOxZf5CHOg762+e5
i9sU8lDH+YaTbx56heShjks5/ks2qc8lD3WM3K5ZvPz9UvJQx2Xv/PLs81eS
hwbqGk2u0cpbTx4aWLvjQ2PPxC3koYFOvFMcH2078tDAnDpNhczWveShgVUb
k/Ze9zpMHhpobOaje83nOHlo4NGUbB3LQFfy0MBT1oHx15vOkYcGHmOdHTF2
gwd5aOD667fYXm7/Iw8N/DMncW0H34c8NPAuYP7LtbfIQwMD1AevSnpzlzw0
0VisUNs8O4g8NDFQZ9yApXNDyEMTuRme0yamhJKHJjosHPas1DaCPDRxWVZ6
RvXEZ+ShiaUilQsbZ0WRhybOP2ryPezGv+ShiXs82ja6//maPDRxYVmCxFkj
jjw0cQ5OtTc0eksemphwJnu+56pE8tBEo/Pfrtk8SCIPAUa7/1NarpdCeQRo
db9UcXpIKvkI8KJ/hfffy9IpnwC3uvQonFH+SF4CVKyf+3733kzKK8CD7AKP
4LIs8hOgGSz5WLAxh/ILcP9E06PBxbnkKcCh91Nf+uzIoz4E2PIoIuyPps/A
fJ8RYD33fE/9iQLqR4C2jzQeLVIvJG8BiicEpcf5fqW+fuaZMbe3SlgEzP8P
AvTRWHJYM6eI+hOg0NlqT+A/xTQPAlyz+HOv+vIS6lOACYopf8TyS2k+BKjn
ftwM40up35/rvYtfPnx/Gc2LAN0Fky3FQ8upbwF2zNMPjE8sp/kR4IfmmfbN
275T/z/7LZ5nfJBTQfMkwKMql+7r+FSQhxA5dycdeTWqkjyEWHTTY+CMiEry
+Pm49cOOy+Y/yEOIx7fbzfWK+EEeQpxtHzd6xugq8hBiWoFs+m2fKvIQopLI
u+8xp5o8hHhRY+rWK9uqyUOIt4tTOBsSqslDiCMGHuTN0a+h15sQz0jPnz62
u4Y8hKjpmlIKMTXkIcQ4ZeepqZxa8hDiGjP/a5tm15KHEI0NvZOnu9aShxCH
PG7OD3pZSx5CXDX8iWNSQy15CNEcv+h/MaojDyGKjEd+GbCsjjyEKI6o8glx
rCMPIa7+nGzy35068hBi5tjgGXfi68hDiGOrRmTsKKkjDyHu/lqZu7qvjjyE
aDDt4tu7OnLyEGGMzj92R83k5CHCA0bujQPnyslDhBeGvksLXisnDxHajrYW
rbGXk4cISwesMLRylpOHCG1ObAuNuSAnDxEujd7OjromJw8Rnlz2eOvmADl5
iPDdWN/ThaFy8hDhqHUV8RAlJw8ROs3cetD/jZw8ROhjFWeonyQnj5/7u+17
HpcmJ4+f55fOy72XJSePn/tt+m78NU9OHiKsfKEd4FgoJw8RdhZfv3qhWE4e
ItwXuMTHsFxOHiJs1skdtKRSTh4inKiWXzi4Wk4eIlxf4nTqZq2cPEQYe45v
niWXk4cIV4znZyY3yMlDhIOu3HU61SQnDxHqOd3bwW3p9xAje+KbH1at/R5i
3Gf0Yvj+tn4PMT5z+bjbrr3fQ4yTWWaqMzv6PcR4IaxhAbuz30OMAU+7HR51
9nuI0eCPDQfmdfV7iHHaajWn3K5+DzH6bMkeurK730OMK6f+VxLX3e8hxoN/
3zHV6+n3EGOC1velm3r6PcRY1uIz+2ZPv4cYs8NDwzN6+j3EGDbn4xel3n4P
MW5mfdea0dvvIUaBl/WEE739HmKscpAERfb2e4hx1cW0vC+9/R5idIz0C2/q
7fcQo9/Y9xqKff0eYvSUCJ8b9fV7iPGoT9bQFX39HmI0va/3xK2v30OMt4Lj
hlzt6/fQwvFXda2Lf97/H64uZPg=
          "]]}, {
         Hue[0.9060679774997897, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.880722, 0.611041, 0.142051], 
          AbsoluteThickness[1.6], 
          Dashing[Large]], 
         Line[CompressedData["
1:eJw113c81vv7B3DcuLmte9Thy6E9lLbTlOuq09DRojqN00Kpo9MuTZSR0i5J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          "]]}, {
         Hue[0.1421359549995791, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.560181, 0.691569, 0.194885], 
          AbsoluteThickness[1.6], 
          Dashing[None]], 
         Line[CompressedData["
1:eJw113Vc1FkXBvAhho4JWWxUDLBQxDXxHIOFXQUFC4XlVawVCwMTDERs1AV1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          "]]}}}, {}, {}, {{}, {}}}, {
     DisplayFunction -> Identity, PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
      PlotRange -> {{0, 5.}, {0, 0.9999853896048928}}, PlotRangeClipping -> 
      True, ImagePadding -> All, DisplayFunction -> Identity, AspectRatio -> 
      GoldenRatio^(-1), Axes -> {True, True}, AxesLabel -> {"t", "CDF"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
             Part[#, 1]], 
            (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
             Part[#, 1]], 
            (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
             Part[#, 2]]}& )}}, 
      PlotRange -> {{0, 5.}, {0, 0.9999853896048928}}, PlotRangeClipping -> 
      True, PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      LineLegend[{
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[Medium]], 
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Dashing[Large]], 
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Dashing[
          Opacity[0]]]}, {"t=0.1", "t=1", "t=10"}, 
       LegendMarkers -> {{False, Automatic}, {False, Automatic}, {
         False, Automatic}}, Joined -> {True, True, True}, LabelStyle -> {}, 
       LegendLayout -> {"Column", {Automatic, 5}}]], {0.65, 0.5}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{3.790509657270359*^9, 3.7905128418307385`*^9, 
  3.790515928754469*^9, 3.7905162795229025`*^9, 3.790583500443406*^9, 
  3.790586692467072*^9},ExpressionUUID->"22f7aba2-8a04-45d7-a62d-\
0a012834bcae"],

Cell[BoxData["\<\"c:/temp/cdfplot-0-5.pdf\"\>"], "Output",
 CellChangeTimes->{3.790509657270359*^9, 3.7905128418307385`*^9, 
  3.790515928754469*^9, 3.7905162795229025`*^9, 3.790583500443406*^9, 
  3.7905866926545644`*^9},ExpressionUUID->"4e006dba-2fe7-42c7-bcb1-\
a135d680a258"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"-", " ", "initial"}]}]}]}]}]}]}]}], " ", 
     RowBox[{"state", ":", " ", "10"}]}], ",", " ", 
    RowBox[{"initial", " ", 
     RowBox[{"level", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"5", " ", "--"}], "--"}], "-", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"--", 
             RowBox[{"--", 
              RowBox[{"--", "-"}]}]}]}]}]}]}]}]}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"inlevel", "=", "5."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pisource", "=", 
     RowBox[{"UnitVector", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Dimensions", "[", 
         RowBox[{"Q", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "11"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "0.1"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cdf105", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "3", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf105", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf105", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "1"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf105", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf105", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", "10"}], ";", " ", 
    RowBox[{"tinit", "=", "t"}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cdf105", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", " ", 
      RowBox[{"i", "\[LessEqual]", " ", 
       RowBox[{"Length", "[", "finlevel", "]"}]}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"TotalRest", "=", 
        RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"rest1", "=", " ", 
        RowBox[{"ILT", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"s", ",", 
            RowBox[{"TransientFluidPWFiniteCDF", "[", 
             RowBox[{
             "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
              ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
              "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
              "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",",
               "inlevel", ",", 
              RowBox[{"finlevel", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "s"}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
          ",", "\"\<cme\>\"", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"TotalRest", ",", 
         RowBox[{"pisource", ".", 
          RowBox[{"rest1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ".", "onesum"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cdf105", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "i"}], "]"}], "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"finlevel", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Flatten", "[", "TotalRest", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.789810741207366*^9, 3.7898107581443644`*^9}, {
   3.789810938154638*^9, 3.7898109409983025`*^9}, {3.7898123115767107`*^9, 
   3.789812322873248*^9}, {3.789812464244049*^9, 3.7898125106020465`*^9}, {
   3.789812570998376*^9, 3.789812855958659*^9}, {3.7898129127538457`*^9, 
   3.789812924034758*^9}, {3.789812996345112*^9, 3.789812998798164*^9}, {
   3.7898130362345486`*^9, 3.789813107873046*^9}, 3.789813269555743*^9, {
   3.789813575531024*^9, 3.7898135800308924`*^9}, {3.7898141347956576`*^9, 
   3.7898141500920777`*^9}, {3.7898141925751905`*^9, 
   3.7898142099652987`*^9}, {3.7898142410581226`*^9, 
   3.7898142827287617`*^9}, {3.7904893066202593`*^9, 3.790489342728314*^9}, {
   3.7904895260184917`*^9, 3.790489526205985*^9}, {3.7904898897708263`*^9, 
   3.7904899455969086`*^9}, {3.790491926430786*^9, 3.7904919298056617`*^9}, {
   3.79050054815549*^9, 3.790500579169981*^9}, {3.790500649198672*^9, 
   3.790500654526601*^9}, {3.7905006909006987`*^9, 3.7905007230089025`*^9}, {
   3.790500769444706*^9, 3.79050077139776*^9}, {3.7905020703175926`*^9, 
   3.7905020752705364`*^9}, {3.7905022540452547`*^9, 
   3.7905022544358654`*^9}, {3.7905026208756013`*^9, 
   3.7905026227817817`*^9}, {3.7905058324986453`*^9, 3.790505872184696*^9}, {
   3.790505926573333*^9, 3.7905059590565205`*^9}, {3.7905060412878914`*^9, 
   3.7905060687556376`*^9}, {3.7905061196600275`*^9, 3.790506150846388*^9}, 
   3.790506340930846*^9, {3.790506596132905*^9, 3.790506603866996*^9}, {
   3.7905072178445597`*^9, 3.7905072674989977`*^9}, {3.7905073276217985`*^9, 
   3.7905074246182575`*^9}, {3.7905084401855345`*^9, 
   3.7905084594973297`*^9}, {3.7905084941210623`*^9, 3.790508508479912*^9}, {
   3.790508545119198*^9, 3.790508563306033*^9}, {3.7905086960824327`*^9, 
   3.7905087348153925`*^9}, {3.790514483462223*^9, 3.7905144842590685`*^9}, {
   3.791284151483388*^9, 3.7912841514953575`*^9}, {3.791284186096272*^9, 
   3.791284205838873*^9}},ExpressionUUID->"eed6f286-cd7a-49e0-b8cf-\
c2a5e9210e04"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"cdf105", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{"cdf105", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", 
     RowBox[{"cdf105", "[", 
      RowBox[{"[", "3", "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"Placed", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<t=0.1\>\"", ",", "\"\<t=1\>\"", ",", "\"\<t=10\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.9", ",", "0.5"}], "}"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<CDF\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
      RowBox[{"Dashing", "[", "Large", "]"}], ",", 
      RowBox[{"Dashing", "[", "None", "]"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<c:/temp/cdfplot-10-5.pdf\>\"", ",", "%"}], "]"}]}], "Input",
 CellChangeTimes->{{3.790506290510813*^9, 3.790506323462735*^9}, {
   3.7905066196164207`*^9, 3.7905066500059357`*^9}, {3.790507428165004*^9, 
   3.7905074414457674`*^9}, 3.790508135498533*^9, {3.7905085107454553`*^9, 
   3.79050852032323*^9}, {3.7905087391902313`*^9, 
   3.790508747455556*^9}},ExpressionUUID->"35e3456c-7334-4d45-9748-\
cbfd657ac1fb"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[Medium], 
       LineBox[CompressedData["
1:eJw113k8lF8bBnD7bswitBGStFNSzXLuQlIkUSg1oiQRqaSIZKlUKmvaEJJW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        "]]}, 
      {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[Large], 
       LineBox[CompressedData["
1:eJw113dcjf3/B/DGac9zThLuUMgKuW2Vzzujssu4SZLRbSalblqilGTcqKjI
uBWKkkiUGW1FaWrvcc5J0Z5++L5+1z89Tudcn+vzej3fZ1xaOw+t+1tCTEys
U1xM7Nff/z+ObQhco7xoCXNTe2hS7erN5g5wrOZ8NcXjQFbj67Z/p+5q9ny0
j9D8+Q2WvMNLlrvcDM+HM8kX+oo6r8zZ1ZBfRyTb2BxsKKu0Hq9/yHw2jutd
Z7qBicx//SeWtU0/4rfQeSPOj2PnlVPb59/+i8kXhdkbyj9j+rU1OaEZm7Be
AhNYTf7ToW0zm7z1wrvOSS9Z8xN74mhswfqvWYzL3FVzjCxZ+M+zi8LeMscU
X8XbtltxvSTmq+5R9vaqFZv1+3jPVDzL+ls/bMP1k1nIj8/6TGw7e9856ecV
UtgCzaq4zaHbsZ80Jnb62/ldC3ewdb8vmM7SJ3Q5u5fswP4y2KJDm9a+dt/J
ql1/LZjJjHcbHV2stQv7zWJnlPdM1krfxRx+bc8+mwlHxoY5ONhg/x9ZzjCO
2QrNv9n/NHLYKtOVtW8//I08OWxu16KjAvfdzPT3BXLZ5cs7bpXq7UG+X4/H
eEY07mG/rrb1wmem2BJZYvPfXuTNY4/ffR81fts+9jtOUR5zN1Q/1Ku5H/nz
2T6PPSndVfvZmF/bGV3A5musqZl57wD6KGCjz2j8nWhvy/bs/nUUMtNLNblh
hgfRTxFjrZEhYsp27Ndqag+LWFp5hFZttR36KmYyEfKZVgmHWNev5TqLmfVi
aVejFfbo7wt7sif75OMEe7bo94IlbL+LgYHCVAf0WcL22Z6o33DDgf3enk8p
C729OCuYfxj9lrG0mEfLq84cZtlZv44yprvMOmU2xxF9l7O51orPbh53ZMN+
b7CCde9YGjFl0BH9VzBf+5Y5le5O7PdyWytZXucLbtqQEzyq2Cn5AEmR1z/I
U8WujcwTbJI7Ap8qtrYv+I2a/xHkq2IFFq0BuppH4VXNVm/rCIy8fxR5q5na
QIfClYXO8Ktm+SePWw9kOSN/DRv53E6tcYcLPGvYjv++ftze64I+aljqQvf1
TgGu8K1l+warfHX13NBPLStfMNUp8JMbvGuZy+jwJc8c3NFXHeual7zslvox
+NexkOkTW7e8Pob+6tg0h+Ml3/d6YB7q2Uz3MxmO6sfRZz3bbiF9tzn1OOaj
nsW6bDDSMzyBfhuYeaPimsPBJzAvDcxiS7euUecJ9N3AkkUFE8PWe2J+GtmI
H7U3bjzxRP+NLN5vi9zCYV6Yp0bm2dLV6ebsBY8mNsrTW+FAuRc8mhh31D45
5aUn4dHExApmpx+IOgmPJlZoPGfhWXVveDSzb0cVbR29vOHRzORSVvpMbfOG
RzML6edlJFr7wEPAnjc/uTIp14dd/O0hYD53t+x3X3oKHgL2OT+x/FXCKXgI
2RuddxEder7wELJFe81uT7rvCw8hq9jS+XbHhNPwELHnUXGjIm6fhoeIaVnm
CCS1/eAhYhs/hZw+FuYHjxbWqLDisObEM/BoYcNZtako6gw8WpiOhvLn77PP
wuMrG2ug2bvgzVl4fGU+ht8+Za48B4+vrNJD8uLDknPwaGVHbO2ufT1wHh6t
rM9d3CPwx3l4tDJzR+uvkZf/hUcbM7ec+Gn+9AvI08beZ0zSW5lxAT5tzL89
994/sy4iXxtrEWVmXzp5EV5t7LG6n8WP/IvI28b2ifKfvJ94CX5t7OVKe+s6
t0vI/40J7hT37s69BM9vbP4oroH5JH/08Y15C5z6I074w/cbc7rnP8WpxB/9
fGP6saolz+cEwPsbG7K7tuCYfwD6+s6KK8qD09oC4P+dbeT57L1hFoj+vrNF
i9bqyz4OxPvzO1vMn5imMOwy+vzOKsataohxuYz5+M7UZvgF91deRr/tLH2h
C6fL5ArmpZ2VHi9zvht7BX23M+0lQwfVNIMwP+2sLE/X1+RMEPpvZzayywJN
eoMwT+1MN35dwB/7g+HRwU5nmTz+WBYMjw42uemD2W7zEHh0MIf9OhKitBB4
dDDbrcsu7KWr8OhgxyJre+oSr8Kjg1WfzXXZP+8aPDqYaOtOP4n4a/DoZIPW
khXxc0Ph0cmOX/xx6FJCKDw6meGQk3voouvw6GRGBSdO16Rch0cn0/pyz8Zu
7Q14dDLPYk+9laU34NHFTrrEbPPedxMeXezcM+2ECX034dHFxN5XP75ufAse
XWzsvVedey/dgkcXu/Xsyyi38lvw6GLHlkz5XDLlP3h0M6fhU3/86/IfPLrZ
bWfn1BsZ/8Gjm63d9P4cd9RteHQzm7m6A18P3oZHNyss5sqxd7fh0c2u+u/s
ltMIg0cPG5zkuX3zoTB49LDPJ3MWzEoPg0cPsxo9UBqmHQ6PHhajp64Q5xEO
jx62QDLix8GycHj0sGf5+fZl+nfg0cMqDOJuyl+/A49e9kxT2YYjdhcevayZ
F7Gw0OYuPHqZubjlxvMf7sKjl/nIzoieN/sePHoZ52Oyet2Ne/DoZdUSVha3
FSLg0cd2bCgxPekaAY8+9rZUpzZYGAGPPjaQ6+TQtS0Sn5d97KZCbfSj/Eh4
9LHowrFfy1fdh0cfqwl4t/5K2n149LMN07mSHUsfwKOfzf28cAc/5QE8+lm3
g3AL3zQKHv2s1tw5btjHKHj0s7Eh7TZsUzQ8+tkl16jB57XR8Bhgl14Vjolx
fAiPAfbPlHUS62Vi4DHAzGNz5EpvxMBjgFmO6kw00nwEjwH2gMcJMDn4CB4D
7Lj1K4PwN4/gMcBOzaKJnmqx8Bhk7rXG/oq2sfAYZGPdrGe5psbCY5DtncL5
Ljn+MTwGmdy8d68E3o/hMcjiZ6h4HW1+DI9B9vaTSH/A/Ak8hliym/LcgtdP
4DHEytu/2O/Xi4PHEJt+bovBzHtx8BhibzTVFR6OewqPIZblHeFz5O5TeAyx
2WLaTbP04uHxg/kl7XxyJykeHj/Y+3fDX4dbPoPHD5bvGfxY58czePxgQfsT
ZBdHP4fHDzZR/8W5P/ckwOPn89blp7ZNT4SHGN3wtkgdx3mBPGK09NhRl7bK
t/ARownTYtzu6iUhnxh5uedeD3JPgpcYKYwz3WaXksR+x90tRqPsyiyWK76D
nxhlT1h9stn8HT4ffp4/9sLw3Cvv4ClGV59Ebthc+g59iFF+0Jv1L8a8h68Y
jcxuXDHO5j36EaP7J61eRkW8h7cYaa1WDj7Q8h59iZNtMhs6+Gcy/MVJ8sAY
jddHk9GfOA0WLN6w61Uy5kGcyubr6O+STEGf4pTUumUoaXkK5kOcHDVOfPG6
mIJ+xemJms2GiKIUzIs4+bn62s8ek4q+xUktJit90p5UzI84HdlTfO9UTCr6
F6dajfEaa3tSMU/iZHHmXauXURo8JChoh+4X7bNp8JCglzd7LWYUpMFDgpLH
axdHjEmHhwTF3Zl248L+dHhI0DjnqxW1T9MxfxJ0Njwq/o54BjwkyLghTa9g
dQY8JEhw4KDx4asZ8JCg8K2t1e6NGfCQIJ2IxsqO2ZnwkCDl9e6qJV6Z8JCg
N6Yu83VzM+EhQf5cY55wzAd4SNJh/5dr1A99gIck9Y+tvxz9+gM8JMnO/Zrv
I+UseEhSYeyYl6Ots+AhSSs9Lyd3x2TBQ5KWujtN1RfPhockaWUJnJrWZcND
kqyNZ4/5EZ4ND0matqLxtkd3Njwkid2a77h7xUd4SBLXd97Q0+sf4SFJr4sk
om2/fYQHh0Rje2r9ln2CB4f83collK5+ggeHAuKl/+78+gkeHMrWf6GnpZ0D
Dw5Z1h2707sqBx4c2rhU57mkcw48OGTmr6zMft5n/s+DQ/92Xl3x4GMOPDg0
UWeJimlfDjw4FDPuWr+aTi48OKQ7zjKauy4XHhwKzdj91tAjFx4c2pOT9zH4
fi48pChyXJu9dlEuPKTozXkTwxLJz/CQom0Skelv9D7DQ4om+k+9+9nqMzyk
6I8Rs/bwzn6GhxStfeh0zeP5Z3hIUVp1X456w2d4SNGn7MmBJfw8eEjRK5n3
hzKM8uAhRV8PN4tqDuXBQ4qsBscH6NzIg4cURaza3RSQlQcPabK1kneY0p8H
D2naPLIipnlyPjykif9NSyd3cz48pOnVrvPrq3zz4SFNqdfWxas/y4eHNAkl
tT84NuTDQ5oM6qcpdQ8rgIc0+apM77q5rAAe0uRyZtfQwX8K4CFNaetCQ7ff
KYCHNMlOmGd8tKAAHtIU9NfEQ7FShfCQpn2ve/yU5xbCQ4YmPsyT+ffnff3/
PGTIpP/E5hlBhfCQoYI/7ATf0grhIUMGm2OnFPQUwkOGDDnKPsWTi+AhQ7zy
nl39W4rgIUOedqF6hueK4CFDshfK111/VQQPGZrRbj1zVGsRPGRodO6ZmfFj
i+Hx8/zr558dXFcMDxnKLLbRMfIuhocsxXRUVM6IL4aHLJmt+m/pgqZieMjS
rZnT4raO/AIPWdrPrT8XsuoLPGTJLYKr2+rxBR6yZGzW2LI19gs8ZEl7+9lp
NbVf8P0pS7q3RizzUC+Bx8/X50We11teAg9Z2rB+o3WPWwk8ZMk6yYBb8LAE
HrIUknm+N6W6BB6y9Gbo9MFMtVJ4yNHlF75J1Sal8JCjmskSyxXcSuEhR/zV
l/8yflgKDzky0ZEz8K8uhYcc/dP414qvamXwkCOOfkyuhWkZPOTINeSEVr5b
GTzkSPjk2OmtMWXwkKNAYdiG7zVl8JCjteVGeYHq5fCQI72+QbMlK8rhIUft
M8tHDB4rh4c8WUYvd0mKLYeHPM0LHJF4ob4cHvIU2HBZZ8+ICnjI0+0dnrIm
qyvgIU89jmMip3tWwEOeYgz1zTWfVsBDnqpuTV/Oa66AhzyFWzYXK2pWwkOe
NP7sMVE0r4SHPK3VPleu4lMJD3mSD/esUk+ohIc8De/aEzS2pRIe8rR/4dLx
V1Sr4KFANYNdoaFTquChQKWT4zeHLa2ChwKZ5K3vi9xWBQ8Fihf7d/wj5yp4
KNA+O57rU/8qeCjQrM1e1xOiquChQH7Ljsx8mVoFDwU6Wu5Z/LKqCh4KpJgw
b86Lvip4KNAyNk0Qr1YNDwX6+8RQSMz0angokI76usZw02p4KNJw2XKnKzur
4aFIp2N31590r4aHIs25n1Vqe6UaHookHyfdb/aoGh6KdPPelIYZmdXwUCTO
XnuSq6uGhyJNyZsTXTZYDQ9FykyQyIkcXgMPRRrMP7fKfmYNPBTp8dsXqTNW
1sBDkVI7omoabWrgoUjpyc+WBnvUwEORPlo4XKLgGngo0Zu4RwerYmvgoUSG
Uf4eRz/UwEOJ+tuO7ZOqr4GHEj1WmJjvN1QDDyXasDvQhqNRCw8lklipneQ0
sxYeSlQvOHWxZEUtPJTo4a5Clzk2tfBQovMpp8b7HKuFhxIdGuk0P+NKLTyU
KOBAnZX4o1p4KNHNzLOG0zJq4aFMlywunlhVUwsPZXJd92/Otv5aeCiTKS+0
aJdaHTyUSV1rDVlOq4OHMlUbvHi61LgOHspkYnOidox1HTyUSaU2+R/R0Tp4
KNNOq0Uj7l+sg4cy+VfMdtscWQcPZXJpOLW8O6kOHsqk6xr956mSOngok3D2
23pOex08lGmGpQvPUaEeHirEbV2wL2dcPTxUKC5d6dofBvXwUKELD2MsNm2o
h4cKcQ6f33TCth4eKtSlkmUS5F0PDxVKyFtZcS20Hh4qpOcR9el8XD08VCjx
sHmubVY9PFTIsfHvkPl19fBQob4/qiva+uvhoULC0DMWl/kN8FAhs2NDSROm
NsBDlW5Hx+b+t7gBeVTpyOquxXJbGuCjSp7yYrmWDg3Ip0qfzjXNCzndAC9V
chU+mZ10swF5VYk/c6NPXnwD/FTJV/S46VN2A/KrkkbBg9HxdQ3wVCUlt1FN
Pv0N6EOV/FQqpRmvEfczqnTGqMSwelIj+lGlxGkDZrasEd6q5HxgqVTVxkb0
pUpas9PHGtg24veDKu2KfLb/hFcj+lOl4Hm7HkQFN2IeVEl9glHU24eN6FOV
iNrnvUxuxHyoUkviqpE3SxrRryp9mLt57L62RsyLKh3gbNMYKd2Evn/mDxTk
xo5qwvyokvWUAk29mU3oX5W6C40/Bho3YZ5UaVlkUnylZRM8uLSbJkWpOjTB
g0tFD1K8J55qggeXou9u1Bh/rQkeXHJaqETSj5rgwSV+UVhhdnITPLiUULz1
ueuXJnhwqSKU+17xaxM8uLRey6DwpEQzPLg/fx9L5FWqN8ODS+ZRRqFjpzbj
/calIbtQdWPWDA8ujT91apLZ+mZ4cClQa0Pioj3N8OBSh9A0nuvWDA8u2eyM
kM34txkeXDpkmnbT5nYzPLjUZD3atu5pMzy4dN1j23bTjGZ4cGnNmFMOF8ua
4cGlkOs9V162NsODS6PmBmVmSQjgwSVv8TLZpGECeHDpu2a3WcgkATy49HHa
1/CN+gJ4cGm7+2u5rtUCePAoesDT13W7AB48EtoGTa49LIAHj+YPZg/N8BHA
g0ejUwNH7AgSwINHF7ymXzwSKYAHj+b1NrvbvxDAg0dHgqyH1mQL4MEj//q4
ebxKATx45Le5wSyxTQAPHj2y1zhqIiGEB4/K69rKEvhCePDo4VBPIneCEB48
CvtL3mztXCE8eHTWLq36sIkQHjyy4Gi/ct8shAePQpZ9m3twnxAePBp6fTVq
qasQHjx6fSTXW/KsEB4/13tySO/+NSE8eHRzkcPUBVFCePDo04VhQ49eCuHB
o7SeWYt42UJ48Igv+njRqlwIDx6JT+55ENAihAePbG5qWjwdFMKDT5WHK4++
VxLBg08L26+Kv9EUwYNPTusalCKnieDBJ923a4q9DEXw4NP2q+lpq1eL4MGn
CSMPOCtYieDBp6LyFemvbEXw4NOW4UFNu91F8OCT1JLzTnLnRPDgU6LO4YsR
10Tw4JOL+WW+6QMRPPjU5Xg2SZQoggef6p7vDA7NFMGDT3YHUvWtS0Tw4JPV
BbXTiwQiePDJJ+TBVpM+ETz4lGUW8/iMfAs8+DSkVao5ZlQLPPjU+Mq3Slu3
BR58cg0Qfnht2AIPPm3zstSfYtYCDz6Fta4OerSrBR58ur5JrPu5cws8+DTT
6P6TnAst8OBTyJ1mtcTIFniokYa41BHntBb2f6flm1U=
        "]]}, 
      {RGBColor[0.560181, 0.691569, 0.194885], PointSize[
       0.006944444444444445], AbsoluteThickness[1.6], Dashing[None], 
       LineBox[CompressedData["
1:eJw113k81NsbB/Ax9n2WSrql5VJaFKJU9+d5hPZNWqh0VdpooX1xSfuuRako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        "]]}}, {}, {}, {{}, {}}}, InsetBox[
     TemplateBox[{"\"t=0.1\"","\"t=1\"","\"t=10\""},
      "LineLegend",
      DisplayFunction->(FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[Medium]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[Medium]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Dashing[Large]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Dashing[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[
                    Opacity[0]]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.0625], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[
                    Opacity[0]]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ),
      Editable->True,
      InterpretationFunction:>(RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Medium", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Large", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.006944444444444445`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", 
                    RowBox[{"Opacity", "[", "0", "]"}], "]"}]}], "]"}]}], 
             "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True", ",", "True"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
     Scaled[{0.9, 0.5}], ImageScaled[{0.5, 0.5}],
     BaseStyle->{FontSize -> Larger},
     FormatType->StandardForm]},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"t\"", TraditionalForm], 
     FormBox["\"CDF\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
          Part[#, 1]], 
         (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
          Part[#, 1]], 
         (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0, 5.}, {0, 0.9997345883410134}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[Medium]], 
         Line[CompressedData["
1:eJw113k8lF8bBnD7bswitBGStFNSzXLuQlIkUSg1oiQRqaSIZKlUKmvaEJJW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          "]]}, {
         Hue[0.9060679774997897, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.880722, 0.611041, 0.142051], 
          AbsoluteThickness[1.6], 
          Dashing[Large]], 
         Line[CompressedData["
1:eJw113dcjf3/B/DGac9zThLuUMgKuW2Vzzujssu4SZLRbSalblqilGTcqKjI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          "]]}, {
         Hue[0.1421359549995791, 0.6, 0.6], 
         Directive[
          PointSize[0.006944444444444445], 
          RGBColor[0.560181, 0.691569, 0.194885], 
          AbsoluteThickness[1.6], 
          Dashing[None]], 
         Line[CompressedData["
1:eJw113k81NsbB/Ax9n2WSrql5VJaFKJU9+d5hPZNWqh0VdpooX1xSfuuRako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          "]]}}}, {}, {}, {{}, {}}}, {
     DisplayFunction -> Identity, PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
      PlotRange -> {{0, 5.}, {0, 0.9997345883410134}}, PlotRangeClipping -> 
      True, ImagePadding -> All, DisplayFunction -> Identity, AspectRatio -> 
      GoldenRatio^(-1), Axes -> {True, True}, AxesLabel -> {"t", "CDF"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
             Part[#, 1]], 
            (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
             Part[#, 1]], 
            (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
             Part[#, 2]]}& )}}, 
      PlotRange -> {{0, 5.}, {0, 0.9997345883410134}}, PlotRangeClipping -> 
      True, PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      LineLegend[{
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[Medium]], 
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Dashing[Large]], 
        Directive[
         PointSize[0.006944444444444445], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Dashing[
          Opacity[0]]]}, {"t=0.1", "t=1", "t=10"}, 
       LegendMarkers -> {{False, Automatic}, {False, Automatic}, {
         False, Automatic}}, Joined -> {True, True, True}, LabelStyle -> {}, 
       LegendLayout -> "Column"]], {0.9, 0.5}, Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{3.790509966571558*^9, 3.7905159409102764`*^9, 
  3.7905162913349705`*^9, 
  3.7905865329094152`*^9},ExpressionUUID->"02266aa0-b280-474b-a696-\
0e4bccb38828"],

Cell[BoxData["\<\"c:/temp/cdfplot-10-5.pdf\"\>"], "Output",
 CellChangeTimes->{3.790509966571558*^9, 3.7905159409102764`*^9, 
  3.7905162913349705`*^9, 
  3.790586533128161*^9},ExpressionUUID->"fe72ff7a-d597-464b-8739-\
f4ad872beaa1"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", 
    RowBox[{"\[Equal]", " ", 
     RowBox[{"Return", " ", "time", " ", "of", " ", "level", " ", "2"}]}], 
    " ", "===", "===", 
    RowBox[{"==", 
     RowBox[{"===", "===", "\[Equal]"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.790513052276173*^9, 3.790513109352216*^9}, {
  3.7905140121044455`*^9, 
  3.790514034291135*^9}},ExpressionUUID->"966acd05-c4ec-4934-b964-\
053d3e68b5aa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", "mean"}]}]}]}], " ", "return", " ", "time", " ", 
     "based", " ", "on", " ", "the", " ", "derivative", " ", "at", " ", "s"}],
     "=", 
    RowBox[{
     RowBox[{
      RowBox[{"0", " ", "--"}], "--"}], "--"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ss", "=", "0.000001"}], ";", 
    RowBox[{"mm", "=", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"CMPWF", "[", 
           RowBox[{
           "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
            "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
            "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
            "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", 
            "2", ",", "2", ",", 
            RowBox[{"2", " ", "ss"}], ",", "\"\<Y\>\""}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], "-", 
         RowBox[{
          RowBox[{"CMPWF", "[", 
           RowBox[{
           "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", 
            "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", 
            "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
            "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", ",", 
            "2", ",", "2", ",", "ss", ",", "\"\<Y\>\""}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "/", "ss"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Total", "[", 
    RowBox[{"Transpose", "[", "mm", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.79051317600603*^9, 3.790513207567644*^9}, {
   3.790513239707097*^9, 3.7905134410996685`*^9}, {3.7905138422568855`*^9, 
   3.790513847553567*^9}, 3.7905138934425154`*^9, {3.790513928784974*^9, 
   3.7905139977612195`*^9}, {3.790514038353486*^9, 3.790514038744097*^9}, {
   3.7912841515123568`*^9, 3.791284151516347*^9}, {3.7912841861471815`*^9, 
   3.7912842058717813`*^9}, {3.7912850840138016`*^9, 3.791285084021823*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"c8347460-c61b-4640-ae0d-53c3081bed7f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.`", ",", "0.`", ",", "0.`", ",", "0.`", ",", "0.`", ",", "0.`", ",", 
   "0.21724599240835646`", ",", "0.40067540983549155`", ",", 
   "0.5520021412867316`", ",", "0.6881649784315145`", ",", 
   "0.8161976904593262`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7905132082863684`*^9, 3.790513247503686*^9, {3.7905132962179503`*^9, 
   3.790513411444501*^9}, 3.790513445037024*^9, 3.790513848662901*^9, {
   3.7905139963550196`*^9, 3.790513998151829*^9}, 3.790515941144642*^9, 
   3.7905162915849614`*^9, 3.7905865331594114`*^9, 3.791831879329471*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"9585b452-7a68-48d5-b23e-bbc5e34bef19"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"-", " ", "return"}]}]}]}], " ", "time", " ", "distribution", 
    " ", "based", " ", "on", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"ILT", " ", "--"}], "--"}], "--"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"t", "=", 
     RowBox[{"5", "/", "10"}]}], ";", " ", 
    RowBox[{"tinit", "=", 
     RowBox[{"1", "/", "1000"}]}], ";", " ", 
    RowBox[{"step", "=", 
     RowBox[{"1", "/", "100"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res6", "=", " ", 
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"ILT", "[", 
        RowBox[{
         RowBox[{"Function", "[", 
          RowBox[{"s", ",", 
           RowBox[{
            RowBox[{
             RowBox[{"CMPWF", "[", 
              RowBox[{
              "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
               ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",",
                "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
               "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", 
               ",", "2", ",", "2", ",", "s", ",", "\"\<Y\>\""}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], "[", 
            RowBox[{"[", "7", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"Range", "[", 
          RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
         ",", "\"\<cme\>\"", ",", "prec"}], "]"}], ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"linex6", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Range", "[", 
         RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", "res6"}], 
       "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res7", "=", " ", 
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"ILT", "[", 
        RowBox[{
         RowBox[{"Function", "[", 
          RowBox[{"s", ",", 
           RowBox[{
            RowBox[{
             RowBox[{"CMPWF", "[", 
              RowBox[{
              "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
               ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",",
                "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
               "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", 
               ",", "2", ",", "2", ",", "s", ",", "\"\<Y\>\""}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], "[", 
            RowBox[{"[", "8", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"Range", "[", 
          RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
         ",", "\"\<cme\>\"", ",", "prec"}], "]"}], ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"linex7", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Range", "[", 
         RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", "res7"}], 
       "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res8", "=", " ", 
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"ILT", "[", 
        RowBox[{
         RowBox[{"Function", "[", 
          RowBox[{"s", ",", 
           RowBox[{
            RowBox[{
             RowBox[{"CMPWF", "[", 
              RowBox[{
              "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
               ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",",
                "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
               "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", 
               ",", "2", ",", "2", ",", "s", ",", "\"\<Y\>\""}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], "[", 
            RowBox[{"[", "9", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"Range", "[", 
          RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
         ",", "\"\<cme\>\"", ",", "prec"}], "]"}], ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"linex8", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Range", "[", 
         RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", "res8"}], 
       "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res9", "=", " ", 
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"ILT", "[", 
        RowBox[{
         RowBox[{"Function", "[", 
          RowBox[{"s", ",", 
           RowBox[{
            RowBox[{
             RowBox[{"CMPWF", "[", 
              RowBox[{
              "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
               ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",",
                "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
               "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", 
               ",", "2", ",", "2", ",", "s", ",", "\"\<Y\>\""}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], "[", 
            RowBox[{"[", "10", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"Range", "[", 
          RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
         ",", "\"\<cme\>\"", ",", "prec"}], "]"}], ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"linex9", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Range", "[", 
         RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", "res9"}], 
       "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res10", "=", " ", 
     RowBox[{"Total", "[", 
      RowBox[{
       RowBox[{"ILT", "[", 
        RowBox[{
         RowBox[{"Function", "[", 
          RowBox[{"s", ",", 
           RowBox[{
            RowBox[{
             RowBox[{"CMPWF", "[", 
              RowBox[{
              "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", 
               ",", "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",",
                "Sconst", ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", 
               "Sconstm", ",", "Np", ",", "Nm", ",", "Nz", ",", "Tfinite", 
               ",", "2", ",", "2", ",", "s", ",", "\"\<Y\>\""}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], "[", 
            RowBox[{"[", "11", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"Range", "[", 
          RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", " ", "10", 
         ",", "\"\<cme\>\"", ",", "prec"}], "]"}], ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"linex10", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Range", "[", 
         RowBox[{"tinit", ",", "t", ",", "step"}], "]"}], ",", "res10"}], 
       "}"}], "]"}]}], ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7897095912546597`*^9, 3.789709591623637*^9}, {
   3.7897096726145997`*^9, 3.7897097193572855`*^9}, 3.7897097558262157`*^9, {
   3.7897098092540584`*^9, 3.7897098112579136`*^9}, 3.789709855001871*^9, {
   3.7905070944428186`*^9, 3.790507096083384*^9}, {3.7905071331757784`*^9, 
   3.7905071619091053`*^9}, {3.790507521911577*^9, 3.7905075717535057`*^9}, {
   3.790507645078952*^9, 3.790507645110201*^9}, {3.790507688093005*^9, 
   3.7905076892335863`*^9}, {3.7905077384661646`*^9, 3.790507778152215*^9}, {
   3.790507852462*^9, 3.790507904241358*^9}, {3.7905079430524397`*^9, 
   3.790508052814054*^9}, {3.790508083719175*^9, 3.7905080961093473`*^9}, {
   3.7905087533459654`*^9, 3.790508754908409*^9}, {3.7905130219022875`*^9, 
   3.7905130258708897`*^9}, {3.790514050649912*^9, 3.790514076180229*^9}, {
   3.7912841515283146`*^9, 3.791284151553234*^9}, {3.791284186182088*^9, 
   3.791284205951559*^9}, {3.791285084054848*^9, 3.7912850841275034`*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"79685018-5265-40cb-928d-50e9ed6b8e33"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "linex6", ",", "linex7", ",", " ", "linex8", ",", "linex9", ",", 
     "linex10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"Placed", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<State 6\>\"", ",", "\"\<State 7\>\"", ",", "\"\<State 8\>\"", 
        ",", "\"\<State 9\>\"", ",", "\"\<State 10\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.85", ",", "0.6"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<PDF\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Dashing", "[", "None", "]"}], ",", 
      RowBox[{"Dashing", "[", "Tiny", "]"}], ",", 
      RowBox[{"Dashing", "[", "Small", "]"}], ",", 
      RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
      RowBox[{"Dashing", "[", "Large", "]"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<c:/temp/return-all.pdf\>\"", ",", "%"}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7897101033011327`*^9, 3.789710136054513*^9}, {
   3.7897103895056677`*^9, 3.789710399342824*^9}, {3.7897105678681335`*^9, 
   3.7897105797267137`*^9}, {3.7897106670802526`*^9, 
   3.7897107090753827`*^9}, {3.7897107453194585`*^9, 
   3.7897107508765755`*^9}, {3.789710810647547*^9, 3.789710812818243*^9}, {
   3.7897108577684383`*^9, 3.789710889944273*^9}, {3.7897109371898108`*^9, 
   3.7897109859000907`*^9}, {3.789711041531091*^9, 3.789711048285017*^9}, {
   3.789711503041481*^9, 3.7897115227406235`*^9}, {3.789711579257393*^9, 
   3.789711602541663*^9}, {3.7897117253297997`*^9, 3.7897117920025578`*^9}, {
   3.7897118918032627`*^9, 3.7897120011323338`*^9}, {3.7897120397446346`*^9, 
   3.7897120651617393`*^9}, {3.789713753749175*^9, 3.789713819418993*^9}, {
   3.78971388529193*^9, 3.789713892541703*^9}, {3.7897139677893467`*^9, 
   3.7897139755234795`*^9}, {3.7897144218376274`*^9, 
   3.7897144720391808`*^9}, {3.7905078416186433`*^9, 
   3.7905078421186275`*^9}, {3.7905080605481462`*^9, 3.790508061095002*^9}, 
   3.790508113155597*^9, {3.790573299287064*^9, 
   3.7905733114585695`*^9}},ExpressionUUID->"f7e74693-1f2d-4423-bc87-\
4f9efdfdac43"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.011111111111111112`], AbsoluteThickness[1.6], Dashing[None], 
       LineBox[CompressedData["
1:eJwlUnkwlGEcls3ROKIS40hYx6gdR7kmPN9IzUhiWjmaYcqoEZoajGqGZspg
8EfJ6LBIEznSODJsOcaIrBQrdtfuWsdKS2pdyT36vm//eOed3++Z531+7/N7
rGJuXbymrqam5koe6t6uXvoeFBMCiaW27vUMe+JjgK76sewsbDpkWTxwtSHM
nGRMzQeFuPz++AA315KI8GripXa8hKPvyeRSG1Oi/9WZ5pWdcmja+VRJ5UbE
nJ2Ldq15DXihqS/k2QcIsrgce6oOJjdkYk77fqLAZG+YPqsRxk9Yi3PpOoSN
dON+fFsT3FtHOMuG2kRjyULl58AWDBS4NbQGaBB+V2b41tIPYCiMxe1qDGLI
miagPaW0y8VsD0HDGx2o6U0LlmvtYp09XcHp7kSLc25tzaVtwC2a/FIXPCvG
z61qbiL7sHhgjf0JbZVGG+Xa6xhcowm4fX3xsTzwH4wpeLoHI7ZFzIM9fxFN
G9ILu6qzhYYJK3jD6T5an8RDmHLWv8h9Gco0SqEPhlPFC1KrJZWcej/uBg3p
Mx0WkU53viLrhPkl5CnRQ7Lj8r9B2HG1OUz5G5Tb5EhwzHH3jUqZRw21DgM+
zsfrh++a/MKFGAPScj7WytO8OaOzWKbgiCEMOvoxLOsVeHo6L1GxNQSfubrV
P8U/oVrPd/BGs3L7i2dAb+/0MNwK8PbLux8gC5IwDG54TAgxMA1bCs4bQVmU
Uwt3W44+km3qJECo/XSZ0kOOm4otMiECMELzWd33p2BAB0AIT4Vwx5s/CVrO
VIS4JG7kvWOTUOVDhEPtmxdjLSegytcoPIhO54R1GcpMqUCJkRk5+JA3OQZ/
avxqMdySc4uiRFLQckESvI4LlNhLJaDhJQkmnzX4+8yLoYqjFBYaJXl95DvD
lB1eY5DwmnN0WKO4Q40vG0NjMNuIHSWCKr8yLGU8OrL7VAgaZo5DmLlPL00s
AG0vbxzcpudsP6YAtB2JE9Ar0HIVpI7gP8svjGI=
        "]]}, 
      {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
       0.011111111111111112`], AbsoluteThickness[1.6], Dashing[Tiny], 
       LineBox[CompressedData["
1:eJwtUmswlGEYXWspkfQjaqVsSSlSlEnU+ULJuIxpI61mx5JJjUu60ExsiRBj
yujyQ6tMSYymdatJolmXbHLdUmyLGbGVyLJhWVvf9+nHO+8875kz57znOZzw
uCORTAaD4UQe6taWqLr9wwNRYXTI96ygGjU+JsxtGelw511eVb1rFJaOChvD
lDvo5duVL4+fQYhrVUtC3QPcPmQSW/leh9bCgy+mFh5jyeBrFU+jR/yw3bm0
bG0peCkS/fFifYIceCfdnqPKPMHz2SMWkbeaFWzqUAFBpm5lyWoDYqNcIzxT
W4VHV489VWw1ICpEv4ubfV9iwbqfkzPNIjzChjs3yF9B5dXpzM1lEV0baALU
f08diDBmETSsqcPRm23Xys/qE7PcoaL8xrdoz2xnTEiZBHbzyS9J4FJn6RJq
xSQyzHvbZ7gN8LYyOc2L0yM6ZmgCgl9bVcxJGIQFBQ81YY+2Zt6XzSD4dCDv
MHSrfo3/mA5P8hutxedaMCu87vKmfAHjSZSCFDV3u3I/XtMuyjFbITVNnJgL
m0cy/fIBAiPfze5+c2gi2VG5bcjjhqRGemlApU1aQkFslI7tM4tSah1mnVC3
rogfOT6DgHAzMvJOBARZCDwSpjFJwSFdELh9EBWK/uCuZ3a0cr4LzkF5WRc6
1FhcTzci4zm19sZq0NvzlEG05UYYAqdADiRBhtSoHqltwSQ2UXD2Rwhl60Mj
1CpISTbb8RP4TmmGSUdUiFHOkw35hPrB5mTdywmY0QXogfj8T4crNhOg5dif
sVEh3u7k+Pt/Pz5j2WjIOjlnHIv9+oI0593D3tZjeMimCtWLspisom67X/Ci
7Jf0wjJRvndw3yhoOf8+lN4zyx4I/QkaVvXhhPii/HDqDyzWUY50yQ57UeV3
yKg4XL8ivbs1P/KXEomUfcVXBHRUypwclP/7q4DfmInw/sUR0LBNP9T7vzUS
TcOg423pR05NZl+D5TDoOKIHcFRbntVx6Rv+AdF7jFE=
        "]]}, 
      {RGBColor[0.560181, 0.691569, 0.194885], PointSize[
       0.011111111111111112`], AbsoluteThickness[1.6], Dashing[Small], 
       LineBox[CompressedData["
1:eJwtUmss1WEcllRWGJNL+CC3lHJpSmdnehpJkUudJiuJM5mZy/jgrFJbbZhR
piJzy/2WjUmEnBXnFDtux3E7Lkdzl1zOwblS/f9/Prx793ufPXue9/k9J5mx
tx+pq6mpnScOee9Uiwd9mP4Q6vEEdbb2aL2hpW6XkgybqESJh34RTB2mrA6/
yEJIBzfUYKUdgbTGrgT2B0x8YRQk5fSDV+zRtLlbBusBWnOQTIhlGyfNWrMa
fI7LVbx6OQNiuBdGr4Nvnd8TtuES3hprBOica4DjWBi7LHYVlhOK55FfG+GW
bsZrtRejoWC98od3M2pcxladmZtwC5kfsJhoQcVFPbrIext8C4qAhLCjySW/
paBgBRtlmsvvZVfkkDNmy/M43yBarvBPYiiAC8HElzqw8HjZw85WiRRDYZ+M
0Yk59znGLa4S/TKKAE69IinOSQUjEp7lwnP2UEhPvArBVCA/oQ9pJj1DhYo8
jnl9fBfYv4oWTqSrsJZIKnSDvlOdRYtR7cmp88D72Lg7S1PhGfXSg+gGT/q0
RAkuwY7I7EWh57glK18JMm3CEpYa3aUpNCVqyHXoDuB4pV1pao8CvkxdIvIB
3HQ1leXeVUBCwoF8ZKdmuKRPypHtnha1qOLjXf7T7aUgOfbWMwiOR4JcbVwG
anvuAlzPt6Bv3JGBGAiCAKezm/6W90lhTcJpQ3jAvn9wxVOKboJt4jCMU14+
svDv24heVBENGUZnrZ9jOX0bulQBRmBu7dVp3LwFSs5kFAkuGtrmzlv7/RhF
ZGFL+5FPm9jr1xhGuKUsbedNFJmQhRJiQW9Nh9kswVXSfrUQxW3zLDtXCSg5
n3EI9KtikrliULB4HP+uWc6k+IuxV8cJGJVIzlwWbUBAxkGbxJshlkFDzAZY
pP2pSURkvuYuHtjY7+8UesOrJGyHdVCwlQiX+mMeng1dAxVvlwj8trporZxV
UHFETeNYWoC339Af/Ae6nJ2r
        "]]}, 
      {RGBColor[0.922526, 0.385626, 0.209179], PointSize[
       0.011111111111111112`], AbsoluteThickness[1.6], Dashing[Medium], 
       LineBox[CompressedData["
1:eJwtUnsslXEYNpkd1oVVmGgSpZ2dlM2klscttDoYU6eYZLlMR2dZDt3cS6GV
7DScSbnGTJJLmklyHXLcznE95lJniDqXz730fR9//Pbb+z579rzv8z6HAnle
QepqampW5KP+jRJ5HzvQEx7CifT6T5l2n8/vVGcmP4a2VBJQkOOGA5bjZprx
AnwN/rf04vRdcGyr2vkNudBWT+NmRwvQ+fZcjfJvASrcOE4GoneYPXKSUWZU
ChtuhvN1Ri3I4uqNM+8ROpi9Z/llEzIMNC7tZlWCyXTgPWN24vDoakxYfRWK
wDyVGdeHypzfxa0XaqGxUR7JlkrgGPBDZDpaB6G3+62lhHH0mtIESBe8fHvy
JkHDqw0QG1nrGsfPYMV7ulDY3IhEy3J7F7YMsPYnV2rCz5r+D6z1WSTrDX9f
9v6GqSxDDUH8L/Qs0wRo3XmiPTS8CH0Knm7BvGtYbGfsH/jThrTBSLxQzYqW
o0jYbFIR0Y4vgu6aXB8FFh9QCh0YcD4xwzZQbsmpk3vVWggmGpV4SHe6kCFI
qbvsqUILyQ5N74YVp42/1qYC5TY5Eqp0L3JtjhEopc6hI4JesPhoZiQB90Ad
0nIRGPeeOlaWE1BQMKcXRV0HXxuJCbxySuXK1nuxXFphH7JAYOs8fVhzDL6y
f4kAfT2nfnBjzDWz5ATIgiT0IyKxOs5zkoA5BacOIOE4LySplUAHyTa0HERx
uMVUcB6BcNk6mZBB5Hta8fbyCejQARCjNoJgPXckQMsZSqBZvJnUwSC28yFB
QspFRk6HClv5GkKO0DdF9EiFN4ZUoIZRzQl1NbBTwZkav2QYpZwVY32lErQc
ewQaJvs6rxUqQcPyEfjObZryfZTYiuMoZEEuDqIdSvRTdtiOgXc2qkxSoUAU
Nf74GPTmrW7O+Sm28zsOr9ldWn4MBWjYTAoW0lL4H+Wg7W2XwvL2psd9fzlo
O7gTaBDyZflacvwHNXSTUw==
        "]]}, 
      {RGBColor[0.528488, 0.470624, 0.701351], PointSize[
       0.011111111111111112`], AbsoluteThickness[1.6], Dashing[Large], 
       LineBox[CompressedData["
1:eJwtUnsslWEcllkpptMfKUS5ZApJK82Kp7lsyTSjpJu5hJOIKUqTFaKx5Hps
KZchMZcylym3I5fDcTkcnJzjHOkk6uTyfSYZpe/7Tn+8e/d7nz17nvf5PYb+
4R6BqioqKseoQ98b5cSIm787Ss+M24W3bdi9d9FUNU9OAldhZu2/Mm+vZyU1
2fo4B/bsnBbXoaPwtq3jRbcWYP8WbnmC0Av8IueG5T8lYLOvXu8JjsR3U2v1
yn0VkMbbVHYZJoEartw4VYMp87JbxRocZO1V89KyrIWHrD1/xbEYxpK1uJDm
Ouysdh99yqlG7avFsm7XRlzQX8jvSG+Ag++MwEjSBJbfcOXLsDYMGzEExAew
CvK/doKB11qxSnQ7tLX04benvDSvsx2x6dvSXbIFwAkf6ksdMG+6FqmhNopk
7YnBVc+PqDdOWZjOF2FolSHgc5Gl0/OLEuyhYXkXLOTurGidKfgwgfRgd+ZJ
UeLtabzO6zzwNpIHl8ZHMZrn5FiIpRV6wVNIczd0ZpRyqnwojkvF/IlveMi8
9MPMsHDyw5M5dFFsdsYAUoz5CoHuD9BpU5Yg+yKVdHIUqKDXwRKghjPd+Gv1
J877s6jIBTg8G9XnbbcAkoa9hyFk9Wv7BC2C45gaOrs+jOCS3O13bZegXM8I
Eo2FeS/eLYHZnqMQ1b2lvnN6BKiBIgghbl4muPcJHKTh1FHExw04lPAI9FJs
XasxmLae7jLQJBE2u041ZAzOFoc8Bx1JsJgCjIMfaC7wjiDByOmKwD47EH0z
k/zfDxHWnkm4VRUklP36hJmM8umRJhKFunShJpBdc6QqoZ2EE22/fAJWu6I3
g9pIMHJuYnjc6Y40aCTBwIQYiZd2hDq/IaGsowTq8wiJyCIhpOOwncRA4d80
ixgS92j70knos/28Ni+TUPZXCu1QUVSQDQkGNpEhLfOBWKRFgomXJ4NbckY7
V06AiSN0CgEWAllKPYF/GXOfRg==
        "]]}}, {}, {}, {{}, {}}}, InsetBox[
     TemplateBox[{
      "\"State 6\"","\"State 7\"","\"State 8\"","\"State 9\"","\"State 10\""},
      "LineLegend",
      DisplayFunction->(FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[
                    Opacity[0]]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[
                    Opacity[0]]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Dashing[Tiny]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Dashing[Tiny]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[Small]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Dashing[Small]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6], 
                    Dashing[Medium]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6], 
                    Dashing[Medium]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #4}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6], 
                    Dashing[Large]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6], 
                    Dashing[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #5}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ),
      Editable->True,
      InterpretationFunction:>(RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.011111111111111112`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", 
                    RowBox[{"Opacity", "[", "0", "]"}], "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.011111111111111112`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Tiny", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.011111111111111112`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.560181, 0.691569, 0.194885]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Small", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.011111111111111112`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.6150173333333333, 0.25708400000000003`, 
                    0.13945266666666667`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.922526, 0.385626, 0.209179]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.922526, 0.385626, 0.209179]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.922526, 0.385626, 0.209179], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Medium", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.011111111111111112`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.3523253333333333, 0.3137493333333333, 
                    0.46756733333333333`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    "RGBColor[0.528488, 0.470624, 0.701351]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.528488, 0.470624, 0.701351]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.528488, 0.470624, 0.701351], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", "Large", "]"}]}], "]"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               
               RowBox[{
                "True", ",", "True", ",", "True", ",", "True", ",", "True"}], 
               "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
     Scaled[{0.85, 0.6}], ImageScaled[{0.5, 0.5}],
     BaseStyle->{FontSize -> Larger},
     FormatType->StandardForm]},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"t\"", TraditionalForm], 
     FormBox["\"PDF\"", TraditionalForm]},
   AxesOrigin->{0., 0.},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
          Part[#, 1]], 
         (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
          Part[#, 1]], 
         (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 0.491}, {0., 11.756637931815863`}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.011111111111111112`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[None]], 
         Line[CompressedData["
1:eJwlUnkwlGEcls3ROKIS40hYx6gdR7kmPN9IzUhiWjmaYcqoEZoajGqGZspg
8EfJ6LBIEznSODJsOcaIrBQrdtfuWsdKS2pdyT36vm//eOed3++Z531+7/N7
rGJuXbymrqam5koe6t6uXvoeFBMCiaW27vUMe+JjgK76sewsbDpkWTxwtSHM
nGRMzQeFuPz++AA315KI8GripXa8hKPvyeRSG1Oi/9WZ5pWdcmja+VRJ5UbE
nJ2Ldq15DXihqS/k2QcIsrgce6oOJjdkYk77fqLAZG+YPqsRxk9Yi3PpOoSN
dON+fFsT3FtHOMuG2kRjyULl58AWDBS4NbQGaBB+V2b41tIPYCiMxe1qDGLI
miagPaW0y8VsD0HDGx2o6U0LlmvtYp09XcHp7kSLc25tzaVtwC2a/FIXPCvG
z61qbiL7sHhgjf0JbZVGG+Xa6xhcowm4fX3xsTzwH4wpeLoHI7ZFzIM9fxFN
G9ILu6qzhYYJK3jD6T5an8RDmHLWv8h9Gco0SqEPhlPFC1KrJZWcej/uBg3p
Mx0WkU53viLrhPkl5CnRQ7Lj8r9B2HG1OUz5G5Tb5EhwzHH3jUqZRw21DgM+
zsfrh++a/MKFGAPScj7WytO8OaOzWKbgiCEMOvoxLOsVeHo6L1GxNQSfubrV
P8U/oVrPd/BGs3L7i2dAb+/0MNwK8PbLux8gC5IwDG54TAgxMA1bCs4bQVmU
Uwt3W44+km3qJECo/XSZ0kOOm4otMiECMELzWd33p2BAB0AIT4Vwx5s/CVrO
VIS4JG7kvWOTUOVDhEPtmxdjLSegytcoPIhO54R1GcpMqUCJkRk5+JA3OQZ/
avxqMdySc4uiRFLQckESvI4LlNhLJaDhJQkmnzX4+8yLoYqjFBYaJXl95DvD
lB1eY5DwmnN0WKO4Q40vG0NjMNuIHSWCKr8yLGU8OrL7VAgaZo5DmLlPL00s
AG0vbxzcpudsP6YAtB2JE9Ar0HIVpI7gP8svjGI=
          "]]}, {
         Hue[0.9060679774997897, 0.6, 0.6], 
         Directive[
          PointSize[0.011111111111111112`], 
          RGBColor[0.880722, 0.611041, 0.142051], 
          AbsoluteThickness[1.6], 
          Dashing[Tiny]], 
         Line[CompressedData["
1:eJwtUmswlGEYXWspkfQjaqVsSSlSlEnU+ULJuIxpI61mx5JJjUu60ExsiRBj
yujyQ6tMSYymdatJolmXbHLdUmyLGbGVyLJhWVvf9+nHO+8875kz57znOZzw
uCORTAaD4UQe6taWqLr9wwNRYXTI96ygGjU+JsxtGelw511eVb1rFJaOChvD
lDvo5duVL4+fQYhrVUtC3QPcPmQSW/leh9bCgy+mFh5jyeBrFU+jR/yw3bm0
bG0peCkS/fFifYIceCfdnqPKPMHz2SMWkbeaFWzqUAFBpm5lyWoDYqNcIzxT
W4VHV489VWw1ICpEv4ubfV9iwbqfkzPNIjzChjs3yF9B5dXpzM1lEV0baALU
f08diDBmETSsqcPRm23Xys/qE7PcoaL8xrdoz2xnTEiZBHbzyS9J4FJn6RJq
xSQyzHvbZ7gN8LYyOc2L0yM6ZmgCgl9bVcxJGIQFBQ81YY+2Zt6XzSD4dCDv
MHSrfo3/mA5P8hutxedaMCu87vKmfAHjSZSCFDV3u3I/XtMuyjFbITVNnJgL
m0cy/fIBAiPfze5+c2gi2VG5bcjjhqRGemlApU1aQkFslI7tM4tSah1mnVC3
rogfOT6DgHAzMvJOBARZCDwSpjFJwSFdELh9EBWK/uCuZ3a0cr4LzkF5WRc6
1FhcTzci4zm19sZq0NvzlEG05UYYAqdADiRBhtSoHqltwSQ2UXD2Rwhl60Mj
1CpISTbb8RP4TmmGSUdUiFHOkw35hPrB5mTdywmY0QXogfj8T4crNhOg5dif
sVEh3u7k+Pt/Pz5j2WjIOjlnHIv9+oI0593D3tZjeMimCtWLspisom67X/Ci
7Jf0wjJRvndw3yhoOf8+lN4zyx4I/QkaVvXhhPii/HDqDyzWUY50yQ57UeV3
yKg4XL8ivbs1P/KXEomUfcVXBHRUypwclP/7q4DfmInw/sUR0LBNP9T7vzUS
TcOg423pR05NZl+D5TDoOKIHcFRbntVx6Rv+AdF7jFE=
          "]]}, {
         Hue[0.1421359549995791, 0.6, 0.6], 
         Directive[
          PointSize[0.011111111111111112`], 
          RGBColor[0.560181, 0.691569, 0.194885], 
          AbsoluteThickness[1.6], 
          Dashing[Small]], 
         Line[CompressedData["
1:eJwtUmss1WEcllRWGJNL+CC3lHJpSmdnehpJkUudJiuJM5mZy/jgrFJbbZhR
piJzy/2WjUmEnBXnFDtux3E7Lkdzl1zOwblS/f9/Prx793ufPXue9/k9J5mx
tx+pq6mpnScOee9Uiwd9mP4Q6vEEdbb2aL2hpW6XkgybqESJh34RTB2mrA6/
yEJIBzfUYKUdgbTGrgT2B0x8YRQk5fSDV+zRtLlbBusBWnOQTIhlGyfNWrMa
fI7LVbx6OQNiuBdGr4Nvnd8TtuES3hprBOica4DjWBi7LHYVlhOK55FfG+GW
bsZrtRejoWC98od3M2pcxladmZtwC5kfsJhoQcVFPbrIext8C4qAhLCjySW/
paBgBRtlmsvvZVfkkDNmy/M43yBarvBPYiiAC8HElzqw8HjZw85WiRRDYZ+M
0Yk59znGLa4S/TKKAE69IinOSQUjEp7lwnP2UEhPvArBVCA/oQ9pJj1DhYo8
jnl9fBfYv4oWTqSrsJZIKnSDvlOdRYtR7cmp88D72Lg7S1PhGfXSg+gGT/q0
RAkuwY7I7EWh57glK18JMm3CEpYa3aUpNCVqyHXoDuB4pV1pao8CvkxdIvIB
3HQ1leXeVUBCwoF8ZKdmuKRPypHtnha1qOLjXf7T7aUgOfbWMwiOR4JcbVwG
anvuAlzPt6Bv3JGBGAiCAKezm/6W90lhTcJpQ3jAvn9wxVOKboJt4jCMU14+
svDv24heVBENGUZnrZ9jOX0bulQBRmBu7dVp3LwFSs5kFAkuGtrmzlv7/RhF
ZGFL+5FPm9jr1xhGuKUsbedNFJmQhRJiQW9Nh9kswVXSfrUQxW3zLDtXCSg5
n3EI9KtikrliULB4HP+uWc6k+IuxV8cJGJVIzlwWbUBAxkGbxJshlkFDzAZY
pP2pSURkvuYuHtjY7+8UesOrJGyHdVCwlQiX+mMeng1dAxVvlwj8trporZxV
UHFETeNYWoC339Af/Ae6nJ2r
          "]]}, {
         Hue[0.37820393249936934`, 0.6, 0.6], 
         Directive[
          PointSize[0.011111111111111112`], 
          RGBColor[0.922526, 0.385626, 0.209179], 
          AbsoluteThickness[1.6], 
          Dashing[Medium]], 
         Line[CompressedData["
1:eJwtUnsslXEYNpkd1oVVmGgSpZ2dlM2klscttDoYU6eYZLlMR2dZDt3cS6GV
7DScSbnGTJJLmklyHXLcznE95lJniDqXz730fR9//Pbb+z579rzv8z6HAnle
QepqampW5KP+jRJ5HzvQEx7CifT6T5l2n8/vVGcmP4a2VBJQkOOGA5bjZprx
AnwN/rf04vRdcGyr2vkNudBWT+NmRwvQ+fZcjfJvASrcOE4GoneYPXKSUWZU
ChtuhvN1Ri3I4uqNM+8ROpi9Z/llEzIMNC7tZlWCyXTgPWN24vDoakxYfRWK
wDyVGdeHypzfxa0XaqGxUR7JlkrgGPBDZDpaB6G3+62lhHH0mtIESBe8fHvy
JkHDqw0QG1nrGsfPYMV7ulDY3IhEy3J7F7YMsPYnV2rCz5r+D6z1WSTrDX9f
9v6GqSxDDUH8L/Qs0wRo3XmiPTS8CH0Knm7BvGtYbGfsH/jThrTBSLxQzYqW
o0jYbFIR0Y4vgu6aXB8FFh9QCh0YcD4xwzZQbsmpk3vVWggmGpV4SHe6kCFI
qbvsqUILyQ5N74YVp42/1qYC5TY5Eqp0L3JtjhEopc6hI4JesPhoZiQB90Ad
0nIRGPeeOlaWE1BQMKcXRV0HXxuJCbxySuXK1nuxXFphH7JAYOs8fVhzDL6y
f4kAfT2nfnBjzDWz5ATIgiT0IyKxOs5zkoA5BacOIOE4LySplUAHyTa0HERx
uMVUcB6BcNk6mZBB5Hta8fbyCejQARCjNoJgPXckQMsZSqBZvJnUwSC28yFB
QspFRk6HClv5GkKO0DdF9EiFN4ZUoIZRzQl1NbBTwZkav2QYpZwVY32lErQc
ewQaJvs6rxUqQcPyEfjObZryfZTYiuMoZEEuDqIdSvRTdtiOgXc2qkxSoUAU
Nf74GPTmrW7O+Sm28zsOr9ldWn4MBWjYTAoW0lL4H+Wg7W2XwvL2psd9fzlo
O7gTaBDyZflacvwHNXSTUw==
          "]]}, {
         Hue[0.6142719099991583, 0.6, 0.6], 
         Directive[
          PointSize[0.011111111111111112`], 
          RGBColor[0.528488, 0.470624, 0.701351], 
          AbsoluteThickness[1.6], 
          Dashing[Large]], 
         Line[CompressedData["
1:eJwtUnsslWEcllkpptMfKUS5ZApJK82Kp7lsyTSjpJu5hJOIKUqTFaKx5Hps
KZchMZcylym3I5fDcTkcnJzjHOkk6uTyfSYZpe/7Tn+8e/d7nz17nvf5PYb+
4R6BqioqKseoQ98b5cSIm787Ss+M24W3bdi9d9FUNU9OAldhZu2/Mm+vZyU1
2fo4B/bsnBbXoaPwtq3jRbcWYP8WbnmC0Av8IueG5T8lYLOvXu8JjsR3U2v1
yn0VkMbbVHYZJoEartw4VYMp87JbxRocZO1V89KyrIWHrD1/xbEYxpK1uJDm
Ouysdh99yqlG7avFsm7XRlzQX8jvSG+Ag++MwEjSBJbfcOXLsDYMGzEExAew
CvK/doKB11qxSnQ7tLX04benvDSvsx2x6dvSXbIFwAkf6ksdMG+6FqmhNopk
7YnBVc+PqDdOWZjOF2FolSHgc5Gl0/OLEuyhYXkXLOTurGidKfgwgfRgd+ZJ
UeLtabzO6zzwNpIHl8ZHMZrn5FiIpRV6wVNIczd0ZpRyqnwojkvF/IlveMi8
9MPMsHDyw5M5dFFsdsYAUoz5CoHuD9BpU5Yg+yKVdHIUqKDXwRKghjPd+Gv1
J877s6jIBTg8G9XnbbcAkoa9hyFk9Wv7BC2C45gaOrs+jOCS3O13bZegXM8I
Eo2FeS/eLYHZnqMQ1b2lvnN6BKiBIgghbl4muPcJHKTh1FHExw04lPAI9FJs
XasxmLae7jLQJBE2u041ZAzOFoc8Bx1JsJgCjIMfaC7wjiDByOmKwD47EH0z
k/zfDxHWnkm4VRUklP36hJmM8umRJhKFunShJpBdc6QqoZ2EE22/fAJWu6I3
g9pIMHJuYnjc6Y40aCTBwIQYiZd2hDq/IaGsowTq8wiJyCIhpOOwncRA4d80
ixgS92j70knos/28Ni+TUPZXCu1QUVSQDQkGNpEhLfOBWKRFgomXJ4NbckY7
V06AiSN0CgEWAllKPYF/GXOfRg==
          "]]}}}, {}, {}, {{}, {}}}, {
     DisplayFunction -> Identity, PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}}, AxesOrigin -> {0., 0.}, 
      PlotRange -> {{0., 0.491}, {0., 11.756637931815863`}}, 
      PlotRangeClipping -> True, ImagePadding -> All, DisplayFunction -> 
      Identity, AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
      AxesLabel -> {"t", "PDF"}, AxesOrigin -> {0., 0.}, DisplayFunction :> 
      Identity, Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
             Part[#, 1]], 
            (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
             Part[#, 1]], 
            (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
             Part[#, 2]]}& )}}, 
      PlotRange -> {{0., 0.491}, {0., 11.756637931815863`}}, 
      PlotRangeClipping -> True, PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      LineLegend[{
        Directive[
         PointSize[0.011111111111111112`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[
          Opacity[0]]], 
        Directive[
         PointSize[0.011111111111111112`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Dashing[Tiny]], 
        Directive[
         PointSize[0.011111111111111112`], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Dashing[Small]], 
        Directive[
         PointSize[0.011111111111111112`], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6], 
         Dashing[Medium]], 
        Directive[
         PointSize[0.011111111111111112`], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6], 
         Dashing[Large]]}, {
       "State 6", "State 7", "State 8", "State 9", "State 10"}, 
       LegendMarkers -> {{False, Automatic}, {False, Automatic}, {
         False, Automatic}, {False, Automatic}, {False, Automatic}}, 
       Joined -> {True, True, True, True, True}, LabelStyle -> {}, 
       LegendLayout -> "Column"]], {0.85, 0.6}, Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{{3.7905081221552677`*^9, 3.7905081226240025`*^9}, 
   3.7905099832272005`*^9, 3.790515957565916*^9, 3.7905163077406225`*^9, {
   3.7905865496120343`*^9, 
   3.7905865499401507`*^9}},ExpressionUUID->"b86f3baa-254e-417c-b29e-\
da48002e21d7"],

Cell[BoxData["\<\"c:/temp/return-all.pdf\"\>"], "Output",
 CellChangeTimes->{{3.7905081221552677`*^9, 3.7905081226240025`*^9}, 
   3.7905099832272005`*^9, 3.790515957565916*^9, 3.7905163077406225`*^9, {
   3.7905865496120343`*^9, 
   3.7905865501276426`*^9}},ExpressionUUID->"2935371a-aa33-4ad4-a95f-\
dfc73eb84c99"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", "===", "===", "===", "===", "===", 
     RowBox[{"\[Equal]", " ", 
      RowBox[{
      "Comparing", "  ", "Trans", " ", "PDF", " ", "values", " ", "with", " ",
        "the", " ", "infinte", " ", "case", " ", "as", " ", 
       RowBox[{
        SubscriptBox["T", "K"], "\[LongRightArrow]", "\[Infinity]"}], " ", 
       "of", " ", "the", " ", "CDF"}]}]}], " ", ",", " ", 
    RowBox[{
     RowBox[{
     "Check", " ", "the", " ", "example", " ", "at", " ", "the", " ", "end", 
      " ", "of", " ", "trans_fluid", "_INF", "_with", "_example", "_up", 
      RowBox[{"_low", ".", "nb"}]}], "===", "===", "===", "===", "===", "===",
      "\[Equal]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Tfinite", "=", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "2.", ",", "50."}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", "Np", ",", 
       "Nm", ",", "Nz", ",", "NpTilda", ",", "NmTilda", ",", "NzTilda", ",", 
       "Sp", ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", "Sconst", 
       ",", "Spup", ",", "Spconst", ",", "Sdownm", ",", "Sconstm"}], "}"}], 
     "=", 
     RowBox[{"PartitionFluid", "[", 
      RowBox[{
      "Q", ",", "R", ",", "QTilda", ",", "\"\<Auto\>\"", ",", "\"\<Up\>\""}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ss", "=", "1.5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"comp", "=", 
    RowBox[{"ss", " ", 
     RowBox[{"TransientFluidPWFinite", "[", 
      RowBox[{
      "Q", ",", "QTilda", ",", "absRi", ",", "RpInv", ",", "RmInv", ",", "Sp",
        ",", "Sm", ",", "Sz", ",", "Sup", ",", "Sdown", ",", "Sconst", ",", 
       "Spup", ",", "Spconst", ",", "Sdownm", ",", "Sconstm", ",", "Np", ",", 
       "Nm", ",", "Nz", ",", "Tfinite", ",", "1", ",", "20", ",", "ss", ",", 
       "\"\<PDF\>\""}], "]"}]}]}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.792474131372074*^9, 3.7924742438261056`*^9}, {
  3.792474318354856*^9, 3.792474406001972*^9}, {3.792474553471884*^9, 
  3.7924745838107824`*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"32217607-f8ed-465a-a6be-be84f5b58bfb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "2.791339649878648`*^-23", ",", "3.912033368962991`*^-22", ",", 
     "2.467203260715826`*^-21", ",", "9.220692278805227`*^-21", ",", 
     "2.2614731887639994`*^-20", ",", "3.803317268614527`*^-20", ",", 
     "4.4419245278338085`*^-20", ",", "3.557320478933371`*^-20", ",", 
     "1.869580313115212`*^-20", ",", "5.822660632328719`*^-21", ",", 
     "8.160398069366927`*^-22"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3.2432431014169364`*^-23", ",", "4.5453713370043195`*^-22", ",", 
     "2.86663070739451`*^-21", ",", "1.0713474666124404`*^-20", ",", 
     "2.6275940009009887`*^-20", ",", "4.419054662326826`*^-20", ",", 
     "5.161049133715413`*^-20", ",", "4.13323226477703`*^-20", ",", 
     "2.1722556956905754`*^-20", ",", "6.7653192718819`*^-21", ",", 
     "9.481524308387545`*^-22"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3.90790077672633`*^-23", ",", "5.476882127839378`*^-22", ",", 
     "3.454106897851814`*^-21", ",", "1.290905265500884`*^-20", ",", 
     "3.1660829348735166`*^-20", ",", "5.324678603265472`*^-20", ",", 
     "6.218734546774389`*^-20", ",", "4.9802808709762584`*^-20", ",", 
     "2.617429361594467`*^-20", ",", "8.151777591336996`*^-21", ",", 
     "1.1424631164129902`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "4.837759085694819`*^-23", ",", "6.780068837221154`*^-22", ",", 
     "4.275988051580455`*^-21", ",", "1.598067359883106`*^-20", ",", 
     "3.9194307530700906`*^-20", ",", "6.591649523131248`*^-20", ",", 
     "7.698439974308715`*^-20", ",", "6.165304701789455`*^-20", ",", 
     "3.240228807913968`*^-20", ",", "1.0091437413641303`*^-20", ",", 
     "1.4143044148956436`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "6.119897442997619`*^-23", ",", "8.576972355434713`*^-22", ",", 
     "5.409241733540594`*^-21", ",", "2.0215988800281346`*^-20", ",", 
     "4.958187007419954`*^-20", ",", "8.338616774248396`*^-20", ",", 
     "9.738736939827569`*^-20", ",", "7.799278924689035`*^-20", ",", 
     "4.0989779865054755`*^-20", ",", "1.2765944093109775`*^-20", ",", 
     "1.789133732999226`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "7.919659294213882`*^-23", ",", "1.1099319794755013`*^-21", ",", 
     "7.000011351285165`*^-21", ",", "2.6161180817999234`*^-20", ",", 
     "6.416308799536075`*^-20", ",", "1.07908677313908`*^-19", ",", 
     "1.260274036252987`*^-19", ",", "1.0092919431967675`*^-19", ",", 
     "5.3044204433114734`*^-20", ",", "1.6520199681138832`*^-20", ",", 
     "2.315288733041014`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.0577184866703442`*^-22", ",", "1.482381413169592`*^-21", ",", 
     "9.348939314303556`*^-21", ",", "3.493984217798358`*^-20", ",", 
     "8.569369187905907`*^-20", ",", "1.441185771090607`*^-19", ",", 
     "1.6831723397360528`*^-19", ",", "1.3479705465948608`*^-19", ",", 
     "7.084374915044325`*^-20", ",", "2.2063727689639878`*^-20", ",", 
     "3.0922083942502765`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.4806626680736562`*^-22", ",", "2.0751332665423703`*^-21", ",", 
     "1.3087249209713101`*^-20", ",", "4.891104825460939`*^-20", ",", 
     "1.199595658521139`*^-19", ",", "2.0174649454509127`*^-19", ",", 
     "2.356213376989129`*^-19", ",", "1.8869762523380232`*^-19", ",", 
     "9.917165668876945`*^-20", ",", "3.0886231374695266`*^-20", ",", 
     "4.328673072249464`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "2.2057445756658523`*^-22", ",", "3.0913279879032518`*^-21", ",", 
     "1.9496087513483448`*^-20", ",", "7.286283479956602`*^-20", ",", 
     "1.787038785963152`*^-19", ",", "3.0054194354841313`*^-19", ",", 
     "3.5100532940204806`*^-19", ",", "2.811030306058762`*^-19", ",", 
     "1.4773611067377008`*^-19", ",", "4.6011248062415213`*^-20", ",", 
     "6.448428365771514`*^-21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3.5107471307021816`*^-22", ",", "4.9202754404664075`*^-21", ",", 
     "3.103071591016777`*^-20", ",", "1.1597126477356687`*^-19", ",", 
     "2.8443190383364083`*^-19", ",", "4.7835401143386495`*^-19", ",", 
     "5.586734595901342`*^-19", ",", "4.4741429674982`*^-19", ",", 
     "2.3514242418230497`*^-19", ",", "7.323325597044166`*^-20", ",", 
     "1.0263564345766049`*^-20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "5.907299108543126`*^-22", ",", "8.279018009890237`*^-21", ",", 
     "5.221330776874433`*^-20", ",", "1.9513708151247237`*^-19", ",", 
     "4.785945183188487`*^-19", ",", "8.048942632749843`*^-19", ",", 
     "9.400424202991297`*^-19", ",", "7.528340771757705`*^-19", ",", 
     "3.9565841145470808`*^-19", ",", "1.2322469594196448`*^-19", ",", 
     "1.7269812451030126`*^-20"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.79247435242498*^9, 3.7924744066268277`*^9}, 
   3.8077135502415495`*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"87a9b514-dea9-47b6-96ed-cd8bba59a54e"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7924742704917355`*^9, 
  3.7924743163240595`*^9}},ExpressionUUID->"e78a297e-1662-4039-bf28-\
acb370660258"]
},
EvaluationCompletionAction->"ShowTiming",
WindowSize->{1536, 781},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
Magnification:>1.4 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1132, 19, 40, "Input",ExpressionUUID->"2f231d84-335a-4149-8efc-1aebd06b3d76"],
Cell[1693, 41, 22214, 491, 2589, "Input",ExpressionUUID->"664cc607-f60b-4e1d-ba00-4670067a7349"],
Cell[23910, 534, 14293, 336, 1246, "Input",ExpressionUUID->"b3bd6ddc-fca9-468e-bf97-4acac4c4d4dc"],
Cell[38206, 872, 84398, 1747, 7327, "Input",ExpressionUUID->"ab8e23dc-2149-45c7-86bf-c572e288abc4"],
Cell[122607, 2621, 15349, 318, 2057, "Input",ExpressionUUID->"86fb8dd1-16bf-4426-9a5b-d163231034bd"],
Cell[137959, 2941, 17552, 318, 937, "Input",ExpressionUUID->"a1f615c9-7d46-4731-9b00-999d36e58758"],
Cell[155514, 3261, 8428, 185, 405, "Input",ExpressionUUID->"f8002581-afaa-48bb-8463-b8984e2c15c8"],
Cell[163945, 3448, 6655, 156, 629, "Input",ExpressionUUID->"fc5ae870-0255-49ad-8d8a-c5a5b5cc185c"],
Cell[170603, 3606, 6798, 165, 460, "Input",ExpressionUUID->"ccc4df9a-67fd-42f1-a9c9-5cab61856b5c"],
Cell[177404, 3773, 7063, 159, 549, "Input",ExpressionUUID->"844fad8c-e0b2-42b2-86cf-b50de549cb62"],
Cell[184470, 3934, 188658, 3986, 7036, "Input",ExpressionUUID->"b2715569-4490-4ac7-8d01-cc291acb2037"],
Cell[373131, 7922, 32081, 659, 1178, "Input",ExpressionUUID->"006ef89d-36dc-405e-bd10-b75e0bc377ca"],
Cell[405215, 8583, 32669, 749, 1647, "Input",ExpressionUUID->"f98b510f-8d04-4089-a354-38d19537a9d0"],
Cell[437887, 9334, 124064, 2757, 5288, "Input",ExpressionUUID->"20dec904-c2f1-4c5c-946e-dfa874565e45"],
Cell[561954, 12093, 3755, 98, 601, "Input",ExpressionUUID->"9e60b6e4-4fe4-4dd5-b542-c62db7ea090a"],
Cell[565712, 12193, 3793, 96, 517, "Input",ExpressionUUID->"cc53482f-0dc7-4a2e-a516-e6063eb92004"],
Cell[CellGroupData[{
Cell[569530, 12293, 527, 10, 97, "Input",ExpressionUUID->"019f9ac5-dbd0-4cb8-bf7c-55a9711ed1ae"],
Cell[570060, 12305, 1163, 29, 75, "Output",ExpressionUUID->"ad9090f7-020a-4e1a-8f03-7823b784d49e"]
}, Open  ]],
Cell[571238, 12337, 3733, 94, 629, "Input",ExpressionUUID->"33841209-9e3b-4a9f-9ab1-7e17554c641c"],
Cell[CellGroupData[{
Cell[574996, 12435, 459, 9, 153, "Input",ExpressionUUID->"fe7854a6-c21c-49e6-9519-d3ae0d046279"],
Cell[575458, 12446, 1111, 28, 75, "Output",ExpressionUUID->"7da823b3-2b3a-4091-b829-8683fd5e61f0"]
}, Open  ]],
Cell[576584, 12477, 3659, 93, 601, "Input",ExpressionUUID->"ad5096d3-aa29-4a04-8f6b-24557d9a6d74"],
Cell[CellGroupData[{
Cell[580268, 12574, 464, 11, 153, "Input",ExpressionUUID->"61fa1785-2a77-407b-878f-528834958779"],
Cell[580735, 12587, 1108, 28, 75, "Output",ExpressionUUID->"7ae8c529-2c95-496f-8e19-84cb3a428c2f"]
}, Open  ]],
Cell[581858, 12618, 3584, 92, 517, "Input",ExpressionUUID->"b34c2543-c13e-4b11-9de3-b3a3c3092665"],
Cell[CellGroupData[{
Cell[585467, 12714, 487, 11, 181, "Input",ExpressionUUID->"2bdcf5a1-2349-4d06-8b8e-26e6878ce653"],
Cell[585957, 12727, 1110, 28, 75, "Output",ExpressionUUID->"3dcfa2c4-e248-4d36-b059-24652297c236"]
}, Open  ]],
Cell[587082, 12758, 3592, 92, 517, "Input",ExpressionUUID->"a86af4bf-4102-4538-a814-3cdda9af00b2"],
Cell[CellGroupData[{
Cell[590699, 12854, 436, 9, 125, "Input",ExpressionUUID->"8147fbd8-fbec-4eee-b343-111ffd48bb74"],
Cell[591138, 12865, 1112, 28, 75, "Output",ExpressionUUID->"67bd5388-5db6-4f74-8ca4-9a255300fe24"]
}, Open  ]],
Cell[592265, 12896, 458, 11, 97, "Input",ExpressionUUID->"c85d8aed-a0fb-479b-a367-e82e2ccbd7a4"],
Cell[592726, 12909, 13831, 364, 1582, "Input",ExpressionUUID->"7c731c02-5852-450c-832f-a42393e088b6"],
Cell[606560, 13275, 3094, 51, 125, "Input",ExpressionUUID->"c1e6c1ff-d8c2-44c4-b8df-f30a16b81e1c"],
Cell[609657, 13328, 956, 20, 125, "Input",ExpressionUUID->"8df528d7-d5ba-4023-a0ef-68948abfcf06"],
Cell[CellGroupData[{
Cell[610638, 13352, 4819, 119, 461, "Input",ExpressionUUID->"eed6f286-cd7a-49e0-b8cf-c2a5e9210e04"],
Cell[615460, 13473, 2131, 54, 356, "Output",ExpressionUUID->"efaa9b1b-e5ec-411e-8de6-dcca79a6a0d6"]
}, Open  ]],
Cell[617606, 13530, 903, 20, 153, "Input",ExpressionUUID->"657139bb-85e3-4dc8-b137-47e7037f7451"],
Cell[618512, 13552, 10499, 256, 1077, "Input",ExpressionUUID->"eed6f286-cd7a-49e0-b8cf-c2a5e9210e04"],
Cell[CellGroupData[{
Cell[629036, 13812, 1351, 36, 97, "Input",ExpressionUUID->"49296f78-4e54-41f7-a41e-f45b5a27b128"],
Cell[630390, 13850, 55335, 1006, 356, "Output",ExpressionUUID->"983aa782-16a5-4338-a495-670b35e6a6fc"],
Cell[685728, 14858, 302, 5, 46, "Output",ExpressionUUID->"c96c9e28-7201-48c6-bfdb-690947b3f79b"]
}, Open  ]],
Cell[686045, 14866, 10567, 257, 1077, "Input",ExpressionUUID->"eed6f286-cd7a-49e0-b8cf-c2a5e9210e04"],
Cell[CellGroupData[{
Cell[696637, 15127, 1402, 36, 97, "Input",ExpressionUUID->"5713de99-642c-4a46-a6d3-1538323dad8b"],
Cell[698042, 15165, 58372, 1057, 356, "Output",ExpressionUUID->"d8116dce-700f-4960-abb0-b71bd1bd6734"],
Cell[756417, 16224, 258, 4, 46, "Output",ExpressionUUID->"f49f86ec-86a4-4e2e-96cf-fb18bd74b9dc"]
}, Open  ]],
Cell[756690, 16231, 10552, 256, 1077, "Input",ExpressionUUID->"eed6f286-cd7a-49e0-b8cf-c2a5e9210e04"],
Cell[CellGroupData[{
Cell[767267, 16491, 1456, 37, 97, "Input",ExpressionUUID->"c4d67315-8584-4a59-a91e-8c527e27e6d7"],
Cell[768726, 16530, 61406, 1106, 356, "Output",ExpressionUUID->"22f7aba2-8a04-45d7-a62d-0a012834bcae"],
Cell[830135, 17638, 279, 4, 46, "Output",ExpressionUUID->"4e006dba-2fe7-42c7-bcb1-a135d680a258"]
}, Open  ]],
Cell[830429, 17645, 10613, 257, 1077, "Input",ExpressionUUID->"eed6f286-cd7a-49e0-b8cf-c2a5e9210e04"],
Cell[CellGroupData[{
Cell[841067, 17906, 1454, 37, 97, "Input",ExpressionUUID->"35e3456c-7334-4d45-9748-cbfd657ac1fb"],
Cell[842524, 17945, 61584, 1107, 356, "Output",ExpressionUUID->"02266aa0-b280-474b-a696-0e4bccb38828"],
Cell[904111, 19054, 234, 4, 46, "Output",ExpressionUUID->"fe72ff7a-d597-464b-8739-f4ad872beaa1"]
}, Open  ]],
Cell[904360, 19061, 523, 13, 97, "Input",ExpressionUUID->"966acd05-c4ec-4934-b964-053d3e68b5aa"],
Cell[CellGroupData[{
Cell[904908, 19078, 2262, 51, 209, "Input",ExpressionUUID->"c8347460-c61b-4640-ae0d-53c3081bed7f"],
Cell[907173, 19131, 674, 12, 46, "Output",ExpressionUUID->"9585b452-7a68-48d5-b23e-bbc5e34bef19"]
}, Open  ]],
Cell[907862, 19146, 8187, 190, 1105, "Input",ExpressionUUID->"79685018-5265-40cb-928d-50e9ed6b8e33"],
Cell[CellGroupData[{
Cell[916074, 19340, 2471, 52, 153, "Input",ExpressionUUID->"f7e74693-1f2d-4423-bc87-4f9efdfdac43"],
Cell[918548, 19394, 37127, 750, 359, "Output",ExpressionUUID->"b86f3baa-254e-417c-b29e-da48002e21d7"],
Cell[955678, 20146, 316, 5, 46, "Output",ExpressionUUID->"2935371a-aa33-4ad4-a95f-dfc73eb84c99"]
}, Open  ]],
Cell[CellGroupData[{
Cell[956031, 20156, 2319, 51, 293, "Input",ExpressionUUID->"32217607-f8ed-465a-a6be-be84f5b58bfb"],
Cell[958353, 20209, 4955, 93, 619, "Output",ExpressionUUID->"87a9b514-dea9-47b6-96ed-cd8bba59a54e"]
}, Open  ]],
Cell[963323, 20305, 156, 3, 40, "Input",ExpressionUUID->"e78a297e-1662-4039-bf28-acb370660258"]
}
]
*)

